#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1083
#define LARGE_STATE_COUNT 422
#define SYMBOL_COUNT 527
#define ALIAS_COUNT 3
#define TOKEN_COUNT 330
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 38
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 118

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_pragma = 2,
  anon_sym_PIPE_PIPE = 3,
  anon_sym_DASH = 4,
  anon_sym_solidity = 5,
  aux_sym_pragma_value_token1 = 6,
  sym_solidity_version = 7,
  anon_sym_LT_EQ = 8,
  anon_sym_LT = 9,
  anon_sym_CARET = 10,
  anon_sym_GT = 11,
  anon_sym_GT_EQ = 12,
  anon_sym_TILDE = 13,
  anon_sym_EQ = 14,
  anon_sym_import = 15,
  anon_sym_from = 16,
  anon_sym_STAR = 17,
  anon_sym_LBRACE = 18,
  anon_sym_COMMA = 19,
  anon_sym_RBRACE = 20,
  anon_sym_as = 21,
  anon_sym_type = 22,
  anon_sym_is = 23,
  anon_sym_constant = 24,
  anon_sym_abstract = 25,
  anon_sym_contract = 26,
  anon_sym_error = 27,
  anon_sym_LPAREN = 28,
  anon_sym_RPAREN = 29,
  anon_sym_interface = 30,
  anon_sym_library = 31,
  anon_sym_layout = 32,
  anon_sym_at = 33,
  anon_sym_struct = 34,
  anon_sym_enum = 35,
  anon_sym_event = 36,
  anon_sym_anonymous = 37,
  anon_sym_indexed = 38,
  anon_sym_using = 39,
  anon_sym_for = 40,
  anon_sym_global = 41,
  anon_sym_AMP = 42,
  anon_sym_PIPE = 43,
  anon_sym_PLUS = 44,
  anon_sym_SLASH = 45,
  anon_sym_PERCENT = 46,
  anon_sym_EQ_EQ = 47,
  anon_sym_BANG_EQ = 48,
  anon_sym_assembly = 49,
  anon_sym_DQUOTEevmasm_DQUOTE = 50,
  anon_sym_COLON = 51,
  sym_yul_leave = 52,
  anon_sym_break = 53,
  anon_sym_continue = 54,
  anon_sym_DOT = 55,
  sym_yul_decimal_number = 56,
  sym_yul_hex_number = 57,
  anon_sym_true = 58,
  anon_sym_false = 59,
  anon_sym_let = 60,
  anon_sym_COLON_EQ = 61,
  anon_sym_if = 62,
  anon_sym_switch = 63,
  anon_sym_default = 64,
  anon_sym_case = 65,
  anon_sym_function = 66,
  anon_sym_DASH_GT = 67,
  anon_sym_stop = 68,
  anon_sym_add = 69,
  anon_sym_sub = 70,
  anon_sym_mul = 71,
  anon_sym_div = 72,
  anon_sym_sdiv = 73,
  anon_sym_mod = 74,
  anon_sym_smod = 75,
  anon_sym_exp = 76,
  anon_sym_not = 77,
  anon_sym_lt = 78,
  anon_sym_gt = 79,
  anon_sym_slt = 80,
  anon_sym_sgt = 81,
  anon_sym_eq = 82,
  anon_sym_iszero = 83,
  anon_sym_and = 84,
  anon_sym_or = 85,
  anon_sym_xor = 86,
  anon_sym_byte = 87,
  anon_sym_shl = 88,
  anon_sym_shr = 89,
  anon_sym_sar = 90,
  anon_sym_addmod = 91,
  anon_sym_mulmod = 92,
  anon_sym_signextend = 93,
  anon_sym_keccak256 = 94,
  anon_sym_pop = 95,
  anon_sym_mload = 96,
  anon_sym_mcopy = 97,
  anon_sym_tload = 98,
  anon_sym_tstore = 99,
  anon_sym_mstore = 100,
  anon_sym_mstore8 = 101,
  anon_sym_sload = 102,
  anon_sym_sstore = 103,
  anon_sym_msize = 104,
  anon_sym_gas = 105,
  anon_sym_address = 106,
  anon_sym_balance = 107,
  anon_sym_selfbalance = 108,
  anon_sym_caller = 109,
  anon_sym_callvalue = 110,
  anon_sym_calldataload = 111,
  anon_sym_calldatasize = 112,
  anon_sym_calldatacopy = 113,
  anon_sym_extcodesize = 114,
  anon_sym_extcodecopy = 115,
  anon_sym_returndatasize = 116,
  anon_sym_returndatacopy = 117,
  anon_sym_extcodehash = 118,
  anon_sym_create = 119,
  anon_sym_create2 = 120,
  anon_sym_call = 121,
  anon_sym_callcode = 122,
  anon_sym_delegatecall = 123,
  anon_sym_staticcall = 124,
  anon_sym_return = 125,
  anon_sym_revert = 126,
  anon_sym_selfdestruct = 127,
  anon_sym_invalid = 128,
  anon_sym_log0 = 129,
  anon_sym_log1 = 130,
  anon_sym_log2 = 131,
  anon_sym_log3 = 132,
  anon_sym_log4 = 133,
  anon_sym_chainid = 134,
  anon_sym_origin = 135,
  anon_sym_gasprice = 136,
  anon_sym_blockhash = 137,
  anon_sym_blobhash = 138,
  anon_sym_basefee = 139,
  anon_sym_blobfee = 140,
  anon_sym_coinbase = 141,
  anon_sym_timestamp = 142,
  anon_sym_number = 143,
  anon_sym_difficulty = 144,
  anon_sym_gaslimit = 145,
  anon_sym_unchecked = 146,
  anon_sym_memory = 147,
  anon_sym_storage = 148,
  anon_sym_calldata = 149,
  anon_sym_var = 150,
  anon_sym_else = 151,
  anon_sym_while = 152,
  anon_sym_do = 153,
  anon_sym_try = 154,
  anon_sym_returns = 155,
  anon_sym_catch = 156,
  anon_sym_emit = 157,
  anon_sym_public = 158,
  anon_sym_internal = 159,
  anon_sym_private = 160,
  anon_sym_external = 161,
  anon_sym_pure = 162,
  anon_sym_view = 163,
  anon_sym_payable = 164,
  anon_sym_transient = 165,
  sym_immutable = 166,
  anon_sym_override = 167,
  anon_sym_modifier = 168,
  anon_sym_constructor = 169,
  anon_sym_fallback = 170,
  anon_sym_receive = 171,
  sym_virtual = 172,
  anon_sym_QMARK = 173,
  anon_sym_new = 174,
  anon_sym_LBRACK = 175,
  anon_sym_RBRACK = 176,
  anon_sym_AMP_AMP = 177,
  anon_sym_GT_GT = 178,
  anon_sym_GT_GT_GT = 179,
  anon_sym_LT_LT = 180,
  anon_sym_STAR_STAR = 181,
  anon_sym_BANG_EQ_EQ = 182,
  anon_sym_BANG = 183,
  anon_sym_delete = 184,
  anon_sym_PLUS_PLUS = 185,
  anon_sym_DASH_DASH = 186,
  anon_sym_PLUS_EQ = 187,
  anon_sym_DASH_EQ = 188,
  anon_sym_STAR_EQ = 189,
  anon_sym_SLASH_EQ = 190,
  anon_sym_PERCENT_EQ = 191,
  anon_sym_CARET_EQ = 192,
  anon_sym_AMP_EQ = 193,
  anon_sym_PIPE_EQ = 194,
  anon_sym_GT_GT_EQ = 195,
  anon_sym_GT_GT_GT_EQ = 196,
  anon_sym_LT_LT_EQ = 197,
  anon_sym_mapping = 198,
  anon_sym_EQ_GT = 199,
  anon_sym_bool = 200,
  anon_sym_string = 201,
  anon_sym_int = 202,
  anon_sym_int8 = 203,
  anon_sym_int16 = 204,
  anon_sym_int24 = 205,
  anon_sym_int32 = 206,
  anon_sym_int40 = 207,
  anon_sym_int48 = 208,
  anon_sym_int56 = 209,
  anon_sym_int64 = 210,
  anon_sym_int72 = 211,
  anon_sym_int80 = 212,
  anon_sym_int88 = 213,
  anon_sym_int96 = 214,
  anon_sym_int104 = 215,
  anon_sym_int112 = 216,
  anon_sym_int120 = 217,
  anon_sym_int128 = 218,
  anon_sym_int136 = 219,
  anon_sym_int144 = 220,
  anon_sym_int152 = 221,
  anon_sym_int160 = 222,
  anon_sym_int168 = 223,
  anon_sym_int176 = 224,
  anon_sym_int184 = 225,
  anon_sym_int192 = 226,
  anon_sym_int200 = 227,
  anon_sym_int208 = 228,
  anon_sym_int216 = 229,
  anon_sym_int224 = 230,
  anon_sym_int232 = 231,
  anon_sym_int240 = 232,
  anon_sym_int248 = 233,
  anon_sym_int256 = 234,
  anon_sym_uint = 235,
  anon_sym_uint8 = 236,
  anon_sym_uint16 = 237,
  anon_sym_uint24 = 238,
  anon_sym_uint32 = 239,
  anon_sym_uint40 = 240,
  anon_sym_uint48 = 241,
  anon_sym_uint56 = 242,
  anon_sym_uint64 = 243,
  anon_sym_uint72 = 244,
  anon_sym_uint80 = 245,
  anon_sym_uint88 = 246,
  anon_sym_uint96 = 247,
  anon_sym_uint104 = 248,
  anon_sym_uint112 = 249,
  anon_sym_uint120 = 250,
  anon_sym_uint128 = 251,
  anon_sym_uint136 = 252,
  anon_sym_uint144 = 253,
  anon_sym_uint152 = 254,
  anon_sym_uint160 = 255,
  anon_sym_uint168 = 256,
  anon_sym_uint176 = 257,
  anon_sym_uint184 = 258,
  anon_sym_uint192 = 259,
  anon_sym_uint200 = 260,
  anon_sym_uint208 = 261,
  anon_sym_uint216 = 262,
  anon_sym_uint224 = 263,
  anon_sym_uint232 = 264,
  anon_sym_uint240 = 265,
  anon_sym_uint248 = 266,
  anon_sym_uint256 = 267,
  anon_sym_bytes = 268,
  anon_sym_bytes1 = 269,
  anon_sym_bytes2 = 270,
  anon_sym_bytes3 = 271,
  anon_sym_bytes4 = 272,
  anon_sym_bytes5 = 273,
  anon_sym_bytes6 = 274,
  anon_sym_bytes7 = 275,
  anon_sym_bytes8 = 276,
  anon_sym_bytes9 = 277,
  anon_sym_bytes10 = 278,
  anon_sym_bytes11 = 279,
  anon_sym_bytes12 = 280,
  anon_sym_bytes13 = 281,
  anon_sym_bytes14 = 282,
  anon_sym_bytes15 = 283,
  anon_sym_bytes16 = 284,
  anon_sym_bytes17 = 285,
  anon_sym_bytes18 = 286,
  anon_sym_bytes19 = 287,
  anon_sym_bytes20 = 288,
  anon_sym_bytes21 = 289,
  anon_sym_bytes22 = 290,
  anon_sym_bytes23 = 291,
  anon_sym_bytes24 = 292,
  anon_sym_bytes25 = 293,
  anon_sym_bytes26 = 294,
  anon_sym_bytes27 = 295,
  anon_sym_bytes28 = 296,
  anon_sym_bytes29 = 297,
  anon_sym_bytes30 = 298,
  anon_sym_bytes31 = 299,
  anon_sym_bytes32 = 300,
  anon_sym_fixed = 301,
  aux_sym__fixed_token1 = 302,
  anon_sym_ufixed = 303,
  aux_sym__ufixed_token1 = 304,
  anon_sym_SEMI = 305,
  aux_sym__decimal_number_token1 = 306,
  aux_sym__decimal_number_token2 = 307,
  aux_sym__hex_number_token1 = 308,
  sym__hex_digit = 309,
  anon_sym_wei = 310,
  anon_sym_szabo = 311,
  anon_sym_finney = 312,
  anon_sym_gwei = 313,
  anon_sym_ether = 314,
  anon_sym_seconds = 315,
  anon_sym_minutes = 316,
  anon_sym_hours = 317,
  anon_sym_days = 318,
  anon_sym_weeks = 319,
  anon_sym_years = 320,
  anon_sym_hex = 321,
  anon_sym_DQUOTE = 322,
  anon_sym__ = 323,
  anon_sym_SQUOTE = 324,
  sym__escape_sequence = 325,
  aux_sym__single_quoted_unicode_char_token1 = 326,
  aux_sym__double_quoted_unicode_char_token1 = 327,
  anon_sym_unicode = 328,
  sym_comment = 329,
  sym_source_file = 330,
  sym__source_unit = 331,
  sym__directive = 332,
  sym_pragma_directive = 333,
  sym_solidity_pragma_token = 334,
  sym_any_pragma_token = 335,
  sym__solidity = 336,
  sym_pragma_value = 337,
  sym__pragma_version_constraint = 338,
  sym_solidity_version_comparison_operator = 339,
  sym_import_directive = 340,
  sym__source_import = 341,
  sym__import_clause = 342,
  sym__from_clause = 343,
  sym__single_import = 344,
  sym__multiple_import = 345,
  sym__import_declaration = 346,
  sym__import_alias = 347,
  sym__declaration = 348,
  sym_user_defined_type_definition = 349,
  sym_constant_variable_declaration = 350,
  sym_contract_declaration = 351,
  sym_error_declaration = 352,
  sym_error_parameter = 353,
  sym_interface_declaration = 354,
  sym_library_declaration = 355,
  sym_layout_specifier = 356,
  sym__class_heritage = 357,
  sym_inheritance_specifier = 358,
  sym_contract_body = 359,
  sym__contract_member = 360,
  sym_struct_declaration = 361,
  sym_struct_member = 362,
  sym_enum_declaration = 363,
  sym_event_definition = 364,
  sym__event_parameter_list = 365,
  sym_event_paramater = 366,
  sym_using_directive = 367,
  sym_any_source_type = 368,
  sym_user_definable_operator = 369,
  sym__statement = 370,
  sym_assembly_statement = 371,
  sym__assembly_flags = 372,
  sym__yul_statement = 373,
  sym_yul_label = 374,
  sym_yul_break = 375,
  sym_yul_continue = 376,
  sym_yul_identifier = 377,
  sym__yul_expression = 378,
  sym_yul_path = 379,
  sym__yul_literal = 380,
  sym_yul_string_literal = 381,
  sym_yul_boolean = 382,
  sym_yul_block = 383,
  sym_yul_variable_declaration = 384,
  sym__yul_assignment_operator = 385,
  sym_yul_assignment = 386,
  sym_yul_function_call = 387,
  sym_yul_if_statement = 388,
  sym_yul_for_statement = 389,
  sym_yul_switch_statement = 390,
  sym_yul_function_definition = 391,
  sym_yul_evm_builtin = 392,
  sym__unchecked = 393,
  sym_block_statement = 394,
  sym_variable_declaration_statement = 395,
  sym_variable_declaration = 396,
  sym_variable_declaration_tuple = 397,
  sym_expression_statement = 398,
  sym_if_statement = 399,
  sym_for_statement = 400,
  sym_while_statement = 401,
  sym_do_while_statement = 402,
  sym_continue_statement = 403,
  sym_break_statement = 404,
  sym_revert_statement = 405,
  sym_try_statement = 406,
  sym_catch_clause = 407,
  sym_return_statement = 408,
  sym_emit_statement = 409,
  sym_state_variable_declaration = 410,
  sym_visibility = 411,
  sym_state_mutability = 412,
  sym_state_location = 413,
  sym_override_specifier = 414,
  sym_modifier_definition = 415,
  sym_constructor_definition = 416,
  sym_fallback_definition = 417,
  sym_receive_definition = 418,
  sym_function_definition = 419,
  sym_return_type_definition = 420,
  sym_modifier_invocation = 421,
  sym__call_arguments = 422,
  sym_call_argument = 423,
  sym_call_struct_argument = 424,
  sym_function_body = 425,
  sym__expression = 426,
  sym__primary_expression = 427,
  sym_type_cast_expression = 428,
  sym_ternary_expression = 429,
  sym_new_expression = 430,
  sym_tuple_expression = 431,
  sym_inline_array_expression = 432,
  sym_binary_expression = 433,
  sym_unary_expression = 434,
  sym_update_expression = 435,
  sym_member_expression = 436,
  sym_array_access = 437,
  sym_slice_access = 438,
  sym_struct_expression = 439,
  sym_struct_field_assignment = 440,
  sym_parenthesized_expression = 441,
  sym_assignment_expression = 442,
  sym_augmented_assignment_expression = 443,
  sym_call_expression = 444,
  sym_payable_conversion_expression = 445,
  sym_meta_type_expression = 446,
  sym_type_name = 447,
  sym__array_type = 448,
  sym__function_type = 449,
  sym__parameter_list = 450,
  sym__return_parameters = 451,
  sym__nameless_parameter = 452,
  sym_parameter = 453,
  sym__storage_location = 454,
  sym_user_defined_type = 455,
  sym__identifier_path = 456,
  sym__mapping = 457,
  sym__mapping_key = 458,
  sym_primitive_type = 459,
  sym__int = 460,
  sym__uint = 461,
  sym__bytes = 462,
  sym__fixed = 463,
  sym__ufixed = 464,
  sym__semicolon = 465,
  sym__literal = 466,
  sym_string_literal = 467,
  sym_number_literal = 468,
  sym__decimal_number = 469,
  sym__hex_number = 470,
  sym_number_unit = 471,
  sym_true = 472,
  sym_false = 473,
  sym_boolean_literal = 474,
  sym_hex_string_literal = 475,
  sym__single_quoted_unicode_char = 476,
  sym__double_quoted_unicode_char = 477,
  sym_unicode_string_literal = 478,
  sym_string = 479,
  sym__string_immediate_elt_inside_double_quote = 480,
  sym__string_immediate_elt_inside_quote = 481,
  aux_sym_source_file_repeat1 = 482,
  aux_sym_solidity_pragma_token_repeat1 = 483,
  aux_sym__multiple_import_repeat1 = 484,
  aux_sym_error_declaration_repeat1 = 485,
  aux_sym__class_heritage_repeat1 = 486,
  aux_sym_contract_body_repeat1 = 487,
  aux_sym_struct_declaration_repeat1 = 488,
  aux_sym_enum_declaration_repeat1 = 489,
  aux_sym__event_parameter_list_repeat1 = 490,
  aux_sym_using_directive_repeat1 = 491,
  aux_sym_assembly_statement_repeat1 = 492,
  aux_sym__assembly_flags_repeat1 = 493,
  aux_sym_yul_path_repeat1 = 494,
  aux_sym_yul_variable_declaration_repeat1 = 495,
  aux_sym_yul_assignment_repeat1 = 496,
  aux_sym_yul_function_call_repeat1 = 497,
  aux_sym_yul_switch_statement_repeat1 = 498,
  aux_sym_block_statement_repeat1 = 499,
  aux_sym_variable_declaration_tuple_repeat1 = 500,
  aux_sym_variable_declaration_tuple_repeat2 = 501,
  aux_sym_try_statement_repeat1 = 502,
  aux_sym_state_variable_declaration_repeat1 = 503,
  aux_sym_override_specifier_repeat1 = 504,
  aux_sym_modifier_definition_repeat1 = 505,
  aux_sym_constructor_definition_repeat1 = 506,
  aux_sym_fallback_definition_repeat1 = 507,
  aux_sym_receive_definition_repeat1 = 508,
  aux_sym_function_definition_repeat1 = 509,
  aux_sym__call_arguments_repeat1 = 510,
  aux_sym_call_argument_repeat1 = 511,
  aux_sym_tuple_expression_repeat1 = 512,
  aux_sym_inline_array_expression_repeat1 = 513,
  aux_sym_struct_expression_repeat1 = 514,
  aux_sym__function_type_repeat1 = 515,
  aux_sym__parameter_list_repeat1 = 516,
  aux_sym__return_parameters_repeat1 = 517,
  aux_sym__identifier_path_repeat1 = 518,
  aux_sym_string_literal_repeat1 = 519,
  aux_sym_hex_string_literal_repeat1 = 520,
  aux_sym_hex_string_literal_repeat2 = 521,
  aux_sym_unicode_string_literal_repeat1 = 522,
  aux_sym_unicode_string_literal_repeat2 = 523,
  aux_sym_unicode_string_literal_repeat3 = 524,
  aux_sym_string_repeat1 = 525,
  aux_sym_string_repeat2 = 526,
  alias_sym_enum_value = 527,
  alias_sym_revert_arguments = 528,
  alias_sym_type_alias = 529,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_pragma] = "pragma",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_DASH] = "-",
  [anon_sym_solidity] = "solidity",
  [aux_sym_pragma_value_token1] = "pragma_value_token1",
  [sym_solidity_version] = "solidity_version",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_CARET] = "^",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_TILDE] = "~",
  [anon_sym_EQ] = "=",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_STAR] = "*",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_as] = "as",
  [anon_sym_type] = "type",
  [anon_sym_is] = "is",
  [anon_sym_constant] = "constant",
  [anon_sym_abstract] = "abstract",
  [anon_sym_contract] = "contract",
  [anon_sym_error] = "error",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_interface] = "interface",
  [anon_sym_library] = "library",
  [anon_sym_layout] = "layout",
  [anon_sym_at] = "at",
  [anon_sym_struct] = "struct",
  [anon_sym_enum] = "enum",
  [anon_sym_event] = "event",
  [anon_sym_anonymous] = "anonymous",
  [anon_sym_indexed] = "indexed",
  [anon_sym_using] = "using",
  [anon_sym_for] = "for",
  [anon_sym_global] = "global",
  [anon_sym_AMP] = "&",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_assembly] = "assembly",
  [anon_sym_DQUOTEevmasm_DQUOTE] = "\"evmasm\"",
  [anon_sym_COLON] = ":",
  [sym_yul_leave] = "yul_leave",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_DOT] = ".",
  [sym_yul_decimal_number] = "yul_decimal_number",
  [sym_yul_hex_number] = "yul_hex_number",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_let] = "let",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_default] = "default",
  [anon_sym_case] = "case",
  [anon_sym_function] = "function",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_stop] = "stop",
  [anon_sym_add] = "add",
  [anon_sym_sub] = "sub",
  [anon_sym_mul] = "mul",
  [anon_sym_div] = "div",
  [anon_sym_sdiv] = "sdiv",
  [anon_sym_mod] = "mod",
  [anon_sym_smod] = "smod",
  [anon_sym_exp] = "exp",
  [anon_sym_not] = "not",
  [anon_sym_lt] = "lt",
  [anon_sym_gt] = "gt",
  [anon_sym_slt] = "slt",
  [anon_sym_sgt] = "sgt",
  [anon_sym_eq] = "eq",
  [anon_sym_iszero] = "iszero",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_xor] = "xor",
  [anon_sym_byte] = "byte",
  [anon_sym_shl] = "shl",
  [anon_sym_shr] = "shr",
  [anon_sym_sar] = "sar",
  [anon_sym_addmod] = "addmod",
  [anon_sym_mulmod] = "mulmod",
  [anon_sym_signextend] = "signextend",
  [anon_sym_keccak256] = "keccak256",
  [anon_sym_pop] = "pop",
  [anon_sym_mload] = "mload",
  [anon_sym_mcopy] = "mcopy",
  [anon_sym_tload] = "tload",
  [anon_sym_tstore] = "tstore",
  [anon_sym_mstore] = "mstore",
  [anon_sym_mstore8] = "mstore8",
  [anon_sym_sload] = "sload",
  [anon_sym_sstore] = "sstore",
  [anon_sym_msize] = "msize",
  [anon_sym_gas] = "gas",
  [anon_sym_address] = "address",
  [anon_sym_balance] = "balance",
  [anon_sym_selfbalance] = "selfbalance",
  [anon_sym_caller] = "caller",
  [anon_sym_callvalue] = "callvalue",
  [anon_sym_calldataload] = "calldataload",
  [anon_sym_calldatasize] = "calldatasize",
  [anon_sym_calldatacopy] = "calldatacopy",
  [anon_sym_extcodesize] = "extcodesize",
  [anon_sym_extcodecopy] = "extcodecopy",
  [anon_sym_returndatasize] = "returndatasize",
  [anon_sym_returndatacopy] = "returndatacopy",
  [anon_sym_extcodehash] = "extcodehash",
  [anon_sym_create] = "create",
  [anon_sym_create2] = "create2",
  [anon_sym_call] = "call",
  [anon_sym_callcode] = "callcode",
  [anon_sym_delegatecall] = "delegatecall",
  [anon_sym_staticcall] = "staticcall",
  [anon_sym_return] = "return",
  [anon_sym_revert] = "revert",
  [anon_sym_selfdestruct] = "selfdestruct",
  [anon_sym_invalid] = "invalid",
  [anon_sym_log0] = "log0",
  [anon_sym_log1] = "log1",
  [anon_sym_log2] = "log2",
  [anon_sym_log3] = "log3",
  [anon_sym_log4] = "log4",
  [anon_sym_chainid] = "chainid",
  [anon_sym_origin] = "origin",
  [anon_sym_gasprice] = "gasprice",
  [anon_sym_blockhash] = "blockhash",
  [anon_sym_blobhash] = "blobhash",
  [anon_sym_basefee] = "basefee",
  [anon_sym_blobfee] = "blobfee",
  [anon_sym_coinbase] = "coinbase",
  [anon_sym_timestamp] = "timestamp",
  [anon_sym_number] = "number",
  [anon_sym_difficulty] = "difficulty",
  [anon_sym_gaslimit] = "gaslimit",
  [anon_sym_unchecked] = "unchecked",
  [anon_sym_memory] = "memory",
  [anon_sym_storage] = "storage",
  [anon_sym_calldata] = "calldata",
  [anon_sym_var] = "var",
  [anon_sym_else] = "else",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_returns] = "returns",
  [anon_sym_catch] = "catch",
  [anon_sym_emit] = "emit",
  [anon_sym_public] = "public",
  [anon_sym_internal] = "internal",
  [anon_sym_private] = "private",
  [anon_sym_external] = "external",
  [anon_sym_pure] = "pure",
  [anon_sym_view] = "view",
  [anon_sym_payable] = "payable",
  [anon_sym_transient] = "transient",
  [sym_immutable] = "immutable",
  [anon_sym_override] = "override",
  [anon_sym_modifier] = "modifier",
  [anon_sym_constructor] = "constructor",
  [anon_sym_fallback] = "fallback",
  [anon_sym_receive] = "receive",
  [sym_virtual] = "virtual",
  [anon_sym_QMARK] = "\?",
  [anon_sym_new] = "new",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_BANG] = "!",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_mapping] = "mapping",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_bool] = "bool",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [anon_sym_int8] = "int8",
  [anon_sym_int16] = "int16",
  [anon_sym_int24] = "int24",
  [anon_sym_int32] = "int32",
  [anon_sym_int40] = "int40",
  [anon_sym_int48] = "int48",
  [anon_sym_int56] = "int56",
  [anon_sym_int64] = "int64",
  [anon_sym_int72] = "int72",
  [anon_sym_int80] = "int80",
  [anon_sym_int88] = "int88",
  [anon_sym_int96] = "int96",
  [anon_sym_int104] = "int104",
  [anon_sym_int112] = "int112",
  [anon_sym_int120] = "int120",
  [anon_sym_int128] = "int128",
  [anon_sym_int136] = "int136",
  [anon_sym_int144] = "int144",
  [anon_sym_int152] = "int152",
  [anon_sym_int160] = "int160",
  [anon_sym_int168] = "int168",
  [anon_sym_int176] = "int176",
  [anon_sym_int184] = "int184",
  [anon_sym_int192] = "int192",
  [anon_sym_int200] = "int200",
  [anon_sym_int208] = "int208",
  [anon_sym_int216] = "int216",
  [anon_sym_int224] = "int224",
  [anon_sym_int232] = "int232",
  [anon_sym_int240] = "int240",
  [anon_sym_int248] = "int248",
  [anon_sym_int256] = "int256",
  [anon_sym_uint] = "uint",
  [anon_sym_uint8] = "uint8",
  [anon_sym_uint16] = "uint16",
  [anon_sym_uint24] = "uint24",
  [anon_sym_uint32] = "uint32",
  [anon_sym_uint40] = "uint40",
  [anon_sym_uint48] = "uint48",
  [anon_sym_uint56] = "uint56",
  [anon_sym_uint64] = "uint64",
  [anon_sym_uint72] = "uint72",
  [anon_sym_uint80] = "uint80",
  [anon_sym_uint88] = "uint88",
  [anon_sym_uint96] = "uint96",
  [anon_sym_uint104] = "uint104",
  [anon_sym_uint112] = "uint112",
  [anon_sym_uint120] = "uint120",
  [anon_sym_uint128] = "uint128",
  [anon_sym_uint136] = "uint136",
  [anon_sym_uint144] = "uint144",
  [anon_sym_uint152] = "uint152",
  [anon_sym_uint160] = "uint160",
  [anon_sym_uint168] = "uint168",
  [anon_sym_uint176] = "uint176",
  [anon_sym_uint184] = "uint184",
  [anon_sym_uint192] = "uint192",
  [anon_sym_uint200] = "uint200",
  [anon_sym_uint208] = "uint208",
  [anon_sym_uint216] = "uint216",
  [anon_sym_uint224] = "uint224",
  [anon_sym_uint232] = "uint232",
  [anon_sym_uint240] = "uint240",
  [anon_sym_uint248] = "uint248",
  [anon_sym_uint256] = "uint256",
  [anon_sym_bytes] = "bytes",
  [anon_sym_bytes1] = "bytes1",
  [anon_sym_bytes2] = "bytes2",
  [anon_sym_bytes3] = "bytes3",
  [anon_sym_bytes4] = "bytes4",
  [anon_sym_bytes5] = "bytes5",
  [anon_sym_bytes6] = "bytes6",
  [anon_sym_bytes7] = "bytes7",
  [anon_sym_bytes8] = "bytes8",
  [anon_sym_bytes9] = "bytes9",
  [anon_sym_bytes10] = "bytes10",
  [anon_sym_bytes11] = "bytes11",
  [anon_sym_bytes12] = "bytes12",
  [anon_sym_bytes13] = "bytes13",
  [anon_sym_bytes14] = "bytes14",
  [anon_sym_bytes15] = "bytes15",
  [anon_sym_bytes16] = "bytes16",
  [anon_sym_bytes17] = "bytes17",
  [anon_sym_bytes18] = "bytes18",
  [anon_sym_bytes19] = "bytes19",
  [anon_sym_bytes20] = "bytes20",
  [anon_sym_bytes21] = "bytes21",
  [anon_sym_bytes22] = "bytes22",
  [anon_sym_bytes23] = "bytes23",
  [anon_sym_bytes24] = "bytes24",
  [anon_sym_bytes25] = "bytes25",
  [anon_sym_bytes26] = "bytes26",
  [anon_sym_bytes27] = "bytes27",
  [anon_sym_bytes28] = "bytes28",
  [anon_sym_bytes29] = "bytes29",
  [anon_sym_bytes30] = "bytes30",
  [anon_sym_bytes31] = "bytes31",
  [anon_sym_bytes32] = "bytes32",
  [anon_sym_fixed] = "fixed",
  [aux_sym__fixed_token1] = "_fixed_token1",
  [anon_sym_ufixed] = "ufixed",
  [aux_sym__ufixed_token1] = "_ufixed_token1",
  [anon_sym_SEMI] = ";",
  [aux_sym__decimal_number_token1] = "_decimal_number_token1",
  [aux_sym__decimal_number_token2] = "_decimal_number_token2",
  [aux_sym__hex_number_token1] = "_hex_number_token1",
  [sym__hex_digit] = "_hex_digit",
  [anon_sym_wei] = "wei",
  [anon_sym_szabo] = "szabo",
  [anon_sym_finney] = "finney",
  [anon_sym_gwei] = "gwei",
  [anon_sym_ether] = "ether",
  [anon_sym_seconds] = "seconds",
  [anon_sym_minutes] = "minutes",
  [anon_sym_hours] = "hours",
  [anon_sym_days] = "days",
  [anon_sym_weeks] = "weeks",
  [anon_sym_years] = "years",
  [anon_sym_hex] = "hex",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym__] = "_",
  [anon_sym_SQUOTE] = "'",
  [sym__escape_sequence] = "_escape_sequence",
  [aux_sym__single_quoted_unicode_char_token1] = "_single_quoted_unicode_char_token1",
  [aux_sym__double_quoted_unicode_char_token1] = "_double_quoted_unicode_char_token1",
  [anon_sym_unicode] = "unicode",
  [sym_comment] = "comment",
  [sym_source_file] = "source_file",
  [sym__source_unit] = "_source_unit",
  [sym__directive] = "_directive",
  [sym_pragma_directive] = "pragma_directive",
  [sym_solidity_pragma_token] = "solidity_pragma_token",
  [sym_any_pragma_token] = "any_pragma_token",
  [sym__solidity] = "_solidity",
  [sym_pragma_value] = "pragma_value",
  [sym__pragma_version_constraint] = "_pragma_version_constraint",
  [sym_solidity_version_comparison_operator] = "solidity_version_comparison_operator",
  [sym_import_directive] = "import_directive",
  [sym__source_import] = "_source_import",
  [sym__import_clause] = "_import_clause",
  [sym__from_clause] = "_from_clause",
  [sym__single_import] = "_single_import",
  [sym__multiple_import] = "_multiple_import",
  [sym__import_declaration] = "_import_declaration",
  [sym__import_alias] = "_import_alias",
  [sym__declaration] = "_declaration",
  [sym_user_defined_type_definition] = "user_defined_type_definition",
  [sym_constant_variable_declaration] = "constant_variable_declaration",
  [sym_contract_declaration] = "contract_declaration",
  [sym_error_declaration] = "error_declaration",
  [sym_error_parameter] = "error_parameter",
  [sym_interface_declaration] = "interface_declaration",
  [sym_library_declaration] = "library_declaration",
  [sym_layout_specifier] = "layout_specifier",
  [sym__class_heritage] = "_class_heritage",
  [sym_inheritance_specifier] = "inheritance_specifier",
  [sym_contract_body] = "contract_body",
  [sym__contract_member] = "_contract_member",
  [sym_struct_declaration] = "struct_declaration",
  [sym_struct_member] = "struct_member",
  [sym_enum_declaration] = "enum_declaration",
  [sym_event_definition] = "event_definition",
  [sym__event_parameter_list] = "_event_parameter_list",
  [sym_event_paramater] = "event_paramater",
  [sym_using_directive] = "using_directive",
  [sym_any_source_type] = "any_source_type",
  [sym_user_definable_operator] = "user_definable_operator",
  [sym__statement] = "_statement",
  [sym_assembly_statement] = "assembly_statement",
  [sym__assembly_flags] = "_assembly_flags",
  [sym__yul_statement] = "_yul_statement",
  [sym_yul_label] = "yul_label",
  [sym_yul_break] = "yul_break",
  [sym_yul_continue] = "yul_continue",
  [sym_yul_identifier] = "yul_identifier",
  [sym__yul_expression] = "_yul_expression",
  [sym_yul_path] = "yul_path",
  [sym__yul_literal] = "_yul_literal",
  [sym_yul_string_literal] = "yul_string_literal",
  [sym_yul_boolean] = "yul_boolean",
  [sym_yul_block] = "yul_block",
  [sym_yul_variable_declaration] = "yul_variable_declaration",
  [sym__yul_assignment_operator] = "_yul_assignment_operator",
  [sym_yul_assignment] = "yul_assignment",
  [sym_yul_function_call] = "yul_function_call",
  [sym_yul_if_statement] = "yul_if_statement",
  [sym_yul_for_statement] = "yul_for_statement",
  [sym_yul_switch_statement] = "yul_switch_statement",
  [sym_yul_function_definition] = "yul_function_definition",
  [sym_yul_evm_builtin] = "yul_evm_builtin",
  [sym__unchecked] = "_unchecked",
  [sym_block_statement] = "block_statement",
  [sym_variable_declaration_statement] = "variable_declaration_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_variable_declaration_tuple] = "variable_declaration_tuple",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_while_statement] = "do_while_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_revert_statement] = "revert_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_return_statement] = "return_statement",
  [sym_emit_statement] = "emit_statement",
  [sym_state_variable_declaration] = "state_variable_declaration",
  [sym_visibility] = "visibility",
  [sym_state_mutability] = "state_mutability",
  [sym_state_location] = "state_location",
  [sym_override_specifier] = "override_specifier",
  [sym_modifier_definition] = "modifier_definition",
  [sym_constructor_definition] = "constructor_definition",
  [sym_fallback_definition] = "fallback_definition",
  [sym_receive_definition] = "receive_definition",
  [sym_function_definition] = "function_definition",
  [sym_return_type_definition] = "return_type_definition",
  [sym_modifier_invocation] = "modifier_invocation",
  [sym__call_arguments] = "_call_arguments",
  [sym_call_argument] = "call_argument",
  [sym_call_struct_argument] = "call_struct_argument",
  [sym_function_body] = "function_body",
  [sym__expression] = "_expression",
  [sym__primary_expression] = "_primary_expression",
  [sym_type_cast_expression] = "type_cast_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_new_expression] = "new_expression",
  [sym_tuple_expression] = "tuple_expression",
  [sym_inline_array_expression] = "inline_array_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_member_expression] = "member_expression",
  [sym_array_access] = "array_access",
  [sym_slice_access] = "slice_access",
  [sym_struct_expression] = "struct_expression",
  [sym_struct_field_assignment] = "struct_field_assignment",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym_call_expression] = "call_expression",
  [sym_payable_conversion_expression] = "payable_conversion_expression",
  [sym_meta_type_expression] = "meta_type_expression",
  [sym_type_name] = "type_name",
  [sym__array_type] = "_array_type",
  [sym__function_type] = "_function_type",
  [sym__parameter_list] = "_parameter_list",
  [sym__return_parameters] = "_return_parameters",
  [sym__nameless_parameter] = "return_parameter",
  [sym_parameter] = "parameter",
  [sym__storage_location] = "_storage_location",
  [sym_user_defined_type] = "user_defined_type",
  [sym__identifier_path] = "_identifier_path",
  [sym__mapping] = "_mapping",
  [sym__mapping_key] = "_mapping_key",
  [sym_primitive_type] = "primitive_type",
  [sym__int] = "_int",
  [sym__uint] = "_uint",
  [sym__bytes] = "_bytes",
  [sym__fixed] = "_fixed",
  [sym__ufixed] = "_ufixed",
  [sym__semicolon] = "_semicolon",
  [sym__literal] = "_literal",
  [sym_string_literal] = "string_literal",
  [sym_number_literal] = "number_literal",
  [sym__decimal_number] = "_decimal_number",
  [sym__hex_number] = "_hex_number",
  [sym_number_unit] = "number_unit",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_boolean_literal] = "boolean_literal",
  [sym_hex_string_literal] = "hex_string_literal",
  [sym__single_quoted_unicode_char] = "_single_quoted_unicode_char",
  [sym__double_quoted_unicode_char] = "_double_quoted_unicode_char",
  [sym_unicode_string_literal] = "unicode_string_literal",
  [sym_string] = "string",
  [sym__string_immediate_elt_inside_double_quote] = "_string_immediate_elt_inside_double_quote",
  [sym__string_immediate_elt_inside_quote] = "_string_immediate_elt_inside_quote",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_solidity_pragma_token_repeat1] = "solidity_pragma_token_repeat1",
  [aux_sym__multiple_import_repeat1] = "_multiple_import_repeat1",
  [aux_sym_error_declaration_repeat1] = "error_declaration_repeat1",
  [aux_sym__class_heritage_repeat1] = "_class_heritage_repeat1",
  [aux_sym_contract_body_repeat1] = "contract_body_repeat1",
  [aux_sym_struct_declaration_repeat1] = "struct_declaration_repeat1",
  [aux_sym_enum_declaration_repeat1] = "enum_declaration_repeat1",
  [aux_sym__event_parameter_list_repeat1] = "_event_parameter_list_repeat1",
  [aux_sym_using_directive_repeat1] = "using_directive_repeat1",
  [aux_sym_assembly_statement_repeat1] = "assembly_statement_repeat1",
  [aux_sym__assembly_flags_repeat1] = "_assembly_flags_repeat1",
  [aux_sym_yul_path_repeat1] = "yul_path_repeat1",
  [aux_sym_yul_variable_declaration_repeat1] = "yul_variable_declaration_repeat1",
  [aux_sym_yul_assignment_repeat1] = "yul_assignment_repeat1",
  [aux_sym_yul_function_call_repeat1] = "yul_function_call_repeat1",
  [aux_sym_yul_switch_statement_repeat1] = "yul_switch_statement_repeat1",
  [aux_sym_block_statement_repeat1] = "block_statement_repeat1",
  [aux_sym_variable_declaration_tuple_repeat1] = "variable_declaration_tuple_repeat1",
  [aux_sym_variable_declaration_tuple_repeat2] = "variable_declaration_tuple_repeat2",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_state_variable_declaration_repeat1] = "state_variable_declaration_repeat1",
  [aux_sym_override_specifier_repeat1] = "override_specifier_repeat1",
  [aux_sym_modifier_definition_repeat1] = "modifier_definition_repeat1",
  [aux_sym_constructor_definition_repeat1] = "constructor_definition_repeat1",
  [aux_sym_fallback_definition_repeat1] = "fallback_definition_repeat1",
  [aux_sym_receive_definition_repeat1] = "receive_definition_repeat1",
  [aux_sym_function_definition_repeat1] = "function_definition_repeat1",
  [aux_sym__call_arguments_repeat1] = "_call_arguments_repeat1",
  [aux_sym_call_argument_repeat1] = "call_argument_repeat1",
  [aux_sym_tuple_expression_repeat1] = "tuple_expression_repeat1",
  [aux_sym_inline_array_expression_repeat1] = "inline_array_expression_repeat1",
  [aux_sym_struct_expression_repeat1] = "struct_expression_repeat1",
  [aux_sym__function_type_repeat1] = "_function_type_repeat1",
  [aux_sym__parameter_list_repeat1] = "_parameter_list_repeat1",
  [aux_sym__return_parameters_repeat1] = "_return_parameters_repeat1",
  [aux_sym__identifier_path_repeat1] = "_identifier_path_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym_hex_string_literal_repeat1] = "hex_string_literal_repeat1",
  [aux_sym_hex_string_literal_repeat2] = "hex_string_literal_repeat2",
  [aux_sym_unicode_string_literal_repeat1] = "unicode_string_literal_repeat1",
  [aux_sym_unicode_string_literal_repeat2] = "unicode_string_literal_repeat2",
  [aux_sym_unicode_string_literal_repeat3] = "unicode_string_literal_repeat3",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [alias_sym_enum_value] = "enum_value",
  [alias_sym_revert_arguments] = "revert_arguments",
  [alias_sym_type_alias] = "type_alias",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_pragma] = anon_sym_pragma,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_solidity] = anon_sym_solidity,
  [aux_sym_pragma_value_token1] = aux_sym_pragma_value_token1,
  [sym_solidity_version] = sym_solidity_version,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_constant] = anon_sym_constant,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_contract] = anon_sym_contract,
  [anon_sym_error] = anon_sym_error,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_library] = anon_sym_library,
  [anon_sym_layout] = anon_sym_layout,
  [anon_sym_at] = anon_sym_at,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_event] = anon_sym_event,
  [anon_sym_anonymous] = anon_sym_anonymous,
  [anon_sym_indexed] = anon_sym_indexed,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_assembly] = anon_sym_assembly,
  [anon_sym_DQUOTEevmasm_DQUOTE] = anon_sym_DQUOTEevmasm_DQUOTE,
  [anon_sym_COLON] = anon_sym_COLON,
  [sym_yul_leave] = sym_yul_leave,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_DOT] = anon_sym_DOT,
  [sym_yul_decimal_number] = sym_yul_decimal_number,
  [sym_yul_hex_number] = sym_yul_hex_number,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_stop] = anon_sym_stop,
  [anon_sym_add] = anon_sym_add,
  [anon_sym_sub] = anon_sym_sub,
  [anon_sym_mul] = anon_sym_mul,
  [anon_sym_div] = anon_sym_div,
  [anon_sym_sdiv] = anon_sym_sdiv,
  [anon_sym_mod] = anon_sym_mod,
  [anon_sym_smod] = anon_sym_smod,
  [anon_sym_exp] = anon_sym_exp,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_lt] = anon_sym_lt,
  [anon_sym_gt] = anon_sym_gt,
  [anon_sym_slt] = anon_sym_slt,
  [anon_sym_sgt] = anon_sym_sgt,
  [anon_sym_eq] = anon_sym_eq,
  [anon_sym_iszero] = anon_sym_iszero,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_xor] = anon_sym_xor,
  [anon_sym_byte] = anon_sym_byte,
  [anon_sym_shl] = anon_sym_shl,
  [anon_sym_shr] = anon_sym_shr,
  [anon_sym_sar] = anon_sym_sar,
  [anon_sym_addmod] = anon_sym_addmod,
  [anon_sym_mulmod] = anon_sym_mulmod,
  [anon_sym_signextend] = anon_sym_signextend,
  [anon_sym_keccak256] = anon_sym_keccak256,
  [anon_sym_pop] = anon_sym_pop,
  [anon_sym_mload] = anon_sym_mload,
  [anon_sym_mcopy] = anon_sym_mcopy,
  [anon_sym_tload] = anon_sym_tload,
  [anon_sym_tstore] = anon_sym_tstore,
  [anon_sym_mstore] = anon_sym_mstore,
  [anon_sym_mstore8] = anon_sym_mstore8,
  [anon_sym_sload] = anon_sym_sload,
  [anon_sym_sstore] = anon_sym_sstore,
  [anon_sym_msize] = anon_sym_msize,
  [anon_sym_gas] = anon_sym_gas,
  [anon_sym_address] = anon_sym_address,
  [anon_sym_balance] = anon_sym_balance,
  [anon_sym_selfbalance] = anon_sym_selfbalance,
  [anon_sym_caller] = anon_sym_caller,
  [anon_sym_callvalue] = anon_sym_callvalue,
  [anon_sym_calldataload] = anon_sym_calldataload,
  [anon_sym_calldatasize] = anon_sym_calldatasize,
  [anon_sym_calldatacopy] = anon_sym_calldatacopy,
  [anon_sym_extcodesize] = anon_sym_extcodesize,
  [anon_sym_extcodecopy] = anon_sym_extcodecopy,
  [anon_sym_returndatasize] = anon_sym_returndatasize,
  [anon_sym_returndatacopy] = anon_sym_returndatacopy,
  [anon_sym_extcodehash] = anon_sym_extcodehash,
  [anon_sym_create] = anon_sym_create,
  [anon_sym_create2] = anon_sym_create2,
  [anon_sym_call] = anon_sym_call,
  [anon_sym_callcode] = anon_sym_callcode,
  [anon_sym_delegatecall] = anon_sym_delegatecall,
  [anon_sym_staticcall] = anon_sym_staticcall,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_revert] = anon_sym_revert,
  [anon_sym_selfdestruct] = anon_sym_selfdestruct,
  [anon_sym_invalid] = anon_sym_invalid,
  [anon_sym_log0] = anon_sym_log0,
  [anon_sym_log1] = anon_sym_log1,
  [anon_sym_log2] = anon_sym_log2,
  [anon_sym_log3] = anon_sym_log3,
  [anon_sym_log4] = anon_sym_log4,
  [anon_sym_chainid] = anon_sym_chainid,
  [anon_sym_origin] = anon_sym_origin,
  [anon_sym_gasprice] = anon_sym_gasprice,
  [anon_sym_blockhash] = anon_sym_blockhash,
  [anon_sym_blobhash] = anon_sym_blobhash,
  [anon_sym_basefee] = anon_sym_basefee,
  [anon_sym_blobfee] = anon_sym_blobfee,
  [anon_sym_coinbase] = anon_sym_coinbase,
  [anon_sym_timestamp] = anon_sym_timestamp,
  [anon_sym_number] = anon_sym_number,
  [anon_sym_difficulty] = anon_sym_difficulty,
  [anon_sym_gaslimit] = anon_sym_gaslimit,
  [anon_sym_unchecked] = anon_sym_unchecked,
  [anon_sym_memory] = anon_sym_memory,
  [anon_sym_storage] = anon_sym_storage,
  [anon_sym_calldata] = anon_sym_calldata,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_returns] = anon_sym_returns,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_emit] = anon_sym_emit,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_internal] = anon_sym_internal,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_external] = anon_sym_external,
  [anon_sym_pure] = anon_sym_pure,
  [anon_sym_view] = anon_sym_view,
  [anon_sym_payable] = anon_sym_payable,
  [anon_sym_transient] = anon_sym_transient,
  [sym_immutable] = sym_immutable,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_modifier] = anon_sym_modifier,
  [anon_sym_constructor] = anon_sym_constructor,
  [anon_sym_fallback] = anon_sym_fallback,
  [anon_sym_receive] = anon_sym_receive,
  [sym_virtual] = sym_virtual,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_mapping] = anon_sym_mapping,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [anon_sym_int8] = anon_sym_int8,
  [anon_sym_int16] = anon_sym_int16,
  [anon_sym_int24] = anon_sym_int24,
  [anon_sym_int32] = anon_sym_int32,
  [anon_sym_int40] = anon_sym_int40,
  [anon_sym_int48] = anon_sym_int48,
  [anon_sym_int56] = anon_sym_int56,
  [anon_sym_int64] = anon_sym_int64,
  [anon_sym_int72] = anon_sym_int72,
  [anon_sym_int80] = anon_sym_int80,
  [anon_sym_int88] = anon_sym_int88,
  [anon_sym_int96] = anon_sym_int96,
  [anon_sym_int104] = anon_sym_int104,
  [anon_sym_int112] = anon_sym_int112,
  [anon_sym_int120] = anon_sym_int120,
  [anon_sym_int128] = anon_sym_int128,
  [anon_sym_int136] = anon_sym_int136,
  [anon_sym_int144] = anon_sym_int144,
  [anon_sym_int152] = anon_sym_int152,
  [anon_sym_int160] = anon_sym_int160,
  [anon_sym_int168] = anon_sym_int168,
  [anon_sym_int176] = anon_sym_int176,
  [anon_sym_int184] = anon_sym_int184,
  [anon_sym_int192] = anon_sym_int192,
  [anon_sym_int200] = anon_sym_int200,
  [anon_sym_int208] = anon_sym_int208,
  [anon_sym_int216] = anon_sym_int216,
  [anon_sym_int224] = anon_sym_int224,
  [anon_sym_int232] = anon_sym_int232,
  [anon_sym_int240] = anon_sym_int240,
  [anon_sym_int248] = anon_sym_int248,
  [anon_sym_int256] = anon_sym_int256,
  [anon_sym_uint] = anon_sym_uint,
  [anon_sym_uint8] = anon_sym_uint8,
  [anon_sym_uint16] = anon_sym_uint16,
  [anon_sym_uint24] = anon_sym_uint24,
  [anon_sym_uint32] = anon_sym_uint32,
  [anon_sym_uint40] = anon_sym_uint40,
  [anon_sym_uint48] = anon_sym_uint48,
  [anon_sym_uint56] = anon_sym_uint56,
  [anon_sym_uint64] = anon_sym_uint64,
  [anon_sym_uint72] = anon_sym_uint72,
  [anon_sym_uint80] = anon_sym_uint80,
  [anon_sym_uint88] = anon_sym_uint88,
  [anon_sym_uint96] = anon_sym_uint96,
  [anon_sym_uint104] = anon_sym_uint104,
  [anon_sym_uint112] = anon_sym_uint112,
  [anon_sym_uint120] = anon_sym_uint120,
  [anon_sym_uint128] = anon_sym_uint128,
  [anon_sym_uint136] = anon_sym_uint136,
  [anon_sym_uint144] = anon_sym_uint144,
  [anon_sym_uint152] = anon_sym_uint152,
  [anon_sym_uint160] = anon_sym_uint160,
  [anon_sym_uint168] = anon_sym_uint168,
  [anon_sym_uint176] = anon_sym_uint176,
  [anon_sym_uint184] = anon_sym_uint184,
  [anon_sym_uint192] = anon_sym_uint192,
  [anon_sym_uint200] = anon_sym_uint200,
  [anon_sym_uint208] = anon_sym_uint208,
  [anon_sym_uint216] = anon_sym_uint216,
  [anon_sym_uint224] = anon_sym_uint224,
  [anon_sym_uint232] = anon_sym_uint232,
  [anon_sym_uint240] = anon_sym_uint240,
  [anon_sym_uint248] = anon_sym_uint248,
  [anon_sym_uint256] = anon_sym_uint256,
  [anon_sym_bytes] = anon_sym_bytes,
  [anon_sym_bytes1] = anon_sym_bytes1,
  [anon_sym_bytes2] = anon_sym_bytes2,
  [anon_sym_bytes3] = anon_sym_bytes3,
  [anon_sym_bytes4] = anon_sym_bytes4,
  [anon_sym_bytes5] = anon_sym_bytes5,
  [anon_sym_bytes6] = anon_sym_bytes6,
  [anon_sym_bytes7] = anon_sym_bytes7,
  [anon_sym_bytes8] = anon_sym_bytes8,
  [anon_sym_bytes9] = anon_sym_bytes9,
  [anon_sym_bytes10] = anon_sym_bytes10,
  [anon_sym_bytes11] = anon_sym_bytes11,
  [anon_sym_bytes12] = anon_sym_bytes12,
  [anon_sym_bytes13] = anon_sym_bytes13,
  [anon_sym_bytes14] = anon_sym_bytes14,
  [anon_sym_bytes15] = anon_sym_bytes15,
  [anon_sym_bytes16] = anon_sym_bytes16,
  [anon_sym_bytes17] = anon_sym_bytes17,
  [anon_sym_bytes18] = anon_sym_bytes18,
  [anon_sym_bytes19] = anon_sym_bytes19,
  [anon_sym_bytes20] = anon_sym_bytes20,
  [anon_sym_bytes21] = anon_sym_bytes21,
  [anon_sym_bytes22] = anon_sym_bytes22,
  [anon_sym_bytes23] = anon_sym_bytes23,
  [anon_sym_bytes24] = anon_sym_bytes24,
  [anon_sym_bytes25] = anon_sym_bytes25,
  [anon_sym_bytes26] = anon_sym_bytes26,
  [anon_sym_bytes27] = anon_sym_bytes27,
  [anon_sym_bytes28] = anon_sym_bytes28,
  [anon_sym_bytes29] = anon_sym_bytes29,
  [anon_sym_bytes30] = anon_sym_bytes30,
  [anon_sym_bytes31] = anon_sym_bytes31,
  [anon_sym_bytes32] = anon_sym_bytes32,
  [anon_sym_fixed] = anon_sym_fixed,
  [aux_sym__fixed_token1] = aux_sym__fixed_token1,
  [anon_sym_ufixed] = anon_sym_ufixed,
  [aux_sym__ufixed_token1] = aux_sym__ufixed_token1,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [aux_sym__decimal_number_token1] = aux_sym__decimal_number_token1,
  [aux_sym__decimal_number_token2] = aux_sym__decimal_number_token2,
  [aux_sym__hex_number_token1] = aux_sym__hex_number_token1,
  [sym__hex_digit] = sym__hex_digit,
  [anon_sym_wei] = anon_sym_wei,
  [anon_sym_szabo] = anon_sym_szabo,
  [anon_sym_finney] = anon_sym_finney,
  [anon_sym_gwei] = anon_sym_gwei,
  [anon_sym_ether] = anon_sym_ether,
  [anon_sym_seconds] = anon_sym_seconds,
  [anon_sym_minutes] = anon_sym_minutes,
  [anon_sym_hours] = anon_sym_hours,
  [anon_sym_days] = anon_sym_days,
  [anon_sym_weeks] = anon_sym_weeks,
  [anon_sym_years] = anon_sym_years,
  [anon_sym_hex] = anon_sym_hex,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym__] = anon_sym__,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym__escape_sequence] = sym__escape_sequence,
  [aux_sym__single_quoted_unicode_char_token1] = aux_sym__single_quoted_unicode_char_token1,
  [aux_sym__double_quoted_unicode_char_token1] = aux_sym__double_quoted_unicode_char_token1,
  [anon_sym_unicode] = anon_sym_unicode,
  [sym_comment] = sym_comment,
  [sym_source_file] = sym_source_file,
  [sym__source_unit] = sym__source_unit,
  [sym__directive] = sym__directive,
  [sym_pragma_directive] = sym_pragma_directive,
  [sym_solidity_pragma_token] = sym_solidity_pragma_token,
  [sym_any_pragma_token] = sym_any_pragma_token,
  [sym__solidity] = sym__solidity,
  [sym_pragma_value] = sym_pragma_value,
  [sym__pragma_version_constraint] = sym__pragma_version_constraint,
  [sym_solidity_version_comparison_operator] = sym_solidity_version_comparison_operator,
  [sym_import_directive] = sym_import_directive,
  [sym__source_import] = sym__source_import,
  [sym__import_clause] = sym__import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym__single_import] = sym__single_import,
  [sym__multiple_import] = sym__multiple_import,
  [sym__import_declaration] = sym__import_declaration,
  [sym__import_alias] = sym__import_alias,
  [sym__declaration] = sym__declaration,
  [sym_user_defined_type_definition] = sym_user_defined_type_definition,
  [sym_constant_variable_declaration] = sym_constant_variable_declaration,
  [sym_contract_declaration] = sym_contract_declaration,
  [sym_error_declaration] = sym_error_declaration,
  [sym_error_parameter] = sym_error_parameter,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_library_declaration] = sym_library_declaration,
  [sym_layout_specifier] = sym_layout_specifier,
  [sym__class_heritage] = sym__class_heritage,
  [sym_inheritance_specifier] = sym_inheritance_specifier,
  [sym_contract_body] = sym_contract_body,
  [sym__contract_member] = sym__contract_member,
  [sym_struct_declaration] = sym_struct_declaration,
  [sym_struct_member] = sym_struct_member,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_event_definition] = sym_event_definition,
  [sym__event_parameter_list] = sym__event_parameter_list,
  [sym_event_paramater] = sym_event_paramater,
  [sym_using_directive] = sym_using_directive,
  [sym_any_source_type] = sym_any_source_type,
  [sym_user_definable_operator] = sym_user_definable_operator,
  [sym__statement] = sym__statement,
  [sym_assembly_statement] = sym_assembly_statement,
  [sym__assembly_flags] = sym__assembly_flags,
  [sym__yul_statement] = sym__yul_statement,
  [sym_yul_label] = sym_yul_label,
  [sym_yul_break] = sym_yul_break,
  [sym_yul_continue] = sym_yul_continue,
  [sym_yul_identifier] = sym_yul_identifier,
  [sym__yul_expression] = sym__yul_expression,
  [sym_yul_path] = sym_yul_path,
  [sym__yul_literal] = sym__yul_literal,
  [sym_yul_string_literal] = sym_yul_string_literal,
  [sym_yul_boolean] = sym_yul_boolean,
  [sym_yul_block] = sym_yul_block,
  [sym_yul_variable_declaration] = sym_yul_variable_declaration,
  [sym__yul_assignment_operator] = sym__yul_assignment_operator,
  [sym_yul_assignment] = sym_yul_assignment,
  [sym_yul_function_call] = sym_yul_function_call,
  [sym_yul_if_statement] = sym_yul_if_statement,
  [sym_yul_for_statement] = sym_yul_for_statement,
  [sym_yul_switch_statement] = sym_yul_switch_statement,
  [sym_yul_function_definition] = sym_yul_function_definition,
  [sym_yul_evm_builtin] = sym_yul_evm_builtin,
  [sym__unchecked] = sym__unchecked,
  [sym_block_statement] = sym_block_statement,
  [sym_variable_declaration_statement] = sym_variable_declaration_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_variable_declaration_tuple] = sym_variable_declaration_tuple,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_while_statement] = sym_do_while_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_revert_statement] = sym_revert_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_return_statement] = sym_return_statement,
  [sym_emit_statement] = sym_emit_statement,
  [sym_state_variable_declaration] = sym_state_variable_declaration,
  [sym_visibility] = sym_visibility,
  [sym_state_mutability] = sym_state_mutability,
  [sym_state_location] = sym_state_location,
  [sym_override_specifier] = sym_override_specifier,
  [sym_modifier_definition] = sym_modifier_definition,
  [sym_constructor_definition] = sym_constructor_definition,
  [sym_fallback_definition] = sym_fallback_definition,
  [sym_receive_definition] = sym_receive_definition,
  [sym_function_definition] = sym_function_definition,
  [sym_return_type_definition] = sym_return_type_definition,
  [sym_modifier_invocation] = sym_modifier_invocation,
  [sym__call_arguments] = sym__call_arguments,
  [sym_call_argument] = sym_call_argument,
  [sym_call_struct_argument] = sym_call_struct_argument,
  [sym_function_body] = sym_function_body,
  [sym__expression] = sym__expression,
  [sym__primary_expression] = sym__primary_expression,
  [sym_type_cast_expression] = sym_type_cast_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_tuple_expression] = sym_tuple_expression,
  [sym_inline_array_expression] = sym_inline_array_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_array_access] = sym_array_access,
  [sym_slice_access] = sym_slice_access,
  [sym_struct_expression] = sym_struct_expression,
  [sym_struct_field_assignment] = sym_struct_field_assignment,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_payable_conversion_expression] = sym_payable_conversion_expression,
  [sym_meta_type_expression] = sym_meta_type_expression,
  [sym_type_name] = sym_type_name,
  [sym__array_type] = sym__array_type,
  [sym__function_type] = sym__function_type,
  [sym__parameter_list] = sym__parameter_list,
  [sym__return_parameters] = sym__return_parameters,
  [sym__nameless_parameter] = sym__nameless_parameter,
  [sym_parameter] = sym_parameter,
  [sym__storage_location] = sym__storage_location,
  [sym_user_defined_type] = sym_user_defined_type,
  [sym__identifier_path] = sym__identifier_path,
  [sym__mapping] = sym__mapping,
  [sym__mapping_key] = sym__mapping_key,
  [sym_primitive_type] = sym_primitive_type,
  [sym__int] = sym__int,
  [sym__uint] = sym__uint,
  [sym__bytes] = sym__bytes,
  [sym__fixed] = sym__fixed,
  [sym__ufixed] = sym__ufixed,
  [sym__semicolon] = sym__semicolon,
  [sym__literal] = sym__literal,
  [sym_string_literal] = sym_string_literal,
  [sym_number_literal] = sym_number_literal,
  [sym__decimal_number] = sym__decimal_number,
  [sym__hex_number] = sym__hex_number,
  [sym_number_unit] = sym_number_unit,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_boolean_literal] = sym_boolean_literal,
  [sym_hex_string_literal] = sym_hex_string_literal,
  [sym__single_quoted_unicode_char] = sym__single_quoted_unicode_char,
  [sym__double_quoted_unicode_char] = sym__double_quoted_unicode_char,
  [sym_unicode_string_literal] = sym_unicode_string_literal,
  [sym_string] = sym_string,
  [sym__string_immediate_elt_inside_double_quote] = sym__string_immediate_elt_inside_double_quote,
  [sym__string_immediate_elt_inside_quote] = sym__string_immediate_elt_inside_quote,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_solidity_pragma_token_repeat1] = aux_sym_solidity_pragma_token_repeat1,
  [aux_sym__multiple_import_repeat1] = aux_sym__multiple_import_repeat1,
  [aux_sym_error_declaration_repeat1] = aux_sym_error_declaration_repeat1,
  [aux_sym__class_heritage_repeat1] = aux_sym__class_heritage_repeat1,
  [aux_sym_contract_body_repeat1] = aux_sym_contract_body_repeat1,
  [aux_sym_struct_declaration_repeat1] = aux_sym_struct_declaration_repeat1,
  [aux_sym_enum_declaration_repeat1] = aux_sym_enum_declaration_repeat1,
  [aux_sym__event_parameter_list_repeat1] = aux_sym__event_parameter_list_repeat1,
  [aux_sym_using_directive_repeat1] = aux_sym_using_directive_repeat1,
  [aux_sym_assembly_statement_repeat1] = aux_sym_assembly_statement_repeat1,
  [aux_sym__assembly_flags_repeat1] = aux_sym__assembly_flags_repeat1,
  [aux_sym_yul_path_repeat1] = aux_sym_yul_path_repeat1,
  [aux_sym_yul_variable_declaration_repeat1] = aux_sym_yul_variable_declaration_repeat1,
  [aux_sym_yul_assignment_repeat1] = aux_sym_yul_assignment_repeat1,
  [aux_sym_yul_function_call_repeat1] = aux_sym_yul_function_call_repeat1,
  [aux_sym_yul_switch_statement_repeat1] = aux_sym_yul_switch_statement_repeat1,
  [aux_sym_block_statement_repeat1] = aux_sym_block_statement_repeat1,
  [aux_sym_variable_declaration_tuple_repeat1] = aux_sym_variable_declaration_tuple_repeat1,
  [aux_sym_variable_declaration_tuple_repeat2] = aux_sym_variable_declaration_tuple_repeat2,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_state_variable_declaration_repeat1] = aux_sym_state_variable_declaration_repeat1,
  [aux_sym_override_specifier_repeat1] = aux_sym_override_specifier_repeat1,
  [aux_sym_modifier_definition_repeat1] = aux_sym_modifier_definition_repeat1,
  [aux_sym_constructor_definition_repeat1] = aux_sym_constructor_definition_repeat1,
  [aux_sym_fallback_definition_repeat1] = aux_sym_fallback_definition_repeat1,
  [aux_sym_receive_definition_repeat1] = aux_sym_receive_definition_repeat1,
  [aux_sym_function_definition_repeat1] = aux_sym_function_definition_repeat1,
  [aux_sym__call_arguments_repeat1] = aux_sym__call_arguments_repeat1,
  [aux_sym_call_argument_repeat1] = aux_sym_call_argument_repeat1,
  [aux_sym_tuple_expression_repeat1] = aux_sym_tuple_expression_repeat1,
  [aux_sym_inline_array_expression_repeat1] = aux_sym_inline_array_expression_repeat1,
  [aux_sym_struct_expression_repeat1] = aux_sym_struct_expression_repeat1,
  [aux_sym__function_type_repeat1] = aux_sym__function_type_repeat1,
  [aux_sym__parameter_list_repeat1] = aux_sym__parameter_list_repeat1,
  [aux_sym__return_parameters_repeat1] = aux_sym__return_parameters_repeat1,
  [aux_sym__identifier_path_repeat1] = aux_sym__identifier_path_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym_hex_string_literal_repeat1] = aux_sym_hex_string_literal_repeat1,
  [aux_sym_hex_string_literal_repeat2] = aux_sym_hex_string_literal_repeat2,
  [aux_sym_unicode_string_literal_repeat1] = aux_sym_unicode_string_literal_repeat1,
  [aux_sym_unicode_string_literal_repeat2] = aux_sym_unicode_string_literal_repeat2,
  [aux_sym_unicode_string_literal_repeat3] = aux_sym_unicode_string_literal_repeat3,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [alias_sym_enum_value] = alias_sym_enum_value,
  [alias_sym_revert_arguments] = alias_sym_revert_arguments,
  [alias_sym_type_alias] = alias_sym_type_alias,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_pragma] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_solidity] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pragma_value_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_solidity_version] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constant] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_contract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_error] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_library] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_layout] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_at] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_event] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_anonymous] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_indexed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assembly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTEevmasm_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [sym_yul_leave] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_yul_decimal_number] = {
    .visible = true,
    .named = true,
  },
  [sym_yul_hex_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_stop] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_add] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sub] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mul] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_div] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sdiv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mod] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_smod] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_gt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_slt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sgt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iszero] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_byte] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_shl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_shr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sar] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_addmod] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mulmod] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signextend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_keccak256] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pop] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mload] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mcopy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_tload] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_tstore] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mstore] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mstore8] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sload] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sstore] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_msize] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_gas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_address] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_balance] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_selfbalance] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_caller] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_callvalue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_calldataload] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_calldatasize] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_calldatacopy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extcodesize] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extcodecopy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_returndatasize] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_returndatacopy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extcodehash] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_create] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_create2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_call] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_callcode] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delegatecall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_staticcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_revert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_selfdestruct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_invalid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_log0] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_log1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_log2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_log3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_log4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chainid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_origin] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_gasprice] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_blockhash] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_blobhash] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_basefee] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_blobfee] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_coinbase] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_timestamp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_number] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_difficulty] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_gaslimit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unchecked] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_memory] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_storage] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_calldata] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_returns] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_emit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_internal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_external] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pure] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_view] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_payable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transient] = {
    .visible = true,
    .named = false,
  },
  [sym_immutable] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_modifier] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constructor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fallback] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_receive] = {
    .visible = true,
    .named = false,
  },
  [sym_virtual] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mapping] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int8] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int16] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int24] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int32] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int40] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int48] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int56] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int64] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int72] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int80] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int88] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int96] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int104] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int112] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int120] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int128] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int136] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int144] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int152] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int160] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int168] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int176] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int184] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int192] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int200] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int208] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int216] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int224] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int232] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int240] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int248] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int256] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint8] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint16] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint24] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint32] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint40] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint48] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint56] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint64] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint72] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint80] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint88] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint96] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint104] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint112] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint120] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint128] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint136] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint144] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint152] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint160] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint168] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint176] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint184] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint192] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint200] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint208] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint216] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint224] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint232] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint240] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint248] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uint256] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes5] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes6] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes7] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes8] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes9] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes10] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes11] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes12] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes13] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes14] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes15] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes16] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes17] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes18] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes19] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes20] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes21] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes22] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes23] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes24] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes25] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes26] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes27] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes28] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes29] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes30] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes31] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes32] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fixed] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__fixed_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_ufixed] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__ufixed_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__decimal_number_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__decimal_number_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__hex_number_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__hex_digit] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_wei] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_szabo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finney] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_gwei] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ether] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_seconds] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_minutes] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hours] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_days] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_weeks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_years] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hex] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym__escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__single_quoted_unicode_char_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__double_quoted_unicode_char_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_unicode] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__source_unit] = {
    .visible = false,
    .named = true,
  },
  [sym__directive] = {
    .visible = false,
    .named = true,
  },
  [sym_pragma_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_solidity_pragma_token] = {
    .visible = true,
    .named = true,
  },
  [sym_any_pragma_token] = {
    .visible = true,
    .named = true,
  },
  [sym__solidity] = {
    .visible = false,
    .named = true,
  },
  [sym_pragma_value] = {
    .visible = true,
    .named = true,
  },
  [sym__pragma_version_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym_solidity_version_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_import_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__source_import] = {
    .visible = false,
    .named = true,
  },
  [sym__import_clause] = {
    .visible = false,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym__single_import] = {
    .visible = false,
    .named = true,
  },
  [sym__multiple_import] = {
    .visible = false,
    .named = true,
  },
  [sym__import_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__import_alias] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_user_defined_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_contract_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_error_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_error_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_library_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_layout_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__class_heritage] = {
    .visible = false,
    .named = true,
  },
  [sym_inheritance_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_contract_body] = {
    .visible = true,
    .named = true,
  },
  [sym__contract_member] = {
    .visible = false,
    .named = true,
  },
  [sym_struct_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_member] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_event_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__event_parameter_list] = {
    .visible = false,
    .named = true,
  },
  [sym_event_paramater] = {
    .visible = true,
    .named = true,
  },
  [sym_using_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_any_source_type] = {
    .visible = true,
    .named = true,
  },
  [sym_user_definable_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym_assembly_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__assembly_flags] = {
    .visible = false,
    .named = true,
  },
  [sym__yul_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_yul_label] = {
    .visible = true,
    .named = true,
  },
  [sym_yul_break] = {
    .visible = true,
    .named = true,
  },
  [sym_yul_continue] = {
    .visible = true,
    .named = true,
  },
  [sym_yul_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__yul_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_yul_path] = {
    .visible = true,
    .named = true,
  },
  [sym__yul_literal] = {
    .visible = false,
    .named = true,
  },
  [sym_yul_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_yul_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_yul_block] = {
    .visible = true,
    .named = true,
  },
  [sym_yul_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__yul_assignment_operator] = {
    .visible = false,
    .named = true,
  },
  [sym_yul_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_yul_function_call] = {
    .visible = true,
    .named = true,
  },
  [sym_yul_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_yul_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_yul_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_yul_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_yul_evm_builtin] = {
    .visible = true,
    .named = true,
  },
  [sym__unchecked] = {
    .visible = false,
    .named = true,
  },
  [sym_block_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_revert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_emit_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_state_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility] = {
    .visible = true,
    .named = true,
  },
  [sym_state_mutability] = {
    .visible = true,
    .named = true,
  },
  [sym_state_location] = {
    .visible = true,
    .named = true,
  },
  [sym_override_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_modifier_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_fallback_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_receive_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_return_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_modifier_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym__call_arguments] = {
    .visible = false,
    .named = true,
  },
  [sym_call_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_call_struct_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_function_body] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym__primary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_type_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_array_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_access] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_access] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_field_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_payable_conversion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_type_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_name] = {
    .visible = true,
    .named = true,
  },
  [sym__array_type] = {
    .visible = false,
    .named = true,
  },
  [sym__function_type] = {
    .visible = false,
    .named = true,
  },
  [sym__parameter_list] = {
    .visible = false,
    .named = true,
  },
  [sym__return_parameters] = {
    .visible = false,
    .named = true,
  },
  [sym__nameless_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__storage_location] = {
    .visible = false,
    .named = true,
  },
  [sym_user_defined_type] = {
    .visible = true,
    .named = true,
  },
  [sym__identifier_path] = {
    .visible = false,
    .named = true,
  },
  [sym__mapping] = {
    .visible = false,
    .named = true,
  },
  [sym__mapping_key] = {
    .visible = false,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym__int] = {
    .visible = false,
    .named = true,
  },
  [sym__uint] = {
    .visible = false,
    .named = true,
  },
  [sym__bytes] = {
    .visible = false,
    .named = true,
  },
  [sym__fixed] = {
    .visible = false,
    .named = true,
  },
  [sym__ufixed] = {
    .visible = false,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__literal] = {
    .visible = false,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__decimal_number] = {
    .visible = false,
    .named = true,
  },
  [sym__hex_number] = {
    .visible = false,
    .named = true,
  },
  [sym_number_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__single_quoted_unicode_char] = {
    .visible = false,
    .named = true,
  },
  [sym__double_quoted_unicode_char] = {
    .visible = false,
    .named = true,
  },
  [sym_unicode_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym__string_immediate_elt_inside_double_quote] = {
    .visible = false,
    .named = true,
  },
  [sym__string_immediate_elt_inside_quote] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_solidity_pragma_token_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__multiple_import_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_error_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_heritage_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_contract_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__event_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_using_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_assembly_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__assembly_flags_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_yul_path_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_yul_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_yul_assignment_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_yul_function_call_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_yul_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_tuple_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_tuple_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_state_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_override_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_modifier_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_fallback_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_receive_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__call_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_call_argument_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_inline_array_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__return_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__identifier_path_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_hex_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_hex_string_literal_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unicode_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unicode_string_literal_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unicode_string_literal_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_enum_value] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_revert_arguments] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_alias] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_address = 1,
  field_alias = 2,
  field_ancestor = 3,
  field_ancestor_arguments = 4,
  field_argument = 5,
  field_attempt = 6,
  field_base = 7,
  field_body = 8,
  field_condition = 9,
  field_else = 10,
  field_error = 11,
  field_flags = 12,
  field_from = 13,
  field_function = 14,
  field_import_name = 15,
  field_index = 16,
  field_initial = 17,
  field_key_name = 18,
  field_key_type = 19,
  field_left = 20,
  field_location = 21,
  field_name = 22,
  field_object = 23,
  field_operator = 24,
  field_parameters = 25,
  field_property = 26,
  field_return_type = 27,
  field_right = 28,
  field_source = 29,
  field_state_mutability = 30,
  field_to = 31,
  field_type = 32,
  field_update = 33,
  field_value = 34,
  field_value_name = 35,
  field_value_type = 36,
  field_version_constraint = 37,
  field_visibility = 38,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_address] = "address",
  [field_alias] = "alias",
  [field_ancestor] = "ancestor",
  [field_ancestor_arguments] = "ancestor_arguments",
  [field_argument] = "argument",
  [field_attempt] = "attempt",
  [field_base] = "base",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_else] = "else",
  [field_error] = "error",
  [field_flags] = "flags",
  [field_from] = "from",
  [field_function] = "function",
  [field_import_name] = "import_name",
  [field_index] = "index",
  [field_initial] = "initial",
  [field_key_name] = "key_name",
  [field_key_type] = "key_type",
  [field_left] = "left",
  [field_location] = "location",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_property] = "property",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_source] = "source",
  [field_state_mutability] = "state_mutability",
  [field_to] = "to",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
  [field_value_name] = "value_name",
  [field_value_type] = "value_type",
  [field_version_constraint] = "version_constraint",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 3},
  [2] = {.index = 3, .length = 4},
  [3] = {.index = 7, .length = 1},
  [4] = {.index = 8, .length = 2},
  [5] = {.index = 10, .length = 1},
  [6] = {.index = 11, .length = 1},
  [7] = {.index = 12, .length = 1},
  [8] = {.index = 13, .length = 1},
  [9] = {.index = 14, .length = 1},
  [10] = {.index = 15, .length = 2},
  [11] = {.index = 17, .length = 2},
  [12] = {.index = 19, .length = 2},
  [13] = {.index = 21, .length = 2},
  [14] = {.index = 23, .length = 1},
  [15] = {.index = 24, .length = 1},
  [16] = {.index = 25, .length = 1},
  [17] = {.index = 26, .length = 3},
  [18] = {.index = 29, .length = 2},
  [19] = {.index = 31, .length = 1},
  [20] = {.index = 32, .length = 2},
  [21] = {.index = 34, .length = 1},
  [22] = {.index = 35, .length = 3},
  [23] = {.index = 38, .length = 2},
  [24] = {.index = 40, .length = 1},
  [25] = {.index = 41, .length = 2},
  [26] = {.index = 43, .length = 1},
  [27] = {.index = 44, .length = 2},
  [28] = {.index = 46, .length = 2},
  [29] = {.index = 48, .length = 4},
  [30] = {.index = 52, .length = 2},
  [31] = {.index = 54, .length = 2},
  [32] = {.index = 56, .length = 1},
  [33] = {.index = 57, .length = 4},
  [34] = {.index = 61, .length = 4},
  [35] = {.index = 65, .length = 2},
  [36] = {.index = 67, .length = 1},
  [37] = {.index = 68, .length = 2},
  [38] = {.index = 70, .length = 1},
  [39] = {.index = 71, .length = 2},
  [40] = {.index = 43, .length = 1},
  [42] = {.index = 73, .length = 2},
  [43] = {.index = 75, .length = 1},
  [44] = {.index = 76, .length = 3},
  [45] = {.index = 79, .length = 3},
  [46] = {.index = 82, .length = 2},
  [47] = {.index = 84, .length = 4},
  [48] = {.index = 88, .length = 3},
  [49] = {.index = 91, .length = 2},
  [50] = {.index = 93, .length = 3},
  [51] = {.index = 96, .length = 2},
  [52] = {.index = 98, .length = 1},
  [53] = {.index = 99, .length = 2},
  [54] = {.index = 101, .length = 1},
  [55] = {.index = 102, .length = 4},
  [57] = {.index = 106, .length = 5},
  [58] = {.index = 111, .length = 4},
  [59] = {.index = 115, .length = 2},
  [60] = {.index = 117, .length = 2},
  [61] = {.index = 119, .length = 3},
  [62] = {.index = 122, .length = 2},
  [63] = {.index = 124, .length = 1},
  [64] = {.index = 125, .length = 2},
  [65] = {.index = 127, .length = 1},
  [66] = {.index = 128, .length = 3},
  [67] = {.index = 131, .length = 2},
  [68] = {.index = 133, .length = 4},
  [69] = {.index = 137, .length = 1},
  [70] = {.index = 138, .length = 1},
  [72] = {.index = 139, .length = 1},
  [73] = {.index = 140, .length = 2},
  [74] = {.index = 142, .length = 3},
  [75] = {.index = 145, .length = 3},
  [76] = {.index = 148, .length = 2},
  [77] = {.index = 150, .length = 2},
  [78] = {.index = 152, .length = 2},
  [79] = {.index = 154, .length = 4},
  [80] = {.index = 158, .length = 3},
  [81] = {.index = 161, .length = 2},
  [82] = {.index = 163, .length = 1},
  [83] = {.index = 164, .length = 2},
  [84] = {.index = 166, .length = 3},
  [85] = {.index = 169, .length = 1},
  [86] = {.index = 170, .length = 2},
  [87] = {.index = 172, .length = 1},
  [88] = {.index = 173, .length = 1},
  [89] = {.index = 139, .length = 1},
  [90] = {.index = 174, .length = 2},
  [91] = {.index = 176, .length = 1},
  [92] = {.index = 177, .length = 4},
  [93] = {.index = 181, .length = 3},
  [94] = {.index = 184, .length = 2},
  [95] = {.index = 186, .length = 5},
  [96] = {.index = 191, .length = 2},
  [97] = {.index = 193, .length = 2},
  [98] = {.index = 195, .length = 2},
  [99] = {.index = 197, .length = 1},
  [100] = {.index = 198, .length = 2},
  [101] = {.index = 200, .length = 1},
  [102] = {.index = 201, .length = 2},
  [103] = {.index = 203, .length = 3},
  [104] = {.index = 206, .length = 3},
  [105] = {.index = 209, .length = 3},
  [106] = {.index = 212, .length = 2},
  [107] = {.index = 214, .length = 2},
  [108] = {.index = 216, .length = 3},
  [109] = {.index = 219, .length = 4},
  [110] = {.index = 223, .length = 4},
  [111] = {.index = 227, .length = 3},
  [112] = {.index = 230, .length = 4},
  [113] = {.index = 234, .length = 2},
  [114] = {.index = 236, .length = 4},
  [115] = {.index = 240, .length = 5},
  [116] = {.index = 245, .length = 5},
  [117] = {.index = 250, .length = 6},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_parameters, 0, .inherited = true},
    {field_state_mutability, 0, .inherited = true},
    {field_visibility, 0, .inherited = true},
  [3] =
    {field_key_name, 0, .inherited = true},
    {field_key_type, 0, .inherited = true},
    {field_value_name, 0, .inherited = true},
    {field_value_type, 0, .inherited = true},
  [7] =
    {field_import_name, 0},
  [8] =
    {field_alias, 0, .inherited = true},
    {field_import_name, 0, .inherited = true},
  [10] =
    {field_source, 0},
  [11] =
    {field_parameters, 1},
  [12] =
    {field_version_constraint, 0},
  [13] =
    {field_version_constraint, 1, .inherited = true},
  [14] =
    {field_alias, 1, .inherited = true},
  [15] =
    {field_alias, 1, .inherited = true},
    {field_import_name, 0},
  [17] =
    {field_alias, 1, .inherited = true},
    {field_source, 1, .inherited = true},
  [19] =
    {field_alias, 1, .inherited = true},
    {field_source, 0},
  [21] =
    {field_body, 2},
    {field_name, 1},
  [23] =
    {field_type, 0},
  [24] =
    {field_visibility, 0},
  [25] =
    {field_state_mutability, 0},
  [26] =
    {field_parameters, 1},
    {field_state_mutability, 2, .inherited = true},
    {field_visibility, 2, .inherited = true},
  [29] =
    {field_version_constraint, 0, .inherited = true},
    {field_version_constraint, 1, .inherited = true},
  [31] =
    {field_alias, 1},
  [32] =
    {field_alias, 1, .inherited = true},
    {field_import_name, 1, .inherited = true},
  [34] =
    {field_source, 1},
  [35] =
    {field_alias, 1, .inherited = true},
    {field_import_name, 1, .inherited = true},
    {field_source, 2, .inherited = true},
  [38] =
    {field_body, 3},
    {field_name, 2},
  [40] =
    {field_ancestor, 0},
  [41] =
    {field_body, 3},
    {field_name, 1},
  [43] =
    {field_name, 1},
  [44] =
    {field_name, 1},
    {field_type, 0},
  [46] =
    {field_location, 1},
    {field_type, 0},
  [48] =
    {field_state_mutability, 0, .inherited = true},
    {field_state_mutability, 1, .inherited = true},
    {field_visibility, 0, .inherited = true},
    {field_visibility, 1, .inherited = true},
  [52] =
    {field_argument, 1},
    {field_operator, 0},
  [54] =
    {field_argument, 0},
    {field_operator, 1},
  [56] =
    {field_function, 0},
  [57] =
    {field_alias, 1, .inherited = true},
    {field_alias, 2, .inherited = true},
    {field_import_name, 1, .inherited = true},
    {field_import_name, 2, .inherited = true},
  [61] =
    {field_alias, 0, .inherited = true},
    {field_alias, 1, .inherited = true},
    {field_import_name, 0, .inherited = true},
    {field_import_name, 1, .inherited = true},
  [65] =
    {field_body, 4},
    {field_name, 2},
  [67] =
    {field_location, 0},
  [68] =
    {field_ancestor, 0},
    {field_ancestor_arguments, 1},
  [70] =
    {field_address, 2},
  [71] =
    {field_body, 4},
    {field_name, 1},
  [73] =
    {field_operator, 0, .inherited = true},
    {field_operator, 1, .inherited = true},
  [75] =
    {field_source, 3},
  [76] =
    {field_location, 1},
    {field_name, 2},
    {field_type, 0},
  [79] =
    {field_body, 4},
    {field_name, 1},
    {field_return_type, 3},
  [82] =
    {field_name, 1},
    {field_return_type, 3},
  [84] =
    {field_body, 4},
    {field_name, 1},
    {field_state_mutability, 3, .inherited = true},
    {field_visibility, 3, .inherited = true},
  [88] =
    {field_name, 1},
    {field_state_mutability, 3, .inherited = true},
    {field_visibility, 3, .inherited = true},
  [91] =
    {field_object, 0},
    {field_property, 2},
  [93] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [96] =
    {field_left, 0},
    {field_right, 2},
  [98] =
    {field_base, 0},
  [99] =
    {field_body, 5},
    {field_name, 2},
  [101] =
    {field_body, 2},
  [102] =
    {field_location, 0, .inherited = true},
    {field_location, 1, .inherited = true},
    {field_visibility, 0, .inherited = true},
    {field_visibility, 1, .inherited = true},
  [106] =
    {field_body, 5},
    {field_name, 1},
    {field_return_type, 4},
    {field_state_mutability, 3, .inherited = true},
    {field_visibility, 3, .inherited = true},
  [111] =
    {field_name, 1},
    {field_return_type, 4},
    {field_state_mutability, 3, .inherited = true},
    {field_visibility, 3, .inherited = true},
  [115] =
    {field_location, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [117] =
    {field_key_type, 2},
    {field_value_type, 4},
  [119] =
    {field_name, 2},
    {field_type, 0},
    {field_value, 4},
  [122] =
    {field_base, 0},
    {field_index, 2},
  [124] =
    {field_body, 3},
  [125] =
    {field_body, 3},
    {field_return_type, 2},
  [127] =
    {field_return_type, 2},
  [128] =
    {field_body, 3},
    {field_state_mutability, 2, .inherited = true},
    {field_visibility, 2, .inherited = true},
  [131] =
    {field_state_mutability, 2, .inherited = true},
    {field_visibility, 2, .inherited = true},
  [133] =
    {field_location, 1, .inherited = true},
    {field_name, 2},
    {field_type, 0},
    {field_visibility, 1, .inherited = true},
  [137] =
    {field_operator, 3},
  [138] =
    {field_source, 5},
  [139] =
    {field_error, 1},
  [140] =
    {field_location, 1, .inherited = true},
    {field_type, 1, .inherited = true},
  [142] =
    {field_key_type, 2},
    {field_value_name, 5},
    {field_value_type, 4},
  [145] =
    {field_key_name, 3},
    {field_key_type, 2},
    {field_value_type, 5},
  [148] =
    {field_name, 0},
    {field_value, 2},
  [150] =
    {field_base, 0},
    {field_to, 3},
  [152] =
    {field_base, 0},
    {field_from, 2},
  [154] =
    {field_body, 4},
    {field_return_type, 3},
    {field_state_mutability, 2, .inherited = true},
    {field_visibility, 2, .inherited = true},
  [158] =
    {field_return_type, 3},
    {field_state_mutability, 2, .inherited = true},
    {field_visibility, 2, .inherited = true},
  [161] =
    {field_body, 4},
    {field_visibility, 3, .inherited = true},
  [163] =
    {field_visibility, 3, .inherited = true},
  [164] =
    {field_visibility, 0, .inherited = true},
    {field_visibility, 1, .inherited = true},
  [166] =
    {field_name, 1},
    {field_type, 0},
    {field_value, 3},
  [169] =
    {field_source, 6},
  [170] =
    {field_operator, 3, .inherited = true},
    {field_source, 6},
  [172] =
    {field_left, 1},
  [173] =
    {field_flags, 1},
  [174] =
    {field_attempt, 1},
    {field_body, 2},
  [176] =
    {field_value, 2},
  [177] =
    {field_key_name, 3},
    {field_key_type, 2},
    {field_value_name, 6},
    {field_value_type, 5},
  [181] =
    {field_base, 0},
    {field_from, 2},
    {field_to, 4},
  [184] =
    {field_name, 2},
    {field_type, 0},
  [186] =
    {field_location, 1, .inherited = true},
    {field_name, 2},
    {field_type, 0},
    {field_value, 4},
    {field_visibility, 1, .inherited = true},
  [191] =
    {field_operator, 4},
    {field_source, 7},
  [193] =
    {field_operator, 3, .inherited = true},
    {field_source, 7},
  [195] =
    {field_left, 1},
    {field_left, 2},
  [197] =
    {field_flags, 2},
  [198] =
    {field_body, 4},
    {field_condition, 2},
  [200] =
    {field_body, 1},
  [201] =
    {field_operator, 4},
    {field_source, 8},
  [203] =
    {field_operator, 4},
    {field_operator, 5, .inherited = true},
    {field_source, 8},
  [206] =
    {field_body, 5},
    {field_condition, 3},
    {field_initial, 2},
  [209] =
    {field_left, 1},
    {field_left, 2},
    {field_left, 3},
  [212] =
    {field_left, 1},
    {field_right, 3},
  [214] =
    {field_attempt, 1},
    {field_body, 4},
  [216] =
    {field_operator, 4},
    {field_operator, 5, .inherited = true},
    {field_source, 9},
  [219] =
    {field_body, 6},
    {field_condition, 3},
    {field_initial, 2},
    {field_update, 4},
  [223] =
    {field_left, 1},
    {field_left, 2},
    {field_left, 3},
    {field_left, 4},
  [227] =
    {field_left, 1},
    {field_left, 2},
    {field_right, 4},
  [230] =
    {field_body, 4},
    {field_body, 6},
    {field_condition, 2},
    {field_else, 5},
  [234] =
    {field_body, 1},
    {field_condition, 4},
  [236] =
    {field_left, 1},
    {field_left, 2},
    {field_left, 3},
    {field_right, 5},
  [240] =
    {field_left, 1},
    {field_left, 2},
    {field_left, 3},
    {field_left, 4},
    {field_left, 5},
  [245] =
    {field_left, 1},
    {field_left, 2},
    {field_left, 3},
    {field_left, 4},
    {field_right, 6},
  [250] =
    {field_left, 1},
    {field_left, 2},
    {field_left, 3},
    {field_left, 4},
    {field_left, 5},
    {field_right, 7},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [40] = {
    [3] = alias_sym_enum_value,
  },
  [41] = {
    [1] = alias_sym_type_alias,
  },
  [43] = {
    [1] = alias_sym_type_alias,
  },
  [56] = {
    [1] = alias_sym_enum_value,
  },
  [69] = {
    [1] = alias_sym_type_alias,
  },
  [70] = {
    [2] = alias_sym_type_alias,
  },
  [71] = {
    [1] = alias_sym_revert_arguments,
  },
  [85] = {
    [2] = alias_sym_type_alias,
  },
  [86] = {
    [2] = alias_sym_type_alias,
  },
  [89] = {
    [2] = alias_sym_revert_arguments,
  },
  [96] = {
    [2] = alias_sym_type_alias,
  },
  [97] = {
    [2] = alias_sym_type_alias,
  },
  [102] = {
    [2] = alias_sym_type_alias,
  },
  [103] = {
    [2] = alias_sym_type_alias,
  },
  [108] = {
    [2] = alias_sym_type_alias,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__call_arguments, 2,
    sym__call_arguments,
    alias_sym_revert_arguments,
  sym_user_defined_type, 2,
    sym_user_defined_type,
    alias_sym_type_alias,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 8,
  [11] = 7,
  [12] = 12,
  [13] = 12,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 17,
  [19] = 19,
  [20] = 16,
  [21] = 14,
  [22] = 15,
  [23] = 19,
  [24] = 24,
  [25] = 24,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 29,
  [36] = 31,
  [37] = 37,
  [38] = 38,
  [39] = 38,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 50,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 78,
  [80] = 70,
  [81] = 76,
  [82] = 82,
  [83] = 82,
  [84] = 69,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 129,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 131,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 141,
  [152] = 146,
  [153] = 148,
  [154] = 137,
  [155] = 138,
  [156] = 139,
  [157] = 157,
  [158] = 157,
  [159] = 159,
  [160] = 134,
  [161] = 159,
  [162] = 143,
  [163] = 140,
  [164] = 150,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 220,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 171,
  [254] = 204,
  [255] = 234,
  [256] = 172,
  [257] = 184,
  [258] = 186,
  [259] = 200,
  [260] = 202,
  [261] = 205,
  [262] = 231,
  [263] = 232,
  [264] = 233,
  [265] = 206,
  [266] = 183,
  [267] = 196,
  [268] = 207,
  [269] = 187,
  [270] = 194,
  [271] = 195,
  [272] = 208,
  [273] = 212,
  [274] = 215,
  [275] = 185,
  [276] = 201,
  [277] = 203,
  [278] = 213,
  [279] = 214,
  [280] = 280,
  [281] = 217,
  [282] = 218,
  [283] = 221,
  [284] = 222,
  [285] = 223,
  [286] = 177,
  [287] = 178,
  [288] = 179,
  [289] = 180,
  [290] = 181,
  [291] = 182,
  [292] = 189,
  [293] = 190,
  [294] = 191,
  [295] = 192,
  [296] = 193,
  [297] = 198,
  [298] = 199,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 319,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 395,
  [444] = 444,
  [445] = 396,
  [446] = 446,
  [447] = 367,
  [448] = 359,
  [449] = 449,
  [450] = 450,
  [451] = 368,
  [452] = 379,
  [453] = 369,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 514,
  [524] = 521,
  [525] = 513,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 522,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 530,
  [540] = 540,
  [541] = 538,
  [542] = 540,
  [543] = 543,
  [544] = 544,
  [545] = 533,
  [546] = 535,
  [547] = 543,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 548,
  [553] = 444,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 556,
  [558] = 555,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 563,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 610,
  [621] = 609,
  [622] = 615,
  [623] = 616,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 626,
  [652] = 634,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 657,
  [658] = 658,
  [659] = 643,
  [660] = 660,
  [661] = 661,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 657,
  [666] = 666,
  [667] = 636,
  [668] = 668,
  [669] = 624,
  [670] = 658,
  [671] = 671,
  [672] = 672,
  [673] = 645,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 679,
  [680] = 680,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 674,
  [685] = 679,
  [686] = 686,
  [687] = 663,
  [688] = 688,
  [689] = 664,
  [690] = 683,
  [691] = 686,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 698,
  [699] = 635,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 700,
  [704] = 650,
  [705] = 688,
  [706] = 706,
  [707] = 638,
  [708] = 708,
  [709] = 631,
  [710] = 706,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 717,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 736,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 723,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 762,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 748,
  [781] = 764,
  [782] = 782,
  [783] = 783,
  [784] = 753,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 801,
  [803] = 803,
  [804] = 749,
  [805] = 805,
  [806] = 806,
  [807] = 788,
  [808] = 794,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 770,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 773,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 714,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 734,
  [838] = 814,
  [839] = 839,
  [840] = 840,
  [841] = 738,
  [842] = 743,
  [843] = 843,
  [844] = 806,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 856,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 847,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 880,
  [881] = 878,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 848,
  [888] = 885,
  [889] = 886,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 895,
  [910] = 910,
  [911] = 911,
  [912] = 892,
  [913] = 898,
  [914] = 914,
  [915] = 903,
  [916] = 904,
  [917] = 907,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 867,
  [923] = 923,
  [924] = 871,
  [925] = 872,
  [926] = 926,
  [927] = 927,
  [928] = 923,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 929,
  [933] = 930,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 905,
  [942] = 877,
  [943] = 943,
  [944] = 944,
  [945] = 896,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 884,
  [954] = 954,
  [955] = 854,
  [956] = 936,
  [957] = 957,
  [958] = 958,
  [959] = 937,
  [960] = 960,
  [961] = 938,
  [962] = 950,
  [963] = 963,
  [964] = 119,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 949,
  [969] = 969,
  [970] = 947,
  [971] = 948,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1022,
  [1040] = 992,
  [1041] = 1041,
  [1042] = 994,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 981,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1038,
  [1050] = 1014,
  [1051] = 1013,
  [1052] = 1041,
  [1053] = 1053,
  [1054] = 998,
  [1055] = 1011,
  [1056] = 1056,
  [1057] = 1044,
  [1058] = 1058,
  [1059] = 1017,
  [1060] = 1006,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 993,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 988,
  [1070] = 1012,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1018,
  [1076] = 1048,
  [1077] = 1077,
  [1078] = 1047,
  [1079] = 1053,
  [1080] = 1007,
  [1081] = 1061,
  [1082] = 1046,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(53);
      ADVANCE_MAP(
        '!', 120,
        '"', 149,
        '%', 97,
        '&', 88,
        '\'', 152,
        '(', 85,
        ')', 86,
        '*', 81,
        '+', 93,
        ',', 83,
        '-', 57,
        '.', 104,
        '/', 95,
        '0', 105,
        ':', 103,
        ';', 135,
        '<', 69,
        '=', 79,
        '>', 74,
        '?', 110,
        '[', 111,
        '\\', 33,
        ']', 112,
        '^', 72,
        '_', 151,
        '{', 82,
        '|', 90,
        '}', 84,
        '~', 76,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(106);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(51);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(16);
      if (lookahead == '\'') ADVANCE(152);
      if (lookahead == '/') ADVANCE(160);
      if (lookahead == '\\') ADVANCE(2);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(163);
      if (lookahead != 0) ADVANCE(164);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(158);
      if (lookahead == '\r') ADVANCE(154);
      if (lookahead == 'u') ADVANCE(35);
      if (lookahead == 'x') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(157);
      if (lookahead != 0) ADVANCE(153);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(14);
      if (lookahead == '"') ADVANCE(149);
      if (lookahead == '/') ADVANCE(167);
      if (lookahead == '\\') ADVANCE(4);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(170);
      if (lookahead != 0) ADVANCE(171);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(165);
      if (lookahead == '\r') ADVANCE(155);
      if (lookahead == 'u') ADVANCE(35);
      if (lookahead == 'x') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(157);
      if (lookahead != 0) ADVANCE(153);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        ' ', 5,
        '"', 6,
        '-', 55,
        '.', 7,
        '/', 17,
        ';', 135,
        '<', 70,
        '=', 77,
        '>', 73,
        '^', 71,
        '|', 36,
        '~', 76,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (lookahead == '*' ||
          ('0' <= lookahead && lookahead <= '9')) ADVANCE(65);
      END_STATE();
    case 6:
      if (lookahead == ' ') ADVANCE(38);
      if (lookahead == '.') ADVANCE(7);
      if (lookahead == '*' ||
          ('0' <= lookahead && lookahead <= '9')) ADVANCE(65);
      END_STATE();
    case 7:
      if (lookahead == ' ') ADVANCE(38);
      if (lookahead == '*' ||
          ('0' <= lookahead && lookahead <= '9')) ADVANCE(65);
      END_STATE();
    case 8:
      if (lookahead == ' ') ADVANCE(39);
      if (lookahead == '*' ||
          ('0' <= lookahead && lookahead <= '9')) ADVANCE(64);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 23,
        '"', 149,
        '%', 97,
        '&', 88,
        '\'', 152,
        '(', 85,
        ')', 86,
        '*', 81,
        '+', 93,
        ',', 83,
        '-', 57,
        '.', 104,
        '/', 95,
        ':', 102,
        ';', 135,
        '<', 69,
        '=', 78,
        '>', 74,
        '?', 110,
        '[', 111,
        ']', 112,
        '^', 72,
        '{', 82,
        '|', 90,
        '}', 84,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 23,
        '"', 29,
        '%', 97,
        '&', 88,
        '(', 85,
        ')', 86,
        '*', 81,
        '+', 93,
        ',', 83,
        '-', 57,
        '.', 104,
        '/', 95,
        ':', 102,
        ';', 135,
        '<', 69,
        '=', 79,
        '>', 74,
        '?', 110,
        '[', 111,
        ']', 112,
        '^', 72,
        '{', 82,
        '|', 90,
        '}', 84,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(10);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 119,
        '"', 149,
        '\'', 152,
        '(', 85,
        ')', 86,
        '+', 92,
        ',', 83,
        '-', 56,
        '.', 41,
        '/', 17,
        '0', 140,
        ':', 102,
        ';', 135,
        '=', 26,
        '[', 111,
        ']', 112,
        '_', 137,
        '{', 82,
        '}', 84,
        '~', 76,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(141);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 25,
        '%', 96,
        '&', 87,
        '(', 85,
        ')', 86,
        '*', 80,
        '+', 91,
        ',', 83,
        '-', 55,
        '.', 104,
        '/', 94,
        ';', 135,
        '<', 70,
        '=', 24,
        '>', 73,
        '[', 111,
        '^', 71,
        '{', 82,
        '|', 89,
        '}', 84,
        '~', 76,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(149);
      if (lookahead == '\'') ADVANCE(152);
      if (lookahead == '-') ADVANCE(27);
      if (lookahead == '/') ADVANCE(17);
      if (lookahead == '_') ADVANCE(150);
      if (lookahead == '{') ADVANCE(82);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(13);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 14:
      if (lookahead == '"') ADVANCE(149);
      if (lookahead == '/') ADVANCE(17);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      END_STATE();
    case 15:
      if (lookahead == '"') ADVANCE(101);
      END_STATE();
    case 16:
      if (lookahead == '\'') ADVANCE(152);
      if (lookahead == '/') ADVANCE(17);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(16);
      END_STATE();
    case 17:
      if (lookahead == '*') ADVANCE(19);
      if (lookahead == '/') ADVANCE(174);
      END_STATE();
    case 18:
      if (lookahead == '*') ADVANCE(18);
      if (lookahead == '/') ADVANCE(172);
      if (lookahead != 0) ADVANCE(19);
      END_STATE();
    case 19:
      if (lookahead == '*') ADVANCE(18);
      if (lookahead != 0) ADVANCE(19);
      END_STATE();
    case 20:
      if (lookahead == '-') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(143);
      END_STATE();
    case 21:
      if (lookahead == '-') ADVANCE(44);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(145);
      END_STATE();
    case 22:
      if (lookahead == '/') ADVANCE(58);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(61);
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(62);
      END_STATE();
    case 23:
      if (lookahead == '=') ADVANCE(100);
      END_STATE();
    case 24:
      if (lookahead == '=') ADVANCE(98);
      if (lookahead == '>') ADVANCE(134);
      END_STATE();
    case 25:
      if (lookahead == '=') ADVANCE(99);
      END_STATE();
    case 26:
      if (lookahead == '>') ADVANCE(134);
      END_STATE();
    case 27:
      if (lookahead == '>') ADVANCE(109);
      END_STATE();
    case 28:
      if (lookahead == 'a') ADVANCE(32);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(34);
      END_STATE();
    case 30:
      if (lookahead == 'm') ADVANCE(28);
      END_STATE();
    case 31:
      if (lookahead == 'm') ADVANCE(15);
      END_STATE();
    case 32:
      if (lookahead == 's') ADVANCE(31);
      END_STATE();
    case 33:
      if (lookahead == 'u') ADVANCE(35);
      if (lookahead == 'x') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(157);
      if (lookahead != 0) ADVANCE(153);
      END_STATE();
    case 34:
      if (lookahead == 'v') ADVANCE(30);
      END_STATE();
    case 35:
      if (lookahead == '{') ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 36:
      if (lookahead == '|') ADVANCE(54);
      END_STATE();
    case 37:
      if (lookahead == '}') ADVANCE(153);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 38:
      if (lookahead == '*' ||
          ('0' <= lookahead && lookahead <= '9')) ADVANCE(65);
      END_STATE();
    case 39:
      if (lookahead == '*' ||
          ('0' <= lookahead && lookahead <= '9')) ADVANCE(64);
      END_STATE();
    case 40:
      if (lookahead == '*' ||
          ('0' <= lookahead && lookahead <= '9')) ADVANCE(67);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(144);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(142);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(143);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(145);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(50);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(153);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(146);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(148);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 51:
      if (eof) ADVANCE(53);
      ADVANCE_MAP(
        '!', 120,
        '"', 149,
        '%', 97,
        '&', 88,
        '\'', 152,
        '(', 85,
        ')', 86,
        '*', 81,
        '+', 93,
        ',', 83,
        '-', 57,
        '.', 104,
        '/', 95,
        '0', 105,
        ':', 103,
        ';', 135,
        '<', 69,
        '=', 79,
        '>', 74,
        '?', 110,
        '[', 111,
        ']', 112,
        '^', 72,
        '_', 151,
        '{', 82,
        '|', 90,
        '}', 84,
        '~', 76,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(106);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(51);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 52:
      if (eof) ADVANCE(53);
      ADVANCE_MAP(
        '!', 23,
        '"', 149,
        '%', 97,
        '&', 88,
        '\'', 152,
        '(', 85,
        ')', 86,
        '*', 81,
        '+', 93,
        ',', 83,
        '-', 57,
        '.', 104,
        '/', 95,
        '0', 105,
        ':', 103,
        ';', 135,
        '<', 69,
        '=', 78,
        '>', 74,
        '?', 110,
        '[', 111,
        ']', 112,
        '^', 72,
        '{', 82,
        '|', 90,
        '}', 84,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(106);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(52);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(122);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(122);
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(aux_sym_pragma_value_token1);
      if (lookahead == '*') ADVANCE(60);
      if (lookahead == '/') ADVANCE(173);
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(62);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(aux_sym_pragma_value_token1);
      if (lookahead == '*') ADVANCE(59);
      if (lookahead == '/') ADVANCE(172);
      if (lookahead == ';') ADVANCE(19);
      if (lookahead != 0) ADVANCE(60);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(aux_sym_pragma_value_token1);
      if (lookahead == '*') ADVANCE(59);
      if (lookahead == ';') ADVANCE(19);
      if (lookahead != 0) ADVANCE(60);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(aux_sym_pragma_value_token1);
      if (lookahead == '/') ADVANCE(58);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(61);
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(62);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(aux_sym_pragma_value_token1);
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(62);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(sym_solidity_version);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(sym_solidity_version);
      if (lookahead == ' ') ADVANCE(66);
      if (lookahead == '"') ADVANCE(63);
      if (lookahead == '.') ADVANCE(40);
      if (lookahead == '*' ||
          ('0' <= lookahead && lookahead <= '9')) ADVANCE(64);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym_solidity_version);
      if (lookahead == '"') ADVANCE(63);
      if (lookahead == '.') ADVANCE(8);
      if (lookahead == '*' ||
          ('0' <= lookahead && lookahead <= '9')) ADVANCE(65);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(sym_solidity_version);
      if (lookahead == '"') ADVANCE(63);
      if (lookahead == '.') ADVANCE(40);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_solidity_version);
      if (lookahead == '"') ADVANCE(63);
      if (lookahead == '*' ||
          ('0' <= lookahead && lookahead <= '9')) ADVANCE(67);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(116);
      if (lookahead == '=') ADVANCE(68);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(68);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(75);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(75);
      if (lookahead == '>') ADVANCE(114);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(98);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(98);
      if (lookahead == '>') ADVANCE(134);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(117);
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(113);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '|') ADVANCE(54);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(121);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(121);
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(19);
      if (lookahead == '/') ADVANCE(174);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(19);
      if (lookahead == '/') ADVANCE(174);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(118);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_DQUOTEevmasm_DQUOTE);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(108);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_yul_decimal_number);
      if (lookahead == 'x') ADVANCE(107);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_yul_decimal_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(106);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_yul_hex_number);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(107);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '>') ADVANCE(115);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(133);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(100);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(138);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(42);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(136);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(137);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(138);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(aux_sym__decimal_number_token1);
      if (lookahead == '.') ADVANCE(42);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(20);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(141);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(aux_sym__decimal_number_token1);
      if (lookahead == '.') ADVANCE(42);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(20);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(141);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(aux_sym__decimal_number_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(20);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(142);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(aux_sym__decimal_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(143);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(aux_sym__decimal_number_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(144);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(aux_sym__decimal_number_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(145);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym__hex_number_token1);
      if (lookahead == '_') ADVANCE(147);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(146);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(aux_sym__hex_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(146);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym__hex_digit);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym__escape_sequence);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (lookahead == '\n') ADVANCE(158);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (lookahead == '\n') ADVANCE(165);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(153);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(156);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym__single_quoted_unicode_char_token1);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym__single_quoted_unicode_char_token1);
      if (lookahead == '\r') ADVANCE(164);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(159);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym__single_quoted_unicode_char_token1);
      if (lookahead == '*') ADVANCE(162);
      if (lookahead == '/') ADVANCE(159);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(164);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(aux_sym__single_quoted_unicode_char_token1);
      if (lookahead == '*') ADVANCE(161);
      if (lookahead == '/') ADVANCE(164);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(162);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym__single_quoted_unicode_char_token1);
      if (lookahead == '*') ADVANCE(161);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(162);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(aux_sym__single_quoted_unicode_char_token1);
      if (lookahead == '/') ADVANCE(160);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(163);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(164);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym__single_quoted_unicode_char_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(164);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym__double_quoted_unicode_char_token1);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym__double_quoted_unicode_char_token1);
      if (lookahead == '\r') ADVANCE(171);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(166);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym__double_quoted_unicode_char_token1);
      if (lookahead == '*') ADVANCE(169);
      if (lookahead == '/') ADVANCE(166);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(171);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(aux_sym__double_quoted_unicode_char_token1);
      if (lookahead == '*') ADVANCE(168);
      if (lookahead == '/') ADVANCE(171);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(169);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(aux_sym__double_quoted_unicode_char_token1);
      if (lookahead == '*') ADVANCE(168);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(169);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(aux_sym__double_quoted_unicode_char_token1);
      if (lookahead == '/') ADVANCE(167);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(171);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(aux_sym__double_quoted_unicode_char_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(171);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == ';') ADVANCE(174);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(173);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(174);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'g', 7,
        'h', 8,
        'i', 9,
        'k', 10,
        'l', 11,
        'm', 12,
        'n', 13,
        'o', 14,
        'p', 15,
        'r', 16,
        's', 17,
        't', 18,
        'u', 19,
        'v', 20,
        'w', 21,
        'x', 22,
        'y', 23,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'b') ADVANCE(24);
      if (lookahead == 'd') ADVANCE(25);
      if (lookahead == 'n') ADVANCE(26);
      if (lookahead == 's') ADVANCE(27);
      if (lookahead == 't') ADVANCE(28);
      END_STATE();
    case 2:
      if (lookahead == 'a') ADVANCE(29);
      if (lookahead == 'l') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      if (lookahead == 'r') ADVANCE(32);
      if (lookahead == 'y') ADVANCE(33);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(34);
      if (lookahead == 'h') ADVANCE(35);
      if (lookahead == 'o') ADVANCE(36);
      if (lookahead == 'r') ADVANCE(37);
      END_STATE();
    case 4:
      if (lookahead == 'a') ADVANCE(38);
      if (lookahead == 'e') ADVANCE(39);
      if (lookahead == 'i') ADVANCE(40);
      if (lookahead == 'o') ADVANCE(41);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        'l', 42,
        'm', 43,
        'n', 44,
        'q', 45,
        'r', 46,
        't', 47,
        'v', 48,
        'x', 49,
      );
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(50);
      if (lookahead == 'i') ADVANCE(51);
      if (lookahead == 'o') ADVANCE(52);
      if (lookahead == 'r') ADVANCE(53);
      if (lookahead == 'u') ADVANCE(54);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(55);
      if (lookahead == 'l') ADVANCE(56);
      if (lookahead == 't') ADVANCE(57);
      if (lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(59);
      if (lookahead == 'o') ADVANCE(60);
      END_STATE();
    case 9:
      if (lookahead == 'f') ADVANCE(61);
      if (lookahead == 'm') ADVANCE(62);
      if (lookahead == 'n') ADVANCE(63);
      if (lookahead == 's') ADVANCE(64);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(65);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(66);
      if (lookahead == 'e') ADVANCE(67);
      if (lookahead == 'i') ADVANCE(68);
      if (lookahead == 'o') ADVANCE(69);
      if (lookahead == 't') ADVANCE(70);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        'a', 71,
        'c', 72,
        'e', 73,
        'i', 74,
        'l', 75,
        'o', 76,
        's', 77,
        'u', 78,
      );
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(79);
      if (lookahead == 'o') ADVANCE(80);
      if (lookahead == 'u') ADVANCE(81);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(82);
      if (lookahead == 'v') ADVANCE(83);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(84);
      if (lookahead == 'o') ADVANCE(85);
      if (lookahead == 'r') ADVANCE(86);
      if (lookahead == 'u') ADVANCE(87);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(88);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        'a', 89,
        'd', 90,
        'e', 91,
        'g', 92,
        'h', 93,
        'i', 94,
        'l', 95,
        'm', 96,
        'o', 97,
        's', 98,
        't', 99,
        'u', 100,
        'w', 101,
        'z', 102,
      );
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(103);
      if (lookahead == 'l') ADVANCE(104);
      if (lookahead == 'r') ADVANCE(105);
      if (lookahead == 's') ADVANCE(106);
      if (lookahead == 'y') ADVANCE(107);
      END_STATE();
    case 19:
      if (lookahead == 'f') ADVANCE(108);
      if (lookahead == 'i') ADVANCE(109);
      if (lookahead == 'n') ADVANCE(110);
      if (lookahead == 's') ADVANCE(111);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(112);
      if (lookahead == 'i') ADVANCE(113);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(114);
      if (lookahead == 'h') ADVANCE(115);
      END_STATE();
    case 22:
      if (lookahead == 'o') ADVANCE(116);
      END_STATE();
    case 23:
      if (lookahead == 'e') ADVANCE(117);
      END_STATE();
    case 24:
      if (lookahead == 's') ADVANCE(118);
      END_STATE();
    case 25:
      if (lookahead == 'd') ADVANCE(119);
      END_STATE();
    case 26:
      if (lookahead == 'd') ADVANCE(120);
      if (lookahead == 'o') ADVANCE(121);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(122);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_at);
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(123);
      if (lookahead == 's') ADVANCE(124);
      END_STATE();
    case 30:
      if (lookahead == 'o') ADVANCE(125);
      END_STATE();
    case 31:
      if (lookahead == 'o') ADVANCE(126);
      END_STATE();
    case 32:
      if (lookahead == 'e') ADVANCE(127);
      END_STATE();
    case 33:
      if (lookahead == 't') ADVANCE(128);
      END_STATE();
    case 34:
      if (lookahead == 'l') ADVANCE(129);
      if (lookahead == 's') ADVANCE(130);
      if (lookahead == 't') ADVANCE(131);
      END_STATE();
    case 35:
      if (lookahead == 'a') ADVANCE(132);
      END_STATE();
    case 36:
      if (lookahead == 'i') ADVANCE(133);
      if (lookahead == 'n') ADVANCE(134);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(135);
      END_STATE();
    case 38:
      if (lookahead == 'y') ADVANCE(136);
      END_STATE();
    case 39:
      if (lookahead == 'f') ADVANCE(137);
      if (lookahead == 'l') ADVANCE(138);
      END_STATE();
    case 40:
      if (lookahead == 'f') ADVANCE(139);
      if (lookahead == 'v') ADVANCE(140);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 42:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 43:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 44:
      if (lookahead == 'u') ADVANCE(143);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_eq);
      END_STATE();
    case 46:
      if (lookahead == 'r') ADVANCE(144);
      END_STATE();
    case 47:
      if (lookahead == 'h') ADVANCE(145);
      END_STATE();
    case 48:
      if (lookahead == 'e') ADVANCE(146);
      END_STATE();
    case 49:
      if (lookahead == 'p') ADVANCE(147);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 50:
      if (lookahead == 'l') ADVANCE(149);
      END_STATE();
    case 51:
      if (lookahead == 'n') ADVANCE(150);
      if (lookahead == 'x') ADVANCE(151);
      END_STATE();
    case 52:
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 53:
      if (lookahead == 'o') ADVANCE(153);
      END_STATE();
    case 54:
      if (lookahead == 'n') ADVANCE(154);
      END_STATE();
    case 55:
      if (lookahead == 's') ADVANCE(155);
      END_STATE();
    case 56:
      if (lookahead == 'o') ADVANCE(156);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_gt);
      END_STATE();
    case 58:
      if (lookahead == 'e') ADVANCE(157);
      END_STATE();
    case 59:
      if (lookahead == 'x') ADVANCE(158);
      END_STATE();
    case 60:
      if (lookahead == 'u') ADVANCE(159);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 62:
      if (lookahead == 'm') ADVANCE(160);
      if (lookahead == 'p') ADVANCE(161);
      END_STATE();
    case 63:
      if (lookahead == 'd') ADVANCE(162);
      if (lookahead == 't') ADVANCE(163);
      if (lookahead == 'v') ADVANCE(164);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_is);
      if (lookahead == 'z') ADVANCE(165);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(166);
      END_STATE();
    case 66:
      if (lookahead == 'y') ADVANCE(167);
      END_STATE();
    case 67:
      if (lookahead == 'a') ADVANCE(168);
      if (lookahead == 't') ADVANCE(169);
      END_STATE();
    case 68:
      if (lookahead == 'b') ADVANCE(170);
      END_STATE();
    case 69:
      if (lookahead == 'g') ADVANCE(171);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_lt);
      END_STATE();
    case 71:
      if (lookahead == 'p') ADVANCE(172);
      END_STATE();
    case 72:
      if (lookahead == 'o') ADVANCE(173);
      END_STATE();
    case 73:
      if (lookahead == 'm') ADVANCE(174);
      END_STATE();
    case 74:
      if (lookahead == 'n') ADVANCE(175);
      END_STATE();
    case 75:
      if (lookahead == 'o') ADVANCE(176);
      END_STATE();
    case 76:
      if (lookahead == 'd') ADVANCE(177);
      END_STATE();
    case 77:
      if (lookahead == 'i') ADVANCE(178);
      if (lookahead == 't') ADVANCE(179);
      END_STATE();
    case 78:
      if (lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 79:
      if (lookahead == 'w') ADVANCE(181);
      END_STATE();
    case 80:
      if (lookahead == 't') ADVANCE(182);
      END_STATE();
    case 81:
      if (lookahead == 'm') ADVANCE(183);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == 'i') ADVANCE(184);
      END_STATE();
    case 83:
      if (lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 84:
      if (lookahead == 'y') ADVANCE(186);
      END_STATE();
    case 85:
      if (lookahead == 'p') ADVANCE(187);
      END_STATE();
    case 86:
      if (lookahead == 'a') ADVANCE(188);
      if (lookahead == 'i') ADVANCE(189);
      END_STATE();
    case 87:
      if (lookahead == 'b') ADVANCE(190);
      if (lookahead == 'r') ADVANCE(191);
      END_STATE();
    case 88:
      if (lookahead == 'c') ADVANCE(192);
      if (lookahead == 't') ADVANCE(193);
      if (lookahead == 'v') ADVANCE(194);
      END_STATE();
    case 89:
      if (lookahead == 'r') ADVANCE(195);
      END_STATE();
    case 90:
      if (lookahead == 'i') ADVANCE(196);
      END_STATE();
    case 91:
      if (lookahead == 'c') ADVANCE(197);
      if (lookahead == 'l') ADVANCE(198);
      END_STATE();
    case 92:
      if (lookahead == 't') ADVANCE(199);
      END_STATE();
    case 93:
      if (lookahead == 'l') ADVANCE(200);
      if (lookahead == 'r') ADVANCE(201);
      END_STATE();
    case 94:
      if (lookahead == 'g') ADVANCE(202);
      END_STATE();
    case 95:
      if (lookahead == 'o') ADVANCE(203);
      if (lookahead == 't') ADVANCE(204);
      END_STATE();
    case 96:
      if (lookahead == 'o') ADVANCE(205);
      END_STATE();
    case 97:
      if (lookahead == 'l') ADVANCE(206);
      END_STATE();
    case 98:
      if (lookahead == 't') ADVANCE(207);
      END_STATE();
    case 99:
      if (lookahead == 'a') ADVANCE(208);
      if (lookahead == 'o') ADVANCE(209);
      if (lookahead == 'r') ADVANCE(210);
      END_STATE();
    case 100:
      if (lookahead == 'b') ADVANCE(211);
      END_STATE();
    case 101:
      if (lookahead == 'i') ADVANCE(212);
      END_STATE();
    case 102:
      if (lookahead == 'a') ADVANCE(213);
      END_STATE();
    case 103:
      if (lookahead == 'm') ADVANCE(214);
      END_STATE();
    case 104:
      if (lookahead == 'o') ADVANCE(215);
      END_STATE();
    case 105:
      if (lookahead == 'a') ADVANCE(216);
      if (lookahead == 'u') ADVANCE(217);
      if (lookahead == 'y') ADVANCE(218);
      END_STATE();
    case 106:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 107:
      if (lookahead == 'p') ADVANCE(220);
      END_STATE();
    case 108:
      if (lookahead == 'i') ADVANCE(221);
      END_STATE();
    case 109:
      if (lookahead == 'n') ADVANCE(222);
      END_STATE();
    case 110:
      if (lookahead == 'c') ADVANCE(223);
      if (lookahead == 'i') ADVANCE(224);
      END_STATE();
    case 111:
      if (lookahead == 'i') ADVANCE(225);
      END_STATE();
    case 112:
      if (lookahead == 'r') ADVANCE(226);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(227);
      if (lookahead == 'r') ADVANCE(228);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(229);
      if (lookahead == 'i') ADVANCE(230);
      END_STATE();
    case 115:
      if (lookahead == 'i') ADVANCE(231);
      END_STATE();
    case 116:
      if (lookahead == 'r') ADVANCE(232);
      END_STATE();
    case 117:
      if (lookahead == 'a') ADVANCE(233);
      END_STATE();
    case 118:
      if (lookahead == 't') ADVANCE(234);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_add);
      if (lookahead == 'm') ADVANCE(235);
      if (lookahead == 'r') ADVANCE(236);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 121:
      if (lookahead == 'n') ADVANCE(237);
      END_STATE();
    case 122:
      if (lookahead == 'e') ADVANCE(238);
      END_STATE();
    case 123:
      if (lookahead == 'a') ADVANCE(239);
      END_STATE();
    case 124:
      if (lookahead == 'e') ADVANCE(240);
      END_STATE();
    case 125:
      if (lookahead == 'b') ADVANCE(241);
      if (lookahead == 'c') ADVANCE(242);
      END_STATE();
    case 126:
      if (lookahead == 'l') ADVANCE(243);
      END_STATE();
    case 127:
      if (lookahead == 'a') ADVANCE(244);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(245);
      END_STATE();
    case 129:
      if (lookahead == 'l') ADVANCE(246);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 131:
      if (lookahead == 'c') ADVANCE(248);
      END_STATE();
    case 132:
      if (lookahead == 'i') ADVANCE(249);
      END_STATE();
    case 133:
      if (lookahead == 'n') ADVANCE(250);
      END_STATE();
    case 134:
      if (lookahead == 's') ADVANCE(251);
      if (lookahead == 't') ADVANCE(252);
      END_STATE();
    case 135:
      if (lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 136:
      if (lookahead == 's') ADVANCE(254);
      END_STATE();
    case 137:
      if (lookahead == 'a') ADVANCE(255);
      END_STATE();
    case 138:
      if (lookahead == 'e') ADVANCE(256);
      END_STATE();
    case 139:
      if (lookahead == 'f') ADVANCE(257);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_div);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(258);
      END_STATE();
    case 142:
      if (lookahead == 't') ADVANCE(259);
      END_STATE();
    case 143:
      if (lookahead == 'm') ADVANCE(260);
      END_STATE();
    case 144:
      if (lookahead == 'o') ADVANCE(261);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 146:
      if (lookahead == 'n') ADVANCE(263);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_exp);
      END_STATE();
    case 148:
      if (lookahead == 'c') ADVANCE(264);
      if (lookahead == 'e') ADVANCE(265);
      END_STATE();
    case 149:
      if (lookahead == 'l') ADVANCE(266);
      if (lookahead == 's') ADVANCE(267);
      END_STATE();
    case 150:
      if (lookahead == 'n') ADVANCE(268);
      END_STATE();
    case 151:
      if (lookahead == 'e') ADVANCE(269);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 153:
      if (lookahead == 'm') ADVANCE(270);
      END_STATE();
    case 154:
      if (lookahead == 'c') ADVANCE(271);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_gas);
      if (lookahead == 'l') ADVANCE(272);
      if (lookahead == 'p') ADVANCE(273);
      END_STATE();
    case 156:
      if (lookahead == 'b') ADVANCE(274);
      END_STATE();
    case 157:
      if (lookahead == 'i') ADVANCE(275);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_hex);
      END_STATE();
    case 159:
      if (lookahead == 'r') ADVANCE(276);
      END_STATE();
    case 160:
      if (lookahead == 'u') ADVANCE(277);
      END_STATE();
    case 161:
      if (lookahead == 'o') ADVANCE(278);
      END_STATE();
    case 162:
      if (lookahead == 'e') ADVANCE(279);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_int);
      ADVANCE_MAP(
        '1', 280,
        '2', 281,
        '3', 282,
        '4', 283,
        '5', 284,
        '6', 285,
        '7', 286,
        '8', 287,
        '9', 288,
        'e', 289,
      );
      END_STATE();
    case 164:
      if (lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 165:
      if (lookahead == 'e') ADVANCE(291);
      END_STATE();
    case 166:
      if (lookahead == 'c') ADVANCE(292);
      END_STATE();
    case 167:
      if (lookahead == 'o') ADVANCE(293);
      END_STATE();
    case 168:
      if (lookahead == 'v') ADVANCE(294);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 170:
      if (lookahead == 'r') ADVANCE(295);
      END_STATE();
    case 171:
      if (lookahead == '0') ADVANCE(296);
      if (lookahead == '1') ADVANCE(297);
      if (lookahead == '2') ADVANCE(298);
      if (lookahead == '3') ADVANCE(299);
      if (lookahead == '4') ADVANCE(300);
      END_STATE();
    case 172:
      if (lookahead == 'p') ADVANCE(301);
      END_STATE();
    case 173:
      if (lookahead == 'p') ADVANCE(302);
      END_STATE();
    case 174:
      if (lookahead == 'o') ADVANCE(303);
      END_STATE();
    case 175:
      if (lookahead == 'u') ADVANCE(304);
      END_STATE();
    case 176:
      if (lookahead == 'a') ADVANCE(305);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_mod);
      if (lookahead == 'i') ADVANCE(306);
      END_STATE();
    case 178:
      if (lookahead == 'z') ADVANCE(307);
      END_STATE();
    case 179:
      if (lookahead == 'o') ADVANCE(308);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_mul);
      if (lookahead == 'm') ADVANCE(309);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 183:
      if (lookahead == 'b') ADVANCE(310);
      END_STATE();
    case 184:
      if (lookahead == 'g') ADVANCE(311);
      END_STATE();
    case 185:
      if (lookahead == 'r') ADVANCE(312);
      END_STATE();
    case 186:
      if (lookahead == 'a') ADVANCE(313);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_pop);
      END_STATE();
    case 188:
      if (lookahead == 'g') ADVANCE(314);
      END_STATE();
    case 189:
      if (lookahead == 'v') ADVANCE(315);
      END_STATE();
    case 190:
      if (lookahead == 'l') ADVANCE(316);
      END_STATE();
    case 191:
      if (lookahead == 'e') ADVANCE(317);
      END_STATE();
    case 192:
      if (lookahead == 'e') ADVANCE(318);
      END_STATE();
    case 193:
      if (lookahead == 'u') ADVANCE(319);
      END_STATE();
    case 194:
      if (lookahead == 'e') ADVANCE(320);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_sar);
      END_STATE();
    case 196:
      if (lookahead == 'v') ADVANCE(321);
      END_STATE();
    case 197:
      if (lookahead == 'o') ADVANCE(322);
      END_STATE();
    case 198:
      if (lookahead == 'f') ADVANCE(323);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_sgt);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_shl);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_shr);
      END_STATE();
    case 202:
      if (lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 203:
      if (lookahead == 'a') ADVANCE(325);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_slt);
      END_STATE();
    case 205:
      if (lookahead == 'd') ADVANCE(326);
      END_STATE();
    case 206:
      if (lookahead == 'i') ADVANCE(327);
      END_STATE();
    case 207:
      if (lookahead == 'o') ADVANCE(328);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(329);
      END_STATE();
    case 209:
      if (lookahead == 'p') ADVANCE(330);
      if (lookahead == 'r') ADVANCE(331);
      END_STATE();
    case 210:
      if (lookahead == 'i') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(333);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_sub);
      END_STATE();
    case 212:
      if (lookahead == 't') ADVANCE(334);
      END_STATE();
    case 213:
      if (lookahead == 'b') ADVANCE(335);
      END_STATE();
    case 214:
      if (lookahead == 'e') ADVANCE(336);
      END_STATE();
    case 215:
      if (lookahead == 'a') ADVANCE(337);
      END_STATE();
    case 216:
      if (lookahead == 'n') ADVANCE(338);
      END_STATE();
    case 217:
      if (lookahead == 'e') ADVANCE(339);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 219:
      if (lookahead == 'o') ADVANCE(340);
      END_STATE();
    case 220:
      if (lookahead == 'e') ADVANCE(341);
      END_STATE();
    case 221:
      if (lookahead == 'x') ADVANCE(342);
      END_STATE();
    case 222:
      if (lookahead == 't') ADVANCE(343);
      END_STATE();
    case 223:
      if (lookahead == 'h') ADVANCE(344);
      END_STATE();
    case 224:
      if (lookahead == 'c') ADVANCE(345);
      END_STATE();
    case 225:
      if (lookahead == 'n') ADVANCE(346);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 227:
      if (lookahead == 'w') ADVANCE(347);
      END_STATE();
    case 228:
      if (lookahead == 't') ADVANCE(348);
      END_STATE();
    case 229:
      if (lookahead == 'k') ADVANCE(349);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_wei);
      END_STATE();
    case 231:
      if (lookahead == 'l') ADVANCE(350);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_xor);
      END_STATE();
    case 233:
      if (lookahead == 'r') ADVANCE(351);
      END_STATE();
    case 234:
      if (lookahead == 'r') ADVANCE(352);
      END_STATE();
    case 235:
      if (lookahead == 'o') ADVANCE(353);
      END_STATE();
    case 236:
      if (lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 237:
      if (lookahead == 'y') ADVANCE(355);
      END_STATE();
    case 238:
      if (lookahead == 'm') ADVANCE(356);
      END_STATE();
    case 239:
      if (lookahead == 'n') ADVANCE(357);
      END_STATE();
    case 240:
      if (lookahead == 'f') ADVANCE(358);
      END_STATE();
    case 241:
      if (lookahead == 'f') ADVANCE(359);
      if (lookahead == 'h') ADVANCE(360);
      END_STATE();
    case 242:
      if (lookahead == 'k') ADVANCE(361);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_bool);
      END_STATE();
    case 244:
      if (lookahead == 'k') ADVANCE(362);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_byte);
      if (lookahead == 's') ADVANCE(363);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_call);
      if (lookahead == 'c') ADVANCE(364);
      if (lookahead == 'd') ADVANCE(365);
      if (lookahead == 'e') ADVANCE(366);
      if (lookahead == 'v') ADVANCE(367);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 248:
      if (lookahead == 'h') ADVANCE(368);
      END_STATE();
    case 249:
      if (lookahead == 'n') ADVANCE(369);
      END_STATE();
    case 250:
      if (lookahead == 'b') ADVANCE(370);
      END_STATE();
    case 251:
      if (lookahead == 't') ADVANCE(371);
      END_STATE();
    case 252:
      if (lookahead == 'i') ADVANCE(372);
      if (lookahead == 'r') ADVANCE(373);
      END_STATE();
    case 253:
      if (lookahead == 't') ADVANCE(374);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_days);
      END_STATE();
    case 255:
      if (lookahead == 'u') ADVANCE(375);
      END_STATE();
    case 256:
      if (lookahead == 'g') ADVANCE(376);
      if (lookahead == 't') ADVANCE(377);
      END_STATE();
    case 257:
      if (lookahead == 'i') ADVANCE(378);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_emit);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 261:
      if (lookahead == 'r') ADVANCE(379);
      END_STATE();
    case 262:
      if (lookahead == 'r') ADVANCE(380);
      END_STATE();
    case 263:
      if (lookahead == 't') ADVANCE(381);
      END_STATE();
    case 264:
      if (lookahead == 'o') ADVANCE(382);
      END_STATE();
    case 265:
      if (lookahead == 'r') ADVANCE(383);
      END_STATE();
    case 266:
      if (lookahead == 'b') ADVANCE(384);
      END_STATE();
    case 267:
      if (lookahead == 'e') ADVANCE(385);
      END_STATE();
    case 268:
      if (lookahead == 'e') ADVANCE(386);
      END_STATE();
    case 269:
      if (lookahead == 'd') ADVANCE(387);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 271:
      if (lookahead == 't') ADVANCE(388);
      END_STATE();
    case 272:
      if (lookahead == 'i') ADVANCE(389);
      END_STATE();
    case 273:
      if (lookahead == 'r') ADVANCE(390);
      END_STATE();
    case 274:
      if (lookahead == 'a') ADVANCE(391);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_gwei);
      END_STATE();
    case 276:
      if (lookahead == 's') ADVANCE(392);
      END_STATE();
    case 277:
      if (lookahead == 't') ADVANCE(393);
      END_STATE();
    case 278:
      if (lookahead == 'r') ADVANCE(394);
      END_STATE();
    case 279:
      if (lookahead == 'x') ADVANCE(395);
      END_STATE();
    case 280:
      ADVANCE_MAP(
        '0', 396,
        '1', 397,
        '2', 398,
        '3', 399,
        '4', 400,
        '5', 401,
        '6', 402,
        '7', 403,
        '8', 404,
        '9', 405,
      );
      END_STATE();
    case 281:
      if (lookahead == '0') ADVANCE(406);
      if (lookahead == '1') ADVANCE(407);
      if (lookahead == '2') ADVANCE(408);
      if (lookahead == '3') ADVANCE(409);
      if (lookahead == '4') ADVANCE(410);
      if (lookahead == '5') ADVANCE(411);
      END_STATE();
    case 282:
      if (lookahead == '2') ADVANCE(412);
      END_STATE();
    case 283:
      if (lookahead == '0') ADVANCE(413);
      if (lookahead == '8') ADVANCE(414);
      END_STATE();
    case 284:
      if (lookahead == '6') ADVANCE(415);
      END_STATE();
    case 285:
      if (lookahead == '4') ADVANCE(416);
      END_STATE();
    case 286:
      if (lookahead == '2') ADVANCE(417);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_int8);
      if (lookahead == '0') ADVANCE(418);
      if (lookahead == '8') ADVANCE(419);
      END_STATE();
    case 288:
      if (lookahead == '6') ADVANCE(420);
      END_STATE();
    case 289:
      if (lookahead == 'r') ADVANCE(421);
      END_STATE();
    case 290:
      if (lookahead == 'l') ADVANCE(422);
      END_STATE();
    case 291:
      if (lookahead == 'r') ADVANCE(423);
      END_STATE();
    case 292:
      if (lookahead == 'a') ADVANCE(424);
      END_STATE();
    case 293:
      if (lookahead == 'u') ADVANCE(425);
      END_STATE();
    case 294:
      if (lookahead == 'e') ADVANCE(426);
      END_STATE();
    case 295:
      if (lookahead == 'a') ADVANCE(427);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_log0);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_log1);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_log2);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_log3);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_log4);
      END_STATE();
    case 301:
      if (lookahead == 'i') ADVANCE(428);
      END_STATE();
    case 302:
      if (lookahead == 'y') ADVANCE(429);
      END_STATE();
    case 303:
      if (lookahead == 'r') ADVANCE(430);
      END_STATE();
    case 304:
      if (lookahead == 't') ADVANCE(431);
      END_STATE();
    case 305:
      if (lookahead == 'd') ADVANCE(432);
      END_STATE();
    case 306:
      if (lookahead == 'f') ADVANCE(433);
      END_STATE();
    case 307:
      if (lookahead == 'e') ADVANCE(434);
      END_STATE();
    case 308:
      if (lookahead == 'r') ADVANCE(435);
      END_STATE();
    case 309:
      if (lookahead == 'o') ADVANCE(436);
      END_STATE();
    case 310:
      if (lookahead == 'e') ADVANCE(437);
      END_STATE();
    case 311:
      if (lookahead == 'i') ADVANCE(438);
      END_STATE();
    case 312:
      if (lookahead == 'r') ADVANCE(439);
      END_STATE();
    case 313:
      if (lookahead == 'b') ADVANCE(440);
      END_STATE();
    case 314:
      if (lookahead == 'm') ADVANCE(441);
      END_STATE();
    case 315:
      if (lookahead == 'a') ADVANCE(442);
      END_STATE();
    case 316:
      if (lookahead == 'i') ADVANCE(443);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym_pure);
      END_STATE();
    case 318:
      if (lookahead == 'i') ADVANCE(444);
      END_STATE();
    case 319:
      if (lookahead == 'r') ADVANCE(445);
      END_STATE();
    case 320:
      if (lookahead == 'r') ADVANCE(446);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_sdiv);
      END_STATE();
    case 322:
      if (lookahead == 'n') ADVANCE(447);
      END_STATE();
    case 323:
      if (lookahead == 'b') ADVANCE(448);
      if (lookahead == 'd') ADVANCE(449);
      END_STATE();
    case 324:
      if (lookahead == 'e') ADVANCE(450);
      END_STATE();
    case 325:
      if (lookahead == 'd') ADVANCE(451);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_smod);
      END_STATE();
    case 327:
      if (lookahead == 'd') ADVANCE(452);
      END_STATE();
    case 328:
      if (lookahead == 'r') ADVANCE(453);
      END_STATE();
    case 329:
      if (lookahead == 'i') ADVANCE(454);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_stop);
      END_STATE();
    case 331:
      if (lookahead == 'a') ADVANCE(455);
      END_STATE();
    case 332:
      if (lookahead == 'n') ADVANCE(456);
      END_STATE();
    case 333:
      if (lookahead == 'c') ADVANCE(457);
      END_STATE();
    case 334:
      if (lookahead == 'c') ADVANCE(458);
      END_STATE();
    case 335:
      if (lookahead == 'o') ADVANCE(459);
      END_STATE();
    case 336:
      if (lookahead == 's') ADVANCE(460);
      END_STATE();
    case 337:
      if (lookahead == 'd') ADVANCE(461);
      END_STATE();
    case 338:
      if (lookahead == 's') ADVANCE(462);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 340:
      if (lookahead == 'r') ADVANCE(463);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 342:
      if (lookahead == 'e') ADVANCE(464);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_uint);
      ADVANCE_MAP(
        '1', 465,
        '2', 466,
        '3', 467,
        '4', 468,
        '5', 469,
        '6', 470,
        '7', 471,
        '8', 472,
        '9', 473,
      );
      END_STATE();
    case 344:
      if (lookahead == 'e') ADVANCE(474);
      END_STATE();
    case 345:
      if (lookahead == 'o') ADVANCE(475);
      END_STATE();
    case 346:
      if (lookahead == 'g') ADVANCE(476);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_view);
      END_STATE();
    case 348:
      if (lookahead == 'u') ADVANCE(477);
      END_STATE();
    case 349:
      if (lookahead == 's') ADVANCE(478);
      END_STATE();
    case 350:
      if (lookahead == 'e') ADVANCE(479);
      END_STATE();
    case 351:
      if (lookahead == 's') ADVANCE(480);
      END_STATE();
    case 352:
      if (lookahead == 'a') ADVANCE(481);
      END_STATE();
    case 353:
      if (lookahead == 'd') ADVANCE(482);
      END_STATE();
    case 354:
      if (lookahead == 's') ADVANCE(483);
      END_STATE();
    case 355:
      if (lookahead == 'm') ADVANCE(484);
      END_STATE();
    case 356:
      if (lookahead == 'b') ADVANCE(485);
      END_STATE();
    case 357:
      if (lookahead == 'c') ADVANCE(486);
      END_STATE();
    case 358:
      if (lookahead == 'e') ADVANCE(487);
      END_STATE();
    case 359:
      if (lookahead == 'e') ADVANCE(488);
      END_STATE();
    case 360:
      if (lookahead == 'a') ADVANCE(489);
      END_STATE();
    case 361:
      if (lookahead == 'h') ADVANCE(490);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_bytes);
      ADVANCE_MAP(
        '1', 491,
        '2', 492,
        '3', 493,
        '4', 494,
        '5', 495,
        '6', 496,
        '7', 497,
        '8', 498,
        '9', 499,
      );
      END_STATE();
    case 364:
      if (lookahead == 'o') ADVANCE(500);
      END_STATE();
    case 365:
      if (lookahead == 'a') ADVANCE(501);
      END_STATE();
    case 366:
      if (lookahead == 'r') ADVANCE(502);
      END_STATE();
    case 367:
      if (lookahead == 'a') ADVANCE(503);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 369:
      if (lookahead == 'i') ADVANCE(504);
      END_STATE();
    case 370:
      if (lookahead == 'a') ADVANCE(505);
      END_STATE();
    case 371:
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == 'r') ADVANCE(507);
      END_STATE();
    case 372:
      if (lookahead == 'n') ADVANCE(508);
      END_STATE();
    case 373:
      if (lookahead == 'a') ADVANCE(509);
      END_STATE();
    case 374:
      if (lookahead == 'e') ADVANCE(510);
      END_STATE();
    case 375:
      if (lookahead == 'l') ADVANCE(511);
      END_STATE();
    case 376:
      if (lookahead == 'a') ADVANCE(512);
      END_STATE();
    case 377:
      if (lookahead == 'e') ADVANCE(513);
      END_STATE();
    case 378:
      if (lookahead == 'c') ADVANCE(514);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(anon_sym_error);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(anon_sym_ether);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_event);
      END_STATE();
    case 382:
      if (lookahead == 'd') ADVANCE(515);
      END_STATE();
    case 383:
      if (lookahead == 'n') ADVANCE(516);
      END_STATE();
    case 384:
      if (lookahead == 'a') ADVANCE(517);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 386:
      if (lookahead == 'y') ADVANCE(518);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_fixed);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(519);
      END_STATE();
    case 388:
      if (lookahead == 'i') ADVANCE(520);
      END_STATE();
    case 389:
      if (lookahead == 'm') ADVANCE(521);
      END_STATE();
    case 390:
      if (lookahead == 'i') ADVANCE(522);
      END_STATE();
    case 391:
      if (lookahead == 'l') ADVANCE(523);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_hours);
      END_STATE();
    case 393:
      if (lookahead == 'a') ADVANCE(524);
      END_STATE();
    case 394:
      if (lookahead == 't') ADVANCE(525);
      END_STATE();
    case 395:
      if (lookahead == 'e') ADVANCE(526);
      END_STATE();
    case 396:
      if (lookahead == '4') ADVANCE(527);
      END_STATE();
    case 397:
      if (lookahead == '2') ADVANCE(528);
      END_STATE();
    case 398:
      if (lookahead == '0') ADVANCE(529);
      if (lookahead == '8') ADVANCE(530);
      END_STATE();
    case 399:
      if (lookahead == '6') ADVANCE(531);
      END_STATE();
    case 400:
      if (lookahead == '4') ADVANCE(532);
      END_STATE();
    case 401:
      if (lookahead == '2') ADVANCE(533);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_int16);
      if (lookahead == '0') ADVANCE(534);
      if (lookahead == '8') ADVANCE(535);
      END_STATE();
    case 403:
      if (lookahead == '6') ADVANCE(536);
      END_STATE();
    case 404:
      if (lookahead == '4') ADVANCE(537);
      END_STATE();
    case 405:
      if (lookahead == '2') ADVANCE(538);
      END_STATE();
    case 406:
      if (lookahead == '0') ADVANCE(539);
      if (lookahead == '8') ADVANCE(540);
      END_STATE();
    case 407:
      if (lookahead == '6') ADVANCE(541);
      END_STATE();
    case 408:
      if (lookahead == '4') ADVANCE(542);
      END_STATE();
    case 409:
      if (lookahead == '2') ADVANCE(543);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_int24);
      if (lookahead == '0') ADVANCE(544);
      if (lookahead == '8') ADVANCE(545);
      END_STATE();
    case 411:
      if (lookahead == '6') ADVANCE(546);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_int32);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_int40);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_int48);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_int56);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_int64);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_int72);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_int80);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_int88);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_int96);
      END_STATE();
    case 421:
      if (lookahead == 'f') ADVANCE(547);
      if (lookahead == 'n') ADVANCE(548);
      END_STATE();
    case 422:
      if (lookahead == 'i') ADVANCE(549);
      END_STATE();
    case 423:
      if (lookahead == 'o') ADVANCE(550);
      END_STATE();
    case 424:
      if (lookahead == 'k') ADVANCE(551);
      END_STATE();
    case 425:
      if (lookahead == 't') ADVANCE(552);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(sym_yul_leave);
      END_STATE();
    case 427:
      if (lookahead == 'r') ADVANCE(553);
      END_STATE();
    case 428:
      if (lookahead == 'n') ADVANCE(554);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_mcopy);
      END_STATE();
    case 430:
      if (lookahead == 'y') ADVANCE(555);
      END_STATE();
    case 431:
      if (lookahead == 'e') ADVANCE(556);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_mload);
      END_STATE();
    case 433:
      if (lookahead == 'i') ADVANCE(557);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_msize);
      END_STATE();
    case 435:
      if (lookahead == 'e') ADVANCE(558);
      END_STATE();
    case 436:
      if (lookahead == 'd') ADVANCE(559);
      END_STATE();
    case 437:
      if (lookahead == 'r') ADVANCE(560);
      END_STATE();
    case 438:
      if (lookahead == 'n') ADVANCE(561);
      END_STATE();
    case 439:
      if (lookahead == 'i') ADVANCE(562);
      END_STATE();
    case 440:
      if (lookahead == 'l') ADVANCE(563);
      END_STATE();
    case 441:
      if (lookahead == 'a') ADVANCE(564);
      END_STATE();
    case 442:
      if (lookahead == 't') ADVANCE(565);
      END_STATE();
    case 443:
      if (lookahead == 'c') ADVANCE(566);
      END_STATE();
    case 444:
      if (lookahead == 'v') ADVANCE(567);
      END_STATE();
    case 445:
      if (lookahead == 'n') ADVANCE(568);
      END_STATE();
    case 446:
      if (lookahead == 't') ADVANCE(569);
      END_STATE();
    case 447:
      if (lookahead == 'd') ADVANCE(570);
      END_STATE();
    case 448:
      if (lookahead == 'a') ADVANCE(571);
      END_STATE();
    case 449:
      if (lookahead == 'e') ADVANCE(572);
      END_STATE();
    case 450:
      if (lookahead == 'x') ADVANCE(573);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_sload);
      END_STATE();
    case 452:
      if (lookahead == 'i') ADVANCE(574);
      END_STATE();
    case 453:
      if (lookahead == 'e') ADVANCE(575);
      END_STATE();
    case 454:
      if (lookahead == 'c') ADVANCE(576);
      END_STATE();
    case 455:
      if (lookahead == 'g') ADVANCE(577);
      END_STATE();
    case 456:
      if (lookahead == 'g') ADVANCE(578);
      END_STATE();
    case 457:
      if (lookahead == 't') ADVANCE(579);
      END_STATE();
    case 458:
      if (lookahead == 'h') ADVANCE(580);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_szabo);
      END_STATE();
    case 460:
      if (lookahead == 't') ADVANCE(581);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_tload);
      END_STATE();
    case 462:
      if (lookahead == 'i') ADVANCE(582);
      END_STATE();
    case 463:
      if (lookahead == 'e') ADVANCE(583);
      END_STATE();
    case 464:
      if (lookahead == 'd') ADVANCE(584);
      END_STATE();
    case 465:
      ADVANCE_MAP(
        '0', 585,
        '1', 586,
        '2', 587,
        '3', 588,
        '4', 589,
        '5', 590,
        '6', 591,
        '7', 592,
        '8', 593,
        '9', 594,
      );
      END_STATE();
    case 466:
      if (lookahead == '0') ADVANCE(595);
      if (lookahead == '1') ADVANCE(596);
      if (lookahead == '2') ADVANCE(597);
      if (lookahead == '3') ADVANCE(598);
      if (lookahead == '4') ADVANCE(599);
      if (lookahead == '5') ADVANCE(600);
      END_STATE();
    case 467:
      if (lookahead == '2') ADVANCE(601);
      END_STATE();
    case 468:
      if (lookahead == '0') ADVANCE(602);
      if (lookahead == '8') ADVANCE(603);
      END_STATE();
    case 469:
      if (lookahead == '6') ADVANCE(604);
      END_STATE();
    case 470:
      if (lookahead == '4') ADVANCE(605);
      END_STATE();
    case 471:
      if (lookahead == '2') ADVANCE(606);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_uint8);
      if (lookahead == '0') ADVANCE(607);
      if (lookahead == '8') ADVANCE(608);
      END_STATE();
    case 473:
      if (lookahead == '6') ADVANCE(609);
      END_STATE();
    case 474:
      if (lookahead == 'c') ADVANCE(610);
      END_STATE();
    case 475:
      if (lookahead == 'd') ADVANCE(611);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 477:
      if (lookahead == 'a') ADVANCE(612);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_weeks);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_years);
      END_STATE();
    case 481:
      if (lookahead == 'c') ADVANCE(613);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_addmod);
      END_STATE();
    case 483:
      if (lookahead == 's') ADVANCE(614);
      END_STATE();
    case 484:
      if (lookahead == 'o') ADVANCE(615);
      END_STATE();
    case 485:
      if (lookahead == 'l') ADVANCE(616);
      END_STATE();
    case 486:
      if (lookahead == 'e') ADVANCE(617);
      END_STATE();
    case 487:
      if (lookahead == 'e') ADVANCE(618);
      END_STATE();
    case 488:
      if (lookahead == 'e') ADVANCE(619);
      END_STATE();
    case 489:
      if (lookahead == 's') ADVANCE(620);
      END_STATE();
    case 490:
      if (lookahead == 'a') ADVANCE(621);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_bytes1);
      ADVANCE_MAP(
        '0', 622,
        '1', 623,
        '2', 624,
        '3', 625,
        '4', 626,
        '5', 627,
        '6', 628,
        '7', 629,
        '8', 630,
        '9', 631,
      );
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_bytes2);
      ADVANCE_MAP(
        '0', 632,
        '1', 633,
        '2', 634,
        '3', 635,
        '4', 636,
        '5', 637,
        '6', 638,
        '7', 639,
        '8', 640,
        '9', 641,
      );
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_bytes3);
      if (lookahead == '0') ADVANCE(642);
      if (lookahead == '1') ADVANCE(643);
      if (lookahead == '2') ADVANCE(644);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_bytes4);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_bytes5);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_bytes6);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_bytes7);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_bytes8);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_bytes9);
      END_STATE();
    case 500:
      if (lookahead == 'd') ADVANCE(645);
      END_STATE();
    case 501:
      if (lookahead == 't') ADVANCE(646);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_caller);
      END_STATE();
    case 503:
      if (lookahead == 'l') ADVANCE(647);
      END_STATE();
    case 504:
      if (lookahead == 'd') ADVANCE(648);
      END_STATE();
    case 505:
      if (lookahead == 's') ADVANCE(649);
      END_STATE();
    case 506:
      if (lookahead == 'n') ADVANCE(650);
      END_STATE();
    case 507:
      if (lookahead == 'u') ADVANCE(651);
      END_STATE();
    case 508:
      if (lookahead == 'u') ADVANCE(652);
      END_STATE();
    case 509:
      if (lookahead == 'c') ADVANCE(653);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_create);
      if (lookahead == '2') ADVANCE(654);
      END_STATE();
    case 511:
      if (lookahead == 't') ADVANCE(655);
      END_STATE();
    case 512:
      if (lookahead == 't') ADVANCE(656);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 514:
      if (lookahead == 'u') ADVANCE(657);
      END_STATE();
    case 515:
      if (lookahead == 'e') ADVANCE(658);
      END_STATE();
    case 516:
      if (lookahead == 'a') ADVANCE(659);
      END_STATE();
    case 517:
      if (lookahead == 'c') ADVANCE(660);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_finney);
      END_STATE();
    case 519:
      if (lookahead == 'x') ADVANCE(661);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(519);
      END_STATE();
    case 520:
      if (lookahead == 'o') ADVANCE(662);
      END_STATE();
    case 521:
      if (lookahead == 'i') ADVANCE(663);
      END_STATE();
    case 522:
      if (lookahead == 'c') ADVANCE(664);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 524:
      if (lookahead == 'b') ADVANCE(665);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 526:
      if (lookahead == 'd') ADVANCE(666);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_int104);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_int112);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_int120);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_int128);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_int136);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_int144);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_int152);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_int160);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_int168);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_int176);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_int184);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_int192);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_int200);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_int208);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_int216);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_int224);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_int232);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_int240);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_int248);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_int256);
      END_STATE();
    case 547:
      if (lookahead == 'a') ADVANCE(667);
      END_STATE();
    case 548:
      if (lookahead == 'a') ADVANCE(668);
      END_STATE();
    case 549:
      if (lookahead == 'd') ADVANCE(669);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_iszero);
      END_STATE();
    case 551:
      if (lookahead == '2') ADVANCE(670);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_layout);
      END_STATE();
    case 553:
      if (lookahead == 'y') ADVANCE(671);
      END_STATE();
    case 554:
      if (lookahead == 'g') ADVANCE(672);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_memory);
      END_STATE();
    case 556:
      if (lookahead == 's') ADVANCE(673);
      END_STATE();
    case 557:
      if (lookahead == 'e') ADVANCE(674);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_mstore);
      if (lookahead == '8') ADVANCE(675);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym_mulmod);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym_number);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym_origin);
      END_STATE();
    case 562:
      if (lookahead == 'd') ADVANCE(676);
      END_STATE();
    case 563:
      if (lookahead == 'e') ADVANCE(677);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_pragma);
      END_STATE();
    case 565:
      if (lookahead == 'e') ADVANCE(678);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 567:
      if (lookahead == 'e') ADVANCE(679);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_return);
      if (lookahead == 'd') ADVANCE(680);
      if (lookahead == 's') ADVANCE(681);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_revert);
      END_STATE();
    case 570:
      if (lookahead == 's') ADVANCE(682);
      END_STATE();
    case 571:
      if (lookahead == 'l') ADVANCE(683);
      END_STATE();
    case 572:
      if (lookahead == 's') ADVANCE(684);
      END_STATE();
    case 573:
      if (lookahead == 't') ADVANCE(685);
      END_STATE();
    case 574:
      if (lookahead == 't') ADVANCE(686);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_sstore);
      END_STATE();
    case 576:
      if (lookahead == 'c') ADVANCE(687);
      END_STATE();
    case 577:
      if (lookahead == 'e') ADVANCE(688);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 581:
      if (lookahead == 'a') ADVANCE(689);
      END_STATE();
    case 582:
      if (lookahead == 'e') ADVANCE(690);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_tstore);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_ufixed);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(691);
      END_STATE();
    case 585:
      if (lookahead == '4') ADVANCE(692);
      END_STATE();
    case 586:
      if (lookahead == '2') ADVANCE(693);
      END_STATE();
    case 587:
      if (lookahead == '0') ADVANCE(694);
      if (lookahead == '8') ADVANCE(695);
      END_STATE();
    case 588:
      if (lookahead == '6') ADVANCE(696);
      END_STATE();
    case 589:
      if (lookahead == '4') ADVANCE(697);
      END_STATE();
    case 590:
      if (lookahead == '2') ADVANCE(698);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(anon_sym_uint16);
      if (lookahead == '0') ADVANCE(699);
      if (lookahead == '8') ADVANCE(700);
      END_STATE();
    case 592:
      if (lookahead == '6') ADVANCE(701);
      END_STATE();
    case 593:
      if (lookahead == '4') ADVANCE(702);
      END_STATE();
    case 594:
      if (lookahead == '2') ADVANCE(703);
      END_STATE();
    case 595:
      if (lookahead == '0') ADVANCE(704);
      if (lookahead == '8') ADVANCE(705);
      END_STATE();
    case 596:
      if (lookahead == '6') ADVANCE(706);
      END_STATE();
    case 597:
      if (lookahead == '4') ADVANCE(707);
      END_STATE();
    case 598:
      if (lookahead == '2') ADVANCE(708);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(anon_sym_uint24);
      if (lookahead == '0') ADVANCE(709);
      if (lookahead == '8') ADVANCE(710);
      END_STATE();
    case 600:
      if (lookahead == '6') ADVANCE(711);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(anon_sym_uint32);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(anon_sym_uint40);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(anon_sym_uint48);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(anon_sym_uint56);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(anon_sym_uint64);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(anon_sym_uint72);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(anon_sym_uint80);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(anon_sym_uint88);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(anon_sym_uint96);
      END_STATE();
    case 610:
      if (lookahead == 'k') ADVANCE(712);
      END_STATE();
    case 611:
      if (lookahead == 'e') ADVANCE(713);
      END_STATE();
    case 612:
      if (lookahead == 'l') ADVANCE(714);
      END_STATE();
    case 613:
      if (lookahead == 't') ADVANCE(715);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(anon_sym_address);
      END_STATE();
    case 615:
      if (lookahead == 'u') ADVANCE(716);
      END_STATE();
    case 616:
      if (lookahead == 'y') ADVANCE(717);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(anon_sym_balance);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(anon_sym_basefee);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(anon_sym_blobfee);
      END_STATE();
    case 620:
      if (lookahead == 'h') ADVANCE(718);
      END_STATE();
    case 621:
      if (lookahead == 's') ADVANCE(719);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(anon_sym_bytes10);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(anon_sym_bytes11);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(anon_sym_bytes12);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(anon_sym_bytes13);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(anon_sym_bytes14);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(anon_sym_bytes15);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(anon_sym_bytes16);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(anon_sym_bytes17);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(anon_sym_bytes18);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(anon_sym_bytes19);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(anon_sym_bytes20);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(anon_sym_bytes21);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(anon_sym_bytes22);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(anon_sym_bytes23);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(anon_sym_bytes24);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(anon_sym_bytes25);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(anon_sym_bytes26);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(anon_sym_bytes27);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(anon_sym_bytes28);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(anon_sym_bytes29);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(anon_sym_bytes30);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(anon_sym_bytes31);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(anon_sym_bytes32);
      END_STATE();
    case 645:
      if (lookahead == 'e') ADVANCE(720);
      END_STATE();
    case 646:
      if (lookahead == 'a') ADVANCE(721);
      END_STATE();
    case 647:
      if (lookahead == 'u') ADVANCE(722);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(anon_sym_chainid);
      END_STATE();
    case 649:
      if (lookahead == 'e') ADVANCE(723);
      END_STATE();
    case 650:
      if (lookahead == 't') ADVANCE(724);
      END_STATE();
    case 651:
      if (lookahead == 'c') ADVANCE(725);
      END_STATE();
    case 652:
      if (lookahead == 'e') ADVANCE(726);
      END_STATE();
    case 653:
      if (lookahead == 't') ADVANCE(727);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(anon_sym_create2);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 656:
      if (lookahead == 'e') ADVANCE(728);
      END_STATE();
    case 657:
      if (lookahead == 'l') ADVANCE(729);
      END_STATE();
    case 658:
      if (lookahead == 'c') ADVANCE(730);
      if (lookahead == 'h') ADVANCE(731);
      if (lookahead == 's') ADVANCE(732);
      END_STATE();
    case 659:
      if (lookahead == 'l') ADVANCE(733);
      END_STATE();
    case 660:
      if (lookahead == 'k') ADVANCE(734);
      END_STATE();
    case 661:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(735);
      END_STATE();
    case 662:
      if (lookahead == 'n') ADVANCE(736);
      END_STATE();
    case 663:
      if (lookahead == 't') ADVANCE(737);
      END_STATE();
    case 664:
      if (lookahead == 'e') ADVANCE(738);
      END_STATE();
    case 665:
      if (lookahead == 'l') ADVANCE(739);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(anon_sym_indexed);
      END_STATE();
    case 667:
      if (lookahead == 'c') ADVANCE(740);
      END_STATE();
    case 668:
      if (lookahead == 'l') ADVANCE(741);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(anon_sym_invalid);
      END_STATE();
    case 670:
      if (lookahead == '5') ADVANCE(742);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(anon_sym_library);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(anon_sym_mapping);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(anon_sym_minutes);
      END_STATE();
    case 674:
      if (lookahead == 'r') ADVANCE(743);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(anon_sym_mstore8);
      END_STATE();
    case 676:
      if (lookahead == 'e') ADVANCE(744);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(anon_sym_payable);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(anon_sym_receive);
      END_STATE();
    case 680:
      if (lookahead == 'a') ADVANCE(745);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(anon_sym_returns);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(anon_sym_seconds);
      END_STATE();
    case 683:
      if (lookahead == 'a') ADVANCE(746);
      END_STATE();
    case 684:
      if (lookahead == 't') ADVANCE(747);
      END_STATE();
    case 685:
      if (lookahead == 'e') ADVANCE(748);
      END_STATE();
    case 686:
      if (lookahead == 'y') ADVANCE(749);
      END_STATE();
    case 687:
      if (lookahead == 'a') ADVANCE(750);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(anon_sym_storage);
      END_STATE();
    case 689:
      if (lookahead == 'm') ADVANCE(751);
      END_STATE();
    case 690:
      if (lookahead == 'n') ADVANCE(752);
      END_STATE();
    case 691:
      if (lookahead == 'x') ADVANCE(753);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(691);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(anon_sym_uint104);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(anon_sym_uint112);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(anon_sym_uint120);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(anon_sym_uint128);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(anon_sym_uint136);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(anon_sym_uint144);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(anon_sym_uint152);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(anon_sym_uint160);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(anon_sym_uint168);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(anon_sym_uint176);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(anon_sym_uint184);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(anon_sym_uint192);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(anon_sym_uint200);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(anon_sym_uint208);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(anon_sym_uint216);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(anon_sym_uint224);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(anon_sym_uint232);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(anon_sym_uint240);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(anon_sym_uint248);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(anon_sym_uint256);
      END_STATE();
    case 712:
      if (lookahead == 'e') ADVANCE(754);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(anon_sym_unicode);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym_virtual);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 716:
      if (lookahead == 's') ADVANCE(755);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(anon_sym_assembly);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(anon_sym_blobhash);
      END_STATE();
    case 719:
      if (lookahead == 'h') ADVANCE(756);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(anon_sym_callcode);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(anon_sym_calldata);
      if (lookahead == 'c') ADVANCE(757);
      if (lookahead == 'l') ADVANCE(758);
      if (lookahead == 's') ADVANCE(759);
      END_STATE();
    case 722:
      if (lookahead == 'e') ADVANCE(760);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(anon_sym_coinbase);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(anon_sym_constant);
      END_STATE();
    case 725:
      if (lookahead == 't') ADVANCE(761);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(anon_sym_contract);
      END_STATE();
    case 728:
      if (lookahead == 'c') ADVANCE(762);
      END_STATE();
    case 729:
      if (lookahead == 't') ADVANCE(763);
      END_STATE();
    case 730:
      if (lookahead == 'o') ADVANCE(764);
      END_STATE();
    case 731:
      if (lookahead == 'a') ADVANCE(765);
      END_STATE();
    case 732:
      if (lookahead == 'i') ADVANCE(766);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(anon_sym_external);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(anon_sym_fallback);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(aux_sym__fixed_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(735);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(anon_sym_gaslimit);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(anon_sym_gasprice);
      END_STATE();
    case 739:
      if (lookahead == 'e') ADVANCE(767);
      END_STATE();
    case 740:
      if (lookahead == 'e') ADVANCE(768);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(anon_sym_internal);
      END_STATE();
    case 742:
      if (lookahead == '6') ADVANCE(769);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(anon_sym_modifier);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 745:
      if (lookahead == 't') ADVANCE(770);
      END_STATE();
    case 746:
      if (lookahead == 'n') ADVANCE(771);
      END_STATE();
    case 747:
      if (lookahead == 'r') ADVANCE(772);
      END_STATE();
    case 748:
      if (lookahead == 'n') ADVANCE(773);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(anon_sym_solidity);
      END_STATE();
    case 750:
      if (lookahead == 'l') ADVANCE(774);
      END_STATE();
    case 751:
      if (lookahead == 'p') ADVANCE(775);
      END_STATE();
    case 752:
      if (lookahead == 't') ADVANCE(776);
      END_STATE();
    case 753:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(777);
      END_STATE();
    case 754:
      if (lookahead == 'd') ADVANCE(778);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(anon_sym_anonymous);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(anon_sym_blockhash);
      END_STATE();
    case 757:
      if (lookahead == 'o') ADVANCE(779);
      END_STATE();
    case 758:
      if (lookahead == 'o') ADVANCE(780);
      END_STATE();
    case 759:
      if (lookahead == 'i') ADVANCE(781);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(anon_sym_callvalue);
      END_STATE();
    case 761:
      if (lookahead == 'o') ADVANCE(782);
      END_STATE();
    case 762:
      if (lookahead == 'a') ADVANCE(783);
      END_STATE();
    case 763:
      if (lookahead == 'y') ADVANCE(784);
      END_STATE();
    case 764:
      if (lookahead == 'p') ADVANCE(785);
      END_STATE();
    case 765:
      if (lookahead == 's') ADVANCE(786);
      END_STATE();
    case 766:
      if (lookahead == 'z') ADVANCE(787);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym_immutable);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(anon_sym_keccak256);
      END_STATE();
    case 770:
      if (lookahead == 'a') ADVANCE(788);
      END_STATE();
    case 771:
      if (lookahead == 'c') ADVANCE(789);
      END_STATE();
    case 772:
      if (lookahead == 'u') ADVANCE(790);
      END_STATE();
    case 773:
      if (lookahead == 'd') ADVANCE(791);
      END_STATE();
    case 774:
      if (lookahead == 'l') ADVANCE(792);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(anon_sym_timestamp);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(anon_sym_transient);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(aux_sym__ufixed_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(777);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(anon_sym_unchecked);
      END_STATE();
    case 779:
      if (lookahead == 'p') ADVANCE(793);
      END_STATE();
    case 780:
      if (lookahead == 'a') ADVANCE(794);
      END_STATE();
    case 781:
      if (lookahead == 'z') ADVANCE(795);
      END_STATE();
    case 782:
      if (lookahead == 'r') ADVANCE(796);
      END_STATE();
    case 783:
      if (lookahead == 'l') ADVANCE(797);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(anon_sym_difficulty);
      END_STATE();
    case 785:
      if (lookahead == 'y') ADVANCE(798);
      END_STATE();
    case 786:
      if (lookahead == 'h') ADVANCE(799);
      END_STATE();
    case 787:
      if (lookahead == 'e') ADVANCE(800);
      END_STATE();
    case 788:
      if (lookahead == 'c') ADVANCE(801);
      if (lookahead == 's') ADVANCE(802);
      END_STATE();
    case 789:
      if (lookahead == 'e') ADVANCE(803);
      END_STATE();
    case 790:
      if (lookahead == 'c') ADVANCE(804);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(anon_sym_signextend);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(anon_sym_staticcall);
      END_STATE();
    case 793:
      if (lookahead == 'y') ADVANCE(805);
      END_STATE();
    case 794:
      if (lookahead == 'd') ADVANCE(806);
      END_STATE();
    case 795:
      if (lookahead == 'e') ADVANCE(807);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(anon_sym_constructor);
      END_STATE();
    case 797:
      if (lookahead == 'l') ADVANCE(808);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(anon_sym_extcodecopy);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(anon_sym_extcodehash);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(anon_sym_extcodesize);
      END_STATE();
    case 801:
      if (lookahead == 'o') ADVANCE(809);
      END_STATE();
    case 802:
      if (lookahead == 'i') ADVANCE(810);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(anon_sym_selfbalance);
      END_STATE();
    case 804:
      if (lookahead == 't') ADVANCE(811);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(anon_sym_calldatacopy);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(anon_sym_calldataload);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(anon_sym_calldatasize);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(anon_sym_delegatecall);
      END_STATE();
    case 809:
      if (lookahead == 'p') ADVANCE(812);
      END_STATE();
    case 810:
      if (lookahead == 'z') ADVANCE(813);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(anon_sym_selfdestruct);
      END_STATE();
    case 812:
      if (lookahead == 'y') ADVANCE(814);
      END_STATE();
    case 813:
      if (lookahead == 'e') ADVANCE(815);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(anon_sym_returndatacopy);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(anon_sym_returndatasize);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 52},
  [2] = {.lex_state = 11},
  [3] = {.lex_state = 11},
  [4] = {.lex_state = 11},
  [5] = {.lex_state = 11},
  [6] = {.lex_state = 11},
  [7] = {.lex_state = 11},
  [8] = {.lex_state = 11},
  [9] = {.lex_state = 11},
  [10] = {.lex_state = 11},
  [11] = {.lex_state = 11},
  [12] = {.lex_state = 11},
  [13] = {.lex_state = 11},
  [14] = {.lex_state = 11},
  [15] = {.lex_state = 11},
  [16] = {.lex_state = 11},
  [17] = {.lex_state = 11},
  [18] = {.lex_state = 11},
  [19] = {.lex_state = 11},
  [20] = {.lex_state = 11},
  [21] = {.lex_state = 11},
  [22] = {.lex_state = 11},
  [23] = {.lex_state = 11},
  [24] = {.lex_state = 11},
  [25] = {.lex_state = 11},
  [26] = {.lex_state = 11},
  [27] = {.lex_state = 11},
  [28] = {.lex_state = 11},
  [29] = {.lex_state = 11},
  [30] = {.lex_state = 11},
  [31] = {.lex_state = 11},
  [32] = {.lex_state = 11},
  [33] = {.lex_state = 11},
  [34] = {.lex_state = 11},
  [35] = {.lex_state = 11},
  [36] = {.lex_state = 11},
  [37] = {.lex_state = 11},
  [38] = {.lex_state = 11},
  [39] = {.lex_state = 11},
  [40] = {.lex_state = 11},
  [41] = {.lex_state = 11},
  [42] = {.lex_state = 11},
  [43] = {.lex_state = 11},
  [44] = {.lex_state = 11},
  [45] = {.lex_state = 11},
  [46] = {.lex_state = 11},
  [47] = {.lex_state = 11},
  [48] = {.lex_state = 11},
  [49] = {.lex_state = 11},
  [50] = {.lex_state = 11},
  [51] = {.lex_state = 11},
  [52] = {.lex_state = 11},
  [53] = {.lex_state = 11},
  [54] = {.lex_state = 11},
  [55] = {.lex_state = 11},
  [56] = {.lex_state = 11},
  [57] = {.lex_state = 11},
  [58] = {.lex_state = 11},
  [59] = {.lex_state = 11},
  [60] = {.lex_state = 11},
  [61] = {.lex_state = 11},
  [62] = {.lex_state = 11},
  [63] = {.lex_state = 11},
  [64] = {.lex_state = 11},
  [65] = {.lex_state = 11},
  [66] = {.lex_state = 11},
  [67] = {.lex_state = 11},
  [68] = {.lex_state = 11},
  [69] = {.lex_state = 11},
  [70] = {.lex_state = 11},
  [71] = {.lex_state = 11},
  [72] = {.lex_state = 11},
  [73] = {.lex_state = 11},
  [74] = {.lex_state = 11},
  [75] = {.lex_state = 11},
  [76] = {.lex_state = 11},
  [77] = {.lex_state = 11},
  [78] = {.lex_state = 11},
  [79] = {.lex_state = 11},
  [80] = {.lex_state = 11},
  [81] = {.lex_state = 11},
  [82] = {.lex_state = 11},
  [83] = {.lex_state = 11},
  [84] = {.lex_state = 11},
  [85] = {.lex_state = 11},
  [86] = {.lex_state = 52},
  [87] = {.lex_state = 52},
  [88] = {.lex_state = 11},
  [89] = {.lex_state = 11},
  [90] = {.lex_state = 11},
  [91] = {.lex_state = 11},
  [92] = {.lex_state = 11},
  [93] = {.lex_state = 11},
  [94] = {.lex_state = 11},
  [95] = {.lex_state = 11},
  [96] = {.lex_state = 11},
  [97] = {.lex_state = 52},
  [98] = {.lex_state = 11},
  [99] = {.lex_state = 52},
  [100] = {.lex_state = 11},
  [101] = {.lex_state = 11},
  [102] = {.lex_state = 52},
  [103] = {.lex_state = 11},
  [104] = {.lex_state = 11},
  [105] = {.lex_state = 11},
  [106] = {.lex_state = 11},
  [107] = {.lex_state = 11},
  [108] = {.lex_state = 11},
  [109] = {.lex_state = 11},
  [110] = {.lex_state = 11},
  [111] = {.lex_state = 11},
  [112] = {.lex_state = 11},
  [113] = {.lex_state = 11},
  [114] = {.lex_state = 11},
  [115] = {.lex_state = 11},
  [116] = {.lex_state = 11},
  [117] = {.lex_state = 11},
  [118] = {.lex_state = 11},
  [119] = {.lex_state = 11},
  [120] = {.lex_state = 11},
  [121] = {.lex_state = 11},
  [122] = {.lex_state = 11},
  [123] = {.lex_state = 11},
  [124] = {.lex_state = 11},
  [125] = {.lex_state = 52},
  [126] = {.lex_state = 52},
  [127] = {.lex_state = 52},
  [128] = {.lex_state = 52},
  [129] = {.lex_state = 52},
  [130] = {.lex_state = 52},
  [131] = {.lex_state = 52},
  [132] = {.lex_state = 52},
  [133] = {.lex_state = 52},
  [134] = {.lex_state = 52},
  [135] = {.lex_state = 52},
  [136] = {.lex_state = 52},
  [137] = {.lex_state = 52},
  [138] = {.lex_state = 52},
  [139] = {.lex_state = 52},
  [140] = {.lex_state = 52},
  [141] = {.lex_state = 52},
  [142] = {.lex_state = 52},
  [143] = {.lex_state = 52},
  [144] = {.lex_state = 52},
  [145] = {.lex_state = 52},
  [146] = {.lex_state = 52},
  [147] = {.lex_state = 52},
  [148] = {.lex_state = 52},
  [149] = {.lex_state = 52},
  [150] = {.lex_state = 52},
  [151] = {.lex_state = 52},
  [152] = {.lex_state = 52},
  [153] = {.lex_state = 52},
  [154] = {.lex_state = 52},
  [155] = {.lex_state = 52},
  [156] = {.lex_state = 52},
  [157] = {.lex_state = 52},
  [158] = {.lex_state = 52},
  [159] = {.lex_state = 52},
  [160] = {.lex_state = 52},
  [161] = {.lex_state = 52},
  [162] = {.lex_state = 52},
  [163] = {.lex_state = 52},
  [164] = {.lex_state = 52},
  [165] = {.lex_state = 52},
  [166] = {.lex_state = 52},
  [167] = {.lex_state = 52},
  [168] = {.lex_state = 52},
  [169] = {.lex_state = 52},
  [170] = {.lex_state = 52},
  [171] = {.lex_state = 52},
  [172] = {.lex_state = 52},
  [173] = {.lex_state = 52},
  [174] = {.lex_state = 52},
  [175] = {.lex_state = 52},
  [176] = {.lex_state = 52},
  [177] = {.lex_state = 52},
  [178] = {.lex_state = 52},
  [179] = {.lex_state = 52},
  [180] = {.lex_state = 52},
  [181] = {.lex_state = 52},
  [182] = {.lex_state = 52},
  [183] = {.lex_state = 52},
  [184] = {.lex_state = 52},
  [185] = {.lex_state = 52},
  [186] = {.lex_state = 52},
  [187] = {.lex_state = 52},
  [188] = {.lex_state = 52},
  [189] = {.lex_state = 52},
  [190] = {.lex_state = 52},
  [191] = {.lex_state = 52},
  [192] = {.lex_state = 52},
  [193] = {.lex_state = 52},
  [194] = {.lex_state = 52},
  [195] = {.lex_state = 52},
  [196] = {.lex_state = 52},
  [197] = {.lex_state = 52},
  [198] = {.lex_state = 52},
  [199] = {.lex_state = 52},
  [200] = {.lex_state = 52},
  [201] = {.lex_state = 52},
  [202] = {.lex_state = 52},
  [203] = {.lex_state = 52},
  [204] = {.lex_state = 52},
  [205] = {.lex_state = 52},
  [206] = {.lex_state = 52},
  [207] = {.lex_state = 52},
  [208] = {.lex_state = 52},
  [209] = {.lex_state = 52},
  [210] = {.lex_state = 52},
  [211] = {.lex_state = 52},
  [212] = {.lex_state = 52},
  [213] = {.lex_state = 52},
  [214] = {.lex_state = 52},
  [215] = {.lex_state = 52},
  [216] = {.lex_state = 52},
  [217] = {.lex_state = 52},
  [218] = {.lex_state = 52},
  [219] = {.lex_state = 52},
  [220] = {.lex_state = 52},
  [221] = {.lex_state = 52},
  [222] = {.lex_state = 52},
  [223] = {.lex_state = 52},
  [224] = {.lex_state = 52},
  [225] = {.lex_state = 52},
  [226] = {.lex_state = 52},
  [227] = {.lex_state = 52},
  [228] = {.lex_state = 52},
  [229] = {.lex_state = 52},
  [230] = {.lex_state = 52},
  [231] = {.lex_state = 52},
  [232] = {.lex_state = 52},
  [233] = {.lex_state = 52},
  [234] = {.lex_state = 52},
  [235] = {.lex_state = 52},
  [236] = {.lex_state = 52},
  [237] = {.lex_state = 52},
  [238] = {.lex_state = 52},
  [239] = {.lex_state = 52},
  [240] = {.lex_state = 52},
  [241] = {.lex_state = 52},
  [242] = {.lex_state = 52},
  [243] = {.lex_state = 52},
  [244] = {.lex_state = 52},
  [245] = {.lex_state = 52},
  [246] = {.lex_state = 52},
  [247] = {.lex_state = 52},
  [248] = {.lex_state = 52},
  [249] = {.lex_state = 52},
  [250] = {.lex_state = 52},
  [251] = {.lex_state = 52},
  [252] = {.lex_state = 52},
  [253] = {.lex_state = 52},
  [254] = {.lex_state = 52},
  [255] = {.lex_state = 52},
  [256] = {.lex_state = 52},
  [257] = {.lex_state = 52},
  [258] = {.lex_state = 52},
  [259] = {.lex_state = 52},
  [260] = {.lex_state = 52},
  [261] = {.lex_state = 52},
  [262] = {.lex_state = 52},
  [263] = {.lex_state = 52},
  [264] = {.lex_state = 52},
  [265] = {.lex_state = 52},
  [266] = {.lex_state = 52},
  [267] = {.lex_state = 52},
  [268] = {.lex_state = 52},
  [269] = {.lex_state = 52},
  [270] = {.lex_state = 52},
  [271] = {.lex_state = 52},
  [272] = {.lex_state = 52},
  [273] = {.lex_state = 52},
  [274] = {.lex_state = 52},
  [275] = {.lex_state = 52},
  [276] = {.lex_state = 52},
  [277] = {.lex_state = 52},
  [278] = {.lex_state = 52},
  [279] = {.lex_state = 52},
  [280] = {.lex_state = 52},
  [281] = {.lex_state = 52},
  [282] = {.lex_state = 52},
  [283] = {.lex_state = 52},
  [284] = {.lex_state = 52},
  [285] = {.lex_state = 52},
  [286] = {.lex_state = 52},
  [287] = {.lex_state = 52},
  [288] = {.lex_state = 52},
  [289] = {.lex_state = 52},
  [290] = {.lex_state = 52},
  [291] = {.lex_state = 52},
  [292] = {.lex_state = 52},
  [293] = {.lex_state = 52},
  [294] = {.lex_state = 52},
  [295] = {.lex_state = 52},
  [296] = {.lex_state = 52},
  [297] = {.lex_state = 52},
  [298] = {.lex_state = 52},
  [299] = {.lex_state = 52},
  [300] = {.lex_state = 52},
  [301] = {.lex_state = 52},
  [302] = {.lex_state = 52},
  [303] = {.lex_state = 52},
  [304] = {.lex_state = 52},
  [305] = {.lex_state = 52},
  [306] = {.lex_state = 52},
  [307] = {.lex_state = 52},
  [308] = {.lex_state = 52},
  [309] = {.lex_state = 52},
  [310] = {.lex_state = 52},
  [311] = {.lex_state = 52},
  [312] = {.lex_state = 52},
  [313] = {.lex_state = 52},
  [314] = {.lex_state = 52},
  [315] = {.lex_state = 52},
  [316] = {.lex_state = 52},
  [317] = {.lex_state = 52},
  [318] = {.lex_state = 52},
  [319] = {.lex_state = 52},
  [320] = {.lex_state = 52},
  [321] = {.lex_state = 52},
  [322] = {.lex_state = 52},
  [323] = {.lex_state = 52},
  [324] = {.lex_state = 52},
  [325] = {.lex_state = 52},
  [326] = {.lex_state = 52},
  [327] = {.lex_state = 52},
  [328] = {.lex_state = 52},
  [329] = {.lex_state = 52},
  [330] = {.lex_state = 52},
  [331] = {.lex_state = 52},
  [332] = {.lex_state = 52},
  [333] = {.lex_state = 52},
  [334] = {.lex_state = 52},
  [335] = {.lex_state = 52},
  [336] = {.lex_state = 52},
  [337] = {.lex_state = 52},
  [338] = {.lex_state = 52},
  [339] = {.lex_state = 52},
  [340] = {.lex_state = 52},
  [341] = {.lex_state = 52},
  [342] = {.lex_state = 52},
  [343] = {.lex_state = 52},
  [344] = {.lex_state = 52},
  [345] = {.lex_state = 52},
  [346] = {.lex_state = 52},
  [347] = {.lex_state = 52},
  [348] = {.lex_state = 52},
  [349] = {.lex_state = 52},
  [350] = {.lex_state = 52},
  [351] = {.lex_state = 52},
  [352] = {.lex_state = 52},
  [353] = {.lex_state = 52},
  [354] = {.lex_state = 52},
  [355] = {.lex_state = 52},
  [356] = {.lex_state = 52},
  [357] = {.lex_state = 52},
  [358] = {.lex_state = 52},
  [359] = {.lex_state = 52},
  [360] = {.lex_state = 52},
  [361] = {.lex_state = 52},
  [362] = {.lex_state = 52},
  [363] = {.lex_state = 52},
  [364] = {.lex_state = 52},
  [365] = {.lex_state = 52},
  [366] = {.lex_state = 52},
  [367] = {.lex_state = 52},
  [368] = {.lex_state = 52},
  [369] = {.lex_state = 52},
  [370] = {.lex_state = 52},
  [371] = {.lex_state = 52},
  [372] = {.lex_state = 52},
  [373] = {.lex_state = 52},
  [374] = {.lex_state = 52},
  [375] = {.lex_state = 52},
  [376] = {.lex_state = 52},
  [377] = {.lex_state = 52},
  [378] = {.lex_state = 52},
  [379] = {.lex_state = 52},
  [380] = {.lex_state = 52},
  [381] = {.lex_state = 52},
  [382] = {.lex_state = 52},
  [383] = {.lex_state = 52},
  [384] = {.lex_state = 52},
  [385] = {.lex_state = 52},
  [386] = {.lex_state = 52},
  [387] = {.lex_state = 52},
  [388] = {.lex_state = 52},
  [389] = {.lex_state = 52},
  [390] = {.lex_state = 52},
  [391] = {.lex_state = 52},
  [392] = {.lex_state = 52},
  [393] = {.lex_state = 52},
  [394] = {.lex_state = 52},
  [395] = {.lex_state = 52},
  [396] = {.lex_state = 52},
  [397] = {.lex_state = 52},
  [398] = {.lex_state = 52},
  [399] = {.lex_state = 52},
  [400] = {.lex_state = 52},
  [401] = {.lex_state = 52},
  [402] = {.lex_state = 52},
  [403] = {.lex_state = 52},
  [404] = {.lex_state = 52},
  [405] = {.lex_state = 10},
  [406] = {.lex_state = 10},
  [407] = {.lex_state = 9},
  [408] = {.lex_state = 9},
  [409] = {.lex_state = 9},
  [410] = {.lex_state = 9},
  [411] = {.lex_state = 9},
  [412] = {.lex_state = 9},
  [413] = {.lex_state = 9},
  [414] = {.lex_state = 9},
  [415] = {.lex_state = 10},
  [416] = {.lex_state = 9},
  [417] = {.lex_state = 9},
  [418] = {.lex_state = 9},
  [419] = {.lex_state = 10},
  [420] = {.lex_state = 10},
  [421] = {.lex_state = 10},
  [422] = {.lex_state = 9},
  [423] = {.lex_state = 9},
  [424] = {.lex_state = 9},
  [425] = {.lex_state = 9},
  [426] = {.lex_state = 9},
  [427] = {.lex_state = 9},
  [428] = {.lex_state = 9},
  [429] = {.lex_state = 9},
  [430] = {.lex_state = 9},
  [431] = {.lex_state = 9},
  [432] = {.lex_state = 9},
  [433] = {.lex_state = 9},
  [434] = {.lex_state = 9},
  [435] = {.lex_state = 9},
  [436] = {.lex_state = 9},
  [437] = {.lex_state = 9},
  [438] = {.lex_state = 9},
  [439] = {.lex_state = 9},
  [440] = {.lex_state = 9},
  [441] = {.lex_state = 9},
  [442] = {.lex_state = 9},
  [443] = {.lex_state = 9},
  [444] = {.lex_state = 9},
  [445] = {.lex_state = 9},
  [446] = {.lex_state = 9},
  [447] = {.lex_state = 9},
  [448] = {.lex_state = 9},
  [449] = {.lex_state = 9},
  [450] = {.lex_state = 9},
  [451] = {.lex_state = 9},
  [452] = {.lex_state = 9},
  [453] = {.lex_state = 9},
  [454] = {.lex_state = 9},
  [455] = {.lex_state = 9},
  [456] = {.lex_state = 9},
  [457] = {.lex_state = 9},
  [458] = {.lex_state = 9},
  [459] = {.lex_state = 9},
  [460] = {.lex_state = 9},
  [461] = {.lex_state = 9},
  [462] = {.lex_state = 9},
  [463] = {.lex_state = 9},
  [464] = {.lex_state = 9},
  [465] = {.lex_state = 9},
  [466] = {.lex_state = 9},
  [467] = {.lex_state = 9},
  [468] = {.lex_state = 9},
  [469] = {.lex_state = 9},
  [470] = {.lex_state = 9},
  [471] = {.lex_state = 9},
  [472] = {.lex_state = 9},
  [473] = {.lex_state = 9},
  [474] = {.lex_state = 9},
  [475] = {.lex_state = 9},
  [476] = {.lex_state = 9},
  [477] = {.lex_state = 9},
  [478] = {.lex_state = 9},
  [479] = {.lex_state = 9},
  [480] = {.lex_state = 9},
  [481] = {.lex_state = 9},
  [482] = {.lex_state = 9},
  [483] = {.lex_state = 9},
  [484] = {.lex_state = 9},
  [485] = {.lex_state = 9},
  [486] = {.lex_state = 9},
  [487] = {.lex_state = 9},
  [488] = {.lex_state = 9},
  [489] = {.lex_state = 9},
  [490] = {.lex_state = 9},
  [491] = {.lex_state = 9},
  [492] = {.lex_state = 9},
  [493] = {.lex_state = 9},
  [494] = {.lex_state = 9},
  [495] = {.lex_state = 9},
  [496] = {.lex_state = 9},
  [497] = {.lex_state = 9},
  [498] = {.lex_state = 9},
  [499] = {.lex_state = 9},
  [500] = {.lex_state = 9},
  [501] = {.lex_state = 9},
  [502] = {.lex_state = 9},
  [503] = {.lex_state = 9},
  [504] = {.lex_state = 52},
  [505] = {.lex_state = 9},
  [506] = {.lex_state = 52},
  [507] = {.lex_state = 52},
  [508] = {.lex_state = 52},
  [509] = {.lex_state = 52},
  [510] = {.lex_state = 52},
  [511] = {.lex_state = 52},
  [512] = {.lex_state = 9},
  [513] = {.lex_state = 52},
  [514] = {.lex_state = 52},
  [515] = {.lex_state = 52},
  [516] = {.lex_state = 52},
  [517] = {.lex_state = 52},
  [518] = {.lex_state = 52},
  [519] = {.lex_state = 52},
  [520] = {.lex_state = 52},
  [521] = {.lex_state = 52},
  [522] = {.lex_state = 52},
  [523] = {.lex_state = 52},
  [524] = {.lex_state = 52},
  [525] = {.lex_state = 52},
  [526] = {.lex_state = 52},
  [527] = {.lex_state = 52},
  [528] = {.lex_state = 52},
  [529] = {.lex_state = 52},
  [530] = {.lex_state = 52},
  [531] = {.lex_state = 52},
  [532] = {.lex_state = 52},
  [533] = {.lex_state = 52},
  [534] = {.lex_state = 52},
  [535] = {.lex_state = 52},
  [536] = {.lex_state = 52},
  [537] = {.lex_state = 52},
  [538] = {.lex_state = 52},
  [539] = {.lex_state = 52},
  [540] = {.lex_state = 52},
  [541] = {.lex_state = 52},
  [542] = {.lex_state = 52},
  [543] = {.lex_state = 52},
  [544] = {.lex_state = 9},
  [545] = {.lex_state = 52},
  [546] = {.lex_state = 52},
  [547] = {.lex_state = 52},
  [548] = {.lex_state = 52},
  [549] = {.lex_state = 52},
  [550] = {.lex_state = 52},
  [551] = {.lex_state = 52},
  [552] = {.lex_state = 52},
  [553] = {.lex_state = 12},
  [554] = {.lex_state = 12},
  [555] = {.lex_state = 52},
  [556] = {.lex_state = 52},
  [557] = {.lex_state = 52},
  [558] = {.lex_state = 52},
  [559] = {.lex_state = 52},
  [560] = {.lex_state = 52},
  [561] = {.lex_state = 52},
  [562] = {.lex_state = 52},
  [563] = {.lex_state = 12},
  [564] = {.lex_state = 52},
  [565] = {.lex_state = 52},
  [566] = {.lex_state = 12},
  [567] = {.lex_state = 52},
  [568] = {.lex_state = 12},
  [569] = {.lex_state = 52},
  [570] = {.lex_state = 52},
  [571] = {.lex_state = 52},
  [572] = {.lex_state = 52},
  [573] = {.lex_state = 52},
  [574] = {.lex_state = 52},
  [575] = {.lex_state = 52},
  [576] = {.lex_state = 52},
  [577] = {.lex_state = 52},
  [578] = {.lex_state = 52},
  [579] = {.lex_state = 52},
  [580] = {.lex_state = 5},
  [581] = {.lex_state = 5},
  [582] = {.lex_state = 5},
  [583] = {.lex_state = 5},
  [584] = {.lex_state = 5},
  [585] = {.lex_state = 52},
  [586] = {.lex_state = 52},
  [587] = {.lex_state = 52},
  [588] = {.lex_state = 52},
  [589] = {.lex_state = 52},
  [590] = {.lex_state = 52},
  [591] = {.lex_state = 52},
  [592] = {.lex_state = 52},
  [593] = {.lex_state = 52},
  [594] = {.lex_state = 5},
  [595] = {.lex_state = 52},
  [596] = {.lex_state = 52},
  [597] = {.lex_state = 52},
  [598] = {.lex_state = 52},
  [599] = {.lex_state = 52},
  [600] = {.lex_state = 52},
  [601] = {.lex_state = 52},
  [602] = {.lex_state = 52},
  [603] = {.lex_state = 52},
  [604] = {.lex_state = 52},
  [605] = {.lex_state = 52},
  [606] = {.lex_state = 52},
  [607] = {.lex_state = 52},
  [608] = {.lex_state = 52},
  [609] = {.lex_state = 1},
  [610] = {.lex_state = 3},
  [611] = {.lex_state = 3},
  [612] = {.lex_state = 1},
  [613] = {.lex_state = 52},
  [614] = {.lex_state = 52},
  [615] = {.lex_state = 3},
  [616] = {.lex_state = 1},
  [617] = {.lex_state = 13},
  [618] = {.lex_state = 52},
  [619] = {.lex_state = 52},
  [620] = {.lex_state = 3},
  [621] = {.lex_state = 1},
  [622] = {.lex_state = 3},
  [623] = {.lex_state = 1},
  [624] = {.lex_state = 52},
  [625] = {.lex_state = 0},
  [626] = {.lex_state = 52},
  [627] = {.lex_state = 52},
  [628] = {.lex_state = 0},
  [629] = {.lex_state = 52},
  [630] = {.lex_state = 52},
  [631] = {.lex_state = 52},
  [632] = {.lex_state = 52},
  [633] = {.lex_state = 52},
  [634] = {.lex_state = 52},
  [635] = {.lex_state = 52},
  [636] = {.lex_state = 0},
  [637] = {.lex_state = 52},
  [638] = {.lex_state = 52},
  [639] = {.lex_state = 10},
  [640] = {.lex_state = 52},
  [641] = {.lex_state = 0},
  [642] = {.lex_state = 52},
  [643] = {.lex_state = 0},
  [644] = {.lex_state = 0},
  [645] = {.lex_state = 52},
  [646] = {.lex_state = 13},
  [647] = {.lex_state = 52},
  [648] = {.lex_state = 0},
  [649] = {.lex_state = 0},
  [650] = {.lex_state = 52},
  [651] = {.lex_state = 52},
  [652] = {.lex_state = 52},
  [653] = {.lex_state = 52},
  [654] = {.lex_state = 52},
  [655] = {.lex_state = 52},
  [656] = {.lex_state = 52},
  [657] = {.lex_state = 52},
  [658] = {.lex_state = 52},
  [659] = {.lex_state = 0},
  [660] = {.lex_state = 3},
  [661] = {.lex_state = 52},
  [662] = {.lex_state = 1},
  [663] = {.lex_state = 52},
  [664] = {.lex_state = 52},
  [665] = {.lex_state = 52},
  [666] = {.lex_state = 52},
  [667] = {.lex_state = 0},
  [668] = {.lex_state = 0},
  [669] = {.lex_state = 52},
  [670] = {.lex_state = 52},
  [671] = {.lex_state = 52},
  [672] = {.lex_state = 52},
  [673] = {.lex_state = 52},
  [674] = {.lex_state = 13},
  [675] = {.lex_state = 52},
  [676] = {.lex_state = 0},
  [677] = {.lex_state = 0},
  [678] = {.lex_state = 52},
  [679] = {.lex_state = 13},
  [680] = {.lex_state = 3},
  [681] = {.lex_state = 1},
  [682] = {.lex_state = 52},
  [683] = {.lex_state = 13},
  [684] = {.lex_state = 13},
  [685] = {.lex_state = 13},
  [686] = {.lex_state = 13},
  [687] = {.lex_state = 52},
  [688] = {.lex_state = 52},
  [689] = {.lex_state = 52},
  [690] = {.lex_state = 13},
  [691] = {.lex_state = 13},
  [692] = {.lex_state = 52},
  [693] = {.lex_state = 0},
  [694] = {.lex_state = 52},
  [695] = {.lex_state = 3},
  [696] = {.lex_state = 1},
  [697] = {.lex_state = 52},
  [698] = {.lex_state = 52},
  [699] = {.lex_state = 52},
  [700] = {.lex_state = 52},
  [701] = {.lex_state = 0},
  [702] = {.lex_state = 0},
  [703] = {.lex_state = 52},
  [704] = {.lex_state = 52},
  [705] = {.lex_state = 52},
  [706] = {.lex_state = 52},
  [707] = {.lex_state = 52},
  [708] = {.lex_state = 52},
  [709] = {.lex_state = 52},
  [710] = {.lex_state = 52},
  [711] = {.lex_state = 52},
  [712] = {.lex_state = 0},
  [713] = {.lex_state = 52},
  [714] = {.lex_state = 52},
  [715] = {.lex_state = 0},
  [716] = {.lex_state = 0},
  [717] = {.lex_state = 52},
  [718] = {.lex_state = 0},
  [719] = {.lex_state = 0},
  [720] = {.lex_state = 0},
  [721] = {.lex_state = 0},
  [722] = {.lex_state = 52},
  [723] = {.lex_state = 52},
  [724] = {.lex_state = 52},
  [725] = {.lex_state = 52},
  [726] = {.lex_state = 0},
  [727] = {.lex_state = 52},
  [728] = {.lex_state = 0},
  [729] = {.lex_state = 0},
  [730] = {.lex_state = 0},
  [731] = {.lex_state = 52},
  [732] = {.lex_state = 0},
  [733] = {.lex_state = 52},
  [734] = {.lex_state = 0},
  [735] = {.lex_state = 0},
  [736] = {.lex_state = 52},
  [737] = {.lex_state = 52},
  [738] = {.lex_state = 0},
  [739] = {.lex_state = 0},
  [740] = {.lex_state = 52},
  [741] = {.lex_state = 0},
  [742] = {.lex_state = 52},
  [743] = {.lex_state = 52},
  [744] = {.lex_state = 0},
  [745] = {.lex_state = 52},
  [746] = {.lex_state = 0},
  [747] = {.lex_state = 0},
  [748] = {.lex_state = 52},
  [749] = {.lex_state = 0},
  [750] = {.lex_state = 52},
  [751] = {.lex_state = 52},
  [752] = {.lex_state = 0},
  [753] = {.lex_state = 52},
  [754] = {.lex_state = 52},
  [755] = {.lex_state = 52},
  [756] = {.lex_state = 0},
  [757] = {.lex_state = 52},
  [758] = {.lex_state = 0},
  [759] = {.lex_state = 52},
  [760] = {.lex_state = 52},
  [761] = {.lex_state = 52},
  [762] = {.lex_state = 52},
  [763] = {.lex_state = 0},
  [764] = {.lex_state = 52},
  [765] = {.lex_state = 52},
  [766] = {.lex_state = 52},
  [767] = {.lex_state = 0},
  [768] = {.lex_state = 0},
  [769] = {.lex_state = 52},
  [770] = {.lex_state = 52},
  [771] = {.lex_state = 0},
  [772] = {.lex_state = 0},
  [773] = {.lex_state = 52},
  [774] = {.lex_state = 52},
  [775] = {.lex_state = 52},
  [776] = {.lex_state = 13},
  [777] = {.lex_state = 0},
  [778] = {.lex_state = 0},
  [779] = {.lex_state = 0},
  [780] = {.lex_state = 52},
  [781] = {.lex_state = 52},
  [782] = {.lex_state = 52},
  [783] = {.lex_state = 0},
  [784] = {.lex_state = 52},
  [785] = {.lex_state = 52},
  [786] = {.lex_state = 0},
  [787] = {.lex_state = 0},
  [788] = {.lex_state = 0},
  [789] = {.lex_state = 52},
  [790] = {.lex_state = 52},
  [791] = {.lex_state = 0},
  [792] = {.lex_state = 52},
  [793] = {.lex_state = 0},
  [794] = {.lex_state = 0},
  [795] = {.lex_state = 0},
  [796] = {.lex_state = 52},
  [797] = {.lex_state = 52},
  [798] = {.lex_state = 0},
  [799] = {.lex_state = 0},
  [800] = {.lex_state = 52},
  [801] = {.lex_state = 0},
  [802] = {.lex_state = 0},
  [803] = {.lex_state = 0},
  [804] = {.lex_state = 0},
  [805] = {.lex_state = 0},
  [806] = {.lex_state = 52},
  [807] = {.lex_state = 0},
  [808] = {.lex_state = 0},
  [809] = {.lex_state = 52},
  [810] = {.lex_state = 52},
  [811] = {.lex_state = 52},
  [812] = {.lex_state = 13},
  [813] = {.lex_state = 0},
  [814] = {.lex_state = 0},
  [815] = {.lex_state = 0},
  [816] = {.lex_state = 52},
  [817] = {.lex_state = 52},
  [818] = {.lex_state = 0},
  [819] = {.lex_state = 52},
  [820] = {.lex_state = 0},
  [821] = {.lex_state = 0},
  [822] = {.lex_state = 13},
  [823] = {.lex_state = 52},
  [824] = {.lex_state = 52},
  [825] = {.lex_state = 52},
  [826] = {.lex_state = 0},
  [827] = {.lex_state = 0},
  [828] = {.lex_state = 0},
  [829] = {.lex_state = 52},
  [830] = {.lex_state = 52},
  [831] = {.lex_state = 0},
  [832] = {.lex_state = 0},
  [833] = {.lex_state = 0},
  [834] = {.lex_state = 52},
  [835] = {.lex_state = 0},
  [836] = {.lex_state = 13},
  [837] = {.lex_state = 0},
  [838] = {.lex_state = 0},
  [839] = {.lex_state = 0},
  [840] = {.lex_state = 52},
  [841] = {.lex_state = 0},
  [842] = {.lex_state = 52},
  [843] = {.lex_state = 52},
  [844] = {.lex_state = 52},
  [845] = {.lex_state = 0},
  [846] = {.lex_state = 0},
  [847] = {.lex_state = 0},
  [848] = {.lex_state = 0},
  [849] = {.lex_state = 0},
  [850] = {.lex_state = 0},
  [851] = {.lex_state = 0},
  [852] = {.lex_state = 0},
  [853] = {.lex_state = 52},
  [854] = {.lex_state = 52},
  [855] = {.lex_state = 0},
  [856] = {.lex_state = 0},
  [857] = {.lex_state = 0},
  [858] = {.lex_state = 52},
  [859] = {.lex_state = 52},
  [860] = {.lex_state = 52},
  [861] = {.lex_state = 0},
  [862] = {.lex_state = 52},
  [863] = {.lex_state = 0},
  [864] = {.lex_state = 0},
  [865] = {.lex_state = 52},
  [866] = {.lex_state = 52},
  [867] = {.lex_state = 0},
  [868] = {.lex_state = 52},
  [869] = {.lex_state = 52},
  [870] = {.lex_state = 0},
  [871] = {.lex_state = 0},
  [872] = {.lex_state = 0},
  [873] = {.lex_state = 0},
  [874] = {.lex_state = 0},
  [875] = {.lex_state = 0},
  [876] = {.lex_state = 0},
  [877] = {.lex_state = 0},
  [878] = {.lex_state = 0},
  [879] = {.lex_state = 0},
  [880] = {.lex_state = 0},
  [881] = {.lex_state = 0},
  [882] = {.lex_state = 0},
  [883] = {.lex_state = 0},
  [884] = {.lex_state = 0},
  [885] = {.lex_state = 0},
  [886] = {.lex_state = 0},
  [887] = {.lex_state = 0},
  [888] = {.lex_state = 0},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 52},
  [891] = {.lex_state = 0},
  [892] = {.lex_state = 0},
  [893] = {.lex_state = 12},
  [894] = {.lex_state = 0},
  [895] = {.lex_state = 0},
  [896] = {.lex_state = 52},
  [897] = {.lex_state = 0},
  [898] = {.lex_state = 0},
  [899] = {.lex_state = 52},
  [900] = {.lex_state = 0},
  [901] = {.lex_state = 0},
  [902] = {.lex_state = 0},
  [903] = {.lex_state = 0},
  [904] = {.lex_state = 0},
  [905] = {.lex_state = 0},
  [906] = {.lex_state = 0},
  [907] = {.lex_state = 0},
  [908] = {.lex_state = 0},
  [909] = {.lex_state = 0},
  [910] = {.lex_state = 0},
  [911] = {.lex_state = 0},
  [912] = {.lex_state = 0},
  [913] = {.lex_state = 0},
  [914] = {.lex_state = 0},
  [915] = {.lex_state = 0},
  [916] = {.lex_state = 0},
  [917] = {.lex_state = 0},
  [918] = {.lex_state = 52},
  [919] = {.lex_state = 0},
  [920] = {.lex_state = 52},
  [921] = {.lex_state = 52},
  [922] = {.lex_state = 0},
  [923] = {.lex_state = 0},
  [924] = {.lex_state = 0},
  [925] = {.lex_state = 0},
  [926] = {.lex_state = 0},
  [927] = {.lex_state = 0},
  [928] = {.lex_state = 0},
  [929] = {.lex_state = 0},
  [930] = {.lex_state = 0},
  [931] = {.lex_state = 0},
  [932] = {.lex_state = 0},
  [933] = {.lex_state = 0},
  [934] = {.lex_state = 52},
  [935] = {.lex_state = 0},
  [936] = {.lex_state = 0},
  [937] = {.lex_state = 0},
  [938] = {.lex_state = 0},
  [939] = {.lex_state = 0},
  [940] = {.lex_state = 0},
  [941] = {.lex_state = 0},
  [942] = {.lex_state = 0},
  [943] = {.lex_state = 0},
  [944] = {.lex_state = 0},
  [945] = {.lex_state = 52},
  [946] = {.lex_state = 0},
  [947] = {.lex_state = 13},
  [948] = {.lex_state = 13},
  [949] = {.lex_state = 0},
  [950] = {.lex_state = 52},
  [951] = {.lex_state = 52},
  [952] = {.lex_state = 0},
  [953] = {.lex_state = 0},
  [954] = {.lex_state = 0},
  [955] = {.lex_state = 52},
  [956] = {.lex_state = 0},
  [957] = {.lex_state = 0},
  [958] = {.lex_state = 0},
  [959] = {.lex_state = 0},
  [960] = {.lex_state = 22},
  [961] = {.lex_state = 0},
  [962] = {.lex_state = 52},
  [963] = {.lex_state = 0},
  [964] = {.lex_state = 52},
  [965] = {.lex_state = 0},
  [966] = {.lex_state = 0},
  [967] = {.lex_state = 0},
  [968] = {.lex_state = 0},
  [969] = {.lex_state = 52},
  [970] = {.lex_state = 13},
  [971] = {.lex_state = 13},
  [972] = {.lex_state = 52},
  [973] = {.lex_state = 52},
  [974] = {.lex_state = 0},
  [975] = {.lex_state = 0},
  [976] = {.lex_state = 0},
  [977] = {.lex_state = 0},
  [978] = {.lex_state = 0},
  [979] = {.lex_state = 0},
  [980] = {.lex_state = 0},
  [981] = {.lex_state = 52},
  [982] = {.lex_state = 52},
  [983] = {.lex_state = 52},
  [984] = {.lex_state = 52},
  [985] = {.lex_state = 52},
  [986] = {.lex_state = 52},
  [987] = {.lex_state = 0},
  [988] = {.lex_state = 0},
  [989] = {.lex_state = 52},
  [990] = {.lex_state = 52},
  [991] = {.lex_state = 52},
  [992] = {.lex_state = 0},
  [993] = {.lex_state = 0},
  [994] = {.lex_state = 52},
  [995] = {.lex_state = 52},
  [996] = {.lex_state = 13},
  [997] = {.lex_state = 0},
  [998] = {.lex_state = 52},
  [999] = {.lex_state = 52},
  [1000] = {.lex_state = 52},
  [1001] = {.lex_state = 0},
  [1002] = {.lex_state = 0},
  [1003] = {.lex_state = 0},
  [1004] = {.lex_state = 0},
  [1005] = {.lex_state = 0},
  [1006] = {.lex_state = 52},
  [1007] = {.lex_state = 52},
  [1008] = {.lex_state = 0},
  [1009] = {.lex_state = 0},
  [1010] = {.lex_state = 52},
  [1011] = {.lex_state = 52},
  [1012] = {.lex_state = 0},
  [1013] = {.lex_state = 52},
  [1014] = {.lex_state = 52},
  [1015] = {.lex_state = 0},
  [1016] = {.lex_state = 52},
  [1017] = {.lex_state = 52},
  [1018] = {.lex_state = 0},
  [1019] = {.lex_state = 52},
  [1020] = {.lex_state = 52},
  [1021] = {.lex_state = 52},
  [1022] = {.lex_state = 52},
  [1023] = {.lex_state = 0},
  [1024] = {.lex_state = 11},
  [1025] = {.lex_state = 52},
  [1026] = {.lex_state = 5},
  [1027] = {.lex_state = 52},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 52},
  [1030] = {.lex_state = 0},
  [1031] = {.lex_state = 5},
  [1032] = {.lex_state = 52},
  [1033] = {.lex_state = 52},
  [1034] = {.lex_state = 52},
  [1035] = {.lex_state = 11},
  [1036] = {.lex_state = 52},
  [1037] = {.lex_state = 0},
  [1038] = {.lex_state = 52},
  [1039] = {.lex_state = 52},
  [1040] = {.lex_state = 0},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 52},
  [1043] = {.lex_state = 52},
  [1044] = {.lex_state = 52},
  [1045] = {.lex_state = 52},
  [1046] = {.lex_state = 52},
  [1047] = {.lex_state = 52},
  [1048] = {.lex_state = 52},
  [1049] = {.lex_state = 52},
  [1050] = {.lex_state = 52},
  [1051] = {.lex_state = 52},
  [1052] = {.lex_state = 0},
  [1053] = {.lex_state = 0},
  [1054] = {.lex_state = 52},
  [1055] = {.lex_state = 52},
  [1056] = {.lex_state = 52},
  [1057] = {.lex_state = 52},
  [1058] = {.lex_state = 0},
  [1059] = {.lex_state = 52},
  [1060] = {.lex_state = 52},
  [1061] = {.lex_state = 52},
  [1062] = {.lex_state = 0},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 0},
  [1065] = {.lex_state = 52},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 52},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 52},
  [1072] = {.lex_state = 11},
  [1073] = {.lex_state = 52},
  [1074] = {.lex_state = 52},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 52},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 52},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 52},
  [1081] = {.lex_state = 52},
  [1082] = {.lex_state = 52},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_pragma] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_solidity] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_constant] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_contract] = ACTIONS(1),
    [anon_sym_error] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_library] = ACTIONS(1),
    [anon_sym_layout] = ACTIONS(1),
    [anon_sym_at] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_event] = ACTIONS(1),
    [anon_sym_anonymous] = ACTIONS(1),
    [anon_sym_indexed] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_assembly] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [sym_yul_leave] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [sym_yul_decimal_number] = ACTIONS(1),
    [sym_yul_hex_number] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_stop] = ACTIONS(1),
    [anon_sym_add] = ACTIONS(1),
    [anon_sym_sub] = ACTIONS(1),
    [anon_sym_mul] = ACTIONS(1),
    [anon_sym_div] = ACTIONS(1),
    [anon_sym_sdiv] = ACTIONS(1),
    [anon_sym_mod] = ACTIONS(1),
    [anon_sym_smod] = ACTIONS(1),
    [anon_sym_exp] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_lt] = ACTIONS(1),
    [anon_sym_gt] = ACTIONS(1),
    [anon_sym_slt] = ACTIONS(1),
    [anon_sym_sgt] = ACTIONS(1),
    [anon_sym_eq] = ACTIONS(1),
    [anon_sym_iszero] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_xor] = ACTIONS(1),
    [anon_sym_byte] = ACTIONS(1),
    [anon_sym_shl] = ACTIONS(1),
    [anon_sym_shr] = ACTIONS(1),
    [anon_sym_sar] = ACTIONS(1),
    [anon_sym_addmod] = ACTIONS(1),
    [anon_sym_mulmod] = ACTIONS(1),
    [anon_sym_signextend] = ACTIONS(1),
    [anon_sym_keccak256] = ACTIONS(1),
    [anon_sym_pop] = ACTIONS(1),
    [anon_sym_mload] = ACTIONS(1),
    [anon_sym_mcopy] = ACTIONS(1),
    [anon_sym_tload] = ACTIONS(1),
    [anon_sym_tstore] = ACTIONS(1),
    [anon_sym_mstore] = ACTIONS(1),
    [anon_sym_mstore8] = ACTIONS(1),
    [anon_sym_sload] = ACTIONS(1),
    [anon_sym_sstore] = ACTIONS(1),
    [anon_sym_msize] = ACTIONS(1),
    [anon_sym_gas] = ACTIONS(1),
    [anon_sym_address] = ACTIONS(1),
    [anon_sym_balance] = ACTIONS(1),
    [anon_sym_selfbalance] = ACTIONS(1),
    [anon_sym_caller] = ACTIONS(1),
    [anon_sym_callvalue] = ACTIONS(1),
    [anon_sym_calldataload] = ACTIONS(1),
    [anon_sym_calldatasize] = ACTIONS(1),
    [anon_sym_calldatacopy] = ACTIONS(1),
    [anon_sym_extcodesize] = ACTIONS(1),
    [anon_sym_extcodecopy] = ACTIONS(1),
    [anon_sym_returndatasize] = ACTIONS(1),
    [anon_sym_returndatacopy] = ACTIONS(1),
    [anon_sym_extcodehash] = ACTIONS(1),
    [anon_sym_create] = ACTIONS(1),
    [anon_sym_create2] = ACTIONS(1),
    [anon_sym_call] = ACTIONS(1),
    [anon_sym_callcode] = ACTIONS(1),
    [anon_sym_delegatecall] = ACTIONS(1),
    [anon_sym_staticcall] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_revert] = ACTIONS(1),
    [anon_sym_selfdestruct] = ACTIONS(1),
    [anon_sym_invalid] = ACTIONS(1),
    [anon_sym_log0] = ACTIONS(1),
    [anon_sym_log1] = ACTIONS(1),
    [anon_sym_log2] = ACTIONS(1),
    [anon_sym_log3] = ACTIONS(1),
    [anon_sym_log4] = ACTIONS(1),
    [anon_sym_chainid] = ACTIONS(1),
    [anon_sym_origin] = ACTIONS(1),
    [anon_sym_gasprice] = ACTIONS(1),
    [anon_sym_blockhash] = ACTIONS(1),
    [anon_sym_blobhash] = ACTIONS(1),
    [anon_sym_basefee] = ACTIONS(1),
    [anon_sym_blobfee] = ACTIONS(1),
    [anon_sym_coinbase] = ACTIONS(1),
    [anon_sym_timestamp] = ACTIONS(1),
    [anon_sym_number] = ACTIONS(1),
    [anon_sym_difficulty] = ACTIONS(1),
    [anon_sym_gaslimit] = ACTIONS(1),
    [anon_sym_unchecked] = ACTIONS(1),
    [anon_sym_memory] = ACTIONS(1),
    [anon_sym_storage] = ACTIONS(1),
    [anon_sym_calldata] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_returns] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_emit] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_internal] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_external] = ACTIONS(1),
    [anon_sym_pure] = ACTIONS(1),
    [anon_sym_view] = ACTIONS(1),
    [anon_sym_payable] = ACTIONS(1),
    [anon_sym_transient] = ACTIONS(1),
    [sym_immutable] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_modifier] = ACTIONS(1),
    [anon_sym_constructor] = ACTIONS(1),
    [anon_sym_fallback] = ACTIONS(1),
    [anon_sym_receive] = ACTIONS(1),
    [sym_virtual] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_mapping] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [anon_sym_int8] = ACTIONS(1),
    [anon_sym_int16] = ACTIONS(1),
    [anon_sym_int24] = ACTIONS(1),
    [anon_sym_int32] = ACTIONS(1),
    [anon_sym_int40] = ACTIONS(1),
    [anon_sym_int48] = ACTIONS(1),
    [anon_sym_int56] = ACTIONS(1),
    [anon_sym_int64] = ACTIONS(1),
    [anon_sym_int72] = ACTIONS(1),
    [anon_sym_int80] = ACTIONS(1),
    [anon_sym_int88] = ACTIONS(1),
    [anon_sym_int96] = ACTIONS(1),
    [anon_sym_int104] = ACTIONS(1),
    [anon_sym_int112] = ACTIONS(1),
    [anon_sym_int120] = ACTIONS(1),
    [anon_sym_int128] = ACTIONS(1),
    [anon_sym_int136] = ACTIONS(1),
    [anon_sym_int144] = ACTIONS(1),
    [anon_sym_int152] = ACTIONS(1),
    [anon_sym_int160] = ACTIONS(1),
    [anon_sym_int168] = ACTIONS(1),
    [anon_sym_int176] = ACTIONS(1),
    [anon_sym_int184] = ACTIONS(1),
    [anon_sym_int192] = ACTIONS(1),
    [anon_sym_int200] = ACTIONS(1),
    [anon_sym_int208] = ACTIONS(1),
    [anon_sym_int216] = ACTIONS(1),
    [anon_sym_int224] = ACTIONS(1),
    [anon_sym_int232] = ACTIONS(1),
    [anon_sym_int240] = ACTIONS(1),
    [anon_sym_int248] = ACTIONS(1),
    [anon_sym_int256] = ACTIONS(1),
    [anon_sym_uint] = ACTIONS(1),
    [anon_sym_uint8] = ACTIONS(1),
    [anon_sym_uint16] = ACTIONS(1),
    [anon_sym_uint24] = ACTIONS(1),
    [anon_sym_uint32] = ACTIONS(1),
    [anon_sym_uint40] = ACTIONS(1),
    [anon_sym_uint48] = ACTIONS(1),
    [anon_sym_uint56] = ACTIONS(1),
    [anon_sym_uint64] = ACTIONS(1),
    [anon_sym_uint72] = ACTIONS(1),
    [anon_sym_uint80] = ACTIONS(1),
    [anon_sym_uint88] = ACTIONS(1),
    [anon_sym_uint96] = ACTIONS(1),
    [anon_sym_uint104] = ACTIONS(1),
    [anon_sym_uint112] = ACTIONS(1),
    [anon_sym_uint120] = ACTIONS(1),
    [anon_sym_uint128] = ACTIONS(1),
    [anon_sym_uint136] = ACTIONS(1),
    [anon_sym_uint144] = ACTIONS(1),
    [anon_sym_uint152] = ACTIONS(1),
    [anon_sym_uint160] = ACTIONS(1),
    [anon_sym_uint168] = ACTIONS(1),
    [anon_sym_uint176] = ACTIONS(1),
    [anon_sym_uint184] = ACTIONS(1),
    [anon_sym_uint192] = ACTIONS(1),
    [anon_sym_uint200] = ACTIONS(1),
    [anon_sym_uint208] = ACTIONS(1),
    [anon_sym_uint216] = ACTIONS(1),
    [anon_sym_uint224] = ACTIONS(1),
    [anon_sym_uint232] = ACTIONS(1),
    [anon_sym_uint240] = ACTIONS(1),
    [anon_sym_uint248] = ACTIONS(1),
    [anon_sym_uint256] = ACTIONS(1),
    [anon_sym_bytes] = ACTIONS(1),
    [anon_sym_bytes1] = ACTIONS(1),
    [anon_sym_bytes2] = ACTIONS(1),
    [anon_sym_bytes3] = ACTIONS(1),
    [anon_sym_bytes4] = ACTIONS(1),
    [anon_sym_bytes5] = ACTIONS(1),
    [anon_sym_bytes6] = ACTIONS(1),
    [anon_sym_bytes7] = ACTIONS(1),
    [anon_sym_bytes8] = ACTIONS(1),
    [anon_sym_bytes9] = ACTIONS(1),
    [anon_sym_bytes10] = ACTIONS(1),
    [anon_sym_bytes11] = ACTIONS(1),
    [anon_sym_bytes12] = ACTIONS(1),
    [anon_sym_bytes13] = ACTIONS(1),
    [anon_sym_bytes14] = ACTIONS(1),
    [anon_sym_bytes15] = ACTIONS(1),
    [anon_sym_bytes16] = ACTIONS(1),
    [anon_sym_bytes17] = ACTIONS(1),
    [anon_sym_bytes18] = ACTIONS(1),
    [anon_sym_bytes19] = ACTIONS(1),
    [anon_sym_bytes20] = ACTIONS(1),
    [anon_sym_bytes21] = ACTIONS(1),
    [anon_sym_bytes22] = ACTIONS(1),
    [anon_sym_bytes23] = ACTIONS(1),
    [anon_sym_bytes24] = ACTIONS(1),
    [anon_sym_bytes25] = ACTIONS(1),
    [anon_sym_bytes26] = ACTIONS(1),
    [anon_sym_bytes27] = ACTIONS(1),
    [anon_sym_bytes28] = ACTIONS(1),
    [anon_sym_bytes29] = ACTIONS(1),
    [anon_sym_bytes30] = ACTIONS(1),
    [anon_sym_bytes31] = ACTIONS(1),
    [anon_sym_bytes32] = ACTIONS(1),
    [anon_sym_fixed] = ACTIONS(1),
    [aux_sym__fixed_token1] = ACTIONS(1),
    [anon_sym_ufixed] = ACTIONS(1),
    [aux_sym__ufixed_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_wei] = ACTIONS(1),
    [anon_sym_szabo] = ACTIONS(1),
    [anon_sym_finney] = ACTIONS(1),
    [anon_sym_gwei] = ACTIONS(1),
    [anon_sym_ether] = ACTIONS(1),
    [anon_sym_seconds] = ACTIONS(1),
    [anon_sym_minutes] = ACTIONS(1),
    [anon_sym_hours] = ACTIONS(1),
    [anon_sym_days] = ACTIONS(1),
    [anon_sym_weeks] = ACTIONS(1),
    [anon_sym_years] = ACTIONS(1),
    [anon_sym_hex] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym__escape_sequence] = ACTIONS(1),
    [anon_sym_unicode] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(987),
    [sym__source_unit] = STATE(87),
    [sym__directive] = STATE(87),
    [sym_pragma_directive] = STATE(87),
    [sym_import_directive] = STATE(87),
    [sym__declaration] = STATE(87),
    [sym_user_defined_type_definition] = STATE(87),
    [sym_constant_variable_declaration] = STATE(87),
    [sym_contract_declaration] = STATE(87),
    [sym_error_declaration] = STATE(87),
    [sym_interface_declaration] = STATE(87),
    [sym_library_declaration] = STATE(87),
    [sym_struct_declaration] = STATE(87),
    [sym_enum_declaration] = STATE(87),
    [sym_using_directive] = STATE(87),
    [sym_function_definition] = STATE(87),
    [sym_type_name] = STATE(859),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [aux_sym_source_file_repeat1] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_pragma] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_contract] = ACTIONS(17),
    [anon_sym_error] = ACTIONS(19),
    [anon_sym_interface] = ACTIONS(21),
    [anon_sym_library] = ACTIONS(23),
    [anon_sym_struct] = ACTIONS(25),
    [anon_sym_enum] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(29),
    [anon_sym_function] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym__statement] = STATE(5),
    [sym_assembly_statement] = STATE(5),
    [sym__unchecked] = STATE(1028),
    [sym_block_statement] = STATE(5),
    [sym_variable_declaration_statement] = STATE(5),
    [sym_variable_declaration] = STATE(742),
    [sym_variable_declaration_tuple] = STATE(1038),
    [sym_expression_statement] = STATE(5),
    [sym_if_statement] = STATE(5),
    [sym_for_statement] = STATE(5),
    [sym_while_statement] = STATE(5),
    [sym_do_while_statement] = STATE(5),
    [sym_continue_statement] = STATE(5),
    [sym_break_statement] = STATE(5),
    [sym_revert_statement] = STATE(5),
    [sym_try_statement] = STATE(5),
    [sym_return_statement] = STATE(5),
    [sym_emit_statement] = STATE(5),
    [sym__expression] = STATE(524),
    [sym__primary_expression] = STATE(524),
    [sym_type_cast_expression] = STATE(524),
    [sym_ternary_expression] = STATE(524),
    [sym_new_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_inline_array_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_member_expression] = STATE(524),
    [sym_array_access] = STATE(524),
    [sym_slice_access] = STATE(524),
    [sym_struct_expression] = STATE(524),
    [sym_struct_field_assignment] = STATE(712),
    [sym_parenthesized_expression] = STATE(524),
    [sym_assignment_expression] = STATE(524),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym_call_expression] = STATE(524),
    [sym_payable_conversion_expression] = STATE(524),
    [sym_meta_type_expression] = STATE(524),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(524),
    [sym_string_literal] = STATE(524),
    [sym_number_literal] = STATE(524),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(524),
    [sym_hex_string_literal] = STATE(524),
    [sym_unicode_string_literal] = STATE(524),
    [sym_string] = STATE(446),
    [aux_sym_block_statement_repeat1] = STATE(5),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(47),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_assembly] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(59),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_revert] = ACTIONS(71),
    [anon_sym_unchecked] = ACTIONS(73),
    [anon_sym_var] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_emit] = ACTIONS(83),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym__statement] = STATE(9),
    [sym_assembly_statement] = STATE(9),
    [sym__unchecked] = STATE(1028),
    [sym_block_statement] = STATE(9),
    [sym_variable_declaration_statement] = STATE(9),
    [sym_variable_declaration] = STATE(742),
    [sym_variable_declaration_tuple] = STATE(1038),
    [sym_expression_statement] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_while_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_revert_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_emit_statement] = STATE(9),
    [sym__expression] = STATE(524),
    [sym__primary_expression] = STATE(524),
    [sym_type_cast_expression] = STATE(524),
    [sym_ternary_expression] = STATE(524),
    [sym_new_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_inline_array_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_member_expression] = STATE(524),
    [sym_array_access] = STATE(524),
    [sym_slice_access] = STATE(524),
    [sym_struct_expression] = STATE(524),
    [sym_parenthesized_expression] = STATE(524),
    [sym_assignment_expression] = STATE(524),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym_call_expression] = STATE(524),
    [sym_payable_conversion_expression] = STATE(524),
    [sym_meta_type_expression] = STATE(524),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(524),
    [sym_string_literal] = STATE(524),
    [sym_number_literal] = STATE(524),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(524),
    [sym_hex_string_literal] = STATE(524),
    [sym_unicode_string_literal] = STATE(524),
    [sym_string] = STATE(446),
    [aux_sym_block_statement_repeat1] = STATE(9),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(109),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_assembly] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(59),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_revert] = ACTIONS(71),
    [anon_sym_unchecked] = ACTIONS(73),
    [anon_sym_var] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_emit] = ACTIONS(83),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__statement] = STATE(5),
    [sym_assembly_statement] = STATE(5),
    [sym__unchecked] = STATE(1028),
    [sym_block_statement] = STATE(5),
    [sym_variable_declaration_statement] = STATE(5),
    [sym_variable_declaration] = STATE(742),
    [sym_variable_declaration_tuple] = STATE(1038),
    [sym_expression_statement] = STATE(5),
    [sym_if_statement] = STATE(5),
    [sym_for_statement] = STATE(5),
    [sym_while_statement] = STATE(5),
    [sym_do_while_statement] = STATE(5),
    [sym_continue_statement] = STATE(5),
    [sym_break_statement] = STATE(5),
    [sym_revert_statement] = STATE(5),
    [sym_try_statement] = STATE(5),
    [sym_return_statement] = STATE(5),
    [sym_emit_statement] = STATE(5),
    [sym__expression] = STATE(524),
    [sym__primary_expression] = STATE(524),
    [sym_type_cast_expression] = STATE(524),
    [sym_ternary_expression] = STATE(524),
    [sym_new_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_inline_array_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_member_expression] = STATE(524),
    [sym_array_access] = STATE(524),
    [sym_slice_access] = STATE(524),
    [sym_struct_expression] = STATE(524),
    [sym_parenthesized_expression] = STATE(524),
    [sym_assignment_expression] = STATE(524),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym_call_expression] = STATE(524),
    [sym_payable_conversion_expression] = STATE(524),
    [sym_meta_type_expression] = STATE(524),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(524),
    [sym_string_literal] = STATE(524),
    [sym_number_literal] = STATE(524),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(524),
    [sym_hex_string_literal] = STATE(524),
    [sym_unicode_string_literal] = STATE(524),
    [sym_string] = STATE(446),
    [aux_sym_block_statement_repeat1] = STATE(5),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(111),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_assembly] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(59),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_revert] = ACTIONS(71),
    [anon_sym_unchecked] = ACTIONS(73),
    [anon_sym_var] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_emit] = ACTIONS(83),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__statement] = STATE(6),
    [sym_assembly_statement] = STATE(6),
    [sym__unchecked] = STATE(1028),
    [sym_block_statement] = STATE(6),
    [sym_variable_declaration_statement] = STATE(6),
    [sym_variable_declaration] = STATE(742),
    [sym_variable_declaration_tuple] = STATE(1038),
    [sym_expression_statement] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_while_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_revert_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_emit_statement] = STATE(6),
    [sym__expression] = STATE(524),
    [sym__primary_expression] = STATE(524),
    [sym_type_cast_expression] = STATE(524),
    [sym_ternary_expression] = STATE(524),
    [sym_new_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_inline_array_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_member_expression] = STATE(524),
    [sym_array_access] = STATE(524),
    [sym_slice_access] = STATE(524),
    [sym_struct_expression] = STATE(524),
    [sym_parenthesized_expression] = STATE(524),
    [sym_assignment_expression] = STATE(524),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym_call_expression] = STATE(524),
    [sym_payable_conversion_expression] = STATE(524),
    [sym_meta_type_expression] = STATE(524),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(524),
    [sym_string_literal] = STATE(524),
    [sym_number_literal] = STATE(524),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(524),
    [sym_hex_string_literal] = STATE(524),
    [sym_unicode_string_literal] = STATE(524),
    [sym_string] = STATE(446),
    [aux_sym_block_statement_repeat1] = STATE(6),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(109),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_assembly] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(59),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_revert] = ACTIONS(71),
    [anon_sym_unchecked] = ACTIONS(73),
    [anon_sym_var] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_emit] = ACTIONS(83),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__statement] = STATE(6),
    [sym_assembly_statement] = STATE(6),
    [sym__unchecked] = STATE(1028),
    [sym_block_statement] = STATE(6),
    [sym_variable_declaration_statement] = STATE(6),
    [sym_variable_declaration] = STATE(742),
    [sym_variable_declaration_tuple] = STATE(1038),
    [sym_expression_statement] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_while_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_revert_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_emit_statement] = STATE(6),
    [sym__expression] = STATE(524),
    [sym__primary_expression] = STATE(524),
    [sym_type_cast_expression] = STATE(524),
    [sym_ternary_expression] = STATE(524),
    [sym_new_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_inline_array_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_member_expression] = STATE(524),
    [sym_array_access] = STATE(524),
    [sym_slice_access] = STATE(524),
    [sym_struct_expression] = STATE(524),
    [sym_parenthesized_expression] = STATE(524),
    [sym_assignment_expression] = STATE(524),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym_call_expression] = STATE(524),
    [sym_payable_conversion_expression] = STATE(524),
    [sym_meta_type_expression] = STATE(524),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(524),
    [sym_string_literal] = STATE(524),
    [sym_number_literal] = STATE(524),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(524),
    [sym_hex_string_literal] = STATE(524),
    [sym_unicode_string_literal] = STATE(524),
    [sym_string] = STATE(446),
    [aux_sym_block_statement_repeat1] = STATE(6),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_DASH] = ACTIONS(116),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_LBRACE] = ACTIONS(122),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_type] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(130),
    [anon_sym_for] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(116),
    [anon_sym_assembly] = ACTIONS(136),
    [anon_sym_break] = ACTIONS(139),
    [anon_sym_continue] = ACTIONS(142),
    [anon_sym_true] = ACTIONS(145),
    [anon_sym_false] = ACTIONS(148),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_function] = ACTIONS(154),
    [anon_sym_byte] = ACTIONS(157),
    [anon_sym_address] = ACTIONS(160),
    [anon_sym_return] = ACTIONS(163),
    [anon_sym_revert] = ACTIONS(166),
    [anon_sym_unchecked] = ACTIONS(169),
    [anon_sym_var] = ACTIONS(172),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(178),
    [anon_sym_try] = ACTIONS(181),
    [anon_sym_emit] = ACTIONS(184),
    [anon_sym_payable] = ACTIONS(187),
    [anon_sym_new] = ACTIONS(190),
    [anon_sym_LBRACK] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(119),
    [anon_sym_delete] = ACTIONS(196),
    [anon_sym_PLUS_PLUS] = ACTIONS(199),
    [anon_sym_DASH_DASH] = ACTIONS(199),
    [anon_sym_mapping] = ACTIONS(202),
    [anon_sym_bool] = ACTIONS(157),
    [anon_sym_string] = ACTIONS(157),
    [anon_sym_int] = ACTIONS(157),
    [anon_sym_int8] = ACTIONS(157),
    [anon_sym_int16] = ACTIONS(157),
    [anon_sym_int24] = ACTIONS(157),
    [anon_sym_int32] = ACTIONS(157),
    [anon_sym_int40] = ACTIONS(157),
    [anon_sym_int48] = ACTIONS(157),
    [anon_sym_int56] = ACTIONS(157),
    [anon_sym_int64] = ACTIONS(157),
    [anon_sym_int72] = ACTIONS(157),
    [anon_sym_int80] = ACTIONS(157),
    [anon_sym_int88] = ACTIONS(157),
    [anon_sym_int96] = ACTIONS(157),
    [anon_sym_int104] = ACTIONS(157),
    [anon_sym_int112] = ACTIONS(157),
    [anon_sym_int120] = ACTIONS(157),
    [anon_sym_int128] = ACTIONS(157),
    [anon_sym_int136] = ACTIONS(157),
    [anon_sym_int144] = ACTIONS(157),
    [anon_sym_int152] = ACTIONS(157),
    [anon_sym_int160] = ACTIONS(157),
    [anon_sym_int168] = ACTIONS(157),
    [anon_sym_int176] = ACTIONS(157),
    [anon_sym_int184] = ACTIONS(157),
    [anon_sym_int192] = ACTIONS(157),
    [anon_sym_int200] = ACTIONS(157),
    [anon_sym_int208] = ACTIONS(157),
    [anon_sym_int216] = ACTIONS(157),
    [anon_sym_int224] = ACTIONS(157),
    [anon_sym_int232] = ACTIONS(157),
    [anon_sym_int240] = ACTIONS(157),
    [anon_sym_int248] = ACTIONS(157),
    [anon_sym_int256] = ACTIONS(157),
    [anon_sym_uint] = ACTIONS(157),
    [anon_sym_uint8] = ACTIONS(157),
    [anon_sym_uint16] = ACTIONS(157),
    [anon_sym_uint24] = ACTIONS(157),
    [anon_sym_uint32] = ACTIONS(157),
    [anon_sym_uint40] = ACTIONS(157),
    [anon_sym_uint48] = ACTIONS(157),
    [anon_sym_uint56] = ACTIONS(157),
    [anon_sym_uint64] = ACTIONS(157),
    [anon_sym_uint72] = ACTIONS(157),
    [anon_sym_uint80] = ACTIONS(157),
    [anon_sym_uint88] = ACTIONS(157),
    [anon_sym_uint96] = ACTIONS(157),
    [anon_sym_uint104] = ACTIONS(157),
    [anon_sym_uint112] = ACTIONS(157),
    [anon_sym_uint120] = ACTIONS(157),
    [anon_sym_uint128] = ACTIONS(157),
    [anon_sym_uint136] = ACTIONS(157),
    [anon_sym_uint144] = ACTIONS(157),
    [anon_sym_uint152] = ACTIONS(157),
    [anon_sym_uint160] = ACTIONS(157),
    [anon_sym_uint168] = ACTIONS(157),
    [anon_sym_uint176] = ACTIONS(157),
    [anon_sym_uint184] = ACTIONS(157),
    [anon_sym_uint192] = ACTIONS(157),
    [anon_sym_uint200] = ACTIONS(157),
    [anon_sym_uint208] = ACTIONS(157),
    [anon_sym_uint216] = ACTIONS(157),
    [anon_sym_uint224] = ACTIONS(157),
    [anon_sym_uint232] = ACTIONS(157),
    [anon_sym_uint240] = ACTIONS(157),
    [anon_sym_uint248] = ACTIONS(157),
    [anon_sym_uint256] = ACTIONS(157),
    [anon_sym_bytes] = ACTIONS(157),
    [anon_sym_bytes1] = ACTIONS(157),
    [anon_sym_bytes2] = ACTIONS(157),
    [anon_sym_bytes3] = ACTIONS(157),
    [anon_sym_bytes4] = ACTIONS(157),
    [anon_sym_bytes5] = ACTIONS(157),
    [anon_sym_bytes6] = ACTIONS(157),
    [anon_sym_bytes7] = ACTIONS(157),
    [anon_sym_bytes8] = ACTIONS(157),
    [anon_sym_bytes9] = ACTIONS(157),
    [anon_sym_bytes10] = ACTIONS(157),
    [anon_sym_bytes11] = ACTIONS(157),
    [anon_sym_bytes12] = ACTIONS(157),
    [anon_sym_bytes13] = ACTIONS(157),
    [anon_sym_bytes14] = ACTIONS(157),
    [anon_sym_bytes15] = ACTIONS(157),
    [anon_sym_bytes16] = ACTIONS(157),
    [anon_sym_bytes17] = ACTIONS(157),
    [anon_sym_bytes18] = ACTIONS(157),
    [anon_sym_bytes19] = ACTIONS(157),
    [anon_sym_bytes20] = ACTIONS(157),
    [anon_sym_bytes21] = ACTIONS(157),
    [anon_sym_bytes22] = ACTIONS(157),
    [anon_sym_bytes23] = ACTIONS(157),
    [anon_sym_bytes24] = ACTIONS(157),
    [anon_sym_bytes25] = ACTIONS(157),
    [anon_sym_bytes26] = ACTIONS(157),
    [anon_sym_bytes27] = ACTIONS(157),
    [anon_sym_bytes28] = ACTIONS(157),
    [anon_sym_bytes29] = ACTIONS(157),
    [anon_sym_bytes30] = ACTIONS(157),
    [anon_sym_bytes31] = ACTIONS(157),
    [anon_sym_bytes32] = ACTIONS(157),
    [anon_sym_fixed] = ACTIONS(157),
    [aux_sym__fixed_token1] = ACTIONS(157),
    [anon_sym_ufixed] = ACTIONS(157),
    [aux_sym__ufixed_token1] = ACTIONS(157),
    [aux_sym__decimal_number_token1] = ACTIONS(205),
    [aux_sym__decimal_number_token2] = ACTIONS(208),
    [aux_sym__hex_number_token1] = ACTIONS(208),
    [anon_sym_hex] = ACTIONS(211),
    [anon_sym_DQUOTE] = ACTIONS(214),
    [anon_sym_SQUOTE] = ACTIONS(217),
    [anon_sym_unicode] = ACTIONS(220),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__statement] = STATE(6),
    [sym_assembly_statement] = STATE(6),
    [sym__unchecked] = STATE(1028),
    [sym_block_statement] = STATE(6),
    [sym_variable_declaration_statement] = STATE(6),
    [sym_variable_declaration] = STATE(742),
    [sym_variable_declaration_tuple] = STATE(1038),
    [sym_expression_statement] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_while_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_revert_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_emit_statement] = STATE(6),
    [sym__expression] = STATE(524),
    [sym__primary_expression] = STATE(524),
    [sym_type_cast_expression] = STATE(524),
    [sym_ternary_expression] = STATE(524),
    [sym_new_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_inline_array_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_member_expression] = STATE(524),
    [sym_array_access] = STATE(524),
    [sym_slice_access] = STATE(524),
    [sym_struct_expression] = STATE(524),
    [sym_parenthesized_expression] = STATE(524),
    [sym_assignment_expression] = STATE(524),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym_call_expression] = STATE(524),
    [sym_payable_conversion_expression] = STATE(524),
    [sym_meta_type_expression] = STATE(524),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(524),
    [sym_string_literal] = STATE(524),
    [sym_number_literal] = STATE(524),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(524),
    [sym_hex_string_literal] = STATE(524),
    [sym_unicode_string_literal] = STATE(524),
    [sym_string] = STATE(446),
    [aux_sym_block_statement_repeat1] = STATE(6),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(223),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_assembly] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(59),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_revert] = ACTIONS(71),
    [anon_sym_unchecked] = ACTIONS(73),
    [anon_sym_var] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_emit] = ACTIONS(83),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__statement] = STATE(7),
    [sym_assembly_statement] = STATE(7),
    [sym__unchecked] = STATE(1028),
    [sym_block_statement] = STATE(7),
    [sym_variable_declaration_statement] = STATE(7),
    [sym_variable_declaration] = STATE(742),
    [sym_variable_declaration_tuple] = STATE(1038),
    [sym_expression_statement] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_while_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_revert_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_emit_statement] = STATE(7),
    [sym__expression] = STATE(524),
    [sym__primary_expression] = STATE(524),
    [sym_type_cast_expression] = STATE(524),
    [sym_ternary_expression] = STATE(524),
    [sym_new_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_inline_array_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_member_expression] = STATE(524),
    [sym_array_access] = STATE(524),
    [sym_slice_access] = STATE(524),
    [sym_struct_expression] = STATE(524),
    [sym_parenthesized_expression] = STATE(524),
    [sym_assignment_expression] = STATE(524),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym_call_expression] = STATE(524),
    [sym_payable_conversion_expression] = STATE(524),
    [sym_meta_type_expression] = STATE(524),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(524),
    [sym_string_literal] = STATE(524),
    [sym_number_literal] = STATE(524),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(524),
    [sym_hex_string_literal] = STATE(524),
    [sym_unicode_string_literal] = STATE(524),
    [sym_string] = STATE(446),
    [aux_sym_block_statement_repeat1] = STATE(7),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(225),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_assembly] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(59),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_revert] = ACTIONS(71),
    [anon_sym_unchecked] = ACTIONS(73),
    [anon_sym_var] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_emit] = ACTIONS(83),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__statement] = STATE(6),
    [sym_assembly_statement] = STATE(6),
    [sym__unchecked] = STATE(1028),
    [sym_block_statement] = STATE(6),
    [sym_variable_declaration_statement] = STATE(6),
    [sym_variable_declaration] = STATE(742),
    [sym_variable_declaration_tuple] = STATE(1038),
    [sym_expression_statement] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_while_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_revert_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_emit_statement] = STATE(6),
    [sym__expression] = STATE(524),
    [sym__primary_expression] = STATE(524),
    [sym_type_cast_expression] = STATE(524),
    [sym_ternary_expression] = STATE(524),
    [sym_new_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_inline_array_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_member_expression] = STATE(524),
    [sym_array_access] = STATE(524),
    [sym_slice_access] = STATE(524),
    [sym_struct_expression] = STATE(524),
    [sym_parenthesized_expression] = STATE(524),
    [sym_assignment_expression] = STATE(524),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym_call_expression] = STATE(524),
    [sym_payable_conversion_expression] = STATE(524),
    [sym_meta_type_expression] = STATE(524),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(524),
    [sym_string_literal] = STATE(524),
    [sym_number_literal] = STATE(524),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(524),
    [sym_hex_string_literal] = STATE(524),
    [sym_unicode_string_literal] = STATE(524),
    [sym_string] = STATE(446),
    [aux_sym_block_statement_repeat1] = STATE(6),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(227),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_assembly] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(59),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_revert] = ACTIONS(71),
    [anon_sym_unchecked] = ACTIONS(73),
    [anon_sym_var] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_emit] = ACTIONS(83),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__statement] = STATE(11),
    [sym_assembly_statement] = STATE(11),
    [sym__unchecked] = STATE(1028),
    [sym_block_statement] = STATE(11),
    [sym_variable_declaration_statement] = STATE(11),
    [sym_variable_declaration] = STATE(742),
    [sym_variable_declaration_tuple] = STATE(1038),
    [sym_expression_statement] = STATE(11),
    [sym_if_statement] = STATE(11),
    [sym_for_statement] = STATE(11),
    [sym_while_statement] = STATE(11),
    [sym_do_while_statement] = STATE(11),
    [sym_continue_statement] = STATE(11),
    [sym_break_statement] = STATE(11),
    [sym_revert_statement] = STATE(11),
    [sym_try_statement] = STATE(11),
    [sym_return_statement] = STATE(11),
    [sym_emit_statement] = STATE(11),
    [sym__expression] = STATE(524),
    [sym__primary_expression] = STATE(524),
    [sym_type_cast_expression] = STATE(524),
    [sym_ternary_expression] = STATE(524),
    [sym_new_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_inline_array_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_member_expression] = STATE(524),
    [sym_array_access] = STATE(524),
    [sym_slice_access] = STATE(524),
    [sym_struct_expression] = STATE(524),
    [sym_parenthesized_expression] = STATE(524),
    [sym_assignment_expression] = STATE(524),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym_call_expression] = STATE(524),
    [sym_payable_conversion_expression] = STATE(524),
    [sym_meta_type_expression] = STATE(524),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(524),
    [sym_string_literal] = STATE(524),
    [sym_number_literal] = STATE(524),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(524),
    [sym_hex_string_literal] = STATE(524),
    [sym_unicode_string_literal] = STATE(524),
    [sym_string] = STATE(446),
    [aux_sym_block_statement_repeat1] = STATE(11),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_assembly] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(59),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_revert] = ACTIONS(71),
    [anon_sym_unchecked] = ACTIONS(73),
    [anon_sym_var] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_emit] = ACTIONS(83),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__statement] = STATE(6),
    [sym_assembly_statement] = STATE(6),
    [sym__unchecked] = STATE(1028),
    [sym_block_statement] = STATE(6),
    [sym_variable_declaration_statement] = STATE(6),
    [sym_variable_declaration] = STATE(742),
    [sym_variable_declaration_tuple] = STATE(1038),
    [sym_expression_statement] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_while_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_revert_statement] = STATE(6),
    [sym_try_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_emit_statement] = STATE(6),
    [sym__expression] = STATE(524),
    [sym__primary_expression] = STATE(524),
    [sym_type_cast_expression] = STATE(524),
    [sym_ternary_expression] = STATE(524),
    [sym_new_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_inline_array_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_member_expression] = STATE(524),
    [sym_array_access] = STATE(524),
    [sym_slice_access] = STATE(524),
    [sym_struct_expression] = STATE(524),
    [sym_parenthesized_expression] = STATE(524),
    [sym_assignment_expression] = STATE(524),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym_call_expression] = STATE(524),
    [sym_payable_conversion_expression] = STATE(524),
    [sym_meta_type_expression] = STATE(524),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(524),
    [sym_string_literal] = STATE(524),
    [sym_number_literal] = STATE(524),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(524),
    [sym_hex_string_literal] = STATE(524),
    [sym_unicode_string_literal] = STATE(524),
    [sym_string] = STATE(446),
    [aux_sym_block_statement_repeat1] = STATE(6),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(231),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_assembly] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(59),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_revert] = ACTIONS(71),
    [anon_sym_unchecked] = ACTIONS(73),
    [anon_sym_var] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_emit] = ACTIONS(83),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__statement] = STATE(1007),
    [sym_assembly_statement] = STATE(1007),
    [sym__unchecked] = STATE(1028),
    [sym_block_statement] = STATE(1007),
    [sym_variable_declaration_statement] = STATE(1007),
    [sym_variable_declaration] = STATE(736),
    [sym_variable_declaration_tuple] = STATE(1049),
    [sym_expression_statement] = STATE(1007),
    [sym_if_statement] = STATE(1007),
    [sym_for_statement] = STATE(1007),
    [sym_while_statement] = STATE(1007),
    [sym_do_while_statement] = STATE(1007),
    [sym_continue_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_revert_statement] = STATE(1007),
    [sym_try_statement] = STATE(1007),
    [sym_return_statement] = STATE(1007),
    [sym_emit_statement] = STATE(1007),
    [sym__expression] = STATE(521),
    [sym__primary_expression] = STATE(521),
    [sym_type_cast_expression] = STATE(521),
    [sym_ternary_expression] = STATE(521),
    [sym_new_expression] = STATE(521),
    [sym_tuple_expression] = STATE(521),
    [sym_inline_array_expression] = STATE(521),
    [sym_binary_expression] = STATE(521),
    [sym_unary_expression] = STATE(521),
    [sym_update_expression] = STATE(521),
    [sym_member_expression] = STATE(521),
    [sym_array_access] = STATE(521),
    [sym_slice_access] = STATE(521),
    [sym_struct_expression] = STATE(521),
    [sym_parenthesized_expression] = STATE(521),
    [sym_assignment_expression] = STATE(521),
    [sym_augmented_assignment_expression] = STATE(521),
    [sym_call_expression] = STATE(521),
    [sym_payable_conversion_expression] = STATE(521),
    [sym_meta_type_expression] = STATE(521),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(521),
    [sym_string_literal] = STATE(521),
    [sym_number_literal] = STATE(521),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(521),
    [sym_hex_string_literal] = STATE(521),
    [sym_unicode_string_literal] = STATE(521),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_assembly] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(235),
    [anon_sym_continue] = ACTIONS(237),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_return] = ACTIONS(241),
    [anon_sym_revert] = ACTIONS(243),
    [anon_sym_unchecked] = ACTIONS(73),
    [anon_sym_var] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(245),
    [anon_sym_do] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_emit] = ACTIONS(249),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__statement] = STATE(1080),
    [sym_assembly_statement] = STATE(1080),
    [sym__unchecked] = STATE(1028),
    [sym_block_statement] = STATE(1080),
    [sym_variable_declaration_statement] = STATE(1080),
    [sym_variable_declaration] = STATE(736),
    [sym_variable_declaration_tuple] = STATE(1049),
    [sym_expression_statement] = STATE(1080),
    [sym_if_statement] = STATE(1080),
    [sym_for_statement] = STATE(1080),
    [sym_while_statement] = STATE(1080),
    [sym_do_while_statement] = STATE(1080),
    [sym_continue_statement] = STATE(1080),
    [sym_break_statement] = STATE(1080),
    [sym_revert_statement] = STATE(1080),
    [sym_try_statement] = STATE(1080),
    [sym_return_statement] = STATE(1080),
    [sym_emit_statement] = STATE(1080),
    [sym__expression] = STATE(521),
    [sym__primary_expression] = STATE(521),
    [sym_type_cast_expression] = STATE(521),
    [sym_ternary_expression] = STATE(521),
    [sym_new_expression] = STATE(521),
    [sym_tuple_expression] = STATE(521),
    [sym_inline_array_expression] = STATE(521),
    [sym_binary_expression] = STATE(521),
    [sym_unary_expression] = STATE(521),
    [sym_update_expression] = STATE(521),
    [sym_member_expression] = STATE(521),
    [sym_array_access] = STATE(521),
    [sym_slice_access] = STATE(521),
    [sym_struct_expression] = STATE(521),
    [sym_parenthesized_expression] = STATE(521),
    [sym_assignment_expression] = STATE(521),
    [sym_augmented_assignment_expression] = STATE(521),
    [sym_call_expression] = STATE(521),
    [sym_payable_conversion_expression] = STATE(521),
    [sym_meta_type_expression] = STATE(521),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(521),
    [sym_string_literal] = STATE(521),
    [sym_number_literal] = STATE(521),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(521),
    [sym_hex_string_literal] = STATE(521),
    [sym_unicode_string_literal] = STATE(521),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_assembly] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(235),
    [anon_sym_continue] = ACTIONS(237),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_return] = ACTIONS(241),
    [anon_sym_revert] = ACTIONS(243),
    [anon_sym_unchecked] = ACTIONS(73),
    [anon_sym_var] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(245),
    [anon_sym_do] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_emit] = ACTIONS(249),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__statement] = STATE(106),
    [sym_assembly_statement] = STATE(106),
    [sym__unchecked] = STATE(1028),
    [sym_block_statement] = STATE(106),
    [sym_variable_declaration_statement] = STATE(106),
    [sym_variable_declaration] = STATE(742),
    [sym_variable_declaration_tuple] = STATE(1038),
    [sym_expression_statement] = STATE(106),
    [sym_if_statement] = STATE(106),
    [sym_for_statement] = STATE(106),
    [sym_while_statement] = STATE(106),
    [sym_do_while_statement] = STATE(106),
    [sym_continue_statement] = STATE(106),
    [sym_break_statement] = STATE(106),
    [sym_revert_statement] = STATE(106),
    [sym_try_statement] = STATE(106),
    [sym_return_statement] = STATE(106),
    [sym_emit_statement] = STATE(106),
    [sym__expression] = STATE(524),
    [sym__primary_expression] = STATE(524),
    [sym_type_cast_expression] = STATE(524),
    [sym_ternary_expression] = STATE(524),
    [sym_new_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_inline_array_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_member_expression] = STATE(524),
    [sym_array_access] = STATE(524),
    [sym_slice_access] = STATE(524),
    [sym_struct_expression] = STATE(524),
    [sym_parenthesized_expression] = STATE(524),
    [sym_assignment_expression] = STATE(524),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym_call_expression] = STATE(524),
    [sym_payable_conversion_expression] = STATE(524),
    [sym_meta_type_expression] = STATE(524),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(524),
    [sym_string_literal] = STATE(524),
    [sym_number_literal] = STATE(524),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(524),
    [sym_hex_string_literal] = STATE(524),
    [sym_unicode_string_literal] = STATE(524),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_assembly] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(59),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_revert] = ACTIONS(71),
    [anon_sym_unchecked] = ACTIONS(73),
    [anon_sym_var] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_emit] = ACTIONS(83),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__statement] = STATE(107),
    [sym_assembly_statement] = STATE(107),
    [sym__unchecked] = STATE(1028),
    [sym_block_statement] = STATE(107),
    [sym_variable_declaration_statement] = STATE(107),
    [sym_variable_declaration] = STATE(742),
    [sym_variable_declaration_tuple] = STATE(1038),
    [sym_expression_statement] = STATE(107),
    [sym_if_statement] = STATE(107),
    [sym_for_statement] = STATE(107),
    [sym_while_statement] = STATE(107),
    [sym_do_while_statement] = STATE(107),
    [sym_continue_statement] = STATE(107),
    [sym_break_statement] = STATE(107),
    [sym_revert_statement] = STATE(107),
    [sym_try_statement] = STATE(107),
    [sym_return_statement] = STATE(107),
    [sym_emit_statement] = STATE(107),
    [sym__expression] = STATE(524),
    [sym__primary_expression] = STATE(524),
    [sym_type_cast_expression] = STATE(524),
    [sym_ternary_expression] = STATE(524),
    [sym_new_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_inline_array_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_member_expression] = STATE(524),
    [sym_array_access] = STATE(524),
    [sym_slice_access] = STATE(524),
    [sym_struct_expression] = STATE(524),
    [sym_parenthesized_expression] = STATE(524),
    [sym_assignment_expression] = STATE(524),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym_call_expression] = STATE(524),
    [sym_payable_conversion_expression] = STATE(524),
    [sym_meta_type_expression] = STATE(524),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(524),
    [sym_string_literal] = STATE(524),
    [sym_number_literal] = STATE(524),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(524),
    [sym_hex_string_literal] = STATE(524),
    [sym_unicode_string_literal] = STATE(524),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_assembly] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(59),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_revert] = ACTIONS(71),
    [anon_sym_unchecked] = ACTIONS(73),
    [anon_sym_var] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_emit] = ACTIONS(83),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym__statement] = STATE(121),
    [sym_assembly_statement] = STATE(121),
    [sym__unchecked] = STATE(1028),
    [sym_block_statement] = STATE(121),
    [sym_variable_declaration_statement] = STATE(121),
    [sym_variable_declaration] = STATE(742),
    [sym_variable_declaration_tuple] = STATE(1038),
    [sym_expression_statement] = STATE(121),
    [sym_if_statement] = STATE(121),
    [sym_for_statement] = STATE(121),
    [sym_while_statement] = STATE(121),
    [sym_do_while_statement] = STATE(121),
    [sym_continue_statement] = STATE(121),
    [sym_break_statement] = STATE(121),
    [sym_revert_statement] = STATE(121),
    [sym_try_statement] = STATE(121),
    [sym_return_statement] = STATE(121),
    [sym_emit_statement] = STATE(121),
    [sym__expression] = STATE(524),
    [sym__primary_expression] = STATE(524),
    [sym_type_cast_expression] = STATE(524),
    [sym_ternary_expression] = STATE(524),
    [sym_new_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_inline_array_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_member_expression] = STATE(524),
    [sym_array_access] = STATE(524),
    [sym_slice_access] = STATE(524),
    [sym_struct_expression] = STATE(524),
    [sym_parenthesized_expression] = STATE(524),
    [sym_assignment_expression] = STATE(524),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym_call_expression] = STATE(524),
    [sym_payable_conversion_expression] = STATE(524),
    [sym_meta_type_expression] = STATE(524),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(524),
    [sym_string_literal] = STATE(524),
    [sym_number_literal] = STATE(524),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(524),
    [sym_hex_string_literal] = STATE(524),
    [sym_unicode_string_literal] = STATE(524),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_assembly] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(59),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_revert] = ACTIONS(71),
    [anon_sym_unchecked] = ACTIONS(73),
    [anon_sym_var] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_emit] = ACTIONS(83),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym__statement] = STATE(120),
    [sym_assembly_statement] = STATE(120),
    [sym__unchecked] = STATE(1028),
    [sym_block_statement] = STATE(120),
    [sym_variable_declaration_statement] = STATE(120),
    [sym_variable_declaration] = STATE(742),
    [sym_variable_declaration_tuple] = STATE(1038),
    [sym_expression_statement] = STATE(120),
    [sym_if_statement] = STATE(120),
    [sym_for_statement] = STATE(120),
    [sym_while_statement] = STATE(120),
    [sym_do_while_statement] = STATE(120),
    [sym_continue_statement] = STATE(120),
    [sym_break_statement] = STATE(120),
    [sym_revert_statement] = STATE(120),
    [sym_try_statement] = STATE(120),
    [sym_return_statement] = STATE(120),
    [sym_emit_statement] = STATE(120),
    [sym__expression] = STATE(524),
    [sym__primary_expression] = STATE(524),
    [sym_type_cast_expression] = STATE(524),
    [sym_ternary_expression] = STATE(524),
    [sym_new_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_inline_array_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_member_expression] = STATE(524),
    [sym_array_access] = STATE(524),
    [sym_slice_access] = STATE(524),
    [sym_struct_expression] = STATE(524),
    [sym_parenthesized_expression] = STATE(524),
    [sym_assignment_expression] = STATE(524),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym_call_expression] = STATE(524),
    [sym_payable_conversion_expression] = STATE(524),
    [sym_meta_type_expression] = STATE(524),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(524),
    [sym_string_literal] = STATE(524),
    [sym_number_literal] = STATE(524),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(524),
    [sym_hex_string_literal] = STATE(524),
    [sym_unicode_string_literal] = STATE(524),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_assembly] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(59),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_revert] = ACTIONS(71),
    [anon_sym_unchecked] = ACTIONS(73),
    [anon_sym_var] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_emit] = ACTIONS(83),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym__statement] = STATE(120),
    [sym_assembly_statement] = STATE(120),
    [sym__unchecked] = STATE(1028),
    [sym_block_statement] = STATE(120),
    [sym_variable_declaration_statement] = STATE(120),
    [sym_variable_declaration] = STATE(736),
    [sym_variable_declaration_tuple] = STATE(1049),
    [sym_expression_statement] = STATE(120),
    [sym_if_statement] = STATE(120),
    [sym_for_statement] = STATE(120),
    [sym_while_statement] = STATE(120),
    [sym_do_while_statement] = STATE(120),
    [sym_continue_statement] = STATE(120),
    [sym_break_statement] = STATE(120),
    [sym_revert_statement] = STATE(120),
    [sym_try_statement] = STATE(120),
    [sym_return_statement] = STATE(120),
    [sym_emit_statement] = STATE(120),
    [sym__expression] = STATE(521),
    [sym__primary_expression] = STATE(521),
    [sym_type_cast_expression] = STATE(521),
    [sym_ternary_expression] = STATE(521),
    [sym_new_expression] = STATE(521),
    [sym_tuple_expression] = STATE(521),
    [sym_inline_array_expression] = STATE(521),
    [sym_binary_expression] = STATE(521),
    [sym_unary_expression] = STATE(521),
    [sym_update_expression] = STATE(521),
    [sym_member_expression] = STATE(521),
    [sym_array_access] = STATE(521),
    [sym_slice_access] = STATE(521),
    [sym_struct_expression] = STATE(521),
    [sym_parenthesized_expression] = STATE(521),
    [sym_assignment_expression] = STATE(521),
    [sym_augmented_assignment_expression] = STATE(521),
    [sym_call_expression] = STATE(521),
    [sym_payable_conversion_expression] = STATE(521),
    [sym_meta_type_expression] = STATE(521),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(521),
    [sym_string_literal] = STATE(521),
    [sym_number_literal] = STATE(521),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(521),
    [sym_hex_string_literal] = STATE(521),
    [sym_unicode_string_literal] = STATE(521),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_assembly] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(235),
    [anon_sym_continue] = ACTIONS(237),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_return] = ACTIONS(241),
    [anon_sym_revert] = ACTIONS(243),
    [anon_sym_unchecked] = ACTIONS(73),
    [anon_sym_var] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(245),
    [anon_sym_do] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_emit] = ACTIONS(249),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym__statement] = STATE(964),
    [sym_assembly_statement] = STATE(964),
    [sym__unchecked] = STATE(1028),
    [sym_block_statement] = STATE(964),
    [sym_variable_declaration_statement] = STATE(964),
    [sym_variable_declaration] = STATE(736),
    [sym_variable_declaration_tuple] = STATE(1049),
    [sym_expression_statement] = STATE(964),
    [sym_if_statement] = STATE(964),
    [sym_for_statement] = STATE(964),
    [sym_while_statement] = STATE(964),
    [sym_do_while_statement] = STATE(964),
    [sym_continue_statement] = STATE(964),
    [sym_break_statement] = STATE(964),
    [sym_revert_statement] = STATE(964),
    [sym_try_statement] = STATE(964),
    [sym_return_statement] = STATE(964),
    [sym_emit_statement] = STATE(964),
    [sym__expression] = STATE(521),
    [sym__primary_expression] = STATE(521),
    [sym_type_cast_expression] = STATE(521),
    [sym_ternary_expression] = STATE(521),
    [sym_new_expression] = STATE(521),
    [sym_tuple_expression] = STATE(521),
    [sym_inline_array_expression] = STATE(521),
    [sym_binary_expression] = STATE(521),
    [sym_unary_expression] = STATE(521),
    [sym_update_expression] = STATE(521),
    [sym_member_expression] = STATE(521),
    [sym_array_access] = STATE(521),
    [sym_slice_access] = STATE(521),
    [sym_struct_expression] = STATE(521),
    [sym_parenthesized_expression] = STATE(521),
    [sym_assignment_expression] = STATE(521),
    [sym_augmented_assignment_expression] = STATE(521),
    [sym_call_expression] = STATE(521),
    [sym_payable_conversion_expression] = STATE(521),
    [sym_meta_type_expression] = STATE(521),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(521),
    [sym_string_literal] = STATE(521),
    [sym_number_literal] = STATE(521),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(521),
    [sym_hex_string_literal] = STATE(521),
    [sym_unicode_string_literal] = STATE(521),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_assembly] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(235),
    [anon_sym_continue] = ACTIONS(237),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_return] = ACTIONS(241),
    [anon_sym_revert] = ACTIONS(243),
    [anon_sym_unchecked] = ACTIONS(73),
    [anon_sym_var] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(245),
    [anon_sym_do] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_emit] = ACTIONS(249),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym__statement] = STATE(121),
    [sym_assembly_statement] = STATE(121),
    [sym__unchecked] = STATE(1028),
    [sym_block_statement] = STATE(121),
    [sym_variable_declaration_statement] = STATE(121),
    [sym_variable_declaration] = STATE(736),
    [sym_variable_declaration_tuple] = STATE(1049),
    [sym_expression_statement] = STATE(121),
    [sym_if_statement] = STATE(121),
    [sym_for_statement] = STATE(121),
    [sym_while_statement] = STATE(121),
    [sym_do_while_statement] = STATE(121),
    [sym_continue_statement] = STATE(121),
    [sym_break_statement] = STATE(121),
    [sym_revert_statement] = STATE(121),
    [sym_try_statement] = STATE(121),
    [sym_return_statement] = STATE(121),
    [sym_emit_statement] = STATE(121),
    [sym__expression] = STATE(521),
    [sym__primary_expression] = STATE(521),
    [sym_type_cast_expression] = STATE(521),
    [sym_ternary_expression] = STATE(521),
    [sym_new_expression] = STATE(521),
    [sym_tuple_expression] = STATE(521),
    [sym_inline_array_expression] = STATE(521),
    [sym_binary_expression] = STATE(521),
    [sym_unary_expression] = STATE(521),
    [sym_update_expression] = STATE(521),
    [sym_member_expression] = STATE(521),
    [sym_array_access] = STATE(521),
    [sym_slice_access] = STATE(521),
    [sym_struct_expression] = STATE(521),
    [sym_parenthesized_expression] = STATE(521),
    [sym_assignment_expression] = STATE(521),
    [sym_augmented_assignment_expression] = STATE(521),
    [sym_call_expression] = STATE(521),
    [sym_payable_conversion_expression] = STATE(521),
    [sym_meta_type_expression] = STATE(521),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(521),
    [sym_string_literal] = STATE(521),
    [sym_number_literal] = STATE(521),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(521),
    [sym_hex_string_literal] = STATE(521),
    [sym_unicode_string_literal] = STATE(521),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_assembly] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(235),
    [anon_sym_continue] = ACTIONS(237),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_return] = ACTIONS(241),
    [anon_sym_revert] = ACTIONS(243),
    [anon_sym_unchecked] = ACTIONS(73),
    [anon_sym_var] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(245),
    [anon_sym_do] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_emit] = ACTIONS(249),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym__statement] = STATE(106),
    [sym_assembly_statement] = STATE(106),
    [sym__unchecked] = STATE(1028),
    [sym_block_statement] = STATE(106),
    [sym_variable_declaration_statement] = STATE(106),
    [sym_variable_declaration] = STATE(736),
    [sym_variable_declaration_tuple] = STATE(1049),
    [sym_expression_statement] = STATE(106),
    [sym_if_statement] = STATE(106),
    [sym_for_statement] = STATE(106),
    [sym_while_statement] = STATE(106),
    [sym_do_while_statement] = STATE(106),
    [sym_continue_statement] = STATE(106),
    [sym_break_statement] = STATE(106),
    [sym_revert_statement] = STATE(106),
    [sym_try_statement] = STATE(106),
    [sym_return_statement] = STATE(106),
    [sym_emit_statement] = STATE(106),
    [sym__expression] = STATE(521),
    [sym__primary_expression] = STATE(521),
    [sym_type_cast_expression] = STATE(521),
    [sym_ternary_expression] = STATE(521),
    [sym_new_expression] = STATE(521),
    [sym_tuple_expression] = STATE(521),
    [sym_inline_array_expression] = STATE(521),
    [sym_binary_expression] = STATE(521),
    [sym_unary_expression] = STATE(521),
    [sym_update_expression] = STATE(521),
    [sym_member_expression] = STATE(521),
    [sym_array_access] = STATE(521),
    [sym_slice_access] = STATE(521),
    [sym_struct_expression] = STATE(521),
    [sym_parenthesized_expression] = STATE(521),
    [sym_assignment_expression] = STATE(521),
    [sym_augmented_assignment_expression] = STATE(521),
    [sym_call_expression] = STATE(521),
    [sym_payable_conversion_expression] = STATE(521),
    [sym_meta_type_expression] = STATE(521),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(521),
    [sym_string_literal] = STATE(521),
    [sym_number_literal] = STATE(521),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(521),
    [sym_hex_string_literal] = STATE(521),
    [sym_unicode_string_literal] = STATE(521),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_assembly] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(235),
    [anon_sym_continue] = ACTIONS(237),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_return] = ACTIONS(241),
    [anon_sym_revert] = ACTIONS(243),
    [anon_sym_unchecked] = ACTIONS(73),
    [anon_sym_var] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(245),
    [anon_sym_do] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_emit] = ACTIONS(249),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym__statement] = STATE(107),
    [sym_assembly_statement] = STATE(107),
    [sym__unchecked] = STATE(1028),
    [sym_block_statement] = STATE(107),
    [sym_variable_declaration_statement] = STATE(107),
    [sym_variable_declaration] = STATE(736),
    [sym_variable_declaration_tuple] = STATE(1049),
    [sym_expression_statement] = STATE(107),
    [sym_if_statement] = STATE(107),
    [sym_for_statement] = STATE(107),
    [sym_while_statement] = STATE(107),
    [sym_do_while_statement] = STATE(107),
    [sym_continue_statement] = STATE(107),
    [sym_break_statement] = STATE(107),
    [sym_revert_statement] = STATE(107),
    [sym_try_statement] = STATE(107),
    [sym_return_statement] = STATE(107),
    [sym_emit_statement] = STATE(107),
    [sym__expression] = STATE(521),
    [sym__primary_expression] = STATE(521),
    [sym_type_cast_expression] = STATE(521),
    [sym_ternary_expression] = STATE(521),
    [sym_new_expression] = STATE(521),
    [sym_tuple_expression] = STATE(521),
    [sym_inline_array_expression] = STATE(521),
    [sym_binary_expression] = STATE(521),
    [sym_unary_expression] = STATE(521),
    [sym_update_expression] = STATE(521),
    [sym_member_expression] = STATE(521),
    [sym_array_access] = STATE(521),
    [sym_slice_access] = STATE(521),
    [sym_struct_expression] = STATE(521),
    [sym_parenthesized_expression] = STATE(521),
    [sym_assignment_expression] = STATE(521),
    [sym_augmented_assignment_expression] = STATE(521),
    [sym_call_expression] = STATE(521),
    [sym_payable_conversion_expression] = STATE(521),
    [sym_meta_type_expression] = STATE(521),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(521),
    [sym_string_literal] = STATE(521),
    [sym_number_literal] = STATE(521),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(521),
    [sym_hex_string_literal] = STATE(521),
    [sym_unicode_string_literal] = STATE(521),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_assembly] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(235),
    [anon_sym_continue] = ACTIONS(237),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_return] = ACTIONS(241),
    [anon_sym_revert] = ACTIONS(243),
    [anon_sym_unchecked] = ACTIONS(73),
    [anon_sym_var] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(245),
    [anon_sym_do] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_emit] = ACTIONS(249),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym__statement] = STATE(119),
    [sym_assembly_statement] = STATE(119),
    [sym__unchecked] = STATE(1028),
    [sym_block_statement] = STATE(119),
    [sym_variable_declaration_statement] = STATE(119),
    [sym_variable_declaration] = STATE(742),
    [sym_variable_declaration_tuple] = STATE(1038),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_while_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_revert_statement] = STATE(119),
    [sym_try_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_emit_statement] = STATE(119),
    [sym__expression] = STATE(524),
    [sym__primary_expression] = STATE(524),
    [sym_type_cast_expression] = STATE(524),
    [sym_ternary_expression] = STATE(524),
    [sym_new_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_inline_array_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_member_expression] = STATE(524),
    [sym_array_access] = STATE(524),
    [sym_slice_access] = STATE(524),
    [sym_struct_expression] = STATE(524),
    [sym_parenthesized_expression] = STATE(524),
    [sym_assignment_expression] = STATE(524),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym_call_expression] = STATE(524),
    [sym_payable_conversion_expression] = STATE(524),
    [sym_meta_type_expression] = STATE(524),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(524),
    [sym_string_literal] = STATE(524),
    [sym_number_literal] = STATE(524),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(524),
    [sym_hex_string_literal] = STATE(524),
    [sym_unicode_string_literal] = STATE(524),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_assembly] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(59),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_revert] = ACTIONS(71),
    [anon_sym_unchecked] = ACTIONS(73),
    [anon_sym_var] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_try] = ACTIONS(81),
    [anon_sym_emit] = ACTIONS(83),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_variable_declaration_statement] = STATE(29),
    [sym_variable_declaration] = STATE(742),
    [sym_variable_declaration_tuple] = STATE(1038),
    [sym_expression_statement] = STATE(29),
    [sym__expression] = STATE(524),
    [sym__primary_expression] = STATE(524),
    [sym_type_cast_expression] = STATE(524),
    [sym_ternary_expression] = STATE(524),
    [sym_new_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_inline_array_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_member_expression] = STATE(524),
    [sym_array_access] = STATE(524),
    [sym_slice_access] = STATE(524),
    [sym_struct_expression] = STATE(524),
    [sym_parenthesized_expression] = STATE(524),
    [sym_assignment_expression] = STATE(524),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym_call_expression] = STATE(524),
    [sym_payable_conversion_expression] = STATE(524),
    [sym_meta_type_expression] = STATE(524),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__semicolon] = STATE(29),
    [sym__literal] = STATE(524),
    [sym_string_literal] = STATE(524),
    [sym_number_literal] = STATE(524),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(524),
    [sym_hex_string_literal] = STATE(524),
    [sym_unicode_string_literal] = STATE(524),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(75),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(251),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_variable_declaration_statement] = STATE(35),
    [sym_variable_declaration] = STATE(742),
    [sym_variable_declaration_tuple] = STATE(1038),
    [sym_expression_statement] = STATE(35),
    [sym__expression] = STATE(524),
    [sym__primary_expression] = STATE(524),
    [sym_type_cast_expression] = STATE(524),
    [sym_ternary_expression] = STATE(524),
    [sym_new_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_inline_array_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_member_expression] = STATE(524),
    [sym_array_access] = STATE(524),
    [sym_slice_access] = STATE(524),
    [sym_struct_expression] = STATE(524),
    [sym_parenthesized_expression] = STATE(524),
    [sym_assignment_expression] = STATE(524),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym_call_expression] = STATE(524),
    [sym_payable_conversion_expression] = STATE(524),
    [sym_meta_type_expression] = STATE(524),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__semicolon] = STATE(35),
    [sym__literal] = STATE(524),
    [sym_string_literal] = STATE(524),
    [sym_number_literal] = STATE(524),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(524),
    [sym_hex_string_literal] = STATE(524),
    [sym_unicode_string_literal] = STATE(524),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(75),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(253),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_variable_declaration] = STATE(718),
    [sym__expression] = STATE(509),
    [sym__primary_expression] = STATE(509),
    [sym_type_cast_expression] = STATE(509),
    [sym_ternary_expression] = STATE(509),
    [sym_new_expression] = STATE(509),
    [sym_tuple_expression] = STATE(509),
    [sym_inline_array_expression] = STATE(509),
    [sym_binary_expression] = STATE(509),
    [sym_unary_expression] = STATE(509),
    [sym_update_expression] = STATE(509),
    [sym_member_expression] = STATE(509),
    [sym_array_access] = STATE(509),
    [sym_slice_access] = STATE(509),
    [sym_struct_expression] = STATE(509),
    [sym_parenthesized_expression] = STATE(509),
    [sym_assignment_expression] = STATE(509),
    [sym_augmented_assignment_expression] = STATE(509),
    [sym_call_expression] = STATE(509),
    [sym_payable_conversion_expression] = STATE(509),
    [sym_meta_type_expression] = STATE(509),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(509),
    [sym_string_literal] = STATE(509),
    [sym_number_literal] = STATE(509),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(509),
    [sym_hex_string_literal] = STATE(509),
    [sym_unicode_string_literal] = STATE(509),
    [sym_string] = STATE(446),
    [aux_sym_variable_declaration_tuple_repeat1] = STATE(719),
    [aux_sym_tuple_expression_repeat1] = STATE(716),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_COMMA] = ACTIONS(255),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_RPAREN] = ACTIONS(259),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_variable_declaration] = STATE(966),
    [sym__expression] = STATE(527),
    [sym__primary_expression] = STATE(527),
    [sym_type_cast_expression] = STATE(527),
    [sym_ternary_expression] = STATE(527),
    [sym_new_expression] = STATE(527),
    [sym_tuple_expression] = STATE(527),
    [sym_inline_array_expression] = STATE(527),
    [sym_binary_expression] = STATE(527),
    [sym_unary_expression] = STATE(527),
    [sym_update_expression] = STATE(527),
    [sym_member_expression] = STATE(527),
    [sym_array_access] = STATE(527),
    [sym_slice_access] = STATE(527),
    [sym_struct_expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(527),
    [sym_assignment_expression] = STATE(527),
    [sym_augmented_assignment_expression] = STATE(527),
    [sym_call_expression] = STATE(527),
    [sym_payable_conversion_expression] = STATE(527),
    [sym_meta_type_expression] = STATE(527),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(506),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(504),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(527),
    [sym_string_literal] = STATE(527),
    [sym_number_literal] = STATE(527),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(527),
    [sym_hex_string_literal] = STATE(527),
    [sym_unicode_string_literal] = STATE(527),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_COMMA] = ACTIONS(261),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_RPAREN] = ACTIONS(264),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym_call_argument] = STATE(787),
    [sym__expression] = STATE(510),
    [sym__primary_expression] = STATE(510),
    [sym_type_cast_expression] = STATE(510),
    [sym_ternary_expression] = STATE(510),
    [sym_new_expression] = STATE(510),
    [sym_tuple_expression] = STATE(510),
    [sym_inline_array_expression] = STATE(510),
    [sym_binary_expression] = STATE(510),
    [sym_unary_expression] = STATE(510),
    [sym_update_expression] = STATE(510),
    [sym_member_expression] = STATE(510),
    [sym_array_access] = STATE(510),
    [sym_slice_access] = STATE(510),
    [sym_struct_expression] = STATE(510),
    [sym_parenthesized_expression] = STATE(510),
    [sym_assignment_expression] = STATE(510),
    [sym_augmented_assignment_expression] = STATE(510),
    [sym_call_expression] = STATE(510),
    [sym_payable_conversion_expression] = STATE(510),
    [sym_meta_type_expression] = STATE(510),
    [sym_user_defined_type] = STATE(510),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(510),
    [sym_string_literal] = STATE(510),
    [sym_number_literal] = STATE(510),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(510),
    [sym_hex_string_literal] = STATE(510),
    [sym_unicode_string_literal] = STATE(510),
    [sym_string] = STATE(446),
    [aux_sym_tuple_expression_repeat1] = STATE(716),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(266),
    [anon_sym_COMMA] = ACTIONS(268),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_RPAREN] = ACTIONS(270),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_expression_statement] = STATE(50),
    [sym__expression] = STATE(524),
    [sym__primary_expression] = STATE(524),
    [sym_type_cast_expression] = STATE(524),
    [sym_ternary_expression] = STATE(524),
    [sym_new_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_inline_array_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_member_expression] = STATE(524),
    [sym_array_access] = STATE(524),
    [sym_slice_access] = STATE(524),
    [sym_struct_expression] = STATE(524),
    [sym_parenthesized_expression] = STATE(524),
    [sym_assignment_expression] = STATE(524),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym_call_expression] = STATE(524),
    [sym_payable_conversion_expression] = STATE(524),
    [sym_meta_type_expression] = STATE(524),
    [sym_user_defined_type] = STATE(524),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__semicolon] = STATE(50),
    [sym__literal] = STATE(524),
    [sym_string_literal] = STATE(524),
    [sym_number_literal] = STATE(524),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(524),
    [sym_hex_string_literal] = STATE(524),
    [sym_unicode_string_literal] = STATE(524),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(272),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_call_argument] = STATE(974),
    [sym__expression] = STATE(528),
    [sym__primary_expression] = STATE(528),
    [sym_type_cast_expression] = STATE(528),
    [sym_ternary_expression] = STATE(528),
    [sym_new_expression] = STATE(528),
    [sym_tuple_expression] = STATE(528),
    [sym_inline_array_expression] = STATE(528),
    [sym_binary_expression] = STATE(528),
    [sym_unary_expression] = STATE(528),
    [sym_update_expression] = STATE(528),
    [sym_member_expression] = STATE(528),
    [sym_array_access] = STATE(528),
    [sym_slice_access] = STATE(528),
    [sym_struct_expression] = STATE(528),
    [sym_parenthesized_expression] = STATE(528),
    [sym_assignment_expression] = STATE(528),
    [sym_augmented_assignment_expression] = STATE(528),
    [sym_call_expression] = STATE(528),
    [sym_payable_conversion_expression] = STATE(528),
    [sym_meta_type_expression] = STATE(528),
    [sym_user_defined_type] = STATE(528),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(528),
    [sym_string_literal] = STATE(528),
    [sym_number_literal] = STATE(528),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(528),
    [sym_hex_string_literal] = STATE(528),
    [sym_unicode_string_literal] = STATE(528),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(266),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_RPAREN] = ACTIONS(274),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [31] = {
    [sym__call_arguments] = STATE(898),
    [sym__expression] = STATE(523),
    [sym__primary_expression] = STATE(523),
    [sym_type_cast_expression] = STATE(523),
    [sym_ternary_expression] = STATE(523),
    [sym_new_expression] = STATE(523),
    [sym_tuple_expression] = STATE(523),
    [sym_inline_array_expression] = STATE(523),
    [sym_binary_expression] = STATE(523),
    [sym_unary_expression] = STATE(523),
    [sym_update_expression] = STATE(523),
    [sym_member_expression] = STATE(523),
    [sym_array_access] = STATE(523),
    [sym_slice_access] = STATE(523),
    [sym_struct_expression] = STATE(523),
    [sym_parenthesized_expression] = STATE(523),
    [sym_assignment_expression] = STATE(523),
    [sym_augmented_assignment_expression] = STATE(523),
    [sym_call_expression] = STATE(523),
    [sym_payable_conversion_expression] = STATE(523),
    [sym_meta_type_expression] = STATE(523),
    [sym_user_defined_type] = STATE(523),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__semicolon] = STATE(103),
    [sym__literal] = STATE(523),
    [sym_string_literal] = STATE(523),
    [sym_number_literal] = STATE(523),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(523),
    [sym_hex_string_literal] = STATE(523),
    [sym_unicode_string_literal] = STATE(523),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(278),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_call_argument] = STATE(974),
    [sym__expression] = STATE(528),
    [sym__primary_expression] = STATE(528),
    [sym_type_cast_expression] = STATE(528),
    [sym_ternary_expression] = STATE(528),
    [sym_new_expression] = STATE(528),
    [sym_tuple_expression] = STATE(528),
    [sym_inline_array_expression] = STATE(528),
    [sym_binary_expression] = STATE(528),
    [sym_unary_expression] = STATE(528),
    [sym_update_expression] = STATE(528),
    [sym_member_expression] = STATE(528),
    [sym_array_access] = STATE(528),
    [sym_slice_access] = STATE(528),
    [sym_struct_expression] = STATE(528),
    [sym_parenthesized_expression] = STATE(528),
    [sym_assignment_expression] = STATE(528),
    [sym_augmented_assignment_expression] = STATE(528),
    [sym_call_expression] = STATE(528),
    [sym_payable_conversion_expression] = STATE(528),
    [sym_meta_type_expression] = STATE(528),
    [sym_user_defined_type] = STATE(528),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(528),
    [sym_string_literal] = STATE(528),
    [sym_number_literal] = STATE(528),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(528),
    [sym_hex_string_literal] = STATE(528),
    [sym_unicode_string_literal] = STATE(528),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(266),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_RPAREN] = ACTIONS(280),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym__expression] = STATE(509),
    [sym__primary_expression] = STATE(509),
    [sym_type_cast_expression] = STATE(509),
    [sym_ternary_expression] = STATE(509),
    [sym_new_expression] = STATE(509),
    [sym_tuple_expression] = STATE(509),
    [sym_inline_array_expression] = STATE(509),
    [sym_binary_expression] = STATE(509),
    [sym_unary_expression] = STATE(509),
    [sym_update_expression] = STATE(509),
    [sym_member_expression] = STATE(509),
    [sym_array_access] = STATE(509),
    [sym_slice_access] = STATE(509),
    [sym_struct_expression] = STATE(509),
    [sym_parenthesized_expression] = STATE(509),
    [sym_assignment_expression] = STATE(509),
    [sym_augmented_assignment_expression] = STATE(509),
    [sym_call_expression] = STATE(509),
    [sym_payable_conversion_expression] = STATE(509),
    [sym_meta_type_expression] = STATE(509),
    [sym_user_defined_type] = STATE(509),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(509),
    [sym_string_literal] = STATE(509),
    [sym_number_literal] = STATE(509),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(509),
    [sym_hex_string_literal] = STATE(509),
    [sym_unicode_string_literal] = STATE(509),
    [sym_string] = STATE(446),
    [aux_sym_tuple_expression_repeat1] = STATE(716),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_COMMA] = ACTIONS(268),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_RPAREN] = ACTIONS(282),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym_call_argument] = STATE(787),
    [sym__expression] = STATE(528),
    [sym__primary_expression] = STATE(528),
    [sym_type_cast_expression] = STATE(528),
    [sym_ternary_expression] = STATE(528),
    [sym_new_expression] = STATE(528),
    [sym_tuple_expression] = STATE(528),
    [sym_inline_array_expression] = STATE(528),
    [sym_binary_expression] = STATE(528),
    [sym_unary_expression] = STATE(528),
    [sym_update_expression] = STATE(528),
    [sym_member_expression] = STATE(528),
    [sym_array_access] = STATE(528),
    [sym_slice_access] = STATE(528),
    [sym_struct_expression] = STATE(528),
    [sym_parenthesized_expression] = STATE(528),
    [sym_assignment_expression] = STATE(528),
    [sym_augmented_assignment_expression] = STATE(528),
    [sym_call_expression] = STATE(528),
    [sym_payable_conversion_expression] = STATE(528),
    [sym_meta_type_expression] = STATE(528),
    [sym_user_defined_type] = STATE(528),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(528),
    [sym_string_literal] = STATE(528),
    [sym_number_literal] = STATE(528),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(528),
    [sym_hex_string_literal] = STATE(528),
    [sym_unicode_string_literal] = STATE(528),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(266),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_RPAREN] = ACTIONS(284),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym_expression_statement] = STATE(51),
    [sym__expression] = STATE(524),
    [sym__primary_expression] = STATE(524),
    [sym_type_cast_expression] = STATE(524),
    [sym_ternary_expression] = STATE(524),
    [sym_new_expression] = STATE(524),
    [sym_tuple_expression] = STATE(524),
    [sym_inline_array_expression] = STATE(524),
    [sym_binary_expression] = STATE(524),
    [sym_unary_expression] = STATE(524),
    [sym_update_expression] = STATE(524),
    [sym_member_expression] = STATE(524),
    [sym_array_access] = STATE(524),
    [sym_slice_access] = STATE(524),
    [sym_struct_expression] = STATE(524),
    [sym_parenthesized_expression] = STATE(524),
    [sym_assignment_expression] = STATE(524),
    [sym_augmented_assignment_expression] = STATE(524),
    [sym_call_expression] = STATE(524),
    [sym_payable_conversion_expression] = STATE(524),
    [sym_meta_type_expression] = STATE(524),
    [sym_user_defined_type] = STATE(524),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__semicolon] = STATE(51),
    [sym__literal] = STATE(524),
    [sym_string_literal] = STATE(524),
    [sym_number_literal] = STATE(524),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(524),
    [sym_hex_string_literal] = STATE(524),
    [sym_unicode_string_literal] = STATE(524),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(286),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym__call_arguments] = STATE(913),
    [sym__expression] = STATE(514),
    [sym__primary_expression] = STATE(514),
    [sym_type_cast_expression] = STATE(514),
    [sym_ternary_expression] = STATE(514),
    [sym_new_expression] = STATE(514),
    [sym_tuple_expression] = STATE(514),
    [sym_inline_array_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_member_expression] = STATE(514),
    [sym_array_access] = STATE(514),
    [sym_slice_access] = STATE(514),
    [sym_struct_expression] = STATE(514),
    [sym_parenthesized_expression] = STATE(514),
    [sym_assignment_expression] = STATE(514),
    [sym_augmented_assignment_expression] = STATE(514),
    [sym_call_expression] = STATE(514),
    [sym_payable_conversion_expression] = STATE(514),
    [sym_meta_type_expression] = STATE(514),
    [sym_user_defined_type] = STATE(514),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__semicolon] = STATE(103),
    [sym__literal] = STATE(514),
    [sym_string_literal] = STATE(514),
    [sym_number_literal] = STATE(514),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(514),
    [sym_hex_string_literal] = STATE(514),
    [sym_unicode_string_literal] = STATE(514),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(278),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym__expression] = STATE(527),
    [sym__primary_expression] = STATE(527),
    [sym_type_cast_expression] = STATE(527),
    [sym_ternary_expression] = STATE(527),
    [sym_new_expression] = STATE(527),
    [sym_tuple_expression] = STATE(527),
    [sym_inline_array_expression] = STATE(527),
    [sym_binary_expression] = STATE(527),
    [sym_unary_expression] = STATE(527),
    [sym_update_expression] = STATE(527),
    [sym_member_expression] = STATE(527),
    [sym_array_access] = STATE(527),
    [sym_slice_access] = STATE(527),
    [sym_struct_expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(527),
    [sym_assignment_expression] = STATE(527),
    [sym_augmented_assignment_expression] = STATE(527),
    [sym_call_expression] = STATE(527),
    [sym_payable_conversion_expression] = STATE(527),
    [sym_meta_type_expression] = STATE(527),
    [sym_user_defined_type] = STATE(527),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(527),
    [sym_string_literal] = STATE(527),
    [sym_number_literal] = STATE(527),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(527),
    [sym_hex_string_literal] = STATE(527),
    [sym_unicode_string_literal] = STATE(527),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_COMMA] = ACTIONS(288),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_RPAREN] = ACTIONS(288),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym__expression] = STATE(529),
    [sym__primary_expression] = STATE(529),
    [sym_type_cast_expression] = STATE(529),
    [sym_ternary_expression] = STATE(529),
    [sym_new_expression] = STATE(529),
    [sym_tuple_expression] = STATE(529),
    [sym_inline_array_expression] = STATE(529),
    [sym_binary_expression] = STATE(529),
    [sym_unary_expression] = STATE(529),
    [sym_update_expression] = STATE(529),
    [sym_member_expression] = STATE(529),
    [sym_array_access] = STATE(529),
    [sym_slice_access] = STATE(529),
    [sym_struct_expression] = STATE(529),
    [sym_parenthesized_expression] = STATE(529),
    [sym_assignment_expression] = STATE(529),
    [sym_augmented_assignment_expression] = STATE(529),
    [sym_call_expression] = STATE(529),
    [sym_payable_conversion_expression] = STATE(529),
    [sym_meta_type_expression] = STATE(529),
    [sym_user_defined_type] = STATE(529),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__semicolon] = STATE(116),
    [sym__literal] = STATE(529),
    [sym_string_literal] = STATE(529),
    [sym_number_literal] = STATE(529),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(529),
    [sym_hex_string_literal] = STATE(529),
    [sym_unicode_string_literal] = STATE(529),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(290),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym__expression] = STATE(522),
    [sym__primary_expression] = STATE(522),
    [sym_type_cast_expression] = STATE(522),
    [sym_ternary_expression] = STATE(522),
    [sym_new_expression] = STATE(522),
    [sym_tuple_expression] = STATE(522),
    [sym_inline_array_expression] = STATE(522),
    [sym_binary_expression] = STATE(522),
    [sym_unary_expression] = STATE(522),
    [sym_update_expression] = STATE(522),
    [sym_member_expression] = STATE(522),
    [sym_array_access] = STATE(522),
    [sym_slice_access] = STATE(522),
    [sym_struct_expression] = STATE(522),
    [sym_parenthesized_expression] = STATE(522),
    [sym_assignment_expression] = STATE(522),
    [sym_augmented_assignment_expression] = STATE(522),
    [sym_call_expression] = STATE(522),
    [sym_payable_conversion_expression] = STATE(522),
    [sym_meta_type_expression] = STATE(522),
    [sym_user_defined_type] = STATE(522),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__semicolon] = STATE(116),
    [sym__literal] = STATE(522),
    [sym_string_literal] = STATE(522),
    [sym_number_literal] = STATE(522),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(522),
    [sym_hex_string_literal] = STATE(522),
    [sym_unicode_string_literal] = STATE(522),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(290),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [sym__expression] = STATE(527),
    [sym__primary_expression] = STATE(527),
    [sym_type_cast_expression] = STATE(527),
    [sym_ternary_expression] = STATE(527),
    [sym_new_expression] = STATE(527),
    [sym_tuple_expression] = STATE(527),
    [sym_inline_array_expression] = STATE(527),
    [sym_binary_expression] = STATE(527),
    [sym_unary_expression] = STATE(527),
    [sym_update_expression] = STATE(527),
    [sym_member_expression] = STATE(527),
    [sym_array_access] = STATE(527),
    [sym_slice_access] = STATE(527),
    [sym_struct_expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(527),
    [sym_assignment_expression] = STATE(527),
    [sym_augmented_assignment_expression] = STATE(527),
    [sym_call_expression] = STATE(527),
    [sym_payable_conversion_expression] = STATE(527),
    [sym_meta_type_expression] = STATE(527),
    [sym_user_defined_type] = STATE(527),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(527),
    [sym_string_literal] = STATE(527),
    [sym_number_literal] = STATE(527),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(527),
    [sym_hex_string_literal] = STATE(527),
    [sym_unicode_string_literal] = STATE(527),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_COMMA] = ACTIONS(288),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_RPAREN] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym__expression] = STATE(527),
    [sym__primary_expression] = STATE(527),
    [sym_type_cast_expression] = STATE(527),
    [sym_ternary_expression] = STATE(527),
    [sym_new_expression] = STATE(527),
    [sym_tuple_expression] = STATE(527),
    [sym_inline_array_expression] = STATE(527),
    [sym_binary_expression] = STATE(527),
    [sym_unary_expression] = STATE(527),
    [sym_update_expression] = STATE(527),
    [sym_member_expression] = STATE(527),
    [sym_array_access] = STATE(527),
    [sym_slice_access] = STATE(527),
    [sym_struct_expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(527),
    [sym_assignment_expression] = STATE(527),
    [sym_augmented_assignment_expression] = STATE(527),
    [sym_call_expression] = STATE(527),
    [sym_payable_conversion_expression] = STATE(527),
    [sym_meta_type_expression] = STATE(527),
    [sym_user_defined_type] = STATE(527),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(527),
    [sym_string_literal] = STATE(527),
    [sym_number_literal] = STATE(527),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(527),
    [sym_hex_string_literal] = STATE(527),
    [sym_unicode_string_literal] = STATE(527),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_COMMA] = ACTIONS(288),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_RPAREN] = ACTIONS(294),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym__expression] = STATE(512),
    [sym__primary_expression] = STATE(512),
    [sym_type_cast_expression] = STATE(512),
    [sym_ternary_expression] = STATE(512),
    [sym_new_expression] = STATE(512),
    [sym_tuple_expression] = STATE(512),
    [sym_inline_array_expression] = STATE(512),
    [sym_binary_expression] = STATE(512),
    [sym_unary_expression] = STATE(512),
    [sym_update_expression] = STATE(512),
    [sym_member_expression] = STATE(512),
    [sym_array_access] = STATE(512),
    [sym_slice_access] = STATE(512),
    [sym_struct_expression] = STATE(512),
    [sym_parenthesized_expression] = STATE(512),
    [sym_assignment_expression] = STATE(512),
    [sym_augmented_assignment_expression] = STATE(512),
    [sym_call_expression] = STATE(512),
    [sym_payable_conversion_expression] = STATE(512),
    [sym_meta_type_expression] = STATE(512),
    [sym_user_defined_type] = STATE(512),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(512),
    [sym_string_literal] = STATE(512),
    [sym_number_literal] = STATE(512),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(512),
    [sym_hex_string_literal] = STATE(512),
    [sym_unicode_string_literal] = STATE(512),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_COLON] = ACTIONS(296),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_RBRACK] = ACTIONS(298),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [43] = {
    [sym_call_argument] = STATE(974),
    [sym__expression] = STATE(528),
    [sym__primary_expression] = STATE(528),
    [sym_type_cast_expression] = STATE(528),
    [sym_ternary_expression] = STATE(528),
    [sym_new_expression] = STATE(528),
    [sym_tuple_expression] = STATE(528),
    [sym_inline_array_expression] = STATE(528),
    [sym_binary_expression] = STATE(528),
    [sym_unary_expression] = STATE(528),
    [sym_update_expression] = STATE(528),
    [sym_member_expression] = STATE(528),
    [sym_array_access] = STATE(528),
    [sym_slice_access] = STATE(528),
    [sym_struct_expression] = STATE(528),
    [sym_parenthesized_expression] = STATE(528),
    [sym_assignment_expression] = STATE(528),
    [sym_augmented_assignment_expression] = STATE(528),
    [sym_call_expression] = STATE(528),
    [sym_payable_conversion_expression] = STATE(528),
    [sym_meta_type_expression] = STATE(528),
    [sym_user_defined_type] = STATE(528),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(528),
    [sym_string_literal] = STATE(528),
    [sym_number_literal] = STATE(528),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(528),
    [sym_hex_string_literal] = STATE(528),
    [sym_unicode_string_literal] = STATE(528),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(266),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [44] = {
    [sym__expression] = STATE(527),
    [sym__primary_expression] = STATE(527),
    [sym_type_cast_expression] = STATE(527),
    [sym_ternary_expression] = STATE(527),
    [sym_new_expression] = STATE(527),
    [sym_tuple_expression] = STATE(527),
    [sym_inline_array_expression] = STATE(527),
    [sym_binary_expression] = STATE(527),
    [sym_unary_expression] = STATE(527),
    [sym_update_expression] = STATE(527),
    [sym_member_expression] = STATE(527),
    [sym_array_access] = STATE(527),
    [sym_slice_access] = STATE(527),
    [sym_struct_expression] = STATE(527),
    [sym_parenthesized_expression] = STATE(527),
    [sym_assignment_expression] = STATE(527),
    [sym_augmented_assignment_expression] = STATE(527),
    [sym_call_expression] = STATE(527),
    [sym_payable_conversion_expression] = STATE(527),
    [sym_meta_type_expression] = STATE(527),
    [sym_user_defined_type] = STATE(527),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(527),
    [sym_string_literal] = STATE(527),
    [sym_number_literal] = STATE(527),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(527),
    [sym_hex_string_literal] = STATE(527),
    [sym_unicode_string_literal] = STATE(527),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_COMMA] = ACTIONS(288),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_RPAREN] = ACTIONS(300),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [45] = {
    [sym__expression] = STATE(534),
    [sym__primary_expression] = STATE(534),
    [sym_type_cast_expression] = STATE(534),
    [sym_ternary_expression] = STATE(534),
    [sym_new_expression] = STATE(534),
    [sym_tuple_expression] = STATE(534),
    [sym_inline_array_expression] = STATE(534),
    [sym_binary_expression] = STATE(534),
    [sym_unary_expression] = STATE(534),
    [sym_update_expression] = STATE(534),
    [sym_member_expression] = STATE(534),
    [sym_array_access] = STATE(534),
    [sym_slice_access] = STATE(534),
    [sym_struct_expression] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_assignment_expression] = STATE(534),
    [sym_augmented_assignment_expression] = STATE(534),
    [sym_call_expression] = STATE(534),
    [sym_payable_conversion_expression] = STATE(534),
    [sym_meta_type_expression] = STATE(534),
    [sym_user_defined_type] = STATE(534),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(534),
    [sym_string_literal] = STATE(534),
    [sym_number_literal] = STATE(534),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(534),
    [sym_hex_string_literal] = STATE(534),
    [sym_unicode_string_literal] = STATE(534),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_RBRACK] = ACTIONS(302),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym__expression] = STATE(537),
    [sym__primary_expression] = STATE(537),
    [sym_type_cast_expression] = STATE(537),
    [sym_ternary_expression] = STATE(537),
    [sym_new_expression] = STATE(537),
    [sym_tuple_expression] = STATE(537),
    [sym_inline_array_expression] = STATE(537),
    [sym_binary_expression] = STATE(537),
    [sym_unary_expression] = STATE(537),
    [sym_update_expression] = STATE(537),
    [sym_member_expression] = STATE(537),
    [sym_array_access] = STATE(537),
    [sym_slice_access] = STATE(537),
    [sym_struct_expression] = STATE(537),
    [sym_parenthesized_expression] = STATE(537),
    [sym_assignment_expression] = STATE(537),
    [sym_augmented_assignment_expression] = STATE(537),
    [sym_call_expression] = STATE(537),
    [sym_payable_conversion_expression] = STATE(537),
    [sym_meta_type_expression] = STATE(537),
    [sym_user_defined_type] = STATE(537),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(537),
    [sym_string_literal] = STATE(537),
    [sym_number_literal] = STATE(537),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(537),
    [sym_hex_string_literal] = STATE(537),
    [sym_unicode_string_literal] = STATE(537),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_RBRACK] = ACTIONS(304),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [47] = {
    [sym__expression] = STATE(511),
    [sym__primary_expression] = STATE(511),
    [sym_type_cast_expression] = STATE(511),
    [sym_ternary_expression] = STATE(511),
    [sym_new_expression] = STATE(511),
    [sym_tuple_expression] = STATE(511),
    [sym_inline_array_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_update_expression] = STATE(511),
    [sym_member_expression] = STATE(511),
    [sym_array_access] = STATE(511),
    [sym_slice_access] = STATE(511),
    [sym_struct_expression] = STATE(511),
    [sym_parenthesized_expression] = STATE(511),
    [sym_assignment_expression] = STATE(511),
    [sym_augmented_assignment_expression] = STATE(511),
    [sym_call_expression] = STATE(511),
    [sym_payable_conversion_expression] = STATE(511),
    [sym_meta_type_expression] = STATE(511),
    [sym_user_defined_type] = STATE(511),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(511),
    [sym_string_literal] = STATE(511),
    [sym_number_literal] = STATE(511),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(511),
    [sym_hex_string_literal] = STATE(511),
    [sym_unicode_string_literal] = STATE(511),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_RBRACK] = ACTIONS(306),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym__expression] = STATE(518),
    [sym__primary_expression] = STATE(518),
    [sym_type_cast_expression] = STATE(518),
    [sym_ternary_expression] = STATE(518),
    [sym_new_expression] = STATE(518),
    [sym_tuple_expression] = STATE(518),
    [sym_inline_array_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_member_expression] = STATE(518),
    [sym_array_access] = STATE(518),
    [sym_slice_access] = STATE(518),
    [sym_struct_expression] = STATE(518),
    [sym_parenthesized_expression] = STATE(518),
    [sym_assignment_expression] = STATE(518),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym_call_expression] = STATE(518),
    [sym_payable_conversion_expression] = STATE(518),
    [sym_meta_type_expression] = STATE(518),
    [sym_user_defined_type] = STATE(518),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(518),
    [sym_string_literal] = STATE(518),
    [sym_number_literal] = STATE(518),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(518),
    [sym_hex_string_literal] = STATE(518),
    [sym_unicode_string_literal] = STATE(518),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_RBRACK] = ACTIONS(308),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [49] = {
    [sym__expression] = STATE(518),
    [sym__primary_expression] = STATE(518),
    [sym_type_cast_expression] = STATE(518),
    [sym_ternary_expression] = STATE(518),
    [sym_new_expression] = STATE(518),
    [sym_tuple_expression] = STATE(518),
    [sym_inline_array_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_member_expression] = STATE(518),
    [sym_array_access] = STATE(518),
    [sym_slice_access] = STATE(518),
    [sym_struct_expression] = STATE(518),
    [sym_parenthesized_expression] = STATE(518),
    [sym_assignment_expression] = STATE(518),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym_call_expression] = STATE(518),
    [sym_payable_conversion_expression] = STATE(518),
    [sym_meta_type_expression] = STATE(518),
    [sym_user_defined_type] = STATE(518),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(518),
    [sym_string_literal] = STATE(518),
    [sym_number_literal] = STATE(518),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(518),
    [sym_hex_string_literal] = STATE(518),
    [sym_unicode_string_literal] = STATE(518),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_RBRACK] = ACTIONS(310),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [50] = {
    [sym__expression] = STATE(533),
    [sym__primary_expression] = STATE(533),
    [sym_type_cast_expression] = STATE(533),
    [sym_ternary_expression] = STATE(533),
    [sym_new_expression] = STATE(533),
    [sym_tuple_expression] = STATE(533),
    [sym_inline_array_expression] = STATE(533),
    [sym_binary_expression] = STATE(533),
    [sym_unary_expression] = STATE(533),
    [sym_update_expression] = STATE(533),
    [sym_member_expression] = STATE(533),
    [sym_array_access] = STATE(533),
    [sym_slice_access] = STATE(533),
    [sym_struct_expression] = STATE(533),
    [sym_parenthesized_expression] = STATE(533),
    [sym_assignment_expression] = STATE(533),
    [sym_augmented_assignment_expression] = STATE(533),
    [sym_call_expression] = STATE(533),
    [sym_payable_conversion_expression] = STATE(533),
    [sym_meta_type_expression] = STATE(533),
    [sym_user_defined_type] = STATE(533),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(533),
    [sym_string_literal] = STATE(533),
    [sym_number_literal] = STATE(533),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(533),
    [sym_hex_string_literal] = STATE(533),
    [sym_unicode_string_literal] = STATE(533),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_RPAREN] = ACTIONS(312),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym__expression] = STATE(545),
    [sym__primary_expression] = STATE(545),
    [sym_type_cast_expression] = STATE(545),
    [sym_ternary_expression] = STATE(545),
    [sym_new_expression] = STATE(545),
    [sym_tuple_expression] = STATE(545),
    [sym_inline_array_expression] = STATE(545),
    [sym_binary_expression] = STATE(545),
    [sym_unary_expression] = STATE(545),
    [sym_update_expression] = STATE(545),
    [sym_member_expression] = STATE(545),
    [sym_array_access] = STATE(545),
    [sym_slice_access] = STATE(545),
    [sym_struct_expression] = STATE(545),
    [sym_parenthesized_expression] = STATE(545),
    [sym_assignment_expression] = STATE(545),
    [sym_augmented_assignment_expression] = STATE(545),
    [sym_call_expression] = STATE(545),
    [sym_payable_conversion_expression] = STATE(545),
    [sym_meta_type_expression] = STATE(545),
    [sym_user_defined_type] = STATE(545),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(545),
    [sym_string_literal] = STATE(545),
    [sym_number_literal] = STATE(545),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(545),
    [sym_hex_string_literal] = STATE(545),
    [sym_unicode_string_literal] = STATE(545),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_RPAREN] = ACTIONS(314),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [52] = {
    [sym__expression] = STATE(532),
    [sym__primary_expression] = STATE(532),
    [sym_type_cast_expression] = STATE(532),
    [sym_ternary_expression] = STATE(532),
    [sym_new_expression] = STATE(532),
    [sym_tuple_expression] = STATE(532),
    [sym_inline_array_expression] = STATE(532),
    [sym_binary_expression] = STATE(532),
    [sym_unary_expression] = STATE(532),
    [sym_update_expression] = STATE(532),
    [sym_member_expression] = STATE(532),
    [sym_array_access] = STATE(532),
    [sym_slice_access] = STATE(532),
    [sym_struct_expression] = STATE(532),
    [sym_parenthesized_expression] = STATE(532),
    [sym_assignment_expression] = STATE(532),
    [sym_augmented_assignment_expression] = STATE(532),
    [sym_call_expression] = STATE(532),
    [sym_payable_conversion_expression] = STATE(532),
    [sym_meta_type_expression] = STATE(532),
    [sym_user_defined_type] = STATE(532),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(532),
    [sym_string_literal] = STATE(532),
    [sym_number_literal] = STATE(532),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(532),
    [sym_hex_string_literal] = STATE(532),
    [sym_unicode_string_literal] = STATE(532),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_RBRACK] = ACTIONS(316),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym__expression] = STATE(526),
    [sym__primary_expression] = STATE(526),
    [sym_type_cast_expression] = STATE(526),
    [sym_ternary_expression] = STATE(526),
    [sym_new_expression] = STATE(526),
    [sym_tuple_expression] = STATE(526),
    [sym_inline_array_expression] = STATE(526),
    [sym_binary_expression] = STATE(526),
    [sym_unary_expression] = STATE(526),
    [sym_update_expression] = STATE(526),
    [sym_member_expression] = STATE(526),
    [sym_array_access] = STATE(526),
    [sym_slice_access] = STATE(526),
    [sym_struct_expression] = STATE(526),
    [sym_parenthesized_expression] = STATE(526),
    [sym_assignment_expression] = STATE(526),
    [sym_augmented_assignment_expression] = STATE(526),
    [sym_call_expression] = STATE(526),
    [sym_payable_conversion_expression] = STATE(526),
    [sym_meta_type_expression] = STATE(526),
    [sym_user_defined_type] = STATE(526),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(526),
    [sym_string_literal] = STATE(526),
    [sym_number_literal] = STATE(526),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(526),
    [sym_hex_string_literal] = STATE(526),
    [sym_unicode_string_literal] = STATE(526),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [54] = {
    [sym__expression] = STATE(471),
    [sym__primary_expression] = STATE(471),
    [sym_type_cast_expression] = STATE(471),
    [sym_ternary_expression] = STATE(471),
    [sym_new_expression] = STATE(471),
    [sym_tuple_expression] = STATE(471),
    [sym_inline_array_expression] = STATE(471),
    [sym_binary_expression] = STATE(471),
    [sym_unary_expression] = STATE(471),
    [sym_update_expression] = STATE(471),
    [sym_member_expression] = STATE(471),
    [sym_array_access] = STATE(471),
    [sym_slice_access] = STATE(471),
    [sym_struct_expression] = STATE(471),
    [sym_parenthesized_expression] = STATE(471),
    [sym_assignment_expression] = STATE(471),
    [sym_augmented_assignment_expression] = STATE(471),
    [sym_call_expression] = STATE(471),
    [sym_payable_conversion_expression] = STATE(471),
    [sym_meta_type_expression] = STATE(471),
    [sym_user_defined_type] = STATE(471),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(471),
    [sym_string_literal] = STATE(471),
    [sym_number_literal] = STATE(471),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(471),
    [sym_hex_string_literal] = STATE(471),
    [sym_unicode_string_literal] = STATE(471),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym__expression] = STATE(544),
    [sym__primary_expression] = STATE(544),
    [sym_type_cast_expression] = STATE(544),
    [sym_ternary_expression] = STATE(544),
    [sym_new_expression] = STATE(544),
    [sym_tuple_expression] = STATE(544),
    [sym_inline_array_expression] = STATE(544),
    [sym_binary_expression] = STATE(544),
    [sym_unary_expression] = STATE(544),
    [sym_update_expression] = STATE(544),
    [sym_member_expression] = STATE(544),
    [sym_array_access] = STATE(544),
    [sym_slice_access] = STATE(544),
    [sym_struct_expression] = STATE(544),
    [sym_parenthesized_expression] = STATE(544),
    [sym_assignment_expression] = STATE(544),
    [sym_augmented_assignment_expression] = STATE(544),
    [sym_call_expression] = STATE(544),
    [sym_payable_conversion_expression] = STATE(544),
    [sym_meta_type_expression] = STATE(544),
    [sym_user_defined_type] = STATE(544),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(544),
    [sym_string_literal] = STATE(544),
    [sym_number_literal] = STATE(544),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(544),
    [sym_hex_string_literal] = STATE(544),
    [sym_unicode_string_literal] = STATE(544),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym__expression] = STATE(456),
    [sym__primary_expression] = STATE(456),
    [sym_type_cast_expression] = STATE(456),
    [sym_ternary_expression] = STATE(456),
    [sym_new_expression] = STATE(456),
    [sym_tuple_expression] = STATE(456),
    [sym_inline_array_expression] = STATE(456),
    [sym_binary_expression] = STATE(456),
    [sym_unary_expression] = STATE(456),
    [sym_update_expression] = STATE(456),
    [sym_member_expression] = STATE(456),
    [sym_array_access] = STATE(456),
    [sym_slice_access] = STATE(456),
    [sym_struct_expression] = STATE(456),
    [sym_parenthesized_expression] = STATE(456),
    [sym_assignment_expression] = STATE(456),
    [sym_augmented_assignment_expression] = STATE(456),
    [sym_call_expression] = STATE(456),
    [sym_payable_conversion_expression] = STATE(456),
    [sym_meta_type_expression] = STATE(456),
    [sym_user_defined_type] = STATE(456),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(456),
    [sym_string_literal] = STATE(456),
    [sym_number_literal] = STATE(456),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(456),
    [sym_hex_string_literal] = STATE(456),
    [sym_unicode_string_literal] = STATE(456),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym__expression] = STATE(457),
    [sym__primary_expression] = STATE(457),
    [sym_type_cast_expression] = STATE(457),
    [sym_ternary_expression] = STATE(457),
    [sym_new_expression] = STATE(457),
    [sym_tuple_expression] = STATE(457),
    [sym_inline_array_expression] = STATE(457),
    [sym_binary_expression] = STATE(457),
    [sym_unary_expression] = STATE(457),
    [sym_update_expression] = STATE(457),
    [sym_member_expression] = STATE(457),
    [sym_array_access] = STATE(457),
    [sym_slice_access] = STATE(457),
    [sym_struct_expression] = STATE(457),
    [sym_parenthesized_expression] = STATE(457),
    [sym_assignment_expression] = STATE(457),
    [sym_augmented_assignment_expression] = STATE(457),
    [sym_call_expression] = STATE(457),
    [sym_payable_conversion_expression] = STATE(457),
    [sym_meta_type_expression] = STATE(457),
    [sym_user_defined_type] = STATE(457),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(457),
    [sym_string_literal] = STATE(457),
    [sym_number_literal] = STATE(457),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(457),
    [sym_hex_string_literal] = STATE(457),
    [sym_unicode_string_literal] = STATE(457),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym__expression] = STATE(462),
    [sym__primary_expression] = STATE(462),
    [sym_type_cast_expression] = STATE(462),
    [sym_ternary_expression] = STATE(462),
    [sym_new_expression] = STATE(462),
    [sym_tuple_expression] = STATE(462),
    [sym_inline_array_expression] = STATE(462),
    [sym_binary_expression] = STATE(462),
    [sym_unary_expression] = STATE(462),
    [sym_update_expression] = STATE(462),
    [sym_member_expression] = STATE(462),
    [sym_array_access] = STATE(462),
    [sym_slice_access] = STATE(462),
    [sym_struct_expression] = STATE(462),
    [sym_parenthesized_expression] = STATE(462),
    [sym_assignment_expression] = STATE(462),
    [sym_augmented_assignment_expression] = STATE(462),
    [sym_call_expression] = STATE(462),
    [sym_payable_conversion_expression] = STATE(462),
    [sym_meta_type_expression] = STATE(462),
    [sym_user_defined_type] = STATE(462),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(462),
    [sym_string_literal] = STATE(462),
    [sym_number_literal] = STATE(462),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(462),
    [sym_hex_string_literal] = STATE(462),
    [sym_unicode_string_literal] = STATE(462),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym__expression] = STATE(531),
    [sym__primary_expression] = STATE(531),
    [sym_type_cast_expression] = STATE(531),
    [sym_ternary_expression] = STATE(531),
    [sym_new_expression] = STATE(531),
    [sym_tuple_expression] = STATE(531),
    [sym_inline_array_expression] = STATE(531),
    [sym_binary_expression] = STATE(531),
    [sym_unary_expression] = STATE(531),
    [sym_update_expression] = STATE(531),
    [sym_member_expression] = STATE(531),
    [sym_array_access] = STATE(531),
    [sym_slice_access] = STATE(531),
    [sym_struct_expression] = STATE(531),
    [sym_parenthesized_expression] = STATE(531),
    [sym_assignment_expression] = STATE(531),
    [sym_augmented_assignment_expression] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_payable_conversion_expression] = STATE(531),
    [sym_meta_type_expression] = STATE(531),
    [sym_user_defined_type] = STATE(531),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(531),
    [sym_string_literal] = STATE(531),
    [sym_number_literal] = STATE(531),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(531),
    [sym_hex_string_literal] = STATE(531),
    [sym_unicode_string_literal] = STATE(531),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym__expression] = STATE(515),
    [sym__primary_expression] = STATE(515),
    [sym_type_cast_expression] = STATE(515),
    [sym_ternary_expression] = STATE(515),
    [sym_new_expression] = STATE(515),
    [sym_tuple_expression] = STATE(515),
    [sym_inline_array_expression] = STATE(515),
    [sym_binary_expression] = STATE(515),
    [sym_unary_expression] = STATE(515),
    [sym_update_expression] = STATE(515),
    [sym_member_expression] = STATE(515),
    [sym_array_access] = STATE(515),
    [sym_slice_access] = STATE(515),
    [sym_struct_expression] = STATE(515),
    [sym_parenthesized_expression] = STATE(515),
    [sym_assignment_expression] = STATE(515),
    [sym_augmented_assignment_expression] = STATE(515),
    [sym_call_expression] = STATE(515),
    [sym_payable_conversion_expression] = STATE(515),
    [sym_meta_type_expression] = STATE(515),
    [sym_user_defined_type] = STATE(515),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(515),
    [sym_string_literal] = STATE(515),
    [sym_number_literal] = STATE(515),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(515),
    [sym_hex_string_literal] = STATE(515),
    [sym_unicode_string_literal] = STATE(515),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym__expression] = STATE(458),
    [sym__primary_expression] = STATE(458),
    [sym_type_cast_expression] = STATE(458),
    [sym_ternary_expression] = STATE(458),
    [sym_new_expression] = STATE(458),
    [sym_tuple_expression] = STATE(458),
    [sym_inline_array_expression] = STATE(458),
    [sym_binary_expression] = STATE(458),
    [sym_unary_expression] = STATE(458),
    [sym_update_expression] = STATE(458),
    [sym_member_expression] = STATE(458),
    [sym_array_access] = STATE(458),
    [sym_slice_access] = STATE(458),
    [sym_struct_expression] = STATE(458),
    [sym_parenthesized_expression] = STATE(458),
    [sym_assignment_expression] = STATE(458),
    [sym_augmented_assignment_expression] = STATE(458),
    [sym_call_expression] = STATE(458),
    [sym_payable_conversion_expression] = STATE(458),
    [sym_meta_type_expression] = STATE(458),
    [sym_user_defined_type] = STATE(458),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(458),
    [sym_string_literal] = STATE(458),
    [sym_number_literal] = STATE(458),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(458),
    [sym_hex_string_literal] = STATE(458),
    [sym_unicode_string_literal] = STATE(458),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym__expression] = STATE(516),
    [sym__primary_expression] = STATE(516),
    [sym_type_cast_expression] = STATE(516),
    [sym_ternary_expression] = STATE(516),
    [sym_new_expression] = STATE(516),
    [sym_tuple_expression] = STATE(516),
    [sym_inline_array_expression] = STATE(516),
    [sym_binary_expression] = STATE(516),
    [sym_unary_expression] = STATE(516),
    [sym_update_expression] = STATE(516),
    [sym_member_expression] = STATE(516),
    [sym_array_access] = STATE(516),
    [sym_slice_access] = STATE(516),
    [sym_struct_expression] = STATE(516),
    [sym_parenthesized_expression] = STATE(516),
    [sym_assignment_expression] = STATE(516),
    [sym_augmented_assignment_expression] = STATE(516),
    [sym_call_expression] = STATE(516),
    [sym_payable_conversion_expression] = STATE(516),
    [sym_meta_type_expression] = STATE(516),
    [sym_user_defined_type] = STATE(516),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(516),
    [sym_string_literal] = STATE(516),
    [sym_number_literal] = STATE(516),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(516),
    [sym_hex_string_literal] = STATE(516),
    [sym_unicode_string_literal] = STATE(516),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym__expression] = STATE(463),
    [sym__primary_expression] = STATE(463),
    [sym_type_cast_expression] = STATE(463),
    [sym_ternary_expression] = STATE(463),
    [sym_new_expression] = STATE(463),
    [sym_tuple_expression] = STATE(463),
    [sym_inline_array_expression] = STATE(463),
    [sym_binary_expression] = STATE(463),
    [sym_unary_expression] = STATE(463),
    [sym_update_expression] = STATE(463),
    [sym_member_expression] = STATE(463),
    [sym_array_access] = STATE(463),
    [sym_slice_access] = STATE(463),
    [sym_struct_expression] = STATE(463),
    [sym_parenthesized_expression] = STATE(463),
    [sym_assignment_expression] = STATE(463),
    [sym_augmented_assignment_expression] = STATE(463),
    [sym_call_expression] = STATE(463),
    [sym_payable_conversion_expression] = STATE(463),
    [sym_meta_type_expression] = STATE(463),
    [sym_user_defined_type] = STATE(463),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(463),
    [sym_string_literal] = STATE(463),
    [sym_number_literal] = STATE(463),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(463),
    [sym_hex_string_literal] = STATE(463),
    [sym_unicode_string_literal] = STATE(463),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym__expression] = STATE(519),
    [sym__primary_expression] = STATE(519),
    [sym_type_cast_expression] = STATE(519),
    [sym_ternary_expression] = STATE(519),
    [sym_new_expression] = STATE(519),
    [sym_tuple_expression] = STATE(519),
    [sym_inline_array_expression] = STATE(519),
    [sym_binary_expression] = STATE(519),
    [sym_unary_expression] = STATE(519),
    [sym_update_expression] = STATE(519),
    [sym_member_expression] = STATE(519),
    [sym_array_access] = STATE(519),
    [sym_slice_access] = STATE(519),
    [sym_struct_expression] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym_assignment_expression] = STATE(519),
    [sym_augmented_assignment_expression] = STATE(519),
    [sym_call_expression] = STATE(519),
    [sym_payable_conversion_expression] = STATE(519),
    [sym_meta_type_expression] = STATE(519),
    [sym_user_defined_type] = STATE(519),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_number_literal] = STATE(519),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(519),
    [sym_hex_string_literal] = STATE(519),
    [sym_unicode_string_literal] = STATE(519),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym__expression] = STATE(536),
    [sym__primary_expression] = STATE(536),
    [sym_type_cast_expression] = STATE(536),
    [sym_ternary_expression] = STATE(536),
    [sym_new_expression] = STATE(536),
    [sym_tuple_expression] = STATE(536),
    [sym_inline_array_expression] = STATE(536),
    [sym_binary_expression] = STATE(536),
    [sym_unary_expression] = STATE(536),
    [sym_update_expression] = STATE(536),
    [sym_member_expression] = STATE(536),
    [sym_array_access] = STATE(536),
    [sym_slice_access] = STATE(536),
    [sym_struct_expression] = STATE(536),
    [sym_parenthesized_expression] = STATE(536),
    [sym_assignment_expression] = STATE(536),
    [sym_augmented_assignment_expression] = STATE(536),
    [sym_call_expression] = STATE(536),
    [sym_payable_conversion_expression] = STATE(536),
    [sym_meta_type_expression] = STATE(536),
    [sym_user_defined_type] = STATE(536),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(536),
    [sym_string_literal] = STATE(536),
    [sym_number_literal] = STATE(536),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(536),
    [sym_hex_string_literal] = STATE(536),
    [sym_unicode_string_literal] = STATE(536),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym__expression] = STATE(518),
    [sym__primary_expression] = STATE(518),
    [sym_type_cast_expression] = STATE(518),
    [sym_ternary_expression] = STATE(518),
    [sym_new_expression] = STATE(518),
    [sym_tuple_expression] = STATE(518),
    [sym_inline_array_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_member_expression] = STATE(518),
    [sym_array_access] = STATE(518),
    [sym_slice_access] = STATE(518),
    [sym_struct_expression] = STATE(518),
    [sym_parenthesized_expression] = STATE(518),
    [sym_assignment_expression] = STATE(518),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym_call_expression] = STATE(518),
    [sym_payable_conversion_expression] = STATE(518),
    [sym_meta_type_expression] = STATE(518),
    [sym_user_defined_type] = STATE(518),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(518),
    [sym_string_literal] = STATE(518),
    [sym_number_literal] = STATE(518),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(518),
    [sym_hex_string_literal] = STATE(518),
    [sym_unicode_string_literal] = STATE(518),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym__expression] = STATE(459),
    [sym__primary_expression] = STATE(459),
    [sym_type_cast_expression] = STATE(459),
    [sym_ternary_expression] = STATE(459),
    [sym_new_expression] = STATE(459),
    [sym_tuple_expression] = STATE(459),
    [sym_inline_array_expression] = STATE(459),
    [sym_binary_expression] = STATE(459),
    [sym_unary_expression] = STATE(459),
    [sym_update_expression] = STATE(459),
    [sym_member_expression] = STATE(459),
    [sym_array_access] = STATE(459),
    [sym_slice_access] = STATE(459),
    [sym_struct_expression] = STATE(459),
    [sym_parenthesized_expression] = STATE(459),
    [sym_assignment_expression] = STATE(459),
    [sym_augmented_assignment_expression] = STATE(459),
    [sym_call_expression] = STATE(459),
    [sym_payable_conversion_expression] = STATE(459),
    [sym_meta_type_expression] = STATE(459),
    [sym_user_defined_type] = STATE(459),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(459),
    [sym_string_literal] = STATE(459),
    [sym_number_literal] = STATE(459),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(459),
    [sym_hex_string_literal] = STATE(459),
    [sym_unicode_string_literal] = STATE(459),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym__expression] = STATE(507),
    [sym__primary_expression] = STATE(507),
    [sym_type_cast_expression] = STATE(507),
    [sym_ternary_expression] = STATE(507),
    [sym_new_expression] = STATE(507),
    [sym_tuple_expression] = STATE(507),
    [sym_inline_array_expression] = STATE(507),
    [sym_binary_expression] = STATE(507),
    [sym_unary_expression] = STATE(507),
    [sym_update_expression] = STATE(507),
    [sym_member_expression] = STATE(507),
    [sym_array_access] = STATE(507),
    [sym_slice_access] = STATE(507),
    [sym_struct_expression] = STATE(507),
    [sym_parenthesized_expression] = STATE(507),
    [sym_assignment_expression] = STATE(507),
    [sym_augmented_assignment_expression] = STATE(507),
    [sym_call_expression] = STATE(507),
    [sym_payable_conversion_expression] = STATE(507),
    [sym_meta_type_expression] = STATE(507),
    [sym_user_defined_type] = STATE(507),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(507),
    [sym_string_literal] = STATE(507),
    [sym_number_literal] = STATE(507),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(507),
    [sym_hex_string_literal] = STATE(507),
    [sym_unicode_string_literal] = STATE(507),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym__expression] = STATE(535),
    [sym__primary_expression] = STATE(535),
    [sym_type_cast_expression] = STATE(535),
    [sym_ternary_expression] = STATE(535),
    [sym_new_expression] = STATE(535),
    [sym_tuple_expression] = STATE(535),
    [sym_inline_array_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_member_expression] = STATE(535),
    [sym_array_access] = STATE(535),
    [sym_slice_access] = STATE(535),
    [sym_struct_expression] = STATE(535),
    [sym_parenthesized_expression] = STATE(535),
    [sym_assignment_expression] = STATE(535),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym_call_expression] = STATE(535),
    [sym_payable_conversion_expression] = STATE(535),
    [sym_meta_type_expression] = STATE(535),
    [sym_user_defined_type] = STATE(535),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(535),
    [sym_string_literal] = STATE(535),
    [sym_number_literal] = STATE(535),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(535),
    [sym_hex_string_literal] = STATE(535),
    [sym_unicode_string_literal] = STATE(535),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym__expression] = STATE(548),
    [sym__primary_expression] = STATE(548),
    [sym_type_cast_expression] = STATE(548),
    [sym_ternary_expression] = STATE(548),
    [sym_new_expression] = STATE(548),
    [sym_tuple_expression] = STATE(548),
    [sym_inline_array_expression] = STATE(548),
    [sym_binary_expression] = STATE(548),
    [sym_unary_expression] = STATE(548),
    [sym_update_expression] = STATE(548),
    [sym_member_expression] = STATE(548),
    [sym_array_access] = STATE(548),
    [sym_slice_access] = STATE(548),
    [sym_struct_expression] = STATE(548),
    [sym_parenthesized_expression] = STATE(548),
    [sym_assignment_expression] = STATE(548),
    [sym_augmented_assignment_expression] = STATE(548),
    [sym_call_expression] = STATE(548),
    [sym_payable_conversion_expression] = STATE(548),
    [sym_meta_type_expression] = STATE(548),
    [sym_user_defined_type] = STATE(548),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(548),
    [sym_string_literal] = STATE(548),
    [sym_number_literal] = STATE(548),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(548),
    [sym_hex_string_literal] = STATE(548),
    [sym_unicode_string_literal] = STATE(548),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym__expression] = STATE(466),
    [sym__primary_expression] = STATE(466),
    [sym_type_cast_expression] = STATE(466),
    [sym_ternary_expression] = STATE(466),
    [sym_new_expression] = STATE(466),
    [sym_tuple_expression] = STATE(466),
    [sym_inline_array_expression] = STATE(466),
    [sym_binary_expression] = STATE(466),
    [sym_unary_expression] = STATE(466),
    [sym_update_expression] = STATE(466),
    [sym_member_expression] = STATE(466),
    [sym_array_access] = STATE(466),
    [sym_slice_access] = STATE(466),
    [sym_struct_expression] = STATE(466),
    [sym_parenthesized_expression] = STATE(466),
    [sym_assignment_expression] = STATE(466),
    [sym_augmented_assignment_expression] = STATE(466),
    [sym_call_expression] = STATE(466),
    [sym_payable_conversion_expression] = STATE(466),
    [sym_meta_type_expression] = STATE(466),
    [sym_user_defined_type] = STATE(466),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(466),
    [sym_string_literal] = STATE(466),
    [sym_number_literal] = STATE(466),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(466),
    [sym_hex_string_literal] = STATE(466),
    [sym_unicode_string_literal] = STATE(466),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym__expression] = STATE(520),
    [sym__primary_expression] = STATE(520),
    [sym_type_cast_expression] = STATE(520),
    [sym_ternary_expression] = STATE(520),
    [sym_new_expression] = STATE(520),
    [sym_tuple_expression] = STATE(520),
    [sym_inline_array_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_unary_expression] = STATE(520),
    [sym_update_expression] = STATE(520),
    [sym_member_expression] = STATE(520),
    [sym_array_access] = STATE(520),
    [sym_slice_access] = STATE(520),
    [sym_struct_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_assignment_expression] = STATE(520),
    [sym_augmented_assignment_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_payable_conversion_expression] = STATE(520),
    [sym_meta_type_expression] = STATE(520),
    [sym_user_defined_type] = STATE(520),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(520),
    [sym_string_literal] = STATE(520),
    [sym_number_literal] = STATE(520),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(520),
    [sym_hex_string_literal] = STATE(520),
    [sym_unicode_string_literal] = STATE(520),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym__expression] = STATE(467),
    [sym__primary_expression] = STATE(467),
    [sym_type_cast_expression] = STATE(467),
    [sym_ternary_expression] = STATE(467),
    [sym_new_expression] = STATE(467),
    [sym_tuple_expression] = STATE(467),
    [sym_inline_array_expression] = STATE(467),
    [sym_binary_expression] = STATE(467),
    [sym_unary_expression] = STATE(467),
    [sym_update_expression] = STATE(467),
    [sym_member_expression] = STATE(467),
    [sym_array_access] = STATE(467),
    [sym_slice_access] = STATE(467),
    [sym_struct_expression] = STATE(467),
    [sym_parenthesized_expression] = STATE(467),
    [sym_assignment_expression] = STATE(467),
    [sym_augmented_assignment_expression] = STATE(467),
    [sym_call_expression] = STATE(467),
    [sym_payable_conversion_expression] = STATE(467),
    [sym_meta_type_expression] = STATE(467),
    [sym_user_defined_type] = STATE(467),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(467),
    [sym_string_literal] = STATE(467),
    [sym_number_literal] = STATE(467),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(467),
    [sym_hex_string_literal] = STATE(467),
    [sym_unicode_string_literal] = STATE(467),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym__expression] = STATE(468),
    [sym__primary_expression] = STATE(468),
    [sym_type_cast_expression] = STATE(468),
    [sym_ternary_expression] = STATE(468),
    [sym_new_expression] = STATE(468),
    [sym_tuple_expression] = STATE(468),
    [sym_inline_array_expression] = STATE(468),
    [sym_binary_expression] = STATE(468),
    [sym_unary_expression] = STATE(468),
    [sym_update_expression] = STATE(468),
    [sym_member_expression] = STATE(468),
    [sym_array_access] = STATE(468),
    [sym_slice_access] = STATE(468),
    [sym_struct_expression] = STATE(468),
    [sym_parenthesized_expression] = STATE(468),
    [sym_assignment_expression] = STATE(468),
    [sym_augmented_assignment_expression] = STATE(468),
    [sym_call_expression] = STATE(468),
    [sym_payable_conversion_expression] = STATE(468),
    [sym_meta_type_expression] = STATE(468),
    [sym_user_defined_type] = STATE(468),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(468),
    [sym_string_literal] = STATE(468),
    [sym_number_literal] = STATE(468),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(468),
    [sym_hex_string_literal] = STATE(468),
    [sym_unicode_string_literal] = STATE(468),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym__expression] = STATE(469),
    [sym__primary_expression] = STATE(469),
    [sym_type_cast_expression] = STATE(469),
    [sym_ternary_expression] = STATE(469),
    [sym_new_expression] = STATE(469),
    [sym_tuple_expression] = STATE(469),
    [sym_inline_array_expression] = STATE(469),
    [sym_binary_expression] = STATE(469),
    [sym_unary_expression] = STATE(469),
    [sym_update_expression] = STATE(469),
    [sym_member_expression] = STATE(469),
    [sym_array_access] = STATE(469),
    [sym_slice_access] = STATE(469),
    [sym_struct_expression] = STATE(469),
    [sym_parenthesized_expression] = STATE(469),
    [sym_assignment_expression] = STATE(469),
    [sym_augmented_assignment_expression] = STATE(469),
    [sym_call_expression] = STATE(469),
    [sym_payable_conversion_expression] = STATE(469),
    [sym_meta_type_expression] = STATE(469),
    [sym_user_defined_type] = STATE(469),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(469),
    [sym_string_literal] = STATE(469),
    [sym_number_literal] = STATE(469),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(469),
    [sym_hex_string_literal] = STATE(469),
    [sym_unicode_string_literal] = STATE(469),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym__expression] = STATE(540),
    [sym__primary_expression] = STATE(540),
    [sym_type_cast_expression] = STATE(540),
    [sym_ternary_expression] = STATE(540),
    [sym_new_expression] = STATE(540),
    [sym_tuple_expression] = STATE(540),
    [sym_inline_array_expression] = STATE(540),
    [sym_binary_expression] = STATE(540),
    [sym_unary_expression] = STATE(540),
    [sym_update_expression] = STATE(540),
    [sym_member_expression] = STATE(540),
    [sym_array_access] = STATE(540),
    [sym_slice_access] = STATE(540),
    [sym_struct_expression] = STATE(540),
    [sym_parenthesized_expression] = STATE(540),
    [sym_assignment_expression] = STATE(540),
    [sym_augmented_assignment_expression] = STATE(540),
    [sym_call_expression] = STATE(540),
    [sym_payable_conversion_expression] = STATE(540),
    [sym_meta_type_expression] = STATE(540),
    [sym_user_defined_type] = STATE(540),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(540),
    [sym_string_literal] = STATE(540),
    [sym_number_literal] = STATE(540),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(540),
    [sym_hex_string_literal] = STATE(540),
    [sym_unicode_string_literal] = STATE(540),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym__expression] = STATE(470),
    [sym__primary_expression] = STATE(470),
    [sym_type_cast_expression] = STATE(470),
    [sym_ternary_expression] = STATE(470),
    [sym_new_expression] = STATE(470),
    [sym_tuple_expression] = STATE(470),
    [sym_inline_array_expression] = STATE(470),
    [sym_binary_expression] = STATE(470),
    [sym_unary_expression] = STATE(470),
    [sym_update_expression] = STATE(470),
    [sym_member_expression] = STATE(470),
    [sym_array_access] = STATE(470),
    [sym_slice_access] = STATE(470),
    [sym_struct_expression] = STATE(470),
    [sym_parenthesized_expression] = STATE(470),
    [sym_assignment_expression] = STATE(470),
    [sym_augmented_assignment_expression] = STATE(470),
    [sym_call_expression] = STATE(470),
    [sym_payable_conversion_expression] = STATE(470),
    [sym_meta_type_expression] = STATE(470),
    [sym_user_defined_type] = STATE(470),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(470),
    [sym_string_literal] = STATE(470),
    [sym_number_literal] = STATE(470),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(470),
    [sym_hex_string_literal] = STATE(470),
    [sym_unicode_string_literal] = STATE(470),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym__expression] = STATE(525),
    [sym__primary_expression] = STATE(525),
    [sym_type_cast_expression] = STATE(525),
    [sym_ternary_expression] = STATE(525),
    [sym_new_expression] = STATE(525),
    [sym_tuple_expression] = STATE(525),
    [sym_inline_array_expression] = STATE(525),
    [sym_binary_expression] = STATE(525),
    [sym_unary_expression] = STATE(525),
    [sym_update_expression] = STATE(525),
    [sym_member_expression] = STATE(525),
    [sym_array_access] = STATE(525),
    [sym_slice_access] = STATE(525),
    [sym_struct_expression] = STATE(525),
    [sym_parenthesized_expression] = STATE(525),
    [sym_assignment_expression] = STATE(525),
    [sym_augmented_assignment_expression] = STATE(525),
    [sym_call_expression] = STATE(525),
    [sym_payable_conversion_expression] = STATE(525),
    [sym_meta_type_expression] = STATE(525),
    [sym_user_defined_type] = STATE(525),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(525),
    [sym_string_literal] = STATE(525),
    [sym_number_literal] = STATE(525),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(525),
    [sym_hex_string_literal] = STATE(525),
    [sym_unicode_string_literal] = STATE(525),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym__expression] = STATE(513),
    [sym__primary_expression] = STATE(513),
    [sym_type_cast_expression] = STATE(513),
    [sym_ternary_expression] = STATE(513),
    [sym_new_expression] = STATE(513),
    [sym_tuple_expression] = STATE(513),
    [sym_inline_array_expression] = STATE(513),
    [sym_binary_expression] = STATE(513),
    [sym_unary_expression] = STATE(513),
    [sym_update_expression] = STATE(513),
    [sym_member_expression] = STATE(513),
    [sym_array_access] = STATE(513),
    [sym_slice_access] = STATE(513),
    [sym_struct_expression] = STATE(513),
    [sym_parenthesized_expression] = STATE(513),
    [sym_assignment_expression] = STATE(513),
    [sym_augmented_assignment_expression] = STATE(513),
    [sym_call_expression] = STATE(513),
    [sym_payable_conversion_expression] = STATE(513),
    [sym_meta_type_expression] = STATE(513),
    [sym_user_defined_type] = STATE(513),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(513),
    [sym_string_literal] = STATE(513),
    [sym_number_literal] = STATE(513),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(513),
    [sym_hex_string_literal] = STATE(513),
    [sym_unicode_string_literal] = STATE(513),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym__expression] = STATE(552),
    [sym__primary_expression] = STATE(552),
    [sym_type_cast_expression] = STATE(552),
    [sym_ternary_expression] = STATE(552),
    [sym_new_expression] = STATE(552),
    [sym_tuple_expression] = STATE(552),
    [sym_inline_array_expression] = STATE(552),
    [sym_binary_expression] = STATE(552),
    [sym_unary_expression] = STATE(552),
    [sym_update_expression] = STATE(552),
    [sym_member_expression] = STATE(552),
    [sym_array_access] = STATE(552),
    [sym_slice_access] = STATE(552),
    [sym_struct_expression] = STATE(552),
    [sym_parenthesized_expression] = STATE(552),
    [sym_assignment_expression] = STATE(552),
    [sym_augmented_assignment_expression] = STATE(552),
    [sym_call_expression] = STATE(552),
    [sym_payable_conversion_expression] = STATE(552),
    [sym_meta_type_expression] = STATE(552),
    [sym_user_defined_type] = STATE(552),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(552),
    [sym_string_literal] = STATE(552),
    [sym_number_literal] = STATE(552),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(552),
    [sym_hex_string_literal] = STATE(552),
    [sym_unicode_string_literal] = STATE(552),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym__expression] = STATE(542),
    [sym__primary_expression] = STATE(542),
    [sym_type_cast_expression] = STATE(542),
    [sym_ternary_expression] = STATE(542),
    [sym_new_expression] = STATE(542),
    [sym_tuple_expression] = STATE(542),
    [sym_inline_array_expression] = STATE(542),
    [sym_binary_expression] = STATE(542),
    [sym_unary_expression] = STATE(542),
    [sym_update_expression] = STATE(542),
    [sym_member_expression] = STATE(542),
    [sym_array_access] = STATE(542),
    [sym_slice_access] = STATE(542),
    [sym_struct_expression] = STATE(542),
    [sym_parenthesized_expression] = STATE(542),
    [sym_assignment_expression] = STATE(542),
    [sym_augmented_assignment_expression] = STATE(542),
    [sym_call_expression] = STATE(542),
    [sym_payable_conversion_expression] = STATE(542),
    [sym_meta_type_expression] = STATE(542),
    [sym_user_defined_type] = STATE(542),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(542),
    [sym_string_literal] = STATE(542),
    [sym_number_literal] = STATE(542),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(542),
    [sym_hex_string_literal] = STATE(542),
    [sym_unicode_string_literal] = STATE(542),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym__expression] = STATE(543),
    [sym__primary_expression] = STATE(543),
    [sym_type_cast_expression] = STATE(543),
    [sym_ternary_expression] = STATE(543),
    [sym_new_expression] = STATE(543),
    [sym_tuple_expression] = STATE(543),
    [sym_inline_array_expression] = STATE(543),
    [sym_binary_expression] = STATE(543),
    [sym_unary_expression] = STATE(543),
    [sym_update_expression] = STATE(543),
    [sym_member_expression] = STATE(543),
    [sym_array_access] = STATE(543),
    [sym_slice_access] = STATE(543),
    [sym_struct_expression] = STATE(543),
    [sym_parenthesized_expression] = STATE(543),
    [sym_assignment_expression] = STATE(543),
    [sym_augmented_assignment_expression] = STATE(543),
    [sym_call_expression] = STATE(543),
    [sym_payable_conversion_expression] = STATE(543),
    [sym_meta_type_expression] = STATE(543),
    [sym_user_defined_type] = STATE(543),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(543),
    [sym_string_literal] = STATE(543),
    [sym_number_literal] = STATE(543),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(543),
    [sym_hex_string_literal] = STATE(543),
    [sym_unicode_string_literal] = STATE(543),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym__expression] = STATE(547),
    [sym__primary_expression] = STATE(547),
    [sym_type_cast_expression] = STATE(547),
    [sym_ternary_expression] = STATE(547),
    [sym_new_expression] = STATE(547),
    [sym_tuple_expression] = STATE(547),
    [sym_inline_array_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_member_expression] = STATE(547),
    [sym_array_access] = STATE(547),
    [sym_slice_access] = STATE(547),
    [sym_struct_expression] = STATE(547),
    [sym_parenthesized_expression] = STATE(547),
    [sym_assignment_expression] = STATE(547),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym_call_expression] = STATE(547),
    [sym_payable_conversion_expression] = STATE(547),
    [sym_meta_type_expression] = STATE(547),
    [sym_user_defined_type] = STATE(547),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(547),
    [sym_string_literal] = STATE(547),
    [sym_number_literal] = STATE(547),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(547),
    [sym_hex_string_literal] = STATE(547),
    [sym_unicode_string_literal] = STATE(547),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym__expression] = STATE(546),
    [sym__primary_expression] = STATE(546),
    [sym_type_cast_expression] = STATE(546),
    [sym_ternary_expression] = STATE(546),
    [sym_new_expression] = STATE(546),
    [sym_tuple_expression] = STATE(546),
    [sym_inline_array_expression] = STATE(546),
    [sym_binary_expression] = STATE(546),
    [sym_unary_expression] = STATE(546),
    [sym_update_expression] = STATE(546),
    [sym_member_expression] = STATE(546),
    [sym_array_access] = STATE(546),
    [sym_slice_access] = STATE(546),
    [sym_struct_expression] = STATE(546),
    [sym_parenthesized_expression] = STATE(546),
    [sym_assignment_expression] = STATE(546),
    [sym_augmented_assignment_expression] = STATE(546),
    [sym_call_expression] = STATE(546),
    [sym_payable_conversion_expression] = STATE(546),
    [sym_meta_type_expression] = STATE(546),
    [sym_user_defined_type] = STATE(546),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(546),
    [sym_string_literal] = STATE(546),
    [sym_number_literal] = STATE(546),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(546),
    [sym_hex_string_literal] = STATE(546),
    [sym_unicode_string_literal] = STATE(546),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym__expression] = STATE(460),
    [sym__primary_expression] = STATE(460),
    [sym_type_cast_expression] = STATE(460),
    [sym_ternary_expression] = STATE(460),
    [sym_new_expression] = STATE(460),
    [sym_tuple_expression] = STATE(460),
    [sym_inline_array_expression] = STATE(460),
    [sym_binary_expression] = STATE(460),
    [sym_unary_expression] = STATE(460),
    [sym_update_expression] = STATE(460),
    [sym_member_expression] = STATE(460),
    [sym_array_access] = STATE(460),
    [sym_slice_access] = STATE(460),
    [sym_struct_expression] = STATE(460),
    [sym_parenthesized_expression] = STATE(460),
    [sym_assignment_expression] = STATE(460),
    [sym_augmented_assignment_expression] = STATE(460),
    [sym_call_expression] = STATE(460),
    [sym_payable_conversion_expression] = STATE(460),
    [sym_meta_type_expression] = STATE(460),
    [sym_user_defined_type] = STATE(460),
    [sym__identifier_path] = STATE(415),
    [sym_primitive_type] = STATE(476),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym__literal] = STATE(460),
    [sym_string_literal] = STATE(460),
    [sym_number_literal] = STATE(460),
    [sym__decimal_number] = STATE(437),
    [sym__hex_number] = STATE(437),
    [sym_true] = STATE(486),
    [sym_false] = STATE(486),
    [sym_boolean_literal] = STATE(460),
    [sym_hex_string_literal] = STATE(460),
    [sym_unicode_string_literal] = STATE(460),
    [sym_string] = STATE(446),
    [aux_sym_string_literal_repeat1] = STATE(446),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [aux_sym_unicode_string_literal_repeat3] = STATE(454),
    [sym_identifier] = ACTIONS(107),
    [anon_sym_DASH] = ACTIONS(41),
    [anon_sym_TILDE] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_PLUS] = ACTIONS(41),
    [anon_sym_true] = ACTIONS(61),
    [anon_sym_false] = ACTIONS(63),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_payable] = ACTIONS(85),
    [anon_sym_new] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_delete] = ACTIONS(91),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [aux_sym__decimal_number_token1] = ACTIONS(95),
    [aux_sym__decimal_number_token2] = ACTIONS(97),
    [aux_sym__hex_number_token1] = ACTIONS(97),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [anon_sym_unicode] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym__source_unit] = STATE(86),
    [sym__directive] = STATE(86),
    [sym_pragma_directive] = STATE(86),
    [sym_import_directive] = STATE(86),
    [sym__declaration] = STATE(86),
    [sym_user_defined_type_definition] = STATE(86),
    [sym_constant_variable_declaration] = STATE(86),
    [sym_contract_declaration] = STATE(86),
    [sym_error_declaration] = STATE(86),
    [sym_interface_declaration] = STATE(86),
    [sym_library_declaration] = STATE(86),
    [sym_struct_declaration] = STATE(86),
    [sym_enum_declaration] = STATE(86),
    [sym_using_directive] = STATE(86),
    [sym_function_definition] = STATE(86),
    [sym_type_name] = STATE(859),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [aux_sym_source_file_repeat1] = STATE(86),
    [ts_builtin_sym_end] = ACTIONS(318),
    [sym_identifier] = ACTIONS(320),
    [anon_sym_pragma] = ACTIONS(323),
    [anon_sym_import] = ACTIONS(326),
    [anon_sym_type] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(332),
    [anon_sym_contract] = ACTIONS(335),
    [anon_sym_error] = ACTIONS(338),
    [anon_sym_interface] = ACTIONS(341),
    [anon_sym_library] = ACTIONS(344),
    [anon_sym_struct] = ACTIONS(347),
    [anon_sym_enum] = ACTIONS(350),
    [anon_sym_using] = ACTIONS(353),
    [anon_sym_function] = ACTIONS(356),
    [anon_sym_byte] = ACTIONS(359),
    [anon_sym_address] = ACTIONS(362),
    [anon_sym_var] = ACTIONS(359),
    [anon_sym_mapping] = ACTIONS(365),
    [anon_sym_bool] = ACTIONS(359),
    [anon_sym_string] = ACTIONS(359),
    [anon_sym_int] = ACTIONS(359),
    [anon_sym_int8] = ACTIONS(359),
    [anon_sym_int16] = ACTIONS(359),
    [anon_sym_int24] = ACTIONS(359),
    [anon_sym_int32] = ACTIONS(359),
    [anon_sym_int40] = ACTIONS(359),
    [anon_sym_int48] = ACTIONS(359),
    [anon_sym_int56] = ACTIONS(359),
    [anon_sym_int64] = ACTIONS(359),
    [anon_sym_int72] = ACTIONS(359),
    [anon_sym_int80] = ACTIONS(359),
    [anon_sym_int88] = ACTIONS(359),
    [anon_sym_int96] = ACTIONS(359),
    [anon_sym_int104] = ACTIONS(359),
    [anon_sym_int112] = ACTIONS(359),
    [anon_sym_int120] = ACTIONS(359),
    [anon_sym_int128] = ACTIONS(359),
    [anon_sym_int136] = ACTIONS(359),
    [anon_sym_int144] = ACTIONS(359),
    [anon_sym_int152] = ACTIONS(359),
    [anon_sym_int160] = ACTIONS(359),
    [anon_sym_int168] = ACTIONS(359),
    [anon_sym_int176] = ACTIONS(359),
    [anon_sym_int184] = ACTIONS(359),
    [anon_sym_int192] = ACTIONS(359),
    [anon_sym_int200] = ACTIONS(359),
    [anon_sym_int208] = ACTIONS(359),
    [anon_sym_int216] = ACTIONS(359),
    [anon_sym_int224] = ACTIONS(359),
    [anon_sym_int232] = ACTIONS(359),
    [anon_sym_int240] = ACTIONS(359),
    [anon_sym_int248] = ACTIONS(359),
    [anon_sym_int256] = ACTIONS(359),
    [anon_sym_uint] = ACTIONS(359),
    [anon_sym_uint8] = ACTIONS(359),
    [anon_sym_uint16] = ACTIONS(359),
    [anon_sym_uint24] = ACTIONS(359),
    [anon_sym_uint32] = ACTIONS(359),
    [anon_sym_uint40] = ACTIONS(359),
    [anon_sym_uint48] = ACTIONS(359),
    [anon_sym_uint56] = ACTIONS(359),
    [anon_sym_uint64] = ACTIONS(359),
    [anon_sym_uint72] = ACTIONS(359),
    [anon_sym_uint80] = ACTIONS(359),
    [anon_sym_uint88] = ACTIONS(359),
    [anon_sym_uint96] = ACTIONS(359),
    [anon_sym_uint104] = ACTIONS(359),
    [anon_sym_uint112] = ACTIONS(359),
    [anon_sym_uint120] = ACTIONS(359),
    [anon_sym_uint128] = ACTIONS(359),
    [anon_sym_uint136] = ACTIONS(359),
    [anon_sym_uint144] = ACTIONS(359),
    [anon_sym_uint152] = ACTIONS(359),
    [anon_sym_uint160] = ACTIONS(359),
    [anon_sym_uint168] = ACTIONS(359),
    [anon_sym_uint176] = ACTIONS(359),
    [anon_sym_uint184] = ACTIONS(359),
    [anon_sym_uint192] = ACTIONS(359),
    [anon_sym_uint200] = ACTIONS(359),
    [anon_sym_uint208] = ACTIONS(359),
    [anon_sym_uint216] = ACTIONS(359),
    [anon_sym_uint224] = ACTIONS(359),
    [anon_sym_uint232] = ACTIONS(359),
    [anon_sym_uint240] = ACTIONS(359),
    [anon_sym_uint248] = ACTIONS(359),
    [anon_sym_uint256] = ACTIONS(359),
    [anon_sym_bytes] = ACTIONS(359),
    [anon_sym_bytes1] = ACTIONS(359),
    [anon_sym_bytes2] = ACTIONS(359),
    [anon_sym_bytes3] = ACTIONS(359),
    [anon_sym_bytes4] = ACTIONS(359),
    [anon_sym_bytes5] = ACTIONS(359),
    [anon_sym_bytes6] = ACTIONS(359),
    [anon_sym_bytes7] = ACTIONS(359),
    [anon_sym_bytes8] = ACTIONS(359),
    [anon_sym_bytes9] = ACTIONS(359),
    [anon_sym_bytes10] = ACTIONS(359),
    [anon_sym_bytes11] = ACTIONS(359),
    [anon_sym_bytes12] = ACTIONS(359),
    [anon_sym_bytes13] = ACTIONS(359),
    [anon_sym_bytes14] = ACTIONS(359),
    [anon_sym_bytes15] = ACTIONS(359),
    [anon_sym_bytes16] = ACTIONS(359),
    [anon_sym_bytes17] = ACTIONS(359),
    [anon_sym_bytes18] = ACTIONS(359),
    [anon_sym_bytes19] = ACTIONS(359),
    [anon_sym_bytes20] = ACTIONS(359),
    [anon_sym_bytes21] = ACTIONS(359),
    [anon_sym_bytes22] = ACTIONS(359),
    [anon_sym_bytes23] = ACTIONS(359),
    [anon_sym_bytes24] = ACTIONS(359),
    [anon_sym_bytes25] = ACTIONS(359),
    [anon_sym_bytes26] = ACTIONS(359),
    [anon_sym_bytes27] = ACTIONS(359),
    [anon_sym_bytes28] = ACTIONS(359),
    [anon_sym_bytes29] = ACTIONS(359),
    [anon_sym_bytes30] = ACTIONS(359),
    [anon_sym_bytes31] = ACTIONS(359),
    [anon_sym_bytes32] = ACTIONS(359),
    [anon_sym_fixed] = ACTIONS(359),
    [aux_sym__fixed_token1] = ACTIONS(359),
    [anon_sym_ufixed] = ACTIONS(359),
    [aux_sym__ufixed_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym__source_unit] = STATE(86),
    [sym__directive] = STATE(86),
    [sym_pragma_directive] = STATE(86),
    [sym_import_directive] = STATE(86),
    [sym__declaration] = STATE(86),
    [sym_user_defined_type_definition] = STATE(86),
    [sym_constant_variable_declaration] = STATE(86),
    [sym_contract_declaration] = STATE(86),
    [sym_error_declaration] = STATE(86),
    [sym_interface_declaration] = STATE(86),
    [sym_library_declaration] = STATE(86),
    [sym_struct_declaration] = STATE(86),
    [sym_enum_declaration] = STATE(86),
    [sym_using_directive] = STATE(86),
    [sym_function_definition] = STATE(86),
    [sym_type_name] = STATE(859),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [aux_sym_source_file_repeat1] = STATE(86),
    [ts_builtin_sym_end] = ACTIONS(368),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_pragma] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_contract] = ACTIONS(17),
    [anon_sym_error] = ACTIONS(19),
    [anon_sym_interface] = ACTIONS(21),
    [anon_sym_library] = ACTIONS(23),
    [anon_sym_struct] = ACTIONS(25),
    [anon_sym_enum] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(29),
    [anon_sym_function] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_catch_clause] = STATE(88),
    [aux_sym_try_statement_repeat1] = STATE(88),
    [sym_identifier] = ACTIONS(370),
    [anon_sym_DASH] = ACTIONS(370),
    [anon_sym_TILDE] = ACTIONS(372),
    [anon_sym_LBRACE] = ACTIONS(372),
    [anon_sym_RBRACE] = ACTIONS(372),
    [anon_sym_type] = ACTIONS(370),
    [anon_sym_LPAREN] = ACTIONS(372),
    [anon_sym_for] = ACTIONS(370),
    [anon_sym_PLUS] = ACTIONS(370),
    [anon_sym_assembly] = ACTIONS(370),
    [anon_sym_break] = ACTIONS(370),
    [anon_sym_continue] = ACTIONS(370),
    [anon_sym_true] = ACTIONS(370),
    [anon_sym_false] = ACTIONS(370),
    [anon_sym_if] = ACTIONS(370),
    [anon_sym_function] = ACTIONS(370),
    [anon_sym_byte] = ACTIONS(370),
    [anon_sym_address] = ACTIONS(370),
    [anon_sym_return] = ACTIONS(370),
    [anon_sym_revert] = ACTIONS(370),
    [anon_sym_unchecked] = ACTIONS(370),
    [anon_sym_var] = ACTIONS(370),
    [anon_sym_else] = ACTIONS(370),
    [anon_sym_while] = ACTIONS(370),
    [anon_sym_do] = ACTIONS(370),
    [anon_sym_try] = ACTIONS(370),
    [anon_sym_catch] = ACTIONS(374),
    [anon_sym_emit] = ACTIONS(370),
    [anon_sym_payable] = ACTIONS(370),
    [anon_sym_new] = ACTIONS(370),
    [anon_sym_LBRACK] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(372),
    [anon_sym_delete] = ACTIONS(370),
    [anon_sym_PLUS_PLUS] = ACTIONS(372),
    [anon_sym_DASH_DASH] = ACTIONS(372),
    [anon_sym_mapping] = ACTIONS(370),
    [anon_sym_bool] = ACTIONS(370),
    [anon_sym_string] = ACTIONS(370),
    [anon_sym_int] = ACTIONS(370),
    [anon_sym_int8] = ACTIONS(370),
    [anon_sym_int16] = ACTIONS(370),
    [anon_sym_int24] = ACTIONS(370),
    [anon_sym_int32] = ACTIONS(370),
    [anon_sym_int40] = ACTIONS(370),
    [anon_sym_int48] = ACTIONS(370),
    [anon_sym_int56] = ACTIONS(370),
    [anon_sym_int64] = ACTIONS(370),
    [anon_sym_int72] = ACTIONS(370),
    [anon_sym_int80] = ACTIONS(370),
    [anon_sym_int88] = ACTIONS(370),
    [anon_sym_int96] = ACTIONS(370),
    [anon_sym_int104] = ACTIONS(370),
    [anon_sym_int112] = ACTIONS(370),
    [anon_sym_int120] = ACTIONS(370),
    [anon_sym_int128] = ACTIONS(370),
    [anon_sym_int136] = ACTIONS(370),
    [anon_sym_int144] = ACTIONS(370),
    [anon_sym_int152] = ACTIONS(370),
    [anon_sym_int160] = ACTIONS(370),
    [anon_sym_int168] = ACTIONS(370),
    [anon_sym_int176] = ACTIONS(370),
    [anon_sym_int184] = ACTIONS(370),
    [anon_sym_int192] = ACTIONS(370),
    [anon_sym_int200] = ACTIONS(370),
    [anon_sym_int208] = ACTIONS(370),
    [anon_sym_int216] = ACTIONS(370),
    [anon_sym_int224] = ACTIONS(370),
    [anon_sym_int232] = ACTIONS(370),
    [anon_sym_int240] = ACTIONS(370),
    [anon_sym_int248] = ACTIONS(370),
    [anon_sym_int256] = ACTIONS(370),
    [anon_sym_uint] = ACTIONS(370),
    [anon_sym_uint8] = ACTIONS(370),
    [anon_sym_uint16] = ACTIONS(370),
    [anon_sym_uint24] = ACTIONS(370),
    [anon_sym_uint32] = ACTIONS(370),
    [anon_sym_uint40] = ACTIONS(370),
    [anon_sym_uint48] = ACTIONS(370),
    [anon_sym_uint56] = ACTIONS(370),
    [anon_sym_uint64] = ACTIONS(370),
    [anon_sym_uint72] = ACTIONS(370),
    [anon_sym_uint80] = ACTIONS(370),
    [anon_sym_uint88] = ACTIONS(370),
    [anon_sym_uint96] = ACTIONS(370),
    [anon_sym_uint104] = ACTIONS(370),
    [anon_sym_uint112] = ACTIONS(370),
    [anon_sym_uint120] = ACTIONS(370),
    [anon_sym_uint128] = ACTIONS(370),
    [anon_sym_uint136] = ACTIONS(370),
    [anon_sym_uint144] = ACTIONS(370),
    [anon_sym_uint152] = ACTIONS(370),
    [anon_sym_uint160] = ACTIONS(370),
    [anon_sym_uint168] = ACTIONS(370),
    [anon_sym_uint176] = ACTIONS(370),
    [anon_sym_uint184] = ACTIONS(370),
    [anon_sym_uint192] = ACTIONS(370),
    [anon_sym_uint200] = ACTIONS(370),
    [anon_sym_uint208] = ACTIONS(370),
    [anon_sym_uint216] = ACTIONS(370),
    [anon_sym_uint224] = ACTIONS(370),
    [anon_sym_uint232] = ACTIONS(370),
    [anon_sym_uint240] = ACTIONS(370),
    [anon_sym_uint248] = ACTIONS(370),
    [anon_sym_uint256] = ACTIONS(370),
    [anon_sym_bytes] = ACTIONS(370),
    [anon_sym_bytes1] = ACTIONS(370),
    [anon_sym_bytes2] = ACTIONS(370),
    [anon_sym_bytes3] = ACTIONS(370),
    [anon_sym_bytes4] = ACTIONS(370),
    [anon_sym_bytes5] = ACTIONS(370),
    [anon_sym_bytes6] = ACTIONS(370),
    [anon_sym_bytes7] = ACTIONS(370),
    [anon_sym_bytes8] = ACTIONS(370),
    [anon_sym_bytes9] = ACTIONS(370),
    [anon_sym_bytes10] = ACTIONS(370),
    [anon_sym_bytes11] = ACTIONS(370),
    [anon_sym_bytes12] = ACTIONS(370),
    [anon_sym_bytes13] = ACTIONS(370),
    [anon_sym_bytes14] = ACTIONS(370),
    [anon_sym_bytes15] = ACTIONS(370),
    [anon_sym_bytes16] = ACTIONS(370),
    [anon_sym_bytes17] = ACTIONS(370),
    [anon_sym_bytes18] = ACTIONS(370),
    [anon_sym_bytes19] = ACTIONS(370),
    [anon_sym_bytes20] = ACTIONS(370),
    [anon_sym_bytes21] = ACTIONS(370),
    [anon_sym_bytes22] = ACTIONS(370),
    [anon_sym_bytes23] = ACTIONS(370),
    [anon_sym_bytes24] = ACTIONS(370),
    [anon_sym_bytes25] = ACTIONS(370),
    [anon_sym_bytes26] = ACTIONS(370),
    [anon_sym_bytes27] = ACTIONS(370),
    [anon_sym_bytes28] = ACTIONS(370),
    [anon_sym_bytes29] = ACTIONS(370),
    [anon_sym_bytes30] = ACTIONS(370),
    [anon_sym_bytes31] = ACTIONS(370),
    [anon_sym_bytes32] = ACTIONS(370),
    [anon_sym_fixed] = ACTIONS(370),
    [aux_sym__fixed_token1] = ACTIONS(370),
    [anon_sym_ufixed] = ACTIONS(370),
    [aux_sym__ufixed_token1] = ACTIONS(370),
    [aux_sym__decimal_number_token1] = ACTIONS(370),
    [aux_sym__decimal_number_token2] = ACTIONS(372),
    [aux_sym__hex_number_token1] = ACTIONS(372),
    [anon_sym_hex] = ACTIONS(370),
    [anon_sym_DQUOTE] = ACTIONS(372),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [anon_sym_unicode] = ACTIONS(370),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_catch_clause] = STATE(88),
    [aux_sym_try_statement_repeat1] = STATE(88),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_DASH] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_RBRACE] = ACTIONS(379),
    [anon_sym_type] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(377),
    [anon_sym_PLUS] = ACTIONS(377),
    [anon_sym_assembly] = ACTIONS(377),
    [anon_sym_break] = ACTIONS(377),
    [anon_sym_continue] = ACTIONS(377),
    [anon_sym_true] = ACTIONS(377),
    [anon_sym_false] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_function] = ACTIONS(377),
    [anon_sym_byte] = ACTIONS(377),
    [anon_sym_address] = ACTIONS(377),
    [anon_sym_return] = ACTIONS(377),
    [anon_sym_revert] = ACTIONS(377),
    [anon_sym_unchecked] = ACTIONS(377),
    [anon_sym_var] = ACTIONS(377),
    [anon_sym_else] = ACTIONS(377),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_do] = ACTIONS(377),
    [anon_sym_try] = ACTIONS(377),
    [anon_sym_catch] = ACTIONS(381),
    [anon_sym_emit] = ACTIONS(377),
    [anon_sym_payable] = ACTIONS(377),
    [anon_sym_new] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_BANG] = ACTIONS(379),
    [anon_sym_delete] = ACTIONS(377),
    [anon_sym_PLUS_PLUS] = ACTIONS(379),
    [anon_sym_DASH_DASH] = ACTIONS(379),
    [anon_sym_mapping] = ACTIONS(377),
    [anon_sym_bool] = ACTIONS(377),
    [anon_sym_string] = ACTIONS(377),
    [anon_sym_int] = ACTIONS(377),
    [anon_sym_int8] = ACTIONS(377),
    [anon_sym_int16] = ACTIONS(377),
    [anon_sym_int24] = ACTIONS(377),
    [anon_sym_int32] = ACTIONS(377),
    [anon_sym_int40] = ACTIONS(377),
    [anon_sym_int48] = ACTIONS(377),
    [anon_sym_int56] = ACTIONS(377),
    [anon_sym_int64] = ACTIONS(377),
    [anon_sym_int72] = ACTIONS(377),
    [anon_sym_int80] = ACTIONS(377),
    [anon_sym_int88] = ACTIONS(377),
    [anon_sym_int96] = ACTIONS(377),
    [anon_sym_int104] = ACTIONS(377),
    [anon_sym_int112] = ACTIONS(377),
    [anon_sym_int120] = ACTIONS(377),
    [anon_sym_int128] = ACTIONS(377),
    [anon_sym_int136] = ACTIONS(377),
    [anon_sym_int144] = ACTIONS(377),
    [anon_sym_int152] = ACTIONS(377),
    [anon_sym_int160] = ACTIONS(377),
    [anon_sym_int168] = ACTIONS(377),
    [anon_sym_int176] = ACTIONS(377),
    [anon_sym_int184] = ACTIONS(377),
    [anon_sym_int192] = ACTIONS(377),
    [anon_sym_int200] = ACTIONS(377),
    [anon_sym_int208] = ACTIONS(377),
    [anon_sym_int216] = ACTIONS(377),
    [anon_sym_int224] = ACTIONS(377),
    [anon_sym_int232] = ACTIONS(377),
    [anon_sym_int240] = ACTIONS(377),
    [anon_sym_int248] = ACTIONS(377),
    [anon_sym_int256] = ACTIONS(377),
    [anon_sym_uint] = ACTIONS(377),
    [anon_sym_uint8] = ACTIONS(377),
    [anon_sym_uint16] = ACTIONS(377),
    [anon_sym_uint24] = ACTIONS(377),
    [anon_sym_uint32] = ACTIONS(377),
    [anon_sym_uint40] = ACTIONS(377),
    [anon_sym_uint48] = ACTIONS(377),
    [anon_sym_uint56] = ACTIONS(377),
    [anon_sym_uint64] = ACTIONS(377),
    [anon_sym_uint72] = ACTIONS(377),
    [anon_sym_uint80] = ACTIONS(377),
    [anon_sym_uint88] = ACTIONS(377),
    [anon_sym_uint96] = ACTIONS(377),
    [anon_sym_uint104] = ACTIONS(377),
    [anon_sym_uint112] = ACTIONS(377),
    [anon_sym_uint120] = ACTIONS(377),
    [anon_sym_uint128] = ACTIONS(377),
    [anon_sym_uint136] = ACTIONS(377),
    [anon_sym_uint144] = ACTIONS(377),
    [anon_sym_uint152] = ACTIONS(377),
    [anon_sym_uint160] = ACTIONS(377),
    [anon_sym_uint168] = ACTIONS(377),
    [anon_sym_uint176] = ACTIONS(377),
    [anon_sym_uint184] = ACTIONS(377),
    [anon_sym_uint192] = ACTIONS(377),
    [anon_sym_uint200] = ACTIONS(377),
    [anon_sym_uint208] = ACTIONS(377),
    [anon_sym_uint216] = ACTIONS(377),
    [anon_sym_uint224] = ACTIONS(377),
    [anon_sym_uint232] = ACTIONS(377),
    [anon_sym_uint240] = ACTIONS(377),
    [anon_sym_uint248] = ACTIONS(377),
    [anon_sym_uint256] = ACTIONS(377),
    [anon_sym_bytes] = ACTIONS(377),
    [anon_sym_bytes1] = ACTIONS(377),
    [anon_sym_bytes2] = ACTIONS(377),
    [anon_sym_bytes3] = ACTIONS(377),
    [anon_sym_bytes4] = ACTIONS(377),
    [anon_sym_bytes5] = ACTIONS(377),
    [anon_sym_bytes6] = ACTIONS(377),
    [anon_sym_bytes7] = ACTIONS(377),
    [anon_sym_bytes8] = ACTIONS(377),
    [anon_sym_bytes9] = ACTIONS(377),
    [anon_sym_bytes10] = ACTIONS(377),
    [anon_sym_bytes11] = ACTIONS(377),
    [anon_sym_bytes12] = ACTIONS(377),
    [anon_sym_bytes13] = ACTIONS(377),
    [anon_sym_bytes14] = ACTIONS(377),
    [anon_sym_bytes15] = ACTIONS(377),
    [anon_sym_bytes16] = ACTIONS(377),
    [anon_sym_bytes17] = ACTIONS(377),
    [anon_sym_bytes18] = ACTIONS(377),
    [anon_sym_bytes19] = ACTIONS(377),
    [anon_sym_bytes20] = ACTIONS(377),
    [anon_sym_bytes21] = ACTIONS(377),
    [anon_sym_bytes22] = ACTIONS(377),
    [anon_sym_bytes23] = ACTIONS(377),
    [anon_sym_bytes24] = ACTIONS(377),
    [anon_sym_bytes25] = ACTIONS(377),
    [anon_sym_bytes26] = ACTIONS(377),
    [anon_sym_bytes27] = ACTIONS(377),
    [anon_sym_bytes28] = ACTIONS(377),
    [anon_sym_bytes29] = ACTIONS(377),
    [anon_sym_bytes30] = ACTIONS(377),
    [anon_sym_bytes31] = ACTIONS(377),
    [anon_sym_bytes32] = ACTIONS(377),
    [anon_sym_fixed] = ACTIONS(377),
    [aux_sym__fixed_token1] = ACTIONS(377),
    [anon_sym_ufixed] = ACTIONS(377),
    [aux_sym__ufixed_token1] = ACTIONS(377),
    [aux_sym__decimal_number_token1] = ACTIONS(377),
    [aux_sym__decimal_number_token2] = ACTIONS(379),
    [aux_sym__hex_number_token1] = ACTIONS(379),
    [anon_sym_hex] = ACTIONS(377),
    [anon_sym_DQUOTE] = ACTIONS(379),
    [anon_sym_SQUOTE] = ACTIONS(379),
    [anon_sym_unicode] = ACTIONS(377),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_catch_clause] = STATE(88),
    [aux_sym_try_statement_repeat1] = STATE(88),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_TILDE] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(385),
    [anon_sym_RBRACE] = ACTIONS(385),
    [anon_sym_type] = ACTIONS(383),
    [anon_sym_LPAREN] = ACTIONS(385),
    [anon_sym_for] = ACTIONS(383),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_assembly] = ACTIONS(383),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(383),
    [anon_sym_false] = ACTIONS(383),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_byte] = ACTIONS(383),
    [anon_sym_address] = ACTIONS(383),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_revert] = ACTIONS(383),
    [anon_sym_unchecked] = ACTIONS(383),
    [anon_sym_var] = ACTIONS(383),
    [anon_sym_else] = ACTIONS(383),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(383),
    [anon_sym_catch] = ACTIONS(381),
    [anon_sym_emit] = ACTIONS(383),
    [anon_sym_payable] = ACTIONS(383),
    [anon_sym_new] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(385),
    [anon_sym_BANG] = ACTIONS(385),
    [anon_sym_delete] = ACTIONS(383),
    [anon_sym_PLUS_PLUS] = ACTIONS(385),
    [anon_sym_DASH_DASH] = ACTIONS(385),
    [anon_sym_mapping] = ACTIONS(383),
    [anon_sym_bool] = ACTIONS(383),
    [anon_sym_string] = ACTIONS(383),
    [anon_sym_int] = ACTIONS(383),
    [anon_sym_int8] = ACTIONS(383),
    [anon_sym_int16] = ACTIONS(383),
    [anon_sym_int24] = ACTIONS(383),
    [anon_sym_int32] = ACTIONS(383),
    [anon_sym_int40] = ACTIONS(383),
    [anon_sym_int48] = ACTIONS(383),
    [anon_sym_int56] = ACTIONS(383),
    [anon_sym_int64] = ACTIONS(383),
    [anon_sym_int72] = ACTIONS(383),
    [anon_sym_int80] = ACTIONS(383),
    [anon_sym_int88] = ACTIONS(383),
    [anon_sym_int96] = ACTIONS(383),
    [anon_sym_int104] = ACTIONS(383),
    [anon_sym_int112] = ACTIONS(383),
    [anon_sym_int120] = ACTIONS(383),
    [anon_sym_int128] = ACTIONS(383),
    [anon_sym_int136] = ACTIONS(383),
    [anon_sym_int144] = ACTIONS(383),
    [anon_sym_int152] = ACTIONS(383),
    [anon_sym_int160] = ACTIONS(383),
    [anon_sym_int168] = ACTIONS(383),
    [anon_sym_int176] = ACTIONS(383),
    [anon_sym_int184] = ACTIONS(383),
    [anon_sym_int192] = ACTIONS(383),
    [anon_sym_int200] = ACTIONS(383),
    [anon_sym_int208] = ACTIONS(383),
    [anon_sym_int216] = ACTIONS(383),
    [anon_sym_int224] = ACTIONS(383),
    [anon_sym_int232] = ACTIONS(383),
    [anon_sym_int240] = ACTIONS(383),
    [anon_sym_int248] = ACTIONS(383),
    [anon_sym_int256] = ACTIONS(383),
    [anon_sym_uint] = ACTIONS(383),
    [anon_sym_uint8] = ACTIONS(383),
    [anon_sym_uint16] = ACTIONS(383),
    [anon_sym_uint24] = ACTIONS(383),
    [anon_sym_uint32] = ACTIONS(383),
    [anon_sym_uint40] = ACTIONS(383),
    [anon_sym_uint48] = ACTIONS(383),
    [anon_sym_uint56] = ACTIONS(383),
    [anon_sym_uint64] = ACTIONS(383),
    [anon_sym_uint72] = ACTIONS(383),
    [anon_sym_uint80] = ACTIONS(383),
    [anon_sym_uint88] = ACTIONS(383),
    [anon_sym_uint96] = ACTIONS(383),
    [anon_sym_uint104] = ACTIONS(383),
    [anon_sym_uint112] = ACTIONS(383),
    [anon_sym_uint120] = ACTIONS(383),
    [anon_sym_uint128] = ACTIONS(383),
    [anon_sym_uint136] = ACTIONS(383),
    [anon_sym_uint144] = ACTIONS(383),
    [anon_sym_uint152] = ACTIONS(383),
    [anon_sym_uint160] = ACTIONS(383),
    [anon_sym_uint168] = ACTIONS(383),
    [anon_sym_uint176] = ACTIONS(383),
    [anon_sym_uint184] = ACTIONS(383),
    [anon_sym_uint192] = ACTIONS(383),
    [anon_sym_uint200] = ACTIONS(383),
    [anon_sym_uint208] = ACTIONS(383),
    [anon_sym_uint216] = ACTIONS(383),
    [anon_sym_uint224] = ACTIONS(383),
    [anon_sym_uint232] = ACTIONS(383),
    [anon_sym_uint240] = ACTIONS(383),
    [anon_sym_uint248] = ACTIONS(383),
    [anon_sym_uint256] = ACTIONS(383),
    [anon_sym_bytes] = ACTIONS(383),
    [anon_sym_bytes1] = ACTIONS(383),
    [anon_sym_bytes2] = ACTIONS(383),
    [anon_sym_bytes3] = ACTIONS(383),
    [anon_sym_bytes4] = ACTIONS(383),
    [anon_sym_bytes5] = ACTIONS(383),
    [anon_sym_bytes6] = ACTIONS(383),
    [anon_sym_bytes7] = ACTIONS(383),
    [anon_sym_bytes8] = ACTIONS(383),
    [anon_sym_bytes9] = ACTIONS(383),
    [anon_sym_bytes10] = ACTIONS(383),
    [anon_sym_bytes11] = ACTIONS(383),
    [anon_sym_bytes12] = ACTIONS(383),
    [anon_sym_bytes13] = ACTIONS(383),
    [anon_sym_bytes14] = ACTIONS(383),
    [anon_sym_bytes15] = ACTIONS(383),
    [anon_sym_bytes16] = ACTIONS(383),
    [anon_sym_bytes17] = ACTIONS(383),
    [anon_sym_bytes18] = ACTIONS(383),
    [anon_sym_bytes19] = ACTIONS(383),
    [anon_sym_bytes20] = ACTIONS(383),
    [anon_sym_bytes21] = ACTIONS(383),
    [anon_sym_bytes22] = ACTIONS(383),
    [anon_sym_bytes23] = ACTIONS(383),
    [anon_sym_bytes24] = ACTIONS(383),
    [anon_sym_bytes25] = ACTIONS(383),
    [anon_sym_bytes26] = ACTIONS(383),
    [anon_sym_bytes27] = ACTIONS(383),
    [anon_sym_bytes28] = ACTIONS(383),
    [anon_sym_bytes29] = ACTIONS(383),
    [anon_sym_bytes30] = ACTIONS(383),
    [anon_sym_bytes31] = ACTIONS(383),
    [anon_sym_bytes32] = ACTIONS(383),
    [anon_sym_fixed] = ACTIONS(383),
    [aux_sym__fixed_token1] = ACTIONS(383),
    [anon_sym_ufixed] = ACTIONS(383),
    [aux_sym__ufixed_token1] = ACTIONS(383),
    [aux_sym__decimal_number_token1] = ACTIONS(383),
    [aux_sym__decimal_number_token2] = ACTIONS(385),
    [aux_sym__hex_number_token1] = ACTIONS(385),
    [anon_sym_hex] = ACTIONS(383),
    [anon_sym_DQUOTE] = ACTIONS(385),
    [anon_sym_SQUOTE] = ACTIONS(385),
    [anon_sym_unicode] = ACTIONS(383),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_identifier] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_TILDE] = ACTIONS(389),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_RBRACE] = ACTIONS(389),
    [anon_sym_type] = ACTIONS(387),
    [anon_sym_LPAREN] = ACTIONS(389),
    [anon_sym_RPAREN] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_PLUS] = ACTIONS(387),
    [anon_sym_assembly] = ACTIONS(387),
    [anon_sym_break] = ACTIONS(387),
    [anon_sym_continue] = ACTIONS(387),
    [anon_sym_true] = ACTIONS(387),
    [anon_sym_false] = ACTIONS(387),
    [anon_sym_if] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(387),
    [anon_sym_byte] = ACTIONS(387),
    [anon_sym_address] = ACTIONS(387),
    [anon_sym_return] = ACTIONS(387),
    [anon_sym_revert] = ACTIONS(387),
    [anon_sym_unchecked] = ACTIONS(387),
    [anon_sym_var] = ACTIONS(387),
    [anon_sym_else] = ACTIONS(387),
    [anon_sym_while] = ACTIONS(387),
    [anon_sym_do] = ACTIONS(387),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_emit] = ACTIONS(387),
    [anon_sym_payable] = ACTIONS(387),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_BANG] = ACTIONS(389),
    [anon_sym_delete] = ACTIONS(387),
    [anon_sym_PLUS_PLUS] = ACTIONS(389),
    [anon_sym_DASH_DASH] = ACTIONS(389),
    [anon_sym_mapping] = ACTIONS(387),
    [anon_sym_bool] = ACTIONS(387),
    [anon_sym_string] = ACTIONS(387),
    [anon_sym_int] = ACTIONS(387),
    [anon_sym_int8] = ACTIONS(387),
    [anon_sym_int16] = ACTIONS(387),
    [anon_sym_int24] = ACTIONS(387),
    [anon_sym_int32] = ACTIONS(387),
    [anon_sym_int40] = ACTIONS(387),
    [anon_sym_int48] = ACTIONS(387),
    [anon_sym_int56] = ACTIONS(387),
    [anon_sym_int64] = ACTIONS(387),
    [anon_sym_int72] = ACTIONS(387),
    [anon_sym_int80] = ACTIONS(387),
    [anon_sym_int88] = ACTIONS(387),
    [anon_sym_int96] = ACTIONS(387),
    [anon_sym_int104] = ACTIONS(387),
    [anon_sym_int112] = ACTIONS(387),
    [anon_sym_int120] = ACTIONS(387),
    [anon_sym_int128] = ACTIONS(387),
    [anon_sym_int136] = ACTIONS(387),
    [anon_sym_int144] = ACTIONS(387),
    [anon_sym_int152] = ACTIONS(387),
    [anon_sym_int160] = ACTIONS(387),
    [anon_sym_int168] = ACTIONS(387),
    [anon_sym_int176] = ACTIONS(387),
    [anon_sym_int184] = ACTIONS(387),
    [anon_sym_int192] = ACTIONS(387),
    [anon_sym_int200] = ACTIONS(387),
    [anon_sym_int208] = ACTIONS(387),
    [anon_sym_int216] = ACTIONS(387),
    [anon_sym_int224] = ACTIONS(387),
    [anon_sym_int232] = ACTIONS(387),
    [anon_sym_int240] = ACTIONS(387),
    [anon_sym_int248] = ACTIONS(387),
    [anon_sym_int256] = ACTIONS(387),
    [anon_sym_uint] = ACTIONS(387),
    [anon_sym_uint8] = ACTIONS(387),
    [anon_sym_uint16] = ACTIONS(387),
    [anon_sym_uint24] = ACTIONS(387),
    [anon_sym_uint32] = ACTIONS(387),
    [anon_sym_uint40] = ACTIONS(387),
    [anon_sym_uint48] = ACTIONS(387),
    [anon_sym_uint56] = ACTIONS(387),
    [anon_sym_uint64] = ACTIONS(387),
    [anon_sym_uint72] = ACTIONS(387),
    [anon_sym_uint80] = ACTIONS(387),
    [anon_sym_uint88] = ACTIONS(387),
    [anon_sym_uint96] = ACTIONS(387),
    [anon_sym_uint104] = ACTIONS(387),
    [anon_sym_uint112] = ACTIONS(387),
    [anon_sym_uint120] = ACTIONS(387),
    [anon_sym_uint128] = ACTIONS(387),
    [anon_sym_uint136] = ACTIONS(387),
    [anon_sym_uint144] = ACTIONS(387),
    [anon_sym_uint152] = ACTIONS(387),
    [anon_sym_uint160] = ACTIONS(387),
    [anon_sym_uint168] = ACTIONS(387),
    [anon_sym_uint176] = ACTIONS(387),
    [anon_sym_uint184] = ACTIONS(387),
    [anon_sym_uint192] = ACTIONS(387),
    [anon_sym_uint200] = ACTIONS(387),
    [anon_sym_uint208] = ACTIONS(387),
    [anon_sym_uint216] = ACTIONS(387),
    [anon_sym_uint224] = ACTIONS(387),
    [anon_sym_uint232] = ACTIONS(387),
    [anon_sym_uint240] = ACTIONS(387),
    [anon_sym_uint248] = ACTIONS(387),
    [anon_sym_uint256] = ACTIONS(387),
    [anon_sym_bytes] = ACTIONS(387),
    [anon_sym_bytes1] = ACTIONS(387),
    [anon_sym_bytes2] = ACTIONS(387),
    [anon_sym_bytes3] = ACTIONS(387),
    [anon_sym_bytes4] = ACTIONS(387),
    [anon_sym_bytes5] = ACTIONS(387),
    [anon_sym_bytes6] = ACTIONS(387),
    [anon_sym_bytes7] = ACTIONS(387),
    [anon_sym_bytes8] = ACTIONS(387),
    [anon_sym_bytes9] = ACTIONS(387),
    [anon_sym_bytes10] = ACTIONS(387),
    [anon_sym_bytes11] = ACTIONS(387),
    [anon_sym_bytes12] = ACTIONS(387),
    [anon_sym_bytes13] = ACTIONS(387),
    [anon_sym_bytes14] = ACTIONS(387),
    [anon_sym_bytes15] = ACTIONS(387),
    [anon_sym_bytes16] = ACTIONS(387),
    [anon_sym_bytes17] = ACTIONS(387),
    [anon_sym_bytes18] = ACTIONS(387),
    [anon_sym_bytes19] = ACTIONS(387),
    [anon_sym_bytes20] = ACTIONS(387),
    [anon_sym_bytes21] = ACTIONS(387),
    [anon_sym_bytes22] = ACTIONS(387),
    [anon_sym_bytes23] = ACTIONS(387),
    [anon_sym_bytes24] = ACTIONS(387),
    [anon_sym_bytes25] = ACTIONS(387),
    [anon_sym_bytes26] = ACTIONS(387),
    [anon_sym_bytes27] = ACTIONS(387),
    [anon_sym_bytes28] = ACTIONS(387),
    [anon_sym_bytes29] = ACTIONS(387),
    [anon_sym_bytes30] = ACTIONS(387),
    [anon_sym_bytes31] = ACTIONS(387),
    [anon_sym_bytes32] = ACTIONS(387),
    [anon_sym_fixed] = ACTIONS(387),
    [aux_sym__fixed_token1] = ACTIONS(387),
    [anon_sym_ufixed] = ACTIONS(387),
    [aux_sym__ufixed_token1] = ACTIONS(387),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym__decimal_number_token1] = ACTIONS(387),
    [aux_sym__decimal_number_token2] = ACTIONS(389),
    [aux_sym__hex_number_token1] = ACTIONS(389),
    [anon_sym_hex] = ACTIONS(387),
    [anon_sym_DQUOTE] = ACTIONS(389),
    [anon_sym_SQUOTE] = ACTIONS(389),
    [anon_sym_unicode] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_identifier] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(391),
    [anon_sym_TILDE] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(393),
    [anon_sym_RBRACE] = ACTIONS(393),
    [anon_sym_type] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_assembly] = ACTIONS(391),
    [anon_sym_break] = ACTIONS(391),
    [anon_sym_continue] = ACTIONS(391),
    [anon_sym_true] = ACTIONS(391),
    [anon_sym_false] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(391),
    [anon_sym_function] = ACTIONS(391),
    [anon_sym_byte] = ACTIONS(391),
    [anon_sym_address] = ACTIONS(391),
    [anon_sym_return] = ACTIONS(391),
    [anon_sym_revert] = ACTIONS(391),
    [anon_sym_unchecked] = ACTIONS(391),
    [anon_sym_var] = ACTIONS(391),
    [anon_sym_else] = ACTIONS(391),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(391),
    [anon_sym_try] = ACTIONS(391),
    [anon_sym_catch] = ACTIONS(391),
    [anon_sym_emit] = ACTIONS(391),
    [anon_sym_payable] = ACTIONS(391),
    [anon_sym_new] = ACTIONS(391),
    [anon_sym_LBRACK] = ACTIONS(393),
    [anon_sym_BANG] = ACTIONS(393),
    [anon_sym_delete] = ACTIONS(391),
    [anon_sym_PLUS_PLUS] = ACTIONS(393),
    [anon_sym_DASH_DASH] = ACTIONS(393),
    [anon_sym_mapping] = ACTIONS(391),
    [anon_sym_bool] = ACTIONS(391),
    [anon_sym_string] = ACTIONS(391),
    [anon_sym_int] = ACTIONS(391),
    [anon_sym_int8] = ACTIONS(391),
    [anon_sym_int16] = ACTIONS(391),
    [anon_sym_int24] = ACTIONS(391),
    [anon_sym_int32] = ACTIONS(391),
    [anon_sym_int40] = ACTIONS(391),
    [anon_sym_int48] = ACTIONS(391),
    [anon_sym_int56] = ACTIONS(391),
    [anon_sym_int64] = ACTIONS(391),
    [anon_sym_int72] = ACTIONS(391),
    [anon_sym_int80] = ACTIONS(391),
    [anon_sym_int88] = ACTIONS(391),
    [anon_sym_int96] = ACTIONS(391),
    [anon_sym_int104] = ACTIONS(391),
    [anon_sym_int112] = ACTIONS(391),
    [anon_sym_int120] = ACTIONS(391),
    [anon_sym_int128] = ACTIONS(391),
    [anon_sym_int136] = ACTIONS(391),
    [anon_sym_int144] = ACTIONS(391),
    [anon_sym_int152] = ACTIONS(391),
    [anon_sym_int160] = ACTIONS(391),
    [anon_sym_int168] = ACTIONS(391),
    [anon_sym_int176] = ACTIONS(391),
    [anon_sym_int184] = ACTIONS(391),
    [anon_sym_int192] = ACTIONS(391),
    [anon_sym_int200] = ACTIONS(391),
    [anon_sym_int208] = ACTIONS(391),
    [anon_sym_int216] = ACTIONS(391),
    [anon_sym_int224] = ACTIONS(391),
    [anon_sym_int232] = ACTIONS(391),
    [anon_sym_int240] = ACTIONS(391),
    [anon_sym_int248] = ACTIONS(391),
    [anon_sym_int256] = ACTIONS(391),
    [anon_sym_uint] = ACTIONS(391),
    [anon_sym_uint8] = ACTIONS(391),
    [anon_sym_uint16] = ACTIONS(391),
    [anon_sym_uint24] = ACTIONS(391),
    [anon_sym_uint32] = ACTIONS(391),
    [anon_sym_uint40] = ACTIONS(391),
    [anon_sym_uint48] = ACTIONS(391),
    [anon_sym_uint56] = ACTIONS(391),
    [anon_sym_uint64] = ACTIONS(391),
    [anon_sym_uint72] = ACTIONS(391),
    [anon_sym_uint80] = ACTIONS(391),
    [anon_sym_uint88] = ACTIONS(391),
    [anon_sym_uint96] = ACTIONS(391),
    [anon_sym_uint104] = ACTIONS(391),
    [anon_sym_uint112] = ACTIONS(391),
    [anon_sym_uint120] = ACTIONS(391),
    [anon_sym_uint128] = ACTIONS(391),
    [anon_sym_uint136] = ACTIONS(391),
    [anon_sym_uint144] = ACTIONS(391),
    [anon_sym_uint152] = ACTIONS(391),
    [anon_sym_uint160] = ACTIONS(391),
    [anon_sym_uint168] = ACTIONS(391),
    [anon_sym_uint176] = ACTIONS(391),
    [anon_sym_uint184] = ACTIONS(391),
    [anon_sym_uint192] = ACTIONS(391),
    [anon_sym_uint200] = ACTIONS(391),
    [anon_sym_uint208] = ACTIONS(391),
    [anon_sym_uint216] = ACTIONS(391),
    [anon_sym_uint224] = ACTIONS(391),
    [anon_sym_uint232] = ACTIONS(391),
    [anon_sym_uint240] = ACTIONS(391),
    [anon_sym_uint248] = ACTIONS(391),
    [anon_sym_uint256] = ACTIONS(391),
    [anon_sym_bytes] = ACTIONS(391),
    [anon_sym_bytes1] = ACTIONS(391),
    [anon_sym_bytes2] = ACTIONS(391),
    [anon_sym_bytes3] = ACTIONS(391),
    [anon_sym_bytes4] = ACTIONS(391),
    [anon_sym_bytes5] = ACTIONS(391),
    [anon_sym_bytes6] = ACTIONS(391),
    [anon_sym_bytes7] = ACTIONS(391),
    [anon_sym_bytes8] = ACTIONS(391),
    [anon_sym_bytes9] = ACTIONS(391),
    [anon_sym_bytes10] = ACTIONS(391),
    [anon_sym_bytes11] = ACTIONS(391),
    [anon_sym_bytes12] = ACTIONS(391),
    [anon_sym_bytes13] = ACTIONS(391),
    [anon_sym_bytes14] = ACTIONS(391),
    [anon_sym_bytes15] = ACTIONS(391),
    [anon_sym_bytes16] = ACTIONS(391),
    [anon_sym_bytes17] = ACTIONS(391),
    [anon_sym_bytes18] = ACTIONS(391),
    [anon_sym_bytes19] = ACTIONS(391),
    [anon_sym_bytes20] = ACTIONS(391),
    [anon_sym_bytes21] = ACTIONS(391),
    [anon_sym_bytes22] = ACTIONS(391),
    [anon_sym_bytes23] = ACTIONS(391),
    [anon_sym_bytes24] = ACTIONS(391),
    [anon_sym_bytes25] = ACTIONS(391),
    [anon_sym_bytes26] = ACTIONS(391),
    [anon_sym_bytes27] = ACTIONS(391),
    [anon_sym_bytes28] = ACTIONS(391),
    [anon_sym_bytes29] = ACTIONS(391),
    [anon_sym_bytes30] = ACTIONS(391),
    [anon_sym_bytes31] = ACTIONS(391),
    [anon_sym_bytes32] = ACTIONS(391),
    [anon_sym_fixed] = ACTIONS(391),
    [aux_sym__fixed_token1] = ACTIONS(391),
    [anon_sym_ufixed] = ACTIONS(391),
    [aux_sym__ufixed_token1] = ACTIONS(391),
    [aux_sym__decimal_number_token1] = ACTIONS(391),
    [aux_sym__decimal_number_token2] = ACTIONS(393),
    [aux_sym__hex_number_token1] = ACTIONS(393),
    [anon_sym_hex] = ACTIONS(391),
    [anon_sym_DQUOTE] = ACTIONS(393),
    [anon_sym_SQUOTE] = ACTIONS(393),
    [anon_sym_unicode] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_identifier] = ACTIONS(395),
    [anon_sym_DASH] = ACTIONS(395),
    [anon_sym_TILDE] = ACTIONS(397),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_RBRACE] = ACTIONS(397),
    [anon_sym_type] = ACTIONS(395),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_PLUS] = ACTIONS(395),
    [anon_sym_assembly] = ACTIONS(395),
    [anon_sym_break] = ACTIONS(395),
    [anon_sym_continue] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(395),
    [anon_sym_false] = ACTIONS(395),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_function] = ACTIONS(395),
    [anon_sym_byte] = ACTIONS(395),
    [anon_sym_address] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(395),
    [anon_sym_revert] = ACTIONS(395),
    [anon_sym_unchecked] = ACTIONS(395),
    [anon_sym_var] = ACTIONS(395),
    [anon_sym_else] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(395),
    [anon_sym_do] = ACTIONS(395),
    [anon_sym_try] = ACTIONS(395),
    [anon_sym_catch] = ACTIONS(395),
    [anon_sym_emit] = ACTIONS(395),
    [anon_sym_payable] = ACTIONS(395),
    [anon_sym_new] = ACTIONS(395),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(397),
    [anon_sym_delete] = ACTIONS(395),
    [anon_sym_PLUS_PLUS] = ACTIONS(397),
    [anon_sym_DASH_DASH] = ACTIONS(397),
    [anon_sym_mapping] = ACTIONS(395),
    [anon_sym_bool] = ACTIONS(395),
    [anon_sym_string] = ACTIONS(395),
    [anon_sym_int] = ACTIONS(395),
    [anon_sym_int8] = ACTIONS(395),
    [anon_sym_int16] = ACTIONS(395),
    [anon_sym_int24] = ACTIONS(395),
    [anon_sym_int32] = ACTIONS(395),
    [anon_sym_int40] = ACTIONS(395),
    [anon_sym_int48] = ACTIONS(395),
    [anon_sym_int56] = ACTIONS(395),
    [anon_sym_int64] = ACTIONS(395),
    [anon_sym_int72] = ACTIONS(395),
    [anon_sym_int80] = ACTIONS(395),
    [anon_sym_int88] = ACTIONS(395),
    [anon_sym_int96] = ACTIONS(395),
    [anon_sym_int104] = ACTIONS(395),
    [anon_sym_int112] = ACTIONS(395),
    [anon_sym_int120] = ACTIONS(395),
    [anon_sym_int128] = ACTIONS(395),
    [anon_sym_int136] = ACTIONS(395),
    [anon_sym_int144] = ACTIONS(395),
    [anon_sym_int152] = ACTIONS(395),
    [anon_sym_int160] = ACTIONS(395),
    [anon_sym_int168] = ACTIONS(395),
    [anon_sym_int176] = ACTIONS(395),
    [anon_sym_int184] = ACTIONS(395),
    [anon_sym_int192] = ACTIONS(395),
    [anon_sym_int200] = ACTIONS(395),
    [anon_sym_int208] = ACTIONS(395),
    [anon_sym_int216] = ACTIONS(395),
    [anon_sym_int224] = ACTIONS(395),
    [anon_sym_int232] = ACTIONS(395),
    [anon_sym_int240] = ACTIONS(395),
    [anon_sym_int248] = ACTIONS(395),
    [anon_sym_int256] = ACTIONS(395),
    [anon_sym_uint] = ACTIONS(395),
    [anon_sym_uint8] = ACTIONS(395),
    [anon_sym_uint16] = ACTIONS(395),
    [anon_sym_uint24] = ACTIONS(395),
    [anon_sym_uint32] = ACTIONS(395),
    [anon_sym_uint40] = ACTIONS(395),
    [anon_sym_uint48] = ACTIONS(395),
    [anon_sym_uint56] = ACTIONS(395),
    [anon_sym_uint64] = ACTIONS(395),
    [anon_sym_uint72] = ACTIONS(395),
    [anon_sym_uint80] = ACTIONS(395),
    [anon_sym_uint88] = ACTIONS(395),
    [anon_sym_uint96] = ACTIONS(395),
    [anon_sym_uint104] = ACTIONS(395),
    [anon_sym_uint112] = ACTIONS(395),
    [anon_sym_uint120] = ACTIONS(395),
    [anon_sym_uint128] = ACTIONS(395),
    [anon_sym_uint136] = ACTIONS(395),
    [anon_sym_uint144] = ACTIONS(395),
    [anon_sym_uint152] = ACTIONS(395),
    [anon_sym_uint160] = ACTIONS(395),
    [anon_sym_uint168] = ACTIONS(395),
    [anon_sym_uint176] = ACTIONS(395),
    [anon_sym_uint184] = ACTIONS(395),
    [anon_sym_uint192] = ACTIONS(395),
    [anon_sym_uint200] = ACTIONS(395),
    [anon_sym_uint208] = ACTIONS(395),
    [anon_sym_uint216] = ACTIONS(395),
    [anon_sym_uint224] = ACTIONS(395),
    [anon_sym_uint232] = ACTIONS(395),
    [anon_sym_uint240] = ACTIONS(395),
    [anon_sym_uint248] = ACTIONS(395),
    [anon_sym_uint256] = ACTIONS(395),
    [anon_sym_bytes] = ACTIONS(395),
    [anon_sym_bytes1] = ACTIONS(395),
    [anon_sym_bytes2] = ACTIONS(395),
    [anon_sym_bytes3] = ACTIONS(395),
    [anon_sym_bytes4] = ACTIONS(395),
    [anon_sym_bytes5] = ACTIONS(395),
    [anon_sym_bytes6] = ACTIONS(395),
    [anon_sym_bytes7] = ACTIONS(395),
    [anon_sym_bytes8] = ACTIONS(395),
    [anon_sym_bytes9] = ACTIONS(395),
    [anon_sym_bytes10] = ACTIONS(395),
    [anon_sym_bytes11] = ACTIONS(395),
    [anon_sym_bytes12] = ACTIONS(395),
    [anon_sym_bytes13] = ACTIONS(395),
    [anon_sym_bytes14] = ACTIONS(395),
    [anon_sym_bytes15] = ACTIONS(395),
    [anon_sym_bytes16] = ACTIONS(395),
    [anon_sym_bytes17] = ACTIONS(395),
    [anon_sym_bytes18] = ACTIONS(395),
    [anon_sym_bytes19] = ACTIONS(395),
    [anon_sym_bytes20] = ACTIONS(395),
    [anon_sym_bytes21] = ACTIONS(395),
    [anon_sym_bytes22] = ACTIONS(395),
    [anon_sym_bytes23] = ACTIONS(395),
    [anon_sym_bytes24] = ACTIONS(395),
    [anon_sym_bytes25] = ACTIONS(395),
    [anon_sym_bytes26] = ACTIONS(395),
    [anon_sym_bytes27] = ACTIONS(395),
    [anon_sym_bytes28] = ACTIONS(395),
    [anon_sym_bytes29] = ACTIONS(395),
    [anon_sym_bytes30] = ACTIONS(395),
    [anon_sym_bytes31] = ACTIONS(395),
    [anon_sym_bytes32] = ACTIONS(395),
    [anon_sym_fixed] = ACTIONS(395),
    [aux_sym__fixed_token1] = ACTIONS(395),
    [anon_sym_ufixed] = ACTIONS(395),
    [aux_sym__ufixed_token1] = ACTIONS(395),
    [aux_sym__decimal_number_token1] = ACTIONS(395),
    [aux_sym__decimal_number_token2] = ACTIONS(397),
    [aux_sym__hex_number_token1] = ACTIONS(397),
    [anon_sym_hex] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(397),
    [anon_sym_SQUOTE] = ACTIONS(397),
    [anon_sym_unicode] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_identifier] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(401),
    [anon_sym_LBRACE] = ACTIONS(401),
    [anon_sym_RBRACE] = ACTIONS(401),
    [anon_sym_type] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_for] = ACTIONS(399),
    [anon_sym_PLUS] = ACTIONS(399),
    [anon_sym_assembly] = ACTIONS(399),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(399),
    [anon_sym_false] = ACTIONS(399),
    [anon_sym_if] = ACTIONS(399),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_byte] = ACTIONS(399),
    [anon_sym_address] = ACTIONS(399),
    [anon_sym_return] = ACTIONS(399),
    [anon_sym_revert] = ACTIONS(399),
    [anon_sym_unchecked] = ACTIONS(399),
    [anon_sym_var] = ACTIONS(399),
    [anon_sym_else] = ACTIONS(399),
    [anon_sym_while] = ACTIONS(399),
    [anon_sym_do] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_emit] = ACTIONS(399),
    [anon_sym_payable] = ACTIONS(399),
    [anon_sym_new] = ACTIONS(399),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_BANG] = ACTIONS(401),
    [anon_sym_delete] = ACTIONS(399),
    [anon_sym_PLUS_PLUS] = ACTIONS(401),
    [anon_sym_DASH_DASH] = ACTIONS(401),
    [anon_sym_mapping] = ACTIONS(399),
    [anon_sym_bool] = ACTIONS(399),
    [anon_sym_string] = ACTIONS(399),
    [anon_sym_int] = ACTIONS(399),
    [anon_sym_int8] = ACTIONS(399),
    [anon_sym_int16] = ACTIONS(399),
    [anon_sym_int24] = ACTIONS(399),
    [anon_sym_int32] = ACTIONS(399),
    [anon_sym_int40] = ACTIONS(399),
    [anon_sym_int48] = ACTIONS(399),
    [anon_sym_int56] = ACTIONS(399),
    [anon_sym_int64] = ACTIONS(399),
    [anon_sym_int72] = ACTIONS(399),
    [anon_sym_int80] = ACTIONS(399),
    [anon_sym_int88] = ACTIONS(399),
    [anon_sym_int96] = ACTIONS(399),
    [anon_sym_int104] = ACTIONS(399),
    [anon_sym_int112] = ACTIONS(399),
    [anon_sym_int120] = ACTIONS(399),
    [anon_sym_int128] = ACTIONS(399),
    [anon_sym_int136] = ACTIONS(399),
    [anon_sym_int144] = ACTIONS(399),
    [anon_sym_int152] = ACTIONS(399),
    [anon_sym_int160] = ACTIONS(399),
    [anon_sym_int168] = ACTIONS(399),
    [anon_sym_int176] = ACTIONS(399),
    [anon_sym_int184] = ACTIONS(399),
    [anon_sym_int192] = ACTIONS(399),
    [anon_sym_int200] = ACTIONS(399),
    [anon_sym_int208] = ACTIONS(399),
    [anon_sym_int216] = ACTIONS(399),
    [anon_sym_int224] = ACTIONS(399),
    [anon_sym_int232] = ACTIONS(399),
    [anon_sym_int240] = ACTIONS(399),
    [anon_sym_int248] = ACTIONS(399),
    [anon_sym_int256] = ACTIONS(399),
    [anon_sym_uint] = ACTIONS(399),
    [anon_sym_uint8] = ACTIONS(399),
    [anon_sym_uint16] = ACTIONS(399),
    [anon_sym_uint24] = ACTIONS(399),
    [anon_sym_uint32] = ACTIONS(399),
    [anon_sym_uint40] = ACTIONS(399),
    [anon_sym_uint48] = ACTIONS(399),
    [anon_sym_uint56] = ACTIONS(399),
    [anon_sym_uint64] = ACTIONS(399),
    [anon_sym_uint72] = ACTIONS(399),
    [anon_sym_uint80] = ACTIONS(399),
    [anon_sym_uint88] = ACTIONS(399),
    [anon_sym_uint96] = ACTIONS(399),
    [anon_sym_uint104] = ACTIONS(399),
    [anon_sym_uint112] = ACTIONS(399),
    [anon_sym_uint120] = ACTIONS(399),
    [anon_sym_uint128] = ACTIONS(399),
    [anon_sym_uint136] = ACTIONS(399),
    [anon_sym_uint144] = ACTIONS(399),
    [anon_sym_uint152] = ACTIONS(399),
    [anon_sym_uint160] = ACTIONS(399),
    [anon_sym_uint168] = ACTIONS(399),
    [anon_sym_uint176] = ACTIONS(399),
    [anon_sym_uint184] = ACTIONS(399),
    [anon_sym_uint192] = ACTIONS(399),
    [anon_sym_uint200] = ACTIONS(399),
    [anon_sym_uint208] = ACTIONS(399),
    [anon_sym_uint216] = ACTIONS(399),
    [anon_sym_uint224] = ACTIONS(399),
    [anon_sym_uint232] = ACTIONS(399),
    [anon_sym_uint240] = ACTIONS(399),
    [anon_sym_uint248] = ACTIONS(399),
    [anon_sym_uint256] = ACTIONS(399),
    [anon_sym_bytes] = ACTIONS(399),
    [anon_sym_bytes1] = ACTIONS(399),
    [anon_sym_bytes2] = ACTIONS(399),
    [anon_sym_bytes3] = ACTIONS(399),
    [anon_sym_bytes4] = ACTIONS(399),
    [anon_sym_bytes5] = ACTIONS(399),
    [anon_sym_bytes6] = ACTIONS(399),
    [anon_sym_bytes7] = ACTIONS(399),
    [anon_sym_bytes8] = ACTIONS(399),
    [anon_sym_bytes9] = ACTIONS(399),
    [anon_sym_bytes10] = ACTIONS(399),
    [anon_sym_bytes11] = ACTIONS(399),
    [anon_sym_bytes12] = ACTIONS(399),
    [anon_sym_bytes13] = ACTIONS(399),
    [anon_sym_bytes14] = ACTIONS(399),
    [anon_sym_bytes15] = ACTIONS(399),
    [anon_sym_bytes16] = ACTIONS(399),
    [anon_sym_bytes17] = ACTIONS(399),
    [anon_sym_bytes18] = ACTIONS(399),
    [anon_sym_bytes19] = ACTIONS(399),
    [anon_sym_bytes20] = ACTIONS(399),
    [anon_sym_bytes21] = ACTIONS(399),
    [anon_sym_bytes22] = ACTIONS(399),
    [anon_sym_bytes23] = ACTIONS(399),
    [anon_sym_bytes24] = ACTIONS(399),
    [anon_sym_bytes25] = ACTIONS(399),
    [anon_sym_bytes26] = ACTIONS(399),
    [anon_sym_bytes27] = ACTIONS(399),
    [anon_sym_bytes28] = ACTIONS(399),
    [anon_sym_bytes29] = ACTIONS(399),
    [anon_sym_bytes30] = ACTIONS(399),
    [anon_sym_bytes31] = ACTIONS(399),
    [anon_sym_bytes32] = ACTIONS(399),
    [anon_sym_fixed] = ACTIONS(399),
    [aux_sym__fixed_token1] = ACTIONS(399),
    [anon_sym_ufixed] = ACTIONS(399),
    [aux_sym__ufixed_token1] = ACTIONS(399),
    [anon_sym_SEMI] = ACTIONS(401),
    [aux_sym__decimal_number_token1] = ACTIONS(399),
    [aux_sym__decimal_number_token2] = ACTIONS(401),
    [aux_sym__hex_number_token1] = ACTIONS(401),
    [anon_sym_hex] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_unicode] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_identifier] = ACTIONS(403),
    [anon_sym_DASH] = ACTIONS(403),
    [anon_sym_TILDE] = ACTIONS(405),
    [anon_sym_LBRACE] = ACTIONS(405),
    [anon_sym_RBRACE] = ACTIONS(405),
    [anon_sym_type] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(403),
    [anon_sym_PLUS] = ACTIONS(403),
    [anon_sym_assembly] = ACTIONS(403),
    [anon_sym_break] = ACTIONS(403),
    [anon_sym_continue] = ACTIONS(403),
    [anon_sym_true] = ACTIONS(403),
    [anon_sym_false] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(403),
    [anon_sym_function] = ACTIONS(403),
    [anon_sym_byte] = ACTIONS(403),
    [anon_sym_address] = ACTIONS(403),
    [anon_sym_return] = ACTIONS(403),
    [anon_sym_revert] = ACTIONS(403),
    [anon_sym_unchecked] = ACTIONS(403),
    [anon_sym_var] = ACTIONS(403),
    [anon_sym_else] = ACTIONS(403),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_do] = ACTIONS(403),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_catch] = ACTIONS(403),
    [anon_sym_emit] = ACTIONS(403),
    [anon_sym_payable] = ACTIONS(403),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(405),
    [anon_sym_BANG] = ACTIONS(405),
    [anon_sym_delete] = ACTIONS(403),
    [anon_sym_PLUS_PLUS] = ACTIONS(405),
    [anon_sym_DASH_DASH] = ACTIONS(405),
    [anon_sym_mapping] = ACTIONS(403),
    [anon_sym_bool] = ACTIONS(403),
    [anon_sym_string] = ACTIONS(403),
    [anon_sym_int] = ACTIONS(403),
    [anon_sym_int8] = ACTIONS(403),
    [anon_sym_int16] = ACTIONS(403),
    [anon_sym_int24] = ACTIONS(403),
    [anon_sym_int32] = ACTIONS(403),
    [anon_sym_int40] = ACTIONS(403),
    [anon_sym_int48] = ACTIONS(403),
    [anon_sym_int56] = ACTIONS(403),
    [anon_sym_int64] = ACTIONS(403),
    [anon_sym_int72] = ACTIONS(403),
    [anon_sym_int80] = ACTIONS(403),
    [anon_sym_int88] = ACTIONS(403),
    [anon_sym_int96] = ACTIONS(403),
    [anon_sym_int104] = ACTIONS(403),
    [anon_sym_int112] = ACTIONS(403),
    [anon_sym_int120] = ACTIONS(403),
    [anon_sym_int128] = ACTIONS(403),
    [anon_sym_int136] = ACTIONS(403),
    [anon_sym_int144] = ACTIONS(403),
    [anon_sym_int152] = ACTIONS(403),
    [anon_sym_int160] = ACTIONS(403),
    [anon_sym_int168] = ACTIONS(403),
    [anon_sym_int176] = ACTIONS(403),
    [anon_sym_int184] = ACTIONS(403),
    [anon_sym_int192] = ACTIONS(403),
    [anon_sym_int200] = ACTIONS(403),
    [anon_sym_int208] = ACTIONS(403),
    [anon_sym_int216] = ACTIONS(403),
    [anon_sym_int224] = ACTIONS(403),
    [anon_sym_int232] = ACTIONS(403),
    [anon_sym_int240] = ACTIONS(403),
    [anon_sym_int248] = ACTIONS(403),
    [anon_sym_int256] = ACTIONS(403),
    [anon_sym_uint] = ACTIONS(403),
    [anon_sym_uint8] = ACTIONS(403),
    [anon_sym_uint16] = ACTIONS(403),
    [anon_sym_uint24] = ACTIONS(403),
    [anon_sym_uint32] = ACTIONS(403),
    [anon_sym_uint40] = ACTIONS(403),
    [anon_sym_uint48] = ACTIONS(403),
    [anon_sym_uint56] = ACTIONS(403),
    [anon_sym_uint64] = ACTIONS(403),
    [anon_sym_uint72] = ACTIONS(403),
    [anon_sym_uint80] = ACTIONS(403),
    [anon_sym_uint88] = ACTIONS(403),
    [anon_sym_uint96] = ACTIONS(403),
    [anon_sym_uint104] = ACTIONS(403),
    [anon_sym_uint112] = ACTIONS(403),
    [anon_sym_uint120] = ACTIONS(403),
    [anon_sym_uint128] = ACTIONS(403),
    [anon_sym_uint136] = ACTIONS(403),
    [anon_sym_uint144] = ACTIONS(403),
    [anon_sym_uint152] = ACTIONS(403),
    [anon_sym_uint160] = ACTIONS(403),
    [anon_sym_uint168] = ACTIONS(403),
    [anon_sym_uint176] = ACTIONS(403),
    [anon_sym_uint184] = ACTIONS(403),
    [anon_sym_uint192] = ACTIONS(403),
    [anon_sym_uint200] = ACTIONS(403),
    [anon_sym_uint208] = ACTIONS(403),
    [anon_sym_uint216] = ACTIONS(403),
    [anon_sym_uint224] = ACTIONS(403),
    [anon_sym_uint232] = ACTIONS(403),
    [anon_sym_uint240] = ACTIONS(403),
    [anon_sym_uint248] = ACTIONS(403),
    [anon_sym_uint256] = ACTIONS(403),
    [anon_sym_bytes] = ACTIONS(403),
    [anon_sym_bytes1] = ACTIONS(403),
    [anon_sym_bytes2] = ACTIONS(403),
    [anon_sym_bytes3] = ACTIONS(403),
    [anon_sym_bytes4] = ACTIONS(403),
    [anon_sym_bytes5] = ACTIONS(403),
    [anon_sym_bytes6] = ACTIONS(403),
    [anon_sym_bytes7] = ACTIONS(403),
    [anon_sym_bytes8] = ACTIONS(403),
    [anon_sym_bytes9] = ACTIONS(403),
    [anon_sym_bytes10] = ACTIONS(403),
    [anon_sym_bytes11] = ACTIONS(403),
    [anon_sym_bytes12] = ACTIONS(403),
    [anon_sym_bytes13] = ACTIONS(403),
    [anon_sym_bytes14] = ACTIONS(403),
    [anon_sym_bytes15] = ACTIONS(403),
    [anon_sym_bytes16] = ACTIONS(403),
    [anon_sym_bytes17] = ACTIONS(403),
    [anon_sym_bytes18] = ACTIONS(403),
    [anon_sym_bytes19] = ACTIONS(403),
    [anon_sym_bytes20] = ACTIONS(403),
    [anon_sym_bytes21] = ACTIONS(403),
    [anon_sym_bytes22] = ACTIONS(403),
    [anon_sym_bytes23] = ACTIONS(403),
    [anon_sym_bytes24] = ACTIONS(403),
    [anon_sym_bytes25] = ACTIONS(403),
    [anon_sym_bytes26] = ACTIONS(403),
    [anon_sym_bytes27] = ACTIONS(403),
    [anon_sym_bytes28] = ACTIONS(403),
    [anon_sym_bytes29] = ACTIONS(403),
    [anon_sym_bytes30] = ACTIONS(403),
    [anon_sym_bytes31] = ACTIONS(403),
    [anon_sym_bytes32] = ACTIONS(403),
    [anon_sym_fixed] = ACTIONS(403),
    [aux_sym__fixed_token1] = ACTIONS(403),
    [anon_sym_ufixed] = ACTIONS(403),
    [aux_sym__ufixed_token1] = ACTIONS(403),
    [aux_sym__decimal_number_token1] = ACTIONS(403),
    [aux_sym__decimal_number_token2] = ACTIONS(405),
    [aux_sym__hex_number_token1] = ACTIONS(405),
    [anon_sym_hex] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_unicode] = ACTIONS(403),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_identifier] = ACTIONS(407),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_TILDE] = ACTIONS(409),
    [anon_sym_LBRACE] = ACTIONS(409),
    [anon_sym_RBRACE] = ACTIONS(409),
    [anon_sym_type] = ACTIONS(407),
    [anon_sym_LPAREN] = ACTIONS(409),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_assembly] = ACTIONS(407),
    [anon_sym_break] = ACTIONS(407),
    [anon_sym_continue] = ACTIONS(407),
    [anon_sym_true] = ACTIONS(407),
    [anon_sym_false] = ACTIONS(407),
    [anon_sym_if] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(407),
    [anon_sym_byte] = ACTIONS(407),
    [anon_sym_address] = ACTIONS(407),
    [anon_sym_return] = ACTIONS(407),
    [anon_sym_revert] = ACTIONS(407),
    [anon_sym_unchecked] = ACTIONS(407),
    [anon_sym_var] = ACTIONS(407),
    [anon_sym_else] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(407),
    [anon_sym_try] = ACTIONS(407),
    [anon_sym_catch] = ACTIONS(407),
    [anon_sym_emit] = ACTIONS(407),
    [anon_sym_payable] = ACTIONS(407),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_LBRACK] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_delete] = ACTIONS(407),
    [anon_sym_PLUS_PLUS] = ACTIONS(409),
    [anon_sym_DASH_DASH] = ACTIONS(409),
    [anon_sym_mapping] = ACTIONS(407),
    [anon_sym_bool] = ACTIONS(407),
    [anon_sym_string] = ACTIONS(407),
    [anon_sym_int] = ACTIONS(407),
    [anon_sym_int8] = ACTIONS(407),
    [anon_sym_int16] = ACTIONS(407),
    [anon_sym_int24] = ACTIONS(407),
    [anon_sym_int32] = ACTIONS(407),
    [anon_sym_int40] = ACTIONS(407),
    [anon_sym_int48] = ACTIONS(407),
    [anon_sym_int56] = ACTIONS(407),
    [anon_sym_int64] = ACTIONS(407),
    [anon_sym_int72] = ACTIONS(407),
    [anon_sym_int80] = ACTIONS(407),
    [anon_sym_int88] = ACTIONS(407),
    [anon_sym_int96] = ACTIONS(407),
    [anon_sym_int104] = ACTIONS(407),
    [anon_sym_int112] = ACTIONS(407),
    [anon_sym_int120] = ACTIONS(407),
    [anon_sym_int128] = ACTIONS(407),
    [anon_sym_int136] = ACTIONS(407),
    [anon_sym_int144] = ACTIONS(407),
    [anon_sym_int152] = ACTIONS(407),
    [anon_sym_int160] = ACTIONS(407),
    [anon_sym_int168] = ACTIONS(407),
    [anon_sym_int176] = ACTIONS(407),
    [anon_sym_int184] = ACTIONS(407),
    [anon_sym_int192] = ACTIONS(407),
    [anon_sym_int200] = ACTIONS(407),
    [anon_sym_int208] = ACTIONS(407),
    [anon_sym_int216] = ACTIONS(407),
    [anon_sym_int224] = ACTIONS(407),
    [anon_sym_int232] = ACTIONS(407),
    [anon_sym_int240] = ACTIONS(407),
    [anon_sym_int248] = ACTIONS(407),
    [anon_sym_int256] = ACTIONS(407),
    [anon_sym_uint] = ACTIONS(407),
    [anon_sym_uint8] = ACTIONS(407),
    [anon_sym_uint16] = ACTIONS(407),
    [anon_sym_uint24] = ACTIONS(407),
    [anon_sym_uint32] = ACTIONS(407),
    [anon_sym_uint40] = ACTIONS(407),
    [anon_sym_uint48] = ACTIONS(407),
    [anon_sym_uint56] = ACTIONS(407),
    [anon_sym_uint64] = ACTIONS(407),
    [anon_sym_uint72] = ACTIONS(407),
    [anon_sym_uint80] = ACTIONS(407),
    [anon_sym_uint88] = ACTIONS(407),
    [anon_sym_uint96] = ACTIONS(407),
    [anon_sym_uint104] = ACTIONS(407),
    [anon_sym_uint112] = ACTIONS(407),
    [anon_sym_uint120] = ACTIONS(407),
    [anon_sym_uint128] = ACTIONS(407),
    [anon_sym_uint136] = ACTIONS(407),
    [anon_sym_uint144] = ACTIONS(407),
    [anon_sym_uint152] = ACTIONS(407),
    [anon_sym_uint160] = ACTIONS(407),
    [anon_sym_uint168] = ACTIONS(407),
    [anon_sym_uint176] = ACTIONS(407),
    [anon_sym_uint184] = ACTIONS(407),
    [anon_sym_uint192] = ACTIONS(407),
    [anon_sym_uint200] = ACTIONS(407),
    [anon_sym_uint208] = ACTIONS(407),
    [anon_sym_uint216] = ACTIONS(407),
    [anon_sym_uint224] = ACTIONS(407),
    [anon_sym_uint232] = ACTIONS(407),
    [anon_sym_uint240] = ACTIONS(407),
    [anon_sym_uint248] = ACTIONS(407),
    [anon_sym_uint256] = ACTIONS(407),
    [anon_sym_bytes] = ACTIONS(407),
    [anon_sym_bytes1] = ACTIONS(407),
    [anon_sym_bytes2] = ACTIONS(407),
    [anon_sym_bytes3] = ACTIONS(407),
    [anon_sym_bytes4] = ACTIONS(407),
    [anon_sym_bytes5] = ACTIONS(407),
    [anon_sym_bytes6] = ACTIONS(407),
    [anon_sym_bytes7] = ACTIONS(407),
    [anon_sym_bytes8] = ACTIONS(407),
    [anon_sym_bytes9] = ACTIONS(407),
    [anon_sym_bytes10] = ACTIONS(407),
    [anon_sym_bytes11] = ACTIONS(407),
    [anon_sym_bytes12] = ACTIONS(407),
    [anon_sym_bytes13] = ACTIONS(407),
    [anon_sym_bytes14] = ACTIONS(407),
    [anon_sym_bytes15] = ACTIONS(407),
    [anon_sym_bytes16] = ACTIONS(407),
    [anon_sym_bytes17] = ACTIONS(407),
    [anon_sym_bytes18] = ACTIONS(407),
    [anon_sym_bytes19] = ACTIONS(407),
    [anon_sym_bytes20] = ACTIONS(407),
    [anon_sym_bytes21] = ACTIONS(407),
    [anon_sym_bytes22] = ACTIONS(407),
    [anon_sym_bytes23] = ACTIONS(407),
    [anon_sym_bytes24] = ACTIONS(407),
    [anon_sym_bytes25] = ACTIONS(407),
    [anon_sym_bytes26] = ACTIONS(407),
    [anon_sym_bytes27] = ACTIONS(407),
    [anon_sym_bytes28] = ACTIONS(407),
    [anon_sym_bytes29] = ACTIONS(407),
    [anon_sym_bytes30] = ACTIONS(407),
    [anon_sym_bytes31] = ACTIONS(407),
    [anon_sym_bytes32] = ACTIONS(407),
    [anon_sym_fixed] = ACTIONS(407),
    [aux_sym__fixed_token1] = ACTIONS(407),
    [anon_sym_ufixed] = ACTIONS(407),
    [aux_sym__ufixed_token1] = ACTIONS(407),
    [aux_sym__decimal_number_token1] = ACTIONS(407),
    [aux_sym__decimal_number_token2] = ACTIONS(409),
    [aux_sym__hex_number_token1] = ACTIONS(409),
    [anon_sym_hex] = ACTIONS(407),
    [anon_sym_DQUOTE] = ACTIONS(409),
    [anon_sym_SQUOTE] = ACTIONS(409),
    [anon_sym_unicode] = ACTIONS(407),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_user_defined_type_definition] = STATE(102),
    [sym_error_declaration] = STATE(102),
    [sym__contract_member] = STATE(102),
    [sym_struct_declaration] = STATE(102),
    [sym_enum_declaration] = STATE(102),
    [sym_event_definition] = STATE(102),
    [sym_using_directive] = STATE(102),
    [sym_state_variable_declaration] = STATE(102),
    [sym_modifier_definition] = STATE(102),
    [sym_constructor_definition] = STATE(102),
    [sym_fallback_definition] = STATE(102),
    [sym_receive_definition] = STATE(102),
    [sym_function_definition] = STATE(102),
    [sym_type_name] = STATE(571),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [aux_sym_contract_body_repeat1] = STATE(102),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(411),
    [anon_sym_type] = ACTIONS(413),
    [anon_sym_error] = ACTIONS(415),
    [anon_sym_struct] = ACTIONS(417),
    [anon_sym_enum] = ACTIONS(419),
    [anon_sym_event] = ACTIONS(421),
    [anon_sym_using] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_modifier] = ACTIONS(427),
    [anon_sym_constructor] = ACTIONS(429),
    [anon_sym_fallback] = ACTIONS(431),
    [anon_sym_receive] = ACTIONS(433),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_identifier] = ACTIONS(435),
    [anon_sym_DASH] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_RBRACE] = ACTIONS(437),
    [anon_sym_type] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_assembly] = ACTIONS(435),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(435),
    [anon_sym_true] = ACTIONS(435),
    [anon_sym_false] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_byte] = ACTIONS(435),
    [anon_sym_address] = ACTIONS(435),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_revert] = ACTIONS(435),
    [anon_sym_unchecked] = ACTIONS(435),
    [anon_sym_var] = ACTIONS(435),
    [anon_sym_else] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(435),
    [anon_sym_do] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_emit] = ACTIONS(435),
    [anon_sym_payable] = ACTIONS(435),
    [anon_sym_new] = ACTIONS(435),
    [anon_sym_LBRACK] = ACTIONS(437),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_delete] = ACTIONS(435),
    [anon_sym_PLUS_PLUS] = ACTIONS(437),
    [anon_sym_DASH_DASH] = ACTIONS(437),
    [anon_sym_mapping] = ACTIONS(435),
    [anon_sym_bool] = ACTIONS(435),
    [anon_sym_string] = ACTIONS(435),
    [anon_sym_int] = ACTIONS(435),
    [anon_sym_int8] = ACTIONS(435),
    [anon_sym_int16] = ACTIONS(435),
    [anon_sym_int24] = ACTIONS(435),
    [anon_sym_int32] = ACTIONS(435),
    [anon_sym_int40] = ACTIONS(435),
    [anon_sym_int48] = ACTIONS(435),
    [anon_sym_int56] = ACTIONS(435),
    [anon_sym_int64] = ACTIONS(435),
    [anon_sym_int72] = ACTIONS(435),
    [anon_sym_int80] = ACTIONS(435),
    [anon_sym_int88] = ACTIONS(435),
    [anon_sym_int96] = ACTIONS(435),
    [anon_sym_int104] = ACTIONS(435),
    [anon_sym_int112] = ACTIONS(435),
    [anon_sym_int120] = ACTIONS(435),
    [anon_sym_int128] = ACTIONS(435),
    [anon_sym_int136] = ACTIONS(435),
    [anon_sym_int144] = ACTIONS(435),
    [anon_sym_int152] = ACTIONS(435),
    [anon_sym_int160] = ACTIONS(435),
    [anon_sym_int168] = ACTIONS(435),
    [anon_sym_int176] = ACTIONS(435),
    [anon_sym_int184] = ACTIONS(435),
    [anon_sym_int192] = ACTIONS(435),
    [anon_sym_int200] = ACTIONS(435),
    [anon_sym_int208] = ACTIONS(435),
    [anon_sym_int216] = ACTIONS(435),
    [anon_sym_int224] = ACTIONS(435),
    [anon_sym_int232] = ACTIONS(435),
    [anon_sym_int240] = ACTIONS(435),
    [anon_sym_int248] = ACTIONS(435),
    [anon_sym_int256] = ACTIONS(435),
    [anon_sym_uint] = ACTIONS(435),
    [anon_sym_uint8] = ACTIONS(435),
    [anon_sym_uint16] = ACTIONS(435),
    [anon_sym_uint24] = ACTIONS(435),
    [anon_sym_uint32] = ACTIONS(435),
    [anon_sym_uint40] = ACTIONS(435),
    [anon_sym_uint48] = ACTIONS(435),
    [anon_sym_uint56] = ACTIONS(435),
    [anon_sym_uint64] = ACTIONS(435),
    [anon_sym_uint72] = ACTIONS(435),
    [anon_sym_uint80] = ACTIONS(435),
    [anon_sym_uint88] = ACTIONS(435),
    [anon_sym_uint96] = ACTIONS(435),
    [anon_sym_uint104] = ACTIONS(435),
    [anon_sym_uint112] = ACTIONS(435),
    [anon_sym_uint120] = ACTIONS(435),
    [anon_sym_uint128] = ACTIONS(435),
    [anon_sym_uint136] = ACTIONS(435),
    [anon_sym_uint144] = ACTIONS(435),
    [anon_sym_uint152] = ACTIONS(435),
    [anon_sym_uint160] = ACTIONS(435),
    [anon_sym_uint168] = ACTIONS(435),
    [anon_sym_uint176] = ACTIONS(435),
    [anon_sym_uint184] = ACTIONS(435),
    [anon_sym_uint192] = ACTIONS(435),
    [anon_sym_uint200] = ACTIONS(435),
    [anon_sym_uint208] = ACTIONS(435),
    [anon_sym_uint216] = ACTIONS(435),
    [anon_sym_uint224] = ACTIONS(435),
    [anon_sym_uint232] = ACTIONS(435),
    [anon_sym_uint240] = ACTIONS(435),
    [anon_sym_uint248] = ACTIONS(435),
    [anon_sym_uint256] = ACTIONS(435),
    [anon_sym_bytes] = ACTIONS(435),
    [anon_sym_bytes1] = ACTIONS(435),
    [anon_sym_bytes2] = ACTIONS(435),
    [anon_sym_bytes3] = ACTIONS(435),
    [anon_sym_bytes4] = ACTIONS(435),
    [anon_sym_bytes5] = ACTIONS(435),
    [anon_sym_bytes6] = ACTIONS(435),
    [anon_sym_bytes7] = ACTIONS(435),
    [anon_sym_bytes8] = ACTIONS(435),
    [anon_sym_bytes9] = ACTIONS(435),
    [anon_sym_bytes10] = ACTIONS(435),
    [anon_sym_bytes11] = ACTIONS(435),
    [anon_sym_bytes12] = ACTIONS(435),
    [anon_sym_bytes13] = ACTIONS(435),
    [anon_sym_bytes14] = ACTIONS(435),
    [anon_sym_bytes15] = ACTIONS(435),
    [anon_sym_bytes16] = ACTIONS(435),
    [anon_sym_bytes17] = ACTIONS(435),
    [anon_sym_bytes18] = ACTIONS(435),
    [anon_sym_bytes19] = ACTIONS(435),
    [anon_sym_bytes20] = ACTIONS(435),
    [anon_sym_bytes21] = ACTIONS(435),
    [anon_sym_bytes22] = ACTIONS(435),
    [anon_sym_bytes23] = ACTIONS(435),
    [anon_sym_bytes24] = ACTIONS(435),
    [anon_sym_bytes25] = ACTIONS(435),
    [anon_sym_bytes26] = ACTIONS(435),
    [anon_sym_bytes27] = ACTIONS(435),
    [anon_sym_bytes28] = ACTIONS(435),
    [anon_sym_bytes29] = ACTIONS(435),
    [anon_sym_bytes30] = ACTIONS(435),
    [anon_sym_bytes31] = ACTIONS(435),
    [anon_sym_bytes32] = ACTIONS(435),
    [anon_sym_fixed] = ACTIONS(435),
    [aux_sym__fixed_token1] = ACTIONS(435),
    [anon_sym_ufixed] = ACTIONS(435),
    [aux_sym__ufixed_token1] = ACTIONS(435),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym__decimal_number_token1] = ACTIONS(435),
    [aux_sym__decimal_number_token2] = ACTIONS(437),
    [aux_sym__hex_number_token1] = ACTIONS(437),
    [anon_sym_hex] = ACTIONS(435),
    [anon_sym_DQUOTE] = ACTIONS(437),
    [anon_sym_SQUOTE] = ACTIONS(437),
    [anon_sym_unicode] = ACTIONS(435),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_user_defined_type_definition] = STATE(97),
    [sym_error_declaration] = STATE(97),
    [sym__contract_member] = STATE(97),
    [sym_struct_declaration] = STATE(97),
    [sym_enum_declaration] = STATE(97),
    [sym_event_definition] = STATE(97),
    [sym_using_directive] = STATE(97),
    [sym_state_variable_declaration] = STATE(97),
    [sym_modifier_definition] = STATE(97),
    [sym_constructor_definition] = STATE(97),
    [sym_fallback_definition] = STATE(97),
    [sym_receive_definition] = STATE(97),
    [sym_function_definition] = STATE(97),
    [sym_type_name] = STATE(571),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [aux_sym_contract_body_repeat1] = STATE(97),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(439),
    [anon_sym_type] = ACTIONS(413),
    [anon_sym_error] = ACTIONS(415),
    [anon_sym_struct] = ACTIONS(417),
    [anon_sym_enum] = ACTIONS(419),
    [anon_sym_event] = ACTIONS(421),
    [anon_sym_using] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_modifier] = ACTIONS(427),
    [anon_sym_constructor] = ACTIONS(429),
    [anon_sym_fallback] = ACTIONS(431),
    [anon_sym_receive] = ACTIONS(433),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_identifier] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(441),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_RBRACE] = ACTIONS(443),
    [anon_sym_type] = ACTIONS(441),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_for] = ACTIONS(441),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_assembly] = ACTIONS(441),
    [anon_sym_break] = ACTIONS(441),
    [anon_sym_continue] = ACTIONS(441),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_if] = ACTIONS(441),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_byte] = ACTIONS(441),
    [anon_sym_address] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(441),
    [anon_sym_revert] = ACTIONS(441),
    [anon_sym_unchecked] = ACTIONS(441),
    [anon_sym_var] = ACTIONS(441),
    [anon_sym_else] = ACTIONS(441),
    [anon_sym_while] = ACTIONS(441),
    [anon_sym_do] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_catch] = ACTIONS(441),
    [anon_sym_emit] = ACTIONS(441),
    [anon_sym_payable] = ACTIONS(441),
    [anon_sym_new] = ACTIONS(441),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_delete] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_mapping] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_string] = ACTIONS(441),
    [anon_sym_int] = ACTIONS(441),
    [anon_sym_int8] = ACTIONS(441),
    [anon_sym_int16] = ACTIONS(441),
    [anon_sym_int24] = ACTIONS(441),
    [anon_sym_int32] = ACTIONS(441),
    [anon_sym_int40] = ACTIONS(441),
    [anon_sym_int48] = ACTIONS(441),
    [anon_sym_int56] = ACTIONS(441),
    [anon_sym_int64] = ACTIONS(441),
    [anon_sym_int72] = ACTIONS(441),
    [anon_sym_int80] = ACTIONS(441),
    [anon_sym_int88] = ACTIONS(441),
    [anon_sym_int96] = ACTIONS(441),
    [anon_sym_int104] = ACTIONS(441),
    [anon_sym_int112] = ACTIONS(441),
    [anon_sym_int120] = ACTIONS(441),
    [anon_sym_int128] = ACTIONS(441),
    [anon_sym_int136] = ACTIONS(441),
    [anon_sym_int144] = ACTIONS(441),
    [anon_sym_int152] = ACTIONS(441),
    [anon_sym_int160] = ACTIONS(441),
    [anon_sym_int168] = ACTIONS(441),
    [anon_sym_int176] = ACTIONS(441),
    [anon_sym_int184] = ACTIONS(441),
    [anon_sym_int192] = ACTIONS(441),
    [anon_sym_int200] = ACTIONS(441),
    [anon_sym_int208] = ACTIONS(441),
    [anon_sym_int216] = ACTIONS(441),
    [anon_sym_int224] = ACTIONS(441),
    [anon_sym_int232] = ACTIONS(441),
    [anon_sym_int240] = ACTIONS(441),
    [anon_sym_int248] = ACTIONS(441),
    [anon_sym_int256] = ACTIONS(441),
    [anon_sym_uint] = ACTIONS(441),
    [anon_sym_uint8] = ACTIONS(441),
    [anon_sym_uint16] = ACTIONS(441),
    [anon_sym_uint24] = ACTIONS(441),
    [anon_sym_uint32] = ACTIONS(441),
    [anon_sym_uint40] = ACTIONS(441),
    [anon_sym_uint48] = ACTIONS(441),
    [anon_sym_uint56] = ACTIONS(441),
    [anon_sym_uint64] = ACTIONS(441),
    [anon_sym_uint72] = ACTIONS(441),
    [anon_sym_uint80] = ACTIONS(441),
    [anon_sym_uint88] = ACTIONS(441),
    [anon_sym_uint96] = ACTIONS(441),
    [anon_sym_uint104] = ACTIONS(441),
    [anon_sym_uint112] = ACTIONS(441),
    [anon_sym_uint120] = ACTIONS(441),
    [anon_sym_uint128] = ACTIONS(441),
    [anon_sym_uint136] = ACTIONS(441),
    [anon_sym_uint144] = ACTIONS(441),
    [anon_sym_uint152] = ACTIONS(441),
    [anon_sym_uint160] = ACTIONS(441),
    [anon_sym_uint168] = ACTIONS(441),
    [anon_sym_uint176] = ACTIONS(441),
    [anon_sym_uint184] = ACTIONS(441),
    [anon_sym_uint192] = ACTIONS(441),
    [anon_sym_uint200] = ACTIONS(441),
    [anon_sym_uint208] = ACTIONS(441),
    [anon_sym_uint216] = ACTIONS(441),
    [anon_sym_uint224] = ACTIONS(441),
    [anon_sym_uint232] = ACTIONS(441),
    [anon_sym_uint240] = ACTIONS(441),
    [anon_sym_uint248] = ACTIONS(441),
    [anon_sym_uint256] = ACTIONS(441),
    [anon_sym_bytes] = ACTIONS(441),
    [anon_sym_bytes1] = ACTIONS(441),
    [anon_sym_bytes2] = ACTIONS(441),
    [anon_sym_bytes3] = ACTIONS(441),
    [anon_sym_bytes4] = ACTIONS(441),
    [anon_sym_bytes5] = ACTIONS(441),
    [anon_sym_bytes6] = ACTIONS(441),
    [anon_sym_bytes7] = ACTIONS(441),
    [anon_sym_bytes8] = ACTIONS(441),
    [anon_sym_bytes9] = ACTIONS(441),
    [anon_sym_bytes10] = ACTIONS(441),
    [anon_sym_bytes11] = ACTIONS(441),
    [anon_sym_bytes12] = ACTIONS(441),
    [anon_sym_bytes13] = ACTIONS(441),
    [anon_sym_bytes14] = ACTIONS(441),
    [anon_sym_bytes15] = ACTIONS(441),
    [anon_sym_bytes16] = ACTIONS(441),
    [anon_sym_bytes17] = ACTIONS(441),
    [anon_sym_bytes18] = ACTIONS(441),
    [anon_sym_bytes19] = ACTIONS(441),
    [anon_sym_bytes20] = ACTIONS(441),
    [anon_sym_bytes21] = ACTIONS(441),
    [anon_sym_bytes22] = ACTIONS(441),
    [anon_sym_bytes23] = ACTIONS(441),
    [anon_sym_bytes24] = ACTIONS(441),
    [anon_sym_bytes25] = ACTIONS(441),
    [anon_sym_bytes26] = ACTIONS(441),
    [anon_sym_bytes27] = ACTIONS(441),
    [anon_sym_bytes28] = ACTIONS(441),
    [anon_sym_bytes29] = ACTIONS(441),
    [anon_sym_bytes30] = ACTIONS(441),
    [anon_sym_bytes31] = ACTIONS(441),
    [anon_sym_bytes32] = ACTIONS(441),
    [anon_sym_fixed] = ACTIONS(441),
    [aux_sym__fixed_token1] = ACTIONS(441),
    [anon_sym_ufixed] = ACTIONS(441),
    [aux_sym__ufixed_token1] = ACTIONS(441),
    [aux_sym__decimal_number_token1] = ACTIONS(441),
    [aux_sym__decimal_number_token2] = ACTIONS(443),
    [aux_sym__hex_number_token1] = ACTIONS(443),
    [anon_sym_hex] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [anon_sym_SQUOTE] = ACTIONS(443),
    [anon_sym_unicode] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_identifier] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_TILDE] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(447),
    [anon_sym_RBRACE] = ACTIONS(447),
    [anon_sym_type] = ACTIONS(445),
    [anon_sym_LPAREN] = ACTIONS(447),
    [anon_sym_for] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_assembly] = ACTIONS(445),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(445),
    [anon_sym_true] = ACTIONS(445),
    [anon_sym_false] = ACTIONS(445),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_byte] = ACTIONS(445),
    [anon_sym_address] = ACTIONS(445),
    [anon_sym_return] = ACTIONS(445),
    [anon_sym_revert] = ACTIONS(445),
    [anon_sym_unchecked] = ACTIONS(445),
    [anon_sym_var] = ACTIONS(445),
    [anon_sym_else] = ACTIONS(445),
    [anon_sym_while] = ACTIONS(445),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_try] = ACTIONS(445),
    [anon_sym_catch] = ACTIONS(445),
    [anon_sym_emit] = ACTIONS(445),
    [anon_sym_payable] = ACTIONS(445),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACK] = ACTIONS(447),
    [anon_sym_BANG] = ACTIONS(447),
    [anon_sym_delete] = ACTIONS(445),
    [anon_sym_PLUS_PLUS] = ACTIONS(447),
    [anon_sym_DASH_DASH] = ACTIONS(447),
    [anon_sym_mapping] = ACTIONS(445),
    [anon_sym_bool] = ACTIONS(445),
    [anon_sym_string] = ACTIONS(445),
    [anon_sym_int] = ACTIONS(445),
    [anon_sym_int8] = ACTIONS(445),
    [anon_sym_int16] = ACTIONS(445),
    [anon_sym_int24] = ACTIONS(445),
    [anon_sym_int32] = ACTIONS(445),
    [anon_sym_int40] = ACTIONS(445),
    [anon_sym_int48] = ACTIONS(445),
    [anon_sym_int56] = ACTIONS(445),
    [anon_sym_int64] = ACTIONS(445),
    [anon_sym_int72] = ACTIONS(445),
    [anon_sym_int80] = ACTIONS(445),
    [anon_sym_int88] = ACTIONS(445),
    [anon_sym_int96] = ACTIONS(445),
    [anon_sym_int104] = ACTIONS(445),
    [anon_sym_int112] = ACTIONS(445),
    [anon_sym_int120] = ACTIONS(445),
    [anon_sym_int128] = ACTIONS(445),
    [anon_sym_int136] = ACTIONS(445),
    [anon_sym_int144] = ACTIONS(445),
    [anon_sym_int152] = ACTIONS(445),
    [anon_sym_int160] = ACTIONS(445),
    [anon_sym_int168] = ACTIONS(445),
    [anon_sym_int176] = ACTIONS(445),
    [anon_sym_int184] = ACTIONS(445),
    [anon_sym_int192] = ACTIONS(445),
    [anon_sym_int200] = ACTIONS(445),
    [anon_sym_int208] = ACTIONS(445),
    [anon_sym_int216] = ACTIONS(445),
    [anon_sym_int224] = ACTIONS(445),
    [anon_sym_int232] = ACTIONS(445),
    [anon_sym_int240] = ACTIONS(445),
    [anon_sym_int248] = ACTIONS(445),
    [anon_sym_int256] = ACTIONS(445),
    [anon_sym_uint] = ACTIONS(445),
    [anon_sym_uint8] = ACTIONS(445),
    [anon_sym_uint16] = ACTIONS(445),
    [anon_sym_uint24] = ACTIONS(445),
    [anon_sym_uint32] = ACTIONS(445),
    [anon_sym_uint40] = ACTIONS(445),
    [anon_sym_uint48] = ACTIONS(445),
    [anon_sym_uint56] = ACTIONS(445),
    [anon_sym_uint64] = ACTIONS(445),
    [anon_sym_uint72] = ACTIONS(445),
    [anon_sym_uint80] = ACTIONS(445),
    [anon_sym_uint88] = ACTIONS(445),
    [anon_sym_uint96] = ACTIONS(445),
    [anon_sym_uint104] = ACTIONS(445),
    [anon_sym_uint112] = ACTIONS(445),
    [anon_sym_uint120] = ACTIONS(445),
    [anon_sym_uint128] = ACTIONS(445),
    [anon_sym_uint136] = ACTIONS(445),
    [anon_sym_uint144] = ACTIONS(445),
    [anon_sym_uint152] = ACTIONS(445),
    [anon_sym_uint160] = ACTIONS(445),
    [anon_sym_uint168] = ACTIONS(445),
    [anon_sym_uint176] = ACTIONS(445),
    [anon_sym_uint184] = ACTIONS(445),
    [anon_sym_uint192] = ACTIONS(445),
    [anon_sym_uint200] = ACTIONS(445),
    [anon_sym_uint208] = ACTIONS(445),
    [anon_sym_uint216] = ACTIONS(445),
    [anon_sym_uint224] = ACTIONS(445),
    [anon_sym_uint232] = ACTIONS(445),
    [anon_sym_uint240] = ACTIONS(445),
    [anon_sym_uint248] = ACTIONS(445),
    [anon_sym_uint256] = ACTIONS(445),
    [anon_sym_bytes] = ACTIONS(445),
    [anon_sym_bytes1] = ACTIONS(445),
    [anon_sym_bytes2] = ACTIONS(445),
    [anon_sym_bytes3] = ACTIONS(445),
    [anon_sym_bytes4] = ACTIONS(445),
    [anon_sym_bytes5] = ACTIONS(445),
    [anon_sym_bytes6] = ACTIONS(445),
    [anon_sym_bytes7] = ACTIONS(445),
    [anon_sym_bytes8] = ACTIONS(445),
    [anon_sym_bytes9] = ACTIONS(445),
    [anon_sym_bytes10] = ACTIONS(445),
    [anon_sym_bytes11] = ACTIONS(445),
    [anon_sym_bytes12] = ACTIONS(445),
    [anon_sym_bytes13] = ACTIONS(445),
    [anon_sym_bytes14] = ACTIONS(445),
    [anon_sym_bytes15] = ACTIONS(445),
    [anon_sym_bytes16] = ACTIONS(445),
    [anon_sym_bytes17] = ACTIONS(445),
    [anon_sym_bytes18] = ACTIONS(445),
    [anon_sym_bytes19] = ACTIONS(445),
    [anon_sym_bytes20] = ACTIONS(445),
    [anon_sym_bytes21] = ACTIONS(445),
    [anon_sym_bytes22] = ACTIONS(445),
    [anon_sym_bytes23] = ACTIONS(445),
    [anon_sym_bytes24] = ACTIONS(445),
    [anon_sym_bytes25] = ACTIONS(445),
    [anon_sym_bytes26] = ACTIONS(445),
    [anon_sym_bytes27] = ACTIONS(445),
    [anon_sym_bytes28] = ACTIONS(445),
    [anon_sym_bytes29] = ACTIONS(445),
    [anon_sym_bytes30] = ACTIONS(445),
    [anon_sym_bytes31] = ACTIONS(445),
    [anon_sym_bytes32] = ACTIONS(445),
    [anon_sym_fixed] = ACTIONS(445),
    [aux_sym__fixed_token1] = ACTIONS(445),
    [anon_sym_ufixed] = ACTIONS(445),
    [aux_sym__ufixed_token1] = ACTIONS(445),
    [aux_sym__decimal_number_token1] = ACTIONS(445),
    [aux_sym__decimal_number_token2] = ACTIONS(447),
    [aux_sym__hex_number_token1] = ACTIONS(447),
    [anon_sym_hex] = ACTIONS(445),
    [anon_sym_DQUOTE] = ACTIONS(447),
    [anon_sym_SQUOTE] = ACTIONS(447),
    [anon_sym_unicode] = ACTIONS(445),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_user_defined_type_definition] = STATE(102),
    [sym_error_declaration] = STATE(102),
    [sym__contract_member] = STATE(102),
    [sym_struct_declaration] = STATE(102),
    [sym_enum_declaration] = STATE(102),
    [sym_event_definition] = STATE(102),
    [sym_using_directive] = STATE(102),
    [sym_state_variable_declaration] = STATE(102),
    [sym_modifier_definition] = STATE(102),
    [sym_constructor_definition] = STATE(102),
    [sym_fallback_definition] = STATE(102),
    [sym_receive_definition] = STATE(102),
    [sym_function_definition] = STATE(102),
    [sym_type_name] = STATE(571),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [aux_sym_contract_body_repeat1] = STATE(102),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_RBRACE] = ACTIONS(452),
    [anon_sym_type] = ACTIONS(454),
    [anon_sym_error] = ACTIONS(457),
    [anon_sym_struct] = ACTIONS(460),
    [anon_sym_enum] = ACTIONS(463),
    [anon_sym_event] = ACTIONS(466),
    [anon_sym_using] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(472),
    [anon_sym_byte] = ACTIONS(475),
    [anon_sym_address] = ACTIONS(478),
    [anon_sym_var] = ACTIONS(475),
    [anon_sym_modifier] = ACTIONS(481),
    [anon_sym_constructor] = ACTIONS(484),
    [anon_sym_fallback] = ACTIONS(487),
    [anon_sym_receive] = ACTIONS(490),
    [anon_sym_mapping] = ACTIONS(493),
    [anon_sym_bool] = ACTIONS(475),
    [anon_sym_string] = ACTIONS(475),
    [anon_sym_int] = ACTIONS(475),
    [anon_sym_int8] = ACTIONS(475),
    [anon_sym_int16] = ACTIONS(475),
    [anon_sym_int24] = ACTIONS(475),
    [anon_sym_int32] = ACTIONS(475),
    [anon_sym_int40] = ACTIONS(475),
    [anon_sym_int48] = ACTIONS(475),
    [anon_sym_int56] = ACTIONS(475),
    [anon_sym_int64] = ACTIONS(475),
    [anon_sym_int72] = ACTIONS(475),
    [anon_sym_int80] = ACTIONS(475),
    [anon_sym_int88] = ACTIONS(475),
    [anon_sym_int96] = ACTIONS(475),
    [anon_sym_int104] = ACTIONS(475),
    [anon_sym_int112] = ACTIONS(475),
    [anon_sym_int120] = ACTIONS(475),
    [anon_sym_int128] = ACTIONS(475),
    [anon_sym_int136] = ACTIONS(475),
    [anon_sym_int144] = ACTIONS(475),
    [anon_sym_int152] = ACTIONS(475),
    [anon_sym_int160] = ACTIONS(475),
    [anon_sym_int168] = ACTIONS(475),
    [anon_sym_int176] = ACTIONS(475),
    [anon_sym_int184] = ACTIONS(475),
    [anon_sym_int192] = ACTIONS(475),
    [anon_sym_int200] = ACTIONS(475),
    [anon_sym_int208] = ACTIONS(475),
    [anon_sym_int216] = ACTIONS(475),
    [anon_sym_int224] = ACTIONS(475),
    [anon_sym_int232] = ACTIONS(475),
    [anon_sym_int240] = ACTIONS(475),
    [anon_sym_int248] = ACTIONS(475),
    [anon_sym_int256] = ACTIONS(475),
    [anon_sym_uint] = ACTIONS(475),
    [anon_sym_uint8] = ACTIONS(475),
    [anon_sym_uint16] = ACTIONS(475),
    [anon_sym_uint24] = ACTIONS(475),
    [anon_sym_uint32] = ACTIONS(475),
    [anon_sym_uint40] = ACTIONS(475),
    [anon_sym_uint48] = ACTIONS(475),
    [anon_sym_uint56] = ACTIONS(475),
    [anon_sym_uint64] = ACTIONS(475),
    [anon_sym_uint72] = ACTIONS(475),
    [anon_sym_uint80] = ACTIONS(475),
    [anon_sym_uint88] = ACTIONS(475),
    [anon_sym_uint96] = ACTIONS(475),
    [anon_sym_uint104] = ACTIONS(475),
    [anon_sym_uint112] = ACTIONS(475),
    [anon_sym_uint120] = ACTIONS(475),
    [anon_sym_uint128] = ACTIONS(475),
    [anon_sym_uint136] = ACTIONS(475),
    [anon_sym_uint144] = ACTIONS(475),
    [anon_sym_uint152] = ACTIONS(475),
    [anon_sym_uint160] = ACTIONS(475),
    [anon_sym_uint168] = ACTIONS(475),
    [anon_sym_uint176] = ACTIONS(475),
    [anon_sym_uint184] = ACTIONS(475),
    [anon_sym_uint192] = ACTIONS(475),
    [anon_sym_uint200] = ACTIONS(475),
    [anon_sym_uint208] = ACTIONS(475),
    [anon_sym_uint216] = ACTIONS(475),
    [anon_sym_uint224] = ACTIONS(475),
    [anon_sym_uint232] = ACTIONS(475),
    [anon_sym_uint240] = ACTIONS(475),
    [anon_sym_uint248] = ACTIONS(475),
    [anon_sym_uint256] = ACTIONS(475),
    [anon_sym_bytes] = ACTIONS(475),
    [anon_sym_bytes1] = ACTIONS(475),
    [anon_sym_bytes2] = ACTIONS(475),
    [anon_sym_bytes3] = ACTIONS(475),
    [anon_sym_bytes4] = ACTIONS(475),
    [anon_sym_bytes5] = ACTIONS(475),
    [anon_sym_bytes6] = ACTIONS(475),
    [anon_sym_bytes7] = ACTIONS(475),
    [anon_sym_bytes8] = ACTIONS(475),
    [anon_sym_bytes9] = ACTIONS(475),
    [anon_sym_bytes10] = ACTIONS(475),
    [anon_sym_bytes11] = ACTIONS(475),
    [anon_sym_bytes12] = ACTIONS(475),
    [anon_sym_bytes13] = ACTIONS(475),
    [anon_sym_bytes14] = ACTIONS(475),
    [anon_sym_bytes15] = ACTIONS(475),
    [anon_sym_bytes16] = ACTIONS(475),
    [anon_sym_bytes17] = ACTIONS(475),
    [anon_sym_bytes18] = ACTIONS(475),
    [anon_sym_bytes19] = ACTIONS(475),
    [anon_sym_bytes20] = ACTIONS(475),
    [anon_sym_bytes21] = ACTIONS(475),
    [anon_sym_bytes22] = ACTIONS(475),
    [anon_sym_bytes23] = ACTIONS(475),
    [anon_sym_bytes24] = ACTIONS(475),
    [anon_sym_bytes25] = ACTIONS(475),
    [anon_sym_bytes26] = ACTIONS(475),
    [anon_sym_bytes27] = ACTIONS(475),
    [anon_sym_bytes28] = ACTIONS(475),
    [anon_sym_bytes29] = ACTIONS(475),
    [anon_sym_bytes30] = ACTIONS(475),
    [anon_sym_bytes31] = ACTIONS(475),
    [anon_sym_bytes32] = ACTIONS(475),
    [anon_sym_fixed] = ACTIONS(475),
    [aux_sym__fixed_token1] = ACTIONS(475),
    [anon_sym_ufixed] = ACTIONS(475),
    [aux_sym__ufixed_token1] = ACTIONS(475),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_identifier] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_LBRACE] = ACTIONS(498),
    [anon_sym_RBRACE] = ACTIONS(498),
    [anon_sym_type] = ACTIONS(496),
    [anon_sym_LPAREN] = ACTIONS(498),
    [anon_sym_for] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_assembly] = ACTIONS(496),
    [anon_sym_break] = ACTIONS(496),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_true] = ACTIONS(496),
    [anon_sym_false] = ACTIONS(496),
    [anon_sym_if] = ACTIONS(496),
    [anon_sym_function] = ACTIONS(496),
    [anon_sym_byte] = ACTIONS(496),
    [anon_sym_address] = ACTIONS(496),
    [anon_sym_return] = ACTIONS(496),
    [anon_sym_revert] = ACTIONS(496),
    [anon_sym_unchecked] = ACTIONS(496),
    [anon_sym_var] = ACTIONS(496),
    [anon_sym_else] = ACTIONS(496),
    [anon_sym_while] = ACTIONS(496),
    [anon_sym_do] = ACTIONS(496),
    [anon_sym_try] = ACTIONS(496),
    [anon_sym_emit] = ACTIONS(496),
    [anon_sym_payable] = ACTIONS(496),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_LBRACK] = ACTIONS(498),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [anon_sym_mapping] = ACTIONS(496),
    [anon_sym_bool] = ACTIONS(496),
    [anon_sym_string] = ACTIONS(496),
    [anon_sym_int] = ACTIONS(496),
    [anon_sym_int8] = ACTIONS(496),
    [anon_sym_int16] = ACTIONS(496),
    [anon_sym_int24] = ACTIONS(496),
    [anon_sym_int32] = ACTIONS(496),
    [anon_sym_int40] = ACTIONS(496),
    [anon_sym_int48] = ACTIONS(496),
    [anon_sym_int56] = ACTIONS(496),
    [anon_sym_int64] = ACTIONS(496),
    [anon_sym_int72] = ACTIONS(496),
    [anon_sym_int80] = ACTIONS(496),
    [anon_sym_int88] = ACTIONS(496),
    [anon_sym_int96] = ACTIONS(496),
    [anon_sym_int104] = ACTIONS(496),
    [anon_sym_int112] = ACTIONS(496),
    [anon_sym_int120] = ACTIONS(496),
    [anon_sym_int128] = ACTIONS(496),
    [anon_sym_int136] = ACTIONS(496),
    [anon_sym_int144] = ACTIONS(496),
    [anon_sym_int152] = ACTIONS(496),
    [anon_sym_int160] = ACTIONS(496),
    [anon_sym_int168] = ACTIONS(496),
    [anon_sym_int176] = ACTIONS(496),
    [anon_sym_int184] = ACTIONS(496),
    [anon_sym_int192] = ACTIONS(496),
    [anon_sym_int200] = ACTIONS(496),
    [anon_sym_int208] = ACTIONS(496),
    [anon_sym_int216] = ACTIONS(496),
    [anon_sym_int224] = ACTIONS(496),
    [anon_sym_int232] = ACTIONS(496),
    [anon_sym_int240] = ACTIONS(496),
    [anon_sym_int248] = ACTIONS(496),
    [anon_sym_int256] = ACTIONS(496),
    [anon_sym_uint] = ACTIONS(496),
    [anon_sym_uint8] = ACTIONS(496),
    [anon_sym_uint16] = ACTIONS(496),
    [anon_sym_uint24] = ACTIONS(496),
    [anon_sym_uint32] = ACTIONS(496),
    [anon_sym_uint40] = ACTIONS(496),
    [anon_sym_uint48] = ACTIONS(496),
    [anon_sym_uint56] = ACTIONS(496),
    [anon_sym_uint64] = ACTIONS(496),
    [anon_sym_uint72] = ACTIONS(496),
    [anon_sym_uint80] = ACTIONS(496),
    [anon_sym_uint88] = ACTIONS(496),
    [anon_sym_uint96] = ACTIONS(496),
    [anon_sym_uint104] = ACTIONS(496),
    [anon_sym_uint112] = ACTIONS(496),
    [anon_sym_uint120] = ACTIONS(496),
    [anon_sym_uint128] = ACTIONS(496),
    [anon_sym_uint136] = ACTIONS(496),
    [anon_sym_uint144] = ACTIONS(496),
    [anon_sym_uint152] = ACTIONS(496),
    [anon_sym_uint160] = ACTIONS(496),
    [anon_sym_uint168] = ACTIONS(496),
    [anon_sym_uint176] = ACTIONS(496),
    [anon_sym_uint184] = ACTIONS(496),
    [anon_sym_uint192] = ACTIONS(496),
    [anon_sym_uint200] = ACTIONS(496),
    [anon_sym_uint208] = ACTIONS(496),
    [anon_sym_uint216] = ACTIONS(496),
    [anon_sym_uint224] = ACTIONS(496),
    [anon_sym_uint232] = ACTIONS(496),
    [anon_sym_uint240] = ACTIONS(496),
    [anon_sym_uint248] = ACTIONS(496),
    [anon_sym_uint256] = ACTIONS(496),
    [anon_sym_bytes] = ACTIONS(496),
    [anon_sym_bytes1] = ACTIONS(496),
    [anon_sym_bytes2] = ACTIONS(496),
    [anon_sym_bytes3] = ACTIONS(496),
    [anon_sym_bytes4] = ACTIONS(496),
    [anon_sym_bytes5] = ACTIONS(496),
    [anon_sym_bytes6] = ACTIONS(496),
    [anon_sym_bytes7] = ACTIONS(496),
    [anon_sym_bytes8] = ACTIONS(496),
    [anon_sym_bytes9] = ACTIONS(496),
    [anon_sym_bytes10] = ACTIONS(496),
    [anon_sym_bytes11] = ACTIONS(496),
    [anon_sym_bytes12] = ACTIONS(496),
    [anon_sym_bytes13] = ACTIONS(496),
    [anon_sym_bytes14] = ACTIONS(496),
    [anon_sym_bytes15] = ACTIONS(496),
    [anon_sym_bytes16] = ACTIONS(496),
    [anon_sym_bytes17] = ACTIONS(496),
    [anon_sym_bytes18] = ACTIONS(496),
    [anon_sym_bytes19] = ACTIONS(496),
    [anon_sym_bytes20] = ACTIONS(496),
    [anon_sym_bytes21] = ACTIONS(496),
    [anon_sym_bytes22] = ACTIONS(496),
    [anon_sym_bytes23] = ACTIONS(496),
    [anon_sym_bytes24] = ACTIONS(496),
    [anon_sym_bytes25] = ACTIONS(496),
    [anon_sym_bytes26] = ACTIONS(496),
    [anon_sym_bytes27] = ACTIONS(496),
    [anon_sym_bytes28] = ACTIONS(496),
    [anon_sym_bytes29] = ACTIONS(496),
    [anon_sym_bytes30] = ACTIONS(496),
    [anon_sym_bytes31] = ACTIONS(496),
    [anon_sym_bytes32] = ACTIONS(496),
    [anon_sym_fixed] = ACTIONS(496),
    [aux_sym__fixed_token1] = ACTIONS(496),
    [anon_sym_ufixed] = ACTIONS(496),
    [aux_sym__ufixed_token1] = ACTIONS(496),
    [aux_sym__decimal_number_token1] = ACTIONS(496),
    [aux_sym__decimal_number_token2] = ACTIONS(498),
    [aux_sym__hex_number_token1] = ACTIONS(498),
    [anon_sym_hex] = ACTIONS(496),
    [anon_sym_DQUOTE] = ACTIONS(498),
    [anon_sym_SQUOTE] = ACTIONS(498),
    [anon_sym_unicode] = ACTIONS(496),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_identifier] = ACTIONS(500),
    [anon_sym_DASH] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(502),
    [anon_sym_RBRACE] = ACTIONS(502),
    [anon_sym_type] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(502),
    [anon_sym_for] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(500),
    [anon_sym_assembly] = ACTIONS(500),
    [anon_sym_break] = ACTIONS(500),
    [anon_sym_continue] = ACTIONS(500),
    [anon_sym_true] = ACTIONS(500),
    [anon_sym_false] = ACTIONS(500),
    [anon_sym_if] = ACTIONS(500),
    [anon_sym_function] = ACTIONS(500),
    [anon_sym_byte] = ACTIONS(500),
    [anon_sym_address] = ACTIONS(500),
    [anon_sym_return] = ACTIONS(500),
    [anon_sym_revert] = ACTIONS(500),
    [anon_sym_unchecked] = ACTIONS(500),
    [anon_sym_var] = ACTIONS(500),
    [anon_sym_else] = ACTIONS(500),
    [anon_sym_while] = ACTIONS(500),
    [anon_sym_do] = ACTIONS(500),
    [anon_sym_try] = ACTIONS(500),
    [anon_sym_emit] = ACTIONS(500),
    [anon_sym_payable] = ACTIONS(500),
    [anon_sym_new] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(502),
    [anon_sym_BANG] = ACTIONS(502),
    [anon_sym_delete] = ACTIONS(500),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [anon_sym_mapping] = ACTIONS(500),
    [anon_sym_bool] = ACTIONS(500),
    [anon_sym_string] = ACTIONS(500),
    [anon_sym_int] = ACTIONS(500),
    [anon_sym_int8] = ACTIONS(500),
    [anon_sym_int16] = ACTIONS(500),
    [anon_sym_int24] = ACTIONS(500),
    [anon_sym_int32] = ACTIONS(500),
    [anon_sym_int40] = ACTIONS(500),
    [anon_sym_int48] = ACTIONS(500),
    [anon_sym_int56] = ACTIONS(500),
    [anon_sym_int64] = ACTIONS(500),
    [anon_sym_int72] = ACTIONS(500),
    [anon_sym_int80] = ACTIONS(500),
    [anon_sym_int88] = ACTIONS(500),
    [anon_sym_int96] = ACTIONS(500),
    [anon_sym_int104] = ACTIONS(500),
    [anon_sym_int112] = ACTIONS(500),
    [anon_sym_int120] = ACTIONS(500),
    [anon_sym_int128] = ACTIONS(500),
    [anon_sym_int136] = ACTIONS(500),
    [anon_sym_int144] = ACTIONS(500),
    [anon_sym_int152] = ACTIONS(500),
    [anon_sym_int160] = ACTIONS(500),
    [anon_sym_int168] = ACTIONS(500),
    [anon_sym_int176] = ACTIONS(500),
    [anon_sym_int184] = ACTIONS(500),
    [anon_sym_int192] = ACTIONS(500),
    [anon_sym_int200] = ACTIONS(500),
    [anon_sym_int208] = ACTIONS(500),
    [anon_sym_int216] = ACTIONS(500),
    [anon_sym_int224] = ACTIONS(500),
    [anon_sym_int232] = ACTIONS(500),
    [anon_sym_int240] = ACTIONS(500),
    [anon_sym_int248] = ACTIONS(500),
    [anon_sym_int256] = ACTIONS(500),
    [anon_sym_uint] = ACTIONS(500),
    [anon_sym_uint8] = ACTIONS(500),
    [anon_sym_uint16] = ACTIONS(500),
    [anon_sym_uint24] = ACTIONS(500),
    [anon_sym_uint32] = ACTIONS(500),
    [anon_sym_uint40] = ACTIONS(500),
    [anon_sym_uint48] = ACTIONS(500),
    [anon_sym_uint56] = ACTIONS(500),
    [anon_sym_uint64] = ACTIONS(500),
    [anon_sym_uint72] = ACTIONS(500),
    [anon_sym_uint80] = ACTIONS(500),
    [anon_sym_uint88] = ACTIONS(500),
    [anon_sym_uint96] = ACTIONS(500),
    [anon_sym_uint104] = ACTIONS(500),
    [anon_sym_uint112] = ACTIONS(500),
    [anon_sym_uint120] = ACTIONS(500),
    [anon_sym_uint128] = ACTIONS(500),
    [anon_sym_uint136] = ACTIONS(500),
    [anon_sym_uint144] = ACTIONS(500),
    [anon_sym_uint152] = ACTIONS(500),
    [anon_sym_uint160] = ACTIONS(500),
    [anon_sym_uint168] = ACTIONS(500),
    [anon_sym_uint176] = ACTIONS(500),
    [anon_sym_uint184] = ACTIONS(500),
    [anon_sym_uint192] = ACTIONS(500),
    [anon_sym_uint200] = ACTIONS(500),
    [anon_sym_uint208] = ACTIONS(500),
    [anon_sym_uint216] = ACTIONS(500),
    [anon_sym_uint224] = ACTIONS(500),
    [anon_sym_uint232] = ACTIONS(500),
    [anon_sym_uint240] = ACTIONS(500),
    [anon_sym_uint248] = ACTIONS(500),
    [anon_sym_uint256] = ACTIONS(500),
    [anon_sym_bytes] = ACTIONS(500),
    [anon_sym_bytes1] = ACTIONS(500),
    [anon_sym_bytes2] = ACTIONS(500),
    [anon_sym_bytes3] = ACTIONS(500),
    [anon_sym_bytes4] = ACTIONS(500),
    [anon_sym_bytes5] = ACTIONS(500),
    [anon_sym_bytes6] = ACTIONS(500),
    [anon_sym_bytes7] = ACTIONS(500),
    [anon_sym_bytes8] = ACTIONS(500),
    [anon_sym_bytes9] = ACTIONS(500),
    [anon_sym_bytes10] = ACTIONS(500),
    [anon_sym_bytes11] = ACTIONS(500),
    [anon_sym_bytes12] = ACTIONS(500),
    [anon_sym_bytes13] = ACTIONS(500),
    [anon_sym_bytes14] = ACTIONS(500),
    [anon_sym_bytes15] = ACTIONS(500),
    [anon_sym_bytes16] = ACTIONS(500),
    [anon_sym_bytes17] = ACTIONS(500),
    [anon_sym_bytes18] = ACTIONS(500),
    [anon_sym_bytes19] = ACTIONS(500),
    [anon_sym_bytes20] = ACTIONS(500),
    [anon_sym_bytes21] = ACTIONS(500),
    [anon_sym_bytes22] = ACTIONS(500),
    [anon_sym_bytes23] = ACTIONS(500),
    [anon_sym_bytes24] = ACTIONS(500),
    [anon_sym_bytes25] = ACTIONS(500),
    [anon_sym_bytes26] = ACTIONS(500),
    [anon_sym_bytes27] = ACTIONS(500),
    [anon_sym_bytes28] = ACTIONS(500),
    [anon_sym_bytes29] = ACTIONS(500),
    [anon_sym_bytes30] = ACTIONS(500),
    [anon_sym_bytes31] = ACTIONS(500),
    [anon_sym_bytes32] = ACTIONS(500),
    [anon_sym_fixed] = ACTIONS(500),
    [aux_sym__fixed_token1] = ACTIONS(500),
    [anon_sym_ufixed] = ACTIONS(500),
    [aux_sym__ufixed_token1] = ACTIONS(500),
    [aux_sym__decimal_number_token1] = ACTIONS(500),
    [aux_sym__decimal_number_token2] = ACTIONS(502),
    [aux_sym__hex_number_token1] = ACTIONS(502),
    [anon_sym_hex] = ACTIONS(500),
    [anon_sym_DQUOTE] = ACTIONS(502),
    [anon_sym_SQUOTE] = ACTIONS(502),
    [anon_sym_unicode] = ACTIONS(500),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_identifier] = ACTIONS(504),
    [anon_sym_DASH] = ACTIONS(504),
    [anon_sym_TILDE] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(506),
    [anon_sym_RBRACE] = ACTIONS(506),
    [anon_sym_type] = ACTIONS(504),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_for] = ACTIONS(504),
    [anon_sym_PLUS] = ACTIONS(504),
    [anon_sym_assembly] = ACTIONS(504),
    [anon_sym_break] = ACTIONS(504),
    [anon_sym_continue] = ACTIONS(504),
    [anon_sym_true] = ACTIONS(504),
    [anon_sym_false] = ACTIONS(504),
    [anon_sym_if] = ACTIONS(504),
    [anon_sym_function] = ACTIONS(504),
    [anon_sym_byte] = ACTIONS(504),
    [anon_sym_address] = ACTIONS(504),
    [anon_sym_return] = ACTIONS(504),
    [anon_sym_revert] = ACTIONS(504),
    [anon_sym_unchecked] = ACTIONS(504),
    [anon_sym_var] = ACTIONS(504),
    [anon_sym_else] = ACTIONS(504),
    [anon_sym_while] = ACTIONS(504),
    [anon_sym_do] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(504),
    [anon_sym_emit] = ACTIONS(504),
    [anon_sym_payable] = ACTIONS(504),
    [anon_sym_new] = ACTIONS(504),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_BANG] = ACTIONS(506),
    [anon_sym_delete] = ACTIONS(504),
    [anon_sym_PLUS_PLUS] = ACTIONS(506),
    [anon_sym_DASH_DASH] = ACTIONS(506),
    [anon_sym_mapping] = ACTIONS(504),
    [anon_sym_bool] = ACTIONS(504),
    [anon_sym_string] = ACTIONS(504),
    [anon_sym_int] = ACTIONS(504),
    [anon_sym_int8] = ACTIONS(504),
    [anon_sym_int16] = ACTIONS(504),
    [anon_sym_int24] = ACTIONS(504),
    [anon_sym_int32] = ACTIONS(504),
    [anon_sym_int40] = ACTIONS(504),
    [anon_sym_int48] = ACTIONS(504),
    [anon_sym_int56] = ACTIONS(504),
    [anon_sym_int64] = ACTIONS(504),
    [anon_sym_int72] = ACTIONS(504),
    [anon_sym_int80] = ACTIONS(504),
    [anon_sym_int88] = ACTIONS(504),
    [anon_sym_int96] = ACTIONS(504),
    [anon_sym_int104] = ACTIONS(504),
    [anon_sym_int112] = ACTIONS(504),
    [anon_sym_int120] = ACTIONS(504),
    [anon_sym_int128] = ACTIONS(504),
    [anon_sym_int136] = ACTIONS(504),
    [anon_sym_int144] = ACTIONS(504),
    [anon_sym_int152] = ACTIONS(504),
    [anon_sym_int160] = ACTIONS(504),
    [anon_sym_int168] = ACTIONS(504),
    [anon_sym_int176] = ACTIONS(504),
    [anon_sym_int184] = ACTIONS(504),
    [anon_sym_int192] = ACTIONS(504),
    [anon_sym_int200] = ACTIONS(504),
    [anon_sym_int208] = ACTIONS(504),
    [anon_sym_int216] = ACTIONS(504),
    [anon_sym_int224] = ACTIONS(504),
    [anon_sym_int232] = ACTIONS(504),
    [anon_sym_int240] = ACTIONS(504),
    [anon_sym_int248] = ACTIONS(504),
    [anon_sym_int256] = ACTIONS(504),
    [anon_sym_uint] = ACTIONS(504),
    [anon_sym_uint8] = ACTIONS(504),
    [anon_sym_uint16] = ACTIONS(504),
    [anon_sym_uint24] = ACTIONS(504),
    [anon_sym_uint32] = ACTIONS(504),
    [anon_sym_uint40] = ACTIONS(504),
    [anon_sym_uint48] = ACTIONS(504),
    [anon_sym_uint56] = ACTIONS(504),
    [anon_sym_uint64] = ACTIONS(504),
    [anon_sym_uint72] = ACTIONS(504),
    [anon_sym_uint80] = ACTIONS(504),
    [anon_sym_uint88] = ACTIONS(504),
    [anon_sym_uint96] = ACTIONS(504),
    [anon_sym_uint104] = ACTIONS(504),
    [anon_sym_uint112] = ACTIONS(504),
    [anon_sym_uint120] = ACTIONS(504),
    [anon_sym_uint128] = ACTIONS(504),
    [anon_sym_uint136] = ACTIONS(504),
    [anon_sym_uint144] = ACTIONS(504),
    [anon_sym_uint152] = ACTIONS(504),
    [anon_sym_uint160] = ACTIONS(504),
    [anon_sym_uint168] = ACTIONS(504),
    [anon_sym_uint176] = ACTIONS(504),
    [anon_sym_uint184] = ACTIONS(504),
    [anon_sym_uint192] = ACTIONS(504),
    [anon_sym_uint200] = ACTIONS(504),
    [anon_sym_uint208] = ACTIONS(504),
    [anon_sym_uint216] = ACTIONS(504),
    [anon_sym_uint224] = ACTIONS(504),
    [anon_sym_uint232] = ACTIONS(504),
    [anon_sym_uint240] = ACTIONS(504),
    [anon_sym_uint248] = ACTIONS(504),
    [anon_sym_uint256] = ACTIONS(504),
    [anon_sym_bytes] = ACTIONS(504),
    [anon_sym_bytes1] = ACTIONS(504),
    [anon_sym_bytes2] = ACTIONS(504),
    [anon_sym_bytes3] = ACTIONS(504),
    [anon_sym_bytes4] = ACTIONS(504),
    [anon_sym_bytes5] = ACTIONS(504),
    [anon_sym_bytes6] = ACTIONS(504),
    [anon_sym_bytes7] = ACTIONS(504),
    [anon_sym_bytes8] = ACTIONS(504),
    [anon_sym_bytes9] = ACTIONS(504),
    [anon_sym_bytes10] = ACTIONS(504),
    [anon_sym_bytes11] = ACTIONS(504),
    [anon_sym_bytes12] = ACTIONS(504),
    [anon_sym_bytes13] = ACTIONS(504),
    [anon_sym_bytes14] = ACTIONS(504),
    [anon_sym_bytes15] = ACTIONS(504),
    [anon_sym_bytes16] = ACTIONS(504),
    [anon_sym_bytes17] = ACTIONS(504),
    [anon_sym_bytes18] = ACTIONS(504),
    [anon_sym_bytes19] = ACTIONS(504),
    [anon_sym_bytes20] = ACTIONS(504),
    [anon_sym_bytes21] = ACTIONS(504),
    [anon_sym_bytes22] = ACTIONS(504),
    [anon_sym_bytes23] = ACTIONS(504),
    [anon_sym_bytes24] = ACTIONS(504),
    [anon_sym_bytes25] = ACTIONS(504),
    [anon_sym_bytes26] = ACTIONS(504),
    [anon_sym_bytes27] = ACTIONS(504),
    [anon_sym_bytes28] = ACTIONS(504),
    [anon_sym_bytes29] = ACTIONS(504),
    [anon_sym_bytes30] = ACTIONS(504),
    [anon_sym_bytes31] = ACTIONS(504),
    [anon_sym_bytes32] = ACTIONS(504),
    [anon_sym_fixed] = ACTIONS(504),
    [aux_sym__fixed_token1] = ACTIONS(504),
    [anon_sym_ufixed] = ACTIONS(504),
    [aux_sym__ufixed_token1] = ACTIONS(504),
    [aux_sym__decimal_number_token1] = ACTIONS(504),
    [aux_sym__decimal_number_token2] = ACTIONS(506),
    [aux_sym__hex_number_token1] = ACTIONS(506),
    [anon_sym_hex] = ACTIONS(504),
    [anon_sym_DQUOTE] = ACTIONS(506),
    [anon_sym_SQUOTE] = ACTIONS(506),
    [anon_sym_unicode] = ACTIONS(504),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_identifier] = ACTIONS(508),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_TILDE] = ACTIONS(510),
    [anon_sym_LBRACE] = ACTIONS(510),
    [anon_sym_RBRACE] = ACTIONS(510),
    [anon_sym_type] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(510),
    [anon_sym_for] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(508),
    [anon_sym_assembly] = ACTIONS(508),
    [anon_sym_break] = ACTIONS(508),
    [anon_sym_continue] = ACTIONS(508),
    [anon_sym_true] = ACTIONS(508),
    [anon_sym_false] = ACTIONS(508),
    [anon_sym_if] = ACTIONS(508),
    [anon_sym_function] = ACTIONS(508),
    [anon_sym_byte] = ACTIONS(508),
    [anon_sym_address] = ACTIONS(508),
    [anon_sym_return] = ACTIONS(508),
    [anon_sym_revert] = ACTIONS(508),
    [anon_sym_unchecked] = ACTIONS(508),
    [anon_sym_var] = ACTIONS(508),
    [anon_sym_else] = ACTIONS(508),
    [anon_sym_while] = ACTIONS(508),
    [anon_sym_do] = ACTIONS(508),
    [anon_sym_try] = ACTIONS(508),
    [anon_sym_emit] = ACTIONS(508),
    [anon_sym_payable] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(510),
    [anon_sym_BANG] = ACTIONS(510),
    [anon_sym_delete] = ACTIONS(508),
    [anon_sym_PLUS_PLUS] = ACTIONS(510),
    [anon_sym_DASH_DASH] = ACTIONS(510),
    [anon_sym_mapping] = ACTIONS(508),
    [anon_sym_bool] = ACTIONS(508),
    [anon_sym_string] = ACTIONS(508),
    [anon_sym_int] = ACTIONS(508),
    [anon_sym_int8] = ACTIONS(508),
    [anon_sym_int16] = ACTIONS(508),
    [anon_sym_int24] = ACTIONS(508),
    [anon_sym_int32] = ACTIONS(508),
    [anon_sym_int40] = ACTIONS(508),
    [anon_sym_int48] = ACTIONS(508),
    [anon_sym_int56] = ACTIONS(508),
    [anon_sym_int64] = ACTIONS(508),
    [anon_sym_int72] = ACTIONS(508),
    [anon_sym_int80] = ACTIONS(508),
    [anon_sym_int88] = ACTIONS(508),
    [anon_sym_int96] = ACTIONS(508),
    [anon_sym_int104] = ACTIONS(508),
    [anon_sym_int112] = ACTIONS(508),
    [anon_sym_int120] = ACTIONS(508),
    [anon_sym_int128] = ACTIONS(508),
    [anon_sym_int136] = ACTIONS(508),
    [anon_sym_int144] = ACTIONS(508),
    [anon_sym_int152] = ACTIONS(508),
    [anon_sym_int160] = ACTIONS(508),
    [anon_sym_int168] = ACTIONS(508),
    [anon_sym_int176] = ACTIONS(508),
    [anon_sym_int184] = ACTIONS(508),
    [anon_sym_int192] = ACTIONS(508),
    [anon_sym_int200] = ACTIONS(508),
    [anon_sym_int208] = ACTIONS(508),
    [anon_sym_int216] = ACTIONS(508),
    [anon_sym_int224] = ACTIONS(508),
    [anon_sym_int232] = ACTIONS(508),
    [anon_sym_int240] = ACTIONS(508),
    [anon_sym_int248] = ACTIONS(508),
    [anon_sym_int256] = ACTIONS(508),
    [anon_sym_uint] = ACTIONS(508),
    [anon_sym_uint8] = ACTIONS(508),
    [anon_sym_uint16] = ACTIONS(508),
    [anon_sym_uint24] = ACTIONS(508),
    [anon_sym_uint32] = ACTIONS(508),
    [anon_sym_uint40] = ACTIONS(508),
    [anon_sym_uint48] = ACTIONS(508),
    [anon_sym_uint56] = ACTIONS(508),
    [anon_sym_uint64] = ACTIONS(508),
    [anon_sym_uint72] = ACTIONS(508),
    [anon_sym_uint80] = ACTIONS(508),
    [anon_sym_uint88] = ACTIONS(508),
    [anon_sym_uint96] = ACTIONS(508),
    [anon_sym_uint104] = ACTIONS(508),
    [anon_sym_uint112] = ACTIONS(508),
    [anon_sym_uint120] = ACTIONS(508),
    [anon_sym_uint128] = ACTIONS(508),
    [anon_sym_uint136] = ACTIONS(508),
    [anon_sym_uint144] = ACTIONS(508),
    [anon_sym_uint152] = ACTIONS(508),
    [anon_sym_uint160] = ACTIONS(508),
    [anon_sym_uint168] = ACTIONS(508),
    [anon_sym_uint176] = ACTIONS(508),
    [anon_sym_uint184] = ACTIONS(508),
    [anon_sym_uint192] = ACTIONS(508),
    [anon_sym_uint200] = ACTIONS(508),
    [anon_sym_uint208] = ACTIONS(508),
    [anon_sym_uint216] = ACTIONS(508),
    [anon_sym_uint224] = ACTIONS(508),
    [anon_sym_uint232] = ACTIONS(508),
    [anon_sym_uint240] = ACTIONS(508),
    [anon_sym_uint248] = ACTIONS(508),
    [anon_sym_uint256] = ACTIONS(508),
    [anon_sym_bytes] = ACTIONS(508),
    [anon_sym_bytes1] = ACTIONS(508),
    [anon_sym_bytes2] = ACTIONS(508),
    [anon_sym_bytes3] = ACTIONS(508),
    [anon_sym_bytes4] = ACTIONS(508),
    [anon_sym_bytes5] = ACTIONS(508),
    [anon_sym_bytes6] = ACTIONS(508),
    [anon_sym_bytes7] = ACTIONS(508),
    [anon_sym_bytes8] = ACTIONS(508),
    [anon_sym_bytes9] = ACTIONS(508),
    [anon_sym_bytes10] = ACTIONS(508),
    [anon_sym_bytes11] = ACTIONS(508),
    [anon_sym_bytes12] = ACTIONS(508),
    [anon_sym_bytes13] = ACTIONS(508),
    [anon_sym_bytes14] = ACTIONS(508),
    [anon_sym_bytes15] = ACTIONS(508),
    [anon_sym_bytes16] = ACTIONS(508),
    [anon_sym_bytes17] = ACTIONS(508),
    [anon_sym_bytes18] = ACTIONS(508),
    [anon_sym_bytes19] = ACTIONS(508),
    [anon_sym_bytes20] = ACTIONS(508),
    [anon_sym_bytes21] = ACTIONS(508),
    [anon_sym_bytes22] = ACTIONS(508),
    [anon_sym_bytes23] = ACTIONS(508),
    [anon_sym_bytes24] = ACTIONS(508),
    [anon_sym_bytes25] = ACTIONS(508),
    [anon_sym_bytes26] = ACTIONS(508),
    [anon_sym_bytes27] = ACTIONS(508),
    [anon_sym_bytes28] = ACTIONS(508),
    [anon_sym_bytes29] = ACTIONS(508),
    [anon_sym_bytes30] = ACTIONS(508),
    [anon_sym_bytes31] = ACTIONS(508),
    [anon_sym_bytes32] = ACTIONS(508),
    [anon_sym_fixed] = ACTIONS(508),
    [aux_sym__fixed_token1] = ACTIONS(508),
    [anon_sym_ufixed] = ACTIONS(508),
    [aux_sym__ufixed_token1] = ACTIONS(508),
    [aux_sym__decimal_number_token1] = ACTIONS(508),
    [aux_sym__decimal_number_token2] = ACTIONS(510),
    [aux_sym__hex_number_token1] = ACTIONS(510),
    [anon_sym_hex] = ACTIONS(508),
    [anon_sym_DQUOTE] = ACTIONS(510),
    [anon_sym_SQUOTE] = ACTIONS(510),
    [anon_sym_unicode] = ACTIONS(508),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_identifier] = ACTIONS(512),
    [anon_sym_DASH] = ACTIONS(512),
    [anon_sym_TILDE] = ACTIONS(514),
    [anon_sym_LBRACE] = ACTIONS(514),
    [anon_sym_RBRACE] = ACTIONS(514),
    [anon_sym_type] = ACTIONS(512),
    [anon_sym_LPAREN] = ACTIONS(514),
    [anon_sym_for] = ACTIONS(512),
    [anon_sym_PLUS] = ACTIONS(512),
    [anon_sym_assembly] = ACTIONS(512),
    [anon_sym_break] = ACTIONS(512),
    [anon_sym_continue] = ACTIONS(512),
    [anon_sym_true] = ACTIONS(512),
    [anon_sym_false] = ACTIONS(512),
    [anon_sym_if] = ACTIONS(512),
    [anon_sym_function] = ACTIONS(512),
    [anon_sym_byte] = ACTIONS(512),
    [anon_sym_address] = ACTIONS(512),
    [anon_sym_return] = ACTIONS(512),
    [anon_sym_revert] = ACTIONS(512),
    [anon_sym_unchecked] = ACTIONS(512),
    [anon_sym_var] = ACTIONS(512),
    [anon_sym_else] = ACTIONS(512),
    [anon_sym_while] = ACTIONS(512),
    [anon_sym_do] = ACTIONS(512),
    [anon_sym_try] = ACTIONS(512),
    [anon_sym_emit] = ACTIONS(512),
    [anon_sym_payable] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(512),
    [anon_sym_LBRACK] = ACTIONS(514),
    [anon_sym_BANG] = ACTIONS(514),
    [anon_sym_delete] = ACTIONS(512),
    [anon_sym_PLUS_PLUS] = ACTIONS(514),
    [anon_sym_DASH_DASH] = ACTIONS(514),
    [anon_sym_mapping] = ACTIONS(512),
    [anon_sym_bool] = ACTIONS(512),
    [anon_sym_string] = ACTIONS(512),
    [anon_sym_int] = ACTIONS(512),
    [anon_sym_int8] = ACTIONS(512),
    [anon_sym_int16] = ACTIONS(512),
    [anon_sym_int24] = ACTIONS(512),
    [anon_sym_int32] = ACTIONS(512),
    [anon_sym_int40] = ACTIONS(512),
    [anon_sym_int48] = ACTIONS(512),
    [anon_sym_int56] = ACTIONS(512),
    [anon_sym_int64] = ACTIONS(512),
    [anon_sym_int72] = ACTIONS(512),
    [anon_sym_int80] = ACTIONS(512),
    [anon_sym_int88] = ACTIONS(512),
    [anon_sym_int96] = ACTIONS(512),
    [anon_sym_int104] = ACTIONS(512),
    [anon_sym_int112] = ACTIONS(512),
    [anon_sym_int120] = ACTIONS(512),
    [anon_sym_int128] = ACTIONS(512),
    [anon_sym_int136] = ACTIONS(512),
    [anon_sym_int144] = ACTIONS(512),
    [anon_sym_int152] = ACTIONS(512),
    [anon_sym_int160] = ACTIONS(512),
    [anon_sym_int168] = ACTIONS(512),
    [anon_sym_int176] = ACTIONS(512),
    [anon_sym_int184] = ACTIONS(512),
    [anon_sym_int192] = ACTIONS(512),
    [anon_sym_int200] = ACTIONS(512),
    [anon_sym_int208] = ACTIONS(512),
    [anon_sym_int216] = ACTIONS(512),
    [anon_sym_int224] = ACTIONS(512),
    [anon_sym_int232] = ACTIONS(512),
    [anon_sym_int240] = ACTIONS(512),
    [anon_sym_int248] = ACTIONS(512),
    [anon_sym_int256] = ACTIONS(512),
    [anon_sym_uint] = ACTIONS(512),
    [anon_sym_uint8] = ACTIONS(512),
    [anon_sym_uint16] = ACTIONS(512),
    [anon_sym_uint24] = ACTIONS(512),
    [anon_sym_uint32] = ACTIONS(512),
    [anon_sym_uint40] = ACTIONS(512),
    [anon_sym_uint48] = ACTIONS(512),
    [anon_sym_uint56] = ACTIONS(512),
    [anon_sym_uint64] = ACTIONS(512),
    [anon_sym_uint72] = ACTIONS(512),
    [anon_sym_uint80] = ACTIONS(512),
    [anon_sym_uint88] = ACTIONS(512),
    [anon_sym_uint96] = ACTIONS(512),
    [anon_sym_uint104] = ACTIONS(512),
    [anon_sym_uint112] = ACTIONS(512),
    [anon_sym_uint120] = ACTIONS(512),
    [anon_sym_uint128] = ACTIONS(512),
    [anon_sym_uint136] = ACTIONS(512),
    [anon_sym_uint144] = ACTIONS(512),
    [anon_sym_uint152] = ACTIONS(512),
    [anon_sym_uint160] = ACTIONS(512),
    [anon_sym_uint168] = ACTIONS(512),
    [anon_sym_uint176] = ACTIONS(512),
    [anon_sym_uint184] = ACTIONS(512),
    [anon_sym_uint192] = ACTIONS(512),
    [anon_sym_uint200] = ACTIONS(512),
    [anon_sym_uint208] = ACTIONS(512),
    [anon_sym_uint216] = ACTIONS(512),
    [anon_sym_uint224] = ACTIONS(512),
    [anon_sym_uint232] = ACTIONS(512),
    [anon_sym_uint240] = ACTIONS(512),
    [anon_sym_uint248] = ACTIONS(512),
    [anon_sym_uint256] = ACTIONS(512),
    [anon_sym_bytes] = ACTIONS(512),
    [anon_sym_bytes1] = ACTIONS(512),
    [anon_sym_bytes2] = ACTIONS(512),
    [anon_sym_bytes3] = ACTIONS(512),
    [anon_sym_bytes4] = ACTIONS(512),
    [anon_sym_bytes5] = ACTIONS(512),
    [anon_sym_bytes6] = ACTIONS(512),
    [anon_sym_bytes7] = ACTIONS(512),
    [anon_sym_bytes8] = ACTIONS(512),
    [anon_sym_bytes9] = ACTIONS(512),
    [anon_sym_bytes10] = ACTIONS(512),
    [anon_sym_bytes11] = ACTIONS(512),
    [anon_sym_bytes12] = ACTIONS(512),
    [anon_sym_bytes13] = ACTIONS(512),
    [anon_sym_bytes14] = ACTIONS(512),
    [anon_sym_bytes15] = ACTIONS(512),
    [anon_sym_bytes16] = ACTIONS(512),
    [anon_sym_bytes17] = ACTIONS(512),
    [anon_sym_bytes18] = ACTIONS(512),
    [anon_sym_bytes19] = ACTIONS(512),
    [anon_sym_bytes20] = ACTIONS(512),
    [anon_sym_bytes21] = ACTIONS(512),
    [anon_sym_bytes22] = ACTIONS(512),
    [anon_sym_bytes23] = ACTIONS(512),
    [anon_sym_bytes24] = ACTIONS(512),
    [anon_sym_bytes25] = ACTIONS(512),
    [anon_sym_bytes26] = ACTIONS(512),
    [anon_sym_bytes27] = ACTIONS(512),
    [anon_sym_bytes28] = ACTIONS(512),
    [anon_sym_bytes29] = ACTIONS(512),
    [anon_sym_bytes30] = ACTIONS(512),
    [anon_sym_bytes31] = ACTIONS(512),
    [anon_sym_bytes32] = ACTIONS(512),
    [anon_sym_fixed] = ACTIONS(512),
    [aux_sym__fixed_token1] = ACTIONS(512),
    [anon_sym_ufixed] = ACTIONS(512),
    [aux_sym__ufixed_token1] = ACTIONS(512),
    [aux_sym__decimal_number_token1] = ACTIONS(512),
    [aux_sym__decimal_number_token2] = ACTIONS(514),
    [aux_sym__hex_number_token1] = ACTIONS(514),
    [anon_sym_hex] = ACTIONS(512),
    [anon_sym_DQUOTE] = ACTIONS(514),
    [anon_sym_SQUOTE] = ACTIONS(514),
    [anon_sym_unicode] = ACTIONS(512),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_identifier] = ACTIONS(516),
    [anon_sym_DASH] = ACTIONS(516),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_LBRACE] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(518),
    [anon_sym_type] = ACTIONS(516),
    [anon_sym_LPAREN] = ACTIONS(518),
    [anon_sym_for] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(516),
    [anon_sym_assembly] = ACTIONS(516),
    [anon_sym_break] = ACTIONS(516),
    [anon_sym_continue] = ACTIONS(516),
    [anon_sym_true] = ACTIONS(516),
    [anon_sym_false] = ACTIONS(516),
    [anon_sym_if] = ACTIONS(516),
    [anon_sym_function] = ACTIONS(516),
    [anon_sym_byte] = ACTIONS(516),
    [anon_sym_address] = ACTIONS(516),
    [anon_sym_return] = ACTIONS(516),
    [anon_sym_revert] = ACTIONS(516),
    [anon_sym_unchecked] = ACTIONS(516),
    [anon_sym_var] = ACTIONS(516),
    [anon_sym_else] = ACTIONS(516),
    [anon_sym_while] = ACTIONS(516),
    [anon_sym_do] = ACTIONS(516),
    [anon_sym_try] = ACTIONS(516),
    [anon_sym_emit] = ACTIONS(516),
    [anon_sym_payable] = ACTIONS(516),
    [anon_sym_new] = ACTIONS(516),
    [anon_sym_LBRACK] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_delete] = ACTIONS(516),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [anon_sym_mapping] = ACTIONS(516),
    [anon_sym_bool] = ACTIONS(516),
    [anon_sym_string] = ACTIONS(516),
    [anon_sym_int] = ACTIONS(516),
    [anon_sym_int8] = ACTIONS(516),
    [anon_sym_int16] = ACTIONS(516),
    [anon_sym_int24] = ACTIONS(516),
    [anon_sym_int32] = ACTIONS(516),
    [anon_sym_int40] = ACTIONS(516),
    [anon_sym_int48] = ACTIONS(516),
    [anon_sym_int56] = ACTIONS(516),
    [anon_sym_int64] = ACTIONS(516),
    [anon_sym_int72] = ACTIONS(516),
    [anon_sym_int80] = ACTIONS(516),
    [anon_sym_int88] = ACTIONS(516),
    [anon_sym_int96] = ACTIONS(516),
    [anon_sym_int104] = ACTIONS(516),
    [anon_sym_int112] = ACTIONS(516),
    [anon_sym_int120] = ACTIONS(516),
    [anon_sym_int128] = ACTIONS(516),
    [anon_sym_int136] = ACTIONS(516),
    [anon_sym_int144] = ACTIONS(516),
    [anon_sym_int152] = ACTIONS(516),
    [anon_sym_int160] = ACTIONS(516),
    [anon_sym_int168] = ACTIONS(516),
    [anon_sym_int176] = ACTIONS(516),
    [anon_sym_int184] = ACTIONS(516),
    [anon_sym_int192] = ACTIONS(516),
    [anon_sym_int200] = ACTIONS(516),
    [anon_sym_int208] = ACTIONS(516),
    [anon_sym_int216] = ACTIONS(516),
    [anon_sym_int224] = ACTIONS(516),
    [anon_sym_int232] = ACTIONS(516),
    [anon_sym_int240] = ACTIONS(516),
    [anon_sym_int248] = ACTIONS(516),
    [anon_sym_int256] = ACTIONS(516),
    [anon_sym_uint] = ACTIONS(516),
    [anon_sym_uint8] = ACTIONS(516),
    [anon_sym_uint16] = ACTIONS(516),
    [anon_sym_uint24] = ACTIONS(516),
    [anon_sym_uint32] = ACTIONS(516),
    [anon_sym_uint40] = ACTIONS(516),
    [anon_sym_uint48] = ACTIONS(516),
    [anon_sym_uint56] = ACTIONS(516),
    [anon_sym_uint64] = ACTIONS(516),
    [anon_sym_uint72] = ACTIONS(516),
    [anon_sym_uint80] = ACTIONS(516),
    [anon_sym_uint88] = ACTIONS(516),
    [anon_sym_uint96] = ACTIONS(516),
    [anon_sym_uint104] = ACTIONS(516),
    [anon_sym_uint112] = ACTIONS(516),
    [anon_sym_uint120] = ACTIONS(516),
    [anon_sym_uint128] = ACTIONS(516),
    [anon_sym_uint136] = ACTIONS(516),
    [anon_sym_uint144] = ACTIONS(516),
    [anon_sym_uint152] = ACTIONS(516),
    [anon_sym_uint160] = ACTIONS(516),
    [anon_sym_uint168] = ACTIONS(516),
    [anon_sym_uint176] = ACTIONS(516),
    [anon_sym_uint184] = ACTIONS(516),
    [anon_sym_uint192] = ACTIONS(516),
    [anon_sym_uint200] = ACTIONS(516),
    [anon_sym_uint208] = ACTIONS(516),
    [anon_sym_uint216] = ACTIONS(516),
    [anon_sym_uint224] = ACTIONS(516),
    [anon_sym_uint232] = ACTIONS(516),
    [anon_sym_uint240] = ACTIONS(516),
    [anon_sym_uint248] = ACTIONS(516),
    [anon_sym_uint256] = ACTIONS(516),
    [anon_sym_bytes] = ACTIONS(516),
    [anon_sym_bytes1] = ACTIONS(516),
    [anon_sym_bytes2] = ACTIONS(516),
    [anon_sym_bytes3] = ACTIONS(516),
    [anon_sym_bytes4] = ACTIONS(516),
    [anon_sym_bytes5] = ACTIONS(516),
    [anon_sym_bytes6] = ACTIONS(516),
    [anon_sym_bytes7] = ACTIONS(516),
    [anon_sym_bytes8] = ACTIONS(516),
    [anon_sym_bytes9] = ACTIONS(516),
    [anon_sym_bytes10] = ACTIONS(516),
    [anon_sym_bytes11] = ACTIONS(516),
    [anon_sym_bytes12] = ACTIONS(516),
    [anon_sym_bytes13] = ACTIONS(516),
    [anon_sym_bytes14] = ACTIONS(516),
    [anon_sym_bytes15] = ACTIONS(516),
    [anon_sym_bytes16] = ACTIONS(516),
    [anon_sym_bytes17] = ACTIONS(516),
    [anon_sym_bytes18] = ACTIONS(516),
    [anon_sym_bytes19] = ACTIONS(516),
    [anon_sym_bytes20] = ACTIONS(516),
    [anon_sym_bytes21] = ACTIONS(516),
    [anon_sym_bytes22] = ACTIONS(516),
    [anon_sym_bytes23] = ACTIONS(516),
    [anon_sym_bytes24] = ACTIONS(516),
    [anon_sym_bytes25] = ACTIONS(516),
    [anon_sym_bytes26] = ACTIONS(516),
    [anon_sym_bytes27] = ACTIONS(516),
    [anon_sym_bytes28] = ACTIONS(516),
    [anon_sym_bytes29] = ACTIONS(516),
    [anon_sym_bytes30] = ACTIONS(516),
    [anon_sym_bytes31] = ACTIONS(516),
    [anon_sym_bytes32] = ACTIONS(516),
    [anon_sym_fixed] = ACTIONS(516),
    [aux_sym__fixed_token1] = ACTIONS(516),
    [anon_sym_ufixed] = ACTIONS(516),
    [aux_sym__ufixed_token1] = ACTIONS(516),
    [aux_sym__decimal_number_token1] = ACTIONS(516),
    [aux_sym__decimal_number_token2] = ACTIONS(518),
    [aux_sym__hex_number_token1] = ACTIONS(518),
    [anon_sym_hex] = ACTIONS(516),
    [anon_sym_DQUOTE] = ACTIONS(518),
    [anon_sym_SQUOTE] = ACTIONS(518),
    [anon_sym_unicode] = ACTIONS(516),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_identifier] = ACTIONS(520),
    [anon_sym_DASH] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(522),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_RBRACE] = ACTIONS(522),
    [anon_sym_type] = ACTIONS(520),
    [anon_sym_LPAREN] = ACTIONS(522),
    [anon_sym_for] = ACTIONS(520),
    [anon_sym_PLUS] = ACTIONS(520),
    [anon_sym_assembly] = ACTIONS(520),
    [anon_sym_break] = ACTIONS(520),
    [anon_sym_continue] = ACTIONS(520),
    [anon_sym_true] = ACTIONS(520),
    [anon_sym_false] = ACTIONS(520),
    [anon_sym_if] = ACTIONS(520),
    [anon_sym_function] = ACTIONS(520),
    [anon_sym_byte] = ACTIONS(520),
    [anon_sym_address] = ACTIONS(520),
    [anon_sym_return] = ACTIONS(520),
    [anon_sym_revert] = ACTIONS(520),
    [anon_sym_unchecked] = ACTIONS(520),
    [anon_sym_var] = ACTIONS(520),
    [anon_sym_else] = ACTIONS(520),
    [anon_sym_while] = ACTIONS(520),
    [anon_sym_do] = ACTIONS(520),
    [anon_sym_try] = ACTIONS(520),
    [anon_sym_emit] = ACTIONS(520),
    [anon_sym_payable] = ACTIONS(520),
    [anon_sym_new] = ACTIONS(520),
    [anon_sym_LBRACK] = ACTIONS(522),
    [anon_sym_BANG] = ACTIONS(522),
    [anon_sym_delete] = ACTIONS(520),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [anon_sym_mapping] = ACTIONS(520),
    [anon_sym_bool] = ACTIONS(520),
    [anon_sym_string] = ACTIONS(520),
    [anon_sym_int] = ACTIONS(520),
    [anon_sym_int8] = ACTIONS(520),
    [anon_sym_int16] = ACTIONS(520),
    [anon_sym_int24] = ACTIONS(520),
    [anon_sym_int32] = ACTIONS(520),
    [anon_sym_int40] = ACTIONS(520),
    [anon_sym_int48] = ACTIONS(520),
    [anon_sym_int56] = ACTIONS(520),
    [anon_sym_int64] = ACTIONS(520),
    [anon_sym_int72] = ACTIONS(520),
    [anon_sym_int80] = ACTIONS(520),
    [anon_sym_int88] = ACTIONS(520),
    [anon_sym_int96] = ACTIONS(520),
    [anon_sym_int104] = ACTIONS(520),
    [anon_sym_int112] = ACTIONS(520),
    [anon_sym_int120] = ACTIONS(520),
    [anon_sym_int128] = ACTIONS(520),
    [anon_sym_int136] = ACTIONS(520),
    [anon_sym_int144] = ACTIONS(520),
    [anon_sym_int152] = ACTIONS(520),
    [anon_sym_int160] = ACTIONS(520),
    [anon_sym_int168] = ACTIONS(520),
    [anon_sym_int176] = ACTIONS(520),
    [anon_sym_int184] = ACTIONS(520),
    [anon_sym_int192] = ACTIONS(520),
    [anon_sym_int200] = ACTIONS(520),
    [anon_sym_int208] = ACTIONS(520),
    [anon_sym_int216] = ACTIONS(520),
    [anon_sym_int224] = ACTIONS(520),
    [anon_sym_int232] = ACTIONS(520),
    [anon_sym_int240] = ACTIONS(520),
    [anon_sym_int248] = ACTIONS(520),
    [anon_sym_int256] = ACTIONS(520),
    [anon_sym_uint] = ACTIONS(520),
    [anon_sym_uint8] = ACTIONS(520),
    [anon_sym_uint16] = ACTIONS(520),
    [anon_sym_uint24] = ACTIONS(520),
    [anon_sym_uint32] = ACTIONS(520),
    [anon_sym_uint40] = ACTIONS(520),
    [anon_sym_uint48] = ACTIONS(520),
    [anon_sym_uint56] = ACTIONS(520),
    [anon_sym_uint64] = ACTIONS(520),
    [anon_sym_uint72] = ACTIONS(520),
    [anon_sym_uint80] = ACTIONS(520),
    [anon_sym_uint88] = ACTIONS(520),
    [anon_sym_uint96] = ACTIONS(520),
    [anon_sym_uint104] = ACTIONS(520),
    [anon_sym_uint112] = ACTIONS(520),
    [anon_sym_uint120] = ACTIONS(520),
    [anon_sym_uint128] = ACTIONS(520),
    [anon_sym_uint136] = ACTIONS(520),
    [anon_sym_uint144] = ACTIONS(520),
    [anon_sym_uint152] = ACTIONS(520),
    [anon_sym_uint160] = ACTIONS(520),
    [anon_sym_uint168] = ACTIONS(520),
    [anon_sym_uint176] = ACTIONS(520),
    [anon_sym_uint184] = ACTIONS(520),
    [anon_sym_uint192] = ACTIONS(520),
    [anon_sym_uint200] = ACTIONS(520),
    [anon_sym_uint208] = ACTIONS(520),
    [anon_sym_uint216] = ACTIONS(520),
    [anon_sym_uint224] = ACTIONS(520),
    [anon_sym_uint232] = ACTIONS(520),
    [anon_sym_uint240] = ACTIONS(520),
    [anon_sym_uint248] = ACTIONS(520),
    [anon_sym_uint256] = ACTIONS(520),
    [anon_sym_bytes] = ACTIONS(520),
    [anon_sym_bytes1] = ACTIONS(520),
    [anon_sym_bytes2] = ACTIONS(520),
    [anon_sym_bytes3] = ACTIONS(520),
    [anon_sym_bytes4] = ACTIONS(520),
    [anon_sym_bytes5] = ACTIONS(520),
    [anon_sym_bytes6] = ACTIONS(520),
    [anon_sym_bytes7] = ACTIONS(520),
    [anon_sym_bytes8] = ACTIONS(520),
    [anon_sym_bytes9] = ACTIONS(520),
    [anon_sym_bytes10] = ACTIONS(520),
    [anon_sym_bytes11] = ACTIONS(520),
    [anon_sym_bytes12] = ACTIONS(520),
    [anon_sym_bytes13] = ACTIONS(520),
    [anon_sym_bytes14] = ACTIONS(520),
    [anon_sym_bytes15] = ACTIONS(520),
    [anon_sym_bytes16] = ACTIONS(520),
    [anon_sym_bytes17] = ACTIONS(520),
    [anon_sym_bytes18] = ACTIONS(520),
    [anon_sym_bytes19] = ACTIONS(520),
    [anon_sym_bytes20] = ACTIONS(520),
    [anon_sym_bytes21] = ACTIONS(520),
    [anon_sym_bytes22] = ACTIONS(520),
    [anon_sym_bytes23] = ACTIONS(520),
    [anon_sym_bytes24] = ACTIONS(520),
    [anon_sym_bytes25] = ACTIONS(520),
    [anon_sym_bytes26] = ACTIONS(520),
    [anon_sym_bytes27] = ACTIONS(520),
    [anon_sym_bytes28] = ACTIONS(520),
    [anon_sym_bytes29] = ACTIONS(520),
    [anon_sym_bytes30] = ACTIONS(520),
    [anon_sym_bytes31] = ACTIONS(520),
    [anon_sym_bytes32] = ACTIONS(520),
    [anon_sym_fixed] = ACTIONS(520),
    [aux_sym__fixed_token1] = ACTIONS(520),
    [anon_sym_ufixed] = ACTIONS(520),
    [aux_sym__ufixed_token1] = ACTIONS(520),
    [aux_sym__decimal_number_token1] = ACTIONS(520),
    [aux_sym__decimal_number_token2] = ACTIONS(522),
    [aux_sym__hex_number_token1] = ACTIONS(522),
    [anon_sym_hex] = ACTIONS(520),
    [anon_sym_DQUOTE] = ACTIONS(522),
    [anon_sym_SQUOTE] = ACTIONS(522),
    [anon_sym_unicode] = ACTIONS(520),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_identifier] = ACTIONS(524),
    [anon_sym_DASH] = ACTIONS(524),
    [anon_sym_TILDE] = ACTIONS(526),
    [anon_sym_LBRACE] = ACTIONS(526),
    [anon_sym_RBRACE] = ACTIONS(526),
    [anon_sym_type] = ACTIONS(524),
    [anon_sym_LPAREN] = ACTIONS(526),
    [anon_sym_for] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(524),
    [anon_sym_assembly] = ACTIONS(524),
    [anon_sym_break] = ACTIONS(524),
    [anon_sym_continue] = ACTIONS(524),
    [anon_sym_true] = ACTIONS(524),
    [anon_sym_false] = ACTIONS(524),
    [anon_sym_if] = ACTIONS(524),
    [anon_sym_function] = ACTIONS(524),
    [anon_sym_byte] = ACTIONS(524),
    [anon_sym_address] = ACTIONS(524),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_revert] = ACTIONS(524),
    [anon_sym_unchecked] = ACTIONS(524),
    [anon_sym_var] = ACTIONS(524),
    [anon_sym_else] = ACTIONS(524),
    [anon_sym_while] = ACTIONS(524),
    [anon_sym_do] = ACTIONS(524),
    [anon_sym_try] = ACTIONS(524),
    [anon_sym_emit] = ACTIONS(524),
    [anon_sym_payable] = ACTIONS(524),
    [anon_sym_new] = ACTIONS(524),
    [anon_sym_LBRACK] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(526),
    [anon_sym_delete] = ACTIONS(524),
    [anon_sym_PLUS_PLUS] = ACTIONS(526),
    [anon_sym_DASH_DASH] = ACTIONS(526),
    [anon_sym_mapping] = ACTIONS(524),
    [anon_sym_bool] = ACTIONS(524),
    [anon_sym_string] = ACTIONS(524),
    [anon_sym_int] = ACTIONS(524),
    [anon_sym_int8] = ACTIONS(524),
    [anon_sym_int16] = ACTIONS(524),
    [anon_sym_int24] = ACTIONS(524),
    [anon_sym_int32] = ACTIONS(524),
    [anon_sym_int40] = ACTIONS(524),
    [anon_sym_int48] = ACTIONS(524),
    [anon_sym_int56] = ACTIONS(524),
    [anon_sym_int64] = ACTIONS(524),
    [anon_sym_int72] = ACTIONS(524),
    [anon_sym_int80] = ACTIONS(524),
    [anon_sym_int88] = ACTIONS(524),
    [anon_sym_int96] = ACTIONS(524),
    [anon_sym_int104] = ACTIONS(524),
    [anon_sym_int112] = ACTIONS(524),
    [anon_sym_int120] = ACTIONS(524),
    [anon_sym_int128] = ACTIONS(524),
    [anon_sym_int136] = ACTIONS(524),
    [anon_sym_int144] = ACTIONS(524),
    [anon_sym_int152] = ACTIONS(524),
    [anon_sym_int160] = ACTIONS(524),
    [anon_sym_int168] = ACTIONS(524),
    [anon_sym_int176] = ACTIONS(524),
    [anon_sym_int184] = ACTIONS(524),
    [anon_sym_int192] = ACTIONS(524),
    [anon_sym_int200] = ACTIONS(524),
    [anon_sym_int208] = ACTIONS(524),
    [anon_sym_int216] = ACTIONS(524),
    [anon_sym_int224] = ACTIONS(524),
    [anon_sym_int232] = ACTIONS(524),
    [anon_sym_int240] = ACTIONS(524),
    [anon_sym_int248] = ACTIONS(524),
    [anon_sym_int256] = ACTIONS(524),
    [anon_sym_uint] = ACTIONS(524),
    [anon_sym_uint8] = ACTIONS(524),
    [anon_sym_uint16] = ACTIONS(524),
    [anon_sym_uint24] = ACTIONS(524),
    [anon_sym_uint32] = ACTIONS(524),
    [anon_sym_uint40] = ACTIONS(524),
    [anon_sym_uint48] = ACTIONS(524),
    [anon_sym_uint56] = ACTIONS(524),
    [anon_sym_uint64] = ACTIONS(524),
    [anon_sym_uint72] = ACTIONS(524),
    [anon_sym_uint80] = ACTIONS(524),
    [anon_sym_uint88] = ACTIONS(524),
    [anon_sym_uint96] = ACTIONS(524),
    [anon_sym_uint104] = ACTIONS(524),
    [anon_sym_uint112] = ACTIONS(524),
    [anon_sym_uint120] = ACTIONS(524),
    [anon_sym_uint128] = ACTIONS(524),
    [anon_sym_uint136] = ACTIONS(524),
    [anon_sym_uint144] = ACTIONS(524),
    [anon_sym_uint152] = ACTIONS(524),
    [anon_sym_uint160] = ACTIONS(524),
    [anon_sym_uint168] = ACTIONS(524),
    [anon_sym_uint176] = ACTIONS(524),
    [anon_sym_uint184] = ACTIONS(524),
    [anon_sym_uint192] = ACTIONS(524),
    [anon_sym_uint200] = ACTIONS(524),
    [anon_sym_uint208] = ACTIONS(524),
    [anon_sym_uint216] = ACTIONS(524),
    [anon_sym_uint224] = ACTIONS(524),
    [anon_sym_uint232] = ACTIONS(524),
    [anon_sym_uint240] = ACTIONS(524),
    [anon_sym_uint248] = ACTIONS(524),
    [anon_sym_uint256] = ACTIONS(524),
    [anon_sym_bytes] = ACTIONS(524),
    [anon_sym_bytes1] = ACTIONS(524),
    [anon_sym_bytes2] = ACTIONS(524),
    [anon_sym_bytes3] = ACTIONS(524),
    [anon_sym_bytes4] = ACTIONS(524),
    [anon_sym_bytes5] = ACTIONS(524),
    [anon_sym_bytes6] = ACTIONS(524),
    [anon_sym_bytes7] = ACTIONS(524),
    [anon_sym_bytes8] = ACTIONS(524),
    [anon_sym_bytes9] = ACTIONS(524),
    [anon_sym_bytes10] = ACTIONS(524),
    [anon_sym_bytes11] = ACTIONS(524),
    [anon_sym_bytes12] = ACTIONS(524),
    [anon_sym_bytes13] = ACTIONS(524),
    [anon_sym_bytes14] = ACTIONS(524),
    [anon_sym_bytes15] = ACTIONS(524),
    [anon_sym_bytes16] = ACTIONS(524),
    [anon_sym_bytes17] = ACTIONS(524),
    [anon_sym_bytes18] = ACTIONS(524),
    [anon_sym_bytes19] = ACTIONS(524),
    [anon_sym_bytes20] = ACTIONS(524),
    [anon_sym_bytes21] = ACTIONS(524),
    [anon_sym_bytes22] = ACTIONS(524),
    [anon_sym_bytes23] = ACTIONS(524),
    [anon_sym_bytes24] = ACTIONS(524),
    [anon_sym_bytes25] = ACTIONS(524),
    [anon_sym_bytes26] = ACTIONS(524),
    [anon_sym_bytes27] = ACTIONS(524),
    [anon_sym_bytes28] = ACTIONS(524),
    [anon_sym_bytes29] = ACTIONS(524),
    [anon_sym_bytes30] = ACTIONS(524),
    [anon_sym_bytes31] = ACTIONS(524),
    [anon_sym_bytes32] = ACTIONS(524),
    [anon_sym_fixed] = ACTIONS(524),
    [aux_sym__fixed_token1] = ACTIONS(524),
    [anon_sym_ufixed] = ACTIONS(524),
    [aux_sym__ufixed_token1] = ACTIONS(524),
    [aux_sym__decimal_number_token1] = ACTIONS(524),
    [aux_sym__decimal_number_token2] = ACTIONS(526),
    [aux_sym__hex_number_token1] = ACTIONS(526),
    [anon_sym_hex] = ACTIONS(524),
    [anon_sym_DQUOTE] = ACTIONS(526),
    [anon_sym_SQUOTE] = ACTIONS(526),
    [anon_sym_unicode] = ACTIONS(524),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_identifier] = ACTIONS(528),
    [anon_sym_DASH] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(530),
    [anon_sym_LBRACE] = ACTIONS(530),
    [anon_sym_RBRACE] = ACTIONS(530),
    [anon_sym_type] = ACTIONS(528),
    [anon_sym_LPAREN] = ACTIONS(530),
    [anon_sym_for] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(528),
    [anon_sym_assembly] = ACTIONS(528),
    [anon_sym_break] = ACTIONS(528),
    [anon_sym_continue] = ACTIONS(528),
    [anon_sym_true] = ACTIONS(528),
    [anon_sym_false] = ACTIONS(528),
    [anon_sym_if] = ACTIONS(528),
    [anon_sym_function] = ACTIONS(528),
    [anon_sym_byte] = ACTIONS(528),
    [anon_sym_address] = ACTIONS(528),
    [anon_sym_return] = ACTIONS(528),
    [anon_sym_revert] = ACTIONS(528),
    [anon_sym_unchecked] = ACTIONS(528),
    [anon_sym_var] = ACTIONS(528),
    [anon_sym_else] = ACTIONS(528),
    [anon_sym_while] = ACTIONS(528),
    [anon_sym_do] = ACTIONS(528),
    [anon_sym_try] = ACTIONS(528),
    [anon_sym_emit] = ACTIONS(528),
    [anon_sym_payable] = ACTIONS(528),
    [anon_sym_new] = ACTIONS(528),
    [anon_sym_LBRACK] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(530),
    [anon_sym_delete] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(530),
    [anon_sym_mapping] = ACTIONS(528),
    [anon_sym_bool] = ACTIONS(528),
    [anon_sym_string] = ACTIONS(528),
    [anon_sym_int] = ACTIONS(528),
    [anon_sym_int8] = ACTIONS(528),
    [anon_sym_int16] = ACTIONS(528),
    [anon_sym_int24] = ACTIONS(528),
    [anon_sym_int32] = ACTIONS(528),
    [anon_sym_int40] = ACTIONS(528),
    [anon_sym_int48] = ACTIONS(528),
    [anon_sym_int56] = ACTIONS(528),
    [anon_sym_int64] = ACTIONS(528),
    [anon_sym_int72] = ACTIONS(528),
    [anon_sym_int80] = ACTIONS(528),
    [anon_sym_int88] = ACTIONS(528),
    [anon_sym_int96] = ACTIONS(528),
    [anon_sym_int104] = ACTIONS(528),
    [anon_sym_int112] = ACTIONS(528),
    [anon_sym_int120] = ACTIONS(528),
    [anon_sym_int128] = ACTIONS(528),
    [anon_sym_int136] = ACTIONS(528),
    [anon_sym_int144] = ACTIONS(528),
    [anon_sym_int152] = ACTIONS(528),
    [anon_sym_int160] = ACTIONS(528),
    [anon_sym_int168] = ACTIONS(528),
    [anon_sym_int176] = ACTIONS(528),
    [anon_sym_int184] = ACTIONS(528),
    [anon_sym_int192] = ACTIONS(528),
    [anon_sym_int200] = ACTIONS(528),
    [anon_sym_int208] = ACTIONS(528),
    [anon_sym_int216] = ACTIONS(528),
    [anon_sym_int224] = ACTIONS(528),
    [anon_sym_int232] = ACTIONS(528),
    [anon_sym_int240] = ACTIONS(528),
    [anon_sym_int248] = ACTIONS(528),
    [anon_sym_int256] = ACTIONS(528),
    [anon_sym_uint] = ACTIONS(528),
    [anon_sym_uint8] = ACTIONS(528),
    [anon_sym_uint16] = ACTIONS(528),
    [anon_sym_uint24] = ACTIONS(528),
    [anon_sym_uint32] = ACTIONS(528),
    [anon_sym_uint40] = ACTIONS(528),
    [anon_sym_uint48] = ACTIONS(528),
    [anon_sym_uint56] = ACTIONS(528),
    [anon_sym_uint64] = ACTIONS(528),
    [anon_sym_uint72] = ACTIONS(528),
    [anon_sym_uint80] = ACTIONS(528),
    [anon_sym_uint88] = ACTIONS(528),
    [anon_sym_uint96] = ACTIONS(528),
    [anon_sym_uint104] = ACTIONS(528),
    [anon_sym_uint112] = ACTIONS(528),
    [anon_sym_uint120] = ACTIONS(528),
    [anon_sym_uint128] = ACTIONS(528),
    [anon_sym_uint136] = ACTIONS(528),
    [anon_sym_uint144] = ACTIONS(528),
    [anon_sym_uint152] = ACTIONS(528),
    [anon_sym_uint160] = ACTIONS(528),
    [anon_sym_uint168] = ACTIONS(528),
    [anon_sym_uint176] = ACTIONS(528),
    [anon_sym_uint184] = ACTIONS(528),
    [anon_sym_uint192] = ACTIONS(528),
    [anon_sym_uint200] = ACTIONS(528),
    [anon_sym_uint208] = ACTIONS(528),
    [anon_sym_uint216] = ACTIONS(528),
    [anon_sym_uint224] = ACTIONS(528),
    [anon_sym_uint232] = ACTIONS(528),
    [anon_sym_uint240] = ACTIONS(528),
    [anon_sym_uint248] = ACTIONS(528),
    [anon_sym_uint256] = ACTIONS(528),
    [anon_sym_bytes] = ACTIONS(528),
    [anon_sym_bytes1] = ACTIONS(528),
    [anon_sym_bytes2] = ACTIONS(528),
    [anon_sym_bytes3] = ACTIONS(528),
    [anon_sym_bytes4] = ACTIONS(528),
    [anon_sym_bytes5] = ACTIONS(528),
    [anon_sym_bytes6] = ACTIONS(528),
    [anon_sym_bytes7] = ACTIONS(528),
    [anon_sym_bytes8] = ACTIONS(528),
    [anon_sym_bytes9] = ACTIONS(528),
    [anon_sym_bytes10] = ACTIONS(528),
    [anon_sym_bytes11] = ACTIONS(528),
    [anon_sym_bytes12] = ACTIONS(528),
    [anon_sym_bytes13] = ACTIONS(528),
    [anon_sym_bytes14] = ACTIONS(528),
    [anon_sym_bytes15] = ACTIONS(528),
    [anon_sym_bytes16] = ACTIONS(528),
    [anon_sym_bytes17] = ACTIONS(528),
    [anon_sym_bytes18] = ACTIONS(528),
    [anon_sym_bytes19] = ACTIONS(528),
    [anon_sym_bytes20] = ACTIONS(528),
    [anon_sym_bytes21] = ACTIONS(528),
    [anon_sym_bytes22] = ACTIONS(528),
    [anon_sym_bytes23] = ACTIONS(528),
    [anon_sym_bytes24] = ACTIONS(528),
    [anon_sym_bytes25] = ACTIONS(528),
    [anon_sym_bytes26] = ACTIONS(528),
    [anon_sym_bytes27] = ACTIONS(528),
    [anon_sym_bytes28] = ACTIONS(528),
    [anon_sym_bytes29] = ACTIONS(528),
    [anon_sym_bytes30] = ACTIONS(528),
    [anon_sym_bytes31] = ACTIONS(528),
    [anon_sym_bytes32] = ACTIONS(528),
    [anon_sym_fixed] = ACTIONS(528),
    [aux_sym__fixed_token1] = ACTIONS(528),
    [anon_sym_ufixed] = ACTIONS(528),
    [aux_sym__ufixed_token1] = ACTIONS(528),
    [aux_sym__decimal_number_token1] = ACTIONS(528),
    [aux_sym__decimal_number_token2] = ACTIONS(530),
    [aux_sym__hex_number_token1] = ACTIONS(530),
    [anon_sym_hex] = ACTIONS(528),
    [anon_sym_DQUOTE] = ACTIONS(530),
    [anon_sym_SQUOTE] = ACTIONS(530),
    [anon_sym_unicode] = ACTIONS(528),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_identifier] = ACTIONS(532),
    [anon_sym_DASH] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(534),
    [anon_sym_LBRACE] = ACTIONS(534),
    [anon_sym_RBRACE] = ACTIONS(534),
    [anon_sym_type] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(534),
    [anon_sym_for] = ACTIONS(532),
    [anon_sym_PLUS] = ACTIONS(532),
    [anon_sym_assembly] = ACTIONS(532),
    [anon_sym_break] = ACTIONS(532),
    [anon_sym_continue] = ACTIONS(532),
    [anon_sym_true] = ACTIONS(532),
    [anon_sym_false] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(532),
    [anon_sym_function] = ACTIONS(532),
    [anon_sym_byte] = ACTIONS(532),
    [anon_sym_address] = ACTIONS(532),
    [anon_sym_return] = ACTIONS(532),
    [anon_sym_revert] = ACTIONS(532),
    [anon_sym_unchecked] = ACTIONS(532),
    [anon_sym_var] = ACTIONS(532),
    [anon_sym_else] = ACTIONS(532),
    [anon_sym_while] = ACTIONS(532),
    [anon_sym_do] = ACTIONS(532),
    [anon_sym_try] = ACTIONS(532),
    [anon_sym_emit] = ACTIONS(532),
    [anon_sym_payable] = ACTIONS(532),
    [anon_sym_new] = ACTIONS(532),
    [anon_sym_LBRACK] = ACTIONS(534),
    [anon_sym_BANG] = ACTIONS(534),
    [anon_sym_delete] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_mapping] = ACTIONS(532),
    [anon_sym_bool] = ACTIONS(532),
    [anon_sym_string] = ACTIONS(532),
    [anon_sym_int] = ACTIONS(532),
    [anon_sym_int8] = ACTIONS(532),
    [anon_sym_int16] = ACTIONS(532),
    [anon_sym_int24] = ACTIONS(532),
    [anon_sym_int32] = ACTIONS(532),
    [anon_sym_int40] = ACTIONS(532),
    [anon_sym_int48] = ACTIONS(532),
    [anon_sym_int56] = ACTIONS(532),
    [anon_sym_int64] = ACTIONS(532),
    [anon_sym_int72] = ACTIONS(532),
    [anon_sym_int80] = ACTIONS(532),
    [anon_sym_int88] = ACTIONS(532),
    [anon_sym_int96] = ACTIONS(532),
    [anon_sym_int104] = ACTIONS(532),
    [anon_sym_int112] = ACTIONS(532),
    [anon_sym_int120] = ACTIONS(532),
    [anon_sym_int128] = ACTIONS(532),
    [anon_sym_int136] = ACTIONS(532),
    [anon_sym_int144] = ACTIONS(532),
    [anon_sym_int152] = ACTIONS(532),
    [anon_sym_int160] = ACTIONS(532),
    [anon_sym_int168] = ACTIONS(532),
    [anon_sym_int176] = ACTIONS(532),
    [anon_sym_int184] = ACTIONS(532),
    [anon_sym_int192] = ACTIONS(532),
    [anon_sym_int200] = ACTIONS(532),
    [anon_sym_int208] = ACTIONS(532),
    [anon_sym_int216] = ACTIONS(532),
    [anon_sym_int224] = ACTIONS(532),
    [anon_sym_int232] = ACTIONS(532),
    [anon_sym_int240] = ACTIONS(532),
    [anon_sym_int248] = ACTIONS(532),
    [anon_sym_int256] = ACTIONS(532),
    [anon_sym_uint] = ACTIONS(532),
    [anon_sym_uint8] = ACTIONS(532),
    [anon_sym_uint16] = ACTIONS(532),
    [anon_sym_uint24] = ACTIONS(532),
    [anon_sym_uint32] = ACTIONS(532),
    [anon_sym_uint40] = ACTIONS(532),
    [anon_sym_uint48] = ACTIONS(532),
    [anon_sym_uint56] = ACTIONS(532),
    [anon_sym_uint64] = ACTIONS(532),
    [anon_sym_uint72] = ACTIONS(532),
    [anon_sym_uint80] = ACTIONS(532),
    [anon_sym_uint88] = ACTIONS(532),
    [anon_sym_uint96] = ACTIONS(532),
    [anon_sym_uint104] = ACTIONS(532),
    [anon_sym_uint112] = ACTIONS(532),
    [anon_sym_uint120] = ACTIONS(532),
    [anon_sym_uint128] = ACTIONS(532),
    [anon_sym_uint136] = ACTIONS(532),
    [anon_sym_uint144] = ACTIONS(532),
    [anon_sym_uint152] = ACTIONS(532),
    [anon_sym_uint160] = ACTIONS(532),
    [anon_sym_uint168] = ACTIONS(532),
    [anon_sym_uint176] = ACTIONS(532),
    [anon_sym_uint184] = ACTIONS(532),
    [anon_sym_uint192] = ACTIONS(532),
    [anon_sym_uint200] = ACTIONS(532),
    [anon_sym_uint208] = ACTIONS(532),
    [anon_sym_uint216] = ACTIONS(532),
    [anon_sym_uint224] = ACTIONS(532),
    [anon_sym_uint232] = ACTIONS(532),
    [anon_sym_uint240] = ACTIONS(532),
    [anon_sym_uint248] = ACTIONS(532),
    [anon_sym_uint256] = ACTIONS(532),
    [anon_sym_bytes] = ACTIONS(532),
    [anon_sym_bytes1] = ACTIONS(532),
    [anon_sym_bytes2] = ACTIONS(532),
    [anon_sym_bytes3] = ACTIONS(532),
    [anon_sym_bytes4] = ACTIONS(532),
    [anon_sym_bytes5] = ACTIONS(532),
    [anon_sym_bytes6] = ACTIONS(532),
    [anon_sym_bytes7] = ACTIONS(532),
    [anon_sym_bytes8] = ACTIONS(532),
    [anon_sym_bytes9] = ACTIONS(532),
    [anon_sym_bytes10] = ACTIONS(532),
    [anon_sym_bytes11] = ACTIONS(532),
    [anon_sym_bytes12] = ACTIONS(532),
    [anon_sym_bytes13] = ACTIONS(532),
    [anon_sym_bytes14] = ACTIONS(532),
    [anon_sym_bytes15] = ACTIONS(532),
    [anon_sym_bytes16] = ACTIONS(532),
    [anon_sym_bytes17] = ACTIONS(532),
    [anon_sym_bytes18] = ACTIONS(532),
    [anon_sym_bytes19] = ACTIONS(532),
    [anon_sym_bytes20] = ACTIONS(532),
    [anon_sym_bytes21] = ACTIONS(532),
    [anon_sym_bytes22] = ACTIONS(532),
    [anon_sym_bytes23] = ACTIONS(532),
    [anon_sym_bytes24] = ACTIONS(532),
    [anon_sym_bytes25] = ACTIONS(532),
    [anon_sym_bytes26] = ACTIONS(532),
    [anon_sym_bytes27] = ACTIONS(532),
    [anon_sym_bytes28] = ACTIONS(532),
    [anon_sym_bytes29] = ACTIONS(532),
    [anon_sym_bytes30] = ACTIONS(532),
    [anon_sym_bytes31] = ACTIONS(532),
    [anon_sym_bytes32] = ACTIONS(532),
    [anon_sym_fixed] = ACTIONS(532),
    [aux_sym__fixed_token1] = ACTIONS(532),
    [anon_sym_ufixed] = ACTIONS(532),
    [aux_sym__ufixed_token1] = ACTIONS(532),
    [aux_sym__decimal_number_token1] = ACTIONS(532),
    [aux_sym__decimal_number_token2] = ACTIONS(534),
    [aux_sym__hex_number_token1] = ACTIONS(534),
    [anon_sym_hex] = ACTIONS(532),
    [anon_sym_DQUOTE] = ACTIONS(534),
    [anon_sym_SQUOTE] = ACTIONS(534),
    [anon_sym_unicode] = ACTIONS(532),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_identifier] = ACTIONS(536),
    [anon_sym_DASH] = ACTIONS(536),
    [anon_sym_TILDE] = ACTIONS(538),
    [anon_sym_LBRACE] = ACTIONS(538),
    [anon_sym_RBRACE] = ACTIONS(538),
    [anon_sym_type] = ACTIONS(536),
    [anon_sym_LPAREN] = ACTIONS(538),
    [anon_sym_for] = ACTIONS(536),
    [anon_sym_PLUS] = ACTIONS(536),
    [anon_sym_assembly] = ACTIONS(536),
    [anon_sym_break] = ACTIONS(536),
    [anon_sym_continue] = ACTIONS(536),
    [anon_sym_true] = ACTIONS(536),
    [anon_sym_false] = ACTIONS(536),
    [anon_sym_if] = ACTIONS(536),
    [anon_sym_function] = ACTIONS(536),
    [anon_sym_byte] = ACTIONS(536),
    [anon_sym_address] = ACTIONS(536),
    [anon_sym_return] = ACTIONS(536),
    [anon_sym_revert] = ACTIONS(536),
    [anon_sym_unchecked] = ACTIONS(536),
    [anon_sym_var] = ACTIONS(536),
    [anon_sym_else] = ACTIONS(536),
    [anon_sym_while] = ACTIONS(536),
    [anon_sym_do] = ACTIONS(536),
    [anon_sym_try] = ACTIONS(536),
    [anon_sym_emit] = ACTIONS(536),
    [anon_sym_payable] = ACTIONS(536),
    [anon_sym_new] = ACTIONS(536),
    [anon_sym_LBRACK] = ACTIONS(538),
    [anon_sym_BANG] = ACTIONS(538),
    [anon_sym_delete] = ACTIONS(536),
    [anon_sym_PLUS_PLUS] = ACTIONS(538),
    [anon_sym_DASH_DASH] = ACTIONS(538),
    [anon_sym_mapping] = ACTIONS(536),
    [anon_sym_bool] = ACTIONS(536),
    [anon_sym_string] = ACTIONS(536),
    [anon_sym_int] = ACTIONS(536),
    [anon_sym_int8] = ACTIONS(536),
    [anon_sym_int16] = ACTIONS(536),
    [anon_sym_int24] = ACTIONS(536),
    [anon_sym_int32] = ACTIONS(536),
    [anon_sym_int40] = ACTIONS(536),
    [anon_sym_int48] = ACTIONS(536),
    [anon_sym_int56] = ACTIONS(536),
    [anon_sym_int64] = ACTIONS(536),
    [anon_sym_int72] = ACTIONS(536),
    [anon_sym_int80] = ACTIONS(536),
    [anon_sym_int88] = ACTIONS(536),
    [anon_sym_int96] = ACTIONS(536),
    [anon_sym_int104] = ACTIONS(536),
    [anon_sym_int112] = ACTIONS(536),
    [anon_sym_int120] = ACTIONS(536),
    [anon_sym_int128] = ACTIONS(536),
    [anon_sym_int136] = ACTIONS(536),
    [anon_sym_int144] = ACTIONS(536),
    [anon_sym_int152] = ACTIONS(536),
    [anon_sym_int160] = ACTIONS(536),
    [anon_sym_int168] = ACTIONS(536),
    [anon_sym_int176] = ACTIONS(536),
    [anon_sym_int184] = ACTIONS(536),
    [anon_sym_int192] = ACTIONS(536),
    [anon_sym_int200] = ACTIONS(536),
    [anon_sym_int208] = ACTIONS(536),
    [anon_sym_int216] = ACTIONS(536),
    [anon_sym_int224] = ACTIONS(536),
    [anon_sym_int232] = ACTIONS(536),
    [anon_sym_int240] = ACTIONS(536),
    [anon_sym_int248] = ACTIONS(536),
    [anon_sym_int256] = ACTIONS(536),
    [anon_sym_uint] = ACTIONS(536),
    [anon_sym_uint8] = ACTIONS(536),
    [anon_sym_uint16] = ACTIONS(536),
    [anon_sym_uint24] = ACTIONS(536),
    [anon_sym_uint32] = ACTIONS(536),
    [anon_sym_uint40] = ACTIONS(536),
    [anon_sym_uint48] = ACTIONS(536),
    [anon_sym_uint56] = ACTIONS(536),
    [anon_sym_uint64] = ACTIONS(536),
    [anon_sym_uint72] = ACTIONS(536),
    [anon_sym_uint80] = ACTIONS(536),
    [anon_sym_uint88] = ACTIONS(536),
    [anon_sym_uint96] = ACTIONS(536),
    [anon_sym_uint104] = ACTIONS(536),
    [anon_sym_uint112] = ACTIONS(536),
    [anon_sym_uint120] = ACTIONS(536),
    [anon_sym_uint128] = ACTIONS(536),
    [anon_sym_uint136] = ACTIONS(536),
    [anon_sym_uint144] = ACTIONS(536),
    [anon_sym_uint152] = ACTIONS(536),
    [anon_sym_uint160] = ACTIONS(536),
    [anon_sym_uint168] = ACTIONS(536),
    [anon_sym_uint176] = ACTIONS(536),
    [anon_sym_uint184] = ACTIONS(536),
    [anon_sym_uint192] = ACTIONS(536),
    [anon_sym_uint200] = ACTIONS(536),
    [anon_sym_uint208] = ACTIONS(536),
    [anon_sym_uint216] = ACTIONS(536),
    [anon_sym_uint224] = ACTIONS(536),
    [anon_sym_uint232] = ACTIONS(536),
    [anon_sym_uint240] = ACTIONS(536),
    [anon_sym_uint248] = ACTIONS(536),
    [anon_sym_uint256] = ACTIONS(536),
    [anon_sym_bytes] = ACTIONS(536),
    [anon_sym_bytes1] = ACTIONS(536),
    [anon_sym_bytes2] = ACTIONS(536),
    [anon_sym_bytes3] = ACTIONS(536),
    [anon_sym_bytes4] = ACTIONS(536),
    [anon_sym_bytes5] = ACTIONS(536),
    [anon_sym_bytes6] = ACTIONS(536),
    [anon_sym_bytes7] = ACTIONS(536),
    [anon_sym_bytes8] = ACTIONS(536),
    [anon_sym_bytes9] = ACTIONS(536),
    [anon_sym_bytes10] = ACTIONS(536),
    [anon_sym_bytes11] = ACTIONS(536),
    [anon_sym_bytes12] = ACTIONS(536),
    [anon_sym_bytes13] = ACTIONS(536),
    [anon_sym_bytes14] = ACTIONS(536),
    [anon_sym_bytes15] = ACTIONS(536),
    [anon_sym_bytes16] = ACTIONS(536),
    [anon_sym_bytes17] = ACTIONS(536),
    [anon_sym_bytes18] = ACTIONS(536),
    [anon_sym_bytes19] = ACTIONS(536),
    [anon_sym_bytes20] = ACTIONS(536),
    [anon_sym_bytes21] = ACTIONS(536),
    [anon_sym_bytes22] = ACTIONS(536),
    [anon_sym_bytes23] = ACTIONS(536),
    [anon_sym_bytes24] = ACTIONS(536),
    [anon_sym_bytes25] = ACTIONS(536),
    [anon_sym_bytes26] = ACTIONS(536),
    [anon_sym_bytes27] = ACTIONS(536),
    [anon_sym_bytes28] = ACTIONS(536),
    [anon_sym_bytes29] = ACTIONS(536),
    [anon_sym_bytes30] = ACTIONS(536),
    [anon_sym_bytes31] = ACTIONS(536),
    [anon_sym_bytes32] = ACTIONS(536),
    [anon_sym_fixed] = ACTIONS(536),
    [aux_sym__fixed_token1] = ACTIONS(536),
    [anon_sym_ufixed] = ACTIONS(536),
    [aux_sym__ufixed_token1] = ACTIONS(536),
    [aux_sym__decimal_number_token1] = ACTIONS(536),
    [aux_sym__decimal_number_token2] = ACTIONS(538),
    [aux_sym__hex_number_token1] = ACTIONS(538),
    [anon_sym_hex] = ACTIONS(536),
    [anon_sym_DQUOTE] = ACTIONS(538),
    [anon_sym_SQUOTE] = ACTIONS(538),
    [anon_sym_unicode] = ACTIONS(536),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_identifier] = ACTIONS(540),
    [anon_sym_DASH] = ACTIONS(540),
    [anon_sym_TILDE] = ACTIONS(542),
    [anon_sym_LBRACE] = ACTIONS(542),
    [anon_sym_RBRACE] = ACTIONS(542),
    [anon_sym_type] = ACTIONS(540),
    [anon_sym_LPAREN] = ACTIONS(542),
    [anon_sym_for] = ACTIONS(540),
    [anon_sym_PLUS] = ACTIONS(540),
    [anon_sym_assembly] = ACTIONS(540),
    [anon_sym_break] = ACTIONS(540),
    [anon_sym_continue] = ACTIONS(540),
    [anon_sym_true] = ACTIONS(540),
    [anon_sym_false] = ACTIONS(540),
    [anon_sym_if] = ACTIONS(540),
    [anon_sym_function] = ACTIONS(540),
    [anon_sym_byte] = ACTIONS(540),
    [anon_sym_address] = ACTIONS(540),
    [anon_sym_return] = ACTIONS(540),
    [anon_sym_revert] = ACTIONS(540),
    [anon_sym_unchecked] = ACTIONS(540),
    [anon_sym_var] = ACTIONS(540),
    [anon_sym_else] = ACTIONS(540),
    [anon_sym_while] = ACTIONS(540),
    [anon_sym_do] = ACTIONS(540),
    [anon_sym_try] = ACTIONS(540),
    [anon_sym_emit] = ACTIONS(540),
    [anon_sym_payable] = ACTIONS(540),
    [anon_sym_new] = ACTIONS(540),
    [anon_sym_LBRACK] = ACTIONS(542),
    [anon_sym_BANG] = ACTIONS(542),
    [anon_sym_delete] = ACTIONS(540),
    [anon_sym_PLUS_PLUS] = ACTIONS(542),
    [anon_sym_DASH_DASH] = ACTIONS(542),
    [anon_sym_mapping] = ACTIONS(540),
    [anon_sym_bool] = ACTIONS(540),
    [anon_sym_string] = ACTIONS(540),
    [anon_sym_int] = ACTIONS(540),
    [anon_sym_int8] = ACTIONS(540),
    [anon_sym_int16] = ACTIONS(540),
    [anon_sym_int24] = ACTIONS(540),
    [anon_sym_int32] = ACTIONS(540),
    [anon_sym_int40] = ACTIONS(540),
    [anon_sym_int48] = ACTIONS(540),
    [anon_sym_int56] = ACTIONS(540),
    [anon_sym_int64] = ACTIONS(540),
    [anon_sym_int72] = ACTIONS(540),
    [anon_sym_int80] = ACTIONS(540),
    [anon_sym_int88] = ACTIONS(540),
    [anon_sym_int96] = ACTIONS(540),
    [anon_sym_int104] = ACTIONS(540),
    [anon_sym_int112] = ACTIONS(540),
    [anon_sym_int120] = ACTIONS(540),
    [anon_sym_int128] = ACTIONS(540),
    [anon_sym_int136] = ACTIONS(540),
    [anon_sym_int144] = ACTIONS(540),
    [anon_sym_int152] = ACTIONS(540),
    [anon_sym_int160] = ACTIONS(540),
    [anon_sym_int168] = ACTIONS(540),
    [anon_sym_int176] = ACTIONS(540),
    [anon_sym_int184] = ACTIONS(540),
    [anon_sym_int192] = ACTIONS(540),
    [anon_sym_int200] = ACTIONS(540),
    [anon_sym_int208] = ACTIONS(540),
    [anon_sym_int216] = ACTIONS(540),
    [anon_sym_int224] = ACTIONS(540),
    [anon_sym_int232] = ACTIONS(540),
    [anon_sym_int240] = ACTIONS(540),
    [anon_sym_int248] = ACTIONS(540),
    [anon_sym_int256] = ACTIONS(540),
    [anon_sym_uint] = ACTIONS(540),
    [anon_sym_uint8] = ACTIONS(540),
    [anon_sym_uint16] = ACTIONS(540),
    [anon_sym_uint24] = ACTIONS(540),
    [anon_sym_uint32] = ACTIONS(540),
    [anon_sym_uint40] = ACTIONS(540),
    [anon_sym_uint48] = ACTIONS(540),
    [anon_sym_uint56] = ACTIONS(540),
    [anon_sym_uint64] = ACTIONS(540),
    [anon_sym_uint72] = ACTIONS(540),
    [anon_sym_uint80] = ACTIONS(540),
    [anon_sym_uint88] = ACTIONS(540),
    [anon_sym_uint96] = ACTIONS(540),
    [anon_sym_uint104] = ACTIONS(540),
    [anon_sym_uint112] = ACTIONS(540),
    [anon_sym_uint120] = ACTIONS(540),
    [anon_sym_uint128] = ACTIONS(540),
    [anon_sym_uint136] = ACTIONS(540),
    [anon_sym_uint144] = ACTIONS(540),
    [anon_sym_uint152] = ACTIONS(540),
    [anon_sym_uint160] = ACTIONS(540),
    [anon_sym_uint168] = ACTIONS(540),
    [anon_sym_uint176] = ACTIONS(540),
    [anon_sym_uint184] = ACTIONS(540),
    [anon_sym_uint192] = ACTIONS(540),
    [anon_sym_uint200] = ACTIONS(540),
    [anon_sym_uint208] = ACTIONS(540),
    [anon_sym_uint216] = ACTIONS(540),
    [anon_sym_uint224] = ACTIONS(540),
    [anon_sym_uint232] = ACTIONS(540),
    [anon_sym_uint240] = ACTIONS(540),
    [anon_sym_uint248] = ACTIONS(540),
    [anon_sym_uint256] = ACTIONS(540),
    [anon_sym_bytes] = ACTIONS(540),
    [anon_sym_bytes1] = ACTIONS(540),
    [anon_sym_bytes2] = ACTIONS(540),
    [anon_sym_bytes3] = ACTIONS(540),
    [anon_sym_bytes4] = ACTIONS(540),
    [anon_sym_bytes5] = ACTIONS(540),
    [anon_sym_bytes6] = ACTIONS(540),
    [anon_sym_bytes7] = ACTIONS(540),
    [anon_sym_bytes8] = ACTIONS(540),
    [anon_sym_bytes9] = ACTIONS(540),
    [anon_sym_bytes10] = ACTIONS(540),
    [anon_sym_bytes11] = ACTIONS(540),
    [anon_sym_bytes12] = ACTIONS(540),
    [anon_sym_bytes13] = ACTIONS(540),
    [anon_sym_bytes14] = ACTIONS(540),
    [anon_sym_bytes15] = ACTIONS(540),
    [anon_sym_bytes16] = ACTIONS(540),
    [anon_sym_bytes17] = ACTIONS(540),
    [anon_sym_bytes18] = ACTIONS(540),
    [anon_sym_bytes19] = ACTIONS(540),
    [anon_sym_bytes20] = ACTIONS(540),
    [anon_sym_bytes21] = ACTIONS(540),
    [anon_sym_bytes22] = ACTIONS(540),
    [anon_sym_bytes23] = ACTIONS(540),
    [anon_sym_bytes24] = ACTIONS(540),
    [anon_sym_bytes25] = ACTIONS(540),
    [anon_sym_bytes26] = ACTIONS(540),
    [anon_sym_bytes27] = ACTIONS(540),
    [anon_sym_bytes28] = ACTIONS(540),
    [anon_sym_bytes29] = ACTIONS(540),
    [anon_sym_bytes30] = ACTIONS(540),
    [anon_sym_bytes31] = ACTIONS(540),
    [anon_sym_bytes32] = ACTIONS(540),
    [anon_sym_fixed] = ACTIONS(540),
    [aux_sym__fixed_token1] = ACTIONS(540),
    [anon_sym_ufixed] = ACTIONS(540),
    [aux_sym__ufixed_token1] = ACTIONS(540),
    [aux_sym__decimal_number_token1] = ACTIONS(540),
    [aux_sym__decimal_number_token2] = ACTIONS(542),
    [aux_sym__hex_number_token1] = ACTIONS(542),
    [anon_sym_hex] = ACTIONS(540),
    [anon_sym_DQUOTE] = ACTIONS(542),
    [anon_sym_SQUOTE] = ACTIONS(542),
    [anon_sym_unicode] = ACTIONS(540),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_identifier] = ACTIONS(544),
    [anon_sym_DASH] = ACTIONS(544),
    [anon_sym_TILDE] = ACTIONS(546),
    [anon_sym_LBRACE] = ACTIONS(546),
    [anon_sym_RBRACE] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(544),
    [anon_sym_LPAREN] = ACTIONS(546),
    [anon_sym_for] = ACTIONS(544),
    [anon_sym_PLUS] = ACTIONS(544),
    [anon_sym_assembly] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(544),
    [anon_sym_continue] = ACTIONS(544),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(544),
    [anon_sym_function] = ACTIONS(544),
    [anon_sym_byte] = ACTIONS(544),
    [anon_sym_address] = ACTIONS(544),
    [anon_sym_return] = ACTIONS(544),
    [anon_sym_revert] = ACTIONS(544),
    [anon_sym_unchecked] = ACTIONS(544),
    [anon_sym_var] = ACTIONS(544),
    [anon_sym_else] = ACTIONS(544),
    [anon_sym_while] = ACTIONS(544),
    [anon_sym_do] = ACTIONS(544),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_emit] = ACTIONS(544),
    [anon_sym_payable] = ACTIONS(544),
    [anon_sym_new] = ACTIONS(544),
    [anon_sym_LBRACK] = ACTIONS(546),
    [anon_sym_BANG] = ACTIONS(546),
    [anon_sym_delete] = ACTIONS(544),
    [anon_sym_PLUS_PLUS] = ACTIONS(546),
    [anon_sym_DASH_DASH] = ACTIONS(546),
    [anon_sym_mapping] = ACTIONS(544),
    [anon_sym_bool] = ACTIONS(544),
    [anon_sym_string] = ACTIONS(544),
    [anon_sym_int] = ACTIONS(544),
    [anon_sym_int8] = ACTIONS(544),
    [anon_sym_int16] = ACTIONS(544),
    [anon_sym_int24] = ACTIONS(544),
    [anon_sym_int32] = ACTIONS(544),
    [anon_sym_int40] = ACTIONS(544),
    [anon_sym_int48] = ACTIONS(544),
    [anon_sym_int56] = ACTIONS(544),
    [anon_sym_int64] = ACTIONS(544),
    [anon_sym_int72] = ACTIONS(544),
    [anon_sym_int80] = ACTIONS(544),
    [anon_sym_int88] = ACTIONS(544),
    [anon_sym_int96] = ACTIONS(544),
    [anon_sym_int104] = ACTIONS(544),
    [anon_sym_int112] = ACTIONS(544),
    [anon_sym_int120] = ACTIONS(544),
    [anon_sym_int128] = ACTIONS(544),
    [anon_sym_int136] = ACTIONS(544),
    [anon_sym_int144] = ACTIONS(544),
    [anon_sym_int152] = ACTIONS(544),
    [anon_sym_int160] = ACTIONS(544),
    [anon_sym_int168] = ACTIONS(544),
    [anon_sym_int176] = ACTIONS(544),
    [anon_sym_int184] = ACTIONS(544),
    [anon_sym_int192] = ACTIONS(544),
    [anon_sym_int200] = ACTIONS(544),
    [anon_sym_int208] = ACTIONS(544),
    [anon_sym_int216] = ACTIONS(544),
    [anon_sym_int224] = ACTIONS(544),
    [anon_sym_int232] = ACTIONS(544),
    [anon_sym_int240] = ACTIONS(544),
    [anon_sym_int248] = ACTIONS(544),
    [anon_sym_int256] = ACTIONS(544),
    [anon_sym_uint] = ACTIONS(544),
    [anon_sym_uint8] = ACTIONS(544),
    [anon_sym_uint16] = ACTIONS(544),
    [anon_sym_uint24] = ACTIONS(544),
    [anon_sym_uint32] = ACTIONS(544),
    [anon_sym_uint40] = ACTIONS(544),
    [anon_sym_uint48] = ACTIONS(544),
    [anon_sym_uint56] = ACTIONS(544),
    [anon_sym_uint64] = ACTIONS(544),
    [anon_sym_uint72] = ACTIONS(544),
    [anon_sym_uint80] = ACTIONS(544),
    [anon_sym_uint88] = ACTIONS(544),
    [anon_sym_uint96] = ACTIONS(544),
    [anon_sym_uint104] = ACTIONS(544),
    [anon_sym_uint112] = ACTIONS(544),
    [anon_sym_uint120] = ACTIONS(544),
    [anon_sym_uint128] = ACTIONS(544),
    [anon_sym_uint136] = ACTIONS(544),
    [anon_sym_uint144] = ACTIONS(544),
    [anon_sym_uint152] = ACTIONS(544),
    [anon_sym_uint160] = ACTIONS(544),
    [anon_sym_uint168] = ACTIONS(544),
    [anon_sym_uint176] = ACTIONS(544),
    [anon_sym_uint184] = ACTIONS(544),
    [anon_sym_uint192] = ACTIONS(544),
    [anon_sym_uint200] = ACTIONS(544),
    [anon_sym_uint208] = ACTIONS(544),
    [anon_sym_uint216] = ACTIONS(544),
    [anon_sym_uint224] = ACTIONS(544),
    [anon_sym_uint232] = ACTIONS(544),
    [anon_sym_uint240] = ACTIONS(544),
    [anon_sym_uint248] = ACTIONS(544),
    [anon_sym_uint256] = ACTIONS(544),
    [anon_sym_bytes] = ACTIONS(544),
    [anon_sym_bytes1] = ACTIONS(544),
    [anon_sym_bytes2] = ACTIONS(544),
    [anon_sym_bytes3] = ACTIONS(544),
    [anon_sym_bytes4] = ACTIONS(544),
    [anon_sym_bytes5] = ACTIONS(544),
    [anon_sym_bytes6] = ACTIONS(544),
    [anon_sym_bytes7] = ACTIONS(544),
    [anon_sym_bytes8] = ACTIONS(544),
    [anon_sym_bytes9] = ACTIONS(544),
    [anon_sym_bytes10] = ACTIONS(544),
    [anon_sym_bytes11] = ACTIONS(544),
    [anon_sym_bytes12] = ACTIONS(544),
    [anon_sym_bytes13] = ACTIONS(544),
    [anon_sym_bytes14] = ACTIONS(544),
    [anon_sym_bytes15] = ACTIONS(544),
    [anon_sym_bytes16] = ACTIONS(544),
    [anon_sym_bytes17] = ACTIONS(544),
    [anon_sym_bytes18] = ACTIONS(544),
    [anon_sym_bytes19] = ACTIONS(544),
    [anon_sym_bytes20] = ACTIONS(544),
    [anon_sym_bytes21] = ACTIONS(544),
    [anon_sym_bytes22] = ACTIONS(544),
    [anon_sym_bytes23] = ACTIONS(544),
    [anon_sym_bytes24] = ACTIONS(544),
    [anon_sym_bytes25] = ACTIONS(544),
    [anon_sym_bytes26] = ACTIONS(544),
    [anon_sym_bytes27] = ACTIONS(544),
    [anon_sym_bytes28] = ACTIONS(544),
    [anon_sym_bytes29] = ACTIONS(544),
    [anon_sym_bytes30] = ACTIONS(544),
    [anon_sym_bytes31] = ACTIONS(544),
    [anon_sym_bytes32] = ACTIONS(544),
    [anon_sym_fixed] = ACTIONS(544),
    [aux_sym__fixed_token1] = ACTIONS(544),
    [anon_sym_ufixed] = ACTIONS(544),
    [aux_sym__ufixed_token1] = ACTIONS(544),
    [aux_sym__decimal_number_token1] = ACTIONS(544),
    [aux_sym__decimal_number_token2] = ACTIONS(546),
    [aux_sym__hex_number_token1] = ACTIONS(546),
    [anon_sym_hex] = ACTIONS(544),
    [anon_sym_DQUOTE] = ACTIONS(546),
    [anon_sym_SQUOTE] = ACTIONS(546),
    [anon_sym_unicode] = ACTIONS(544),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_identifier] = ACTIONS(548),
    [anon_sym_DASH] = ACTIONS(548),
    [anon_sym_TILDE] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(550),
    [anon_sym_RBRACE] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_LPAREN] = ACTIONS(550),
    [anon_sym_for] = ACTIONS(548),
    [anon_sym_PLUS] = ACTIONS(548),
    [anon_sym_assembly] = ACTIONS(548),
    [anon_sym_break] = ACTIONS(548),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_true] = ACTIONS(548),
    [anon_sym_false] = ACTIONS(548),
    [anon_sym_if] = ACTIONS(548),
    [anon_sym_function] = ACTIONS(548),
    [anon_sym_byte] = ACTIONS(548),
    [anon_sym_address] = ACTIONS(548),
    [anon_sym_return] = ACTIONS(548),
    [anon_sym_revert] = ACTIONS(548),
    [anon_sym_unchecked] = ACTIONS(548),
    [anon_sym_var] = ACTIONS(548),
    [anon_sym_else] = ACTIONS(548),
    [anon_sym_while] = ACTIONS(548),
    [anon_sym_do] = ACTIONS(548),
    [anon_sym_try] = ACTIONS(548),
    [anon_sym_emit] = ACTIONS(548),
    [anon_sym_payable] = ACTIONS(548),
    [anon_sym_new] = ACTIONS(548),
    [anon_sym_LBRACK] = ACTIONS(550),
    [anon_sym_BANG] = ACTIONS(550),
    [anon_sym_delete] = ACTIONS(548),
    [anon_sym_PLUS_PLUS] = ACTIONS(550),
    [anon_sym_DASH_DASH] = ACTIONS(550),
    [anon_sym_mapping] = ACTIONS(548),
    [anon_sym_bool] = ACTIONS(548),
    [anon_sym_string] = ACTIONS(548),
    [anon_sym_int] = ACTIONS(548),
    [anon_sym_int8] = ACTIONS(548),
    [anon_sym_int16] = ACTIONS(548),
    [anon_sym_int24] = ACTIONS(548),
    [anon_sym_int32] = ACTIONS(548),
    [anon_sym_int40] = ACTIONS(548),
    [anon_sym_int48] = ACTIONS(548),
    [anon_sym_int56] = ACTIONS(548),
    [anon_sym_int64] = ACTIONS(548),
    [anon_sym_int72] = ACTIONS(548),
    [anon_sym_int80] = ACTIONS(548),
    [anon_sym_int88] = ACTIONS(548),
    [anon_sym_int96] = ACTIONS(548),
    [anon_sym_int104] = ACTIONS(548),
    [anon_sym_int112] = ACTIONS(548),
    [anon_sym_int120] = ACTIONS(548),
    [anon_sym_int128] = ACTIONS(548),
    [anon_sym_int136] = ACTIONS(548),
    [anon_sym_int144] = ACTIONS(548),
    [anon_sym_int152] = ACTIONS(548),
    [anon_sym_int160] = ACTIONS(548),
    [anon_sym_int168] = ACTIONS(548),
    [anon_sym_int176] = ACTIONS(548),
    [anon_sym_int184] = ACTIONS(548),
    [anon_sym_int192] = ACTIONS(548),
    [anon_sym_int200] = ACTIONS(548),
    [anon_sym_int208] = ACTIONS(548),
    [anon_sym_int216] = ACTIONS(548),
    [anon_sym_int224] = ACTIONS(548),
    [anon_sym_int232] = ACTIONS(548),
    [anon_sym_int240] = ACTIONS(548),
    [anon_sym_int248] = ACTIONS(548),
    [anon_sym_int256] = ACTIONS(548),
    [anon_sym_uint] = ACTIONS(548),
    [anon_sym_uint8] = ACTIONS(548),
    [anon_sym_uint16] = ACTIONS(548),
    [anon_sym_uint24] = ACTIONS(548),
    [anon_sym_uint32] = ACTIONS(548),
    [anon_sym_uint40] = ACTIONS(548),
    [anon_sym_uint48] = ACTIONS(548),
    [anon_sym_uint56] = ACTIONS(548),
    [anon_sym_uint64] = ACTIONS(548),
    [anon_sym_uint72] = ACTIONS(548),
    [anon_sym_uint80] = ACTIONS(548),
    [anon_sym_uint88] = ACTIONS(548),
    [anon_sym_uint96] = ACTIONS(548),
    [anon_sym_uint104] = ACTIONS(548),
    [anon_sym_uint112] = ACTIONS(548),
    [anon_sym_uint120] = ACTIONS(548),
    [anon_sym_uint128] = ACTIONS(548),
    [anon_sym_uint136] = ACTIONS(548),
    [anon_sym_uint144] = ACTIONS(548),
    [anon_sym_uint152] = ACTIONS(548),
    [anon_sym_uint160] = ACTIONS(548),
    [anon_sym_uint168] = ACTIONS(548),
    [anon_sym_uint176] = ACTIONS(548),
    [anon_sym_uint184] = ACTIONS(548),
    [anon_sym_uint192] = ACTIONS(548),
    [anon_sym_uint200] = ACTIONS(548),
    [anon_sym_uint208] = ACTIONS(548),
    [anon_sym_uint216] = ACTIONS(548),
    [anon_sym_uint224] = ACTIONS(548),
    [anon_sym_uint232] = ACTIONS(548),
    [anon_sym_uint240] = ACTIONS(548),
    [anon_sym_uint248] = ACTIONS(548),
    [anon_sym_uint256] = ACTIONS(548),
    [anon_sym_bytes] = ACTIONS(548),
    [anon_sym_bytes1] = ACTIONS(548),
    [anon_sym_bytes2] = ACTIONS(548),
    [anon_sym_bytes3] = ACTIONS(548),
    [anon_sym_bytes4] = ACTIONS(548),
    [anon_sym_bytes5] = ACTIONS(548),
    [anon_sym_bytes6] = ACTIONS(548),
    [anon_sym_bytes7] = ACTIONS(548),
    [anon_sym_bytes8] = ACTIONS(548),
    [anon_sym_bytes9] = ACTIONS(548),
    [anon_sym_bytes10] = ACTIONS(548),
    [anon_sym_bytes11] = ACTIONS(548),
    [anon_sym_bytes12] = ACTIONS(548),
    [anon_sym_bytes13] = ACTIONS(548),
    [anon_sym_bytes14] = ACTIONS(548),
    [anon_sym_bytes15] = ACTIONS(548),
    [anon_sym_bytes16] = ACTIONS(548),
    [anon_sym_bytes17] = ACTIONS(548),
    [anon_sym_bytes18] = ACTIONS(548),
    [anon_sym_bytes19] = ACTIONS(548),
    [anon_sym_bytes20] = ACTIONS(548),
    [anon_sym_bytes21] = ACTIONS(548),
    [anon_sym_bytes22] = ACTIONS(548),
    [anon_sym_bytes23] = ACTIONS(548),
    [anon_sym_bytes24] = ACTIONS(548),
    [anon_sym_bytes25] = ACTIONS(548),
    [anon_sym_bytes26] = ACTIONS(548),
    [anon_sym_bytes27] = ACTIONS(548),
    [anon_sym_bytes28] = ACTIONS(548),
    [anon_sym_bytes29] = ACTIONS(548),
    [anon_sym_bytes30] = ACTIONS(548),
    [anon_sym_bytes31] = ACTIONS(548),
    [anon_sym_bytes32] = ACTIONS(548),
    [anon_sym_fixed] = ACTIONS(548),
    [aux_sym__fixed_token1] = ACTIONS(548),
    [anon_sym_ufixed] = ACTIONS(548),
    [aux_sym__ufixed_token1] = ACTIONS(548),
    [aux_sym__decimal_number_token1] = ACTIONS(548),
    [aux_sym__decimal_number_token2] = ACTIONS(550),
    [aux_sym__hex_number_token1] = ACTIONS(550),
    [anon_sym_hex] = ACTIONS(548),
    [anon_sym_DQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_unicode] = ACTIONS(548),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_identifier] = ACTIONS(552),
    [anon_sym_DASH] = ACTIONS(552),
    [anon_sym_TILDE] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_RBRACE] = ACTIONS(554),
    [anon_sym_type] = ACTIONS(552),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_for] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(552),
    [anon_sym_assembly] = ACTIONS(552),
    [anon_sym_break] = ACTIONS(552),
    [anon_sym_continue] = ACTIONS(552),
    [anon_sym_true] = ACTIONS(552),
    [anon_sym_false] = ACTIONS(552),
    [anon_sym_if] = ACTIONS(552),
    [anon_sym_function] = ACTIONS(552),
    [anon_sym_byte] = ACTIONS(552),
    [anon_sym_address] = ACTIONS(552),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_revert] = ACTIONS(552),
    [anon_sym_unchecked] = ACTIONS(552),
    [anon_sym_var] = ACTIONS(552),
    [anon_sym_else] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(552),
    [anon_sym_do] = ACTIONS(552),
    [anon_sym_try] = ACTIONS(552),
    [anon_sym_emit] = ACTIONS(552),
    [anon_sym_payable] = ACTIONS(552),
    [anon_sym_new] = ACTIONS(552),
    [anon_sym_LBRACK] = ACTIONS(554),
    [anon_sym_BANG] = ACTIONS(554),
    [anon_sym_delete] = ACTIONS(552),
    [anon_sym_PLUS_PLUS] = ACTIONS(554),
    [anon_sym_DASH_DASH] = ACTIONS(554),
    [anon_sym_mapping] = ACTIONS(552),
    [anon_sym_bool] = ACTIONS(552),
    [anon_sym_string] = ACTIONS(552),
    [anon_sym_int] = ACTIONS(552),
    [anon_sym_int8] = ACTIONS(552),
    [anon_sym_int16] = ACTIONS(552),
    [anon_sym_int24] = ACTIONS(552),
    [anon_sym_int32] = ACTIONS(552),
    [anon_sym_int40] = ACTIONS(552),
    [anon_sym_int48] = ACTIONS(552),
    [anon_sym_int56] = ACTIONS(552),
    [anon_sym_int64] = ACTIONS(552),
    [anon_sym_int72] = ACTIONS(552),
    [anon_sym_int80] = ACTIONS(552),
    [anon_sym_int88] = ACTIONS(552),
    [anon_sym_int96] = ACTIONS(552),
    [anon_sym_int104] = ACTIONS(552),
    [anon_sym_int112] = ACTIONS(552),
    [anon_sym_int120] = ACTIONS(552),
    [anon_sym_int128] = ACTIONS(552),
    [anon_sym_int136] = ACTIONS(552),
    [anon_sym_int144] = ACTIONS(552),
    [anon_sym_int152] = ACTIONS(552),
    [anon_sym_int160] = ACTIONS(552),
    [anon_sym_int168] = ACTIONS(552),
    [anon_sym_int176] = ACTIONS(552),
    [anon_sym_int184] = ACTIONS(552),
    [anon_sym_int192] = ACTIONS(552),
    [anon_sym_int200] = ACTIONS(552),
    [anon_sym_int208] = ACTIONS(552),
    [anon_sym_int216] = ACTIONS(552),
    [anon_sym_int224] = ACTIONS(552),
    [anon_sym_int232] = ACTIONS(552),
    [anon_sym_int240] = ACTIONS(552),
    [anon_sym_int248] = ACTIONS(552),
    [anon_sym_int256] = ACTIONS(552),
    [anon_sym_uint] = ACTIONS(552),
    [anon_sym_uint8] = ACTIONS(552),
    [anon_sym_uint16] = ACTIONS(552),
    [anon_sym_uint24] = ACTIONS(552),
    [anon_sym_uint32] = ACTIONS(552),
    [anon_sym_uint40] = ACTIONS(552),
    [anon_sym_uint48] = ACTIONS(552),
    [anon_sym_uint56] = ACTIONS(552),
    [anon_sym_uint64] = ACTIONS(552),
    [anon_sym_uint72] = ACTIONS(552),
    [anon_sym_uint80] = ACTIONS(552),
    [anon_sym_uint88] = ACTIONS(552),
    [anon_sym_uint96] = ACTIONS(552),
    [anon_sym_uint104] = ACTIONS(552),
    [anon_sym_uint112] = ACTIONS(552),
    [anon_sym_uint120] = ACTIONS(552),
    [anon_sym_uint128] = ACTIONS(552),
    [anon_sym_uint136] = ACTIONS(552),
    [anon_sym_uint144] = ACTIONS(552),
    [anon_sym_uint152] = ACTIONS(552),
    [anon_sym_uint160] = ACTIONS(552),
    [anon_sym_uint168] = ACTIONS(552),
    [anon_sym_uint176] = ACTIONS(552),
    [anon_sym_uint184] = ACTIONS(552),
    [anon_sym_uint192] = ACTIONS(552),
    [anon_sym_uint200] = ACTIONS(552),
    [anon_sym_uint208] = ACTIONS(552),
    [anon_sym_uint216] = ACTIONS(552),
    [anon_sym_uint224] = ACTIONS(552),
    [anon_sym_uint232] = ACTIONS(552),
    [anon_sym_uint240] = ACTIONS(552),
    [anon_sym_uint248] = ACTIONS(552),
    [anon_sym_uint256] = ACTIONS(552),
    [anon_sym_bytes] = ACTIONS(552),
    [anon_sym_bytes1] = ACTIONS(552),
    [anon_sym_bytes2] = ACTIONS(552),
    [anon_sym_bytes3] = ACTIONS(552),
    [anon_sym_bytes4] = ACTIONS(552),
    [anon_sym_bytes5] = ACTIONS(552),
    [anon_sym_bytes6] = ACTIONS(552),
    [anon_sym_bytes7] = ACTIONS(552),
    [anon_sym_bytes8] = ACTIONS(552),
    [anon_sym_bytes9] = ACTIONS(552),
    [anon_sym_bytes10] = ACTIONS(552),
    [anon_sym_bytes11] = ACTIONS(552),
    [anon_sym_bytes12] = ACTIONS(552),
    [anon_sym_bytes13] = ACTIONS(552),
    [anon_sym_bytes14] = ACTIONS(552),
    [anon_sym_bytes15] = ACTIONS(552),
    [anon_sym_bytes16] = ACTIONS(552),
    [anon_sym_bytes17] = ACTIONS(552),
    [anon_sym_bytes18] = ACTIONS(552),
    [anon_sym_bytes19] = ACTIONS(552),
    [anon_sym_bytes20] = ACTIONS(552),
    [anon_sym_bytes21] = ACTIONS(552),
    [anon_sym_bytes22] = ACTIONS(552),
    [anon_sym_bytes23] = ACTIONS(552),
    [anon_sym_bytes24] = ACTIONS(552),
    [anon_sym_bytes25] = ACTIONS(552),
    [anon_sym_bytes26] = ACTIONS(552),
    [anon_sym_bytes27] = ACTIONS(552),
    [anon_sym_bytes28] = ACTIONS(552),
    [anon_sym_bytes29] = ACTIONS(552),
    [anon_sym_bytes30] = ACTIONS(552),
    [anon_sym_bytes31] = ACTIONS(552),
    [anon_sym_bytes32] = ACTIONS(552),
    [anon_sym_fixed] = ACTIONS(552),
    [aux_sym__fixed_token1] = ACTIONS(552),
    [anon_sym_ufixed] = ACTIONS(552),
    [aux_sym__ufixed_token1] = ACTIONS(552),
    [aux_sym__decimal_number_token1] = ACTIONS(552),
    [aux_sym__decimal_number_token2] = ACTIONS(554),
    [aux_sym__hex_number_token1] = ACTIONS(554),
    [anon_sym_hex] = ACTIONS(552),
    [anon_sym_DQUOTE] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(554),
    [anon_sym_unicode] = ACTIONS(552),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_identifier] = ACTIONS(556),
    [anon_sym_DASH] = ACTIONS(556),
    [anon_sym_TILDE] = ACTIONS(558),
    [anon_sym_LBRACE] = ACTIONS(558),
    [anon_sym_RBRACE] = ACTIONS(558),
    [anon_sym_type] = ACTIONS(556),
    [anon_sym_LPAREN] = ACTIONS(558),
    [anon_sym_for] = ACTIONS(556),
    [anon_sym_PLUS] = ACTIONS(556),
    [anon_sym_assembly] = ACTIONS(556),
    [anon_sym_break] = ACTIONS(556),
    [anon_sym_continue] = ACTIONS(556),
    [anon_sym_true] = ACTIONS(556),
    [anon_sym_false] = ACTIONS(556),
    [anon_sym_if] = ACTIONS(556),
    [anon_sym_function] = ACTIONS(556),
    [anon_sym_byte] = ACTIONS(556),
    [anon_sym_address] = ACTIONS(556),
    [anon_sym_return] = ACTIONS(556),
    [anon_sym_revert] = ACTIONS(556),
    [anon_sym_unchecked] = ACTIONS(556),
    [anon_sym_var] = ACTIONS(556),
    [anon_sym_else] = ACTIONS(556),
    [anon_sym_while] = ACTIONS(556),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_try] = ACTIONS(556),
    [anon_sym_emit] = ACTIONS(556),
    [anon_sym_payable] = ACTIONS(556),
    [anon_sym_new] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_delete] = ACTIONS(556),
    [anon_sym_PLUS_PLUS] = ACTIONS(558),
    [anon_sym_DASH_DASH] = ACTIONS(558),
    [anon_sym_mapping] = ACTIONS(556),
    [anon_sym_bool] = ACTIONS(556),
    [anon_sym_string] = ACTIONS(556),
    [anon_sym_int] = ACTIONS(556),
    [anon_sym_int8] = ACTIONS(556),
    [anon_sym_int16] = ACTIONS(556),
    [anon_sym_int24] = ACTIONS(556),
    [anon_sym_int32] = ACTIONS(556),
    [anon_sym_int40] = ACTIONS(556),
    [anon_sym_int48] = ACTIONS(556),
    [anon_sym_int56] = ACTIONS(556),
    [anon_sym_int64] = ACTIONS(556),
    [anon_sym_int72] = ACTIONS(556),
    [anon_sym_int80] = ACTIONS(556),
    [anon_sym_int88] = ACTIONS(556),
    [anon_sym_int96] = ACTIONS(556),
    [anon_sym_int104] = ACTIONS(556),
    [anon_sym_int112] = ACTIONS(556),
    [anon_sym_int120] = ACTIONS(556),
    [anon_sym_int128] = ACTIONS(556),
    [anon_sym_int136] = ACTIONS(556),
    [anon_sym_int144] = ACTIONS(556),
    [anon_sym_int152] = ACTIONS(556),
    [anon_sym_int160] = ACTIONS(556),
    [anon_sym_int168] = ACTIONS(556),
    [anon_sym_int176] = ACTIONS(556),
    [anon_sym_int184] = ACTIONS(556),
    [anon_sym_int192] = ACTIONS(556),
    [anon_sym_int200] = ACTIONS(556),
    [anon_sym_int208] = ACTIONS(556),
    [anon_sym_int216] = ACTIONS(556),
    [anon_sym_int224] = ACTIONS(556),
    [anon_sym_int232] = ACTIONS(556),
    [anon_sym_int240] = ACTIONS(556),
    [anon_sym_int248] = ACTIONS(556),
    [anon_sym_int256] = ACTIONS(556),
    [anon_sym_uint] = ACTIONS(556),
    [anon_sym_uint8] = ACTIONS(556),
    [anon_sym_uint16] = ACTIONS(556),
    [anon_sym_uint24] = ACTIONS(556),
    [anon_sym_uint32] = ACTIONS(556),
    [anon_sym_uint40] = ACTIONS(556),
    [anon_sym_uint48] = ACTIONS(556),
    [anon_sym_uint56] = ACTIONS(556),
    [anon_sym_uint64] = ACTIONS(556),
    [anon_sym_uint72] = ACTIONS(556),
    [anon_sym_uint80] = ACTIONS(556),
    [anon_sym_uint88] = ACTIONS(556),
    [anon_sym_uint96] = ACTIONS(556),
    [anon_sym_uint104] = ACTIONS(556),
    [anon_sym_uint112] = ACTIONS(556),
    [anon_sym_uint120] = ACTIONS(556),
    [anon_sym_uint128] = ACTIONS(556),
    [anon_sym_uint136] = ACTIONS(556),
    [anon_sym_uint144] = ACTIONS(556),
    [anon_sym_uint152] = ACTIONS(556),
    [anon_sym_uint160] = ACTIONS(556),
    [anon_sym_uint168] = ACTIONS(556),
    [anon_sym_uint176] = ACTIONS(556),
    [anon_sym_uint184] = ACTIONS(556),
    [anon_sym_uint192] = ACTIONS(556),
    [anon_sym_uint200] = ACTIONS(556),
    [anon_sym_uint208] = ACTIONS(556),
    [anon_sym_uint216] = ACTIONS(556),
    [anon_sym_uint224] = ACTIONS(556),
    [anon_sym_uint232] = ACTIONS(556),
    [anon_sym_uint240] = ACTIONS(556),
    [anon_sym_uint248] = ACTIONS(556),
    [anon_sym_uint256] = ACTIONS(556),
    [anon_sym_bytes] = ACTIONS(556),
    [anon_sym_bytes1] = ACTIONS(556),
    [anon_sym_bytes2] = ACTIONS(556),
    [anon_sym_bytes3] = ACTIONS(556),
    [anon_sym_bytes4] = ACTIONS(556),
    [anon_sym_bytes5] = ACTIONS(556),
    [anon_sym_bytes6] = ACTIONS(556),
    [anon_sym_bytes7] = ACTIONS(556),
    [anon_sym_bytes8] = ACTIONS(556),
    [anon_sym_bytes9] = ACTIONS(556),
    [anon_sym_bytes10] = ACTIONS(556),
    [anon_sym_bytes11] = ACTIONS(556),
    [anon_sym_bytes12] = ACTIONS(556),
    [anon_sym_bytes13] = ACTIONS(556),
    [anon_sym_bytes14] = ACTIONS(556),
    [anon_sym_bytes15] = ACTIONS(556),
    [anon_sym_bytes16] = ACTIONS(556),
    [anon_sym_bytes17] = ACTIONS(556),
    [anon_sym_bytes18] = ACTIONS(556),
    [anon_sym_bytes19] = ACTIONS(556),
    [anon_sym_bytes20] = ACTIONS(556),
    [anon_sym_bytes21] = ACTIONS(556),
    [anon_sym_bytes22] = ACTIONS(556),
    [anon_sym_bytes23] = ACTIONS(556),
    [anon_sym_bytes24] = ACTIONS(556),
    [anon_sym_bytes25] = ACTIONS(556),
    [anon_sym_bytes26] = ACTIONS(556),
    [anon_sym_bytes27] = ACTIONS(556),
    [anon_sym_bytes28] = ACTIONS(556),
    [anon_sym_bytes29] = ACTIONS(556),
    [anon_sym_bytes30] = ACTIONS(556),
    [anon_sym_bytes31] = ACTIONS(556),
    [anon_sym_bytes32] = ACTIONS(556),
    [anon_sym_fixed] = ACTIONS(556),
    [aux_sym__fixed_token1] = ACTIONS(556),
    [anon_sym_ufixed] = ACTIONS(556),
    [aux_sym__ufixed_token1] = ACTIONS(556),
    [aux_sym__decimal_number_token1] = ACTIONS(556),
    [aux_sym__decimal_number_token2] = ACTIONS(558),
    [aux_sym__hex_number_token1] = ACTIONS(558),
    [anon_sym_hex] = ACTIONS(556),
    [anon_sym_DQUOTE] = ACTIONS(558),
    [anon_sym_SQUOTE] = ACTIONS(558),
    [anon_sym_unicode] = ACTIONS(556),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_identifier] = ACTIONS(560),
    [anon_sym_DASH] = ACTIONS(560),
    [anon_sym_TILDE] = ACTIONS(562),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_RBRACE] = ACTIONS(562),
    [anon_sym_type] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_PLUS] = ACTIONS(560),
    [anon_sym_assembly] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(560),
    [anon_sym_continue] = ACTIONS(560),
    [anon_sym_true] = ACTIONS(560),
    [anon_sym_false] = ACTIONS(560),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(560),
    [anon_sym_byte] = ACTIONS(560),
    [anon_sym_address] = ACTIONS(560),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_revert] = ACTIONS(560),
    [anon_sym_unchecked] = ACTIONS(560),
    [anon_sym_var] = ACTIONS(560),
    [anon_sym_else] = ACTIONS(564),
    [anon_sym_while] = ACTIONS(560),
    [anon_sym_do] = ACTIONS(560),
    [anon_sym_try] = ACTIONS(560),
    [anon_sym_emit] = ACTIONS(560),
    [anon_sym_payable] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(560),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_BANG] = ACTIONS(562),
    [anon_sym_delete] = ACTIONS(560),
    [anon_sym_PLUS_PLUS] = ACTIONS(562),
    [anon_sym_DASH_DASH] = ACTIONS(562),
    [anon_sym_mapping] = ACTIONS(560),
    [anon_sym_bool] = ACTIONS(560),
    [anon_sym_string] = ACTIONS(560),
    [anon_sym_int] = ACTIONS(560),
    [anon_sym_int8] = ACTIONS(560),
    [anon_sym_int16] = ACTIONS(560),
    [anon_sym_int24] = ACTIONS(560),
    [anon_sym_int32] = ACTIONS(560),
    [anon_sym_int40] = ACTIONS(560),
    [anon_sym_int48] = ACTIONS(560),
    [anon_sym_int56] = ACTIONS(560),
    [anon_sym_int64] = ACTIONS(560),
    [anon_sym_int72] = ACTIONS(560),
    [anon_sym_int80] = ACTIONS(560),
    [anon_sym_int88] = ACTIONS(560),
    [anon_sym_int96] = ACTIONS(560),
    [anon_sym_int104] = ACTIONS(560),
    [anon_sym_int112] = ACTIONS(560),
    [anon_sym_int120] = ACTIONS(560),
    [anon_sym_int128] = ACTIONS(560),
    [anon_sym_int136] = ACTIONS(560),
    [anon_sym_int144] = ACTIONS(560),
    [anon_sym_int152] = ACTIONS(560),
    [anon_sym_int160] = ACTIONS(560),
    [anon_sym_int168] = ACTIONS(560),
    [anon_sym_int176] = ACTIONS(560),
    [anon_sym_int184] = ACTIONS(560),
    [anon_sym_int192] = ACTIONS(560),
    [anon_sym_int200] = ACTIONS(560),
    [anon_sym_int208] = ACTIONS(560),
    [anon_sym_int216] = ACTIONS(560),
    [anon_sym_int224] = ACTIONS(560),
    [anon_sym_int232] = ACTIONS(560),
    [anon_sym_int240] = ACTIONS(560),
    [anon_sym_int248] = ACTIONS(560),
    [anon_sym_int256] = ACTIONS(560),
    [anon_sym_uint] = ACTIONS(560),
    [anon_sym_uint8] = ACTIONS(560),
    [anon_sym_uint16] = ACTIONS(560),
    [anon_sym_uint24] = ACTIONS(560),
    [anon_sym_uint32] = ACTIONS(560),
    [anon_sym_uint40] = ACTIONS(560),
    [anon_sym_uint48] = ACTIONS(560),
    [anon_sym_uint56] = ACTIONS(560),
    [anon_sym_uint64] = ACTIONS(560),
    [anon_sym_uint72] = ACTIONS(560),
    [anon_sym_uint80] = ACTIONS(560),
    [anon_sym_uint88] = ACTIONS(560),
    [anon_sym_uint96] = ACTIONS(560),
    [anon_sym_uint104] = ACTIONS(560),
    [anon_sym_uint112] = ACTIONS(560),
    [anon_sym_uint120] = ACTIONS(560),
    [anon_sym_uint128] = ACTIONS(560),
    [anon_sym_uint136] = ACTIONS(560),
    [anon_sym_uint144] = ACTIONS(560),
    [anon_sym_uint152] = ACTIONS(560),
    [anon_sym_uint160] = ACTIONS(560),
    [anon_sym_uint168] = ACTIONS(560),
    [anon_sym_uint176] = ACTIONS(560),
    [anon_sym_uint184] = ACTIONS(560),
    [anon_sym_uint192] = ACTIONS(560),
    [anon_sym_uint200] = ACTIONS(560),
    [anon_sym_uint208] = ACTIONS(560),
    [anon_sym_uint216] = ACTIONS(560),
    [anon_sym_uint224] = ACTIONS(560),
    [anon_sym_uint232] = ACTIONS(560),
    [anon_sym_uint240] = ACTIONS(560),
    [anon_sym_uint248] = ACTIONS(560),
    [anon_sym_uint256] = ACTIONS(560),
    [anon_sym_bytes] = ACTIONS(560),
    [anon_sym_bytes1] = ACTIONS(560),
    [anon_sym_bytes2] = ACTIONS(560),
    [anon_sym_bytes3] = ACTIONS(560),
    [anon_sym_bytes4] = ACTIONS(560),
    [anon_sym_bytes5] = ACTIONS(560),
    [anon_sym_bytes6] = ACTIONS(560),
    [anon_sym_bytes7] = ACTIONS(560),
    [anon_sym_bytes8] = ACTIONS(560),
    [anon_sym_bytes9] = ACTIONS(560),
    [anon_sym_bytes10] = ACTIONS(560),
    [anon_sym_bytes11] = ACTIONS(560),
    [anon_sym_bytes12] = ACTIONS(560),
    [anon_sym_bytes13] = ACTIONS(560),
    [anon_sym_bytes14] = ACTIONS(560),
    [anon_sym_bytes15] = ACTIONS(560),
    [anon_sym_bytes16] = ACTIONS(560),
    [anon_sym_bytes17] = ACTIONS(560),
    [anon_sym_bytes18] = ACTIONS(560),
    [anon_sym_bytes19] = ACTIONS(560),
    [anon_sym_bytes20] = ACTIONS(560),
    [anon_sym_bytes21] = ACTIONS(560),
    [anon_sym_bytes22] = ACTIONS(560),
    [anon_sym_bytes23] = ACTIONS(560),
    [anon_sym_bytes24] = ACTIONS(560),
    [anon_sym_bytes25] = ACTIONS(560),
    [anon_sym_bytes26] = ACTIONS(560),
    [anon_sym_bytes27] = ACTIONS(560),
    [anon_sym_bytes28] = ACTIONS(560),
    [anon_sym_bytes29] = ACTIONS(560),
    [anon_sym_bytes30] = ACTIONS(560),
    [anon_sym_bytes31] = ACTIONS(560),
    [anon_sym_bytes32] = ACTIONS(560),
    [anon_sym_fixed] = ACTIONS(560),
    [aux_sym__fixed_token1] = ACTIONS(560),
    [anon_sym_ufixed] = ACTIONS(560),
    [aux_sym__ufixed_token1] = ACTIONS(560),
    [aux_sym__decimal_number_token1] = ACTIONS(560),
    [aux_sym__decimal_number_token2] = ACTIONS(562),
    [aux_sym__hex_number_token1] = ACTIONS(562),
    [anon_sym_hex] = ACTIONS(560),
    [anon_sym_DQUOTE] = ACTIONS(562),
    [anon_sym_SQUOTE] = ACTIONS(562),
    [anon_sym_unicode] = ACTIONS(560),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_identifier] = ACTIONS(566),
    [anon_sym_DASH] = ACTIONS(566),
    [anon_sym_TILDE] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(568),
    [anon_sym_RBRACE] = ACTIONS(568),
    [anon_sym_type] = ACTIONS(566),
    [anon_sym_LPAREN] = ACTIONS(568),
    [anon_sym_for] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(566),
    [anon_sym_assembly] = ACTIONS(566),
    [anon_sym_break] = ACTIONS(566),
    [anon_sym_continue] = ACTIONS(566),
    [anon_sym_true] = ACTIONS(566),
    [anon_sym_false] = ACTIONS(566),
    [anon_sym_if] = ACTIONS(566),
    [anon_sym_function] = ACTIONS(566),
    [anon_sym_byte] = ACTIONS(566),
    [anon_sym_address] = ACTIONS(566),
    [anon_sym_return] = ACTIONS(566),
    [anon_sym_revert] = ACTIONS(566),
    [anon_sym_unchecked] = ACTIONS(566),
    [anon_sym_var] = ACTIONS(566),
    [anon_sym_else] = ACTIONS(566),
    [anon_sym_while] = ACTIONS(566),
    [anon_sym_do] = ACTIONS(566),
    [anon_sym_try] = ACTIONS(566),
    [anon_sym_emit] = ACTIONS(566),
    [anon_sym_payable] = ACTIONS(566),
    [anon_sym_new] = ACTIONS(566),
    [anon_sym_LBRACK] = ACTIONS(568),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_delete] = ACTIONS(566),
    [anon_sym_PLUS_PLUS] = ACTIONS(568),
    [anon_sym_DASH_DASH] = ACTIONS(568),
    [anon_sym_mapping] = ACTIONS(566),
    [anon_sym_bool] = ACTIONS(566),
    [anon_sym_string] = ACTIONS(566),
    [anon_sym_int] = ACTIONS(566),
    [anon_sym_int8] = ACTIONS(566),
    [anon_sym_int16] = ACTIONS(566),
    [anon_sym_int24] = ACTIONS(566),
    [anon_sym_int32] = ACTIONS(566),
    [anon_sym_int40] = ACTIONS(566),
    [anon_sym_int48] = ACTIONS(566),
    [anon_sym_int56] = ACTIONS(566),
    [anon_sym_int64] = ACTIONS(566),
    [anon_sym_int72] = ACTIONS(566),
    [anon_sym_int80] = ACTIONS(566),
    [anon_sym_int88] = ACTIONS(566),
    [anon_sym_int96] = ACTIONS(566),
    [anon_sym_int104] = ACTIONS(566),
    [anon_sym_int112] = ACTIONS(566),
    [anon_sym_int120] = ACTIONS(566),
    [anon_sym_int128] = ACTIONS(566),
    [anon_sym_int136] = ACTIONS(566),
    [anon_sym_int144] = ACTIONS(566),
    [anon_sym_int152] = ACTIONS(566),
    [anon_sym_int160] = ACTIONS(566),
    [anon_sym_int168] = ACTIONS(566),
    [anon_sym_int176] = ACTIONS(566),
    [anon_sym_int184] = ACTIONS(566),
    [anon_sym_int192] = ACTIONS(566),
    [anon_sym_int200] = ACTIONS(566),
    [anon_sym_int208] = ACTIONS(566),
    [anon_sym_int216] = ACTIONS(566),
    [anon_sym_int224] = ACTIONS(566),
    [anon_sym_int232] = ACTIONS(566),
    [anon_sym_int240] = ACTIONS(566),
    [anon_sym_int248] = ACTIONS(566),
    [anon_sym_int256] = ACTIONS(566),
    [anon_sym_uint] = ACTIONS(566),
    [anon_sym_uint8] = ACTIONS(566),
    [anon_sym_uint16] = ACTIONS(566),
    [anon_sym_uint24] = ACTIONS(566),
    [anon_sym_uint32] = ACTIONS(566),
    [anon_sym_uint40] = ACTIONS(566),
    [anon_sym_uint48] = ACTIONS(566),
    [anon_sym_uint56] = ACTIONS(566),
    [anon_sym_uint64] = ACTIONS(566),
    [anon_sym_uint72] = ACTIONS(566),
    [anon_sym_uint80] = ACTIONS(566),
    [anon_sym_uint88] = ACTIONS(566),
    [anon_sym_uint96] = ACTIONS(566),
    [anon_sym_uint104] = ACTIONS(566),
    [anon_sym_uint112] = ACTIONS(566),
    [anon_sym_uint120] = ACTIONS(566),
    [anon_sym_uint128] = ACTIONS(566),
    [anon_sym_uint136] = ACTIONS(566),
    [anon_sym_uint144] = ACTIONS(566),
    [anon_sym_uint152] = ACTIONS(566),
    [anon_sym_uint160] = ACTIONS(566),
    [anon_sym_uint168] = ACTIONS(566),
    [anon_sym_uint176] = ACTIONS(566),
    [anon_sym_uint184] = ACTIONS(566),
    [anon_sym_uint192] = ACTIONS(566),
    [anon_sym_uint200] = ACTIONS(566),
    [anon_sym_uint208] = ACTIONS(566),
    [anon_sym_uint216] = ACTIONS(566),
    [anon_sym_uint224] = ACTIONS(566),
    [anon_sym_uint232] = ACTIONS(566),
    [anon_sym_uint240] = ACTIONS(566),
    [anon_sym_uint248] = ACTIONS(566),
    [anon_sym_uint256] = ACTIONS(566),
    [anon_sym_bytes] = ACTIONS(566),
    [anon_sym_bytes1] = ACTIONS(566),
    [anon_sym_bytes2] = ACTIONS(566),
    [anon_sym_bytes3] = ACTIONS(566),
    [anon_sym_bytes4] = ACTIONS(566),
    [anon_sym_bytes5] = ACTIONS(566),
    [anon_sym_bytes6] = ACTIONS(566),
    [anon_sym_bytes7] = ACTIONS(566),
    [anon_sym_bytes8] = ACTIONS(566),
    [anon_sym_bytes9] = ACTIONS(566),
    [anon_sym_bytes10] = ACTIONS(566),
    [anon_sym_bytes11] = ACTIONS(566),
    [anon_sym_bytes12] = ACTIONS(566),
    [anon_sym_bytes13] = ACTIONS(566),
    [anon_sym_bytes14] = ACTIONS(566),
    [anon_sym_bytes15] = ACTIONS(566),
    [anon_sym_bytes16] = ACTIONS(566),
    [anon_sym_bytes17] = ACTIONS(566),
    [anon_sym_bytes18] = ACTIONS(566),
    [anon_sym_bytes19] = ACTIONS(566),
    [anon_sym_bytes20] = ACTIONS(566),
    [anon_sym_bytes21] = ACTIONS(566),
    [anon_sym_bytes22] = ACTIONS(566),
    [anon_sym_bytes23] = ACTIONS(566),
    [anon_sym_bytes24] = ACTIONS(566),
    [anon_sym_bytes25] = ACTIONS(566),
    [anon_sym_bytes26] = ACTIONS(566),
    [anon_sym_bytes27] = ACTIONS(566),
    [anon_sym_bytes28] = ACTIONS(566),
    [anon_sym_bytes29] = ACTIONS(566),
    [anon_sym_bytes30] = ACTIONS(566),
    [anon_sym_bytes31] = ACTIONS(566),
    [anon_sym_bytes32] = ACTIONS(566),
    [anon_sym_fixed] = ACTIONS(566),
    [aux_sym__fixed_token1] = ACTIONS(566),
    [anon_sym_ufixed] = ACTIONS(566),
    [aux_sym__ufixed_token1] = ACTIONS(566),
    [aux_sym__decimal_number_token1] = ACTIONS(566),
    [aux_sym__decimal_number_token2] = ACTIONS(568),
    [aux_sym__hex_number_token1] = ACTIONS(568),
    [anon_sym_hex] = ACTIONS(566),
    [anon_sym_DQUOTE] = ACTIONS(568),
    [anon_sym_SQUOTE] = ACTIONS(568),
    [anon_sym_unicode] = ACTIONS(566),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_identifier] = ACTIONS(570),
    [anon_sym_DASH] = ACTIONS(570),
    [anon_sym_TILDE] = ACTIONS(572),
    [anon_sym_LBRACE] = ACTIONS(572),
    [anon_sym_RBRACE] = ACTIONS(572),
    [anon_sym_type] = ACTIONS(570),
    [anon_sym_LPAREN] = ACTIONS(572),
    [anon_sym_for] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(570),
    [anon_sym_assembly] = ACTIONS(570),
    [anon_sym_break] = ACTIONS(570),
    [anon_sym_continue] = ACTIONS(570),
    [anon_sym_true] = ACTIONS(570),
    [anon_sym_false] = ACTIONS(570),
    [anon_sym_if] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_byte] = ACTIONS(570),
    [anon_sym_address] = ACTIONS(570),
    [anon_sym_return] = ACTIONS(570),
    [anon_sym_revert] = ACTIONS(570),
    [anon_sym_unchecked] = ACTIONS(570),
    [anon_sym_var] = ACTIONS(570),
    [anon_sym_else] = ACTIONS(570),
    [anon_sym_while] = ACTIONS(570),
    [anon_sym_do] = ACTIONS(570),
    [anon_sym_try] = ACTIONS(570),
    [anon_sym_emit] = ACTIONS(570),
    [anon_sym_payable] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_LBRACK] = ACTIONS(572),
    [anon_sym_BANG] = ACTIONS(572),
    [anon_sym_delete] = ACTIONS(570),
    [anon_sym_PLUS_PLUS] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(572),
    [anon_sym_mapping] = ACTIONS(570),
    [anon_sym_bool] = ACTIONS(570),
    [anon_sym_string] = ACTIONS(570),
    [anon_sym_int] = ACTIONS(570),
    [anon_sym_int8] = ACTIONS(570),
    [anon_sym_int16] = ACTIONS(570),
    [anon_sym_int24] = ACTIONS(570),
    [anon_sym_int32] = ACTIONS(570),
    [anon_sym_int40] = ACTIONS(570),
    [anon_sym_int48] = ACTIONS(570),
    [anon_sym_int56] = ACTIONS(570),
    [anon_sym_int64] = ACTIONS(570),
    [anon_sym_int72] = ACTIONS(570),
    [anon_sym_int80] = ACTIONS(570),
    [anon_sym_int88] = ACTIONS(570),
    [anon_sym_int96] = ACTIONS(570),
    [anon_sym_int104] = ACTIONS(570),
    [anon_sym_int112] = ACTIONS(570),
    [anon_sym_int120] = ACTIONS(570),
    [anon_sym_int128] = ACTIONS(570),
    [anon_sym_int136] = ACTIONS(570),
    [anon_sym_int144] = ACTIONS(570),
    [anon_sym_int152] = ACTIONS(570),
    [anon_sym_int160] = ACTIONS(570),
    [anon_sym_int168] = ACTIONS(570),
    [anon_sym_int176] = ACTIONS(570),
    [anon_sym_int184] = ACTIONS(570),
    [anon_sym_int192] = ACTIONS(570),
    [anon_sym_int200] = ACTIONS(570),
    [anon_sym_int208] = ACTIONS(570),
    [anon_sym_int216] = ACTIONS(570),
    [anon_sym_int224] = ACTIONS(570),
    [anon_sym_int232] = ACTIONS(570),
    [anon_sym_int240] = ACTIONS(570),
    [anon_sym_int248] = ACTIONS(570),
    [anon_sym_int256] = ACTIONS(570),
    [anon_sym_uint] = ACTIONS(570),
    [anon_sym_uint8] = ACTIONS(570),
    [anon_sym_uint16] = ACTIONS(570),
    [anon_sym_uint24] = ACTIONS(570),
    [anon_sym_uint32] = ACTIONS(570),
    [anon_sym_uint40] = ACTIONS(570),
    [anon_sym_uint48] = ACTIONS(570),
    [anon_sym_uint56] = ACTIONS(570),
    [anon_sym_uint64] = ACTIONS(570),
    [anon_sym_uint72] = ACTIONS(570),
    [anon_sym_uint80] = ACTIONS(570),
    [anon_sym_uint88] = ACTIONS(570),
    [anon_sym_uint96] = ACTIONS(570),
    [anon_sym_uint104] = ACTIONS(570),
    [anon_sym_uint112] = ACTIONS(570),
    [anon_sym_uint120] = ACTIONS(570),
    [anon_sym_uint128] = ACTIONS(570),
    [anon_sym_uint136] = ACTIONS(570),
    [anon_sym_uint144] = ACTIONS(570),
    [anon_sym_uint152] = ACTIONS(570),
    [anon_sym_uint160] = ACTIONS(570),
    [anon_sym_uint168] = ACTIONS(570),
    [anon_sym_uint176] = ACTIONS(570),
    [anon_sym_uint184] = ACTIONS(570),
    [anon_sym_uint192] = ACTIONS(570),
    [anon_sym_uint200] = ACTIONS(570),
    [anon_sym_uint208] = ACTIONS(570),
    [anon_sym_uint216] = ACTIONS(570),
    [anon_sym_uint224] = ACTIONS(570),
    [anon_sym_uint232] = ACTIONS(570),
    [anon_sym_uint240] = ACTIONS(570),
    [anon_sym_uint248] = ACTIONS(570),
    [anon_sym_uint256] = ACTIONS(570),
    [anon_sym_bytes] = ACTIONS(570),
    [anon_sym_bytes1] = ACTIONS(570),
    [anon_sym_bytes2] = ACTIONS(570),
    [anon_sym_bytes3] = ACTIONS(570),
    [anon_sym_bytes4] = ACTIONS(570),
    [anon_sym_bytes5] = ACTIONS(570),
    [anon_sym_bytes6] = ACTIONS(570),
    [anon_sym_bytes7] = ACTIONS(570),
    [anon_sym_bytes8] = ACTIONS(570),
    [anon_sym_bytes9] = ACTIONS(570),
    [anon_sym_bytes10] = ACTIONS(570),
    [anon_sym_bytes11] = ACTIONS(570),
    [anon_sym_bytes12] = ACTIONS(570),
    [anon_sym_bytes13] = ACTIONS(570),
    [anon_sym_bytes14] = ACTIONS(570),
    [anon_sym_bytes15] = ACTIONS(570),
    [anon_sym_bytes16] = ACTIONS(570),
    [anon_sym_bytes17] = ACTIONS(570),
    [anon_sym_bytes18] = ACTIONS(570),
    [anon_sym_bytes19] = ACTIONS(570),
    [anon_sym_bytes20] = ACTIONS(570),
    [anon_sym_bytes21] = ACTIONS(570),
    [anon_sym_bytes22] = ACTIONS(570),
    [anon_sym_bytes23] = ACTIONS(570),
    [anon_sym_bytes24] = ACTIONS(570),
    [anon_sym_bytes25] = ACTIONS(570),
    [anon_sym_bytes26] = ACTIONS(570),
    [anon_sym_bytes27] = ACTIONS(570),
    [anon_sym_bytes28] = ACTIONS(570),
    [anon_sym_bytes29] = ACTIONS(570),
    [anon_sym_bytes30] = ACTIONS(570),
    [anon_sym_bytes31] = ACTIONS(570),
    [anon_sym_bytes32] = ACTIONS(570),
    [anon_sym_fixed] = ACTIONS(570),
    [aux_sym__fixed_token1] = ACTIONS(570),
    [anon_sym_ufixed] = ACTIONS(570),
    [aux_sym__ufixed_token1] = ACTIONS(570),
    [aux_sym__decimal_number_token1] = ACTIONS(570),
    [aux_sym__decimal_number_token2] = ACTIONS(572),
    [aux_sym__hex_number_token1] = ACTIONS(572),
    [anon_sym_hex] = ACTIONS(570),
    [anon_sym_DQUOTE] = ACTIONS(572),
    [anon_sym_SQUOTE] = ACTIONS(572),
    [anon_sym_unicode] = ACTIONS(570),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_identifier] = ACTIONS(574),
    [anon_sym_DASH] = ACTIONS(574),
    [anon_sym_TILDE] = ACTIONS(576),
    [anon_sym_LBRACE] = ACTIONS(576),
    [anon_sym_RBRACE] = ACTIONS(576),
    [anon_sym_type] = ACTIONS(574),
    [anon_sym_LPAREN] = ACTIONS(576),
    [anon_sym_for] = ACTIONS(574),
    [anon_sym_PLUS] = ACTIONS(574),
    [anon_sym_assembly] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(574),
    [anon_sym_continue] = ACTIONS(574),
    [anon_sym_true] = ACTIONS(574),
    [anon_sym_false] = ACTIONS(574),
    [anon_sym_if] = ACTIONS(574),
    [anon_sym_function] = ACTIONS(574),
    [anon_sym_byte] = ACTIONS(574),
    [anon_sym_address] = ACTIONS(574),
    [anon_sym_return] = ACTIONS(574),
    [anon_sym_revert] = ACTIONS(574),
    [anon_sym_unchecked] = ACTIONS(574),
    [anon_sym_var] = ACTIONS(574),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_while] = ACTIONS(574),
    [anon_sym_do] = ACTIONS(574),
    [anon_sym_try] = ACTIONS(574),
    [anon_sym_emit] = ACTIONS(574),
    [anon_sym_payable] = ACTIONS(574),
    [anon_sym_new] = ACTIONS(574),
    [anon_sym_LBRACK] = ACTIONS(576),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_delete] = ACTIONS(574),
    [anon_sym_PLUS_PLUS] = ACTIONS(576),
    [anon_sym_DASH_DASH] = ACTIONS(576),
    [anon_sym_mapping] = ACTIONS(574),
    [anon_sym_bool] = ACTIONS(574),
    [anon_sym_string] = ACTIONS(574),
    [anon_sym_int] = ACTIONS(574),
    [anon_sym_int8] = ACTIONS(574),
    [anon_sym_int16] = ACTIONS(574),
    [anon_sym_int24] = ACTIONS(574),
    [anon_sym_int32] = ACTIONS(574),
    [anon_sym_int40] = ACTIONS(574),
    [anon_sym_int48] = ACTIONS(574),
    [anon_sym_int56] = ACTIONS(574),
    [anon_sym_int64] = ACTIONS(574),
    [anon_sym_int72] = ACTIONS(574),
    [anon_sym_int80] = ACTIONS(574),
    [anon_sym_int88] = ACTIONS(574),
    [anon_sym_int96] = ACTIONS(574),
    [anon_sym_int104] = ACTIONS(574),
    [anon_sym_int112] = ACTIONS(574),
    [anon_sym_int120] = ACTIONS(574),
    [anon_sym_int128] = ACTIONS(574),
    [anon_sym_int136] = ACTIONS(574),
    [anon_sym_int144] = ACTIONS(574),
    [anon_sym_int152] = ACTIONS(574),
    [anon_sym_int160] = ACTIONS(574),
    [anon_sym_int168] = ACTIONS(574),
    [anon_sym_int176] = ACTIONS(574),
    [anon_sym_int184] = ACTIONS(574),
    [anon_sym_int192] = ACTIONS(574),
    [anon_sym_int200] = ACTIONS(574),
    [anon_sym_int208] = ACTIONS(574),
    [anon_sym_int216] = ACTIONS(574),
    [anon_sym_int224] = ACTIONS(574),
    [anon_sym_int232] = ACTIONS(574),
    [anon_sym_int240] = ACTIONS(574),
    [anon_sym_int248] = ACTIONS(574),
    [anon_sym_int256] = ACTIONS(574),
    [anon_sym_uint] = ACTIONS(574),
    [anon_sym_uint8] = ACTIONS(574),
    [anon_sym_uint16] = ACTIONS(574),
    [anon_sym_uint24] = ACTIONS(574),
    [anon_sym_uint32] = ACTIONS(574),
    [anon_sym_uint40] = ACTIONS(574),
    [anon_sym_uint48] = ACTIONS(574),
    [anon_sym_uint56] = ACTIONS(574),
    [anon_sym_uint64] = ACTIONS(574),
    [anon_sym_uint72] = ACTIONS(574),
    [anon_sym_uint80] = ACTIONS(574),
    [anon_sym_uint88] = ACTIONS(574),
    [anon_sym_uint96] = ACTIONS(574),
    [anon_sym_uint104] = ACTIONS(574),
    [anon_sym_uint112] = ACTIONS(574),
    [anon_sym_uint120] = ACTIONS(574),
    [anon_sym_uint128] = ACTIONS(574),
    [anon_sym_uint136] = ACTIONS(574),
    [anon_sym_uint144] = ACTIONS(574),
    [anon_sym_uint152] = ACTIONS(574),
    [anon_sym_uint160] = ACTIONS(574),
    [anon_sym_uint168] = ACTIONS(574),
    [anon_sym_uint176] = ACTIONS(574),
    [anon_sym_uint184] = ACTIONS(574),
    [anon_sym_uint192] = ACTIONS(574),
    [anon_sym_uint200] = ACTIONS(574),
    [anon_sym_uint208] = ACTIONS(574),
    [anon_sym_uint216] = ACTIONS(574),
    [anon_sym_uint224] = ACTIONS(574),
    [anon_sym_uint232] = ACTIONS(574),
    [anon_sym_uint240] = ACTIONS(574),
    [anon_sym_uint248] = ACTIONS(574),
    [anon_sym_uint256] = ACTIONS(574),
    [anon_sym_bytes] = ACTIONS(574),
    [anon_sym_bytes1] = ACTIONS(574),
    [anon_sym_bytes2] = ACTIONS(574),
    [anon_sym_bytes3] = ACTIONS(574),
    [anon_sym_bytes4] = ACTIONS(574),
    [anon_sym_bytes5] = ACTIONS(574),
    [anon_sym_bytes6] = ACTIONS(574),
    [anon_sym_bytes7] = ACTIONS(574),
    [anon_sym_bytes8] = ACTIONS(574),
    [anon_sym_bytes9] = ACTIONS(574),
    [anon_sym_bytes10] = ACTIONS(574),
    [anon_sym_bytes11] = ACTIONS(574),
    [anon_sym_bytes12] = ACTIONS(574),
    [anon_sym_bytes13] = ACTIONS(574),
    [anon_sym_bytes14] = ACTIONS(574),
    [anon_sym_bytes15] = ACTIONS(574),
    [anon_sym_bytes16] = ACTIONS(574),
    [anon_sym_bytes17] = ACTIONS(574),
    [anon_sym_bytes18] = ACTIONS(574),
    [anon_sym_bytes19] = ACTIONS(574),
    [anon_sym_bytes20] = ACTIONS(574),
    [anon_sym_bytes21] = ACTIONS(574),
    [anon_sym_bytes22] = ACTIONS(574),
    [anon_sym_bytes23] = ACTIONS(574),
    [anon_sym_bytes24] = ACTIONS(574),
    [anon_sym_bytes25] = ACTIONS(574),
    [anon_sym_bytes26] = ACTIONS(574),
    [anon_sym_bytes27] = ACTIONS(574),
    [anon_sym_bytes28] = ACTIONS(574),
    [anon_sym_bytes29] = ACTIONS(574),
    [anon_sym_bytes30] = ACTIONS(574),
    [anon_sym_bytes31] = ACTIONS(574),
    [anon_sym_bytes32] = ACTIONS(574),
    [anon_sym_fixed] = ACTIONS(574),
    [aux_sym__fixed_token1] = ACTIONS(574),
    [anon_sym_ufixed] = ACTIONS(574),
    [aux_sym__ufixed_token1] = ACTIONS(574),
    [aux_sym__decimal_number_token1] = ACTIONS(574),
    [aux_sym__decimal_number_token2] = ACTIONS(576),
    [aux_sym__hex_number_token1] = ACTIONS(576),
    [anon_sym_hex] = ACTIONS(574),
    [anon_sym_DQUOTE] = ACTIONS(576),
    [anon_sym_SQUOTE] = ACTIONS(576),
    [anon_sym_unicode] = ACTIONS(574),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_identifier] = ACTIONS(578),
    [anon_sym_DASH] = ACTIONS(578),
    [anon_sym_TILDE] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(580),
    [anon_sym_RBRACE] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(578),
    [anon_sym_LPAREN] = ACTIONS(580),
    [anon_sym_for] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(578),
    [anon_sym_assembly] = ACTIONS(578),
    [anon_sym_break] = ACTIONS(578),
    [anon_sym_continue] = ACTIONS(578),
    [anon_sym_true] = ACTIONS(578),
    [anon_sym_false] = ACTIONS(578),
    [anon_sym_if] = ACTIONS(578),
    [anon_sym_function] = ACTIONS(578),
    [anon_sym_byte] = ACTIONS(578),
    [anon_sym_address] = ACTIONS(578),
    [anon_sym_return] = ACTIONS(578),
    [anon_sym_revert] = ACTIONS(578),
    [anon_sym_unchecked] = ACTIONS(578),
    [anon_sym_var] = ACTIONS(578),
    [anon_sym_else] = ACTIONS(578),
    [anon_sym_while] = ACTIONS(578),
    [anon_sym_do] = ACTIONS(578),
    [anon_sym_try] = ACTIONS(578),
    [anon_sym_emit] = ACTIONS(578),
    [anon_sym_payable] = ACTIONS(578),
    [anon_sym_new] = ACTIONS(578),
    [anon_sym_LBRACK] = ACTIONS(580),
    [anon_sym_BANG] = ACTIONS(580),
    [anon_sym_delete] = ACTIONS(578),
    [anon_sym_PLUS_PLUS] = ACTIONS(580),
    [anon_sym_DASH_DASH] = ACTIONS(580),
    [anon_sym_mapping] = ACTIONS(578),
    [anon_sym_bool] = ACTIONS(578),
    [anon_sym_string] = ACTIONS(578),
    [anon_sym_int] = ACTIONS(578),
    [anon_sym_int8] = ACTIONS(578),
    [anon_sym_int16] = ACTIONS(578),
    [anon_sym_int24] = ACTIONS(578),
    [anon_sym_int32] = ACTIONS(578),
    [anon_sym_int40] = ACTIONS(578),
    [anon_sym_int48] = ACTIONS(578),
    [anon_sym_int56] = ACTIONS(578),
    [anon_sym_int64] = ACTIONS(578),
    [anon_sym_int72] = ACTIONS(578),
    [anon_sym_int80] = ACTIONS(578),
    [anon_sym_int88] = ACTIONS(578),
    [anon_sym_int96] = ACTIONS(578),
    [anon_sym_int104] = ACTIONS(578),
    [anon_sym_int112] = ACTIONS(578),
    [anon_sym_int120] = ACTIONS(578),
    [anon_sym_int128] = ACTIONS(578),
    [anon_sym_int136] = ACTIONS(578),
    [anon_sym_int144] = ACTIONS(578),
    [anon_sym_int152] = ACTIONS(578),
    [anon_sym_int160] = ACTIONS(578),
    [anon_sym_int168] = ACTIONS(578),
    [anon_sym_int176] = ACTIONS(578),
    [anon_sym_int184] = ACTIONS(578),
    [anon_sym_int192] = ACTIONS(578),
    [anon_sym_int200] = ACTIONS(578),
    [anon_sym_int208] = ACTIONS(578),
    [anon_sym_int216] = ACTIONS(578),
    [anon_sym_int224] = ACTIONS(578),
    [anon_sym_int232] = ACTIONS(578),
    [anon_sym_int240] = ACTIONS(578),
    [anon_sym_int248] = ACTIONS(578),
    [anon_sym_int256] = ACTIONS(578),
    [anon_sym_uint] = ACTIONS(578),
    [anon_sym_uint8] = ACTIONS(578),
    [anon_sym_uint16] = ACTIONS(578),
    [anon_sym_uint24] = ACTIONS(578),
    [anon_sym_uint32] = ACTIONS(578),
    [anon_sym_uint40] = ACTIONS(578),
    [anon_sym_uint48] = ACTIONS(578),
    [anon_sym_uint56] = ACTIONS(578),
    [anon_sym_uint64] = ACTIONS(578),
    [anon_sym_uint72] = ACTIONS(578),
    [anon_sym_uint80] = ACTIONS(578),
    [anon_sym_uint88] = ACTIONS(578),
    [anon_sym_uint96] = ACTIONS(578),
    [anon_sym_uint104] = ACTIONS(578),
    [anon_sym_uint112] = ACTIONS(578),
    [anon_sym_uint120] = ACTIONS(578),
    [anon_sym_uint128] = ACTIONS(578),
    [anon_sym_uint136] = ACTIONS(578),
    [anon_sym_uint144] = ACTIONS(578),
    [anon_sym_uint152] = ACTIONS(578),
    [anon_sym_uint160] = ACTIONS(578),
    [anon_sym_uint168] = ACTIONS(578),
    [anon_sym_uint176] = ACTIONS(578),
    [anon_sym_uint184] = ACTIONS(578),
    [anon_sym_uint192] = ACTIONS(578),
    [anon_sym_uint200] = ACTIONS(578),
    [anon_sym_uint208] = ACTIONS(578),
    [anon_sym_uint216] = ACTIONS(578),
    [anon_sym_uint224] = ACTIONS(578),
    [anon_sym_uint232] = ACTIONS(578),
    [anon_sym_uint240] = ACTIONS(578),
    [anon_sym_uint248] = ACTIONS(578),
    [anon_sym_uint256] = ACTIONS(578),
    [anon_sym_bytes] = ACTIONS(578),
    [anon_sym_bytes1] = ACTIONS(578),
    [anon_sym_bytes2] = ACTIONS(578),
    [anon_sym_bytes3] = ACTIONS(578),
    [anon_sym_bytes4] = ACTIONS(578),
    [anon_sym_bytes5] = ACTIONS(578),
    [anon_sym_bytes6] = ACTIONS(578),
    [anon_sym_bytes7] = ACTIONS(578),
    [anon_sym_bytes8] = ACTIONS(578),
    [anon_sym_bytes9] = ACTIONS(578),
    [anon_sym_bytes10] = ACTIONS(578),
    [anon_sym_bytes11] = ACTIONS(578),
    [anon_sym_bytes12] = ACTIONS(578),
    [anon_sym_bytes13] = ACTIONS(578),
    [anon_sym_bytes14] = ACTIONS(578),
    [anon_sym_bytes15] = ACTIONS(578),
    [anon_sym_bytes16] = ACTIONS(578),
    [anon_sym_bytes17] = ACTIONS(578),
    [anon_sym_bytes18] = ACTIONS(578),
    [anon_sym_bytes19] = ACTIONS(578),
    [anon_sym_bytes20] = ACTIONS(578),
    [anon_sym_bytes21] = ACTIONS(578),
    [anon_sym_bytes22] = ACTIONS(578),
    [anon_sym_bytes23] = ACTIONS(578),
    [anon_sym_bytes24] = ACTIONS(578),
    [anon_sym_bytes25] = ACTIONS(578),
    [anon_sym_bytes26] = ACTIONS(578),
    [anon_sym_bytes27] = ACTIONS(578),
    [anon_sym_bytes28] = ACTIONS(578),
    [anon_sym_bytes29] = ACTIONS(578),
    [anon_sym_bytes30] = ACTIONS(578),
    [anon_sym_bytes31] = ACTIONS(578),
    [anon_sym_bytes32] = ACTIONS(578),
    [anon_sym_fixed] = ACTIONS(578),
    [aux_sym__fixed_token1] = ACTIONS(578),
    [anon_sym_ufixed] = ACTIONS(578),
    [aux_sym__ufixed_token1] = ACTIONS(578),
    [aux_sym__decimal_number_token1] = ACTIONS(578),
    [aux_sym__decimal_number_token2] = ACTIONS(580),
    [aux_sym__hex_number_token1] = ACTIONS(580),
    [anon_sym_hex] = ACTIONS(578),
    [anon_sym_DQUOTE] = ACTIONS(580),
    [anon_sym_SQUOTE] = ACTIONS(580),
    [anon_sym_unicode] = ACTIONS(578),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_identifier] = ACTIONS(582),
    [anon_sym_DASH] = ACTIONS(582),
    [anon_sym_TILDE] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(584),
    [anon_sym_RBRACE] = ACTIONS(584),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_LPAREN] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(582),
    [anon_sym_assembly] = ACTIONS(582),
    [anon_sym_break] = ACTIONS(582),
    [anon_sym_continue] = ACTIONS(582),
    [anon_sym_true] = ACTIONS(582),
    [anon_sym_false] = ACTIONS(582),
    [anon_sym_if] = ACTIONS(582),
    [anon_sym_function] = ACTIONS(582),
    [anon_sym_byte] = ACTIONS(582),
    [anon_sym_address] = ACTIONS(582),
    [anon_sym_return] = ACTIONS(582),
    [anon_sym_revert] = ACTIONS(582),
    [anon_sym_unchecked] = ACTIONS(582),
    [anon_sym_var] = ACTIONS(582),
    [anon_sym_else] = ACTIONS(582),
    [anon_sym_while] = ACTIONS(582),
    [anon_sym_do] = ACTIONS(582),
    [anon_sym_try] = ACTIONS(582),
    [anon_sym_emit] = ACTIONS(582),
    [anon_sym_payable] = ACTIONS(582),
    [anon_sym_new] = ACTIONS(582),
    [anon_sym_LBRACK] = ACTIONS(584),
    [anon_sym_BANG] = ACTIONS(584),
    [anon_sym_delete] = ACTIONS(582),
    [anon_sym_PLUS_PLUS] = ACTIONS(584),
    [anon_sym_DASH_DASH] = ACTIONS(584),
    [anon_sym_mapping] = ACTIONS(582),
    [anon_sym_bool] = ACTIONS(582),
    [anon_sym_string] = ACTIONS(582),
    [anon_sym_int] = ACTIONS(582),
    [anon_sym_int8] = ACTIONS(582),
    [anon_sym_int16] = ACTIONS(582),
    [anon_sym_int24] = ACTIONS(582),
    [anon_sym_int32] = ACTIONS(582),
    [anon_sym_int40] = ACTIONS(582),
    [anon_sym_int48] = ACTIONS(582),
    [anon_sym_int56] = ACTIONS(582),
    [anon_sym_int64] = ACTIONS(582),
    [anon_sym_int72] = ACTIONS(582),
    [anon_sym_int80] = ACTIONS(582),
    [anon_sym_int88] = ACTIONS(582),
    [anon_sym_int96] = ACTIONS(582),
    [anon_sym_int104] = ACTIONS(582),
    [anon_sym_int112] = ACTIONS(582),
    [anon_sym_int120] = ACTIONS(582),
    [anon_sym_int128] = ACTIONS(582),
    [anon_sym_int136] = ACTIONS(582),
    [anon_sym_int144] = ACTIONS(582),
    [anon_sym_int152] = ACTIONS(582),
    [anon_sym_int160] = ACTIONS(582),
    [anon_sym_int168] = ACTIONS(582),
    [anon_sym_int176] = ACTIONS(582),
    [anon_sym_int184] = ACTIONS(582),
    [anon_sym_int192] = ACTIONS(582),
    [anon_sym_int200] = ACTIONS(582),
    [anon_sym_int208] = ACTIONS(582),
    [anon_sym_int216] = ACTIONS(582),
    [anon_sym_int224] = ACTIONS(582),
    [anon_sym_int232] = ACTIONS(582),
    [anon_sym_int240] = ACTIONS(582),
    [anon_sym_int248] = ACTIONS(582),
    [anon_sym_int256] = ACTIONS(582),
    [anon_sym_uint] = ACTIONS(582),
    [anon_sym_uint8] = ACTIONS(582),
    [anon_sym_uint16] = ACTIONS(582),
    [anon_sym_uint24] = ACTIONS(582),
    [anon_sym_uint32] = ACTIONS(582),
    [anon_sym_uint40] = ACTIONS(582),
    [anon_sym_uint48] = ACTIONS(582),
    [anon_sym_uint56] = ACTIONS(582),
    [anon_sym_uint64] = ACTIONS(582),
    [anon_sym_uint72] = ACTIONS(582),
    [anon_sym_uint80] = ACTIONS(582),
    [anon_sym_uint88] = ACTIONS(582),
    [anon_sym_uint96] = ACTIONS(582),
    [anon_sym_uint104] = ACTIONS(582),
    [anon_sym_uint112] = ACTIONS(582),
    [anon_sym_uint120] = ACTIONS(582),
    [anon_sym_uint128] = ACTIONS(582),
    [anon_sym_uint136] = ACTIONS(582),
    [anon_sym_uint144] = ACTIONS(582),
    [anon_sym_uint152] = ACTIONS(582),
    [anon_sym_uint160] = ACTIONS(582),
    [anon_sym_uint168] = ACTIONS(582),
    [anon_sym_uint176] = ACTIONS(582),
    [anon_sym_uint184] = ACTIONS(582),
    [anon_sym_uint192] = ACTIONS(582),
    [anon_sym_uint200] = ACTIONS(582),
    [anon_sym_uint208] = ACTIONS(582),
    [anon_sym_uint216] = ACTIONS(582),
    [anon_sym_uint224] = ACTIONS(582),
    [anon_sym_uint232] = ACTIONS(582),
    [anon_sym_uint240] = ACTIONS(582),
    [anon_sym_uint248] = ACTIONS(582),
    [anon_sym_uint256] = ACTIONS(582),
    [anon_sym_bytes] = ACTIONS(582),
    [anon_sym_bytes1] = ACTIONS(582),
    [anon_sym_bytes2] = ACTIONS(582),
    [anon_sym_bytes3] = ACTIONS(582),
    [anon_sym_bytes4] = ACTIONS(582),
    [anon_sym_bytes5] = ACTIONS(582),
    [anon_sym_bytes6] = ACTIONS(582),
    [anon_sym_bytes7] = ACTIONS(582),
    [anon_sym_bytes8] = ACTIONS(582),
    [anon_sym_bytes9] = ACTIONS(582),
    [anon_sym_bytes10] = ACTIONS(582),
    [anon_sym_bytes11] = ACTIONS(582),
    [anon_sym_bytes12] = ACTIONS(582),
    [anon_sym_bytes13] = ACTIONS(582),
    [anon_sym_bytes14] = ACTIONS(582),
    [anon_sym_bytes15] = ACTIONS(582),
    [anon_sym_bytes16] = ACTIONS(582),
    [anon_sym_bytes17] = ACTIONS(582),
    [anon_sym_bytes18] = ACTIONS(582),
    [anon_sym_bytes19] = ACTIONS(582),
    [anon_sym_bytes20] = ACTIONS(582),
    [anon_sym_bytes21] = ACTIONS(582),
    [anon_sym_bytes22] = ACTIONS(582),
    [anon_sym_bytes23] = ACTIONS(582),
    [anon_sym_bytes24] = ACTIONS(582),
    [anon_sym_bytes25] = ACTIONS(582),
    [anon_sym_bytes26] = ACTIONS(582),
    [anon_sym_bytes27] = ACTIONS(582),
    [anon_sym_bytes28] = ACTIONS(582),
    [anon_sym_bytes29] = ACTIONS(582),
    [anon_sym_bytes30] = ACTIONS(582),
    [anon_sym_bytes31] = ACTIONS(582),
    [anon_sym_bytes32] = ACTIONS(582),
    [anon_sym_fixed] = ACTIONS(582),
    [aux_sym__fixed_token1] = ACTIONS(582),
    [anon_sym_ufixed] = ACTIONS(582),
    [aux_sym__ufixed_token1] = ACTIONS(582),
    [aux_sym__decimal_number_token1] = ACTIONS(582),
    [aux_sym__decimal_number_token2] = ACTIONS(584),
    [aux_sym__hex_number_token1] = ACTIONS(584),
    [anon_sym_hex] = ACTIONS(582),
    [anon_sym_DQUOTE] = ACTIONS(584),
    [anon_sym_SQUOTE] = ACTIONS(584),
    [anon_sym_unicode] = ACTIONS(582),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_struct_member] = STATE(125),
    [sym_type_name] = STATE(899),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [aux_sym_struct_declaration_repeat1] = STATE(125),
    [sym_identifier] = ACTIONS(586),
    [anon_sym_RBRACE] = ACTIONS(589),
    [anon_sym_function] = ACTIONS(591),
    [anon_sym_byte] = ACTIONS(594),
    [anon_sym_address] = ACTIONS(597),
    [anon_sym_var] = ACTIONS(594),
    [anon_sym_mapping] = ACTIONS(600),
    [anon_sym_bool] = ACTIONS(594),
    [anon_sym_string] = ACTIONS(594),
    [anon_sym_int] = ACTIONS(594),
    [anon_sym_int8] = ACTIONS(594),
    [anon_sym_int16] = ACTIONS(594),
    [anon_sym_int24] = ACTIONS(594),
    [anon_sym_int32] = ACTIONS(594),
    [anon_sym_int40] = ACTIONS(594),
    [anon_sym_int48] = ACTIONS(594),
    [anon_sym_int56] = ACTIONS(594),
    [anon_sym_int64] = ACTIONS(594),
    [anon_sym_int72] = ACTIONS(594),
    [anon_sym_int80] = ACTIONS(594),
    [anon_sym_int88] = ACTIONS(594),
    [anon_sym_int96] = ACTIONS(594),
    [anon_sym_int104] = ACTIONS(594),
    [anon_sym_int112] = ACTIONS(594),
    [anon_sym_int120] = ACTIONS(594),
    [anon_sym_int128] = ACTIONS(594),
    [anon_sym_int136] = ACTIONS(594),
    [anon_sym_int144] = ACTIONS(594),
    [anon_sym_int152] = ACTIONS(594),
    [anon_sym_int160] = ACTIONS(594),
    [anon_sym_int168] = ACTIONS(594),
    [anon_sym_int176] = ACTIONS(594),
    [anon_sym_int184] = ACTIONS(594),
    [anon_sym_int192] = ACTIONS(594),
    [anon_sym_int200] = ACTIONS(594),
    [anon_sym_int208] = ACTIONS(594),
    [anon_sym_int216] = ACTIONS(594),
    [anon_sym_int224] = ACTIONS(594),
    [anon_sym_int232] = ACTIONS(594),
    [anon_sym_int240] = ACTIONS(594),
    [anon_sym_int248] = ACTIONS(594),
    [anon_sym_int256] = ACTIONS(594),
    [anon_sym_uint] = ACTIONS(594),
    [anon_sym_uint8] = ACTIONS(594),
    [anon_sym_uint16] = ACTIONS(594),
    [anon_sym_uint24] = ACTIONS(594),
    [anon_sym_uint32] = ACTIONS(594),
    [anon_sym_uint40] = ACTIONS(594),
    [anon_sym_uint48] = ACTIONS(594),
    [anon_sym_uint56] = ACTIONS(594),
    [anon_sym_uint64] = ACTIONS(594),
    [anon_sym_uint72] = ACTIONS(594),
    [anon_sym_uint80] = ACTIONS(594),
    [anon_sym_uint88] = ACTIONS(594),
    [anon_sym_uint96] = ACTIONS(594),
    [anon_sym_uint104] = ACTIONS(594),
    [anon_sym_uint112] = ACTIONS(594),
    [anon_sym_uint120] = ACTIONS(594),
    [anon_sym_uint128] = ACTIONS(594),
    [anon_sym_uint136] = ACTIONS(594),
    [anon_sym_uint144] = ACTIONS(594),
    [anon_sym_uint152] = ACTIONS(594),
    [anon_sym_uint160] = ACTIONS(594),
    [anon_sym_uint168] = ACTIONS(594),
    [anon_sym_uint176] = ACTIONS(594),
    [anon_sym_uint184] = ACTIONS(594),
    [anon_sym_uint192] = ACTIONS(594),
    [anon_sym_uint200] = ACTIONS(594),
    [anon_sym_uint208] = ACTIONS(594),
    [anon_sym_uint216] = ACTIONS(594),
    [anon_sym_uint224] = ACTIONS(594),
    [anon_sym_uint232] = ACTIONS(594),
    [anon_sym_uint240] = ACTIONS(594),
    [anon_sym_uint248] = ACTIONS(594),
    [anon_sym_uint256] = ACTIONS(594),
    [anon_sym_bytes] = ACTIONS(594),
    [anon_sym_bytes1] = ACTIONS(594),
    [anon_sym_bytes2] = ACTIONS(594),
    [anon_sym_bytes3] = ACTIONS(594),
    [anon_sym_bytes4] = ACTIONS(594),
    [anon_sym_bytes5] = ACTIONS(594),
    [anon_sym_bytes6] = ACTIONS(594),
    [anon_sym_bytes7] = ACTIONS(594),
    [anon_sym_bytes8] = ACTIONS(594),
    [anon_sym_bytes9] = ACTIONS(594),
    [anon_sym_bytes10] = ACTIONS(594),
    [anon_sym_bytes11] = ACTIONS(594),
    [anon_sym_bytes12] = ACTIONS(594),
    [anon_sym_bytes13] = ACTIONS(594),
    [anon_sym_bytes14] = ACTIONS(594),
    [anon_sym_bytes15] = ACTIONS(594),
    [anon_sym_bytes16] = ACTIONS(594),
    [anon_sym_bytes17] = ACTIONS(594),
    [anon_sym_bytes18] = ACTIONS(594),
    [anon_sym_bytes19] = ACTIONS(594),
    [anon_sym_bytes20] = ACTIONS(594),
    [anon_sym_bytes21] = ACTIONS(594),
    [anon_sym_bytes22] = ACTIONS(594),
    [anon_sym_bytes23] = ACTIONS(594),
    [anon_sym_bytes24] = ACTIONS(594),
    [anon_sym_bytes25] = ACTIONS(594),
    [anon_sym_bytes26] = ACTIONS(594),
    [anon_sym_bytes27] = ACTIONS(594),
    [anon_sym_bytes28] = ACTIONS(594),
    [anon_sym_bytes29] = ACTIONS(594),
    [anon_sym_bytes30] = ACTIONS(594),
    [anon_sym_bytes31] = ACTIONS(594),
    [anon_sym_bytes32] = ACTIONS(594),
    [anon_sym_fixed] = ACTIONS(594),
    [aux_sym__fixed_token1] = ACTIONS(594),
    [anon_sym_ufixed] = ACTIONS(594),
    [aux_sym__ufixed_token1] = ACTIONS(594),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_variable_declaration] = STATE(966),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_variable_declaration] = STATE(966),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(607),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_variable_declaration] = STATE(966),
    [sym_type_name] = STATE(618),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(603),
    [anon_sym_RPAREN] = ACTIONS(603),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_struct_member] = STATE(125),
    [sym_type_name] = STATE(899),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [aux_sym_struct_declaration_repeat1] = STATE(125),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(609),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_struct_member] = STATE(125),
    [sym_type_name] = STATE(899),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [aux_sym_struct_declaration_repeat1] = STATE(125),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(611),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_any_source_type] = STATE(773),
    [sym_type_name] = STATE(664),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_type_name] = STATE(601),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym__nameless_parameter] = STATE(946),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(615),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_event_paramater] = STATE(861),
    [sym_type_name] = STATE(614),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(617),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_any_source_type] = STATE(816),
    [sym_type_name] = STATE(687),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_any_source_type] = STATE(824),
    [sym_type_name] = STATE(689),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_event_paramater] = STATE(721),
    [sym_type_name] = STATE(614),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_error_parameter] = STATE(864),
    [sym_type_name] = STATE(682),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(621),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_any_source_type] = STATE(784),
    [sym_type_name] = STATE(626),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_any_source_type] = STATE(723),
    [sym_type_name] = STATE(634),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_struct_member] = STATE(130),
    [sym_type_name] = STATE(899),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [aux_sym_struct_declaration_repeat1] = STATE(130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_any_source_type] = STATE(717),
    [sym_type_name] = STATE(699),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_event_paramater] = STATE(861),
    [sym_type_name] = STATE(614),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_any_source_type] = STATE(748),
    [sym_type_name] = STATE(624),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_type_name] = STATE(597),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_parameter] = STATE(980),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(625),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_type_name] = STATE(597),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_parameter] = STATE(827),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(627),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_error_parameter] = STATE(864),
    [sym_type_name] = STATE(682),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(629),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_type_name] = STATE(601),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym__nameless_parameter] = STATE(946),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(631),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_any_source_type] = STATE(842),
    [sym_type_name] = STATE(673),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_type_name] = STATE(597),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_parameter] = STATE(980),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(633),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_error_parameter] = STATE(802),
    [sym_type_name] = STATE(682),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(635),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_any_source_type] = STATE(727),
    [sym_type_name] = STATE(635),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_error_parameter] = STATE(864),
    [sym_type_name] = STATE(682),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_any_source_type] = STATE(743),
    [sym_type_name] = STATE(645),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_error_parameter] = STATE(864),
    [sym_type_name] = STATE(682),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(639),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_any_source_type] = STATE(753),
    [sym_type_name] = STATE(651),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_any_source_type] = STATE(755),
    [sym_type_name] = STATE(652),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_any_source_type] = STATE(765),
    [sym_type_name] = STATE(665),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_any_source_type] = STATE(762),
    [sym_type_name] = STATE(657),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_any_source_type] = STATE(764),
    [sym_type_name] = STATE(658),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_any_source_type] = STATE(770),
    [sym_type_name] = STATE(663),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_any_source_type] = STATE(781),
    [sym_type_name] = STATE(670),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_any_source_type] = STATE(780),
    [sym_type_name] = STATE(669),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_STAR] = ACTIONS(613),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_struct_member] = STATE(129),
    [sym_type_name] = STATE(899),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [aux_sym_struct_declaration_repeat1] = STATE(129),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_error_parameter] = STATE(801),
    [sym_type_name] = STATE(682),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(641),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_event_paramater] = STATE(861),
    [sym_type_name] = STATE(614),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_type_name] = STATE(597),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_parameter] = STATE(980),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_error_parameter] = STATE(864),
    [sym_type_name] = STATE(682),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_type_name] = STATE(601),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym__nameless_parameter] = STATE(946),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_type_name] = STATE(601),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym__nameless_parameter] = STATE(772),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [ts_builtin_sym_end] = ACTIONS(643),
    [sym_identifier] = ACTIONS(645),
    [anon_sym_pragma] = ACTIONS(645),
    [anon_sym_import] = ACTIONS(645),
    [anon_sym_type] = ACTIONS(645),
    [anon_sym_abstract] = ACTIONS(645),
    [anon_sym_contract] = ACTIONS(645),
    [anon_sym_error] = ACTIONS(645),
    [anon_sym_interface] = ACTIONS(645),
    [anon_sym_library] = ACTIONS(645),
    [anon_sym_struct] = ACTIONS(645),
    [anon_sym_enum] = ACTIONS(645),
    [anon_sym_using] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(645),
    [anon_sym_byte] = ACTIONS(645),
    [anon_sym_address] = ACTIONS(645),
    [anon_sym_var] = ACTIONS(645),
    [anon_sym_mapping] = ACTIONS(645),
    [anon_sym_bool] = ACTIONS(645),
    [anon_sym_string] = ACTIONS(645),
    [anon_sym_int] = ACTIONS(645),
    [anon_sym_int8] = ACTIONS(645),
    [anon_sym_int16] = ACTIONS(645),
    [anon_sym_int24] = ACTIONS(645),
    [anon_sym_int32] = ACTIONS(645),
    [anon_sym_int40] = ACTIONS(645),
    [anon_sym_int48] = ACTIONS(645),
    [anon_sym_int56] = ACTIONS(645),
    [anon_sym_int64] = ACTIONS(645),
    [anon_sym_int72] = ACTIONS(645),
    [anon_sym_int80] = ACTIONS(645),
    [anon_sym_int88] = ACTIONS(645),
    [anon_sym_int96] = ACTIONS(645),
    [anon_sym_int104] = ACTIONS(645),
    [anon_sym_int112] = ACTIONS(645),
    [anon_sym_int120] = ACTIONS(645),
    [anon_sym_int128] = ACTIONS(645),
    [anon_sym_int136] = ACTIONS(645),
    [anon_sym_int144] = ACTIONS(645),
    [anon_sym_int152] = ACTIONS(645),
    [anon_sym_int160] = ACTIONS(645),
    [anon_sym_int168] = ACTIONS(645),
    [anon_sym_int176] = ACTIONS(645),
    [anon_sym_int184] = ACTIONS(645),
    [anon_sym_int192] = ACTIONS(645),
    [anon_sym_int200] = ACTIONS(645),
    [anon_sym_int208] = ACTIONS(645),
    [anon_sym_int216] = ACTIONS(645),
    [anon_sym_int224] = ACTIONS(645),
    [anon_sym_int232] = ACTIONS(645),
    [anon_sym_int240] = ACTIONS(645),
    [anon_sym_int248] = ACTIONS(645),
    [anon_sym_int256] = ACTIONS(645),
    [anon_sym_uint] = ACTIONS(645),
    [anon_sym_uint8] = ACTIONS(645),
    [anon_sym_uint16] = ACTIONS(645),
    [anon_sym_uint24] = ACTIONS(645),
    [anon_sym_uint32] = ACTIONS(645),
    [anon_sym_uint40] = ACTIONS(645),
    [anon_sym_uint48] = ACTIONS(645),
    [anon_sym_uint56] = ACTIONS(645),
    [anon_sym_uint64] = ACTIONS(645),
    [anon_sym_uint72] = ACTIONS(645),
    [anon_sym_uint80] = ACTIONS(645),
    [anon_sym_uint88] = ACTIONS(645),
    [anon_sym_uint96] = ACTIONS(645),
    [anon_sym_uint104] = ACTIONS(645),
    [anon_sym_uint112] = ACTIONS(645),
    [anon_sym_uint120] = ACTIONS(645),
    [anon_sym_uint128] = ACTIONS(645),
    [anon_sym_uint136] = ACTIONS(645),
    [anon_sym_uint144] = ACTIONS(645),
    [anon_sym_uint152] = ACTIONS(645),
    [anon_sym_uint160] = ACTIONS(645),
    [anon_sym_uint168] = ACTIONS(645),
    [anon_sym_uint176] = ACTIONS(645),
    [anon_sym_uint184] = ACTIONS(645),
    [anon_sym_uint192] = ACTIONS(645),
    [anon_sym_uint200] = ACTIONS(645),
    [anon_sym_uint208] = ACTIONS(645),
    [anon_sym_uint216] = ACTIONS(645),
    [anon_sym_uint224] = ACTIONS(645),
    [anon_sym_uint232] = ACTIONS(645),
    [anon_sym_uint240] = ACTIONS(645),
    [anon_sym_uint248] = ACTIONS(645),
    [anon_sym_uint256] = ACTIONS(645),
    [anon_sym_bytes] = ACTIONS(645),
    [anon_sym_bytes1] = ACTIONS(645),
    [anon_sym_bytes2] = ACTIONS(645),
    [anon_sym_bytes3] = ACTIONS(645),
    [anon_sym_bytes4] = ACTIONS(645),
    [anon_sym_bytes5] = ACTIONS(645),
    [anon_sym_bytes6] = ACTIONS(645),
    [anon_sym_bytes7] = ACTIONS(645),
    [anon_sym_bytes8] = ACTIONS(645),
    [anon_sym_bytes9] = ACTIONS(645),
    [anon_sym_bytes10] = ACTIONS(645),
    [anon_sym_bytes11] = ACTIONS(645),
    [anon_sym_bytes12] = ACTIONS(645),
    [anon_sym_bytes13] = ACTIONS(645),
    [anon_sym_bytes14] = ACTIONS(645),
    [anon_sym_bytes15] = ACTIONS(645),
    [anon_sym_bytes16] = ACTIONS(645),
    [anon_sym_bytes17] = ACTIONS(645),
    [anon_sym_bytes18] = ACTIONS(645),
    [anon_sym_bytes19] = ACTIONS(645),
    [anon_sym_bytes20] = ACTIONS(645),
    [anon_sym_bytes21] = ACTIONS(645),
    [anon_sym_bytes22] = ACTIONS(645),
    [anon_sym_bytes23] = ACTIONS(645),
    [anon_sym_bytes24] = ACTIONS(645),
    [anon_sym_bytes25] = ACTIONS(645),
    [anon_sym_bytes26] = ACTIONS(645),
    [anon_sym_bytes27] = ACTIONS(645),
    [anon_sym_bytes28] = ACTIONS(645),
    [anon_sym_bytes29] = ACTIONS(645),
    [anon_sym_bytes30] = ACTIONS(645),
    [anon_sym_bytes31] = ACTIONS(645),
    [anon_sym_bytes32] = ACTIONS(645),
    [anon_sym_fixed] = ACTIONS(645),
    [aux_sym__fixed_token1] = ACTIONS(645),
    [anon_sym_ufixed] = ACTIONS(645),
    [aux_sym__ufixed_token1] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [ts_builtin_sym_end] = ACTIONS(647),
    [sym_identifier] = ACTIONS(649),
    [anon_sym_pragma] = ACTIONS(649),
    [anon_sym_import] = ACTIONS(649),
    [anon_sym_type] = ACTIONS(649),
    [anon_sym_abstract] = ACTIONS(649),
    [anon_sym_contract] = ACTIONS(649),
    [anon_sym_error] = ACTIONS(649),
    [anon_sym_interface] = ACTIONS(649),
    [anon_sym_library] = ACTIONS(649),
    [anon_sym_struct] = ACTIONS(649),
    [anon_sym_enum] = ACTIONS(649),
    [anon_sym_using] = ACTIONS(649),
    [anon_sym_function] = ACTIONS(649),
    [anon_sym_byte] = ACTIONS(649),
    [anon_sym_address] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(649),
    [anon_sym_mapping] = ACTIONS(649),
    [anon_sym_bool] = ACTIONS(649),
    [anon_sym_string] = ACTIONS(649),
    [anon_sym_int] = ACTIONS(649),
    [anon_sym_int8] = ACTIONS(649),
    [anon_sym_int16] = ACTIONS(649),
    [anon_sym_int24] = ACTIONS(649),
    [anon_sym_int32] = ACTIONS(649),
    [anon_sym_int40] = ACTIONS(649),
    [anon_sym_int48] = ACTIONS(649),
    [anon_sym_int56] = ACTIONS(649),
    [anon_sym_int64] = ACTIONS(649),
    [anon_sym_int72] = ACTIONS(649),
    [anon_sym_int80] = ACTIONS(649),
    [anon_sym_int88] = ACTIONS(649),
    [anon_sym_int96] = ACTIONS(649),
    [anon_sym_int104] = ACTIONS(649),
    [anon_sym_int112] = ACTIONS(649),
    [anon_sym_int120] = ACTIONS(649),
    [anon_sym_int128] = ACTIONS(649),
    [anon_sym_int136] = ACTIONS(649),
    [anon_sym_int144] = ACTIONS(649),
    [anon_sym_int152] = ACTIONS(649),
    [anon_sym_int160] = ACTIONS(649),
    [anon_sym_int168] = ACTIONS(649),
    [anon_sym_int176] = ACTIONS(649),
    [anon_sym_int184] = ACTIONS(649),
    [anon_sym_int192] = ACTIONS(649),
    [anon_sym_int200] = ACTIONS(649),
    [anon_sym_int208] = ACTIONS(649),
    [anon_sym_int216] = ACTIONS(649),
    [anon_sym_int224] = ACTIONS(649),
    [anon_sym_int232] = ACTIONS(649),
    [anon_sym_int240] = ACTIONS(649),
    [anon_sym_int248] = ACTIONS(649),
    [anon_sym_int256] = ACTIONS(649),
    [anon_sym_uint] = ACTIONS(649),
    [anon_sym_uint8] = ACTIONS(649),
    [anon_sym_uint16] = ACTIONS(649),
    [anon_sym_uint24] = ACTIONS(649),
    [anon_sym_uint32] = ACTIONS(649),
    [anon_sym_uint40] = ACTIONS(649),
    [anon_sym_uint48] = ACTIONS(649),
    [anon_sym_uint56] = ACTIONS(649),
    [anon_sym_uint64] = ACTIONS(649),
    [anon_sym_uint72] = ACTIONS(649),
    [anon_sym_uint80] = ACTIONS(649),
    [anon_sym_uint88] = ACTIONS(649),
    [anon_sym_uint96] = ACTIONS(649),
    [anon_sym_uint104] = ACTIONS(649),
    [anon_sym_uint112] = ACTIONS(649),
    [anon_sym_uint120] = ACTIONS(649),
    [anon_sym_uint128] = ACTIONS(649),
    [anon_sym_uint136] = ACTIONS(649),
    [anon_sym_uint144] = ACTIONS(649),
    [anon_sym_uint152] = ACTIONS(649),
    [anon_sym_uint160] = ACTIONS(649),
    [anon_sym_uint168] = ACTIONS(649),
    [anon_sym_uint176] = ACTIONS(649),
    [anon_sym_uint184] = ACTIONS(649),
    [anon_sym_uint192] = ACTIONS(649),
    [anon_sym_uint200] = ACTIONS(649),
    [anon_sym_uint208] = ACTIONS(649),
    [anon_sym_uint216] = ACTIONS(649),
    [anon_sym_uint224] = ACTIONS(649),
    [anon_sym_uint232] = ACTIONS(649),
    [anon_sym_uint240] = ACTIONS(649),
    [anon_sym_uint248] = ACTIONS(649),
    [anon_sym_uint256] = ACTIONS(649),
    [anon_sym_bytes] = ACTIONS(649),
    [anon_sym_bytes1] = ACTIONS(649),
    [anon_sym_bytes2] = ACTIONS(649),
    [anon_sym_bytes3] = ACTIONS(649),
    [anon_sym_bytes4] = ACTIONS(649),
    [anon_sym_bytes5] = ACTIONS(649),
    [anon_sym_bytes6] = ACTIONS(649),
    [anon_sym_bytes7] = ACTIONS(649),
    [anon_sym_bytes8] = ACTIONS(649),
    [anon_sym_bytes9] = ACTIONS(649),
    [anon_sym_bytes10] = ACTIONS(649),
    [anon_sym_bytes11] = ACTIONS(649),
    [anon_sym_bytes12] = ACTIONS(649),
    [anon_sym_bytes13] = ACTIONS(649),
    [anon_sym_bytes14] = ACTIONS(649),
    [anon_sym_bytes15] = ACTIONS(649),
    [anon_sym_bytes16] = ACTIONS(649),
    [anon_sym_bytes17] = ACTIONS(649),
    [anon_sym_bytes18] = ACTIONS(649),
    [anon_sym_bytes19] = ACTIONS(649),
    [anon_sym_bytes20] = ACTIONS(649),
    [anon_sym_bytes21] = ACTIONS(649),
    [anon_sym_bytes22] = ACTIONS(649),
    [anon_sym_bytes23] = ACTIONS(649),
    [anon_sym_bytes24] = ACTIONS(649),
    [anon_sym_bytes25] = ACTIONS(649),
    [anon_sym_bytes26] = ACTIONS(649),
    [anon_sym_bytes27] = ACTIONS(649),
    [anon_sym_bytes28] = ACTIONS(649),
    [anon_sym_bytes29] = ACTIONS(649),
    [anon_sym_bytes30] = ACTIONS(649),
    [anon_sym_bytes31] = ACTIONS(649),
    [anon_sym_bytes32] = ACTIONS(649),
    [anon_sym_fixed] = ACTIONS(649),
    [aux_sym__fixed_token1] = ACTIONS(649),
    [anon_sym_ufixed] = ACTIONS(649),
    [aux_sym__ufixed_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [ts_builtin_sym_end] = ACTIONS(651),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_pragma] = ACTIONS(653),
    [anon_sym_import] = ACTIONS(653),
    [anon_sym_type] = ACTIONS(653),
    [anon_sym_abstract] = ACTIONS(653),
    [anon_sym_contract] = ACTIONS(653),
    [anon_sym_error] = ACTIONS(653),
    [anon_sym_interface] = ACTIONS(653),
    [anon_sym_library] = ACTIONS(653),
    [anon_sym_struct] = ACTIONS(653),
    [anon_sym_enum] = ACTIONS(653),
    [anon_sym_using] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_address] = ACTIONS(653),
    [anon_sym_var] = ACTIONS(653),
    [anon_sym_mapping] = ACTIONS(653),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_int8] = ACTIONS(653),
    [anon_sym_int16] = ACTIONS(653),
    [anon_sym_int24] = ACTIONS(653),
    [anon_sym_int32] = ACTIONS(653),
    [anon_sym_int40] = ACTIONS(653),
    [anon_sym_int48] = ACTIONS(653),
    [anon_sym_int56] = ACTIONS(653),
    [anon_sym_int64] = ACTIONS(653),
    [anon_sym_int72] = ACTIONS(653),
    [anon_sym_int80] = ACTIONS(653),
    [anon_sym_int88] = ACTIONS(653),
    [anon_sym_int96] = ACTIONS(653),
    [anon_sym_int104] = ACTIONS(653),
    [anon_sym_int112] = ACTIONS(653),
    [anon_sym_int120] = ACTIONS(653),
    [anon_sym_int128] = ACTIONS(653),
    [anon_sym_int136] = ACTIONS(653),
    [anon_sym_int144] = ACTIONS(653),
    [anon_sym_int152] = ACTIONS(653),
    [anon_sym_int160] = ACTIONS(653),
    [anon_sym_int168] = ACTIONS(653),
    [anon_sym_int176] = ACTIONS(653),
    [anon_sym_int184] = ACTIONS(653),
    [anon_sym_int192] = ACTIONS(653),
    [anon_sym_int200] = ACTIONS(653),
    [anon_sym_int208] = ACTIONS(653),
    [anon_sym_int216] = ACTIONS(653),
    [anon_sym_int224] = ACTIONS(653),
    [anon_sym_int232] = ACTIONS(653),
    [anon_sym_int240] = ACTIONS(653),
    [anon_sym_int248] = ACTIONS(653),
    [anon_sym_int256] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_uint8] = ACTIONS(653),
    [anon_sym_uint16] = ACTIONS(653),
    [anon_sym_uint24] = ACTIONS(653),
    [anon_sym_uint32] = ACTIONS(653),
    [anon_sym_uint40] = ACTIONS(653),
    [anon_sym_uint48] = ACTIONS(653),
    [anon_sym_uint56] = ACTIONS(653),
    [anon_sym_uint64] = ACTIONS(653),
    [anon_sym_uint72] = ACTIONS(653),
    [anon_sym_uint80] = ACTIONS(653),
    [anon_sym_uint88] = ACTIONS(653),
    [anon_sym_uint96] = ACTIONS(653),
    [anon_sym_uint104] = ACTIONS(653),
    [anon_sym_uint112] = ACTIONS(653),
    [anon_sym_uint120] = ACTIONS(653),
    [anon_sym_uint128] = ACTIONS(653),
    [anon_sym_uint136] = ACTIONS(653),
    [anon_sym_uint144] = ACTIONS(653),
    [anon_sym_uint152] = ACTIONS(653),
    [anon_sym_uint160] = ACTIONS(653),
    [anon_sym_uint168] = ACTIONS(653),
    [anon_sym_uint176] = ACTIONS(653),
    [anon_sym_uint184] = ACTIONS(653),
    [anon_sym_uint192] = ACTIONS(653),
    [anon_sym_uint200] = ACTIONS(653),
    [anon_sym_uint208] = ACTIONS(653),
    [anon_sym_uint216] = ACTIONS(653),
    [anon_sym_uint224] = ACTIONS(653),
    [anon_sym_uint232] = ACTIONS(653),
    [anon_sym_uint240] = ACTIONS(653),
    [anon_sym_uint248] = ACTIONS(653),
    [anon_sym_uint256] = ACTIONS(653),
    [anon_sym_bytes] = ACTIONS(653),
    [anon_sym_bytes1] = ACTIONS(653),
    [anon_sym_bytes2] = ACTIONS(653),
    [anon_sym_bytes3] = ACTIONS(653),
    [anon_sym_bytes4] = ACTIONS(653),
    [anon_sym_bytes5] = ACTIONS(653),
    [anon_sym_bytes6] = ACTIONS(653),
    [anon_sym_bytes7] = ACTIONS(653),
    [anon_sym_bytes8] = ACTIONS(653),
    [anon_sym_bytes9] = ACTIONS(653),
    [anon_sym_bytes10] = ACTIONS(653),
    [anon_sym_bytes11] = ACTIONS(653),
    [anon_sym_bytes12] = ACTIONS(653),
    [anon_sym_bytes13] = ACTIONS(653),
    [anon_sym_bytes14] = ACTIONS(653),
    [anon_sym_bytes15] = ACTIONS(653),
    [anon_sym_bytes16] = ACTIONS(653),
    [anon_sym_bytes17] = ACTIONS(653),
    [anon_sym_bytes18] = ACTIONS(653),
    [anon_sym_bytes19] = ACTIONS(653),
    [anon_sym_bytes20] = ACTIONS(653),
    [anon_sym_bytes21] = ACTIONS(653),
    [anon_sym_bytes22] = ACTIONS(653),
    [anon_sym_bytes23] = ACTIONS(653),
    [anon_sym_bytes24] = ACTIONS(653),
    [anon_sym_bytes25] = ACTIONS(653),
    [anon_sym_bytes26] = ACTIONS(653),
    [anon_sym_bytes27] = ACTIONS(653),
    [anon_sym_bytes28] = ACTIONS(653),
    [anon_sym_bytes29] = ACTIONS(653),
    [anon_sym_bytes30] = ACTIONS(653),
    [anon_sym_bytes31] = ACTIONS(653),
    [anon_sym_bytes32] = ACTIONS(653),
    [anon_sym_fixed] = ACTIONS(653),
    [aux_sym__fixed_token1] = ACTIONS(653),
    [anon_sym_ufixed] = ACTIONS(653),
    [aux_sym__ufixed_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [ts_builtin_sym_end] = ACTIONS(655),
    [sym_identifier] = ACTIONS(657),
    [anon_sym_pragma] = ACTIONS(657),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_type] = ACTIONS(657),
    [anon_sym_abstract] = ACTIONS(657),
    [anon_sym_contract] = ACTIONS(657),
    [anon_sym_error] = ACTIONS(657),
    [anon_sym_interface] = ACTIONS(657),
    [anon_sym_library] = ACTIONS(657),
    [anon_sym_struct] = ACTIONS(657),
    [anon_sym_enum] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(657),
    [anon_sym_byte] = ACTIONS(657),
    [anon_sym_address] = ACTIONS(657),
    [anon_sym_var] = ACTIONS(657),
    [anon_sym_mapping] = ACTIONS(657),
    [anon_sym_bool] = ACTIONS(657),
    [anon_sym_string] = ACTIONS(657),
    [anon_sym_int] = ACTIONS(657),
    [anon_sym_int8] = ACTIONS(657),
    [anon_sym_int16] = ACTIONS(657),
    [anon_sym_int24] = ACTIONS(657),
    [anon_sym_int32] = ACTIONS(657),
    [anon_sym_int40] = ACTIONS(657),
    [anon_sym_int48] = ACTIONS(657),
    [anon_sym_int56] = ACTIONS(657),
    [anon_sym_int64] = ACTIONS(657),
    [anon_sym_int72] = ACTIONS(657),
    [anon_sym_int80] = ACTIONS(657),
    [anon_sym_int88] = ACTIONS(657),
    [anon_sym_int96] = ACTIONS(657),
    [anon_sym_int104] = ACTIONS(657),
    [anon_sym_int112] = ACTIONS(657),
    [anon_sym_int120] = ACTIONS(657),
    [anon_sym_int128] = ACTIONS(657),
    [anon_sym_int136] = ACTIONS(657),
    [anon_sym_int144] = ACTIONS(657),
    [anon_sym_int152] = ACTIONS(657),
    [anon_sym_int160] = ACTIONS(657),
    [anon_sym_int168] = ACTIONS(657),
    [anon_sym_int176] = ACTIONS(657),
    [anon_sym_int184] = ACTIONS(657),
    [anon_sym_int192] = ACTIONS(657),
    [anon_sym_int200] = ACTIONS(657),
    [anon_sym_int208] = ACTIONS(657),
    [anon_sym_int216] = ACTIONS(657),
    [anon_sym_int224] = ACTIONS(657),
    [anon_sym_int232] = ACTIONS(657),
    [anon_sym_int240] = ACTIONS(657),
    [anon_sym_int248] = ACTIONS(657),
    [anon_sym_int256] = ACTIONS(657),
    [anon_sym_uint] = ACTIONS(657),
    [anon_sym_uint8] = ACTIONS(657),
    [anon_sym_uint16] = ACTIONS(657),
    [anon_sym_uint24] = ACTIONS(657),
    [anon_sym_uint32] = ACTIONS(657),
    [anon_sym_uint40] = ACTIONS(657),
    [anon_sym_uint48] = ACTIONS(657),
    [anon_sym_uint56] = ACTIONS(657),
    [anon_sym_uint64] = ACTIONS(657),
    [anon_sym_uint72] = ACTIONS(657),
    [anon_sym_uint80] = ACTIONS(657),
    [anon_sym_uint88] = ACTIONS(657),
    [anon_sym_uint96] = ACTIONS(657),
    [anon_sym_uint104] = ACTIONS(657),
    [anon_sym_uint112] = ACTIONS(657),
    [anon_sym_uint120] = ACTIONS(657),
    [anon_sym_uint128] = ACTIONS(657),
    [anon_sym_uint136] = ACTIONS(657),
    [anon_sym_uint144] = ACTIONS(657),
    [anon_sym_uint152] = ACTIONS(657),
    [anon_sym_uint160] = ACTIONS(657),
    [anon_sym_uint168] = ACTIONS(657),
    [anon_sym_uint176] = ACTIONS(657),
    [anon_sym_uint184] = ACTIONS(657),
    [anon_sym_uint192] = ACTIONS(657),
    [anon_sym_uint200] = ACTIONS(657),
    [anon_sym_uint208] = ACTIONS(657),
    [anon_sym_uint216] = ACTIONS(657),
    [anon_sym_uint224] = ACTIONS(657),
    [anon_sym_uint232] = ACTIONS(657),
    [anon_sym_uint240] = ACTIONS(657),
    [anon_sym_uint248] = ACTIONS(657),
    [anon_sym_uint256] = ACTIONS(657),
    [anon_sym_bytes] = ACTIONS(657),
    [anon_sym_bytes1] = ACTIONS(657),
    [anon_sym_bytes2] = ACTIONS(657),
    [anon_sym_bytes3] = ACTIONS(657),
    [anon_sym_bytes4] = ACTIONS(657),
    [anon_sym_bytes5] = ACTIONS(657),
    [anon_sym_bytes6] = ACTIONS(657),
    [anon_sym_bytes7] = ACTIONS(657),
    [anon_sym_bytes8] = ACTIONS(657),
    [anon_sym_bytes9] = ACTIONS(657),
    [anon_sym_bytes10] = ACTIONS(657),
    [anon_sym_bytes11] = ACTIONS(657),
    [anon_sym_bytes12] = ACTIONS(657),
    [anon_sym_bytes13] = ACTIONS(657),
    [anon_sym_bytes14] = ACTIONS(657),
    [anon_sym_bytes15] = ACTIONS(657),
    [anon_sym_bytes16] = ACTIONS(657),
    [anon_sym_bytes17] = ACTIONS(657),
    [anon_sym_bytes18] = ACTIONS(657),
    [anon_sym_bytes19] = ACTIONS(657),
    [anon_sym_bytes20] = ACTIONS(657),
    [anon_sym_bytes21] = ACTIONS(657),
    [anon_sym_bytes22] = ACTIONS(657),
    [anon_sym_bytes23] = ACTIONS(657),
    [anon_sym_bytes24] = ACTIONS(657),
    [anon_sym_bytes25] = ACTIONS(657),
    [anon_sym_bytes26] = ACTIONS(657),
    [anon_sym_bytes27] = ACTIONS(657),
    [anon_sym_bytes28] = ACTIONS(657),
    [anon_sym_bytes29] = ACTIONS(657),
    [anon_sym_bytes30] = ACTIONS(657),
    [anon_sym_bytes31] = ACTIONS(657),
    [anon_sym_bytes32] = ACTIONS(657),
    [anon_sym_fixed] = ACTIONS(657),
    [aux_sym__fixed_token1] = ACTIONS(657),
    [anon_sym_ufixed] = ACTIONS(657),
    [aux_sym__ufixed_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [ts_builtin_sym_end] = ACTIONS(659),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_pragma] = ACTIONS(661),
    [anon_sym_import] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_abstract] = ACTIONS(661),
    [anon_sym_contract] = ACTIONS(661),
    [anon_sym_error] = ACTIONS(661),
    [anon_sym_interface] = ACTIONS(661),
    [anon_sym_library] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_using] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_byte] = ACTIONS(661),
    [anon_sym_address] = ACTIONS(661),
    [anon_sym_var] = ACTIONS(661),
    [anon_sym_mapping] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_string] = ACTIONS(661),
    [anon_sym_int] = ACTIONS(661),
    [anon_sym_int8] = ACTIONS(661),
    [anon_sym_int16] = ACTIONS(661),
    [anon_sym_int24] = ACTIONS(661),
    [anon_sym_int32] = ACTIONS(661),
    [anon_sym_int40] = ACTIONS(661),
    [anon_sym_int48] = ACTIONS(661),
    [anon_sym_int56] = ACTIONS(661),
    [anon_sym_int64] = ACTIONS(661),
    [anon_sym_int72] = ACTIONS(661),
    [anon_sym_int80] = ACTIONS(661),
    [anon_sym_int88] = ACTIONS(661),
    [anon_sym_int96] = ACTIONS(661),
    [anon_sym_int104] = ACTIONS(661),
    [anon_sym_int112] = ACTIONS(661),
    [anon_sym_int120] = ACTIONS(661),
    [anon_sym_int128] = ACTIONS(661),
    [anon_sym_int136] = ACTIONS(661),
    [anon_sym_int144] = ACTIONS(661),
    [anon_sym_int152] = ACTIONS(661),
    [anon_sym_int160] = ACTIONS(661),
    [anon_sym_int168] = ACTIONS(661),
    [anon_sym_int176] = ACTIONS(661),
    [anon_sym_int184] = ACTIONS(661),
    [anon_sym_int192] = ACTIONS(661),
    [anon_sym_int200] = ACTIONS(661),
    [anon_sym_int208] = ACTIONS(661),
    [anon_sym_int216] = ACTIONS(661),
    [anon_sym_int224] = ACTIONS(661),
    [anon_sym_int232] = ACTIONS(661),
    [anon_sym_int240] = ACTIONS(661),
    [anon_sym_int248] = ACTIONS(661),
    [anon_sym_int256] = ACTIONS(661),
    [anon_sym_uint] = ACTIONS(661),
    [anon_sym_uint8] = ACTIONS(661),
    [anon_sym_uint16] = ACTIONS(661),
    [anon_sym_uint24] = ACTIONS(661),
    [anon_sym_uint32] = ACTIONS(661),
    [anon_sym_uint40] = ACTIONS(661),
    [anon_sym_uint48] = ACTIONS(661),
    [anon_sym_uint56] = ACTIONS(661),
    [anon_sym_uint64] = ACTIONS(661),
    [anon_sym_uint72] = ACTIONS(661),
    [anon_sym_uint80] = ACTIONS(661),
    [anon_sym_uint88] = ACTIONS(661),
    [anon_sym_uint96] = ACTIONS(661),
    [anon_sym_uint104] = ACTIONS(661),
    [anon_sym_uint112] = ACTIONS(661),
    [anon_sym_uint120] = ACTIONS(661),
    [anon_sym_uint128] = ACTIONS(661),
    [anon_sym_uint136] = ACTIONS(661),
    [anon_sym_uint144] = ACTIONS(661),
    [anon_sym_uint152] = ACTIONS(661),
    [anon_sym_uint160] = ACTIONS(661),
    [anon_sym_uint168] = ACTIONS(661),
    [anon_sym_uint176] = ACTIONS(661),
    [anon_sym_uint184] = ACTIONS(661),
    [anon_sym_uint192] = ACTIONS(661),
    [anon_sym_uint200] = ACTIONS(661),
    [anon_sym_uint208] = ACTIONS(661),
    [anon_sym_uint216] = ACTIONS(661),
    [anon_sym_uint224] = ACTIONS(661),
    [anon_sym_uint232] = ACTIONS(661),
    [anon_sym_uint240] = ACTIONS(661),
    [anon_sym_uint248] = ACTIONS(661),
    [anon_sym_uint256] = ACTIONS(661),
    [anon_sym_bytes] = ACTIONS(661),
    [anon_sym_bytes1] = ACTIONS(661),
    [anon_sym_bytes2] = ACTIONS(661),
    [anon_sym_bytes3] = ACTIONS(661),
    [anon_sym_bytes4] = ACTIONS(661),
    [anon_sym_bytes5] = ACTIONS(661),
    [anon_sym_bytes6] = ACTIONS(661),
    [anon_sym_bytes7] = ACTIONS(661),
    [anon_sym_bytes8] = ACTIONS(661),
    [anon_sym_bytes9] = ACTIONS(661),
    [anon_sym_bytes10] = ACTIONS(661),
    [anon_sym_bytes11] = ACTIONS(661),
    [anon_sym_bytes12] = ACTIONS(661),
    [anon_sym_bytes13] = ACTIONS(661),
    [anon_sym_bytes14] = ACTIONS(661),
    [anon_sym_bytes15] = ACTIONS(661),
    [anon_sym_bytes16] = ACTIONS(661),
    [anon_sym_bytes17] = ACTIONS(661),
    [anon_sym_bytes18] = ACTIONS(661),
    [anon_sym_bytes19] = ACTIONS(661),
    [anon_sym_bytes20] = ACTIONS(661),
    [anon_sym_bytes21] = ACTIONS(661),
    [anon_sym_bytes22] = ACTIONS(661),
    [anon_sym_bytes23] = ACTIONS(661),
    [anon_sym_bytes24] = ACTIONS(661),
    [anon_sym_bytes25] = ACTIONS(661),
    [anon_sym_bytes26] = ACTIONS(661),
    [anon_sym_bytes27] = ACTIONS(661),
    [anon_sym_bytes28] = ACTIONS(661),
    [anon_sym_bytes29] = ACTIONS(661),
    [anon_sym_bytes30] = ACTIONS(661),
    [anon_sym_bytes31] = ACTIONS(661),
    [anon_sym_bytes32] = ACTIONS(661),
    [anon_sym_fixed] = ACTIONS(661),
    [aux_sym__fixed_token1] = ACTIONS(661),
    [anon_sym_ufixed] = ACTIONS(661),
    [aux_sym__ufixed_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_type_name] = STATE(834),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [ts_builtin_sym_end] = ACTIONS(663),
    [sym_identifier] = ACTIONS(665),
    [anon_sym_pragma] = ACTIONS(665),
    [anon_sym_import] = ACTIONS(665),
    [anon_sym_type] = ACTIONS(665),
    [anon_sym_abstract] = ACTIONS(665),
    [anon_sym_contract] = ACTIONS(665),
    [anon_sym_error] = ACTIONS(665),
    [anon_sym_interface] = ACTIONS(665),
    [anon_sym_library] = ACTIONS(665),
    [anon_sym_struct] = ACTIONS(665),
    [anon_sym_enum] = ACTIONS(665),
    [anon_sym_using] = ACTIONS(665),
    [anon_sym_function] = ACTIONS(665),
    [anon_sym_byte] = ACTIONS(665),
    [anon_sym_address] = ACTIONS(665),
    [anon_sym_var] = ACTIONS(665),
    [anon_sym_mapping] = ACTIONS(665),
    [anon_sym_bool] = ACTIONS(665),
    [anon_sym_string] = ACTIONS(665),
    [anon_sym_int] = ACTIONS(665),
    [anon_sym_int8] = ACTIONS(665),
    [anon_sym_int16] = ACTIONS(665),
    [anon_sym_int24] = ACTIONS(665),
    [anon_sym_int32] = ACTIONS(665),
    [anon_sym_int40] = ACTIONS(665),
    [anon_sym_int48] = ACTIONS(665),
    [anon_sym_int56] = ACTIONS(665),
    [anon_sym_int64] = ACTIONS(665),
    [anon_sym_int72] = ACTIONS(665),
    [anon_sym_int80] = ACTIONS(665),
    [anon_sym_int88] = ACTIONS(665),
    [anon_sym_int96] = ACTIONS(665),
    [anon_sym_int104] = ACTIONS(665),
    [anon_sym_int112] = ACTIONS(665),
    [anon_sym_int120] = ACTIONS(665),
    [anon_sym_int128] = ACTIONS(665),
    [anon_sym_int136] = ACTIONS(665),
    [anon_sym_int144] = ACTIONS(665),
    [anon_sym_int152] = ACTIONS(665),
    [anon_sym_int160] = ACTIONS(665),
    [anon_sym_int168] = ACTIONS(665),
    [anon_sym_int176] = ACTIONS(665),
    [anon_sym_int184] = ACTIONS(665),
    [anon_sym_int192] = ACTIONS(665),
    [anon_sym_int200] = ACTIONS(665),
    [anon_sym_int208] = ACTIONS(665),
    [anon_sym_int216] = ACTIONS(665),
    [anon_sym_int224] = ACTIONS(665),
    [anon_sym_int232] = ACTIONS(665),
    [anon_sym_int240] = ACTIONS(665),
    [anon_sym_int248] = ACTIONS(665),
    [anon_sym_int256] = ACTIONS(665),
    [anon_sym_uint] = ACTIONS(665),
    [anon_sym_uint8] = ACTIONS(665),
    [anon_sym_uint16] = ACTIONS(665),
    [anon_sym_uint24] = ACTIONS(665),
    [anon_sym_uint32] = ACTIONS(665),
    [anon_sym_uint40] = ACTIONS(665),
    [anon_sym_uint48] = ACTIONS(665),
    [anon_sym_uint56] = ACTIONS(665),
    [anon_sym_uint64] = ACTIONS(665),
    [anon_sym_uint72] = ACTIONS(665),
    [anon_sym_uint80] = ACTIONS(665),
    [anon_sym_uint88] = ACTIONS(665),
    [anon_sym_uint96] = ACTIONS(665),
    [anon_sym_uint104] = ACTIONS(665),
    [anon_sym_uint112] = ACTIONS(665),
    [anon_sym_uint120] = ACTIONS(665),
    [anon_sym_uint128] = ACTIONS(665),
    [anon_sym_uint136] = ACTIONS(665),
    [anon_sym_uint144] = ACTIONS(665),
    [anon_sym_uint152] = ACTIONS(665),
    [anon_sym_uint160] = ACTIONS(665),
    [anon_sym_uint168] = ACTIONS(665),
    [anon_sym_uint176] = ACTIONS(665),
    [anon_sym_uint184] = ACTIONS(665),
    [anon_sym_uint192] = ACTIONS(665),
    [anon_sym_uint200] = ACTIONS(665),
    [anon_sym_uint208] = ACTIONS(665),
    [anon_sym_uint216] = ACTIONS(665),
    [anon_sym_uint224] = ACTIONS(665),
    [anon_sym_uint232] = ACTIONS(665),
    [anon_sym_uint240] = ACTIONS(665),
    [anon_sym_uint248] = ACTIONS(665),
    [anon_sym_uint256] = ACTIONS(665),
    [anon_sym_bytes] = ACTIONS(665),
    [anon_sym_bytes1] = ACTIONS(665),
    [anon_sym_bytes2] = ACTIONS(665),
    [anon_sym_bytes3] = ACTIONS(665),
    [anon_sym_bytes4] = ACTIONS(665),
    [anon_sym_bytes5] = ACTIONS(665),
    [anon_sym_bytes6] = ACTIONS(665),
    [anon_sym_bytes7] = ACTIONS(665),
    [anon_sym_bytes8] = ACTIONS(665),
    [anon_sym_bytes9] = ACTIONS(665),
    [anon_sym_bytes10] = ACTIONS(665),
    [anon_sym_bytes11] = ACTIONS(665),
    [anon_sym_bytes12] = ACTIONS(665),
    [anon_sym_bytes13] = ACTIONS(665),
    [anon_sym_bytes14] = ACTIONS(665),
    [anon_sym_bytes15] = ACTIONS(665),
    [anon_sym_bytes16] = ACTIONS(665),
    [anon_sym_bytes17] = ACTIONS(665),
    [anon_sym_bytes18] = ACTIONS(665),
    [anon_sym_bytes19] = ACTIONS(665),
    [anon_sym_bytes20] = ACTIONS(665),
    [anon_sym_bytes21] = ACTIONS(665),
    [anon_sym_bytes22] = ACTIONS(665),
    [anon_sym_bytes23] = ACTIONS(665),
    [anon_sym_bytes24] = ACTIONS(665),
    [anon_sym_bytes25] = ACTIONS(665),
    [anon_sym_bytes26] = ACTIONS(665),
    [anon_sym_bytes27] = ACTIONS(665),
    [anon_sym_bytes28] = ACTIONS(665),
    [anon_sym_bytes29] = ACTIONS(665),
    [anon_sym_bytes30] = ACTIONS(665),
    [anon_sym_bytes31] = ACTIONS(665),
    [anon_sym_bytes32] = ACTIONS(665),
    [anon_sym_fixed] = ACTIONS(665),
    [aux_sym__fixed_token1] = ACTIONS(665),
    [anon_sym_ufixed] = ACTIONS(665),
    [aux_sym__ufixed_token1] = ACTIONS(665),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [ts_builtin_sym_end] = ACTIONS(667),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_pragma] = ACTIONS(669),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_type] = ACTIONS(669),
    [anon_sym_abstract] = ACTIONS(669),
    [anon_sym_contract] = ACTIONS(669),
    [anon_sym_error] = ACTIONS(669),
    [anon_sym_interface] = ACTIONS(669),
    [anon_sym_library] = ACTIONS(669),
    [anon_sym_struct] = ACTIONS(669),
    [anon_sym_enum] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_byte] = ACTIONS(669),
    [anon_sym_address] = ACTIONS(669),
    [anon_sym_var] = ACTIONS(669),
    [anon_sym_mapping] = ACTIONS(669),
    [anon_sym_bool] = ACTIONS(669),
    [anon_sym_string] = ACTIONS(669),
    [anon_sym_int] = ACTIONS(669),
    [anon_sym_int8] = ACTIONS(669),
    [anon_sym_int16] = ACTIONS(669),
    [anon_sym_int24] = ACTIONS(669),
    [anon_sym_int32] = ACTIONS(669),
    [anon_sym_int40] = ACTIONS(669),
    [anon_sym_int48] = ACTIONS(669),
    [anon_sym_int56] = ACTIONS(669),
    [anon_sym_int64] = ACTIONS(669),
    [anon_sym_int72] = ACTIONS(669),
    [anon_sym_int80] = ACTIONS(669),
    [anon_sym_int88] = ACTIONS(669),
    [anon_sym_int96] = ACTIONS(669),
    [anon_sym_int104] = ACTIONS(669),
    [anon_sym_int112] = ACTIONS(669),
    [anon_sym_int120] = ACTIONS(669),
    [anon_sym_int128] = ACTIONS(669),
    [anon_sym_int136] = ACTIONS(669),
    [anon_sym_int144] = ACTIONS(669),
    [anon_sym_int152] = ACTIONS(669),
    [anon_sym_int160] = ACTIONS(669),
    [anon_sym_int168] = ACTIONS(669),
    [anon_sym_int176] = ACTIONS(669),
    [anon_sym_int184] = ACTIONS(669),
    [anon_sym_int192] = ACTIONS(669),
    [anon_sym_int200] = ACTIONS(669),
    [anon_sym_int208] = ACTIONS(669),
    [anon_sym_int216] = ACTIONS(669),
    [anon_sym_int224] = ACTIONS(669),
    [anon_sym_int232] = ACTIONS(669),
    [anon_sym_int240] = ACTIONS(669),
    [anon_sym_int248] = ACTIONS(669),
    [anon_sym_int256] = ACTIONS(669),
    [anon_sym_uint] = ACTIONS(669),
    [anon_sym_uint8] = ACTIONS(669),
    [anon_sym_uint16] = ACTIONS(669),
    [anon_sym_uint24] = ACTIONS(669),
    [anon_sym_uint32] = ACTIONS(669),
    [anon_sym_uint40] = ACTIONS(669),
    [anon_sym_uint48] = ACTIONS(669),
    [anon_sym_uint56] = ACTIONS(669),
    [anon_sym_uint64] = ACTIONS(669),
    [anon_sym_uint72] = ACTIONS(669),
    [anon_sym_uint80] = ACTIONS(669),
    [anon_sym_uint88] = ACTIONS(669),
    [anon_sym_uint96] = ACTIONS(669),
    [anon_sym_uint104] = ACTIONS(669),
    [anon_sym_uint112] = ACTIONS(669),
    [anon_sym_uint120] = ACTIONS(669),
    [anon_sym_uint128] = ACTIONS(669),
    [anon_sym_uint136] = ACTIONS(669),
    [anon_sym_uint144] = ACTIONS(669),
    [anon_sym_uint152] = ACTIONS(669),
    [anon_sym_uint160] = ACTIONS(669),
    [anon_sym_uint168] = ACTIONS(669),
    [anon_sym_uint176] = ACTIONS(669),
    [anon_sym_uint184] = ACTIONS(669),
    [anon_sym_uint192] = ACTIONS(669),
    [anon_sym_uint200] = ACTIONS(669),
    [anon_sym_uint208] = ACTIONS(669),
    [anon_sym_uint216] = ACTIONS(669),
    [anon_sym_uint224] = ACTIONS(669),
    [anon_sym_uint232] = ACTIONS(669),
    [anon_sym_uint240] = ACTIONS(669),
    [anon_sym_uint248] = ACTIONS(669),
    [anon_sym_uint256] = ACTIONS(669),
    [anon_sym_bytes] = ACTIONS(669),
    [anon_sym_bytes1] = ACTIONS(669),
    [anon_sym_bytes2] = ACTIONS(669),
    [anon_sym_bytes3] = ACTIONS(669),
    [anon_sym_bytes4] = ACTIONS(669),
    [anon_sym_bytes5] = ACTIONS(669),
    [anon_sym_bytes6] = ACTIONS(669),
    [anon_sym_bytes7] = ACTIONS(669),
    [anon_sym_bytes8] = ACTIONS(669),
    [anon_sym_bytes9] = ACTIONS(669),
    [anon_sym_bytes10] = ACTIONS(669),
    [anon_sym_bytes11] = ACTIONS(669),
    [anon_sym_bytes12] = ACTIONS(669),
    [anon_sym_bytes13] = ACTIONS(669),
    [anon_sym_bytes14] = ACTIONS(669),
    [anon_sym_bytes15] = ACTIONS(669),
    [anon_sym_bytes16] = ACTIONS(669),
    [anon_sym_bytes17] = ACTIONS(669),
    [anon_sym_bytes18] = ACTIONS(669),
    [anon_sym_bytes19] = ACTIONS(669),
    [anon_sym_bytes20] = ACTIONS(669),
    [anon_sym_bytes21] = ACTIONS(669),
    [anon_sym_bytes22] = ACTIONS(669),
    [anon_sym_bytes23] = ACTIONS(669),
    [anon_sym_bytes24] = ACTIONS(669),
    [anon_sym_bytes25] = ACTIONS(669),
    [anon_sym_bytes26] = ACTIONS(669),
    [anon_sym_bytes27] = ACTIONS(669),
    [anon_sym_bytes28] = ACTIONS(669),
    [anon_sym_bytes29] = ACTIONS(669),
    [anon_sym_bytes30] = ACTIONS(669),
    [anon_sym_bytes31] = ACTIONS(669),
    [anon_sym_bytes32] = ACTIONS(669),
    [anon_sym_fixed] = ACTIONS(669),
    [aux_sym__fixed_token1] = ACTIONS(669),
    [anon_sym_ufixed] = ACTIONS(669),
    [aux_sym__ufixed_token1] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [ts_builtin_sym_end] = ACTIONS(671),
    [sym_identifier] = ACTIONS(673),
    [anon_sym_pragma] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(673),
    [anon_sym_type] = ACTIONS(673),
    [anon_sym_abstract] = ACTIONS(673),
    [anon_sym_contract] = ACTIONS(673),
    [anon_sym_error] = ACTIONS(673),
    [anon_sym_interface] = ACTIONS(673),
    [anon_sym_library] = ACTIONS(673),
    [anon_sym_struct] = ACTIONS(673),
    [anon_sym_enum] = ACTIONS(673),
    [anon_sym_using] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_byte] = ACTIONS(673),
    [anon_sym_address] = ACTIONS(673),
    [anon_sym_var] = ACTIONS(673),
    [anon_sym_mapping] = ACTIONS(673),
    [anon_sym_bool] = ACTIONS(673),
    [anon_sym_string] = ACTIONS(673),
    [anon_sym_int] = ACTIONS(673),
    [anon_sym_int8] = ACTIONS(673),
    [anon_sym_int16] = ACTIONS(673),
    [anon_sym_int24] = ACTIONS(673),
    [anon_sym_int32] = ACTIONS(673),
    [anon_sym_int40] = ACTIONS(673),
    [anon_sym_int48] = ACTIONS(673),
    [anon_sym_int56] = ACTIONS(673),
    [anon_sym_int64] = ACTIONS(673),
    [anon_sym_int72] = ACTIONS(673),
    [anon_sym_int80] = ACTIONS(673),
    [anon_sym_int88] = ACTIONS(673),
    [anon_sym_int96] = ACTIONS(673),
    [anon_sym_int104] = ACTIONS(673),
    [anon_sym_int112] = ACTIONS(673),
    [anon_sym_int120] = ACTIONS(673),
    [anon_sym_int128] = ACTIONS(673),
    [anon_sym_int136] = ACTIONS(673),
    [anon_sym_int144] = ACTIONS(673),
    [anon_sym_int152] = ACTIONS(673),
    [anon_sym_int160] = ACTIONS(673),
    [anon_sym_int168] = ACTIONS(673),
    [anon_sym_int176] = ACTIONS(673),
    [anon_sym_int184] = ACTIONS(673),
    [anon_sym_int192] = ACTIONS(673),
    [anon_sym_int200] = ACTIONS(673),
    [anon_sym_int208] = ACTIONS(673),
    [anon_sym_int216] = ACTIONS(673),
    [anon_sym_int224] = ACTIONS(673),
    [anon_sym_int232] = ACTIONS(673),
    [anon_sym_int240] = ACTIONS(673),
    [anon_sym_int248] = ACTIONS(673),
    [anon_sym_int256] = ACTIONS(673),
    [anon_sym_uint] = ACTIONS(673),
    [anon_sym_uint8] = ACTIONS(673),
    [anon_sym_uint16] = ACTIONS(673),
    [anon_sym_uint24] = ACTIONS(673),
    [anon_sym_uint32] = ACTIONS(673),
    [anon_sym_uint40] = ACTIONS(673),
    [anon_sym_uint48] = ACTIONS(673),
    [anon_sym_uint56] = ACTIONS(673),
    [anon_sym_uint64] = ACTIONS(673),
    [anon_sym_uint72] = ACTIONS(673),
    [anon_sym_uint80] = ACTIONS(673),
    [anon_sym_uint88] = ACTIONS(673),
    [anon_sym_uint96] = ACTIONS(673),
    [anon_sym_uint104] = ACTIONS(673),
    [anon_sym_uint112] = ACTIONS(673),
    [anon_sym_uint120] = ACTIONS(673),
    [anon_sym_uint128] = ACTIONS(673),
    [anon_sym_uint136] = ACTIONS(673),
    [anon_sym_uint144] = ACTIONS(673),
    [anon_sym_uint152] = ACTIONS(673),
    [anon_sym_uint160] = ACTIONS(673),
    [anon_sym_uint168] = ACTIONS(673),
    [anon_sym_uint176] = ACTIONS(673),
    [anon_sym_uint184] = ACTIONS(673),
    [anon_sym_uint192] = ACTIONS(673),
    [anon_sym_uint200] = ACTIONS(673),
    [anon_sym_uint208] = ACTIONS(673),
    [anon_sym_uint216] = ACTIONS(673),
    [anon_sym_uint224] = ACTIONS(673),
    [anon_sym_uint232] = ACTIONS(673),
    [anon_sym_uint240] = ACTIONS(673),
    [anon_sym_uint248] = ACTIONS(673),
    [anon_sym_uint256] = ACTIONS(673),
    [anon_sym_bytes] = ACTIONS(673),
    [anon_sym_bytes1] = ACTIONS(673),
    [anon_sym_bytes2] = ACTIONS(673),
    [anon_sym_bytes3] = ACTIONS(673),
    [anon_sym_bytes4] = ACTIONS(673),
    [anon_sym_bytes5] = ACTIONS(673),
    [anon_sym_bytes6] = ACTIONS(673),
    [anon_sym_bytes7] = ACTIONS(673),
    [anon_sym_bytes8] = ACTIONS(673),
    [anon_sym_bytes9] = ACTIONS(673),
    [anon_sym_bytes10] = ACTIONS(673),
    [anon_sym_bytes11] = ACTIONS(673),
    [anon_sym_bytes12] = ACTIONS(673),
    [anon_sym_bytes13] = ACTIONS(673),
    [anon_sym_bytes14] = ACTIONS(673),
    [anon_sym_bytes15] = ACTIONS(673),
    [anon_sym_bytes16] = ACTIONS(673),
    [anon_sym_bytes17] = ACTIONS(673),
    [anon_sym_bytes18] = ACTIONS(673),
    [anon_sym_bytes19] = ACTIONS(673),
    [anon_sym_bytes20] = ACTIONS(673),
    [anon_sym_bytes21] = ACTIONS(673),
    [anon_sym_bytes22] = ACTIONS(673),
    [anon_sym_bytes23] = ACTIONS(673),
    [anon_sym_bytes24] = ACTIONS(673),
    [anon_sym_bytes25] = ACTIONS(673),
    [anon_sym_bytes26] = ACTIONS(673),
    [anon_sym_bytes27] = ACTIONS(673),
    [anon_sym_bytes28] = ACTIONS(673),
    [anon_sym_bytes29] = ACTIONS(673),
    [anon_sym_bytes30] = ACTIONS(673),
    [anon_sym_bytes31] = ACTIONS(673),
    [anon_sym_bytes32] = ACTIONS(673),
    [anon_sym_fixed] = ACTIONS(673),
    [aux_sym__fixed_token1] = ACTIONS(673),
    [anon_sym_ufixed] = ACTIONS(673),
    [aux_sym__ufixed_token1] = ACTIONS(673),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [ts_builtin_sym_end] = ACTIONS(675),
    [sym_identifier] = ACTIONS(677),
    [anon_sym_pragma] = ACTIONS(677),
    [anon_sym_import] = ACTIONS(677),
    [anon_sym_type] = ACTIONS(677),
    [anon_sym_abstract] = ACTIONS(677),
    [anon_sym_contract] = ACTIONS(677),
    [anon_sym_error] = ACTIONS(677),
    [anon_sym_interface] = ACTIONS(677),
    [anon_sym_library] = ACTIONS(677),
    [anon_sym_struct] = ACTIONS(677),
    [anon_sym_enum] = ACTIONS(677),
    [anon_sym_using] = ACTIONS(677),
    [anon_sym_function] = ACTIONS(677),
    [anon_sym_byte] = ACTIONS(677),
    [anon_sym_address] = ACTIONS(677),
    [anon_sym_var] = ACTIONS(677),
    [anon_sym_mapping] = ACTIONS(677),
    [anon_sym_bool] = ACTIONS(677),
    [anon_sym_string] = ACTIONS(677),
    [anon_sym_int] = ACTIONS(677),
    [anon_sym_int8] = ACTIONS(677),
    [anon_sym_int16] = ACTIONS(677),
    [anon_sym_int24] = ACTIONS(677),
    [anon_sym_int32] = ACTIONS(677),
    [anon_sym_int40] = ACTIONS(677),
    [anon_sym_int48] = ACTIONS(677),
    [anon_sym_int56] = ACTIONS(677),
    [anon_sym_int64] = ACTIONS(677),
    [anon_sym_int72] = ACTIONS(677),
    [anon_sym_int80] = ACTIONS(677),
    [anon_sym_int88] = ACTIONS(677),
    [anon_sym_int96] = ACTIONS(677),
    [anon_sym_int104] = ACTIONS(677),
    [anon_sym_int112] = ACTIONS(677),
    [anon_sym_int120] = ACTIONS(677),
    [anon_sym_int128] = ACTIONS(677),
    [anon_sym_int136] = ACTIONS(677),
    [anon_sym_int144] = ACTIONS(677),
    [anon_sym_int152] = ACTIONS(677),
    [anon_sym_int160] = ACTIONS(677),
    [anon_sym_int168] = ACTIONS(677),
    [anon_sym_int176] = ACTIONS(677),
    [anon_sym_int184] = ACTIONS(677),
    [anon_sym_int192] = ACTIONS(677),
    [anon_sym_int200] = ACTIONS(677),
    [anon_sym_int208] = ACTIONS(677),
    [anon_sym_int216] = ACTIONS(677),
    [anon_sym_int224] = ACTIONS(677),
    [anon_sym_int232] = ACTIONS(677),
    [anon_sym_int240] = ACTIONS(677),
    [anon_sym_int248] = ACTIONS(677),
    [anon_sym_int256] = ACTIONS(677),
    [anon_sym_uint] = ACTIONS(677),
    [anon_sym_uint8] = ACTIONS(677),
    [anon_sym_uint16] = ACTIONS(677),
    [anon_sym_uint24] = ACTIONS(677),
    [anon_sym_uint32] = ACTIONS(677),
    [anon_sym_uint40] = ACTIONS(677),
    [anon_sym_uint48] = ACTIONS(677),
    [anon_sym_uint56] = ACTIONS(677),
    [anon_sym_uint64] = ACTIONS(677),
    [anon_sym_uint72] = ACTIONS(677),
    [anon_sym_uint80] = ACTIONS(677),
    [anon_sym_uint88] = ACTIONS(677),
    [anon_sym_uint96] = ACTIONS(677),
    [anon_sym_uint104] = ACTIONS(677),
    [anon_sym_uint112] = ACTIONS(677),
    [anon_sym_uint120] = ACTIONS(677),
    [anon_sym_uint128] = ACTIONS(677),
    [anon_sym_uint136] = ACTIONS(677),
    [anon_sym_uint144] = ACTIONS(677),
    [anon_sym_uint152] = ACTIONS(677),
    [anon_sym_uint160] = ACTIONS(677),
    [anon_sym_uint168] = ACTIONS(677),
    [anon_sym_uint176] = ACTIONS(677),
    [anon_sym_uint184] = ACTIONS(677),
    [anon_sym_uint192] = ACTIONS(677),
    [anon_sym_uint200] = ACTIONS(677),
    [anon_sym_uint208] = ACTIONS(677),
    [anon_sym_uint216] = ACTIONS(677),
    [anon_sym_uint224] = ACTIONS(677),
    [anon_sym_uint232] = ACTIONS(677),
    [anon_sym_uint240] = ACTIONS(677),
    [anon_sym_uint248] = ACTIONS(677),
    [anon_sym_uint256] = ACTIONS(677),
    [anon_sym_bytes] = ACTIONS(677),
    [anon_sym_bytes1] = ACTIONS(677),
    [anon_sym_bytes2] = ACTIONS(677),
    [anon_sym_bytes3] = ACTIONS(677),
    [anon_sym_bytes4] = ACTIONS(677),
    [anon_sym_bytes5] = ACTIONS(677),
    [anon_sym_bytes6] = ACTIONS(677),
    [anon_sym_bytes7] = ACTIONS(677),
    [anon_sym_bytes8] = ACTIONS(677),
    [anon_sym_bytes9] = ACTIONS(677),
    [anon_sym_bytes10] = ACTIONS(677),
    [anon_sym_bytes11] = ACTIONS(677),
    [anon_sym_bytes12] = ACTIONS(677),
    [anon_sym_bytes13] = ACTIONS(677),
    [anon_sym_bytes14] = ACTIONS(677),
    [anon_sym_bytes15] = ACTIONS(677),
    [anon_sym_bytes16] = ACTIONS(677),
    [anon_sym_bytes17] = ACTIONS(677),
    [anon_sym_bytes18] = ACTIONS(677),
    [anon_sym_bytes19] = ACTIONS(677),
    [anon_sym_bytes20] = ACTIONS(677),
    [anon_sym_bytes21] = ACTIONS(677),
    [anon_sym_bytes22] = ACTIONS(677),
    [anon_sym_bytes23] = ACTIONS(677),
    [anon_sym_bytes24] = ACTIONS(677),
    [anon_sym_bytes25] = ACTIONS(677),
    [anon_sym_bytes26] = ACTIONS(677),
    [anon_sym_bytes27] = ACTIONS(677),
    [anon_sym_bytes28] = ACTIONS(677),
    [anon_sym_bytes29] = ACTIONS(677),
    [anon_sym_bytes30] = ACTIONS(677),
    [anon_sym_bytes31] = ACTIONS(677),
    [anon_sym_bytes32] = ACTIONS(677),
    [anon_sym_fixed] = ACTIONS(677),
    [aux_sym__fixed_token1] = ACTIONS(677),
    [anon_sym_ufixed] = ACTIONS(677),
    [aux_sym__ufixed_token1] = ACTIONS(677),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [ts_builtin_sym_end] = ACTIONS(675),
    [sym_identifier] = ACTIONS(677),
    [anon_sym_pragma] = ACTIONS(677),
    [anon_sym_import] = ACTIONS(677),
    [anon_sym_type] = ACTIONS(677),
    [anon_sym_abstract] = ACTIONS(677),
    [anon_sym_contract] = ACTIONS(677),
    [anon_sym_error] = ACTIONS(677),
    [anon_sym_interface] = ACTIONS(677),
    [anon_sym_library] = ACTIONS(677),
    [anon_sym_struct] = ACTIONS(677),
    [anon_sym_enum] = ACTIONS(677),
    [anon_sym_using] = ACTIONS(677),
    [anon_sym_function] = ACTIONS(677),
    [anon_sym_byte] = ACTIONS(677),
    [anon_sym_address] = ACTIONS(677),
    [anon_sym_var] = ACTIONS(677),
    [anon_sym_mapping] = ACTIONS(677),
    [anon_sym_bool] = ACTIONS(677),
    [anon_sym_string] = ACTIONS(677),
    [anon_sym_int] = ACTIONS(677),
    [anon_sym_int8] = ACTIONS(677),
    [anon_sym_int16] = ACTIONS(677),
    [anon_sym_int24] = ACTIONS(677),
    [anon_sym_int32] = ACTIONS(677),
    [anon_sym_int40] = ACTIONS(677),
    [anon_sym_int48] = ACTIONS(677),
    [anon_sym_int56] = ACTIONS(677),
    [anon_sym_int64] = ACTIONS(677),
    [anon_sym_int72] = ACTIONS(677),
    [anon_sym_int80] = ACTIONS(677),
    [anon_sym_int88] = ACTIONS(677),
    [anon_sym_int96] = ACTIONS(677),
    [anon_sym_int104] = ACTIONS(677),
    [anon_sym_int112] = ACTIONS(677),
    [anon_sym_int120] = ACTIONS(677),
    [anon_sym_int128] = ACTIONS(677),
    [anon_sym_int136] = ACTIONS(677),
    [anon_sym_int144] = ACTIONS(677),
    [anon_sym_int152] = ACTIONS(677),
    [anon_sym_int160] = ACTIONS(677),
    [anon_sym_int168] = ACTIONS(677),
    [anon_sym_int176] = ACTIONS(677),
    [anon_sym_int184] = ACTIONS(677),
    [anon_sym_int192] = ACTIONS(677),
    [anon_sym_int200] = ACTIONS(677),
    [anon_sym_int208] = ACTIONS(677),
    [anon_sym_int216] = ACTIONS(677),
    [anon_sym_int224] = ACTIONS(677),
    [anon_sym_int232] = ACTIONS(677),
    [anon_sym_int240] = ACTIONS(677),
    [anon_sym_int248] = ACTIONS(677),
    [anon_sym_int256] = ACTIONS(677),
    [anon_sym_uint] = ACTIONS(677),
    [anon_sym_uint8] = ACTIONS(677),
    [anon_sym_uint16] = ACTIONS(677),
    [anon_sym_uint24] = ACTIONS(677),
    [anon_sym_uint32] = ACTIONS(677),
    [anon_sym_uint40] = ACTIONS(677),
    [anon_sym_uint48] = ACTIONS(677),
    [anon_sym_uint56] = ACTIONS(677),
    [anon_sym_uint64] = ACTIONS(677),
    [anon_sym_uint72] = ACTIONS(677),
    [anon_sym_uint80] = ACTIONS(677),
    [anon_sym_uint88] = ACTIONS(677),
    [anon_sym_uint96] = ACTIONS(677),
    [anon_sym_uint104] = ACTIONS(677),
    [anon_sym_uint112] = ACTIONS(677),
    [anon_sym_uint120] = ACTIONS(677),
    [anon_sym_uint128] = ACTIONS(677),
    [anon_sym_uint136] = ACTIONS(677),
    [anon_sym_uint144] = ACTIONS(677),
    [anon_sym_uint152] = ACTIONS(677),
    [anon_sym_uint160] = ACTIONS(677),
    [anon_sym_uint168] = ACTIONS(677),
    [anon_sym_uint176] = ACTIONS(677),
    [anon_sym_uint184] = ACTIONS(677),
    [anon_sym_uint192] = ACTIONS(677),
    [anon_sym_uint200] = ACTIONS(677),
    [anon_sym_uint208] = ACTIONS(677),
    [anon_sym_uint216] = ACTIONS(677),
    [anon_sym_uint224] = ACTIONS(677),
    [anon_sym_uint232] = ACTIONS(677),
    [anon_sym_uint240] = ACTIONS(677),
    [anon_sym_uint248] = ACTIONS(677),
    [anon_sym_uint256] = ACTIONS(677),
    [anon_sym_bytes] = ACTIONS(677),
    [anon_sym_bytes1] = ACTIONS(677),
    [anon_sym_bytes2] = ACTIONS(677),
    [anon_sym_bytes3] = ACTIONS(677),
    [anon_sym_bytes4] = ACTIONS(677),
    [anon_sym_bytes5] = ACTIONS(677),
    [anon_sym_bytes6] = ACTIONS(677),
    [anon_sym_bytes7] = ACTIONS(677),
    [anon_sym_bytes8] = ACTIONS(677),
    [anon_sym_bytes9] = ACTIONS(677),
    [anon_sym_bytes10] = ACTIONS(677),
    [anon_sym_bytes11] = ACTIONS(677),
    [anon_sym_bytes12] = ACTIONS(677),
    [anon_sym_bytes13] = ACTIONS(677),
    [anon_sym_bytes14] = ACTIONS(677),
    [anon_sym_bytes15] = ACTIONS(677),
    [anon_sym_bytes16] = ACTIONS(677),
    [anon_sym_bytes17] = ACTIONS(677),
    [anon_sym_bytes18] = ACTIONS(677),
    [anon_sym_bytes19] = ACTIONS(677),
    [anon_sym_bytes20] = ACTIONS(677),
    [anon_sym_bytes21] = ACTIONS(677),
    [anon_sym_bytes22] = ACTIONS(677),
    [anon_sym_bytes23] = ACTIONS(677),
    [anon_sym_bytes24] = ACTIONS(677),
    [anon_sym_bytes25] = ACTIONS(677),
    [anon_sym_bytes26] = ACTIONS(677),
    [anon_sym_bytes27] = ACTIONS(677),
    [anon_sym_bytes28] = ACTIONS(677),
    [anon_sym_bytes29] = ACTIONS(677),
    [anon_sym_bytes30] = ACTIONS(677),
    [anon_sym_bytes31] = ACTIONS(677),
    [anon_sym_bytes32] = ACTIONS(677),
    [anon_sym_fixed] = ACTIONS(677),
    [aux_sym__fixed_token1] = ACTIONS(677),
    [anon_sym_ufixed] = ACTIONS(677),
    [aux_sym__ufixed_token1] = ACTIONS(677),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [ts_builtin_sym_end] = ACTIONS(679),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_pragma] = ACTIONS(681),
    [anon_sym_import] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(681),
    [anon_sym_abstract] = ACTIONS(681),
    [anon_sym_contract] = ACTIONS(681),
    [anon_sym_error] = ACTIONS(681),
    [anon_sym_interface] = ACTIONS(681),
    [anon_sym_library] = ACTIONS(681),
    [anon_sym_struct] = ACTIONS(681),
    [anon_sym_enum] = ACTIONS(681),
    [anon_sym_using] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(681),
    [anon_sym_byte] = ACTIONS(681),
    [anon_sym_address] = ACTIONS(681),
    [anon_sym_var] = ACTIONS(681),
    [anon_sym_mapping] = ACTIONS(681),
    [anon_sym_bool] = ACTIONS(681),
    [anon_sym_string] = ACTIONS(681),
    [anon_sym_int] = ACTIONS(681),
    [anon_sym_int8] = ACTIONS(681),
    [anon_sym_int16] = ACTIONS(681),
    [anon_sym_int24] = ACTIONS(681),
    [anon_sym_int32] = ACTIONS(681),
    [anon_sym_int40] = ACTIONS(681),
    [anon_sym_int48] = ACTIONS(681),
    [anon_sym_int56] = ACTIONS(681),
    [anon_sym_int64] = ACTIONS(681),
    [anon_sym_int72] = ACTIONS(681),
    [anon_sym_int80] = ACTIONS(681),
    [anon_sym_int88] = ACTIONS(681),
    [anon_sym_int96] = ACTIONS(681),
    [anon_sym_int104] = ACTIONS(681),
    [anon_sym_int112] = ACTIONS(681),
    [anon_sym_int120] = ACTIONS(681),
    [anon_sym_int128] = ACTIONS(681),
    [anon_sym_int136] = ACTIONS(681),
    [anon_sym_int144] = ACTIONS(681),
    [anon_sym_int152] = ACTIONS(681),
    [anon_sym_int160] = ACTIONS(681),
    [anon_sym_int168] = ACTIONS(681),
    [anon_sym_int176] = ACTIONS(681),
    [anon_sym_int184] = ACTIONS(681),
    [anon_sym_int192] = ACTIONS(681),
    [anon_sym_int200] = ACTIONS(681),
    [anon_sym_int208] = ACTIONS(681),
    [anon_sym_int216] = ACTIONS(681),
    [anon_sym_int224] = ACTIONS(681),
    [anon_sym_int232] = ACTIONS(681),
    [anon_sym_int240] = ACTIONS(681),
    [anon_sym_int248] = ACTIONS(681),
    [anon_sym_int256] = ACTIONS(681),
    [anon_sym_uint] = ACTIONS(681),
    [anon_sym_uint8] = ACTIONS(681),
    [anon_sym_uint16] = ACTIONS(681),
    [anon_sym_uint24] = ACTIONS(681),
    [anon_sym_uint32] = ACTIONS(681),
    [anon_sym_uint40] = ACTIONS(681),
    [anon_sym_uint48] = ACTIONS(681),
    [anon_sym_uint56] = ACTIONS(681),
    [anon_sym_uint64] = ACTIONS(681),
    [anon_sym_uint72] = ACTIONS(681),
    [anon_sym_uint80] = ACTIONS(681),
    [anon_sym_uint88] = ACTIONS(681),
    [anon_sym_uint96] = ACTIONS(681),
    [anon_sym_uint104] = ACTIONS(681),
    [anon_sym_uint112] = ACTIONS(681),
    [anon_sym_uint120] = ACTIONS(681),
    [anon_sym_uint128] = ACTIONS(681),
    [anon_sym_uint136] = ACTIONS(681),
    [anon_sym_uint144] = ACTIONS(681),
    [anon_sym_uint152] = ACTIONS(681),
    [anon_sym_uint160] = ACTIONS(681),
    [anon_sym_uint168] = ACTIONS(681),
    [anon_sym_uint176] = ACTIONS(681),
    [anon_sym_uint184] = ACTIONS(681),
    [anon_sym_uint192] = ACTIONS(681),
    [anon_sym_uint200] = ACTIONS(681),
    [anon_sym_uint208] = ACTIONS(681),
    [anon_sym_uint216] = ACTIONS(681),
    [anon_sym_uint224] = ACTIONS(681),
    [anon_sym_uint232] = ACTIONS(681),
    [anon_sym_uint240] = ACTIONS(681),
    [anon_sym_uint248] = ACTIONS(681),
    [anon_sym_uint256] = ACTIONS(681),
    [anon_sym_bytes] = ACTIONS(681),
    [anon_sym_bytes1] = ACTIONS(681),
    [anon_sym_bytes2] = ACTIONS(681),
    [anon_sym_bytes3] = ACTIONS(681),
    [anon_sym_bytes4] = ACTIONS(681),
    [anon_sym_bytes5] = ACTIONS(681),
    [anon_sym_bytes6] = ACTIONS(681),
    [anon_sym_bytes7] = ACTIONS(681),
    [anon_sym_bytes8] = ACTIONS(681),
    [anon_sym_bytes9] = ACTIONS(681),
    [anon_sym_bytes10] = ACTIONS(681),
    [anon_sym_bytes11] = ACTIONS(681),
    [anon_sym_bytes12] = ACTIONS(681),
    [anon_sym_bytes13] = ACTIONS(681),
    [anon_sym_bytes14] = ACTIONS(681),
    [anon_sym_bytes15] = ACTIONS(681),
    [anon_sym_bytes16] = ACTIONS(681),
    [anon_sym_bytes17] = ACTIONS(681),
    [anon_sym_bytes18] = ACTIONS(681),
    [anon_sym_bytes19] = ACTIONS(681),
    [anon_sym_bytes20] = ACTIONS(681),
    [anon_sym_bytes21] = ACTIONS(681),
    [anon_sym_bytes22] = ACTIONS(681),
    [anon_sym_bytes23] = ACTIONS(681),
    [anon_sym_bytes24] = ACTIONS(681),
    [anon_sym_bytes25] = ACTIONS(681),
    [anon_sym_bytes26] = ACTIONS(681),
    [anon_sym_bytes27] = ACTIONS(681),
    [anon_sym_bytes28] = ACTIONS(681),
    [anon_sym_bytes29] = ACTIONS(681),
    [anon_sym_bytes30] = ACTIONS(681),
    [anon_sym_bytes31] = ACTIONS(681),
    [anon_sym_bytes32] = ACTIONS(681),
    [anon_sym_fixed] = ACTIONS(681),
    [aux_sym__fixed_token1] = ACTIONS(681),
    [anon_sym_ufixed] = ACTIONS(681),
    [aux_sym__ufixed_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [ts_builtin_sym_end] = ACTIONS(679),
    [sym_identifier] = ACTIONS(681),
    [anon_sym_pragma] = ACTIONS(681),
    [anon_sym_import] = ACTIONS(681),
    [anon_sym_type] = ACTIONS(681),
    [anon_sym_abstract] = ACTIONS(681),
    [anon_sym_contract] = ACTIONS(681),
    [anon_sym_error] = ACTIONS(681),
    [anon_sym_interface] = ACTIONS(681),
    [anon_sym_library] = ACTIONS(681),
    [anon_sym_struct] = ACTIONS(681),
    [anon_sym_enum] = ACTIONS(681),
    [anon_sym_using] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(681),
    [anon_sym_byte] = ACTIONS(681),
    [anon_sym_address] = ACTIONS(681),
    [anon_sym_var] = ACTIONS(681),
    [anon_sym_mapping] = ACTIONS(681),
    [anon_sym_bool] = ACTIONS(681),
    [anon_sym_string] = ACTIONS(681),
    [anon_sym_int] = ACTIONS(681),
    [anon_sym_int8] = ACTIONS(681),
    [anon_sym_int16] = ACTIONS(681),
    [anon_sym_int24] = ACTIONS(681),
    [anon_sym_int32] = ACTIONS(681),
    [anon_sym_int40] = ACTIONS(681),
    [anon_sym_int48] = ACTIONS(681),
    [anon_sym_int56] = ACTIONS(681),
    [anon_sym_int64] = ACTIONS(681),
    [anon_sym_int72] = ACTIONS(681),
    [anon_sym_int80] = ACTIONS(681),
    [anon_sym_int88] = ACTIONS(681),
    [anon_sym_int96] = ACTIONS(681),
    [anon_sym_int104] = ACTIONS(681),
    [anon_sym_int112] = ACTIONS(681),
    [anon_sym_int120] = ACTIONS(681),
    [anon_sym_int128] = ACTIONS(681),
    [anon_sym_int136] = ACTIONS(681),
    [anon_sym_int144] = ACTIONS(681),
    [anon_sym_int152] = ACTIONS(681),
    [anon_sym_int160] = ACTIONS(681),
    [anon_sym_int168] = ACTIONS(681),
    [anon_sym_int176] = ACTIONS(681),
    [anon_sym_int184] = ACTIONS(681),
    [anon_sym_int192] = ACTIONS(681),
    [anon_sym_int200] = ACTIONS(681),
    [anon_sym_int208] = ACTIONS(681),
    [anon_sym_int216] = ACTIONS(681),
    [anon_sym_int224] = ACTIONS(681),
    [anon_sym_int232] = ACTIONS(681),
    [anon_sym_int240] = ACTIONS(681),
    [anon_sym_int248] = ACTIONS(681),
    [anon_sym_int256] = ACTIONS(681),
    [anon_sym_uint] = ACTIONS(681),
    [anon_sym_uint8] = ACTIONS(681),
    [anon_sym_uint16] = ACTIONS(681),
    [anon_sym_uint24] = ACTIONS(681),
    [anon_sym_uint32] = ACTIONS(681),
    [anon_sym_uint40] = ACTIONS(681),
    [anon_sym_uint48] = ACTIONS(681),
    [anon_sym_uint56] = ACTIONS(681),
    [anon_sym_uint64] = ACTIONS(681),
    [anon_sym_uint72] = ACTIONS(681),
    [anon_sym_uint80] = ACTIONS(681),
    [anon_sym_uint88] = ACTIONS(681),
    [anon_sym_uint96] = ACTIONS(681),
    [anon_sym_uint104] = ACTIONS(681),
    [anon_sym_uint112] = ACTIONS(681),
    [anon_sym_uint120] = ACTIONS(681),
    [anon_sym_uint128] = ACTIONS(681),
    [anon_sym_uint136] = ACTIONS(681),
    [anon_sym_uint144] = ACTIONS(681),
    [anon_sym_uint152] = ACTIONS(681),
    [anon_sym_uint160] = ACTIONS(681),
    [anon_sym_uint168] = ACTIONS(681),
    [anon_sym_uint176] = ACTIONS(681),
    [anon_sym_uint184] = ACTIONS(681),
    [anon_sym_uint192] = ACTIONS(681),
    [anon_sym_uint200] = ACTIONS(681),
    [anon_sym_uint208] = ACTIONS(681),
    [anon_sym_uint216] = ACTIONS(681),
    [anon_sym_uint224] = ACTIONS(681),
    [anon_sym_uint232] = ACTIONS(681),
    [anon_sym_uint240] = ACTIONS(681),
    [anon_sym_uint248] = ACTIONS(681),
    [anon_sym_uint256] = ACTIONS(681),
    [anon_sym_bytes] = ACTIONS(681),
    [anon_sym_bytes1] = ACTIONS(681),
    [anon_sym_bytes2] = ACTIONS(681),
    [anon_sym_bytes3] = ACTIONS(681),
    [anon_sym_bytes4] = ACTIONS(681),
    [anon_sym_bytes5] = ACTIONS(681),
    [anon_sym_bytes6] = ACTIONS(681),
    [anon_sym_bytes7] = ACTIONS(681),
    [anon_sym_bytes8] = ACTIONS(681),
    [anon_sym_bytes9] = ACTIONS(681),
    [anon_sym_bytes10] = ACTIONS(681),
    [anon_sym_bytes11] = ACTIONS(681),
    [anon_sym_bytes12] = ACTIONS(681),
    [anon_sym_bytes13] = ACTIONS(681),
    [anon_sym_bytes14] = ACTIONS(681),
    [anon_sym_bytes15] = ACTIONS(681),
    [anon_sym_bytes16] = ACTIONS(681),
    [anon_sym_bytes17] = ACTIONS(681),
    [anon_sym_bytes18] = ACTIONS(681),
    [anon_sym_bytes19] = ACTIONS(681),
    [anon_sym_bytes20] = ACTIONS(681),
    [anon_sym_bytes21] = ACTIONS(681),
    [anon_sym_bytes22] = ACTIONS(681),
    [anon_sym_bytes23] = ACTIONS(681),
    [anon_sym_bytes24] = ACTIONS(681),
    [anon_sym_bytes25] = ACTIONS(681),
    [anon_sym_bytes26] = ACTIONS(681),
    [anon_sym_bytes27] = ACTIONS(681),
    [anon_sym_bytes28] = ACTIONS(681),
    [anon_sym_bytes29] = ACTIONS(681),
    [anon_sym_bytes30] = ACTIONS(681),
    [anon_sym_bytes31] = ACTIONS(681),
    [anon_sym_bytes32] = ACTIONS(681),
    [anon_sym_fixed] = ACTIONS(681),
    [aux_sym__fixed_token1] = ACTIONS(681),
    [anon_sym_ufixed] = ACTIONS(681),
    [aux_sym__ufixed_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [ts_builtin_sym_end] = ACTIONS(683),
    [sym_identifier] = ACTIONS(685),
    [anon_sym_pragma] = ACTIONS(685),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_abstract] = ACTIONS(685),
    [anon_sym_contract] = ACTIONS(685),
    [anon_sym_error] = ACTIONS(685),
    [anon_sym_interface] = ACTIONS(685),
    [anon_sym_library] = ACTIONS(685),
    [anon_sym_struct] = ACTIONS(685),
    [anon_sym_enum] = ACTIONS(685),
    [anon_sym_using] = ACTIONS(685),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_byte] = ACTIONS(685),
    [anon_sym_address] = ACTIONS(685),
    [anon_sym_var] = ACTIONS(685),
    [anon_sym_mapping] = ACTIONS(685),
    [anon_sym_bool] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_int] = ACTIONS(685),
    [anon_sym_int8] = ACTIONS(685),
    [anon_sym_int16] = ACTIONS(685),
    [anon_sym_int24] = ACTIONS(685),
    [anon_sym_int32] = ACTIONS(685),
    [anon_sym_int40] = ACTIONS(685),
    [anon_sym_int48] = ACTIONS(685),
    [anon_sym_int56] = ACTIONS(685),
    [anon_sym_int64] = ACTIONS(685),
    [anon_sym_int72] = ACTIONS(685),
    [anon_sym_int80] = ACTIONS(685),
    [anon_sym_int88] = ACTIONS(685),
    [anon_sym_int96] = ACTIONS(685),
    [anon_sym_int104] = ACTIONS(685),
    [anon_sym_int112] = ACTIONS(685),
    [anon_sym_int120] = ACTIONS(685),
    [anon_sym_int128] = ACTIONS(685),
    [anon_sym_int136] = ACTIONS(685),
    [anon_sym_int144] = ACTIONS(685),
    [anon_sym_int152] = ACTIONS(685),
    [anon_sym_int160] = ACTIONS(685),
    [anon_sym_int168] = ACTIONS(685),
    [anon_sym_int176] = ACTIONS(685),
    [anon_sym_int184] = ACTIONS(685),
    [anon_sym_int192] = ACTIONS(685),
    [anon_sym_int200] = ACTIONS(685),
    [anon_sym_int208] = ACTIONS(685),
    [anon_sym_int216] = ACTIONS(685),
    [anon_sym_int224] = ACTIONS(685),
    [anon_sym_int232] = ACTIONS(685),
    [anon_sym_int240] = ACTIONS(685),
    [anon_sym_int248] = ACTIONS(685),
    [anon_sym_int256] = ACTIONS(685),
    [anon_sym_uint] = ACTIONS(685),
    [anon_sym_uint8] = ACTIONS(685),
    [anon_sym_uint16] = ACTIONS(685),
    [anon_sym_uint24] = ACTIONS(685),
    [anon_sym_uint32] = ACTIONS(685),
    [anon_sym_uint40] = ACTIONS(685),
    [anon_sym_uint48] = ACTIONS(685),
    [anon_sym_uint56] = ACTIONS(685),
    [anon_sym_uint64] = ACTIONS(685),
    [anon_sym_uint72] = ACTIONS(685),
    [anon_sym_uint80] = ACTIONS(685),
    [anon_sym_uint88] = ACTIONS(685),
    [anon_sym_uint96] = ACTIONS(685),
    [anon_sym_uint104] = ACTIONS(685),
    [anon_sym_uint112] = ACTIONS(685),
    [anon_sym_uint120] = ACTIONS(685),
    [anon_sym_uint128] = ACTIONS(685),
    [anon_sym_uint136] = ACTIONS(685),
    [anon_sym_uint144] = ACTIONS(685),
    [anon_sym_uint152] = ACTIONS(685),
    [anon_sym_uint160] = ACTIONS(685),
    [anon_sym_uint168] = ACTIONS(685),
    [anon_sym_uint176] = ACTIONS(685),
    [anon_sym_uint184] = ACTIONS(685),
    [anon_sym_uint192] = ACTIONS(685),
    [anon_sym_uint200] = ACTIONS(685),
    [anon_sym_uint208] = ACTIONS(685),
    [anon_sym_uint216] = ACTIONS(685),
    [anon_sym_uint224] = ACTIONS(685),
    [anon_sym_uint232] = ACTIONS(685),
    [anon_sym_uint240] = ACTIONS(685),
    [anon_sym_uint248] = ACTIONS(685),
    [anon_sym_uint256] = ACTIONS(685),
    [anon_sym_bytes] = ACTIONS(685),
    [anon_sym_bytes1] = ACTIONS(685),
    [anon_sym_bytes2] = ACTIONS(685),
    [anon_sym_bytes3] = ACTIONS(685),
    [anon_sym_bytes4] = ACTIONS(685),
    [anon_sym_bytes5] = ACTIONS(685),
    [anon_sym_bytes6] = ACTIONS(685),
    [anon_sym_bytes7] = ACTIONS(685),
    [anon_sym_bytes8] = ACTIONS(685),
    [anon_sym_bytes9] = ACTIONS(685),
    [anon_sym_bytes10] = ACTIONS(685),
    [anon_sym_bytes11] = ACTIONS(685),
    [anon_sym_bytes12] = ACTIONS(685),
    [anon_sym_bytes13] = ACTIONS(685),
    [anon_sym_bytes14] = ACTIONS(685),
    [anon_sym_bytes15] = ACTIONS(685),
    [anon_sym_bytes16] = ACTIONS(685),
    [anon_sym_bytes17] = ACTIONS(685),
    [anon_sym_bytes18] = ACTIONS(685),
    [anon_sym_bytes19] = ACTIONS(685),
    [anon_sym_bytes20] = ACTIONS(685),
    [anon_sym_bytes21] = ACTIONS(685),
    [anon_sym_bytes22] = ACTIONS(685),
    [anon_sym_bytes23] = ACTIONS(685),
    [anon_sym_bytes24] = ACTIONS(685),
    [anon_sym_bytes25] = ACTIONS(685),
    [anon_sym_bytes26] = ACTIONS(685),
    [anon_sym_bytes27] = ACTIONS(685),
    [anon_sym_bytes28] = ACTIONS(685),
    [anon_sym_bytes29] = ACTIONS(685),
    [anon_sym_bytes30] = ACTIONS(685),
    [anon_sym_bytes31] = ACTIONS(685),
    [anon_sym_bytes32] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(685),
    [aux_sym__fixed_token1] = ACTIONS(685),
    [anon_sym_ufixed] = ACTIONS(685),
    [aux_sym__ufixed_token1] = ACTIONS(685),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [ts_builtin_sym_end] = ACTIONS(687),
    [sym_identifier] = ACTIONS(689),
    [anon_sym_pragma] = ACTIONS(689),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_type] = ACTIONS(689),
    [anon_sym_abstract] = ACTIONS(689),
    [anon_sym_contract] = ACTIONS(689),
    [anon_sym_error] = ACTIONS(689),
    [anon_sym_interface] = ACTIONS(689),
    [anon_sym_library] = ACTIONS(689),
    [anon_sym_struct] = ACTIONS(689),
    [anon_sym_enum] = ACTIONS(689),
    [anon_sym_using] = ACTIONS(689),
    [anon_sym_function] = ACTIONS(689),
    [anon_sym_byte] = ACTIONS(689),
    [anon_sym_address] = ACTIONS(689),
    [anon_sym_var] = ACTIONS(689),
    [anon_sym_mapping] = ACTIONS(689),
    [anon_sym_bool] = ACTIONS(689),
    [anon_sym_string] = ACTIONS(689),
    [anon_sym_int] = ACTIONS(689),
    [anon_sym_int8] = ACTIONS(689),
    [anon_sym_int16] = ACTIONS(689),
    [anon_sym_int24] = ACTIONS(689),
    [anon_sym_int32] = ACTIONS(689),
    [anon_sym_int40] = ACTIONS(689),
    [anon_sym_int48] = ACTIONS(689),
    [anon_sym_int56] = ACTIONS(689),
    [anon_sym_int64] = ACTIONS(689),
    [anon_sym_int72] = ACTIONS(689),
    [anon_sym_int80] = ACTIONS(689),
    [anon_sym_int88] = ACTIONS(689),
    [anon_sym_int96] = ACTIONS(689),
    [anon_sym_int104] = ACTIONS(689),
    [anon_sym_int112] = ACTIONS(689),
    [anon_sym_int120] = ACTIONS(689),
    [anon_sym_int128] = ACTIONS(689),
    [anon_sym_int136] = ACTIONS(689),
    [anon_sym_int144] = ACTIONS(689),
    [anon_sym_int152] = ACTIONS(689),
    [anon_sym_int160] = ACTIONS(689),
    [anon_sym_int168] = ACTIONS(689),
    [anon_sym_int176] = ACTIONS(689),
    [anon_sym_int184] = ACTIONS(689),
    [anon_sym_int192] = ACTIONS(689),
    [anon_sym_int200] = ACTIONS(689),
    [anon_sym_int208] = ACTIONS(689),
    [anon_sym_int216] = ACTIONS(689),
    [anon_sym_int224] = ACTIONS(689),
    [anon_sym_int232] = ACTIONS(689),
    [anon_sym_int240] = ACTIONS(689),
    [anon_sym_int248] = ACTIONS(689),
    [anon_sym_int256] = ACTIONS(689),
    [anon_sym_uint] = ACTIONS(689),
    [anon_sym_uint8] = ACTIONS(689),
    [anon_sym_uint16] = ACTIONS(689),
    [anon_sym_uint24] = ACTIONS(689),
    [anon_sym_uint32] = ACTIONS(689),
    [anon_sym_uint40] = ACTIONS(689),
    [anon_sym_uint48] = ACTIONS(689),
    [anon_sym_uint56] = ACTIONS(689),
    [anon_sym_uint64] = ACTIONS(689),
    [anon_sym_uint72] = ACTIONS(689),
    [anon_sym_uint80] = ACTIONS(689),
    [anon_sym_uint88] = ACTIONS(689),
    [anon_sym_uint96] = ACTIONS(689),
    [anon_sym_uint104] = ACTIONS(689),
    [anon_sym_uint112] = ACTIONS(689),
    [anon_sym_uint120] = ACTIONS(689),
    [anon_sym_uint128] = ACTIONS(689),
    [anon_sym_uint136] = ACTIONS(689),
    [anon_sym_uint144] = ACTIONS(689),
    [anon_sym_uint152] = ACTIONS(689),
    [anon_sym_uint160] = ACTIONS(689),
    [anon_sym_uint168] = ACTIONS(689),
    [anon_sym_uint176] = ACTIONS(689),
    [anon_sym_uint184] = ACTIONS(689),
    [anon_sym_uint192] = ACTIONS(689),
    [anon_sym_uint200] = ACTIONS(689),
    [anon_sym_uint208] = ACTIONS(689),
    [anon_sym_uint216] = ACTIONS(689),
    [anon_sym_uint224] = ACTIONS(689),
    [anon_sym_uint232] = ACTIONS(689),
    [anon_sym_uint240] = ACTIONS(689),
    [anon_sym_uint248] = ACTIONS(689),
    [anon_sym_uint256] = ACTIONS(689),
    [anon_sym_bytes] = ACTIONS(689),
    [anon_sym_bytes1] = ACTIONS(689),
    [anon_sym_bytes2] = ACTIONS(689),
    [anon_sym_bytes3] = ACTIONS(689),
    [anon_sym_bytes4] = ACTIONS(689),
    [anon_sym_bytes5] = ACTIONS(689),
    [anon_sym_bytes6] = ACTIONS(689),
    [anon_sym_bytes7] = ACTIONS(689),
    [anon_sym_bytes8] = ACTIONS(689),
    [anon_sym_bytes9] = ACTIONS(689),
    [anon_sym_bytes10] = ACTIONS(689),
    [anon_sym_bytes11] = ACTIONS(689),
    [anon_sym_bytes12] = ACTIONS(689),
    [anon_sym_bytes13] = ACTIONS(689),
    [anon_sym_bytes14] = ACTIONS(689),
    [anon_sym_bytes15] = ACTIONS(689),
    [anon_sym_bytes16] = ACTIONS(689),
    [anon_sym_bytes17] = ACTIONS(689),
    [anon_sym_bytes18] = ACTIONS(689),
    [anon_sym_bytes19] = ACTIONS(689),
    [anon_sym_bytes20] = ACTIONS(689),
    [anon_sym_bytes21] = ACTIONS(689),
    [anon_sym_bytes22] = ACTIONS(689),
    [anon_sym_bytes23] = ACTIONS(689),
    [anon_sym_bytes24] = ACTIONS(689),
    [anon_sym_bytes25] = ACTIONS(689),
    [anon_sym_bytes26] = ACTIONS(689),
    [anon_sym_bytes27] = ACTIONS(689),
    [anon_sym_bytes28] = ACTIONS(689),
    [anon_sym_bytes29] = ACTIONS(689),
    [anon_sym_bytes30] = ACTIONS(689),
    [anon_sym_bytes31] = ACTIONS(689),
    [anon_sym_bytes32] = ACTIONS(689),
    [anon_sym_fixed] = ACTIONS(689),
    [aux_sym__fixed_token1] = ACTIONS(689),
    [anon_sym_ufixed] = ACTIONS(689),
    [aux_sym__ufixed_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [ts_builtin_sym_end] = ACTIONS(691),
    [sym_identifier] = ACTIONS(693),
    [anon_sym_pragma] = ACTIONS(693),
    [anon_sym_import] = ACTIONS(693),
    [anon_sym_type] = ACTIONS(693),
    [anon_sym_abstract] = ACTIONS(693),
    [anon_sym_contract] = ACTIONS(693),
    [anon_sym_error] = ACTIONS(693),
    [anon_sym_interface] = ACTIONS(693),
    [anon_sym_library] = ACTIONS(693),
    [anon_sym_struct] = ACTIONS(693),
    [anon_sym_enum] = ACTIONS(693),
    [anon_sym_using] = ACTIONS(693),
    [anon_sym_function] = ACTIONS(693),
    [anon_sym_byte] = ACTIONS(693),
    [anon_sym_address] = ACTIONS(693),
    [anon_sym_var] = ACTIONS(693),
    [anon_sym_mapping] = ACTIONS(693),
    [anon_sym_bool] = ACTIONS(693),
    [anon_sym_string] = ACTIONS(693),
    [anon_sym_int] = ACTIONS(693),
    [anon_sym_int8] = ACTIONS(693),
    [anon_sym_int16] = ACTIONS(693),
    [anon_sym_int24] = ACTIONS(693),
    [anon_sym_int32] = ACTIONS(693),
    [anon_sym_int40] = ACTIONS(693),
    [anon_sym_int48] = ACTIONS(693),
    [anon_sym_int56] = ACTIONS(693),
    [anon_sym_int64] = ACTIONS(693),
    [anon_sym_int72] = ACTIONS(693),
    [anon_sym_int80] = ACTIONS(693),
    [anon_sym_int88] = ACTIONS(693),
    [anon_sym_int96] = ACTIONS(693),
    [anon_sym_int104] = ACTIONS(693),
    [anon_sym_int112] = ACTIONS(693),
    [anon_sym_int120] = ACTIONS(693),
    [anon_sym_int128] = ACTIONS(693),
    [anon_sym_int136] = ACTIONS(693),
    [anon_sym_int144] = ACTIONS(693),
    [anon_sym_int152] = ACTIONS(693),
    [anon_sym_int160] = ACTIONS(693),
    [anon_sym_int168] = ACTIONS(693),
    [anon_sym_int176] = ACTIONS(693),
    [anon_sym_int184] = ACTIONS(693),
    [anon_sym_int192] = ACTIONS(693),
    [anon_sym_int200] = ACTIONS(693),
    [anon_sym_int208] = ACTIONS(693),
    [anon_sym_int216] = ACTIONS(693),
    [anon_sym_int224] = ACTIONS(693),
    [anon_sym_int232] = ACTIONS(693),
    [anon_sym_int240] = ACTIONS(693),
    [anon_sym_int248] = ACTIONS(693),
    [anon_sym_int256] = ACTIONS(693),
    [anon_sym_uint] = ACTIONS(693),
    [anon_sym_uint8] = ACTIONS(693),
    [anon_sym_uint16] = ACTIONS(693),
    [anon_sym_uint24] = ACTIONS(693),
    [anon_sym_uint32] = ACTIONS(693),
    [anon_sym_uint40] = ACTIONS(693),
    [anon_sym_uint48] = ACTIONS(693),
    [anon_sym_uint56] = ACTIONS(693),
    [anon_sym_uint64] = ACTIONS(693),
    [anon_sym_uint72] = ACTIONS(693),
    [anon_sym_uint80] = ACTIONS(693),
    [anon_sym_uint88] = ACTIONS(693),
    [anon_sym_uint96] = ACTIONS(693),
    [anon_sym_uint104] = ACTIONS(693),
    [anon_sym_uint112] = ACTIONS(693),
    [anon_sym_uint120] = ACTIONS(693),
    [anon_sym_uint128] = ACTIONS(693),
    [anon_sym_uint136] = ACTIONS(693),
    [anon_sym_uint144] = ACTIONS(693),
    [anon_sym_uint152] = ACTIONS(693),
    [anon_sym_uint160] = ACTIONS(693),
    [anon_sym_uint168] = ACTIONS(693),
    [anon_sym_uint176] = ACTIONS(693),
    [anon_sym_uint184] = ACTIONS(693),
    [anon_sym_uint192] = ACTIONS(693),
    [anon_sym_uint200] = ACTIONS(693),
    [anon_sym_uint208] = ACTIONS(693),
    [anon_sym_uint216] = ACTIONS(693),
    [anon_sym_uint224] = ACTIONS(693),
    [anon_sym_uint232] = ACTIONS(693),
    [anon_sym_uint240] = ACTIONS(693),
    [anon_sym_uint248] = ACTIONS(693),
    [anon_sym_uint256] = ACTIONS(693),
    [anon_sym_bytes] = ACTIONS(693),
    [anon_sym_bytes1] = ACTIONS(693),
    [anon_sym_bytes2] = ACTIONS(693),
    [anon_sym_bytes3] = ACTIONS(693),
    [anon_sym_bytes4] = ACTIONS(693),
    [anon_sym_bytes5] = ACTIONS(693),
    [anon_sym_bytes6] = ACTIONS(693),
    [anon_sym_bytes7] = ACTIONS(693),
    [anon_sym_bytes8] = ACTIONS(693),
    [anon_sym_bytes9] = ACTIONS(693),
    [anon_sym_bytes10] = ACTIONS(693),
    [anon_sym_bytes11] = ACTIONS(693),
    [anon_sym_bytes12] = ACTIONS(693),
    [anon_sym_bytes13] = ACTIONS(693),
    [anon_sym_bytes14] = ACTIONS(693),
    [anon_sym_bytes15] = ACTIONS(693),
    [anon_sym_bytes16] = ACTIONS(693),
    [anon_sym_bytes17] = ACTIONS(693),
    [anon_sym_bytes18] = ACTIONS(693),
    [anon_sym_bytes19] = ACTIONS(693),
    [anon_sym_bytes20] = ACTIONS(693),
    [anon_sym_bytes21] = ACTIONS(693),
    [anon_sym_bytes22] = ACTIONS(693),
    [anon_sym_bytes23] = ACTIONS(693),
    [anon_sym_bytes24] = ACTIONS(693),
    [anon_sym_bytes25] = ACTIONS(693),
    [anon_sym_bytes26] = ACTIONS(693),
    [anon_sym_bytes27] = ACTIONS(693),
    [anon_sym_bytes28] = ACTIONS(693),
    [anon_sym_bytes29] = ACTIONS(693),
    [anon_sym_bytes30] = ACTIONS(693),
    [anon_sym_bytes31] = ACTIONS(693),
    [anon_sym_bytes32] = ACTIONS(693),
    [anon_sym_fixed] = ACTIONS(693),
    [aux_sym__fixed_token1] = ACTIONS(693),
    [anon_sym_ufixed] = ACTIONS(693),
    [aux_sym__ufixed_token1] = ACTIONS(693),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [ts_builtin_sym_end] = ACTIONS(695),
    [sym_identifier] = ACTIONS(697),
    [anon_sym_pragma] = ACTIONS(697),
    [anon_sym_import] = ACTIONS(697),
    [anon_sym_type] = ACTIONS(697),
    [anon_sym_abstract] = ACTIONS(697),
    [anon_sym_contract] = ACTIONS(697),
    [anon_sym_error] = ACTIONS(697),
    [anon_sym_interface] = ACTIONS(697),
    [anon_sym_library] = ACTIONS(697),
    [anon_sym_struct] = ACTIONS(697),
    [anon_sym_enum] = ACTIONS(697),
    [anon_sym_using] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(697),
    [anon_sym_byte] = ACTIONS(697),
    [anon_sym_address] = ACTIONS(697),
    [anon_sym_var] = ACTIONS(697),
    [anon_sym_mapping] = ACTIONS(697),
    [anon_sym_bool] = ACTIONS(697),
    [anon_sym_string] = ACTIONS(697),
    [anon_sym_int] = ACTIONS(697),
    [anon_sym_int8] = ACTIONS(697),
    [anon_sym_int16] = ACTIONS(697),
    [anon_sym_int24] = ACTIONS(697),
    [anon_sym_int32] = ACTIONS(697),
    [anon_sym_int40] = ACTIONS(697),
    [anon_sym_int48] = ACTIONS(697),
    [anon_sym_int56] = ACTIONS(697),
    [anon_sym_int64] = ACTIONS(697),
    [anon_sym_int72] = ACTIONS(697),
    [anon_sym_int80] = ACTIONS(697),
    [anon_sym_int88] = ACTIONS(697),
    [anon_sym_int96] = ACTIONS(697),
    [anon_sym_int104] = ACTIONS(697),
    [anon_sym_int112] = ACTIONS(697),
    [anon_sym_int120] = ACTIONS(697),
    [anon_sym_int128] = ACTIONS(697),
    [anon_sym_int136] = ACTIONS(697),
    [anon_sym_int144] = ACTIONS(697),
    [anon_sym_int152] = ACTIONS(697),
    [anon_sym_int160] = ACTIONS(697),
    [anon_sym_int168] = ACTIONS(697),
    [anon_sym_int176] = ACTIONS(697),
    [anon_sym_int184] = ACTIONS(697),
    [anon_sym_int192] = ACTIONS(697),
    [anon_sym_int200] = ACTIONS(697),
    [anon_sym_int208] = ACTIONS(697),
    [anon_sym_int216] = ACTIONS(697),
    [anon_sym_int224] = ACTIONS(697),
    [anon_sym_int232] = ACTIONS(697),
    [anon_sym_int240] = ACTIONS(697),
    [anon_sym_int248] = ACTIONS(697),
    [anon_sym_int256] = ACTIONS(697),
    [anon_sym_uint] = ACTIONS(697),
    [anon_sym_uint8] = ACTIONS(697),
    [anon_sym_uint16] = ACTIONS(697),
    [anon_sym_uint24] = ACTIONS(697),
    [anon_sym_uint32] = ACTIONS(697),
    [anon_sym_uint40] = ACTIONS(697),
    [anon_sym_uint48] = ACTIONS(697),
    [anon_sym_uint56] = ACTIONS(697),
    [anon_sym_uint64] = ACTIONS(697),
    [anon_sym_uint72] = ACTIONS(697),
    [anon_sym_uint80] = ACTIONS(697),
    [anon_sym_uint88] = ACTIONS(697),
    [anon_sym_uint96] = ACTIONS(697),
    [anon_sym_uint104] = ACTIONS(697),
    [anon_sym_uint112] = ACTIONS(697),
    [anon_sym_uint120] = ACTIONS(697),
    [anon_sym_uint128] = ACTIONS(697),
    [anon_sym_uint136] = ACTIONS(697),
    [anon_sym_uint144] = ACTIONS(697),
    [anon_sym_uint152] = ACTIONS(697),
    [anon_sym_uint160] = ACTIONS(697),
    [anon_sym_uint168] = ACTIONS(697),
    [anon_sym_uint176] = ACTIONS(697),
    [anon_sym_uint184] = ACTIONS(697),
    [anon_sym_uint192] = ACTIONS(697),
    [anon_sym_uint200] = ACTIONS(697),
    [anon_sym_uint208] = ACTIONS(697),
    [anon_sym_uint216] = ACTIONS(697),
    [anon_sym_uint224] = ACTIONS(697),
    [anon_sym_uint232] = ACTIONS(697),
    [anon_sym_uint240] = ACTIONS(697),
    [anon_sym_uint248] = ACTIONS(697),
    [anon_sym_uint256] = ACTIONS(697),
    [anon_sym_bytes] = ACTIONS(697),
    [anon_sym_bytes1] = ACTIONS(697),
    [anon_sym_bytes2] = ACTIONS(697),
    [anon_sym_bytes3] = ACTIONS(697),
    [anon_sym_bytes4] = ACTIONS(697),
    [anon_sym_bytes5] = ACTIONS(697),
    [anon_sym_bytes6] = ACTIONS(697),
    [anon_sym_bytes7] = ACTIONS(697),
    [anon_sym_bytes8] = ACTIONS(697),
    [anon_sym_bytes9] = ACTIONS(697),
    [anon_sym_bytes10] = ACTIONS(697),
    [anon_sym_bytes11] = ACTIONS(697),
    [anon_sym_bytes12] = ACTIONS(697),
    [anon_sym_bytes13] = ACTIONS(697),
    [anon_sym_bytes14] = ACTIONS(697),
    [anon_sym_bytes15] = ACTIONS(697),
    [anon_sym_bytes16] = ACTIONS(697),
    [anon_sym_bytes17] = ACTIONS(697),
    [anon_sym_bytes18] = ACTIONS(697),
    [anon_sym_bytes19] = ACTIONS(697),
    [anon_sym_bytes20] = ACTIONS(697),
    [anon_sym_bytes21] = ACTIONS(697),
    [anon_sym_bytes22] = ACTIONS(697),
    [anon_sym_bytes23] = ACTIONS(697),
    [anon_sym_bytes24] = ACTIONS(697),
    [anon_sym_bytes25] = ACTIONS(697),
    [anon_sym_bytes26] = ACTIONS(697),
    [anon_sym_bytes27] = ACTIONS(697),
    [anon_sym_bytes28] = ACTIONS(697),
    [anon_sym_bytes29] = ACTIONS(697),
    [anon_sym_bytes30] = ACTIONS(697),
    [anon_sym_bytes31] = ACTIONS(697),
    [anon_sym_bytes32] = ACTIONS(697),
    [anon_sym_fixed] = ACTIONS(697),
    [aux_sym__fixed_token1] = ACTIONS(697),
    [anon_sym_ufixed] = ACTIONS(697),
    [aux_sym__ufixed_token1] = ACTIONS(697),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [ts_builtin_sym_end] = ACTIONS(699),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_pragma] = ACTIONS(701),
    [anon_sym_import] = ACTIONS(701),
    [anon_sym_type] = ACTIONS(701),
    [anon_sym_abstract] = ACTIONS(701),
    [anon_sym_contract] = ACTIONS(701),
    [anon_sym_error] = ACTIONS(701),
    [anon_sym_interface] = ACTIONS(701),
    [anon_sym_library] = ACTIONS(701),
    [anon_sym_struct] = ACTIONS(701),
    [anon_sym_enum] = ACTIONS(701),
    [anon_sym_using] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(701),
    [anon_sym_byte] = ACTIONS(701),
    [anon_sym_address] = ACTIONS(701),
    [anon_sym_var] = ACTIONS(701),
    [anon_sym_mapping] = ACTIONS(701),
    [anon_sym_bool] = ACTIONS(701),
    [anon_sym_string] = ACTIONS(701),
    [anon_sym_int] = ACTIONS(701),
    [anon_sym_int8] = ACTIONS(701),
    [anon_sym_int16] = ACTIONS(701),
    [anon_sym_int24] = ACTIONS(701),
    [anon_sym_int32] = ACTIONS(701),
    [anon_sym_int40] = ACTIONS(701),
    [anon_sym_int48] = ACTIONS(701),
    [anon_sym_int56] = ACTIONS(701),
    [anon_sym_int64] = ACTIONS(701),
    [anon_sym_int72] = ACTIONS(701),
    [anon_sym_int80] = ACTIONS(701),
    [anon_sym_int88] = ACTIONS(701),
    [anon_sym_int96] = ACTIONS(701),
    [anon_sym_int104] = ACTIONS(701),
    [anon_sym_int112] = ACTIONS(701),
    [anon_sym_int120] = ACTIONS(701),
    [anon_sym_int128] = ACTIONS(701),
    [anon_sym_int136] = ACTIONS(701),
    [anon_sym_int144] = ACTIONS(701),
    [anon_sym_int152] = ACTIONS(701),
    [anon_sym_int160] = ACTIONS(701),
    [anon_sym_int168] = ACTIONS(701),
    [anon_sym_int176] = ACTIONS(701),
    [anon_sym_int184] = ACTIONS(701),
    [anon_sym_int192] = ACTIONS(701),
    [anon_sym_int200] = ACTIONS(701),
    [anon_sym_int208] = ACTIONS(701),
    [anon_sym_int216] = ACTIONS(701),
    [anon_sym_int224] = ACTIONS(701),
    [anon_sym_int232] = ACTIONS(701),
    [anon_sym_int240] = ACTIONS(701),
    [anon_sym_int248] = ACTIONS(701),
    [anon_sym_int256] = ACTIONS(701),
    [anon_sym_uint] = ACTIONS(701),
    [anon_sym_uint8] = ACTIONS(701),
    [anon_sym_uint16] = ACTIONS(701),
    [anon_sym_uint24] = ACTIONS(701),
    [anon_sym_uint32] = ACTIONS(701),
    [anon_sym_uint40] = ACTIONS(701),
    [anon_sym_uint48] = ACTIONS(701),
    [anon_sym_uint56] = ACTIONS(701),
    [anon_sym_uint64] = ACTIONS(701),
    [anon_sym_uint72] = ACTIONS(701),
    [anon_sym_uint80] = ACTIONS(701),
    [anon_sym_uint88] = ACTIONS(701),
    [anon_sym_uint96] = ACTIONS(701),
    [anon_sym_uint104] = ACTIONS(701),
    [anon_sym_uint112] = ACTIONS(701),
    [anon_sym_uint120] = ACTIONS(701),
    [anon_sym_uint128] = ACTIONS(701),
    [anon_sym_uint136] = ACTIONS(701),
    [anon_sym_uint144] = ACTIONS(701),
    [anon_sym_uint152] = ACTIONS(701),
    [anon_sym_uint160] = ACTIONS(701),
    [anon_sym_uint168] = ACTIONS(701),
    [anon_sym_uint176] = ACTIONS(701),
    [anon_sym_uint184] = ACTIONS(701),
    [anon_sym_uint192] = ACTIONS(701),
    [anon_sym_uint200] = ACTIONS(701),
    [anon_sym_uint208] = ACTIONS(701),
    [anon_sym_uint216] = ACTIONS(701),
    [anon_sym_uint224] = ACTIONS(701),
    [anon_sym_uint232] = ACTIONS(701),
    [anon_sym_uint240] = ACTIONS(701),
    [anon_sym_uint248] = ACTIONS(701),
    [anon_sym_uint256] = ACTIONS(701),
    [anon_sym_bytes] = ACTIONS(701),
    [anon_sym_bytes1] = ACTIONS(701),
    [anon_sym_bytes2] = ACTIONS(701),
    [anon_sym_bytes3] = ACTIONS(701),
    [anon_sym_bytes4] = ACTIONS(701),
    [anon_sym_bytes5] = ACTIONS(701),
    [anon_sym_bytes6] = ACTIONS(701),
    [anon_sym_bytes7] = ACTIONS(701),
    [anon_sym_bytes8] = ACTIONS(701),
    [anon_sym_bytes9] = ACTIONS(701),
    [anon_sym_bytes10] = ACTIONS(701),
    [anon_sym_bytes11] = ACTIONS(701),
    [anon_sym_bytes12] = ACTIONS(701),
    [anon_sym_bytes13] = ACTIONS(701),
    [anon_sym_bytes14] = ACTIONS(701),
    [anon_sym_bytes15] = ACTIONS(701),
    [anon_sym_bytes16] = ACTIONS(701),
    [anon_sym_bytes17] = ACTIONS(701),
    [anon_sym_bytes18] = ACTIONS(701),
    [anon_sym_bytes19] = ACTIONS(701),
    [anon_sym_bytes20] = ACTIONS(701),
    [anon_sym_bytes21] = ACTIONS(701),
    [anon_sym_bytes22] = ACTIONS(701),
    [anon_sym_bytes23] = ACTIONS(701),
    [anon_sym_bytes24] = ACTIONS(701),
    [anon_sym_bytes25] = ACTIONS(701),
    [anon_sym_bytes26] = ACTIONS(701),
    [anon_sym_bytes27] = ACTIONS(701),
    [anon_sym_bytes28] = ACTIONS(701),
    [anon_sym_bytes29] = ACTIONS(701),
    [anon_sym_bytes30] = ACTIONS(701),
    [anon_sym_bytes31] = ACTIONS(701),
    [anon_sym_bytes32] = ACTIONS(701),
    [anon_sym_fixed] = ACTIONS(701),
    [aux_sym__fixed_token1] = ACTIONS(701),
    [anon_sym_ufixed] = ACTIONS(701),
    [aux_sym__ufixed_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [ts_builtin_sym_end] = ACTIONS(703),
    [sym_identifier] = ACTIONS(705),
    [anon_sym_pragma] = ACTIONS(705),
    [anon_sym_import] = ACTIONS(705),
    [anon_sym_type] = ACTIONS(705),
    [anon_sym_abstract] = ACTIONS(705),
    [anon_sym_contract] = ACTIONS(705),
    [anon_sym_error] = ACTIONS(705),
    [anon_sym_interface] = ACTIONS(705),
    [anon_sym_library] = ACTIONS(705),
    [anon_sym_struct] = ACTIONS(705),
    [anon_sym_enum] = ACTIONS(705),
    [anon_sym_using] = ACTIONS(705),
    [anon_sym_function] = ACTIONS(705),
    [anon_sym_byte] = ACTIONS(705),
    [anon_sym_address] = ACTIONS(705),
    [anon_sym_var] = ACTIONS(705),
    [anon_sym_mapping] = ACTIONS(705),
    [anon_sym_bool] = ACTIONS(705),
    [anon_sym_string] = ACTIONS(705),
    [anon_sym_int] = ACTIONS(705),
    [anon_sym_int8] = ACTIONS(705),
    [anon_sym_int16] = ACTIONS(705),
    [anon_sym_int24] = ACTIONS(705),
    [anon_sym_int32] = ACTIONS(705),
    [anon_sym_int40] = ACTIONS(705),
    [anon_sym_int48] = ACTIONS(705),
    [anon_sym_int56] = ACTIONS(705),
    [anon_sym_int64] = ACTIONS(705),
    [anon_sym_int72] = ACTIONS(705),
    [anon_sym_int80] = ACTIONS(705),
    [anon_sym_int88] = ACTIONS(705),
    [anon_sym_int96] = ACTIONS(705),
    [anon_sym_int104] = ACTIONS(705),
    [anon_sym_int112] = ACTIONS(705),
    [anon_sym_int120] = ACTIONS(705),
    [anon_sym_int128] = ACTIONS(705),
    [anon_sym_int136] = ACTIONS(705),
    [anon_sym_int144] = ACTIONS(705),
    [anon_sym_int152] = ACTIONS(705),
    [anon_sym_int160] = ACTIONS(705),
    [anon_sym_int168] = ACTIONS(705),
    [anon_sym_int176] = ACTIONS(705),
    [anon_sym_int184] = ACTIONS(705),
    [anon_sym_int192] = ACTIONS(705),
    [anon_sym_int200] = ACTIONS(705),
    [anon_sym_int208] = ACTIONS(705),
    [anon_sym_int216] = ACTIONS(705),
    [anon_sym_int224] = ACTIONS(705),
    [anon_sym_int232] = ACTIONS(705),
    [anon_sym_int240] = ACTIONS(705),
    [anon_sym_int248] = ACTIONS(705),
    [anon_sym_int256] = ACTIONS(705),
    [anon_sym_uint] = ACTIONS(705),
    [anon_sym_uint8] = ACTIONS(705),
    [anon_sym_uint16] = ACTIONS(705),
    [anon_sym_uint24] = ACTIONS(705),
    [anon_sym_uint32] = ACTIONS(705),
    [anon_sym_uint40] = ACTIONS(705),
    [anon_sym_uint48] = ACTIONS(705),
    [anon_sym_uint56] = ACTIONS(705),
    [anon_sym_uint64] = ACTIONS(705),
    [anon_sym_uint72] = ACTIONS(705),
    [anon_sym_uint80] = ACTIONS(705),
    [anon_sym_uint88] = ACTIONS(705),
    [anon_sym_uint96] = ACTIONS(705),
    [anon_sym_uint104] = ACTIONS(705),
    [anon_sym_uint112] = ACTIONS(705),
    [anon_sym_uint120] = ACTIONS(705),
    [anon_sym_uint128] = ACTIONS(705),
    [anon_sym_uint136] = ACTIONS(705),
    [anon_sym_uint144] = ACTIONS(705),
    [anon_sym_uint152] = ACTIONS(705),
    [anon_sym_uint160] = ACTIONS(705),
    [anon_sym_uint168] = ACTIONS(705),
    [anon_sym_uint176] = ACTIONS(705),
    [anon_sym_uint184] = ACTIONS(705),
    [anon_sym_uint192] = ACTIONS(705),
    [anon_sym_uint200] = ACTIONS(705),
    [anon_sym_uint208] = ACTIONS(705),
    [anon_sym_uint216] = ACTIONS(705),
    [anon_sym_uint224] = ACTIONS(705),
    [anon_sym_uint232] = ACTIONS(705),
    [anon_sym_uint240] = ACTIONS(705),
    [anon_sym_uint248] = ACTIONS(705),
    [anon_sym_uint256] = ACTIONS(705),
    [anon_sym_bytes] = ACTIONS(705),
    [anon_sym_bytes1] = ACTIONS(705),
    [anon_sym_bytes2] = ACTIONS(705),
    [anon_sym_bytes3] = ACTIONS(705),
    [anon_sym_bytes4] = ACTIONS(705),
    [anon_sym_bytes5] = ACTIONS(705),
    [anon_sym_bytes6] = ACTIONS(705),
    [anon_sym_bytes7] = ACTIONS(705),
    [anon_sym_bytes8] = ACTIONS(705),
    [anon_sym_bytes9] = ACTIONS(705),
    [anon_sym_bytes10] = ACTIONS(705),
    [anon_sym_bytes11] = ACTIONS(705),
    [anon_sym_bytes12] = ACTIONS(705),
    [anon_sym_bytes13] = ACTIONS(705),
    [anon_sym_bytes14] = ACTIONS(705),
    [anon_sym_bytes15] = ACTIONS(705),
    [anon_sym_bytes16] = ACTIONS(705),
    [anon_sym_bytes17] = ACTIONS(705),
    [anon_sym_bytes18] = ACTIONS(705),
    [anon_sym_bytes19] = ACTIONS(705),
    [anon_sym_bytes20] = ACTIONS(705),
    [anon_sym_bytes21] = ACTIONS(705),
    [anon_sym_bytes22] = ACTIONS(705),
    [anon_sym_bytes23] = ACTIONS(705),
    [anon_sym_bytes24] = ACTIONS(705),
    [anon_sym_bytes25] = ACTIONS(705),
    [anon_sym_bytes26] = ACTIONS(705),
    [anon_sym_bytes27] = ACTIONS(705),
    [anon_sym_bytes28] = ACTIONS(705),
    [anon_sym_bytes29] = ACTIONS(705),
    [anon_sym_bytes30] = ACTIONS(705),
    [anon_sym_bytes31] = ACTIONS(705),
    [anon_sym_bytes32] = ACTIONS(705),
    [anon_sym_fixed] = ACTIONS(705),
    [aux_sym__fixed_token1] = ACTIONS(705),
    [anon_sym_ufixed] = ACTIONS(705),
    [aux_sym__ufixed_token1] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [ts_builtin_sym_end] = ACTIONS(707),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_pragma] = ACTIONS(709),
    [anon_sym_import] = ACTIONS(709),
    [anon_sym_type] = ACTIONS(709),
    [anon_sym_abstract] = ACTIONS(709),
    [anon_sym_contract] = ACTIONS(709),
    [anon_sym_error] = ACTIONS(709),
    [anon_sym_interface] = ACTIONS(709),
    [anon_sym_library] = ACTIONS(709),
    [anon_sym_struct] = ACTIONS(709),
    [anon_sym_enum] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_byte] = ACTIONS(709),
    [anon_sym_address] = ACTIONS(709),
    [anon_sym_var] = ACTIONS(709),
    [anon_sym_mapping] = ACTIONS(709),
    [anon_sym_bool] = ACTIONS(709),
    [anon_sym_string] = ACTIONS(709),
    [anon_sym_int] = ACTIONS(709),
    [anon_sym_int8] = ACTIONS(709),
    [anon_sym_int16] = ACTIONS(709),
    [anon_sym_int24] = ACTIONS(709),
    [anon_sym_int32] = ACTIONS(709),
    [anon_sym_int40] = ACTIONS(709),
    [anon_sym_int48] = ACTIONS(709),
    [anon_sym_int56] = ACTIONS(709),
    [anon_sym_int64] = ACTIONS(709),
    [anon_sym_int72] = ACTIONS(709),
    [anon_sym_int80] = ACTIONS(709),
    [anon_sym_int88] = ACTIONS(709),
    [anon_sym_int96] = ACTIONS(709),
    [anon_sym_int104] = ACTIONS(709),
    [anon_sym_int112] = ACTIONS(709),
    [anon_sym_int120] = ACTIONS(709),
    [anon_sym_int128] = ACTIONS(709),
    [anon_sym_int136] = ACTIONS(709),
    [anon_sym_int144] = ACTIONS(709),
    [anon_sym_int152] = ACTIONS(709),
    [anon_sym_int160] = ACTIONS(709),
    [anon_sym_int168] = ACTIONS(709),
    [anon_sym_int176] = ACTIONS(709),
    [anon_sym_int184] = ACTIONS(709),
    [anon_sym_int192] = ACTIONS(709),
    [anon_sym_int200] = ACTIONS(709),
    [anon_sym_int208] = ACTIONS(709),
    [anon_sym_int216] = ACTIONS(709),
    [anon_sym_int224] = ACTIONS(709),
    [anon_sym_int232] = ACTIONS(709),
    [anon_sym_int240] = ACTIONS(709),
    [anon_sym_int248] = ACTIONS(709),
    [anon_sym_int256] = ACTIONS(709),
    [anon_sym_uint] = ACTIONS(709),
    [anon_sym_uint8] = ACTIONS(709),
    [anon_sym_uint16] = ACTIONS(709),
    [anon_sym_uint24] = ACTIONS(709),
    [anon_sym_uint32] = ACTIONS(709),
    [anon_sym_uint40] = ACTIONS(709),
    [anon_sym_uint48] = ACTIONS(709),
    [anon_sym_uint56] = ACTIONS(709),
    [anon_sym_uint64] = ACTIONS(709),
    [anon_sym_uint72] = ACTIONS(709),
    [anon_sym_uint80] = ACTIONS(709),
    [anon_sym_uint88] = ACTIONS(709),
    [anon_sym_uint96] = ACTIONS(709),
    [anon_sym_uint104] = ACTIONS(709),
    [anon_sym_uint112] = ACTIONS(709),
    [anon_sym_uint120] = ACTIONS(709),
    [anon_sym_uint128] = ACTIONS(709),
    [anon_sym_uint136] = ACTIONS(709),
    [anon_sym_uint144] = ACTIONS(709),
    [anon_sym_uint152] = ACTIONS(709),
    [anon_sym_uint160] = ACTIONS(709),
    [anon_sym_uint168] = ACTIONS(709),
    [anon_sym_uint176] = ACTIONS(709),
    [anon_sym_uint184] = ACTIONS(709),
    [anon_sym_uint192] = ACTIONS(709),
    [anon_sym_uint200] = ACTIONS(709),
    [anon_sym_uint208] = ACTIONS(709),
    [anon_sym_uint216] = ACTIONS(709),
    [anon_sym_uint224] = ACTIONS(709),
    [anon_sym_uint232] = ACTIONS(709),
    [anon_sym_uint240] = ACTIONS(709),
    [anon_sym_uint248] = ACTIONS(709),
    [anon_sym_uint256] = ACTIONS(709),
    [anon_sym_bytes] = ACTIONS(709),
    [anon_sym_bytes1] = ACTIONS(709),
    [anon_sym_bytes2] = ACTIONS(709),
    [anon_sym_bytes3] = ACTIONS(709),
    [anon_sym_bytes4] = ACTIONS(709),
    [anon_sym_bytes5] = ACTIONS(709),
    [anon_sym_bytes6] = ACTIONS(709),
    [anon_sym_bytes7] = ACTIONS(709),
    [anon_sym_bytes8] = ACTIONS(709),
    [anon_sym_bytes9] = ACTIONS(709),
    [anon_sym_bytes10] = ACTIONS(709),
    [anon_sym_bytes11] = ACTIONS(709),
    [anon_sym_bytes12] = ACTIONS(709),
    [anon_sym_bytes13] = ACTIONS(709),
    [anon_sym_bytes14] = ACTIONS(709),
    [anon_sym_bytes15] = ACTIONS(709),
    [anon_sym_bytes16] = ACTIONS(709),
    [anon_sym_bytes17] = ACTIONS(709),
    [anon_sym_bytes18] = ACTIONS(709),
    [anon_sym_bytes19] = ACTIONS(709),
    [anon_sym_bytes20] = ACTIONS(709),
    [anon_sym_bytes21] = ACTIONS(709),
    [anon_sym_bytes22] = ACTIONS(709),
    [anon_sym_bytes23] = ACTIONS(709),
    [anon_sym_bytes24] = ACTIONS(709),
    [anon_sym_bytes25] = ACTIONS(709),
    [anon_sym_bytes26] = ACTIONS(709),
    [anon_sym_bytes27] = ACTIONS(709),
    [anon_sym_bytes28] = ACTIONS(709),
    [anon_sym_bytes29] = ACTIONS(709),
    [anon_sym_bytes30] = ACTIONS(709),
    [anon_sym_bytes31] = ACTIONS(709),
    [anon_sym_bytes32] = ACTIONS(709),
    [anon_sym_fixed] = ACTIONS(709),
    [aux_sym__fixed_token1] = ACTIONS(709),
    [anon_sym_ufixed] = ACTIONS(709),
    [aux_sym__ufixed_token1] = ACTIONS(709),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [ts_builtin_sym_end] = ACTIONS(711),
    [sym_identifier] = ACTIONS(713),
    [anon_sym_pragma] = ACTIONS(713),
    [anon_sym_import] = ACTIONS(713),
    [anon_sym_type] = ACTIONS(713),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_contract] = ACTIONS(713),
    [anon_sym_error] = ACTIONS(713),
    [anon_sym_interface] = ACTIONS(713),
    [anon_sym_library] = ACTIONS(713),
    [anon_sym_struct] = ACTIONS(713),
    [anon_sym_enum] = ACTIONS(713),
    [anon_sym_using] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_byte] = ACTIONS(713),
    [anon_sym_address] = ACTIONS(713),
    [anon_sym_var] = ACTIONS(713),
    [anon_sym_mapping] = ACTIONS(713),
    [anon_sym_bool] = ACTIONS(713),
    [anon_sym_string] = ACTIONS(713),
    [anon_sym_int] = ACTIONS(713),
    [anon_sym_int8] = ACTIONS(713),
    [anon_sym_int16] = ACTIONS(713),
    [anon_sym_int24] = ACTIONS(713),
    [anon_sym_int32] = ACTIONS(713),
    [anon_sym_int40] = ACTIONS(713),
    [anon_sym_int48] = ACTIONS(713),
    [anon_sym_int56] = ACTIONS(713),
    [anon_sym_int64] = ACTIONS(713),
    [anon_sym_int72] = ACTIONS(713),
    [anon_sym_int80] = ACTIONS(713),
    [anon_sym_int88] = ACTIONS(713),
    [anon_sym_int96] = ACTIONS(713),
    [anon_sym_int104] = ACTIONS(713),
    [anon_sym_int112] = ACTIONS(713),
    [anon_sym_int120] = ACTIONS(713),
    [anon_sym_int128] = ACTIONS(713),
    [anon_sym_int136] = ACTIONS(713),
    [anon_sym_int144] = ACTIONS(713),
    [anon_sym_int152] = ACTIONS(713),
    [anon_sym_int160] = ACTIONS(713),
    [anon_sym_int168] = ACTIONS(713),
    [anon_sym_int176] = ACTIONS(713),
    [anon_sym_int184] = ACTIONS(713),
    [anon_sym_int192] = ACTIONS(713),
    [anon_sym_int200] = ACTIONS(713),
    [anon_sym_int208] = ACTIONS(713),
    [anon_sym_int216] = ACTIONS(713),
    [anon_sym_int224] = ACTIONS(713),
    [anon_sym_int232] = ACTIONS(713),
    [anon_sym_int240] = ACTIONS(713),
    [anon_sym_int248] = ACTIONS(713),
    [anon_sym_int256] = ACTIONS(713),
    [anon_sym_uint] = ACTIONS(713),
    [anon_sym_uint8] = ACTIONS(713),
    [anon_sym_uint16] = ACTIONS(713),
    [anon_sym_uint24] = ACTIONS(713),
    [anon_sym_uint32] = ACTIONS(713),
    [anon_sym_uint40] = ACTIONS(713),
    [anon_sym_uint48] = ACTIONS(713),
    [anon_sym_uint56] = ACTIONS(713),
    [anon_sym_uint64] = ACTIONS(713),
    [anon_sym_uint72] = ACTIONS(713),
    [anon_sym_uint80] = ACTIONS(713),
    [anon_sym_uint88] = ACTIONS(713),
    [anon_sym_uint96] = ACTIONS(713),
    [anon_sym_uint104] = ACTIONS(713),
    [anon_sym_uint112] = ACTIONS(713),
    [anon_sym_uint120] = ACTIONS(713),
    [anon_sym_uint128] = ACTIONS(713),
    [anon_sym_uint136] = ACTIONS(713),
    [anon_sym_uint144] = ACTIONS(713),
    [anon_sym_uint152] = ACTIONS(713),
    [anon_sym_uint160] = ACTIONS(713),
    [anon_sym_uint168] = ACTIONS(713),
    [anon_sym_uint176] = ACTIONS(713),
    [anon_sym_uint184] = ACTIONS(713),
    [anon_sym_uint192] = ACTIONS(713),
    [anon_sym_uint200] = ACTIONS(713),
    [anon_sym_uint208] = ACTIONS(713),
    [anon_sym_uint216] = ACTIONS(713),
    [anon_sym_uint224] = ACTIONS(713),
    [anon_sym_uint232] = ACTIONS(713),
    [anon_sym_uint240] = ACTIONS(713),
    [anon_sym_uint248] = ACTIONS(713),
    [anon_sym_uint256] = ACTIONS(713),
    [anon_sym_bytes] = ACTIONS(713),
    [anon_sym_bytes1] = ACTIONS(713),
    [anon_sym_bytes2] = ACTIONS(713),
    [anon_sym_bytes3] = ACTIONS(713),
    [anon_sym_bytes4] = ACTIONS(713),
    [anon_sym_bytes5] = ACTIONS(713),
    [anon_sym_bytes6] = ACTIONS(713),
    [anon_sym_bytes7] = ACTIONS(713),
    [anon_sym_bytes8] = ACTIONS(713),
    [anon_sym_bytes9] = ACTIONS(713),
    [anon_sym_bytes10] = ACTIONS(713),
    [anon_sym_bytes11] = ACTIONS(713),
    [anon_sym_bytes12] = ACTIONS(713),
    [anon_sym_bytes13] = ACTIONS(713),
    [anon_sym_bytes14] = ACTIONS(713),
    [anon_sym_bytes15] = ACTIONS(713),
    [anon_sym_bytes16] = ACTIONS(713),
    [anon_sym_bytes17] = ACTIONS(713),
    [anon_sym_bytes18] = ACTIONS(713),
    [anon_sym_bytes19] = ACTIONS(713),
    [anon_sym_bytes20] = ACTIONS(713),
    [anon_sym_bytes21] = ACTIONS(713),
    [anon_sym_bytes22] = ACTIONS(713),
    [anon_sym_bytes23] = ACTIONS(713),
    [anon_sym_bytes24] = ACTIONS(713),
    [anon_sym_bytes25] = ACTIONS(713),
    [anon_sym_bytes26] = ACTIONS(713),
    [anon_sym_bytes27] = ACTIONS(713),
    [anon_sym_bytes28] = ACTIONS(713),
    [anon_sym_bytes29] = ACTIONS(713),
    [anon_sym_bytes30] = ACTIONS(713),
    [anon_sym_bytes31] = ACTIONS(713),
    [anon_sym_bytes32] = ACTIONS(713),
    [anon_sym_fixed] = ACTIONS(713),
    [aux_sym__fixed_token1] = ACTIONS(713),
    [anon_sym_ufixed] = ACTIONS(713),
    [aux_sym__ufixed_token1] = ACTIONS(713),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [ts_builtin_sym_end] = ACTIONS(711),
    [sym_identifier] = ACTIONS(713),
    [anon_sym_pragma] = ACTIONS(713),
    [anon_sym_import] = ACTIONS(713),
    [anon_sym_type] = ACTIONS(713),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_contract] = ACTIONS(713),
    [anon_sym_error] = ACTIONS(713),
    [anon_sym_interface] = ACTIONS(713),
    [anon_sym_library] = ACTIONS(713),
    [anon_sym_struct] = ACTIONS(713),
    [anon_sym_enum] = ACTIONS(713),
    [anon_sym_using] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_byte] = ACTIONS(713),
    [anon_sym_address] = ACTIONS(713),
    [anon_sym_var] = ACTIONS(713),
    [anon_sym_mapping] = ACTIONS(713),
    [anon_sym_bool] = ACTIONS(713),
    [anon_sym_string] = ACTIONS(713),
    [anon_sym_int] = ACTIONS(713),
    [anon_sym_int8] = ACTIONS(713),
    [anon_sym_int16] = ACTIONS(713),
    [anon_sym_int24] = ACTIONS(713),
    [anon_sym_int32] = ACTIONS(713),
    [anon_sym_int40] = ACTIONS(713),
    [anon_sym_int48] = ACTIONS(713),
    [anon_sym_int56] = ACTIONS(713),
    [anon_sym_int64] = ACTIONS(713),
    [anon_sym_int72] = ACTIONS(713),
    [anon_sym_int80] = ACTIONS(713),
    [anon_sym_int88] = ACTIONS(713),
    [anon_sym_int96] = ACTIONS(713),
    [anon_sym_int104] = ACTIONS(713),
    [anon_sym_int112] = ACTIONS(713),
    [anon_sym_int120] = ACTIONS(713),
    [anon_sym_int128] = ACTIONS(713),
    [anon_sym_int136] = ACTIONS(713),
    [anon_sym_int144] = ACTIONS(713),
    [anon_sym_int152] = ACTIONS(713),
    [anon_sym_int160] = ACTIONS(713),
    [anon_sym_int168] = ACTIONS(713),
    [anon_sym_int176] = ACTIONS(713),
    [anon_sym_int184] = ACTIONS(713),
    [anon_sym_int192] = ACTIONS(713),
    [anon_sym_int200] = ACTIONS(713),
    [anon_sym_int208] = ACTIONS(713),
    [anon_sym_int216] = ACTIONS(713),
    [anon_sym_int224] = ACTIONS(713),
    [anon_sym_int232] = ACTIONS(713),
    [anon_sym_int240] = ACTIONS(713),
    [anon_sym_int248] = ACTIONS(713),
    [anon_sym_int256] = ACTIONS(713),
    [anon_sym_uint] = ACTIONS(713),
    [anon_sym_uint8] = ACTIONS(713),
    [anon_sym_uint16] = ACTIONS(713),
    [anon_sym_uint24] = ACTIONS(713),
    [anon_sym_uint32] = ACTIONS(713),
    [anon_sym_uint40] = ACTIONS(713),
    [anon_sym_uint48] = ACTIONS(713),
    [anon_sym_uint56] = ACTIONS(713),
    [anon_sym_uint64] = ACTIONS(713),
    [anon_sym_uint72] = ACTIONS(713),
    [anon_sym_uint80] = ACTIONS(713),
    [anon_sym_uint88] = ACTIONS(713),
    [anon_sym_uint96] = ACTIONS(713),
    [anon_sym_uint104] = ACTIONS(713),
    [anon_sym_uint112] = ACTIONS(713),
    [anon_sym_uint120] = ACTIONS(713),
    [anon_sym_uint128] = ACTIONS(713),
    [anon_sym_uint136] = ACTIONS(713),
    [anon_sym_uint144] = ACTIONS(713),
    [anon_sym_uint152] = ACTIONS(713),
    [anon_sym_uint160] = ACTIONS(713),
    [anon_sym_uint168] = ACTIONS(713),
    [anon_sym_uint176] = ACTIONS(713),
    [anon_sym_uint184] = ACTIONS(713),
    [anon_sym_uint192] = ACTIONS(713),
    [anon_sym_uint200] = ACTIONS(713),
    [anon_sym_uint208] = ACTIONS(713),
    [anon_sym_uint216] = ACTIONS(713),
    [anon_sym_uint224] = ACTIONS(713),
    [anon_sym_uint232] = ACTIONS(713),
    [anon_sym_uint240] = ACTIONS(713),
    [anon_sym_uint248] = ACTIONS(713),
    [anon_sym_uint256] = ACTIONS(713),
    [anon_sym_bytes] = ACTIONS(713),
    [anon_sym_bytes1] = ACTIONS(713),
    [anon_sym_bytes2] = ACTIONS(713),
    [anon_sym_bytes3] = ACTIONS(713),
    [anon_sym_bytes4] = ACTIONS(713),
    [anon_sym_bytes5] = ACTIONS(713),
    [anon_sym_bytes6] = ACTIONS(713),
    [anon_sym_bytes7] = ACTIONS(713),
    [anon_sym_bytes8] = ACTIONS(713),
    [anon_sym_bytes9] = ACTIONS(713),
    [anon_sym_bytes10] = ACTIONS(713),
    [anon_sym_bytes11] = ACTIONS(713),
    [anon_sym_bytes12] = ACTIONS(713),
    [anon_sym_bytes13] = ACTIONS(713),
    [anon_sym_bytes14] = ACTIONS(713),
    [anon_sym_bytes15] = ACTIONS(713),
    [anon_sym_bytes16] = ACTIONS(713),
    [anon_sym_bytes17] = ACTIONS(713),
    [anon_sym_bytes18] = ACTIONS(713),
    [anon_sym_bytes19] = ACTIONS(713),
    [anon_sym_bytes20] = ACTIONS(713),
    [anon_sym_bytes21] = ACTIONS(713),
    [anon_sym_bytes22] = ACTIONS(713),
    [anon_sym_bytes23] = ACTIONS(713),
    [anon_sym_bytes24] = ACTIONS(713),
    [anon_sym_bytes25] = ACTIONS(713),
    [anon_sym_bytes26] = ACTIONS(713),
    [anon_sym_bytes27] = ACTIONS(713),
    [anon_sym_bytes28] = ACTIONS(713),
    [anon_sym_bytes29] = ACTIONS(713),
    [anon_sym_bytes30] = ACTIONS(713),
    [anon_sym_bytes31] = ACTIONS(713),
    [anon_sym_bytes32] = ACTIONS(713),
    [anon_sym_fixed] = ACTIONS(713),
    [aux_sym__fixed_token1] = ACTIONS(713),
    [anon_sym_ufixed] = ACTIONS(713),
    [aux_sym__ufixed_token1] = ACTIONS(713),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [ts_builtin_sym_end] = ACTIONS(715),
    [sym_identifier] = ACTIONS(717),
    [anon_sym_pragma] = ACTIONS(717),
    [anon_sym_import] = ACTIONS(717),
    [anon_sym_type] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(717),
    [anon_sym_contract] = ACTIONS(717),
    [anon_sym_error] = ACTIONS(717),
    [anon_sym_interface] = ACTIONS(717),
    [anon_sym_library] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(717),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_using] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_byte] = ACTIONS(717),
    [anon_sym_address] = ACTIONS(717),
    [anon_sym_var] = ACTIONS(717),
    [anon_sym_mapping] = ACTIONS(717),
    [anon_sym_bool] = ACTIONS(717),
    [anon_sym_string] = ACTIONS(717),
    [anon_sym_int] = ACTIONS(717),
    [anon_sym_int8] = ACTIONS(717),
    [anon_sym_int16] = ACTIONS(717),
    [anon_sym_int24] = ACTIONS(717),
    [anon_sym_int32] = ACTIONS(717),
    [anon_sym_int40] = ACTIONS(717),
    [anon_sym_int48] = ACTIONS(717),
    [anon_sym_int56] = ACTIONS(717),
    [anon_sym_int64] = ACTIONS(717),
    [anon_sym_int72] = ACTIONS(717),
    [anon_sym_int80] = ACTIONS(717),
    [anon_sym_int88] = ACTIONS(717),
    [anon_sym_int96] = ACTIONS(717),
    [anon_sym_int104] = ACTIONS(717),
    [anon_sym_int112] = ACTIONS(717),
    [anon_sym_int120] = ACTIONS(717),
    [anon_sym_int128] = ACTIONS(717),
    [anon_sym_int136] = ACTIONS(717),
    [anon_sym_int144] = ACTIONS(717),
    [anon_sym_int152] = ACTIONS(717),
    [anon_sym_int160] = ACTIONS(717),
    [anon_sym_int168] = ACTIONS(717),
    [anon_sym_int176] = ACTIONS(717),
    [anon_sym_int184] = ACTIONS(717),
    [anon_sym_int192] = ACTIONS(717),
    [anon_sym_int200] = ACTIONS(717),
    [anon_sym_int208] = ACTIONS(717),
    [anon_sym_int216] = ACTIONS(717),
    [anon_sym_int224] = ACTIONS(717),
    [anon_sym_int232] = ACTIONS(717),
    [anon_sym_int240] = ACTIONS(717),
    [anon_sym_int248] = ACTIONS(717),
    [anon_sym_int256] = ACTIONS(717),
    [anon_sym_uint] = ACTIONS(717),
    [anon_sym_uint8] = ACTIONS(717),
    [anon_sym_uint16] = ACTIONS(717),
    [anon_sym_uint24] = ACTIONS(717),
    [anon_sym_uint32] = ACTIONS(717),
    [anon_sym_uint40] = ACTIONS(717),
    [anon_sym_uint48] = ACTIONS(717),
    [anon_sym_uint56] = ACTIONS(717),
    [anon_sym_uint64] = ACTIONS(717),
    [anon_sym_uint72] = ACTIONS(717),
    [anon_sym_uint80] = ACTIONS(717),
    [anon_sym_uint88] = ACTIONS(717),
    [anon_sym_uint96] = ACTIONS(717),
    [anon_sym_uint104] = ACTIONS(717),
    [anon_sym_uint112] = ACTIONS(717),
    [anon_sym_uint120] = ACTIONS(717),
    [anon_sym_uint128] = ACTIONS(717),
    [anon_sym_uint136] = ACTIONS(717),
    [anon_sym_uint144] = ACTIONS(717),
    [anon_sym_uint152] = ACTIONS(717),
    [anon_sym_uint160] = ACTIONS(717),
    [anon_sym_uint168] = ACTIONS(717),
    [anon_sym_uint176] = ACTIONS(717),
    [anon_sym_uint184] = ACTIONS(717),
    [anon_sym_uint192] = ACTIONS(717),
    [anon_sym_uint200] = ACTIONS(717),
    [anon_sym_uint208] = ACTIONS(717),
    [anon_sym_uint216] = ACTIONS(717),
    [anon_sym_uint224] = ACTIONS(717),
    [anon_sym_uint232] = ACTIONS(717),
    [anon_sym_uint240] = ACTIONS(717),
    [anon_sym_uint248] = ACTIONS(717),
    [anon_sym_uint256] = ACTIONS(717),
    [anon_sym_bytes] = ACTIONS(717),
    [anon_sym_bytes1] = ACTIONS(717),
    [anon_sym_bytes2] = ACTIONS(717),
    [anon_sym_bytes3] = ACTIONS(717),
    [anon_sym_bytes4] = ACTIONS(717),
    [anon_sym_bytes5] = ACTIONS(717),
    [anon_sym_bytes6] = ACTIONS(717),
    [anon_sym_bytes7] = ACTIONS(717),
    [anon_sym_bytes8] = ACTIONS(717),
    [anon_sym_bytes9] = ACTIONS(717),
    [anon_sym_bytes10] = ACTIONS(717),
    [anon_sym_bytes11] = ACTIONS(717),
    [anon_sym_bytes12] = ACTIONS(717),
    [anon_sym_bytes13] = ACTIONS(717),
    [anon_sym_bytes14] = ACTIONS(717),
    [anon_sym_bytes15] = ACTIONS(717),
    [anon_sym_bytes16] = ACTIONS(717),
    [anon_sym_bytes17] = ACTIONS(717),
    [anon_sym_bytes18] = ACTIONS(717),
    [anon_sym_bytes19] = ACTIONS(717),
    [anon_sym_bytes20] = ACTIONS(717),
    [anon_sym_bytes21] = ACTIONS(717),
    [anon_sym_bytes22] = ACTIONS(717),
    [anon_sym_bytes23] = ACTIONS(717),
    [anon_sym_bytes24] = ACTIONS(717),
    [anon_sym_bytes25] = ACTIONS(717),
    [anon_sym_bytes26] = ACTIONS(717),
    [anon_sym_bytes27] = ACTIONS(717),
    [anon_sym_bytes28] = ACTIONS(717),
    [anon_sym_bytes29] = ACTIONS(717),
    [anon_sym_bytes30] = ACTIONS(717),
    [anon_sym_bytes31] = ACTIONS(717),
    [anon_sym_bytes32] = ACTIONS(717),
    [anon_sym_fixed] = ACTIONS(717),
    [aux_sym__fixed_token1] = ACTIONS(717),
    [anon_sym_ufixed] = ACTIONS(717),
    [aux_sym__ufixed_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [ts_builtin_sym_end] = ACTIONS(715),
    [sym_identifier] = ACTIONS(717),
    [anon_sym_pragma] = ACTIONS(717),
    [anon_sym_import] = ACTIONS(717),
    [anon_sym_type] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(717),
    [anon_sym_contract] = ACTIONS(717),
    [anon_sym_error] = ACTIONS(717),
    [anon_sym_interface] = ACTIONS(717),
    [anon_sym_library] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(717),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_using] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_byte] = ACTIONS(717),
    [anon_sym_address] = ACTIONS(717),
    [anon_sym_var] = ACTIONS(717),
    [anon_sym_mapping] = ACTIONS(717),
    [anon_sym_bool] = ACTIONS(717),
    [anon_sym_string] = ACTIONS(717),
    [anon_sym_int] = ACTIONS(717),
    [anon_sym_int8] = ACTIONS(717),
    [anon_sym_int16] = ACTIONS(717),
    [anon_sym_int24] = ACTIONS(717),
    [anon_sym_int32] = ACTIONS(717),
    [anon_sym_int40] = ACTIONS(717),
    [anon_sym_int48] = ACTIONS(717),
    [anon_sym_int56] = ACTIONS(717),
    [anon_sym_int64] = ACTIONS(717),
    [anon_sym_int72] = ACTIONS(717),
    [anon_sym_int80] = ACTIONS(717),
    [anon_sym_int88] = ACTIONS(717),
    [anon_sym_int96] = ACTIONS(717),
    [anon_sym_int104] = ACTIONS(717),
    [anon_sym_int112] = ACTIONS(717),
    [anon_sym_int120] = ACTIONS(717),
    [anon_sym_int128] = ACTIONS(717),
    [anon_sym_int136] = ACTIONS(717),
    [anon_sym_int144] = ACTIONS(717),
    [anon_sym_int152] = ACTIONS(717),
    [anon_sym_int160] = ACTIONS(717),
    [anon_sym_int168] = ACTIONS(717),
    [anon_sym_int176] = ACTIONS(717),
    [anon_sym_int184] = ACTIONS(717),
    [anon_sym_int192] = ACTIONS(717),
    [anon_sym_int200] = ACTIONS(717),
    [anon_sym_int208] = ACTIONS(717),
    [anon_sym_int216] = ACTIONS(717),
    [anon_sym_int224] = ACTIONS(717),
    [anon_sym_int232] = ACTIONS(717),
    [anon_sym_int240] = ACTIONS(717),
    [anon_sym_int248] = ACTIONS(717),
    [anon_sym_int256] = ACTIONS(717),
    [anon_sym_uint] = ACTIONS(717),
    [anon_sym_uint8] = ACTIONS(717),
    [anon_sym_uint16] = ACTIONS(717),
    [anon_sym_uint24] = ACTIONS(717),
    [anon_sym_uint32] = ACTIONS(717),
    [anon_sym_uint40] = ACTIONS(717),
    [anon_sym_uint48] = ACTIONS(717),
    [anon_sym_uint56] = ACTIONS(717),
    [anon_sym_uint64] = ACTIONS(717),
    [anon_sym_uint72] = ACTIONS(717),
    [anon_sym_uint80] = ACTIONS(717),
    [anon_sym_uint88] = ACTIONS(717),
    [anon_sym_uint96] = ACTIONS(717),
    [anon_sym_uint104] = ACTIONS(717),
    [anon_sym_uint112] = ACTIONS(717),
    [anon_sym_uint120] = ACTIONS(717),
    [anon_sym_uint128] = ACTIONS(717),
    [anon_sym_uint136] = ACTIONS(717),
    [anon_sym_uint144] = ACTIONS(717),
    [anon_sym_uint152] = ACTIONS(717),
    [anon_sym_uint160] = ACTIONS(717),
    [anon_sym_uint168] = ACTIONS(717),
    [anon_sym_uint176] = ACTIONS(717),
    [anon_sym_uint184] = ACTIONS(717),
    [anon_sym_uint192] = ACTIONS(717),
    [anon_sym_uint200] = ACTIONS(717),
    [anon_sym_uint208] = ACTIONS(717),
    [anon_sym_uint216] = ACTIONS(717),
    [anon_sym_uint224] = ACTIONS(717),
    [anon_sym_uint232] = ACTIONS(717),
    [anon_sym_uint240] = ACTIONS(717),
    [anon_sym_uint248] = ACTIONS(717),
    [anon_sym_uint256] = ACTIONS(717),
    [anon_sym_bytes] = ACTIONS(717),
    [anon_sym_bytes1] = ACTIONS(717),
    [anon_sym_bytes2] = ACTIONS(717),
    [anon_sym_bytes3] = ACTIONS(717),
    [anon_sym_bytes4] = ACTIONS(717),
    [anon_sym_bytes5] = ACTIONS(717),
    [anon_sym_bytes6] = ACTIONS(717),
    [anon_sym_bytes7] = ACTIONS(717),
    [anon_sym_bytes8] = ACTIONS(717),
    [anon_sym_bytes9] = ACTIONS(717),
    [anon_sym_bytes10] = ACTIONS(717),
    [anon_sym_bytes11] = ACTIONS(717),
    [anon_sym_bytes12] = ACTIONS(717),
    [anon_sym_bytes13] = ACTIONS(717),
    [anon_sym_bytes14] = ACTIONS(717),
    [anon_sym_bytes15] = ACTIONS(717),
    [anon_sym_bytes16] = ACTIONS(717),
    [anon_sym_bytes17] = ACTIONS(717),
    [anon_sym_bytes18] = ACTIONS(717),
    [anon_sym_bytes19] = ACTIONS(717),
    [anon_sym_bytes20] = ACTIONS(717),
    [anon_sym_bytes21] = ACTIONS(717),
    [anon_sym_bytes22] = ACTIONS(717),
    [anon_sym_bytes23] = ACTIONS(717),
    [anon_sym_bytes24] = ACTIONS(717),
    [anon_sym_bytes25] = ACTIONS(717),
    [anon_sym_bytes26] = ACTIONS(717),
    [anon_sym_bytes27] = ACTIONS(717),
    [anon_sym_bytes28] = ACTIONS(717),
    [anon_sym_bytes29] = ACTIONS(717),
    [anon_sym_bytes30] = ACTIONS(717),
    [anon_sym_bytes31] = ACTIONS(717),
    [anon_sym_bytes32] = ACTIONS(717),
    [anon_sym_fixed] = ACTIONS(717),
    [aux_sym__fixed_token1] = ACTIONS(717),
    [anon_sym_ufixed] = ACTIONS(717),
    [aux_sym__ufixed_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [ts_builtin_sym_end] = ACTIONS(719),
    [sym_identifier] = ACTIONS(721),
    [anon_sym_pragma] = ACTIONS(721),
    [anon_sym_import] = ACTIONS(721),
    [anon_sym_type] = ACTIONS(721),
    [anon_sym_abstract] = ACTIONS(721),
    [anon_sym_contract] = ACTIONS(721),
    [anon_sym_error] = ACTIONS(721),
    [anon_sym_interface] = ACTIONS(721),
    [anon_sym_library] = ACTIONS(721),
    [anon_sym_struct] = ACTIONS(721),
    [anon_sym_enum] = ACTIONS(721),
    [anon_sym_using] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_byte] = ACTIONS(721),
    [anon_sym_address] = ACTIONS(721),
    [anon_sym_var] = ACTIONS(721),
    [anon_sym_mapping] = ACTIONS(721),
    [anon_sym_bool] = ACTIONS(721),
    [anon_sym_string] = ACTIONS(721),
    [anon_sym_int] = ACTIONS(721),
    [anon_sym_int8] = ACTIONS(721),
    [anon_sym_int16] = ACTIONS(721),
    [anon_sym_int24] = ACTIONS(721),
    [anon_sym_int32] = ACTIONS(721),
    [anon_sym_int40] = ACTIONS(721),
    [anon_sym_int48] = ACTIONS(721),
    [anon_sym_int56] = ACTIONS(721),
    [anon_sym_int64] = ACTIONS(721),
    [anon_sym_int72] = ACTIONS(721),
    [anon_sym_int80] = ACTIONS(721),
    [anon_sym_int88] = ACTIONS(721),
    [anon_sym_int96] = ACTIONS(721),
    [anon_sym_int104] = ACTIONS(721),
    [anon_sym_int112] = ACTIONS(721),
    [anon_sym_int120] = ACTIONS(721),
    [anon_sym_int128] = ACTIONS(721),
    [anon_sym_int136] = ACTIONS(721),
    [anon_sym_int144] = ACTIONS(721),
    [anon_sym_int152] = ACTIONS(721),
    [anon_sym_int160] = ACTIONS(721),
    [anon_sym_int168] = ACTIONS(721),
    [anon_sym_int176] = ACTIONS(721),
    [anon_sym_int184] = ACTIONS(721),
    [anon_sym_int192] = ACTIONS(721),
    [anon_sym_int200] = ACTIONS(721),
    [anon_sym_int208] = ACTIONS(721),
    [anon_sym_int216] = ACTIONS(721),
    [anon_sym_int224] = ACTIONS(721),
    [anon_sym_int232] = ACTIONS(721),
    [anon_sym_int240] = ACTIONS(721),
    [anon_sym_int248] = ACTIONS(721),
    [anon_sym_int256] = ACTIONS(721),
    [anon_sym_uint] = ACTIONS(721),
    [anon_sym_uint8] = ACTIONS(721),
    [anon_sym_uint16] = ACTIONS(721),
    [anon_sym_uint24] = ACTIONS(721),
    [anon_sym_uint32] = ACTIONS(721),
    [anon_sym_uint40] = ACTIONS(721),
    [anon_sym_uint48] = ACTIONS(721),
    [anon_sym_uint56] = ACTIONS(721),
    [anon_sym_uint64] = ACTIONS(721),
    [anon_sym_uint72] = ACTIONS(721),
    [anon_sym_uint80] = ACTIONS(721),
    [anon_sym_uint88] = ACTIONS(721),
    [anon_sym_uint96] = ACTIONS(721),
    [anon_sym_uint104] = ACTIONS(721),
    [anon_sym_uint112] = ACTIONS(721),
    [anon_sym_uint120] = ACTIONS(721),
    [anon_sym_uint128] = ACTIONS(721),
    [anon_sym_uint136] = ACTIONS(721),
    [anon_sym_uint144] = ACTIONS(721),
    [anon_sym_uint152] = ACTIONS(721),
    [anon_sym_uint160] = ACTIONS(721),
    [anon_sym_uint168] = ACTIONS(721),
    [anon_sym_uint176] = ACTIONS(721),
    [anon_sym_uint184] = ACTIONS(721),
    [anon_sym_uint192] = ACTIONS(721),
    [anon_sym_uint200] = ACTIONS(721),
    [anon_sym_uint208] = ACTIONS(721),
    [anon_sym_uint216] = ACTIONS(721),
    [anon_sym_uint224] = ACTIONS(721),
    [anon_sym_uint232] = ACTIONS(721),
    [anon_sym_uint240] = ACTIONS(721),
    [anon_sym_uint248] = ACTIONS(721),
    [anon_sym_uint256] = ACTIONS(721),
    [anon_sym_bytes] = ACTIONS(721),
    [anon_sym_bytes1] = ACTIONS(721),
    [anon_sym_bytes2] = ACTIONS(721),
    [anon_sym_bytes3] = ACTIONS(721),
    [anon_sym_bytes4] = ACTIONS(721),
    [anon_sym_bytes5] = ACTIONS(721),
    [anon_sym_bytes6] = ACTIONS(721),
    [anon_sym_bytes7] = ACTIONS(721),
    [anon_sym_bytes8] = ACTIONS(721),
    [anon_sym_bytes9] = ACTIONS(721),
    [anon_sym_bytes10] = ACTIONS(721),
    [anon_sym_bytes11] = ACTIONS(721),
    [anon_sym_bytes12] = ACTIONS(721),
    [anon_sym_bytes13] = ACTIONS(721),
    [anon_sym_bytes14] = ACTIONS(721),
    [anon_sym_bytes15] = ACTIONS(721),
    [anon_sym_bytes16] = ACTIONS(721),
    [anon_sym_bytes17] = ACTIONS(721),
    [anon_sym_bytes18] = ACTIONS(721),
    [anon_sym_bytes19] = ACTIONS(721),
    [anon_sym_bytes20] = ACTIONS(721),
    [anon_sym_bytes21] = ACTIONS(721),
    [anon_sym_bytes22] = ACTIONS(721),
    [anon_sym_bytes23] = ACTIONS(721),
    [anon_sym_bytes24] = ACTIONS(721),
    [anon_sym_bytes25] = ACTIONS(721),
    [anon_sym_bytes26] = ACTIONS(721),
    [anon_sym_bytes27] = ACTIONS(721),
    [anon_sym_bytes28] = ACTIONS(721),
    [anon_sym_bytes29] = ACTIONS(721),
    [anon_sym_bytes30] = ACTIONS(721),
    [anon_sym_bytes31] = ACTIONS(721),
    [anon_sym_bytes32] = ACTIONS(721),
    [anon_sym_fixed] = ACTIONS(721),
    [aux_sym__fixed_token1] = ACTIONS(721),
    [anon_sym_ufixed] = ACTIONS(721),
    [aux_sym__ufixed_token1] = ACTIONS(721),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [ts_builtin_sym_end] = ACTIONS(723),
    [sym_identifier] = ACTIONS(725),
    [anon_sym_pragma] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(725),
    [anon_sym_type] = ACTIONS(725),
    [anon_sym_abstract] = ACTIONS(725),
    [anon_sym_contract] = ACTIONS(725),
    [anon_sym_error] = ACTIONS(725),
    [anon_sym_interface] = ACTIONS(725),
    [anon_sym_library] = ACTIONS(725),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(725),
    [anon_sym_using] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_byte] = ACTIONS(725),
    [anon_sym_address] = ACTIONS(725),
    [anon_sym_var] = ACTIONS(725),
    [anon_sym_mapping] = ACTIONS(725),
    [anon_sym_bool] = ACTIONS(725),
    [anon_sym_string] = ACTIONS(725),
    [anon_sym_int] = ACTIONS(725),
    [anon_sym_int8] = ACTIONS(725),
    [anon_sym_int16] = ACTIONS(725),
    [anon_sym_int24] = ACTIONS(725),
    [anon_sym_int32] = ACTIONS(725),
    [anon_sym_int40] = ACTIONS(725),
    [anon_sym_int48] = ACTIONS(725),
    [anon_sym_int56] = ACTIONS(725),
    [anon_sym_int64] = ACTIONS(725),
    [anon_sym_int72] = ACTIONS(725),
    [anon_sym_int80] = ACTIONS(725),
    [anon_sym_int88] = ACTIONS(725),
    [anon_sym_int96] = ACTIONS(725),
    [anon_sym_int104] = ACTIONS(725),
    [anon_sym_int112] = ACTIONS(725),
    [anon_sym_int120] = ACTIONS(725),
    [anon_sym_int128] = ACTIONS(725),
    [anon_sym_int136] = ACTIONS(725),
    [anon_sym_int144] = ACTIONS(725),
    [anon_sym_int152] = ACTIONS(725),
    [anon_sym_int160] = ACTIONS(725),
    [anon_sym_int168] = ACTIONS(725),
    [anon_sym_int176] = ACTIONS(725),
    [anon_sym_int184] = ACTIONS(725),
    [anon_sym_int192] = ACTIONS(725),
    [anon_sym_int200] = ACTIONS(725),
    [anon_sym_int208] = ACTIONS(725),
    [anon_sym_int216] = ACTIONS(725),
    [anon_sym_int224] = ACTIONS(725),
    [anon_sym_int232] = ACTIONS(725),
    [anon_sym_int240] = ACTIONS(725),
    [anon_sym_int248] = ACTIONS(725),
    [anon_sym_int256] = ACTIONS(725),
    [anon_sym_uint] = ACTIONS(725),
    [anon_sym_uint8] = ACTIONS(725),
    [anon_sym_uint16] = ACTIONS(725),
    [anon_sym_uint24] = ACTIONS(725),
    [anon_sym_uint32] = ACTIONS(725),
    [anon_sym_uint40] = ACTIONS(725),
    [anon_sym_uint48] = ACTIONS(725),
    [anon_sym_uint56] = ACTIONS(725),
    [anon_sym_uint64] = ACTIONS(725),
    [anon_sym_uint72] = ACTIONS(725),
    [anon_sym_uint80] = ACTIONS(725),
    [anon_sym_uint88] = ACTIONS(725),
    [anon_sym_uint96] = ACTIONS(725),
    [anon_sym_uint104] = ACTIONS(725),
    [anon_sym_uint112] = ACTIONS(725),
    [anon_sym_uint120] = ACTIONS(725),
    [anon_sym_uint128] = ACTIONS(725),
    [anon_sym_uint136] = ACTIONS(725),
    [anon_sym_uint144] = ACTIONS(725),
    [anon_sym_uint152] = ACTIONS(725),
    [anon_sym_uint160] = ACTIONS(725),
    [anon_sym_uint168] = ACTIONS(725),
    [anon_sym_uint176] = ACTIONS(725),
    [anon_sym_uint184] = ACTIONS(725),
    [anon_sym_uint192] = ACTIONS(725),
    [anon_sym_uint200] = ACTIONS(725),
    [anon_sym_uint208] = ACTIONS(725),
    [anon_sym_uint216] = ACTIONS(725),
    [anon_sym_uint224] = ACTIONS(725),
    [anon_sym_uint232] = ACTIONS(725),
    [anon_sym_uint240] = ACTIONS(725),
    [anon_sym_uint248] = ACTIONS(725),
    [anon_sym_uint256] = ACTIONS(725),
    [anon_sym_bytes] = ACTIONS(725),
    [anon_sym_bytes1] = ACTIONS(725),
    [anon_sym_bytes2] = ACTIONS(725),
    [anon_sym_bytes3] = ACTIONS(725),
    [anon_sym_bytes4] = ACTIONS(725),
    [anon_sym_bytes5] = ACTIONS(725),
    [anon_sym_bytes6] = ACTIONS(725),
    [anon_sym_bytes7] = ACTIONS(725),
    [anon_sym_bytes8] = ACTIONS(725),
    [anon_sym_bytes9] = ACTIONS(725),
    [anon_sym_bytes10] = ACTIONS(725),
    [anon_sym_bytes11] = ACTIONS(725),
    [anon_sym_bytes12] = ACTIONS(725),
    [anon_sym_bytes13] = ACTIONS(725),
    [anon_sym_bytes14] = ACTIONS(725),
    [anon_sym_bytes15] = ACTIONS(725),
    [anon_sym_bytes16] = ACTIONS(725),
    [anon_sym_bytes17] = ACTIONS(725),
    [anon_sym_bytes18] = ACTIONS(725),
    [anon_sym_bytes19] = ACTIONS(725),
    [anon_sym_bytes20] = ACTIONS(725),
    [anon_sym_bytes21] = ACTIONS(725),
    [anon_sym_bytes22] = ACTIONS(725),
    [anon_sym_bytes23] = ACTIONS(725),
    [anon_sym_bytes24] = ACTIONS(725),
    [anon_sym_bytes25] = ACTIONS(725),
    [anon_sym_bytes26] = ACTIONS(725),
    [anon_sym_bytes27] = ACTIONS(725),
    [anon_sym_bytes28] = ACTIONS(725),
    [anon_sym_bytes29] = ACTIONS(725),
    [anon_sym_bytes30] = ACTIONS(725),
    [anon_sym_bytes31] = ACTIONS(725),
    [anon_sym_bytes32] = ACTIONS(725),
    [anon_sym_fixed] = ACTIONS(725),
    [aux_sym__fixed_token1] = ACTIONS(725),
    [anon_sym_ufixed] = ACTIONS(725),
    [aux_sym__ufixed_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [ts_builtin_sym_end] = ACTIONS(727),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_pragma] = ACTIONS(729),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_type] = ACTIONS(729),
    [anon_sym_abstract] = ACTIONS(729),
    [anon_sym_contract] = ACTIONS(729),
    [anon_sym_error] = ACTIONS(729),
    [anon_sym_interface] = ACTIONS(729),
    [anon_sym_library] = ACTIONS(729),
    [anon_sym_struct] = ACTIONS(729),
    [anon_sym_enum] = ACTIONS(729),
    [anon_sym_using] = ACTIONS(729),
    [anon_sym_function] = ACTIONS(729),
    [anon_sym_byte] = ACTIONS(729),
    [anon_sym_address] = ACTIONS(729),
    [anon_sym_var] = ACTIONS(729),
    [anon_sym_mapping] = ACTIONS(729),
    [anon_sym_bool] = ACTIONS(729),
    [anon_sym_string] = ACTIONS(729),
    [anon_sym_int] = ACTIONS(729),
    [anon_sym_int8] = ACTIONS(729),
    [anon_sym_int16] = ACTIONS(729),
    [anon_sym_int24] = ACTIONS(729),
    [anon_sym_int32] = ACTIONS(729),
    [anon_sym_int40] = ACTIONS(729),
    [anon_sym_int48] = ACTIONS(729),
    [anon_sym_int56] = ACTIONS(729),
    [anon_sym_int64] = ACTIONS(729),
    [anon_sym_int72] = ACTIONS(729),
    [anon_sym_int80] = ACTIONS(729),
    [anon_sym_int88] = ACTIONS(729),
    [anon_sym_int96] = ACTIONS(729),
    [anon_sym_int104] = ACTIONS(729),
    [anon_sym_int112] = ACTIONS(729),
    [anon_sym_int120] = ACTIONS(729),
    [anon_sym_int128] = ACTIONS(729),
    [anon_sym_int136] = ACTIONS(729),
    [anon_sym_int144] = ACTIONS(729),
    [anon_sym_int152] = ACTIONS(729),
    [anon_sym_int160] = ACTIONS(729),
    [anon_sym_int168] = ACTIONS(729),
    [anon_sym_int176] = ACTIONS(729),
    [anon_sym_int184] = ACTIONS(729),
    [anon_sym_int192] = ACTIONS(729),
    [anon_sym_int200] = ACTIONS(729),
    [anon_sym_int208] = ACTIONS(729),
    [anon_sym_int216] = ACTIONS(729),
    [anon_sym_int224] = ACTIONS(729),
    [anon_sym_int232] = ACTIONS(729),
    [anon_sym_int240] = ACTIONS(729),
    [anon_sym_int248] = ACTIONS(729),
    [anon_sym_int256] = ACTIONS(729),
    [anon_sym_uint] = ACTIONS(729),
    [anon_sym_uint8] = ACTIONS(729),
    [anon_sym_uint16] = ACTIONS(729),
    [anon_sym_uint24] = ACTIONS(729),
    [anon_sym_uint32] = ACTIONS(729),
    [anon_sym_uint40] = ACTIONS(729),
    [anon_sym_uint48] = ACTIONS(729),
    [anon_sym_uint56] = ACTIONS(729),
    [anon_sym_uint64] = ACTIONS(729),
    [anon_sym_uint72] = ACTIONS(729),
    [anon_sym_uint80] = ACTIONS(729),
    [anon_sym_uint88] = ACTIONS(729),
    [anon_sym_uint96] = ACTIONS(729),
    [anon_sym_uint104] = ACTIONS(729),
    [anon_sym_uint112] = ACTIONS(729),
    [anon_sym_uint120] = ACTIONS(729),
    [anon_sym_uint128] = ACTIONS(729),
    [anon_sym_uint136] = ACTIONS(729),
    [anon_sym_uint144] = ACTIONS(729),
    [anon_sym_uint152] = ACTIONS(729),
    [anon_sym_uint160] = ACTIONS(729),
    [anon_sym_uint168] = ACTIONS(729),
    [anon_sym_uint176] = ACTIONS(729),
    [anon_sym_uint184] = ACTIONS(729),
    [anon_sym_uint192] = ACTIONS(729),
    [anon_sym_uint200] = ACTIONS(729),
    [anon_sym_uint208] = ACTIONS(729),
    [anon_sym_uint216] = ACTIONS(729),
    [anon_sym_uint224] = ACTIONS(729),
    [anon_sym_uint232] = ACTIONS(729),
    [anon_sym_uint240] = ACTIONS(729),
    [anon_sym_uint248] = ACTIONS(729),
    [anon_sym_uint256] = ACTIONS(729),
    [anon_sym_bytes] = ACTIONS(729),
    [anon_sym_bytes1] = ACTIONS(729),
    [anon_sym_bytes2] = ACTIONS(729),
    [anon_sym_bytes3] = ACTIONS(729),
    [anon_sym_bytes4] = ACTIONS(729),
    [anon_sym_bytes5] = ACTIONS(729),
    [anon_sym_bytes6] = ACTIONS(729),
    [anon_sym_bytes7] = ACTIONS(729),
    [anon_sym_bytes8] = ACTIONS(729),
    [anon_sym_bytes9] = ACTIONS(729),
    [anon_sym_bytes10] = ACTIONS(729),
    [anon_sym_bytes11] = ACTIONS(729),
    [anon_sym_bytes12] = ACTIONS(729),
    [anon_sym_bytes13] = ACTIONS(729),
    [anon_sym_bytes14] = ACTIONS(729),
    [anon_sym_bytes15] = ACTIONS(729),
    [anon_sym_bytes16] = ACTIONS(729),
    [anon_sym_bytes17] = ACTIONS(729),
    [anon_sym_bytes18] = ACTIONS(729),
    [anon_sym_bytes19] = ACTIONS(729),
    [anon_sym_bytes20] = ACTIONS(729),
    [anon_sym_bytes21] = ACTIONS(729),
    [anon_sym_bytes22] = ACTIONS(729),
    [anon_sym_bytes23] = ACTIONS(729),
    [anon_sym_bytes24] = ACTIONS(729),
    [anon_sym_bytes25] = ACTIONS(729),
    [anon_sym_bytes26] = ACTIONS(729),
    [anon_sym_bytes27] = ACTIONS(729),
    [anon_sym_bytes28] = ACTIONS(729),
    [anon_sym_bytes29] = ACTIONS(729),
    [anon_sym_bytes30] = ACTIONS(729),
    [anon_sym_bytes31] = ACTIONS(729),
    [anon_sym_bytes32] = ACTIONS(729),
    [anon_sym_fixed] = ACTIONS(729),
    [aux_sym__fixed_token1] = ACTIONS(729),
    [anon_sym_ufixed] = ACTIONS(729),
    [aux_sym__ufixed_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [ts_builtin_sym_end] = ACTIONS(731),
    [sym_identifier] = ACTIONS(733),
    [anon_sym_pragma] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(733),
    [anon_sym_type] = ACTIONS(733),
    [anon_sym_abstract] = ACTIONS(733),
    [anon_sym_contract] = ACTIONS(733),
    [anon_sym_error] = ACTIONS(733),
    [anon_sym_interface] = ACTIONS(733),
    [anon_sym_library] = ACTIONS(733),
    [anon_sym_struct] = ACTIONS(733),
    [anon_sym_enum] = ACTIONS(733),
    [anon_sym_using] = ACTIONS(733),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_byte] = ACTIONS(733),
    [anon_sym_address] = ACTIONS(733),
    [anon_sym_var] = ACTIONS(733),
    [anon_sym_mapping] = ACTIONS(733),
    [anon_sym_bool] = ACTIONS(733),
    [anon_sym_string] = ACTIONS(733),
    [anon_sym_int] = ACTIONS(733),
    [anon_sym_int8] = ACTIONS(733),
    [anon_sym_int16] = ACTIONS(733),
    [anon_sym_int24] = ACTIONS(733),
    [anon_sym_int32] = ACTIONS(733),
    [anon_sym_int40] = ACTIONS(733),
    [anon_sym_int48] = ACTIONS(733),
    [anon_sym_int56] = ACTIONS(733),
    [anon_sym_int64] = ACTIONS(733),
    [anon_sym_int72] = ACTIONS(733),
    [anon_sym_int80] = ACTIONS(733),
    [anon_sym_int88] = ACTIONS(733),
    [anon_sym_int96] = ACTIONS(733),
    [anon_sym_int104] = ACTIONS(733),
    [anon_sym_int112] = ACTIONS(733),
    [anon_sym_int120] = ACTIONS(733),
    [anon_sym_int128] = ACTIONS(733),
    [anon_sym_int136] = ACTIONS(733),
    [anon_sym_int144] = ACTIONS(733),
    [anon_sym_int152] = ACTIONS(733),
    [anon_sym_int160] = ACTIONS(733),
    [anon_sym_int168] = ACTIONS(733),
    [anon_sym_int176] = ACTIONS(733),
    [anon_sym_int184] = ACTIONS(733),
    [anon_sym_int192] = ACTIONS(733),
    [anon_sym_int200] = ACTIONS(733),
    [anon_sym_int208] = ACTIONS(733),
    [anon_sym_int216] = ACTIONS(733),
    [anon_sym_int224] = ACTIONS(733),
    [anon_sym_int232] = ACTIONS(733),
    [anon_sym_int240] = ACTIONS(733),
    [anon_sym_int248] = ACTIONS(733),
    [anon_sym_int256] = ACTIONS(733),
    [anon_sym_uint] = ACTIONS(733),
    [anon_sym_uint8] = ACTIONS(733),
    [anon_sym_uint16] = ACTIONS(733),
    [anon_sym_uint24] = ACTIONS(733),
    [anon_sym_uint32] = ACTIONS(733),
    [anon_sym_uint40] = ACTIONS(733),
    [anon_sym_uint48] = ACTIONS(733),
    [anon_sym_uint56] = ACTIONS(733),
    [anon_sym_uint64] = ACTIONS(733),
    [anon_sym_uint72] = ACTIONS(733),
    [anon_sym_uint80] = ACTIONS(733),
    [anon_sym_uint88] = ACTIONS(733),
    [anon_sym_uint96] = ACTIONS(733),
    [anon_sym_uint104] = ACTIONS(733),
    [anon_sym_uint112] = ACTIONS(733),
    [anon_sym_uint120] = ACTIONS(733),
    [anon_sym_uint128] = ACTIONS(733),
    [anon_sym_uint136] = ACTIONS(733),
    [anon_sym_uint144] = ACTIONS(733),
    [anon_sym_uint152] = ACTIONS(733),
    [anon_sym_uint160] = ACTIONS(733),
    [anon_sym_uint168] = ACTIONS(733),
    [anon_sym_uint176] = ACTIONS(733),
    [anon_sym_uint184] = ACTIONS(733),
    [anon_sym_uint192] = ACTIONS(733),
    [anon_sym_uint200] = ACTIONS(733),
    [anon_sym_uint208] = ACTIONS(733),
    [anon_sym_uint216] = ACTIONS(733),
    [anon_sym_uint224] = ACTIONS(733),
    [anon_sym_uint232] = ACTIONS(733),
    [anon_sym_uint240] = ACTIONS(733),
    [anon_sym_uint248] = ACTIONS(733),
    [anon_sym_uint256] = ACTIONS(733),
    [anon_sym_bytes] = ACTIONS(733),
    [anon_sym_bytes1] = ACTIONS(733),
    [anon_sym_bytes2] = ACTIONS(733),
    [anon_sym_bytes3] = ACTIONS(733),
    [anon_sym_bytes4] = ACTIONS(733),
    [anon_sym_bytes5] = ACTIONS(733),
    [anon_sym_bytes6] = ACTIONS(733),
    [anon_sym_bytes7] = ACTIONS(733),
    [anon_sym_bytes8] = ACTIONS(733),
    [anon_sym_bytes9] = ACTIONS(733),
    [anon_sym_bytes10] = ACTIONS(733),
    [anon_sym_bytes11] = ACTIONS(733),
    [anon_sym_bytes12] = ACTIONS(733),
    [anon_sym_bytes13] = ACTIONS(733),
    [anon_sym_bytes14] = ACTIONS(733),
    [anon_sym_bytes15] = ACTIONS(733),
    [anon_sym_bytes16] = ACTIONS(733),
    [anon_sym_bytes17] = ACTIONS(733),
    [anon_sym_bytes18] = ACTIONS(733),
    [anon_sym_bytes19] = ACTIONS(733),
    [anon_sym_bytes20] = ACTIONS(733),
    [anon_sym_bytes21] = ACTIONS(733),
    [anon_sym_bytes22] = ACTIONS(733),
    [anon_sym_bytes23] = ACTIONS(733),
    [anon_sym_bytes24] = ACTIONS(733),
    [anon_sym_bytes25] = ACTIONS(733),
    [anon_sym_bytes26] = ACTIONS(733),
    [anon_sym_bytes27] = ACTIONS(733),
    [anon_sym_bytes28] = ACTIONS(733),
    [anon_sym_bytes29] = ACTIONS(733),
    [anon_sym_bytes30] = ACTIONS(733),
    [anon_sym_bytes31] = ACTIONS(733),
    [anon_sym_bytes32] = ACTIONS(733),
    [anon_sym_fixed] = ACTIONS(733),
    [aux_sym__fixed_token1] = ACTIONS(733),
    [anon_sym_ufixed] = ACTIONS(733),
    [aux_sym__ufixed_token1] = ACTIONS(733),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [ts_builtin_sym_end] = ACTIONS(735),
    [sym_identifier] = ACTIONS(737),
    [anon_sym_pragma] = ACTIONS(737),
    [anon_sym_import] = ACTIONS(737),
    [anon_sym_type] = ACTIONS(737),
    [anon_sym_abstract] = ACTIONS(737),
    [anon_sym_contract] = ACTIONS(737),
    [anon_sym_error] = ACTIONS(737),
    [anon_sym_interface] = ACTIONS(737),
    [anon_sym_library] = ACTIONS(737),
    [anon_sym_struct] = ACTIONS(737),
    [anon_sym_enum] = ACTIONS(737),
    [anon_sym_using] = ACTIONS(737),
    [anon_sym_function] = ACTIONS(737),
    [anon_sym_byte] = ACTIONS(737),
    [anon_sym_address] = ACTIONS(737),
    [anon_sym_var] = ACTIONS(737),
    [anon_sym_mapping] = ACTIONS(737),
    [anon_sym_bool] = ACTIONS(737),
    [anon_sym_string] = ACTIONS(737),
    [anon_sym_int] = ACTIONS(737),
    [anon_sym_int8] = ACTIONS(737),
    [anon_sym_int16] = ACTIONS(737),
    [anon_sym_int24] = ACTIONS(737),
    [anon_sym_int32] = ACTIONS(737),
    [anon_sym_int40] = ACTIONS(737),
    [anon_sym_int48] = ACTIONS(737),
    [anon_sym_int56] = ACTIONS(737),
    [anon_sym_int64] = ACTIONS(737),
    [anon_sym_int72] = ACTIONS(737),
    [anon_sym_int80] = ACTIONS(737),
    [anon_sym_int88] = ACTIONS(737),
    [anon_sym_int96] = ACTIONS(737),
    [anon_sym_int104] = ACTIONS(737),
    [anon_sym_int112] = ACTIONS(737),
    [anon_sym_int120] = ACTIONS(737),
    [anon_sym_int128] = ACTIONS(737),
    [anon_sym_int136] = ACTIONS(737),
    [anon_sym_int144] = ACTIONS(737),
    [anon_sym_int152] = ACTIONS(737),
    [anon_sym_int160] = ACTIONS(737),
    [anon_sym_int168] = ACTIONS(737),
    [anon_sym_int176] = ACTIONS(737),
    [anon_sym_int184] = ACTIONS(737),
    [anon_sym_int192] = ACTIONS(737),
    [anon_sym_int200] = ACTIONS(737),
    [anon_sym_int208] = ACTIONS(737),
    [anon_sym_int216] = ACTIONS(737),
    [anon_sym_int224] = ACTIONS(737),
    [anon_sym_int232] = ACTIONS(737),
    [anon_sym_int240] = ACTIONS(737),
    [anon_sym_int248] = ACTIONS(737),
    [anon_sym_int256] = ACTIONS(737),
    [anon_sym_uint] = ACTIONS(737),
    [anon_sym_uint8] = ACTIONS(737),
    [anon_sym_uint16] = ACTIONS(737),
    [anon_sym_uint24] = ACTIONS(737),
    [anon_sym_uint32] = ACTIONS(737),
    [anon_sym_uint40] = ACTIONS(737),
    [anon_sym_uint48] = ACTIONS(737),
    [anon_sym_uint56] = ACTIONS(737),
    [anon_sym_uint64] = ACTIONS(737),
    [anon_sym_uint72] = ACTIONS(737),
    [anon_sym_uint80] = ACTIONS(737),
    [anon_sym_uint88] = ACTIONS(737),
    [anon_sym_uint96] = ACTIONS(737),
    [anon_sym_uint104] = ACTIONS(737),
    [anon_sym_uint112] = ACTIONS(737),
    [anon_sym_uint120] = ACTIONS(737),
    [anon_sym_uint128] = ACTIONS(737),
    [anon_sym_uint136] = ACTIONS(737),
    [anon_sym_uint144] = ACTIONS(737),
    [anon_sym_uint152] = ACTIONS(737),
    [anon_sym_uint160] = ACTIONS(737),
    [anon_sym_uint168] = ACTIONS(737),
    [anon_sym_uint176] = ACTIONS(737),
    [anon_sym_uint184] = ACTIONS(737),
    [anon_sym_uint192] = ACTIONS(737),
    [anon_sym_uint200] = ACTIONS(737),
    [anon_sym_uint208] = ACTIONS(737),
    [anon_sym_uint216] = ACTIONS(737),
    [anon_sym_uint224] = ACTIONS(737),
    [anon_sym_uint232] = ACTIONS(737),
    [anon_sym_uint240] = ACTIONS(737),
    [anon_sym_uint248] = ACTIONS(737),
    [anon_sym_uint256] = ACTIONS(737),
    [anon_sym_bytes] = ACTIONS(737),
    [anon_sym_bytes1] = ACTIONS(737),
    [anon_sym_bytes2] = ACTIONS(737),
    [anon_sym_bytes3] = ACTIONS(737),
    [anon_sym_bytes4] = ACTIONS(737),
    [anon_sym_bytes5] = ACTIONS(737),
    [anon_sym_bytes6] = ACTIONS(737),
    [anon_sym_bytes7] = ACTIONS(737),
    [anon_sym_bytes8] = ACTIONS(737),
    [anon_sym_bytes9] = ACTIONS(737),
    [anon_sym_bytes10] = ACTIONS(737),
    [anon_sym_bytes11] = ACTIONS(737),
    [anon_sym_bytes12] = ACTIONS(737),
    [anon_sym_bytes13] = ACTIONS(737),
    [anon_sym_bytes14] = ACTIONS(737),
    [anon_sym_bytes15] = ACTIONS(737),
    [anon_sym_bytes16] = ACTIONS(737),
    [anon_sym_bytes17] = ACTIONS(737),
    [anon_sym_bytes18] = ACTIONS(737),
    [anon_sym_bytes19] = ACTIONS(737),
    [anon_sym_bytes20] = ACTIONS(737),
    [anon_sym_bytes21] = ACTIONS(737),
    [anon_sym_bytes22] = ACTIONS(737),
    [anon_sym_bytes23] = ACTIONS(737),
    [anon_sym_bytes24] = ACTIONS(737),
    [anon_sym_bytes25] = ACTIONS(737),
    [anon_sym_bytes26] = ACTIONS(737),
    [anon_sym_bytes27] = ACTIONS(737),
    [anon_sym_bytes28] = ACTIONS(737),
    [anon_sym_bytes29] = ACTIONS(737),
    [anon_sym_bytes30] = ACTIONS(737),
    [anon_sym_bytes31] = ACTIONS(737),
    [anon_sym_bytes32] = ACTIONS(737),
    [anon_sym_fixed] = ACTIONS(737),
    [aux_sym__fixed_token1] = ACTIONS(737),
    [anon_sym_ufixed] = ACTIONS(737),
    [aux_sym__ufixed_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [ts_builtin_sym_end] = ACTIONS(735),
    [sym_identifier] = ACTIONS(737),
    [anon_sym_pragma] = ACTIONS(737),
    [anon_sym_import] = ACTIONS(737),
    [anon_sym_type] = ACTIONS(737),
    [anon_sym_abstract] = ACTIONS(737),
    [anon_sym_contract] = ACTIONS(737),
    [anon_sym_error] = ACTIONS(737),
    [anon_sym_interface] = ACTIONS(737),
    [anon_sym_library] = ACTIONS(737),
    [anon_sym_struct] = ACTIONS(737),
    [anon_sym_enum] = ACTIONS(737),
    [anon_sym_using] = ACTIONS(737),
    [anon_sym_function] = ACTIONS(737),
    [anon_sym_byte] = ACTIONS(737),
    [anon_sym_address] = ACTIONS(737),
    [anon_sym_var] = ACTIONS(737),
    [anon_sym_mapping] = ACTIONS(737),
    [anon_sym_bool] = ACTIONS(737),
    [anon_sym_string] = ACTIONS(737),
    [anon_sym_int] = ACTIONS(737),
    [anon_sym_int8] = ACTIONS(737),
    [anon_sym_int16] = ACTIONS(737),
    [anon_sym_int24] = ACTIONS(737),
    [anon_sym_int32] = ACTIONS(737),
    [anon_sym_int40] = ACTIONS(737),
    [anon_sym_int48] = ACTIONS(737),
    [anon_sym_int56] = ACTIONS(737),
    [anon_sym_int64] = ACTIONS(737),
    [anon_sym_int72] = ACTIONS(737),
    [anon_sym_int80] = ACTIONS(737),
    [anon_sym_int88] = ACTIONS(737),
    [anon_sym_int96] = ACTIONS(737),
    [anon_sym_int104] = ACTIONS(737),
    [anon_sym_int112] = ACTIONS(737),
    [anon_sym_int120] = ACTIONS(737),
    [anon_sym_int128] = ACTIONS(737),
    [anon_sym_int136] = ACTIONS(737),
    [anon_sym_int144] = ACTIONS(737),
    [anon_sym_int152] = ACTIONS(737),
    [anon_sym_int160] = ACTIONS(737),
    [anon_sym_int168] = ACTIONS(737),
    [anon_sym_int176] = ACTIONS(737),
    [anon_sym_int184] = ACTIONS(737),
    [anon_sym_int192] = ACTIONS(737),
    [anon_sym_int200] = ACTIONS(737),
    [anon_sym_int208] = ACTIONS(737),
    [anon_sym_int216] = ACTIONS(737),
    [anon_sym_int224] = ACTIONS(737),
    [anon_sym_int232] = ACTIONS(737),
    [anon_sym_int240] = ACTIONS(737),
    [anon_sym_int248] = ACTIONS(737),
    [anon_sym_int256] = ACTIONS(737),
    [anon_sym_uint] = ACTIONS(737),
    [anon_sym_uint8] = ACTIONS(737),
    [anon_sym_uint16] = ACTIONS(737),
    [anon_sym_uint24] = ACTIONS(737),
    [anon_sym_uint32] = ACTIONS(737),
    [anon_sym_uint40] = ACTIONS(737),
    [anon_sym_uint48] = ACTIONS(737),
    [anon_sym_uint56] = ACTIONS(737),
    [anon_sym_uint64] = ACTIONS(737),
    [anon_sym_uint72] = ACTIONS(737),
    [anon_sym_uint80] = ACTIONS(737),
    [anon_sym_uint88] = ACTIONS(737),
    [anon_sym_uint96] = ACTIONS(737),
    [anon_sym_uint104] = ACTIONS(737),
    [anon_sym_uint112] = ACTIONS(737),
    [anon_sym_uint120] = ACTIONS(737),
    [anon_sym_uint128] = ACTIONS(737),
    [anon_sym_uint136] = ACTIONS(737),
    [anon_sym_uint144] = ACTIONS(737),
    [anon_sym_uint152] = ACTIONS(737),
    [anon_sym_uint160] = ACTIONS(737),
    [anon_sym_uint168] = ACTIONS(737),
    [anon_sym_uint176] = ACTIONS(737),
    [anon_sym_uint184] = ACTIONS(737),
    [anon_sym_uint192] = ACTIONS(737),
    [anon_sym_uint200] = ACTIONS(737),
    [anon_sym_uint208] = ACTIONS(737),
    [anon_sym_uint216] = ACTIONS(737),
    [anon_sym_uint224] = ACTIONS(737),
    [anon_sym_uint232] = ACTIONS(737),
    [anon_sym_uint240] = ACTIONS(737),
    [anon_sym_uint248] = ACTIONS(737),
    [anon_sym_uint256] = ACTIONS(737),
    [anon_sym_bytes] = ACTIONS(737),
    [anon_sym_bytes1] = ACTIONS(737),
    [anon_sym_bytes2] = ACTIONS(737),
    [anon_sym_bytes3] = ACTIONS(737),
    [anon_sym_bytes4] = ACTIONS(737),
    [anon_sym_bytes5] = ACTIONS(737),
    [anon_sym_bytes6] = ACTIONS(737),
    [anon_sym_bytes7] = ACTIONS(737),
    [anon_sym_bytes8] = ACTIONS(737),
    [anon_sym_bytes9] = ACTIONS(737),
    [anon_sym_bytes10] = ACTIONS(737),
    [anon_sym_bytes11] = ACTIONS(737),
    [anon_sym_bytes12] = ACTIONS(737),
    [anon_sym_bytes13] = ACTIONS(737),
    [anon_sym_bytes14] = ACTIONS(737),
    [anon_sym_bytes15] = ACTIONS(737),
    [anon_sym_bytes16] = ACTIONS(737),
    [anon_sym_bytes17] = ACTIONS(737),
    [anon_sym_bytes18] = ACTIONS(737),
    [anon_sym_bytes19] = ACTIONS(737),
    [anon_sym_bytes20] = ACTIONS(737),
    [anon_sym_bytes21] = ACTIONS(737),
    [anon_sym_bytes22] = ACTIONS(737),
    [anon_sym_bytes23] = ACTIONS(737),
    [anon_sym_bytes24] = ACTIONS(737),
    [anon_sym_bytes25] = ACTIONS(737),
    [anon_sym_bytes26] = ACTIONS(737),
    [anon_sym_bytes27] = ACTIONS(737),
    [anon_sym_bytes28] = ACTIONS(737),
    [anon_sym_bytes29] = ACTIONS(737),
    [anon_sym_bytes30] = ACTIONS(737),
    [anon_sym_bytes31] = ACTIONS(737),
    [anon_sym_bytes32] = ACTIONS(737),
    [anon_sym_fixed] = ACTIONS(737),
    [aux_sym__fixed_token1] = ACTIONS(737),
    [anon_sym_ufixed] = ACTIONS(737),
    [aux_sym__ufixed_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [ts_builtin_sym_end] = ACTIONS(739),
    [sym_identifier] = ACTIONS(741),
    [anon_sym_pragma] = ACTIONS(741),
    [anon_sym_import] = ACTIONS(741),
    [anon_sym_type] = ACTIONS(741),
    [anon_sym_abstract] = ACTIONS(741),
    [anon_sym_contract] = ACTIONS(741),
    [anon_sym_error] = ACTIONS(741),
    [anon_sym_interface] = ACTIONS(741),
    [anon_sym_library] = ACTIONS(741),
    [anon_sym_struct] = ACTIONS(741),
    [anon_sym_enum] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(741),
    [anon_sym_function] = ACTIONS(741),
    [anon_sym_byte] = ACTIONS(741),
    [anon_sym_address] = ACTIONS(741),
    [anon_sym_var] = ACTIONS(741),
    [anon_sym_mapping] = ACTIONS(741),
    [anon_sym_bool] = ACTIONS(741),
    [anon_sym_string] = ACTIONS(741),
    [anon_sym_int] = ACTIONS(741),
    [anon_sym_int8] = ACTIONS(741),
    [anon_sym_int16] = ACTIONS(741),
    [anon_sym_int24] = ACTIONS(741),
    [anon_sym_int32] = ACTIONS(741),
    [anon_sym_int40] = ACTIONS(741),
    [anon_sym_int48] = ACTIONS(741),
    [anon_sym_int56] = ACTIONS(741),
    [anon_sym_int64] = ACTIONS(741),
    [anon_sym_int72] = ACTIONS(741),
    [anon_sym_int80] = ACTIONS(741),
    [anon_sym_int88] = ACTIONS(741),
    [anon_sym_int96] = ACTIONS(741),
    [anon_sym_int104] = ACTIONS(741),
    [anon_sym_int112] = ACTIONS(741),
    [anon_sym_int120] = ACTIONS(741),
    [anon_sym_int128] = ACTIONS(741),
    [anon_sym_int136] = ACTIONS(741),
    [anon_sym_int144] = ACTIONS(741),
    [anon_sym_int152] = ACTIONS(741),
    [anon_sym_int160] = ACTIONS(741),
    [anon_sym_int168] = ACTIONS(741),
    [anon_sym_int176] = ACTIONS(741),
    [anon_sym_int184] = ACTIONS(741),
    [anon_sym_int192] = ACTIONS(741),
    [anon_sym_int200] = ACTIONS(741),
    [anon_sym_int208] = ACTIONS(741),
    [anon_sym_int216] = ACTIONS(741),
    [anon_sym_int224] = ACTIONS(741),
    [anon_sym_int232] = ACTIONS(741),
    [anon_sym_int240] = ACTIONS(741),
    [anon_sym_int248] = ACTIONS(741),
    [anon_sym_int256] = ACTIONS(741),
    [anon_sym_uint] = ACTIONS(741),
    [anon_sym_uint8] = ACTIONS(741),
    [anon_sym_uint16] = ACTIONS(741),
    [anon_sym_uint24] = ACTIONS(741),
    [anon_sym_uint32] = ACTIONS(741),
    [anon_sym_uint40] = ACTIONS(741),
    [anon_sym_uint48] = ACTIONS(741),
    [anon_sym_uint56] = ACTIONS(741),
    [anon_sym_uint64] = ACTIONS(741),
    [anon_sym_uint72] = ACTIONS(741),
    [anon_sym_uint80] = ACTIONS(741),
    [anon_sym_uint88] = ACTIONS(741),
    [anon_sym_uint96] = ACTIONS(741),
    [anon_sym_uint104] = ACTIONS(741),
    [anon_sym_uint112] = ACTIONS(741),
    [anon_sym_uint120] = ACTIONS(741),
    [anon_sym_uint128] = ACTIONS(741),
    [anon_sym_uint136] = ACTIONS(741),
    [anon_sym_uint144] = ACTIONS(741),
    [anon_sym_uint152] = ACTIONS(741),
    [anon_sym_uint160] = ACTIONS(741),
    [anon_sym_uint168] = ACTIONS(741),
    [anon_sym_uint176] = ACTIONS(741),
    [anon_sym_uint184] = ACTIONS(741),
    [anon_sym_uint192] = ACTIONS(741),
    [anon_sym_uint200] = ACTIONS(741),
    [anon_sym_uint208] = ACTIONS(741),
    [anon_sym_uint216] = ACTIONS(741),
    [anon_sym_uint224] = ACTIONS(741),
    [anon_sym_uint232] = ACTIONS(741),
    [anon_sym_uint240] = ACTIONS(741),
    [anon_sym_uint248] = ACTIONS(741),
    [anon_sym_uint256] = ACTIONS(741),
    [anon_sym_bytes] = ACTIONS(741),
    [anon_sym_bytes1] = ACTIONS(741),
    [anon_sym_bytes2] = ACTIONS(741),
    [anon_sym_bytes3] = ACTIONS(741),
    [anon_sym_bytes4] = ACTIONS(741),
    [anon_sym_bytes5] = ACTIONS(741),
    [anon_sym_bytes6] = ACTIONS(741),
    [anon_sym_bytes7] = ACTIONS(741),
    [anon_sym_bytes8] = ACTIONS(741),
    [anon_sym_bytes9] = ACTIONS(741),
    [anon_sym_bytes10] = ACTIONS(741),
    [anon_sym_bytes11] = ACTIONS(741),
    [anon_sym_bytes12] = ACTIONS(741),
    [anon_sym_bytes13] = ACTIONS(741),
    [anon_sym_bytes14] = ACTIONS(741),
    [anon_sym_bytes15] = ACTIONS(741),
    [anon_sym_bytes16] = ACTIONS(741),
    [anon_sym_bytes17] = ACTIONS(741),
    [anon_sym_bytes18] = ACTIONS(741),
    [anon_sym_bytes19] = ACTIONS(741),
    [anon_sym_bytes20] = ACTIONS(741),
    [anon_sym_bytes21] = ACTIONS(741),
    [anon_sym_bytes22] = ACTIONS(741),
    [anon_sym_bytes23] = ACTIONS(741),
    [anon_sym_bytes24] = ACTIONS(741),
    [anon_sym_bytes25] = ACTIONS(741),
    [anon_sym_bytes26] = ACTIONS(741),
    [anon_sym_bytes27] = ACTIONS(741),
    [anon_sym_bytes28] = ACTIONS(741),
    [anon_sym_bytes29] = ACTIONS(741),
    [anon_sym_bytes30] = ACTIONS(741),
    [anon_sym_bytes31] = ACTIONS(741),
    [anon_sym_bytes32] = ACTIONS(741),
    [anon_sym_fixed] = ACTIONS(741),
    [aux_sym__fixed_token1] = ACTIONS(741),
    [anon_sym_ufixed] = ACTIONS(741),
    [aux_sym__ufixed_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [ts_builtin_sym_end] = ACTIONS(743),
    [sym_identifier] = ACTIONS(745),
    [anon_sym_pragma] = ACTIONS(745),
    [anon_sym_import] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_abstract] = ACTIONS(745),
    [anon_sym_contract] = ACTIONS(745),
    [anon_sym_error] = ACTIONS(745),
    [anon_sym_interface] = ACTIONS(745),
    [anon_sym_library] = ACTIONS(745),
    [anon_sym_struct] = ACTIONS(745),
    [anon_sym_enum] = ACTIONS(745),
    [anon_sym_using] = ACTIONS(745),
    [anon_sym_function] = ACTIONS(745),
    [anon_sym_byte] = ACTIONS(745),
    [anon_sym_address] = ACTIONS(745),
    [anon_sym_var] = ACTIONS(745),
    [anon_sym_mapping] = ACTIONS(745),
    [anon_sym_bool] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_int] = ACTIONS(745),
    [anon_sym_int8] = ACTIONS(745),
    [anon_sym_int16] = ACTIONS(745),
    [anon_sym_int24] = ACTIONS(745),
    [anon_sym_int32] = ACTIONS(745),
    [anon_sym_int40] = ACTIONS(745),
    [anon_sym_int48] = ACTIONS(745),
    [anon_sym_int56] = ACTIONS(745),
    [anon_sym_int64] = ACTIONS(745),
    [anon_sym_int72] = ACTIONS(745),
    [anon_sym_int80] = ACTIONS(745),
    [anon_sym_int88] = ACTIONS(745),
    [anon_sym_int96] = ACTIONS(745),
    [anon_sym_int104] = ACTIONS(745),
    [anon_sym_int112] = ACTIONS(745),
    [anon_sym_int120] = ACTIONS(745),
    [anon_sym_int128] = ACTIONS(745),
    [anon_sym_int136] = ACTIONS(745),
    [anon_sym_int144] = ACTIONS(745),
    [anon_sym_int152] = ACTIONS(745),
    [anon_sym_int160] = ACTIONS(745),
    [anon_sym_int168] = ACTIONS(745),
    [anon_sym_int176] = ACTIONS(745),
    [anon_sym_int184] = ACTIONS(745),
    [anon_sym_int192] = ACTIONS(745),
    [anon_sym_int200] = ACTIONS(745),
    [anon_sym_int208] = ACTIONS(745),
    [anon_sym_int216] = ACTIONS(745),
    [anon_sym_int224] = ACTIONS(745),
    [anon_sym_int232] = ACTIONS(745),
    [anon_sym_int240] = ACTIONS(745),
    [anon_sym_int248] = ACTIONS(745),
    [anon_sym_int256] = ACTIONS(745),
    [anon_sym_uint] = ACTIONS(745),
    [anon_sym_uint8] = ACTIONS(745),
    [anon_sym_uint16] = ACTIONS(745),
    [anon_sym_uint24] = ACTIONS(745),
    [anon_sym_uint32] = ACTIONS(745),
    [anon_sym_uint40] = ACTIONS(745),
    [anon_sym_uint48] = ACTIONS(745),
    [anon_sym_uint56] = ACTIONS(745),
    [anon_sym_uint64] = ACTIONS(745),
    [anon_sym_uint72] = ACTIONS(745),
    [anon_sym_uint80] = ACTIONS(745),
    [anon_sym_uint88] = ACTIONS(745),
    [anon_sym_uint96] = ACTIONS(745),
    [anon_sym_uint104] = ACTIONS(745),
    [anon_sym_uint112] = ACTIONS(745),
    [anon_sym_uint120] = ACTIONS(745),
    [anon_sym_uint128] = ACTIONS(745),
    [anon_sym_uint136] = ACTIONS(745),
    [anon_sym_uint144] = ACTIONS(745),
    [anon_sym_uint152] = ACTIONS(745),
    [anon_sym_uint160] = ACTIONS(745),
    [anon_sym_uint168] = ACTIONS(745),
    [anon_sym_uint176] = ACTIONS(745),
    [anon_sym_uint184] = ACTIONS(745),
    [anon_sym_uint192] = ACTIONS(745),
    [anon_sym_uint200] = ACTIONS(745),
    [anon_sym_uint208] = ACTIONS(745),
    [anon_sym_uint216] = ACTIONS(745),
    [anon_sym_uint224] = ACTIONS(745),
    [anon_sym_uint232] = ACTIONS(745),
    [anon_sym_uint240] = ACTIONS(745),
    [anon_sym_uint248] = ACTIONS(745),
    [anon_sym_uint256] = ACTIONS(745),
    [anon_sym_bytes] = ACTIONS(745),
    [anon_sym_bytes1] = ACTIONS(745),
    [anon_sym_bytes2] = ACTIONS(745),
    [anon_sym_bytes3] = ACTIONS(745),
    [anon_sym_bytes4] = ACTIONS(745),
    [anon_sym_bytes5] = ACTIONS(745),
    [anon_sym_bytes6] = ACTIONS(745),
    [anon_sym_bytes7] = ACTIONS(745),
    [anon_sym_bytes8] = ACTIONS(745),
    [anon_sym_bytes9] = ACTIONS(745),
    [anon_sym_bytes10] = ACTIONS(745),
    [anon_sym_bytes11] = ACTIONS(745),
    [anon_sym_bytes12] = ACTIONS(745),
    [anon_sym_bytes13] = ACTIONS(745),
    [anon_sym_bytes14] = ACTIONS(745),
    [anon_sym_bytes15] = ACTIONS(745),
    [anon_sym_bytes16] = ACTIONS(745),
    [anon_sym_bytes17] = ACTIONS(745),
    [anon_sym_bytes18] = ACTIONS(745),
    [anon_sym_bytes19] = ACTIONS(745),
    [anon_sym_bytes20] = ACTIONS(745),
    [anon_sym_bytes21] = ACTIONS(745),
    [anon_sym_bytes22] = ACTIONS(745),
    [anon_sym_bytes23] = ACTIONS(745),
    [anon_sym_bytes24] = ACTIONS(745),
    [anon_sym_bytes25] = ACTIONS(745),
    [anon_sym_bytes26] = ACTIONS(745),
    [anon_sym_bytes27] = ACTIONS(745),
    [anon_sym_bytes28] = ACTIONS(745),
    [anon_sym_bytes29] = ACTIONS(745),
    [anon_sym_bytes30] = ACTIONS(745),
    [anon_sym_bytes31] = ACTIONS(745),
    [anon_sym_bytes32] = ACTIONS(745),
    [anon_sym_fixed] = ACTIONS(745),
    [aux_sym__fixed_token1] = ACTIONS(745),
    [anon_sym_ufixed] = ACTIONS(745),
    [aux_sym__ufixed_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [ts_builtin_sym_end] = ACTIONS(747),
    [sym_identifier] = ACTIONS(749),
    [anon_sym_pragma] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(749),
    [anon_sym_type] = ACTIONS(749),
    [anon_sym_abstract] = ACTIONS(749),
    [anon_sym_contract] = ACTIONS(749),
    [anon_sym_error] = ACTIONS(749),
    [anon_sym_interface] = ACTIONS(749),
    [anon_sym_library] = ACTIONS(749),
    [anon_sym_struct] = ACTIONS(749),
    [anon_sym_enum] = ACTIONS(749),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_function] = ACTIONS(749),
    [anon_sym_byte] = ACTIONS(749),
    [anon_sym_address] = ACTIONS(749),
    [anon_sym_var] = ACTIONS(749),
    [anon_sym_mapping] = ACTIONS(749),
    [anon_sym_bool] = ACTIONS(749),
    [anon_sym_string] = ACTIONS(749),
    [anon_sym_int] = ACTIONS(749),
    [anon_sym_int8] = ACTIONS(749),
    [anon_sym_int16] = ACTIONS(749),
    [anon_sym_int24] = ACTIONS(749),
    [anon_sym_int32] = ACTIONS(749),
    [anon_sym_int40] = ACTIONS(749),
    [anon_sym_int48] = ACTIONS(749),
    [anon_sym_int56] = ACTIONS(749),
    [anon_sym_int64] = ACTIONS(749),
    [anon_sym_int72] = ACTIONS(749),
    [anon_sym_int80] = ACTIONS(749),
    [anon_sym_int88] = ACTIONS(749),
    [anon_sym_int96] = ACTIONS(749),
    [anon_sym_int104] = ACTIONS(749),
    [anon_sym_int112] = ACTIONS(749),
    [anon_sym_int120] = ACTIONS(749),
    [anon_sym_int128] = ACTIONS(749),
    [anon_sym_int136] = ACTIONS(749),
    [anon_sym_int144] = ACTIONS(749),
    [anon_sym_int152] = ACTIONS(749),
    [anon_sym_int160] = ACTIONS(749),
    [anon_sym_int168] = ACTIONS(749),
    [anon_sym_int176] = ACTIONS(749),
    [anon_sym_int184] = ACTIONS(749),
    [anon_sym_int192] = ACTIONS(749),
    [anon_sym_int200] = ACTIONS(749),
    [anon_sym_int208] = ACTIONS(749),
    [anon_sym_int216] = ACTIONS(749),
    [anon_sym_int224] = ACTIONS(749),
    [anon_sym_int232] = ACTIONS(749),
    [anon_sym_int240] = ACTIONS(749),
    [anon_sym_int248] = ACTIONS(749),
    [anon_sym_int256] = ACTIONS(749),
    [anon_sym_uint] = ACTIONS(749),
    [anon_sym_uint8] = ACTIONS(749),
    [anon_sym_uint16] = ACTIONS(749),
    [anon_sym_uint24] = ACTIONS(749),
    [anon_sym_uint32] = ACTIONS(749),
    [anon_sym_uint40] = ACTIONS(749),
    [anon_sym_uint48] = ACTIONS(749),
    [anon_sym_uint56] = ACTIONS(749),
    [anon_sym_uint64] = ACTIONS(749),
    [anon_sym_uint72] = ACTIONS(749),
    [anon_sym_uint80] = ACTIONS(749),
    [anon_sym_uint88] = ACTIONS(749),
    [anon_sym_uint96] = ACTIONS(749),
    [anon_sym_uint104] = ACTIONS(749),
    [anon_sym_uint112] = ACTIONS(749),
    [anon_sym_uint120] = ACTIONS(749),
    [anon_sym_uint128] = ACTIONS(749),
    [anon_sym_uint136] = ACTIONS(749),
    [anon_sym_uint144] = ACTIONS(749),
    [anon_sym_uint152] = ACTIONS(749),
    [anon_sym_uint160] = ACTIONS(749),
    [anon_sym_uint168] = ACTIONS(749),
    [anon_sym_uint176] = ACTIONS(749),
    [anon_sym_uint184] = ACTIONS(749),
    [anon_sym_uint192] = ACTIONS(749),
    [anon_sym_uint200] = ACTIONS(749),
    [anon_sym_uint208] = ACTIONS(749),
    [anon_sym_uint216] = ACTIONS(749),
    [anon_sym_uint224] = ACTIONS(749),
    [anon_sym_uint232] = ACTIONS(749),
    [anon_sym_uint240] = ACTIONS(749),
    [anon_sym_uint248] = ACTIONS(749),
    [anon_sym_uint256] = ACTIONS(749),
    [anon_sym_bytes] = ACTIONS(749),
    [anon_sym_bytes1] = ACTIONS(749),
    [anon_sym_bytes2] = ACTIONS(749),
    [anon_sym_bytes3] = ACTIONS(749),
    [anon_sym_bytes4] = ACTIONS(749),
    [anon_sym_bytes5] = ACTIONS(749),
    [anon_sym_bytes6] = ACTIONS(749),
    [anon_sym_bytes7] = ACTIONS(749),
    [anon_sym_bytes8] = ACTIONS(749),
    [anon_sym_bytes9] = ACTIONS(749),
    [anon_sym_bytes10] = ACTIONS(749),
    [anon_sym_bytes11] = ACTIONS(749),
    [anon_sym_bytes12] = ACTIONS(749),
    [anon_sym_bytes13] = ACTIONS(749),
    [anon_sym_bytes14] = ACTIONS(749),
    [anon_sym_bytes15] = ACTIONS(749),
    [anon_sym_bytes16] = ACTIONS(749),
    [anon_sym_bytes17] = ACTIONS(749),
    [anon_sym_bytes18] = ACTIONS(749),
    [anon_sym_bytes19] = ACTIONS(749),
    [anon_sym_bytes20] = ACTIONS(749),
    [anon_sym_bytes21] = ACTIONS(749),
    [anon_sym_bytes22] = ACTIONS(749),
    [anon_sym_bytes23] = ACTIONS(749),
    [anon_sym_bytes24] = ACTIONS(749),
    [anon_sym_bytes25] = ACTIONS(749),
    [anon_sym_bytes26] = ACTIONS(749),
    [anon_sym_bytes27] = ACTIONS(749),
    [anon_sym_bytes28] = ACTIONS(749),
    [anon_sym_bytes29] = ACTIONS(749),
    [anon_sym_bytes30] = ACTIONS(749),
    [anon_sym_bytes31] = ACTIONS(749),
    [anon_sym_bytes32] = ACTIONS(749),
    [anon_sym_fixed] = ACTIONS(749),
    [aux_sym__fixed_token1] = ACTIONS(749),
    [anon_sym_ufixed] = ACTIONS(749),
    [aux_sym__ufixed_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [ts_builtin_sym_end] = ACTIONS(751),
    [sym_identifier] = ACTIONS(753),
    [anon_sym_pragma] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_type] = ACTIONS(753),
    [anon_sym_abstract] = ACTIONS(753),
    [anon_sym_contract] = ACTIONS(753),
    [anon_sym_error] = ACTIONS(753),
    [anon_sym_interface] = ACTIONS(753),
    [anon_sym_library] = ACTIONS(753),
    [anon_sym_struct] = ACTIONS(753),
    [anon_sym_enum] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_function] = ACTIONS(753),
    [anon_sym_byte] = ACTIONS(753),
    [anon_sym_address] = ACTIONS(753),
    [anon_sym_var] = ACTIONS(753),
    [anon_sym_mapping] = ACTIONS(753),
    [anon_sym_bool] = ACTIONS(753),
    [anon_sym_string] = ACTIONS(753),
    [anon_sym_int] = ACTIONS(753),
    [anon_sym_int8] = ACTIONS(753),
    [anon_sym_int16] = ACTIONS(753),
    [anon_sym_int24] = ACTIONS(753),
    [anon_sym_int32] = ACTIONS(753),
    [anon_sym_int40] = ACTIONS(753),
    [anon_sym_int48] = ACTIONS(753),
    [anon_sym_int56] = ACTIONS(753),
    [anon_sym_int64] = ACTIONS(753),
    [anon_sym_int72] = ACTIONS(753),
    [anon_sym_int80] = ACTIONS(753),
    [anon_sym_int88] = ACTIONS(753),
    [anon_sym_int96] = ACTIONS(753),
    [anon_sym_int104] = ACTIONS(753),
    [anon_sym_int112] = ACTIONS(753),
    [anon_sym_int120] = ACTIONS(753),
    [anon_sym_int128] = ACTIONS(753),
    [anon_sym_int136] = ACTIONS(753),
    [anon_sym_int144] = ACTIONS(753),
    [anon_sym_int152] = ACTIONS(753),
    [anon_sym_int160] = ACTIONS(753),
    [anon_sym_int168] = ACTIONS(753),
    [anon_sym_int176] = ACTIONS(753),
    [anon_sym_int184] = ACTIONS(753),
    [anon_sym_int192] = ACTIONS(753),
    [anon_sym_int200] = ACTIONS(753),
    [anon_sym_int208] = ACTIONS(753),
    [anon_sym_int216] = ACTIONS(753),
    [anon_sym_int224] = ACTIONS(753),
    [anon_sym_int232] = ACTIONS(753),
    [anon_sym_int240] = ACTIONS(753),
    [anon_sym_int248] = ACTIONS(753),
    [anon_sym_int256] = ACTIONS(753),
    [anon_sym_uint] = ACTIONS(753),
    [anon_sym_uint8] = ACTIONS(753),
    [anon_sym_uint16] = ACTIONS(753),
    [anon_sym_uint24] = ACTIONS(753),
    [anon_sym_uint32] = ACTIONS(753),
    [anon_sym_uint40] = ACTIONS(753),
    [anon_sym_uint48] = ACTIONS(753),
    [anon_sym_uint56] = ACTIONS(753),
    [anon_sym_uint64] = ACTIONS(753),
    [anon_sym_uint72] = ACTIONS(753),
    [anon_sym_uint80] = ACTIONS(753),
    [anon_sym_uint88] = ACTIONS(753),
    [anon_sym_uint96] = ACTIONS(753),
    [anon_sym_uint104] = ACTIONS(753),
    [anon_sym_uint112] = ACTIONS(753),
    [anon_sym_uint120] = ACTIONS(753),
    [anon_sym_uint128] = ACTIONS(753),
    [anon_sym_uint136] = ACTIONS(753),
    [anon_sym_uint144] = ACTIONS(753),
    [anon_sym_uint152] = ACTIONS(753),
    [anon_sym_uint160] = ACTIONS(753),
    [anon_sym_uint168] = ACTIONS(753),
    [anon_sym_uint176] = ACTIONS(753),
    [anon_sym_uint184] = ACTIONS(753),
    [anon_sym_uint192] = ACTIONS(753),
    [anon_sym_uint200] = ACTIONS(753),
    [anon_sym_uint208] = ACTIONS(753),
    [anon_sym_uint216] = ACTIONS(753),
    [anon_sym_uint224] = ACTIONS(753),
    [anon_sym_uint232] = ACTIONS(753),
    [anon_sym_uint240] = ACTIONS(753),
    [anon_sym_uint248] = ACTIONS(753),
    [anon_sym_uint256] = ACTIONS(753),
    [anon_sym_bytes] = ACTIONS(753),
    [anon_sym_bytes1] = ACTIONS(753),
    [anon_sym_bytes2] = ACTIONS(753),
    [anon_sym_bytes3] = ACTIONS(753),
    [anon_sym_bytes4] = ACTIONS(753),
    [anon_sym_bytes5] = ACTIONS(753),
    [anon_sym_bytes6] = ACTIONS(753),
    [anon_sym_bytes7] = ACTIONS(753),
    [anon_sym_bytes8] = ACTIONS(753),
    [anon_sym_bytes9] = ACTIONS(753),
    [anon_sym_bytes10] = ACTIONS(753),
    [anon_sym_bytes11] = ACTIONS(753),
    [anon_sym_bytes12] = ACTIONS(753),
    [anon_sym_bytes13] = ACTIONS(753),
    [anon_sym_bytes14] = ACTIONS(753),
    [anon_sym_bytes15] = ACTIONS(753),
    [anon_sym_bytes16] = ACTIONS(753),
    [anon_sym_bytes17] = ACTIONS(753),
    [anon_sym_bytes18] = ACTIONS(753),
    [anon_sym_bytes19] = ACTIONS(753),
    [anon_sym_bytes20] = ACTIONS(753),
    [anon_sym_bytes21] = ACTIONS(753),
    [anon_sym_bytes22] = ACTIONS(753),
    [anon_sym_bytes23] = ACTIONS(753),
    [anon_sym_bytes24] = ACTIONS(753),
    [anon_sym_bytes25] = ACTIONS(753),
    [anon_sym_bytes26] = ACTIONS(753),
    [anon_sym_bytes27] = ACTIONS(753),
    [anon_sym_bytes28] = ACTIONS(753),
    [anon_sym_bytes29] = ACTIONS(753),
    [anon_sym_bytes30] = ACTIONS(753),
    [anon_sym_bytes31] = ACTIONS(753),
    [anon_sym_bytes32] = ACTIONS(753),
    [anon_sym_fixed] = ACTIONS(753),
    [aux_sym__fixed_token1] = ACTIONS(753),
    [anon_sym_ufixed] = ACTIONS(753),
    [aux_sym__ufixed_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [ts_builtin_sym_end] = ACTIONS(755),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_pragma] = ACTIONS(757),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_type] = ACTIONS(757),
    [anon_sym_abstract] = ACTIONS(757),
    [anon_sym_contract] = ACTIONS(757),
    [anon_sym_error] = ACTIONS(757),
    [anon_sym_interface] = ACTIONS(757),
    [anon_sym_library] = ACTIONS(757),
    [anon_sym_struct] = ACTIONS(757),
    [anon_sym_enum] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_function] = ACTIONS(757),
    [anon_sym_byte] = ACTIONS(757),
    [anon_sym_address] = ACTIONS(757),
    [anon_sym_var] = ACTIONS(757),
    [anon_sym_mapping] = ACTIONS(757),
    [anon_sym_bool] = ACTIONS(757),
    [anon_sym_string] = ACTIONS(757),
    [anon_sym_int] = ACTIONS(757),
    [anon_sym_int8] = ACTIONS(757),
    [anon_sym_int16] = ACTIONS(757),
    [anon_sym_int24] = ACTIONS(757),
    [anon_sym_int32] = ACTIONS(757),
    [anon_sym_int40] = ACTIONS(757),
    [anon_sym_int48] = ACTIONS(757),
    [anon_sym_int56] = ACTIONS(757),
    [anon_sym_int64] = ACTIONS(757),
    [anon_sym_int72] = ACTIONS(757),
    [anon_sym_int80] = ACTIONS(757),
    [anon_sym_int88] = ACTIONS(757),
    [anon_sym_int96] = ACTIONS(757),
    [anon_sym_int104] = ACTIONS(757),
    [anon_sym_int112] = ACTIONS(757),
    [anon_sym_int120] = ACTIONS(757),
    [anon_sym_int128] = ACTIONS(757),
    [anon_sym_int136] = ACTIONS(757),
    [anon_sym_int144] = ACTIONS(757),
    [anon_sym_int152] = ACTIONS(757),
    [anon_sym_int160] = ACTIONS(757),
    [anon_sym_int168] = ACTIONS(757),
    [anon_sym_int176] = ACTIONS(757),
    [anon_sym_int184] = ACTIONS(757),
    [anon_sym_int192] = ACTIONS(757),
    [anon_sym_int200] = ACTIONS(757),
    [anon_sym_int208] = ACTIONS(757),
    [anon_sym_int216] = ACTIONS(757),
    [anon_sym_int224] = ACTIONS(757),
    [anon_sym_int232] = ACTIONS(757),
    [anon_sym_int240] = ACTIONS(757),
    [anon_sym_int248] = ACTIONS(757),
    [anon_sym_int256] = ACTIONS(757),
    [anon_sym_uint] = ACTIONS(757),
    [anon_sym_uint8] = ACTIONS(757),
    [anon_sym_uint16] = ACTIONS(757),
    [anon_sym_uint24] = ACTIONS(757),
    [anon_sym_uint32] = ACTIONS(757),
    [anon_sym_uint40] = ACTIONS(757),
    [anon_sym_uint48] = ACTIONS(757),
    [anon_sym_uint56] = ACTIONS(757),
    [anon_sym_uint64] = ACTIONS(757),
    [anon_sym_uint72] = ACTIONS(757),
    [anon_sym_uint80] = ACTIONS(757),
    [anon_sym_uint88] = ACTIONS(757),
    [anon_sym_uint96] = ACTIONS(757),
    [anon_sym_uint104] = ACTIONS(757),
    [anon_sym_uint112] = ACTIONS(757),
    [anon_sym_uint120] = ACTIONS(757),
    [anon_sym_uint128] = ACTIONS(757),
    [anon_sym_uint136] = ACTIONS(757),
    [anon_sym_uint144] = ACTIONS(757),
    [anon_sym_uint152] = ACTIONS(757),
    [anon_sym_uint160] = ACTIONS(757),
    [anon_sym_uint168] = ACTIONS(757),
    [anon_sym_uint176] = ACTIONS(757),
    [anon_sym_uint184] = ACTIONS(757),
    [anon_sym_uint192] = ACTIONS(757),
    [anon_sym_uint200] = ACTIONS(757),
    [anon_sym_uint208] = ACTIONS(757),
    [anon_sym_uint216] = ACTIONS(757),
    [anon_sym_uint224] = ACTIONS(757),
    [anon_sym_uint232] = ACTIONS(757),
    [anon_sym_uint240] = ACTIONS(757),
    [anon_sym_uint248] = ACTIONS(757),
    [anon_sym_uint256] = ACTIONS(757),
    [anon_sym_bytes] = ACTIONS(757),
    [anon_sym_bytes1] = ACTIONS(757),
    [anon_sym_bytes2] = ACTIONS(757),
    [anon_sym_bytes3] = ACTIONS(757),
    [anon_sym_bytes4] = ACTIONS(757),
    [anon_sym_bytes5] = ACTIONS(757),
    [anon_sym_bytes6] = ACTIONS(757),
    [anon_sym_bytes7] = ACTIONS(757),
    [anon_sym_bytes8] = ACTIONS(757),
    [anon_sym_bytes9] = ACTIONS(757),
    [anon_sym_bytes10] = ACTIONS(757),
    [anon_sym_bytes11] = ACTIONS(757),
    [anon_sym_bytes12] = ACTIONS(757),
    [anon_sym_bytes13] = ACTIONS(757),
    [anon_sym_bytes14] = ACTIONS(757),
    [anon_sym_bytes15] = ACTIONS(757),
    [anon_sym_bytes16] = ACTIONS(757),
    [anon_sym_bytes17] = ACTIONS(757),
    [anon_sym_bytes18] = ACTIONS(757),
    [anon_sym_bytes19] = ACTIONS(757),
    [anon_sym_bytes20] = ACTIONS(757),
    [anon_sym_bytes21] = ACTIONS(757),
    [anon_sym_bytes22] = ACTIONS(757),
    [anon_sym_bytes23] = ACTIONS(757),
    [anon_sym_bytes24] = ACTIONS(757),
    [anon_sym_bytes25] = ACTIONS(757),
    [anon_sym_bytes26] = ACTIONS(757),
    [anon_sym_bytes27] = ACTIONS(757),
    [anon_sym_bytes28] = ACTIONS(757),
    [anon_sym_bytes29] = ACTIONS(757),
    [anon_sym_bytes30] = ACTIONS(757),
    [anon_sym_bytes31] = ACTIONS(757),
    [anon_sym_bytes32] = ACTIONS(757),
    [anon_sym_fixed] = ACTIONS(757),
    [aux_sym__fixed_token1] = ACTIONS(757),
    [anon_sym_ufixed] = ACTIONS(757),
    [aux_sym__ufixed_token1] = ACTIONS(757),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [ts_builtin_sym_end] = ACTIONS(759),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_pragma] = ACTIONS(761),
    [anon_sym_import] = ACTIONS(761),
    [anon_sym_type] = ACTIONS(761),
    [anon_sym_abstract] = ACTIONS(761),
    [anon_sym_contract] = ACTIONS(761),
    [anon_sym_error] = ACTIONS(761),
    [anon_sym_interface] = ACTIONS(761),
    [anon_sym_library] = ACTIONS(761),
    [anon_sym_struct] = ACTIONS(761),
    [anon_sym_enum] = ACTIONS(761),
    [anon_sym_using] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(761),
    [anon_sym_byte] = ACTIONS(761),
    [anon_sym_address] = ACTIONS(761),
    [anon_sym_var] = ACTIONS(761),
    [anon_sym_mapping] = ACTIONS(761),
    [anon_sym_bool] = ACTIONS(761),
    [anon_sym_string] = ACTIONS(761),
    [anon_sym_int] = ACTIONS(761),
    [anon_sym_int8] = ACTIONS(761),
    [anon_sym_int16] = ACTIONS(761),
    [anon_sym_int24] = ACTIONS(761),
    [anon_sym_int32] = ACTIONS(761),
    [anon_sym_int40] = ACTIONS(761),
    [anon_sym_int48] = ACTIONS(761),
    [anon_sym_int56] = ACTIONS(761),
    [anon_sym_int64] = ACTIONS(761),
    [anon_sym_int72] = ACTIONS(761),
    [anon_sym_int80] = ACTIONS(761),
    [anon_sym_int88] = ACTIONS(761),
    [anon_sym_int96] = ACTIONS(761),
    [anon_sym_int104] = ACTIONS(761),
    [anon_sym_int112] = ACTIONS(761),
    [anon_sym_int120] = ACTIONS(761),
    [anon_sym_int128] = ACTIONS(761),
    [anon_sym_int136] = ACTIONS(761),
    [anon_sym_int144] = ACTIONS(761),
    [anon_sym_int152] = ACTIONS(761),
    [anon_sym_int160] = ACTIONS(761),
    [anon_sym_int168] = ACTIONS(761),
    [anon_sym_int176] = ACTIONS(761),
    [anon_sym_int184] = ACTIONS(761),
    [anon_sym_int192] = ACTIONS(761),
    [anon_sym_int200] = ACTIONS(761),
    [anon_sym_int208] = ACTIONS(761),
    [anon_sym_int216] = ACTIONS(761),
    [anon_sym_int224] = ACTIONS(761),
    [anon_sym_int232] = ACTIONS(761),
    [anon_sym_int240] = ACTIONS(761),
    [anon_sym_int248] = ACTIONS(761),
    [anon_sym_int256] = ACTIONS(761),
    [anon_sym_uint] = ACTIONS(761),
    [anon_sym_uint8] = ACTIONS(761),
    [anon_sym_uint16] = ACTIONS(761),
    [anon_sym_uint24] = ACTIONS(761),
    [anon_sym_uint32] = ACTIONS(761),
    [anon_sym_uint40] = ACTIONS(761),
    [anon_sym_uint48] = ACTIONS(761),
    [anon_sym_uint56] = ACTIONS(761),
    [anon_sym_uint64] = ACTIONS(761),
    [anon_sym_uint72] = ACTIONS(761),
    [anon_sym_uint80] = ACTIONS(761),
    [anon_sym_uint88] = ACTIONS(761),
    [anon_sym_uint96] = ACTIONS(761),
    [anon_sym_uint104] = ACTIONS(761),
    [anon_sym_uint112] = ACTIONS(761),
    [anon_sym_uint120] = ACTIONS(761),
    [anon_sym_uint128] = ACTIONS(761),
    [anon_sym_uint136] = ACTIONS(761),
    [anon_sym_uint144] = ACTIONS(761),
    [anon_sym_uint152] = ACTIONS(761),
    [anon_sym_uint160] = ACTIONS(761),
    [anon_sym_uint168] = ACTIONS(761),
    [anon_sym_uint176] = ACTIONS(761),
    [anon_sym_uint184] = ACTIONS(761),
    [anon_sym_uint192] = ACTIONS(761),
    [anon_sym_uint200] = ACTIONS(761),
    [anon_sym_uint208] = ACTIONS(761),
    [anon_sym_uint216] = ACTIONS(761),
    [anon_sym_uint224] = ACTIONS(761),
    [anon_sym_uint232] = ACTIONS(761),
    [anon_sym_uint240] = ACTIONS(761),
    [anon_sym_uint248] = ACTIONS(761),
    [anon_sym_uint256] = ACTIONS(761),
    [anon_sym_bytes] = ACTIONS(761),
    [anon_sym_bytes1] = ACTIONS(761),
    [anon_sym_bytes2] = ACTIONS(761),
    [anon_sym_bytes3] = ACTIONS(761),
    [anon_sym_bytes4] = ACTIONS(761),
    [anon_sym_bytes5] = ACTIONS(761),
    [anon_sym_bytes6] = ACTIONS(761),
    [anon_sym_bytes7] = ACTIONS(761),
    [anon_sym_bytes8] = ACTIONS(761),
    [anon_sym_bytes9] = ACTIONS(761),
    [anon_sym_bytes10] = ACTIONS(761),
    [anon_sym_bytes11] = ACTIONS(761),
    [anon_sym_bytes12] = ACTIONS(761),
    [anon_sym_bytes13] = ACTIONS(761),
    [anon_sym_bytes14] = ACTIONS(761),
    [anon_sym_bytes15] = ACTIONS(761),
    [anon_sym_bytes16] = ACTIONS(761),
    [anon_sym_bytes17] = ACTIONS(761),
    [anon_sym_bytes18] = ACTIONS(761),
    [anon_sym_bytes19] = ACTIONS(761),
    [anon_sym_bytes20] = ACTIONS(761),
    [anon_sym_bytes21] = ACTIONS(761),
    [anon_sym_bytes22] = ACTIONS(761),
    [anon_sym_bytes23] = ACTIONS(761),
    [anon_sym_bytes24] = ACTIONS(761),
    [anon_sym_bytes25] = ACTIONS(761),
    [anon_sym_bytes26] = ACTIONS(761),
    [anon_sym_bytes27] = ACTIONS(761),
    [anon_sym_bytes28] = ACTIONS(761),
    [anon_sym_bytes29] = ACTIONS(761),
    [anon_sym_bytes30] = ACTIONS(761),
    [anon_sym_bytes31] = ACTIONS(761),
    [anon_sym_bytes32] = ACTIONS(761),
    [anon_sym_fixed] = ACTIONS(761),
    [aux_sym__fixed_token1] = ACTIONS(761),
    [anon_sym_ufixed] = ACTIONS(761),
    [aux_sym__ufixed_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [ts_builtin_sym_end] = ACTIONS(763),
    [sym_identifier] = ACTIONS(765),
    [anon_sym_pragma] = ACTIONS(765),
    [anon_sym_import] = ACTIONS(765),
    [anon_sym_type] = ACTIONS(765),
    [anon_sym_abstract] = ACTIONS(765),
    [anon_sym_contract] = ACTIONS(765),
    [anon_sym_error] = ACTIONS(765),
    [anon_sym_interface] = ACTIONS(765),
    [anon_sym_library] = ACTIONS(765),
    [anon_sym_struct] = ACTIONS(765),
    [anon_sym_enum] = ACTIONS(765),
    [anon_sym_using] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_byte] = ACTIONS(765),
    [anon_sym_address] = ACTIONS(765),
    [anon_sym_var] = ACTIONS(765),
    [anon_sym_mapping] = ACTIONS(765),
    [anon_sym_bool] = ACTIONS(765),
    [anon_sym_string] = ACTIONS(765),
    [anon_sym_int] = ACTIONS(765),
    [anon_sym_int8] = ACTIONS(765),
    [anon_sym_int16] = ACTIONS(765),
    [anon_sym_int24] = ACTIONS(765),
    [anon_sym_int32] = ACTIONS(765),
    [anon_sym_int40] = ACTIONS(765),
    [anon_sym_int48] = ACTIONS(765),
    [anon_sym_int56] = ACTIONS(765),
    [anon_sym_int64] = ACTIONS(765),
    [anon_sym_int72] = ACTIONS(765),
    [anon_sym_int80] = ACTIONS(765),
    [anon_sym_int88] = ACTIONS(765),
    [anon_sym_int96] = ACTIONS(765),
    [anon_sym_int104] = ACTIONS(765),
    [anon_sym_int112] = ACTIONS(765),
    [anon_sym_int120] = ACTIONS(765),
    [anon_sym_int128] = ACTIONS(765),
    [anon_sym_int136] = ACTIONS(765),
    [anon_sym_int144] = ACTIONS(765),
    [anon_sym_int152] = ACTIONS(765),
    [anon_sym_int160] = ACTIONS(765),
    [anon_sym_int168] = ACTIONS(765),
    [anon_sym_int176] = ACTIONS(765),
    [anon_sym_int184] = ACTIONS(765),
    [anon_sym_int192] = ACTIONS(765),
    [anon_sym_int200] = ACTIONS(765),
    [anon_sym_int208] = ACTIONS(765),
    [anon_sym_int216] = ACTIONS(765),
    [anon_sym_int224] = ACTIONS(765),
    [anon_sym_int232] = ACTIONS(765),
    [anon_sym_int240] = ACTIONS(765),
    [anon_sym_int248] = ACTIONS(765),
    [anon_sym_int256] = ACTIONS(765),
    [anon_sym_uint] = ACTIONS(765),
    [anon_sym_uint8] = ACTIONS(765),
    [anon_sym_uint16] = ACTIONS(765),
    [anon_sym_uint24] = ACTIONS(765),
    [anon_sym_uint32] = ACTIONS(765),
    [anon_sym_uint40] = ACTIONS(765),
    [anon_sym_uint48] = ACTIONS(765),
    [anon_sym_uint56] = ACTIONS(765),
    [anon_sym_uint64] = ACTIONS(765),
    [anon_sym_uint72] = ACTIONS(765),
    [anon_sym_uint80] = ACTIONS(765),
    [anon_sym_uint88] = ACTIONS(765),
    [anon_sym_uint96] = ACTIONS(765),
    [anon_sym_uint104] = ACTIONS(765),
    [anon_sym_uint112] = ACTIONS(765),
    [anon_sym_uint120] = ACTIONS(765),
    [anon_sym_uint128] = ACTIONS(765),
    [anon_sym_uint136] = ACTIONS(765),
    [anon_sym_uint144] = ACTIONS(765),
    [anon_sym_uint152] = ACTIONS(765),
    [anon_sym_uint160] = ACTIONS(765),
    [anon_sym_uint168] = ACTIONS(765),
    [anon_sym_uint176] = ACTIONS(765),
    [anon_sym_uint184] = ACTIONS(765),
    [anon_sym_uint192] = ACTIONS(765),
    [anon_sym_uint200] = ACTIONS(765),
    [anon_sym_uint208] = ACTIONS(765),
    [anon_sym_uint216] = ACTIONS(765),
    [anon_sym_uint224] = ACTIONS(765),
    [anon_sym_uint232] = ACTIONS(765),
    [anon_sym_uint240] = ACTIONS(765),
    [anon_sym_uint248] = ACTIONS(765),
    [anon_sym_uint256] = ACTIONS(765),
    [anon_sym_bytes] = ACTIONS(765),
    [anon_sym_bytes1] = ACTIONS(765),
    [anon_sym_bytes2] = ACTIONS(765),
    [anon_sym_bytes3] = ACTIONS(765),
    [anon_sym_bytes4] = ACTIONS(765),
    [anon_sym_bytes5] = ACTIONS(765),
    [anon_sym_bytes6] = ACTIONS(765),
    [anon_sym_bytes7] = ACTIONS(765),
    [anon_sym_bytes8] = ACTIONS(765),
    [anon_sym_bytes9] = ACTIONS(765),
    [anon_sym_bytes10] = ACTIONS(765),
    [anon_sym_bytes11] = ACTIONS(765),
    [anon_sym_bytes12] = ACTIONS(765),
    [anon_sym_bytes13] = ACTIONS(765),
    [anon_sym_bytes14] = ACTIONS(765),
    [anon_sym_bytes15] = ACTIONS(765),
    [anon_sym_bytes16] = ACTIONS(765),
    [anon_sym_bytes17] = ACTIONS(765),
    [anon_sym_bytes18] = ACTIONS(765),
    [anon_sym_bytes19] = ACTIONS(765),
    [anon_sym_bytes20] = ACTIONS(765),
    [anon_sym_bytes21] = ACTIONS(765),
    [anon_sym_bytes22] = ACTIONS(765),
    [anon_sym_bytes23] = ACTIONS(765),
    [anon_sym_bytes24] = ACTIONS(765),
    [anon_sym_bytes25] = ACTIONS(765),
    [anon_sym_bytes26] = ACTIONS(765),
    [anon_sym_bytes27] = ACTIONS(765),
    [anon_sym_bytes28] = ACTIONS(765),
    [anon_sym_bytes29] = ACTIONS(765),
    [anon_sym_bytes30] = ACTIONS(765),
    [anon_sym_bytes31] = ACTIONS(765),
    [anon_sym_bytes32] = ACTIONS(765),
    [anon_sym_fixed] = ACTIONS(765),
    [aux_sym__fixed_token1] = ACTIONS(765),
    [anon_sym_ufixed] = ACTIONS(765),
    [aux_sym__ufixed_token1] = ACTIONS(765),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [ts_builtin_sym_end] = ACTIONS(767),
    [sym_identifier] = ACTIONS(769),
    [anon_sym_pragma] = ACTIONS(769),
    [anon_sym_import] = ACTIONS(769),
    [anon_sym_type] = ACTIONS(769),
    [anon_sym_abstract] = ACTIONS(769),
    [anon_sym_contract] = ACTIONS(769),
    [anon_sym_error] = ACTIONS(769),
    [anon_sym_interface] = ACTIONS(769),
    [anon_sym_library] = ACTIONS(769),
    [anon_sym_struct] = ACTIONS(769),
    [anon_sym_enum] = ACTIONS(769),
    [anon_sym_using] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_byte] = ACTIONS(769),
    [anon_sym_address] = ACTIONS(769),
    [anon_sym_var] = ACTIONS(769),
    [anon_sym_mapping] = ACTIONS(769),
    [anon_sym_bool] = ACTIONS(769),
    [anon_sym_string] = ACTIONS(769),
    [anon_sym_int] = ACTIONS(769),
    [anon_sym_int8] = ACTIONS(769),
    [anon_sym_int16] = ACTIONS(769),
    [anon_sym_int24] = ACTIONS(769),
    [anon_sym_int32] = ACTIONS(769),
    [anon_sym_int40] = ACTIONS(769),
    [anon_sym_int48] = ACTIONS(769),
    [anon_sym_int56] = ACTIONS(769),
    [anon_sym_int64] = ACTIONS(769),
    [anon_sym_int72] = ACTIONS(769),
    [anon_sym_int80] = ACTIONS(769),
    [anon_sym_int88] = ACTIONS(769),
    [anon_sym_int96] = ACTIONS(769),
    [anon_sym_int104] = ACTIONS(769),
    [anon_sym_int112] = ACTIONS(769),
    [anon_sym_int120] = ACTIONS(769),
    [anon_sym_int128] = ACTIONS(769),
    [anon_sym_int136] = ACTIONS(769),
    [anon_sym_int144] = ACTIONS(769),
    [anon_sym_int152] = ACTIONS(769),
    [anon_sym_int160] = ACTIONS(769),
    [anon_sym_int168] = ACTIONS(769),
    [anon_sym_int176] = ACTIONS(769),
    [anon_sym_int184] = ACTIONS(769),
    [anon_sym_int192] = ACTIONS(769),
    [anon_sym_int200] = ACTIONS(769),
    [anon_sym_int208] = ACTIONS(769),
    [anon_sym_int216] = ACTIONS(769),
    [anon_sym_int224] = ACTIONS(769),
    [anon_sym_int232] = ACTIONS(769),
    [anon_sym_int240] = ACTIONS(769),
    [anon_sym_int248] = ACTIONS(769),
    [anon_sym_int256] = ACTIONS(769),
    [anon_sym_uint] = ACTIONS(769),
    [anon_sym_uint8] = ACTIONS(769),
    [anon_sym_uint16] = ACTIONS(769),
    [anon_sym_uint24] = ACTIONS(769),
    [anon_sym_uint32] = ACTIONS(769),
    [anon_sym_uint40] = ACTIONS(769),
    [anon_sym_uint48] = ACTIONS(769),
    [anon_sym_uint56] = ACTIONS(769),
    [anon_sym_uint64] = ACTIONS(769),
    [anon_sym_uint72] = ACTIONS(769),
    [anon_sym_uint80] = ACTIONS(769),
    [anon_sym_uint88] = ACTIONS(769),
    [anon_sym_uint96] = ACTIONS(769),
    [anon_sym_uint104] = ACTIONS(769),
    [anon_sym_uint112] = ACTIONS(769),
    [anon_sym_uint120] = ACTIONS(769),
    [anon_sym_uint128] = ACTIONS(769),
    [anon_sym_uint136] = ACTIONS(769),
    [anon_sym_uint144] = ACTIONS(769),
    [anon_sym_uint152] = ACTIONS(769),
    [anon_sym_uint160] = ACTIONS(769),
    [anon_sym_uint168] = ACTIONS(769),
    [anon_sym_uint176] = ACTIONS(769),
    [anon_sym_uint184] = ACTIONS(769),
    [anon_sym_uint192] = ACTIONS(769),
    [anon_sym_uint200] = ACTIONS(769),
    [anon_sym_uint208] = ACTIONS(769),
    [anon_sym_uint216] = ACTIONS(769),
    [anon_sym_uint224] = ACTIONS(769),
    [anon_sym_uint232] = ACTIONS(769),
    [anon_sym_uint240] = ACTIONS(769),
    [anon_sym_uint248] = ACTIONS(769),
    [anon_sym_uint256] = ACTIONS(769),
    [anon_sym_bytes] = ACTIONS(769),
    [anon_sym_bytes1] = ACTIONS(769),
    [anon_sym_bytes2] = ACTIONS(769),
    [anon_sym_bytes3] = ACTIONS(769),
    [anon_sym_bytes4] = ACTIONS(769),
    [anon_sym_bytes5] = ACTIONS(769),
    [anon_sym_bytes6] = ACTIONS(769),
    [anon_sym_bytes7] = ACTIONS(769),
    [anon_sym_bytes8] = ACTIONS(769),
    [anon_sym_bytes9] = ACTIONS(769),
    [anon_sym_bytes10] = ACTIONS(769),
    [anon_sym_bytes11] = ACTIONS(769),
    [anon_sym_bytes12] = ACTIONS(769),
    [anon_sym_bytes13] = ACTIONS(769),
    [anon_sym_bytes14] = ACTIONS(769),
    [anon_sym_bytes15] = ACTIONS(769),
    [anon_sym_bytes16] = ACTIONS(769),
    [anon_sym_bytes17] = ACTIONS(769),
    [anon_sym_bytes18] = ACTIONS(769),
    [anon_sym_bytes19] = ACTIONS(769),
    [anon_sym_bytes20] = ACTIONS(769),
    [anon_sym_bytes21] = ACTIONS(769),
    [anon_sym_bytes22] = ACTIONS(769),
    [anon_sym_bytes23] = ACTIONS(769),
    [anon_sym_bytes24] = ACTIONS(769),
    [anon_sym_bytes25] = ACTIONS(769),
    [anon_sym_bytes26] = ACTIONS(769),
    [anon_sym_bytes27] = ACTIONS(769),
    [anon_sym_bytes28] = ACTIONS(769),
    [anon_sym_bytes29] = ACTIONS(769),
    [anon_sym_bytes30] = ACTIONS(769),
    [anon_sym_bytes31] = ACTIONS(769),
    [anon_sym_bytes32] = ACTIONS(769),
    [anon_sym_fixed] = ACTIONS(769),
    [aux_sym__fixed_token1] = ACTIONS(769),
    [anon_sym_ufixed] = ACTIONS(769),
    [aux_sym__ufixed_token1] = ACTIONS(769),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [ts_builtin_sym_end] = ACTIONS(771),
    [sym_identifier] = ACTIONS(773),
    [anon_sym_pragma] = ACTIONS(773),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_type] = ACTIONS(773),
    [anon_sym_abstract] = ACTIONS(773),
    [anon_sym_contract] = ACTIONS(773),
    [anon_sym_error] = ACTIONS(773),
    [anon_sym_interface] = ACTIONS(773),
    [anon_sym_library] = ACTIONS(773),
    [anon_sym_struct] = ACTIONS(773),
    [anon_sym_enum] = ACTIONS(773),
    [anon_sym_using] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(773),
    [anon_sym_byte] = ACTIONS(773),
    [anon_sym_address] = ACTIONS(773),
    [anon_sym_var] = ACTIONS(773),
    [anon_sym_mapping] = ACTIONS(773),
    [anon_sym_bool] = ACTIONS(773),
    [anon_sym_string] = ACTIONS(773),
    [anon_sym_int] = ACTIONS(773),
    [anon_sym_int8] = ACTIONS(773),
    [anon_sym_int16] = ACTIONS(773),
    [anon_sym_int24] = ACTIONS(773),
    [anon_sym_int32] = ACTIONS(773),
    [anon_sym_int40] = ACTIONS(773),
    [anon_sym_int48] = ACTIONS(773),
    [anon_sym_int56] = ACTIONS(773),
    [anon_sym_int64] = ACTIONS(773),
    [anon_sym_int72] = ACTIONS(773),
    [anon_sym_int80] = ACTIONS(773),
    [anon_sym_int88] = ACTIONS(773),
    [anon_sym_int96] = ACTIONS(773),
    [anon_sym_int104] = ACTIONS(773),
    [anon_sym_int112] = ACTIONS(773),
    [anon_sym_int120] = ACTIONS(773),
    [anon_sym_int128] = ACTIONS(773),
    [anon_sym_int136] = ACTIONS(773),
    [anon_sym_int144] = ACTIONS(773),
    [anon_sym_int152] = ACTIONS(773),
    [anon_sym_int160] = ACTIONS(773),
    [anon_sym_int168] = ACTIONS(773),
    [anon_sym_int176] = ACTIONS(773),
    [anon_sym_int184] = ACTIONS(773),
    [anon_sym_int192] = ACTIONS(773),
    [anon_sym_int200] = ACTIONS(773),
    [anon_sym_int208] = ACTIONS(773),
    [anon_sym_int216] = ACTIONS(773),
    [anon_sym_int224] = ACTIONS(773),
    [anon_sym_int232] = ACTIONS(773),
    [anon_sym_int240] = ACTIONS(773),
    [anon_sym_int248] = ACTIONS(773),
    [anon_sym_int256] = ACTIONS(773),
    [anon_sym_uint] = ACTIONS(773),
    [anon_sym_uint8] = ACTIONS(773),
    [anon_sym_uint16] = ACTIONS(773),
    [anon_sym_uint24] = ACTIONS(773),
    [anon_sym_uint32] = ACTIONS(773),
    [anon_sym_uint40] = ACTIONS(773),
    [anon_sym_uint48] = ACTIONS(773),
    [anon_sym_uint56] = ACTIONS(773),
    [anon_sym_uint64] = ACTIONS(773),
    [anon_sym_uint72] = ACTIONS(773),
    [anon_sym_uint80] = ACTIONS(773),
    [anon_sym_uint88] = ACTIONS(773),
    [anon_sym_uint96] = ACTIONS(773),
    [anon_sym_uint104] = ACTIONS(773),
    [anon_sym_uint112] = ACTIONS(773),
    [anon_sym_uint120] = ACTIONS(773),
    [anon_sym_uint128] = ACTIONS(773),
    [anon_sym_uint136] = ACTIONS(773),
    [anon_sym_uint144] = ACTIONS(773),
    [anon_sym_uint152] = ACTIONS(773),
    [anon_sym_uint160] = ACTIONS(773),
    [anon_sym_uint168] = ACTIONS(773),
    [anon_sym_uint176] = ACTIONS(773),
    [anon_sym_uint184] = ACTIONS(773),
    [anon_sym_uint192] = ACTIONS(773),
    [anon_sym_uint200] = ACTIONS(773),
    [anon_sym_uint208] = ACTIONS(773),
    [anon_sym_uint216] = ACTIONS(773),
    [anon_sym_uint224] = ACTIONS(773),
    [anon_sym_uint232] = ACTIONS(773),
    [anon_sym_uint240] = ACTIONS(773),
    [anon_sym_uint248] = ACTIONS(773),
    [anon_sym_uint256] = ACTIONS(773),
    [anon_sym_bytes] = ACTIONS(773),
    [anon_sym_bytes1] = ACTIONS(773),
    [anon_sym_bytes2] = ACTIONS(773),
    [anon_sym_bytes3] = ACTIONS(773),
    [anon_sym_bytes4] = ACTIONS(773),
    [anon_sym_bytes5] = ACTIONS(773),
    [anon_sym_bytes6] = ACTIONS(773),
    [anon_sym_bytes7] = ACTIONS(773),
    [anon_sym_bytes8] = ACTIONS(773),
    [anon_sym_bytes9] = ACTIONS(773),
    [anon_sym_bytes10] = ACTIONS(773),
    [anon_sym_bytes11] = ACTIONS(773),
    [anon_sym_bytes12] = ACTIONS(773),
    [anon_sym_bytes13] = ACTIONS(773),
    [anon_sym_bytes14] = ACTIONS(773),
    [anon_sym_bytes15] = ACTIONS(773),
    [anon_sym_bytes16] = ACTIONS(773),
    [anon_sym_bytes17] = ACTIONS(773),
    [anon_sym_bytes18] = ACTIONS(773),
    [anon_sym_bytes19] = ACTIONS(773),
    [anon_sym_bytes20] = ACTIONS(773),
    [anon_sym_bytes21] = ACTIONS(773),
    [anon_sym_bytes22] = ACTIONS(773),
    [anon_sym_bytes23] = ACTIONS(773),
    [anon_sym_bytes24] = ACTIONS(773),
    [anon_sym_bytes25] = ACTIONS(773),
    [anon_sym_bytes26] = ACTIONS(773),
    [anon_sym_bytes27] = ACTIONS(773),
    [anon_sym_bytes28] = ACTIONS(773),
    [anon_sym_bytes29] = ACTIONS(773),
    [anon_sym_bytes30] = ACTIONS(773),
    [anon_sym_bytes31] = ACTIONS(773),
    [anon_sym_bytes32] = ACTIONS(773),
    [anon_sym_fixed] = ACTIONS(773),
    [aux_sym__fixed_token1] = ACTIONS(773),
    [anon_sym_ufixed] = ACTIONS(773),
    [aux_sym__ufixed_token1] = ACTIONS(773),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [ts_builtin_sym_end] = ACTIONS(775),
    [sym_identifier] = ACTIONS(777),
    [anon_sym_pragma] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(777),
    [anon_sym_type] = ACTIONS(777),
    [anon_sym_abstract] = ACTIONS(777),
    [anon_sym_contract] = ACTIONS(777),
    [anon_sym_error] = ACTIONS(777),
    [anon_sym_interface] = ACTIONS(777),
    [anon_sym_library] = ACTIONS(777),
    [anon_sym_struct] = ACTIONS(777),
    [anon_sym_enum] = ACTIONS(777),
    [anon_sym_using] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(777),
    [anon_sym_byte] = ACTIONS(777),
    [anon_sym_address] = ACTIONS(777),
    [anon_sym_var] = ACTIONS(777),
    [anon_sym_mapping] = ACTIONS(777),
    [anon_sym_bool] = ACTIONS(777),
    [anon_sym_string] = ACTIONS(777),
    [anon_sym_int] = ACTIONS(777),
    [anon_sym_int8] = ACTIONS(777),
    [anon_sym_int16] = ACTIONS(777),
    [anon_sym_int24] = ACTIONS(777),
    [anon_sym_int32] = ACTIONS(777),
    [anon_sym_int40] = ACTIONS(777),
    [anon_sym_int48] = ACTIONS(777),
    [anon_sym_int56] = ACTIONS(777),
    [anon_sym_int64] = ACTIONS(777),
    [anon_sym_int72] = ACTIONS(777),
    [anon_sym_int80] = ACTIONS(777),
    [anon_sym_int88] = ACTIONS(777),
    [anon_sym_int96] = ACTIONS(777),
    [anon_sym_int104] = ACTIONS(777),
    [anon_sym_int112] = ACTIONS(777),
    [anon_sym_int120] = ACTIONS(777),
    [anon_sym_int128] = ACTIONS(777),
    [anon_sym_int136] = ACTIONS(777),
    [anon_sym_int144] = ACTIONS(777),
    [anon_sym_int152] = ACTIONS(777),
    [anon_sym_int160] = ACTIONS(777),
    [anon_sym_int168] = ACTIONS(777),
    [anon_sym_int176] = ACTIONS(777),
    [anon_sym_int184] = ACTIONS(777),
    [anon_sym_int192] = ACTIONS(777),
    [anon_sym_int200] = ACTIONS(777),
    [anon_sym_int208] = ACTIONS(777),
    [anon_sym_int216] = ACTIONS(777),
    [anon_sym_int224] = ACTIONS(777),
    [anon_sym_int232] = ACTIONS(777),
    [anon_sym_int240] = ACTIONS(777),
    [anon_sym_int248] = ACTIONS(777),
    [anon_sym_int256] = ACTIONS(777),
    [anon_sym_uint] = ACTIONS(777),
    [anon_sym_uint8] = ACTIONS(777),
    [anon_sym_uint16] = ACTIONS(777),
    [anon_sym_uint24] = ACTIONS(777),
    [anon_sym_uint32] = ACTIONS(777),
    [anon_sym_uint40] = ACTIONS(777),
    [anon_sym_uint48] = ACTIONS(777),
    [anon_sym_uint56] = ACTIONS(777),
    [anon_sym_uint64] = ACTIONS(777),
    [anon_sym_uint72] = ACTIONS(777),
    [anon_sym_uint80] = ACTIONS(777),
    [anon_sym_uint88] = ACTIONS(777),
    [anon_sym_uint96] = ACTIONS(777),
    [anon_sym_uint104] = ACTIONS(777),
    [anon_sym_uint112] = ACTIONS(777),
    [anon_sym_uint120] = ACTIONS(777),
    [anon_sym_uint128] = ACTIONS(777),
    [anon_sym_uint136] = ACTIONS(777),
    [anon_sym_uint144] = ACTIONS(777),
    [anon_sym_uint152] = ACTIONS(777),
    [anon_sym_uint160] = ACTIONS(777),
    [anon_sym_uint168] = ACTIONS(777),
    [anon_sym_uint176] = ACTIONS(777),
    [anon_sym_uint184] = ACTIONS(777),
    [anon_sym_uint192] = ACTIONS(777),
    [anon_sym_uint200] = ACTIONS(777),
    [anon_sym_uint208] = ACTIONS(777),
    [anon_sym_uint216] = ACTIONS(777),
    [anon_sym_uint224] = ACTIONS(777),
    [anon_sym_uint232] = ACTIONS(777),
    [anon_sym_uint240] = ACTIONS(777),
    [anon_sym_uint248] = ACTIONS(777),
    [anon_sym_uint256] = ACTIONS(777),
    [anon_sym_bytes] = ACTIONS(777),
    [anon_sym_bytes1] = ACTIONS(777),
    [anon_sym_bytes2] = ACTIONS(777),
    [anon_sym_bytes3] = ACTIONS(777),
    [anon_sym_bytes4] = ACTIONS(777),
    [anon_sym_bytes5] = ACTIONS(777),
    [anon_sym_bytes6] = ACTIONS(777),
    [anon_sym_bytes7] = ACTIONS(777),
    [anon_sym_bytes8] = ACTIONS(777),
    [anon_sym_bytes9] = ACTIONS(777),
    [anon_sym_bytes10] = ACTIONS(777),
    [anon_sym_bytes11] = ACTIONS(777),
    [anon_sym_bytes12] = ACTIONS(777),
    [anon_sym_bytes13] = ACTIONS(777),
    [anon_sym_bytes14] = ACTIONS(777),
    [anon_sym_bytes15] = ACTIONS(777),
    [anon_sym_bytes16] = ACTIONS(777),
    [anon_sym_bytes17] = ACTIONS(777),
    [anon_sym_bytes18] = ACTIONS(777),
    [anon_sym_bytes19] = ACTIONS(777),
    [anon_sym_bytes20] = ACTIONS(777),
    [anon_sym_bytes21] = ACTIONS(777),
    [anon_sym_bytes22] = ACTIONS(777),
    [anon_sym_bytes23] = ACTIONS(777),
    [anon_sym_bytes24] = ACTIONS(777),
    [anon_sym_bytes25] = ACTIONS(777),
    [anon_sym_bytes26] = ACTIONS(777),
    [anon_sym_bytes27] = ACTIONS(777),
    [anon_sym_bytes28] = ACTIONS(777),
    [anon_sym_bytes29] = ACTIONS(777),
    [anon_sym_bytes30] = ACTIONS(777),
    [anon_sym_bytes31] = ACTIONS(777),
    [anon_sym_bytes32] = ACTIONS(777),
    [anon_sym_fixed] = ACTIONS(777),
    [aux_sym__fixed_token1] = ACTIONS(777),
    [anon_sym_ufixed] = ACTIONS(777),
    [aux_sym__ufixed_token1] = ACTIONS(777),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [ts_builtin_sym_end] = ACTIONS(779),
    [sym_identifier] = ACTIONS(781),
    [anon_sym_pragma] = ACTIONS(781),
    [anon_sym_import] = ACTIONS(781),
    [anon_sym_type] = ACTIONS(781),
    [anon_sym_abstract] = ACTIONS(781),
    [anon_sym_contract] = ACTIONS(781),
    [anon_sym_error] = ACTIONS(781),
    [anon_sym_interface] = ACTIONS(781),
    [anon_sym_library] = ACTIONS(781),
    [anon_sym_struct] = ACTIONS(781),
    [anon_sym_enum] = ACTIONS(781),
    [anon_sym_using] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(781),
    [anon_sym_byte] = ACTIONS(781),
    [anon_sym_address] = ACTIONS(781),
    [anon_sym_var] = ACTIONS(781),
    [anon_sym_mapping] = ACTIONS(781),
    [anon_sym_bool] = ACTIONS(781),
    [anon_sym_string] = ACTIONS(781),
    [anon_sym_int] = ACTIONS(781),
    [anon_sym_int8] = ACTIONS(781),
    [anon_sym_int16] = ACTIONS(781),
    [anon_sym_int24] = ACTIONS(781),
    [anon_sym_int32] = ACTIONS(781),
    [anon_sym_int40] = ACTIONS(781),
    [anon_sym_int48] = ACTIONS(781),
    [anon_sym_int56] = ACTIONS(781),
    [anon_sym_int64] = ACTIONS(781),
    [anon_sym_int72] = ACTIONS(781),
    [anon_sym_int80] = ACTIONS(781),
    [anon_sym_int88] = ACTIONS(781),
    [anon_sym_int96] = ACTIONS(781),
    [anon_sym_int104] = ACTIONS(781),
    [anon_sym_int112] = ACTIONS(781),
    [anon_sym_int120] = ACTIONS(781),
    [anon_sym_int128] = ACTIONS(781),
    [anon_sym_int136] = ACTIONS(781),
    [anon_sym_int144] = ACTIONS(781),
    [anon_sym_int152] = ACTIONS(781),
    [anon_sym_int160] = ACTIONS(781),
    [anon_sym_int168] = ACTIONS(781),
    [anon_sym_int176] = ACTIONS(781),
    [anon_sym_int184] = ACTIONS(781),
    [anon_sym_int192] = ACTIONS(781),
    [anon_sym_int200] = ACTIONS(781),
    [anon_sym_int208] = ACTIONS(781),
    [anon_sym_int216] = ACTIONS(781),
    [anon_sym_int224] = ACTIONS(781),
    [anon_sym_int232] = ACTIONS(781),
    [anon_sym_int240] = ACTIONS(781),
    [anon_sym_int248] = ACTIONS(781),
    [anon_sym_int256] = ACTIONS(781),
    [anon_sym_uint] = ACTIONS(781),
    [anon_sym_uint8] = ACTIONS(781),
    [anon_sym_uint16] = ACTIONS(781),
    [anon_sym_uint24] = ACTIONS(781),
    [anon_sym_uint32] = ACTIONS(781),
    [anon_sym_uint40] = ACTIONS(781),
    [anon_sym_uint48] = ACTIONS(781),
    [anon_sym_uint56] = ACTIONS(781),
    [anon_sym_uint64] = ACTIONS(781),
    [anon_sym_uint72] = ACTIONS(781),
    [anon_sym_uint80] = ACTIONS(781),
    [anon_sym_uint88] = ACTIONS(781),
    [anon_sym_uint96] = ACTIONS(781),
    [anon_sym_uint104] = ACTIONS(781),
    [anon_sym_uint112] = ACTIONS(781),
    [anon_sym_uint120] = ACTIONS(781),
    [anon_sym_uint128] = ACTIONS(781),
    [anon_sym_uint136] = ACTIONS(781),
    [anon_sym_uint144] = ACTIONS(781),
    [anon_sym_uint152] = ACTIONS(781),
    [anon_sym_uint160] = ACTIONS(781),
    [anon_sym_uint168] = ACTIONS(781),
    [anon_sym_uint176] = ACTIONS(781),
    [anon_sym_uint184] = ACTIONS(781),
    [anon_sym_uint192] = ACTIONS(781),
    [anon_sym_uint200] = ACTIONS(781),
    [anon_sym_uint208] = ACTIONS(781),
    [anon_sym_uint216] = ACTIONS(781),
    [anon_sym_uint224] = ACTIONS(781),
    [anon_sym_uint232] = ACTIONS(781),
    [anon_sym_uint240] = ACTIONS(781),
    [anon_sym_uint248] = ACTIONS(781),
    [anon_sym_uint256] = ACTIONS(781),
    [anon_sym_bytes] = ACTIONS(781),
    [anon_sym_bytes1] = ACTIONS(781),
    [anon_sym_bytes2] = ACTIONS(781),
    [anon_sym_bytes3] = ACTIONS(781),
    [anon_sym_bytes4] = ACTIONS(781),
    [anon_sym_bytes5] = ACTIONS(781),
    [anon_sym_bytes6] = ACTIONS(781),
    [anon_sym_bytes7] = ACTIONS(781),
    [anon_sym_bytes8] = ACTIONS(781),
    [anon_sym_bytes9] = ACTIONS(781),
    [anon_sym_bytes10] = ACTIONS(781),
    [anon_sym_bytes11] = ACTIONS(781),
    [anon_sym_bytes12] = ACTIONS(781),
    [anon_sym_bytes13] = ACTIONS(781),
    [anon_sym_bytes14] = ACTIONS(781),
    [anon_sym_bytes15] = ACTIONS(781),
    [anon_sym_bytes16] = ACTIONS(781),
    [anon_sym_bytes17] = ACTIONS(781),
    [anon_sym_bytes18] = ACTIONS(781),
    [anon_sym_bytes19] = ACTIONS(781),
    [anon_sym_bytes20] = ACTIONS(781),
    [anon_sym_bytes21] = ACTIONS(781),
    [anon_sym_bytes22] = ACTIONS(781),
    [anon_sym_bytes23] = ACTIONS(781),
    [anon_sym_bytes24] = ACTIONS(781),
    [anon_sym_bytes25] = ACTIONS(781),
    [anon_sym_bytes26] = ACTIONS(781),
    [anon_sym_bytes27] = ACTIONS(781),
    [anon_sym_bytes28] = ACTIONS(781),
    [anon_sym_bytes29] = ACTIONS(781),
    [anon_sym_bytes30] = ACTIONS(781),
    [anon_sym_bytes31] = ACTIONS(781),
    [anon_sym_bytes32] = ACTIONS(781),
    [anon_sym_fixed] = ACTIONS(781),
    [aux_sym__fixed_token1] = ACTIONS(781),
    [anon_sym_ufixed] = ACTIONS(781),
    [aux_sym__ufixed_token1] = ACTIONS(781),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [ts_builtin_sym_end] = ACTIONS(783),
    [sym_identifier] = ACTIONS(785),
    [anon_sym_pragma] = ACTIONS(785),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_type] = ACTIONS(785),
    [anon_sym_abstract] = ACTIONS(785),
    [anon_sym_contract] = ACTIONS(785),
    [anon_sym_error] = ACTIONS(785),
    [anon_sym_interface] = ACTIONS(785),
    [anon_sym_library] = ACTIONS(785),
    [anon_sym_struct] = ACTIONS(785),
    [anon_sym_enum] = ACTIONS(785),
    [anon_sym_using] = ACTIONS(785),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_byte] = ACTIONS(785),
    [anon_sym_address] = ACTIONS(785),
    [anon_sym_var] = ACTIONS(785),
    [anon_sym_mapping] = ACTIONS(785),
    [anon_sym_bool] = ACTIONS(785),
    [anon_sym_string] = ACTIONS(785),
    [anon_sym_int] = ACTIONS(785),
    [anon_sym_int8] = ACTIONS(785),
    [anon_sym_int16] = ACTIONS(785),
    [anon_sym_int24] = ACTIONS(785),
    [anon_sym_int32] = ACTIONS(785),
    [anon_sym_int40] = ACTIONS(785),
    [anon_sym_int48] = ACTIONS(785),
    [anon_sym_int56] = ACTIONS(785),
    [anon_sym_int64] = ACTIONS(785),
    [anon_sym_int72] = ACTIONS(785),
    [anon_sym_int80] = ACTIONS(785),
    [anon_sym_int88] = ACTIONS(785),
    [anon_sym_int96] = ACTIONS(785),
    [anon_sym_int104] = ACTIONS(785),
    [anon_sym_int112] = ACTIONS(785),
    [anon_sym_int120] = ACTIONS(785),
    [anon_sym_int128] = ACTIONS(785),
    [anon_sym_int136] = ACTIONS(785),
    [anon_sym_int144] = ACTIONS(785),
    [anon_sym_int152] = ACTIONS(785),
    [anon_sym_int160] = ACTIONS(785),
    [anon_sym_int168] = ACTIONS(785),
    [anon_sym_int176] = ACTIONS(785),
    [anon_sym_int184] = ACTIONS(785),
    [anon_sym_int192] = ACTIONS(785),
    [anon_sym_int200] = ACTIONS(785),
    [anon_sym_int208] = ACTIONS(785),
    [anon_sym_int216] = ACTIONS(785),
    [anon_sym_int224] = ACTIONS(785),
    [anon_sym_int232] = ACTIONS(785),
    [anon_sym_int240] = ACTIONS(785),
    [anon_sym_int248] = ACTIONS(785),
    [anon_sym_int256] = ACTIONS(785),
    [anon_sym_uint] = ACTIONS(785),
    [anon_sym_uint8] = ACTIONS(785),
    [anon_sym_uint16] = ACTIONS(785),
    [anon_sym_uint24] = ACTIONS(785),
    [anon_sym_uint32] = ACTIONS(785),
    [anon_sym_uint40] = ACTIONS(785),
    [anon_sym_uint48] = ACTIONS(785),
    [anon_sym_uint56] = ACTIONS(785),
    [anon_sym_uint64] = ACTIONS(785),
    [anon_sym_uint72] = ACTIONS(785),
    [anon_sym_uint80] = ACTIONS(785),
    [anon_sym_uint88] = ACTIONS(785),
    [anon_sym_uint96] = ACTIONS(785),
    [anon_sym_uint104] = ACTIONS(785),
    [anon_sym_uint112] = ACTIONS(785),
    [anon_sym_uint120] = ACTIONS(785),
    [anon_sym_uint128] = ACTIONS(785),
    [anon_sym_uint136] = ACTIONS(785),
    [anon_sym_uint144] = ACTIONS(785),
    [anon_sym_uint152] = ACTIONS(785),
    [anon_sym_uint160] = ACTIONS(785),
    [anon_sym_uint168] = ACTIONS(785),
    [anon_sym_uint176] = ACTIONS(785),
    [anon_sym_uint184] = ACTIONS(785),
    [anon_sym_uint192] = ACTIONS(785),
    [anon_sym_uint200] = ACTIONS(785),
    [anon_sym_uint208] = ACTIONS(785),
    [anon_sym_uint216] = ACTIONS(785),
    [anon_sym_uint224] = ACTIONS(785),
    [anon_sym_uint232] = ACTIONS(785),
    [anon_sym_uint240] = ACTIONS(785),
    [anon_sym_uint248] = ACTIONS(785),
    [anon_sym_uint256] = ACTIONS(785),
    [anon_sym_bytes] = ACTIONS(785),
    [anon_sym_bytes1] = ACTIONS(785),
    [anon_sym_bytes2] = ACTIONS(785),
    [anon_sym_bytes3] = ACTIONS(785),
    [anon_sym_bytes4] = ACTIONS(785),
    [anon_sym_bytes5] = ACTIONS(785),
    [anon_sym_bytes6] = ACTIONS(785),
    [anon_sym_bytes7] = ACTIONS(785),
    [anon_sym_bytes8] = ACTIONS(785),
    [anon_sym_bytes9] = ACTIONS(785),
    [anon_sym_bytes10] = ACTIONS(785),
    [anon_sym_bytes11] = ACTIONS(785),
    [anon_sym_bytes12] = ACTIONS(785),
    [anon_sym_bytes13] = ACTIONS(785),
    [anon_sym_bytes14] = ACTIONS(785),
    [anon_sym_bytes15] = ACTIONS(785),
    [anon_sym_bytes16] = ACTIONS(785),
    [anon_sym_bytes17] = ACTIONS(785),
    [anon_sym_bytes18] = ACTIONS(785),
    [anon_sym_bytes19] = ACTIONS(785),
    [anon_sym_bytes20] = ACTIONS(785),
    [anon_sym_bytes21] = ACTIONS(785),
    [anon_sym_bytes22] = ACTIONS(785),
    [anon_sym_bytes23] = ACTIONS(785),
    [anon_sym_bytes24] = ACTIONS(785),
    [anon_sym_bytes25] = ACTIONS(785),
    [anon_sym_bytes26] = ACTIONS(785),
    [anon_sym_bytes27] = ACTIONS(785),
    [anon_sym_bytes28] = ACTIONS(785),
    [anon_sym_bytes29] = ACTIONS(785),
    [anon_sym_bytes30] = ACTIONS(785),
    [anon_sym_bytes31] = ACTIONS(785),
    [anon_sym_bytes32] = ACTIONS(785),
    [anon_sym_fixed] = ACTIONS(785),
    [aux_sym__fixed_token1] = ACTIONS(785),
    [anon_sym_ufixed] = ACTIONS(785),
    [aux_sym__ufixed_token1] = ACTIONS(785),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [ts_builtin_sym_end] = ACTIONS(787),
    [sym_identifier] = ACTIONS(789),
    [anon_sym_pragma] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(789),
    [anon_sym_type] = ACTIONS(789),
    [anon_sym_abstract] = ACTIONS(789),
    [anon_sym_contract] = ACTIONS(789),
    [anon_sym_error] = ACTIONS(789),
    [anon_sym_interface] = ACTIONS(789),
    [anon_sym_library] = ACTIONS(789),
    [anon_sym_struct] = ACTIONS(789),
    [anon_sym_enum] = ACTIONS(789),
    [anon_sym_using] = ACTIONS(789),
    [anon_sym_function] = ACTIONS(789),
    [anon_sym_byte] = ACTIONS(789),
    [anon_sym_address] = ACTIONS(789),
    [anon_sym_var] = ACTIONS(789),
    [anon_sym_mapping] = ACTIONS(789),
    [anon_sym_bool] = ACTIONS(789),
    [anon_sym_string] = ACTIONS(789),
    [anon_sym_int] = ACTIONS(789),
    [anon_sym_int8] = ACTIONS(789),
    [anon_sym_int16] = ACTIONS(789),
    [anon_sym_int24] = ACTIONS(789),
    [anon_sym_int32] = ACTIONS(789),
    [anon_sym_int40] = ACTIONS(789),
    [anon_sym_int48] = ACTIONS(789),
    [anon_sym_int56] = ACTIONS(789),
    [anon_sym_int64] = ACTIONS(789),
    [anon_sym_int72] = ACTIONS(789),
    [anon_sym_int80] = ACTIONS(789),
    [anon_sym_int88] = ACTIONS(789),
    [anon_sym_int96] = ACTIONS(789),
    [anon_sym_int104] = ACTIONS(789),
    [anon_sym_int112] = ACTIONS(789),
    [anon_sym_int120] = ACTIONS(789),
    [anon_sym_int128] = ACTIONS(789),
    [anon_sym_int136] = ACTIONS(789),
    [anon_sym_int144] = ACTIONS(789),
    [anon_sym_int152] = ACTIONS(789),
    [anon_sym_int160] = ACTIONS(789),
    [anon_sym_int168] = ACTIONS(789),
    [anon_sym_int176] = ACTIONS(789),
    [anon_sym_int184] = ACTIONS(789),
    [anon_sym_int192] = ACTIONS(789),
    [anon_sym_int200] = ACTIONS(789),
    [anon_sym_int208] = ACTIONS(789),
    [anon_sym_int216] = ACTIONS(789),
    [anon_sym_int224] = ACTIONS(789),
    [anon_sym_int232] = ACTIONS(789),
    [anon_sym_int240] = ACTIONS(789),
    [anon_sym_int248] = ACTIONS(789),
    [anon_sym_int256] = ACTIONS(789),
    [anon_sym_uint] = ACTIONS(789),
    [anon_sym_uint8] = ACTIONS(789),
    [anon_sym_uint16] = ACTIONS(789),
    [anon_sym_uint24] = ACTIONS(789),
    [anon_sym_uint32] = ACTIONS(789),
    [anon_sym_uint40] = ACTIONS(789),
    [anon_sym_uint48] = ACTIONS(789),
    [anon_sym_uint56] = ACTIONS(789),
    [anon_sym_uint64] = ACTIONS(789),
    [anon_sym_uint72] = ACTIONS(789),
    [anon_sym_uint80] = ACTIONS(789),
    [anon_sym_uint88] = ACTIONS(789),
    [anon_sym_uint96] = ACTIONS(789),
    [anon_sym_uint104] = ACTIONS(789),
    [anon_sym_uint112] = ACTIONS(789),
    [anon_sym_uint120] = ACTIONS(789),
    [anon_sym_uint128] = ACTIONS(789),
    [anon_sym_uint136] = ACTIONS(789),
    [anon_sym_uint144] = ACTIONS(789),
    [anon_sym_uint152] = ACTIONS(789),
    [anon_sym_uint160] = ACTIONS(789),
    [anon_sym_uint168] = ACTIONS(789),
    [anon_sym_uint176] = ACTIONS(789),
    [anon_sym_uint184] = ACTIONS(789),
    [anon_sym_uint192] = ACTIONS(789),
    [anon_sym_uint200] = ACTIONS(789),
    [anon_sym_uint208] = ACTIONS(789),
    [anon_sym_uint216] = ACTIONS(789),
    [anon_sym_uint224] = ACTIONS(789),
    [anon_sym_uint232] = ACTIONS(789),
    [anon_sym_uint240] = ACTIONS(789),
    [anon_sym_uint248] = ACTIONS(789),
    [anon_sym_uint256] = ACTIONS(789),
    [anon_sym_bytes] = ACTIONS(789),
    [anon_sym_bytes1] = ACTIONS(789),
    [anon_sym_bytes2] = ACTIONS(789),
    [anon_sym_bytes3] = ACTIONS(789),
    [anon_sym_bytes4] = ACTIONS(789),
    [anon_sym_bytes5] = ACTIONS(789),
    [anon_sym_bytes6] = ACTIONS(789),
    [anon_sym_bytes7] = ACTIONS(789),
    [anon_sym_bytes8] = ACTIONS(789),
    [anon_sym_bytes9] = ACTIONS(789),
    [anon_sym_bytes10] = ACTIONS(789),
    [anon_sym_bytes11] = ACTIONS(789),
    [anon_sym_bytes12] = ACTIONS(789),
    [anon_sym_bytes13] = ACTIONS(789),
    [anon_sym_bytes14] = ACTIONS(789),
    [anon_sym_bytes15] = ACTIONS(789),
    [anon_sym_bytes16] = ACTIONS(789),
    [anon_sym_bytes17] = ACTIONS(789),
    [anon_sym_bytes18] = ACTIONS(789),
    [anon_sym_bytes19] = ACTIONS(789),
    [anon_sym_bytes20] = ACTIONS(789),
    [anon_sym_bytes21] = ACTIONS(789),
    [anon_sym_bytes22] = ACTIONS(789),
    [anon_sym_bytes23] = ACTIONS(789),
    [anon_sym_bytes24] = ACTIONS(789),
    [anon_sym_bytes25] = ACTIONS(789),
    [anon_sym_bytes26] = ACTIONS(789),
    [anon_sym_bytes27] = ACTIONS(789),
    [anon_sym_bytes28] = ACTIONS(789),
    [anon_sym_bytes29] = ACTIONS(789),
    [anon_sym_bytes30] = ACTIONS(789),
    [anon_sym_bytes31] = ACTIONS(789),
    [anon_sym_bytes32] = ACTIONS(789),
    [anon_sym_fixed] = ACTIONS(789),
    [aux_sym__fixed_token1] = ACTIONS(789),
    [anon_sym_ufixed] = ACTIONS(789),
    [aux_sym__ufixed_token1] = ACTIONS(789),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [ts_builtin_sym_end] = ACTIONS(791),
    [sym_identifier] = ACTIONS(793),
    [anon_sym_pragma] = ACTIONS(793),
    [anon_sym_import] = ACTIONS(793),
    [anon_sym_type] = ACTIONS(793),
    [anon_sym_abstract] = ACTIONS(793),
    [anon_sym_contract] = ACTIONS(793),
    [anon_sym_error] = ACTIONS(793),
    [anon_sym_interface] = ACTIONS(793),
    [anon_sym_library] = ACTIONS(793),
    [anon_sym_struct] = ACTIONS(793),
    [anon_sym_enum] = ACTIONS(793),
    [anon_sym_using] = ACTIONS(793),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_byte] = ACTIONS(793),
    [anon_sym_address] = ACTIONS(793),
    [anon_sym_var] = ACTIONS(793),
    [anon_sym_mapping] = ACTIONS(793),
    [anon_sym_bool] = ACTIONS(793),
    [anon_sym_string] = ACTIONS(793),
    [anon_sym_int] = ACTIONS(793),
    [anon_sym_int8] = ACTIONS(793),
    [anon_sym_int16] = ACTIONS(793),
    [anon_sym_int24] = ACTIONS(793),
    [anon_sym_int32] = ACTIONS(793),
    [anon_sym_int40] = ACTIONS(793),
    [anon_sym_int48] = ACTIONS(793),
    [anon_sym_int56] = ACTIONS(793),
    [anon_sym_int64] = ACTIONS(793),
    [anon_sym_int72] = ACTIONS(793),
    [anon_sym_int80] = ACTIONS(793),
    [anon_sym_int88] = ACTIONS(793),
    [anon_sym_int96] = ACTIONS(793),
    [anon_sym_int104] = ACTIONS(793),
    [anon_sym_int112] = ACTIONS(793),
    [anon_sym_int120] = ACTIONS(793),
    [anon_sym_int128] = ACTIONS(793),
    [anon_sym_int136] = ACTIONS(793),
    [anon_sym_int144] = ACTIONS(793),
    [anon_sym_int152] = ACTIONS(793),
    [anon_sym_int160] = ACTIONS(793),
    [anon_sym_int168] = ACTIONS(793),
    [anon_sym_int176] = ACTIONS(793),
    [anon_sym_int184] = ACTIONS(793),
    [anon_sym_int192] = ACTIONS(793),
    [anon_sym_int200] = ACTIONS(793),
    [anon_sym_int208] = ACTIONS(793),
    [anon_sym_int216] = ACTIONS(793),
    [anon_sym_int224] = ACTIONS(793),
    [anon_sym_int232] = ACTIONS(793),
    [anon_sym_int240] = ACTIONS(793),
    [anon_sym_int248] = ACTIONS(793),
    [anon_sym_int256] = ACTIONS(793),
    [anon_sym_uint] = ACTIONS(793),
    [anon_sym_uint8] = ACTIONS(793),
    [anon_sym_uint16] = ACTIONS(793),
    [anon_sym_uint24] = ACTIONS(793),
    [anon_sym_uint32] = ACTIONS(793),
    [anon_sym_uint40] = ACTIONS(793),
    [anon_sym_uint48] = ACTIONS(793),
    [anon_sym_uint56] = ACTIONS(793),
    [anon_sym_uint64] = ACTIONS(793),
    [anon_sym_uint72] = ACTIONS(793),
    [anon_sym_uint80] = ACTIONS(793),
    [anon_sym_uint88] = ACTIONS(793),
    [anon_sym_uint96] = ACTIONS(793),
    [anon_sym_uint104] = ACTIONS(793),
    [anon_sym_uint112] = ACTIONS(793),
    [anon_sym_uint120] = ACTIONS(793),
    [anon_sym_uint128] = ACTIONS(793),
    [anon_sym_uint136] = ACTIONS(793),
    [anon_sym_uint144] = ACTIONS(793),
    [anon_sym_uint152] = ACTIONS(793),
    [anon_sym_uint160] = ACTIONS(793),
    [anon_sym_uint168] = ACTIONS(793),
    [anon_sym_uint176] = ACTIONS(793),
    [anon_sym_uint184] = ACTIONS(793),
    [anon_sym_uint192] = ACTIONS(793),
    [anon_sym_uint200] = ACTIONS(793),
    [anon_sym_uint208] = ACTIONS(793),
    [anon_sym_uint216] = ACTIONS(793),
    [anon_sym_uint224] = ACTIONS(793),
    [anon_sym_uint232] = ACTIONS(793),
    [anon_sym_uint240] = ACTIONS(793),
    [anon_sym_uint248] = ACTIONS(793),
    [anon_sym_uint256] = ACTIONS(793),
    [anon_sym_bytes] = ACTIONS(793),
    [anon_sym_bytes1] = ACTIONS(793),
    [anon_sym_bytes2] = ACTIONS(793),
    [anon_sym_bytes3] = ACTIONS(793),
    [anon_sym_bytes4] = ACTIONS(793),
    [anon_sym_bytes5] = ACTIONS(793),
    [anon_sym_bytes6] = ACTIONS(793),
    [anon_sym_bytes7] = ACTIONS(793),
    [anon_sym_bytes8] = ACTIONS(793),
    [anon_sym_bytes9] = ACTIONS(793),
    [anon_sym_bytes10] = ACTIONS(793),
    [anon_sym_bytes11] = ACTIONS(793),
    [anon_sym_bytes12] = ACTIONS(793),
    [anon_sym_bytes13] = ACTIONS(793),
    [anon_sym_bytes14] = ACTIONS(793),
    [anon_sym_bytes15] = ACTIONS(793),
    [anon_sym_bytes16] = ACTIONS(793),
    [anon_sym_bytes17] = ACTIONS(793),
    [anon_sym_bytes18] = ACTIONS(793),
    [anon_sym_bytes19] = ACTIONS(793),
    [anon_sym_bytes20] = ACTIONS(793),
    [anon_sym_bytes21] = ACTIONS(793),
    [anon_sym_bytes22] = ACTIONS(793),
    [anon_sym_bytes23] = ACTIONS(793),
    [anon_sym_bytes24] = ACTIONS(793),
    [anon_sym_bytes25] = ACTIONS(793),
    [anon_sym_bytes26] = ACTIONS(793),
    [anon_sym_bytes27] = ACTIONS(793),
    [anon_sym_bytes28] = ACTIONS(793),
    [anon_sym_bytes29] = ACTIONS(793),
    [anon_sym_bytes30] = ACTIONS(793),
    [anon_sym_bytes31] = ACTIONS(793),
    [anon_sym_bytes32] = ACTIONS(793),
    [anon_sym_fixed] = ACTIONS(793),
    [aux_sym__fixed_token1] = ACTIONS(793),
    [anon_sym_ufixed] = ACTIONS(793),
    [aux_sym__ufixed_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [ts_builtin_sym_end] = ACTIONS(791),
    [sym_identifier] = ACTIONS(793),
    [anon_sym_pragma] = ACTIONS(793),
    [anon_sym_import] = ACTIONS(793),
    [anon_sym_type] = ACTIONS(793),
    [anon_sym_abstract] = ACTIONS(793),
    [anon_sym_contract] = ACTIONS(793),
    [anon_sym_error] = ACTIONS(793),
    [anon_sym_interface] = ACTIONS(793),
    [anon_sym_library] = ACTIONS(793),
    [anon_sym_struct] = ACTIONS(793),
    [anon_sym_enum] = ACTIONS(793),
    [anon_sym_using] = ACTIONS(793),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_byte] = ACTIONS(793),
    [anon_sym_address] = ACTIONS(793),
    [anon_sym_var] = ACTIONS(793),
    [anon_sym_mapping] = ACTIONS(793),
    [anon_sym_bool] = ACTIONS(793),
    [anon_sym_string] = ACTIONS(793),
    [anon_sym_int] = ACTIONS(793),
    [anon_sym_int8] = ACTIONS(793),
    [anon_sym_int16] = ACTIONS(793),
    [anon_sym_int24] = ACTIONS(793),
    [anon_sym_int32] = ACTIONS(793),
    [anon_sym_int40] = ACTIONS(793),
    [anon_sym_int48] = ACTIONS(793),
    [anon_sym_int56] = ACTIONS(793),
    [anon_sym_int64] = ACTIONS(793),
    [anon_sym_int72] = ACTIONS(793),
    [anon_sym_int80] = ACTIONS(793),
    [anon_sym_int88] = ACTIONS(793),
    [anon_sym_int96] = ACTIONS(793),
    [anon_sym_int104] = ACTIONS(793),
    [anon_sym_int112] = ACTIONS(793),
    [anon_sym_int120] = ACTIONS(793),
    [anon_sym_int128] = ACTIONS(793),
    [anon_sym_int136] = ACTIONS(793),
    [anon_sym_int144] = ACTIONS(793),
    [anon_sym_int152] = ACTIONS(793),
    [anon_sym_int160] = ACTIONS(793),
    [anon_sym_int168] = ACTIONS(793),
    [anon_sym_int176] = ACTIONS(793),
    [anon_sym_int184] = ACTIONS(793),
    [anon_sym_int192] = ACTIONS(793),
    [anon_sym_int200] = ACTIONS(793),
    [anon_sym_int208] = ACTIONS(793),
    [anon_sym_int216] = ACTIONS(793),
    [anon_sym_int224] = ACTIONS(793),
    [anon_sym_int232] = ACTIONS(793),
    [anon_sym_int240] = ACTIONS(793),
    [anon_sym_int248] = ACTIONS(793),
    [anon_sym_int256] = ACTIONS(793),
    [anon_sym_uint] = ACTIONS(793),
    [anon_sym_uint8] = ACTIONS(793),
    [anon_sym_uint16] = ACTIONS(793),
    [anon_sym_uint24] = ACTIONS(793),
    [anon_sym_uint32] = ACTIONS(793),
    [anon_sym_uint40] = ACTIONS(793),
    [anon_sym_uint48] = ACTIONS(793),
    [anon_sym_uint56] = ACTIONS(793),
    [anon_sym_uint64] = ACTIONS(793),
    [anon_sym_uint72] = ACTIONS(793),
    [anon_sym_uint80] = ACTIONS(793),
    [anon_sym_uint88] = ACTIONS(793),
    [anon_sym_uint96] = ACTIONS(793),
    [anon_sym_uint104] = ACTIONS(793),
    [anon_sym_uint112] = ACTIONS(793),
    [anon_sym_uint120] = ACTIONS(793),
    [anon_sym_uint128] = ACTIONS(793),
    [anon_sym_uint136] = ACTIONS(793),
    [anon_sym_uint144] = ACTIONS(793),
    [anon_sym_uint152] = ACTIONS(793),
    [anon_sym_uint160] = ACTIONS(793),
    [anon_sym_uint168] = ACTIONS(793),
    [anon_sym_uint176] = ACTIONS(793),
    [anon_sym_uint184] = ACTIONS(793),
    [anon_sym_uint192] = ACTIONS(793),
    [anon_sym_uint200] = ACTIONS(793),
    [anon_sym_uint208] = ACTIONS(793),
    [anon_sym_uint216] = ACTIONS(793),
    [anon_sym_uint224] = ACTIONS(793),
    [anon_sym_uint232] = ACTIONS(793),
    [anon_sym_uint240] = ACTIONS(793),
    [anon_sym_uint248] = ACTIONS(793),
    [anon_sym_uint256] = ACTIONS(793),
    [anon_sym_bytes] = ACTIONS(793),
    [anon_sym_bytes1] = ACTIONS(793),
    [anon_sym_bytes2] = ACTIONS(793),
    [anon_sym_bytes3] = ACTIONS(793),
    [anon_sym_bytes4] = ACTIONS(793),
    [anon_sym_bytes5] = ACTIONS(793),
    [anon_sym_bytes6] = ACTIONS(793),
    [anon_sym_bytes7] = ACTIONS(793),
    [anon_sym_bytes8] = ACTIONS(793),
    [anon_sym_bytes9] = ACTIONS(793),
    [anon_sym_bytes10] = ACTIONS(793),
    [anon_sym_bytes11] = ACTIONS(793),
    [anon_sym_bytes12] = ACTIONS(793),
    [anon_sym_bytes13] = ACTIONS(793),
    [anon_sym_bytes14] = ACTIONS(793),
    [anon_sym_bytes15] = ACTIONS(793),
    [anon_sym_bytes16] = ACTIONS(793),
    [anon_sym_bytes17] = ACTIONS(793),
    [anon_sym_bytes18] = ACTIONS(793),
    [anon_sym_bytes19] = ACTIONS(793),
    [anon_sym_bytes20] = ACTIONS(793),
    [anon_sym_bytes21] = ACTIONS(793),
    [anon_sym_bytes22] = ACTIONS(793),
    [anon_sym_bytes23] = ACTIONS(793),
    [anon_sym_bytes24] = ACTIONS(793),
    [anon_sym_bytes25] = ACTIONS(793),
    [anon_sym_bytes26] = ACTIONS(793),
    [anon_sym_bytes27] = ACTIONS(793),
    [anon_sym_bytes28] = ACTIONS(793),
    [anon_sym_bytes29] = ACTIONS(793),
    [anon_sym_bytes30] = ACTIONS(793),
    [anon_sym_bytes31] = ACTIONS(793),
    [anon_sym_bytes32] = ACTIONS(793),
    [anon_sym_fixed] = ACTIONS(793),
    [aux_sym__fixed_token1] = ACTIONS(793),
    [anon_sym_ufixed] = ACTIONS(793),
    [aux_sym__ufixed_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [ts_builtin_sym_end] = ACTIONS(795),
    [sym_identifier] = ACTIONS(797),
    [anon_sym_pragma] = ACTIONS(797),
    [anon_sym_import] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_abstract] = ACTIONS(797),
    [anon_sym_contract] = ACTIONS(797),
    [anon_sym_error] = ACTIONS(797),
    [anon_sym_interface] = ACTIONS(797),
    [anon_sym_library] = ACTIONS(797),
    [anon_sym_struct] = ACTIONS(797),
    [anon_sym_enum] = ACTIONS(797),
    [anon_sym_using] = ACTIONS(797),
    [anon_sym_function] = ACTIONS(797),
    [anon_sym_byte] = ACTIONS(797),
    [anon_sym_address] = ACTIONS(797),
    [anon_sym_var] = ACTIONS(797),
    [anon_sym_mapping] = ACTIONS(797),
    [anon_sym_bool] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_int] = ACTIONS(797),
    [anon_sym_int8] = ACTIONS(797),
    [anon_sym_int16] = ACTIONS(797),
    [anon_sym_int24] = ACTIONS(797),
    [anon_sym_int32] = ACTIONS(797),
    [anon_sym_int40] = ACTIONS(797),
    [anon_sym_int48] = ACTIONS(797),
    [anon_sym_int56] = ACTIONS(797),
    [anon_sym_int64] = ACTIONS(797),
    [anon_sym_int72] = ACTIONS(797),
    [anon_sym_int80] = ACTIONS(797),
    [anon_sym_int88] = ACTIONS(797),
    [anon_sym_int96] = ACTIONS(797),
    [anon_sym_int104] = ACTIONS(797),
    [anon_sym_int112] = ACTIONS(797),
    [anon_sym_int120] = ACTIONS(797),
    [anon_sym_int128] = ACTIONS(797),
    [anon_sym_int136] = ACTIONS(797),
    [anon_sym_int144] = ACTIONS(797),
    [anon_sym_int152] = ACTIONS(797),
    [anon_sym_int160] = ACTIONS(797),
    [anon_sym_int168] = ACTIONS(797),
    [anon_sym_int176] = ACTIONS(797),
    [anon_sym_int184] = ACTIONS(797),
    [anon_sym_int192] = ACTIONS(797),
    [anon_sym_int200] = ACTIONS(797),
    [anon_sym_int208] = ACTIONS(797),
    [anon_sym_int216] = ACTIONS(797),
    [anon_sym_int224] = ACTIONS(797),
    [anon_sym_int232] = ACTIONS(797),
    [anon_sym_int240] = ACTIONS(797),
    [anon_sym_int248] = ACTIONS(797),
    [anon_sym_int256] = ACTIONS(797),
    [anon_sym_uint] = ACTIONS(797),
    [anon_sym_uint8] = ACTIONS(797),
    [anon_sym_uint16] = ACTIONS(797),
    [anon_sym_uint24] = ACTIONS(797),
    [anon_sym_uint32] = ACTIONS(797),
    [anon_sym_uint40] = ACTIONS(797),
    [anon_sym_uint48] = ACTIONS(797),
    [anon_sym_uint56] = ACTIONS(797),
    [anon_sym_uint64] = ACTIONS(797),
    [anon_sym_uint72] = ACTIONS(797),
    [anon_sym_uint80] = ACTIONS(797),
    [anon_sym_uint88] = ACTIONS(797),
    [anon_sym_uint96] = ACTIONS(797),
    [anon_sym_uint104] = ACTIONS(797),
    [anon_sym_uint112] = ACTIONS(797),
    [anon_sym_uint120] = ACTIONS(797),
    [anon_sym_uint128] = ACTIONS(797),
    [anon_sym_uint136] = ACTIONS(797),
    [anon_sym_uint144] = ACTIONS(797),
    [anon_sym_uint152] = ACTIONS(797),
    [anon_sym_uint160] = ACTIONS(797),
    [anon_sym_uint168] = ACTIONS(797),
    [anon_sym_uint176] = ACTIONS(797),
    [anon_sym_uint184] = ACTIONS(797),
    [anon_sym_uint192] = ACTIONS(797),
    [anon_sym_uint200] = ACTIONS(797),
    [anon_sym_uint208] = ACTIONS(797),
    [anon_sym_uint216] = ACTIONS(797),
    [anon_sym_uint224] = ACTIONS(797),
    [anon_sym_uint232] = ACTIONS(797),
    [anon_sym_uint240] = ACTIONS(797),
    [anon_sym_uint248] = ACTIONS(797),
    [anon_sym_uint256] = ACTIONS(797),
    [anon_sym_bytes] = ACTIONS(797),
    [anon_sym_bytes1] = ACTIONS(797),
    [anon_sym_bytes2] = ACTIONS(797),
    [anon_sym_bytes3] = ACTIONS(797),
    [anon_sym_bytes4] = ACTIONS(797),
    [anon_sym_bytes5] = ACTIONS(797),
    [anon_sym_bytes6] = ACTIONS(797),
    [anon_sym_bytes7] = ACTIONS(797),
    [anon_sym_bytes8] = ACTIONS(797),
    [anon_sym_bytes9] = ACTIONS(797),
    [anon_sym_bytes10] = ACTIONS(797),
    [anon_sym_bytes11] = ACTIONS(797),
    [anon_sym_bytes12] = ACTIONS(797),
    [anon_sym_bytes13] = ACTIONS(797),
    [anon_sym_bytes14] = ACTIONS(797),
    [anon_sym_bytes15] = ACTIONS(797),
    [anon_sym_bytes16] = ACTIONS(797),
    [anon_sym_bytes17] = ACTIONS(797),
    [anon_sym_bytes18] = ACTIONS(797),
    [anon_sym_bytes19] = ACTIONS(797),
    [anon_sym_bytes20] = ACTIONS(797),
    [anon_sym_bytes21] = ACTIONS(797),
    [anon_sym_bytes22] = ACTIONS(797),
    [anon_sym_bytes23] = ACTIONS(797),
    [anon_sym_bytes24] = ACTIONS(797),
    [anon_sym_bytes25] = ACTIONS(797),
    [anon_sym_bytes26] = ACTIONS(797),
    [anon_sym_bytes27] = ACTIONS(797),
    [anon_sym_bytes28] = ACTIONS(797),
    [anon_sym_bytes29] = ACTIONS(797),
    [anon_sym_bytes30] = ACTIONS(797),
    [anon_sym_bytes31] = ACTIONS(797),
    [anon_sym_bytes32] = ACTIONS(797),
    [anon_sym_fixed] = ACTIONS(797),
    [aux_sym__fixed_token1] = ACTIONS(797),
    [anon_sym_ufixed] = ACTIONS(797),
    [aux_sym__ufixed_token1] = ACTIONS(797),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [ts_builtin_sym_end] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_pragma] = ACTIONS(801),
    [anon_sym_import] = ACTIONS(801),
    [anon_sym_type] = ACTIONS(801),
    [anon_sym_abstract] = ACTIONS(801),
    [anon_sym_contract] = ACTIONS(801),
    [anon_sym_error] = ACTIONS(801),
    [anon_sym_interface] = ACTIONS(801),
    [anon_sym_library] = ACTIONS(801),
    [anon_sym_struct] = ACTIONS(801),
    [anon_sym_enum] = ACTIONS(801),
    [anon_sym_using] = ACTIONS(801),
    [anon_sym_function] = ACTIONS(801),
    [anon_sym_byte] = ACTIONS(801),
    [anon_sym_address] = ACTIONS(801),
    [anon_sym_var] = ACTIONS(801),
    [anon_sym_mapping] = ACTIONS(801),
    [anon_sym_bool] = ACTIONS(801),
    [anon_sym_string] = ACTIONS(801),
    [anon_sym_int] = ACTIONS(801),
    [anon_sym_int8] = ACTIONS(801),
    [anon_sym_int16] = ACTIONS(801),
    [anon_sym_int24] = ACTIONS(801),
    [anon_sym_int32] = ACTIONS(801),
    [anon_sym_int40] = ACTIONS(801),
    [anon_sym_int48] = ACTIONS(801),
    [anon_sym_int56] = ACTIONS(801),
    [anon_sym_int64] = ACTIONS(801),
    [anon_sym_int72] = ACTIONS(801),
    [anon_sym_int80] = ACTIONS(801),
    [anon_sym_int88] = ACTIONS(801),
    [anon_sym_int96] = ACTIONS(801),
    [anon_sym_int104] = ACTIONS(801),
    [anon_sym_int112] = ACTIONS(801),
    [anon_sym_int120] = ACTIONS(801),
    [anon_sym_int128] = ACTIONS(801),
    [anon_sym_int136] = ACTIONS(801),
    [anon_sym_int144] = ACTIONS(801),
    [anon_sym_int152] = ACTIONS(801),
    [anon_sym_int160] = ACTIONS(801),
    [anon_sym_int168] = ACTIONS(801),
    [anon_sym_int176] = ACTIONS(801),
    [anon_sym_int184] = ACTIONS(801),
    [anon_sym_int192] = ACTIONS(801),
    [anon_sym_int200] = ACTIONS(801),
    [anon_sym_int208] = ACTIONS(801),
    [anon_sym_int216] = ACTIONS(801),
    [anon_sym_int224] = ACTIONS(801),
    [anon_sym_int232] = ACTIONS(801),
    [anon_sym_int240] = ACTIONS(801),
    [anon_sym_int248] = ACTIONS(801),
    [anon_sym_int256] = ACTIONS(801),
    [anon_sym_uint] = ACTIONS(801),
    [anon_sym_uint8] = ACTIONS(801),
    [anon_sym_uint16] = ACTIONS(801),
    [anon_sym_uint24] = ACTIONS(801),
    [anon_sym_uint32] = ACTIONS(801),
    [anon_sym_uint40] = ACTIONS(801),
    [anon_sym_uint48] = ACTIONS(801),
    [anon_sym_uint56] = ACTIONS(801),
    [anon_sym_uint64] = ACTIONS(801),
    [anon_sym_uint72] = ACTIONS(801),
    [anon_sym_uint80] = ACTIONS(801),
    [anon_sym_uint88] = ACTIONS(801),
    [anon_sym_uint96] = ACTIONS(801),
    [anon_sym_uint104] = ACTIONS(801),
    [anon_sym_uint112] = ACTIONS(801),
    [anon_sym_uint120] = ACTIONS(801),
    [anon_sym_uint128] = ACTIONS(801),
    [anon_sym_uint136] = ACTIONS(801),
    [anon_sym_uint144] = ACTIONS(801),
    [anon_sym_uint152] = ACTIONS(801),
    [anon_sym_uint160] = ACTIONS(801),
    [anon_sym_uint168] = ACTIONS(801),
    [anon_sym_uint176] = ACTIONS(801),
    [anon_sym_uint184] = ACTIONS(801),
    [anon_sym_uint192] = ACTIONS(801),
    [anon_sym_uint200] = ACTIONS(801),
    [anon_sym_uint208] = ACTIONS(801),
    [anon_sym_uint216] = ACTIONS(801),
    [anon_sym_uint224] = ACTIONS(801),
    [anon_sym_uint232] = ACTIONS(801),
    [anon_sym_uint240] = ACTIONS(801),
    [anon_sym_uint248] = ACTIONS(801),
    [anon_sym_uint256] = ACTIONS(801),
    [anon_sym_bytes] = ACTIONS(801),
    [anon_sym_bytes1] = ACTIONS(801),
    [anon_sym_bytes2] = ACTIONS(801),
    [anon_sym_bytes3] = ACTIONS(801),
    [anon_sym_bytes4] = ACTIONS(801),
    [anon_sym_bytes5] = ACTIONS(801),
    [anon_sym_bytes6] = ACTIONS(801),
    [anon_sym_bytes7] = ACTIONS(801),
    [anon_sym_bytes8] = ACTIONS(801),
    [anon_sym_bytes9] = ACTIONS(801),
    [anon_sym_bytes10] = ACTIONS(801),
    [anon_sym_bytes11] = ACTIONS(801),
    [anon_sym_bytes12] = ACTIONS(801),
    [anon_sym_bytes13] = ACTIONS(801),
    [anon_sym_bytes14] = ACTIONS(801),
    [anon_sym_bytes15] = ACTIONS(801),
    [anon_sym_bytes16] = ACTIONS(801),
    [anon_sym_bytes17] = ACTIONS(801),
    [anon_sym_bytes18] = ACTIONS(801),
    [anon_sym_bytes19] = ACTIONS(801),
    [anon_sym_bytes20] = ACTIONS(801),
    [anon_sym_bytes21] = ACTIONS(801),
    [anon_sym_bytes22] = ACTIONS(801),
    [anon_sym_bytes23] = ACTIONS(801),
    [anon_sym_bytes24] = ACTIONS(801),
    [anon_sym_bytes25] = ACTIONS(801),
    [anon_sym_bytes26] = ACTIONS(801),
    [anon_sym_bytes27] = ACTIONS(801),
    [anon_sym_bytes28] = ACTIONS(801),
    [anon_sym_bytes29] = ACTIONS(801),
    [anon_sym_bytes30] = ACTIONS(801),
    [anon_sym_bytes31] = ACTIONS(801),
    [anon_sym_bytes32] = ACTIONS(801),
    [anon_sym_fixed] = ACTIONS(801),
    [aux_sym__fixed_token1] = ACTIONS(801),
    [anon_sym_ufixed] = ACTIONS(801),
    [aux_sym__ufixed_token1] = ACTIONS(801),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [ts_builtin_sym_end] = ACTIONS(803),
    [sym_identifier] = ACTIONS(805),
    [anon_sym_pragma] = ACTIONS(805),
    [anon_sym_import] = ACTIONS(805),
    [anon_sym_type] = ACTIONS(805),
    [anon_sym_abstract] = ACTIONS(805),
    [anon_sym_contract] = ACTIONS(805),
    [anon_sym_error] = ACTIONS(805),
    [anon_sym_interface] = ACTIONS(805),
    [anon_sym_library] = ACTIONS(805),
    [anon_sym_struct] = ACTIONS(805),
    [anon_sym_enum] = ACTIONS(805),
    [anon_sym_using] = ACTIONS(805),
    [anon_sym_function] = ACTIONS(805),
    [anon_sym_byte] = ACTIONS(805),
    [anon_sym_address] = ACTIONS(805),
    [anon_sym_var] = ACTIONS(805),
    [anon_sym_mapping] = ACTIONS(805),
    [anon_sym_bool] = ACTIONS(805),
    [anon_sym_string] = ACTIONS(805),
    [anon_sym_int] = ACTIONS(805),
    [anon_sym_int8] = ACTIONS(805),
    [anon_sym_int16] = ACTIONS(805),
    [anon_sym_int24] = ACTIONS(805),
    [anon_sym_int32] = ACTIONS(805),
    [anon_sym_int40] = ACTIONS(805),
    [anon_sym_int48] = ACTIONS(805),
    [anon_sym_int56] = ACTIONS(805),
    [anon_sym_int64] = ACTIONS(805),
    [anon_sym_int72] = ACTIONS(805),
    [anon_sym_int80] = ACTIONS(805),
    [anon_sym_int88] = ACTIONS(805),
    [anon_sym_int96] = ACTIONS(805),
    [anon_sym_int104] = ACTIONS(805),
    [anon_sym_int112] = ACTIONS(805),
    [anon_sym_int120] = ACTIONS(805),
    [anon_sym_int128] = ACTIONS(805),
    [anon_sym_int136] = ACTIONS(805),
    [anon_sym_int144] = ACTIONS(805),
    [anon_sym_int152] = ACTIONS(805),
    [anon_sym_int160] = ACTIONS(805),
    [anon_sym_int168] = ACTIONS(805),
    [anon_sym_int176] = ACTIONS(805),
    [anon_sym_int184] = ACTIONS(805),
    [anon_sym_int192] = ACTIONS(805),
    [anon_sym_int200] = ACTIONS(805),
    [anon_sym_int208] = ACTIONS(805),
    [anon_sym_int216] = ACTIONS(805),
    [anon_sym_int224] = ACTIONS(805),
    [anon_sym_int232] = ACTIONS(805),
    [anon_sym_int240] = ACTIONS(805),
    [anon_sym_int248] = ACTIONS(805),
    [anon_sym_int256] = ACTIONS(805),
    [anon_sym_uint] = ACTIONS(805),
    [anon_sym_uint8] = ACTIONS(805),
    [anon_sym_uint16] = ACTIONS(805),
    [anon_sym_uint24] = ACTIONS(805),
    [anon_sym_uint32] = ACTIONS(805),
    [anon_sym_uint40] = ACTIONS(805),
    [anon_sym_uint48] = ACTIONS(805),
    [anon_sym_uint56] = ACTIONS(805),
    [anon_sym_uint64] = ACTIONS(805),
    [anon_sym_uint72] = ACTIONS(805),
    [anon_sym_uint80] = ACTIONS(805),
    [anon_sym_uint88] = ACTIONS(805),
    [anon_sym_uint96] = ACTIONS(805),
    [anon_sym_uint104] = ACTIONS(805),
    [anon_sym_uint112] = ACTIONS(805),
    [anon_sym_uint120] = ACTIONS(805),
    [anon_sym_uint128] = ACTIONS(805),
    [anon_sym_uint136] = ACTIONS(805),
    [anon_sym_uint144] = ACTIONS(805),
    [anon_sym_uint152] = ACTIONS(805),
    [anon_sym_uint160] = ACTIONS(805),
    [anon_sym_uint168] = ACTIONS(805),
    [anon_sym_uint176] = ACTIONS(805),
    [anon_sym_uint184] = ACTIONS(805),
    [anon_sym_uint192] = ACTIONS(805),
    [anon_sym_uint200] = ACTIONS(805),
    [anon_sym_uint208] = ACTIONS(805),
    [anon_sym_uint216] = ACTIONS(805),
    [anon_sym_uint224] = ACTIONS(805),
    [anon_sym_uint232] = ACTIONS(805),
    [anon_sym_uint240] = ACTIONS(805),
    [anon_sym_uint248] = ACTIONS(805),
    [anon_sym_uint256] = ACTIONS(805),
    [anon_sym_bytes] = ACTIONS(805),
    [anon_sym_bytes1] = ACTIONS(805),
    [anon_sym_bytes2] = ACTIONS(805),
    [anon_sym_bytes3] = ACTIONS(805),
    [anon_sym_bytes4] = ACTIONS(805),
    [anon_sym_bytes5] = ACTIONS(805),
    [anon_sym_bytes6] = ACTIONS(805),
    [anon_sym_bytes7] = ACTIONS(805),
    [anon_sym_bytes8] = ACTIONS(805),
    [anon_sym_bytes9] = ACTIONS(805),
    [anon_sym_bytes10] = ACTIONS(805),
    [anon_sym_bytes11] = ACTIONS(805),
    [anon_sym_bytes12] = ACTIONS(805),
    [anon_sym_bytes13] = ACTIONS(805),
    [anon_sym_bytes14] = ACTIONS(805),
    [anon_sym_bytes15] = ACTIONS(805),
    [anon_sym_bytes16] = ACTIONS(805),
    [anon_sym_bytes17] = ACTIONS(805),
    [anon_sym_bytes18] = ACTIONS(805),
    [anon_sym_bytes19] = ACTIONS(805),
    [anon_sym_bytes20] = ACTIONS(805),
    [anon_sym_bytes21] = ACTIONS(805),
    [anon_sym_bytes22] = ACTIONS(805),
    [anon_sym_bytes23] = ACTIONS(805),
    [anon_sym_bytes24] = ACTIONS(805),
    [anon_sym_bytes25] = ACTIONS(805),
    [anon_sym_bytes26] = ACTIONS(805),
    [anon_sym_bytes27] = ACTIONS(805),
    [anon_sym_bytes28] = ACTIONS(805),
    [anon_sym_bytes29] = ACTIONS(805),
    [anon_sym_bytes30] = ACTIONS(805),
    [anon_sym_bytes31] = ACTIONS(805),
    [anon_sym_bytes32] = ACTIONS(805),
    [anon_sym_fixed] = ACTIONS(805),
    [aux_sym__fixed_token1] = ACTIONS(805),
    [anon_sym_ufixed] = ACTIONS(805),
    [aux_sym__ufixed_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [ts_builtin_sym_end] = ACTIONS(807),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_pragma] = ACTIONS(809),
    [anon_sym_import] = ACTIONS(809),
    [anon_sym_type] = ACTIONS(809),
    [anon_sym_abstract] = ACTIONS(809),
    [anon_sym_contract] = ACTIONS(809),
    [anon_sym_error] = ACTIONS(809),
    [anon_sym_interface] = ACTIONS(809),
    [anon_sym_library] = ACTIONS(809),
    [anon_sym_struct] = ACTIONS(809),
    [anon_sym_enum] = ACTIONS(809),
    [anon_sym_using] = ACTIONS(809),
    [anon_sym_function] = ACTIONS(809),
    [anon_sym_byte] = ACTIONS(809),
    [anon_sym_address] = ACTIONS(809),
    [anon_sym_var] = ACTIONS(809),
    [anon_sym_mapping] = ACTIONS(809),
    [anon_sym_bool] = ACTIONS(809),
    [anon_sym_string] = ACTIONS(809),
    [anon_sym_int] = ACTIONS(809),
    [anon_sym_int8] = ACTIONS(809),
    [anon_sym_int16] = ACTIONS(809),
    [anon_sym_int24] = ACTIONS(809),
    [anon_sym_int32] = ACTIONS(809),
    [anon_sym_int40] = ACTIONS(809),
    [anon_sym_int48] = ACTIONS(809),
    [anon_sym_int56] = ACTIONS(809),
    [anon_sym_int64] = ACTIONS(809),
    [anon_sym_int72] = ACTIONS(809),
    [anon_sym_int80] = ACTIONS(809),
    [anon_sym_int88] = ACTIONS(809),
    [anon_sym_int96] = ACTIONS(809),
    [anon_sym_int104] = ACTIONS(809),
    [anon_sym_int112] = ACTIONS(809),
    [anon_sym_int120] = ACTIONS(809),
    [anon_sym_int128] = ACTIONS(809),
    [anon_sym_int136] = ACTIONS(809),
    [anon_sym_int144] = ACTIONS(809),
    [anon_sym_int152] = ACTIONS(809),
    [anon_sym_int160] = ACTIONS(809),
    [anon_sym_int168] = ACTIONS(809),
    [anon_sym_int176] = ACTIONS(809),
    [anon_sym_int184] = ACTIONS(809),
    [anon_sym_int192] = ACTIONS(809),
    [anon_sym_int200] = ACTIONS(809),
    [anon_sym_int208] = ACTIONS(809),
    [anon_sym_int216] = ACTIONS(809),
    [anon_sym_int224] = ACTIONS(809),
    [anon_sym_int232] = ACTIONS(809),
    [anon_sym_int240] = ACTIONS(809),
    [anon_sym_int248] = ACTIONS(809),
    [anon_sym_int256] = ACTIONS(809),
    [anon_sym_uint] = ACTIONS(809),
    [anon_sym_uint8] = ACTIONS(809),
    [anon_sym_uint16] = ACTIONS(809),
    [anon_sym_uint24] = ACTIONS(809),
    [anon_sym_uint32] = ACTIONS(809),
    [anon_sym_uint40] = ACTIONS(809),
    [anon_sym_uint48] = ACTIONS(809),
    [anon_sym_uint56] = ACTIONS(809),
    [anon_sym_uint64] = ACTIONS(809),
    [anon_sym_uint72] = ACTIONS(809),
    [anon_sym_uint80] = ACTIONS(809),
    [anon_sym_uint88] = ACTIONS(809),
    [anon_sym_uint96] = ACTIONS(809),
    [anon_sym_uint104] = ACTIONS(809),
    [anon_sym_uint112] = ACTIONS(809),
    [anon_sym_uint120] = ACTIONS(809),
    [anon_sym_uint128] = ACTIONS(809),
    [anon_sym_uint136] = ACTIONS(809),
    [anon_sym_uint144] = ACTIONS(809),
    [anon_sym_uint152] = ACTIONS(809),
    [anon_sym_uint160] = ACTIONS(809),
    [anon_sym_uint168] = ACTIONS(809),
    [anon_sym_uint176] = ACTIONS(809),
    [anon_sym_uint184] = ACTIONS(809),
    [anon_sym_uint192] = ACTIONS(809),
    [anon_sym_uint200] = ACTIONS(809),
    [anon_sym_uint208] = ACTIONS(809),
    [anon_sym_uint216] = ACTIONS(809),
    [anon_sym_uint224] = ACTIONS(809),
    [anon_sym_uint232] = ACTIONS(809),
    [anon_sym_uint240] = ACTIONS(809),
    [anon_sym_uint248] = ACTIONS(809),
    [anon_sym_uint256] = ACTIONS(809),
    [anon_sym_bytes] = ACTIONS(809),
    [anon_sym_bytes1] = ACTIONS(809),
    [anon_sym_bytes2] = ACTIONS(809),
    [anon_sym_bytes3] = ACTIONS(809),
    [anon_sym_bytes4] = ACTIONS(809),
    [anon_sym_bytes5] = ACTIONS(809),
    [anon_sym_bytes6] = ACTIONS(809),
    [anon_sym_bytes7] = ACTIONS(809),
    [anon_sym_bytes8] = ACTIONS(809),
    [anon_sym_bytes9] = ACTIONS(809),
    [anon_sym_bytes10] = ACTIONS(809),
    [anon_sym_bytes11] = ACTIONS(809),
    [anon_sym_bytes12] = ACTIONS(809),
    [anon_sym_bytes13] = ACTIONS(809),
    [anon_sym_bytes14] = ACTIONS(809),
    [anon_sym_bytes15] = ACTIONS(809),
    [anon_sym_bytes16] = ACTIONS(809),
    [anon_sym_bytes17] = ACTIONS(809),
    [anon_sym_bytes18] = ACTIONS(809),
    [anon_sym_bytes19] = ACTIONS(809),
    [anon_sym_bytes20] = ACTIONS(809),
    [anon_sym_bytes21] = ACTIONS(809),
    [anon_sym_bytes22] = ACTIONS(809),
    [anon_sym_bytes23] = ACTIONS(809),
    [anon_sym_bytes24] = ACTIONS(809),
    [anon_sym_bytes25] = ACTIONS(809),
    [anon_sym_bytes26] = ACTIONS(809),
    [anon_sym_bytes27] = ACTIONS(809),
    [anon_sym_bytes28] = ACTIONS(809),
    [anon_sym_bytes29] = ACTIONS(809),
    [anon_sym_bytes30] = ACTIONS(809),
    [anon_sym_bytes31] = ACTIONS(809),
    [anon_sym_bytes32] = ACTIONS(809),
    [anon_sym_fixed] = ACTIONS(809),
    [aux_sym__fixed_token1] = ACTIONS(809),
    [anon_sym_ufixed] = ACTIONS(809),
    [aux_sym__ufixed_token1] = ACTIONS(809),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [ts_builtin_sym_end] = ACTIONS(811),
    [sym_identifier] = ACTIONS(813),
    [anon_sym_pragma] = ACTIONS(813),
    [anon_sym_import] = ACTIONS(813),
    [anon_sym_type] = ACTIONS(813),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_contract] = ACTIONS(813),
    [anon_sym_error] = ACTIONS(813),
    [anon_sym_interface] = ACTIONS(813),
    [anon_sym_library] = ACTIONS(813),
    [anon_sym_struct] = ACTIONS(813),
    [anon_sym_enum] = ACTIONS(813),
    [anon_sym_using] = ACTIONS(813),
    [anon_sym_function] = ACTIONS(813),
    [anon_sym_byte] = ACTIONS(813),
    [anon_sym_address] = ACTIONS(813),
    [anon_sym_var] = ACTIONS(813),
    [anon_sym_mapping] = ACTIONS(813),
    [anon_sym_bool] = ACTIONS(813),
    [anon_sym_string] = ACTIONS(813),
    [anon_sym_int] = ACTIONS(813),
    [anon_sym_int8] = ACTIONS(813),
    [anon_sym_int16] = ACTIONS(813),
    [anon_sym_int24] = ACTIONS(813),
    [anon_sym_int32] = ACTIONS(813),
    [anon_sym_int40] = ACTIONS(813),
    [anon_sym_int48] = ACTIONS(813),
    [anon_sym_int56] = ACTIONS(813),
    [anon_sym_int64] = ACTIONS(813),
    [anon_sym_int72] = ACTIONS(813),
    [anon_sym_int80] = ACTIONS(813),
    [anon_sym_int88] = ACTIONS(813),
    [anon_sym_int96] = ACTIONS(813),
    [anon_sym_int104] = ACTIONS(813),
    [anon_sym_int112] = ACTIONS(813),
    [anon_sym_int120] = ACTIONS(813),
    [anon_sym_int128] = ACTIONS(813),
    [anon_sym_int136] = ACTIONS(813),
    [anon_sym_int144] = ACTIONS(813),
    [anon_sym_int152] = ACTIONS(813),
    [anon_sym_int160] = ACTIONS(813),
    [anon_sym_int168] = ACTIONS(813),
    [anon_sym_int176] = ACTIONS(813),
    [anon_sym_int184] = ACTIONS(813),
    [anon_sym_int192] = ACTIONS(813),
    [anon_sym_int200] = ACTIONS(813),
    [anon_sym_int208] = ACTIONS(813),
    [anon_sym_int216] = ACTIONS(813),
    [anon_sym_int224] = ACTIONS(813),
    [anon_sym_int232] = ACTIONS(813),
    [anon_sym_int240] = ACTIONS(813),
    [anon_sym_int248] = ACTIONS(813),
    [anon_sym_int256] = ACTIONS(813),
    [anon_sym_uint] = ACTIONS(813),
    [anon_sym_uint8] = ACTIONS(813),
    [anon_sym_uint16] = ACTIONS(813),
    [anon_sym_uint24] = ACTIONS(813),
    [anon_sym_uint32] = ACTIONS(813),
    [anon_sym_uint40] = ACTIONS(813),
    [anon_sym_uint48] = ACTIONS(813),
    [anon_sym_uint56] = ACTIONS(813),
    [anon_sym_uint64] = ACTIONS(813),
    [anon_sym_uint72] = ACTIONS(813),
    [anon_sym_uint80] = ACTIONS(813),
    [anon_sym_uint88] = ACTIONS(813),
    [anon_sym_uint96] = ACTIONS(813),
    [anon_sym_uint104] = ACTIONS(813),
    [anon_sym_uint112] = ACTIONS(813),
    [anon_sym_uint120] = ACTIONS(813),
    [anon_sym_uint128] = ACTIONS(813),
    [anon_sym_uint136] = ACTIONS(813),
    [anon_sym_uint144] = ACTIONS(813),
    [anon_sym_uint152] = ACTIONS(813),
    [anon_sym_uint160] = ACTIONS(813),
    [anon_sym_uint168] = ACTIONS(813),
    [anon_sym_uint176] = ACTIONS(813),
    [anon_sym_uint184] = ACTIONS(813),
    [anon_sym_uint192] = ACTIONS(813),
    [anon_sym_uint200] = ACTIONS(813),
    [anon_sym_uint208] = ACTIONS(813),
    [anon_sym_uint216] = ACTIONS(813),
    [anon_sym_uint224] = ACTIONS(813),
    [anon_sym_uint232] = ACTIONS(813),
    [anon_sym_uint240] = ACTIONS(813),
    [anon_sym_uint248] = ACTIONS(813),
    [anon_sym_uint256] = ACTIONS(813),
    [anon_sym_bytes] = ACTIONS(813),
    [anon_sym_bytes1] = ACTIONS(813),
    [anon_sym_bytes2] = ACTIONS(813),
    [anon_sym_bytes3] = ACTIONS(813),
    [anon_sym_bytes4] = ACTIONS(813),
    [anon_sym_bytes5] = ACTIONS(813),
    [anon_sym_bytes6] = ACTIONS(813),
    [anon_sym_bytes7] = ACTIONS(813),
    [anon_sym_bytes8] = ACTIONS(813),
    [anon_sym_bytes9] = ACTIONS(813),
    [anon_sym_bytes10] = ACTIONS(813),
    [anon_sym_bytes11] = ACTIONS(813),
    [anon_sym_bytes12] = ACTIONS(813),
    [anon_sym_bytes13] = ACTIONS(813),
    [anon_sym_bytes14] = ACTIONS(813),
    [anon_sym_bytes15] = ACTIONS(813),
    [anon_sym_bytes16] = ACTIONS(813),
    [anon_sym_bytes17] = ACTIONS(813),
    [anon_sym_bytes18] = ACTIONS(813),
    [anon_sym_bytes19] = ACTIONS(813),
    [anon_sym_bytes20] = ACTIONS(813),
    [anon_sym_bytes21] = ACTIONS(813),
    [anon_sym_bytes22] = ACTIONS(813),
    [anon_sym_bytes23] = ACTIONS(813),
    [anon_sym_bytes24] = ACTIONS(813),
    [anon_sym_bytes25] = ACTIONS(813),
    [anon_sym_bytes26] = ACTIONS(813),
    [anon_sym_bytes27] = ACTIONS(813),
    [anon_sym_bytes28] = ACTIONS(813),
    [anon_sym_bytes29] = ACTIONS(813),
    [anon_sym_bytes30] = ACTIONS(813),
    [anon_sym_bytes31] = ACTIONS(813),
    [anon_sym_bytes32] = ACTIONS(813),
    [anon_sym_fixed] = ACTIONS(813),
    [aux_sym__fixed_token1] = ACTIONS(813),
    [anon_sym_ufixed] = ACTIONS(813),
    [aux_sym__ufixed_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [ts_builtin_sym_end] = ACTIONS(815),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_pragma] = ACTIONS(817),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_type] = ACTIONS(817),
    [anon_sym_abstract] = ACTIONS(817),
    [anon_sym_contract] = ACTIONS(817),
    [anon_sym_error] = ACTIONS(817),
    [anon_sym_interface] = ACTIONS(817),
    [anon_sym_library] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(817),
    [anon_sym_enum] = ACTIONS(817),
    [anon_sym_using] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(817),
    [anon_sym_byte] = ACTIONS(817),
    [anon_sym_address] = ACTIONS(817),
    [anon_sym_var] = ACTIONS(817),
    [anon_sym_mapping] = ACTIONS(817),
    [anon_sym_bool] = ACTIONS(817),
    [anon_sym_string] = ACTIONS(817),
    [anon_sym_int] = ACTIONS(817),
    [anon_sym_int8] = ACTIONS(817),
    [anon_sym_int16] = ACTIONS(817),
    [anon_sym_int24] = ACTIONS(817),
    [anon_sym_int32] = ACTIONS(817),
    [anon_sym_int40] = ACTIONS(817),
    [anon_sym_int48] = ACTIONS(817),
    [anon_sym_int56] = ACTIONS(817),
    [anon_sym_int64] = ACTIONS(817),
    [anon_sym_int72] = ACTIONS(817),
    [anon_sym_int80] = ACTIONS(817),
    [anon_sym_int88] = ACTIONS(817),
    [anon_sym_int96] = ACTIONS(817),
    [anon_sym_int104] = ACTIONS(817),
    [anon_sym_int112] = ACTIONS(817),
    [anon_sym_int120] = ACTIONS(817),
    [anon_sym_int128] = ACTIONS(817),
    [anon_sym_int136] = ACTIONS(817),
    [anon_sym_int144] = ACTIONS(817),
    [anon_sym_int152] = ACTIONS(817),
    [anon_sym_int160] = ACTIONS(817),
    [anon_sym_int168] = ACTIONS(817),
    [anon_sym_int176] = ACTIONS(817),
    [anon_sym_int184] = ACTIONS(817),
    [anon_sym_int192] = ACTIONS(817),
    [anon_sym_int200] = ACTIONS(817),
    [anon_sym_int208] = ACTIONS(817),
    [anon_sym_int216] = ACTIONS(817),
    [anon_sym_int224] = ACTIONS(817),
    [anon_sym_int232] = ACTIONS(817),
    [anon_sym_int240] = ACTIONS(817),
    [anon_sym_int248] = ACTIONS(817),
    [anon_sym_int256] = ACTIONS(817),
    [anon_sym_uint] = ACTIONS(817),
    [anon_sym_uint8] = ACTIONS(817),
    [anon_sym_uint16] = ACTIONS(817),
    [anon_sym_uint24] = ACTIONS(817),
    [anon_sym_uint32] = ACTIONS(817),
    [anon_sym_uint40] = ACTIONS(817),
    [anon_sym_uint48] = ACTIONS(817),
    [anon_sym_uint56] = ACTIONS(817),
    [anon_sym_uint64] = ACTIONS(817),
    [anon_sym_uint72] = ACTIONS(817),
    [anon_sym_uint80] = ACTIONS(817),
    [anon_sym_uint88] = ACTIONS(817),
    [anon_sym_uint96] = ACTIONS(817),
    [anon_sym_uint104] = ACTIONS(817),
    [anon_sym_uint112] = ACTIONS(817),
    [anon_sym_uint120] = ACTIONS(817),
    [anon_sym_uint128] = ACTIONS(817),
    [anon_sym_uint136] = ACTIONS(817),
    [anon_sym_uint144] = ACTIONS(817),
    [anon_sym_uint152] = ACTIONS(817),
    [anon_sym_uint160] = ACTIONS(817),
    [anon_sym_uint168] = ACTIONS(817),
    [anon_sym_uint176] = ACTIONS(817),
    [anon_sym_uint184] = ACTIONS(817),
    [anon_sym_uint192] = ACTIONS(817),
    [anon_sym_uint200] = ACTIONS(817),
    [anon_sym_uint208] = ACTIONS(817),
    [anon_sym_uint216] = ACTIONS(817),
    [anon_sym_uint224] = ACTIONS(817),
    [anon_sym_uint232] = ACTIONS(817),
    [anon_sym_uint240] = ACTIONS(817),
    [anon_sym_uint248] = ACTIONS(817),
    [anon_sym_uint256] = ACTIONS(817),
    [anon_sym_bytes] = ACTIONS(817),
    [anon_sym_bytes1] = ACTIONS(817),
    [anon_sym_bytes2] = ACTIONS(817),
    [anon_sym_bytes3] = ACTIONS(817),
    [anon_sym_bytes4] = ACTIONS(817),
    [anon_sym_bytes5] = ACTIONS(817),
    [anon_sym_bytes6] = ACTIONS(817),
    [anon_sym_bytes7] = ACTIONS(817),
    [anon_sym_bytes8] = ACTIONS(817),
    [anon_sym_bytes9] = ACTIONS(817),
    [anon_sym_bytes10] = ACTIONS(817),
    [anon_sym_bytes11] = ACTIONS(817),
    [anon_sym_bytes12] = ACTIONS(817),
    [anon_sym_bytes13] = ACTIONS(817),
    [anon_sym_bytes14] = ACTIONS(817),
    [anon_sym_bytes15] = ACTIONS(817),
    [anon_sym_bytes16] = ACTIONS(817),
    [anon_sym_bytes17] = ACTIONS(817),
    [anon_sym_bytes18] = ACTIONS(817),
    [anon_sym_bytes19] = ACTIONS(817),
    [anon_sym_bytes20] = ACTIONS(817),
    [anon_sym_bytes21] = ACTIONS(817),
    [anon_sym_bytes22] = ACTIONS(817),
    [anon_sym_bytes23] = ACTIONS(817),
    [anon_sym_bytes24] = ACTIONS(817),
    [anon_sym_bytes25] = ACTIONS(817),
    [anon_sym_bytes26] = ACTIONS(817),
    [anon_sym_bytes27] = ACTIONS(817),
    [anon_sym_bytes28] = ACTIONS(817),
    [anon_sym_bytes29] = ACTIONS(817),
    [anon_sym_bytes30] = ACTIONS(817),
    [anon_sym_bytes31] = ACTIONS(817),
    [anon_sym_bytes32] = ACTIONS(817),
    [anon_sym_fixed] = ACTIONS(817),
    [aux_sym__fixed_token1] = ACTIONS(817),
    [anon_sym_ufixed] = ACTIONS(817),
    [aux_sym__ufixed_token1] = ACTIONS(817),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [ts_builtin_sym_end] = ACTIONS(815),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_pragma] = ACTIONS(817),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_type] = ACTIONS(817),
    [anon_sym_abstract] = ACTIONS(817),
    [anon_sym_contract] = ACTIONS(817),
    [anon_sym_error] = ACTIONS(817),
    [anon_sym_interface] = ACTIONS(817),
    [anon_sym_library] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(817),
    [anon_sym_enum] = ACTIONS(817),
    [anon_sym_using] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(817),
    [anon_sym_byte] = ACTIONS(817),
    [anon_sym_address] = ACTIONS(817),
    [anon_sym_var] = ACTIONS(817),
    [anon_sym_mapping] = ACTIONS(817),
    [anon_sym_bool] = ACTIONS(817),
    [anon_sym_string] = ACTIONS(817),
    [anon_sym_int] = ACTIONS(817),
    [anon_sym_int8] = ACTIONS(817),
    [anon_sym_int16] = ACTIONS(817),
    [anon_sym_int24] = ACTIONS(817),
    [anon_sym_int32] = ACTIONS(817),
    [anon_sym_int40] = ACTIONS(817),
    [anon_sym_int48] = ACTIONS(817),
    [anon_sym_int56] = ACTIONS(817),
    [anon_sym_int64] = ACTIONS(817),
    [anon_sym_int72] = ACTIONS(817),
    [anon_sym_int80] = ACTIONS(817),
    [anon_sym_int88] = ACTIONS(817),
    [anon_sym_int96] = ACTIONS(817),
    [anon_sym_int104] = ACTIONS(817),
    [anon_sym_int112] = ACTIONS(817),
    [anon_sym_int120] = ACTIONS(817),
    [anon_sym_int128] = ACTIONS(817),
    [anon_sym_int136] = ACTIONS(817),
    [anon_sym_int144] = ACTIONS(817),
    [anon_sym_int152] = ACTIONS(817),
    [anon_sym_int160] = ACTIONS(817),
    [anon_sym_int168] = ACTIONS(817),
    [anon_sym_int176] = ACTIONS(817),
    [anon_sym_int184] = ACTIONS(817),
    [anon_sym_int192] = ACTIONS(817),
    [anon_sym_int200] = ACTIONS(817),
    [anon_sym_int208] = ACTIONS(817),
    [anon_sym_int216] = ACTIONS(817),
    [anon_sym_int224] = ACTIONS(817),
    [anon_sym_int232] = ACTIONS(817),
    [anon_sym_int240] = ACTIONS(817),
    [anon_sym_int248] = ACTIONS(817),
    [anon_sym_int256] = ACTIONS(817),
    [anon_sym_uint] = ACTIONS(817),
    [anon_sym_uint8] = ACTIONS(817),
    [anon_sym_uint16] = ACTIONS(817),
    [anon_sym_uint24] = ACTIONS(817),
    [anon_sym_uint32] = ACTIONS(817),
    [anon_sym_uint40] = ACTIONS(817),
    [anon_sym_uint48] = ACTIONS(817),
    [anon_sym_uint56] = ACTIONS(817),
    [anon_sym_uint64] = ACTIONS(817),
    [anon_sym_uint72] = ACTIONS(817),
    [anon_sym_uint80] = ACTIONS(817),
    [anon_sym_uint88] = ACTIONS(817),
    [anon_sym_uint96] = ACTIONS(817),
    [anon_sym_uint104] = ACTIONS(817),
    [anon_sym_uint112] = ACTIONS(817),
    [anon_sym_uint120] = ACTIONS(817),
    [anon_sym_uint128] = ACTIONS(817),
    [anon_sym_uint136] = ACTIONS(817),
    [anon_sym_uint144] = ACTIONS(817),
    [anon_sym_uint152] = ACTIONS(817),
    [anon_sym_uint160] = ACTIONS(817),
    [anon_sym_uint168] = ACTIONS(817),
    [anon_sym_uint176] = ACTIONS(817),
    [anon_sym_uint184] = ACTIONS(817),
    [anon_sym_uint192] = ACTIONS(817),
    [anon_sym_uint200] = ACTIONS(817),
    [anon_sym_uint208] = ACTIONS(817),
    [anon_sym_uint216] = ACTIONS(817),
    [anon_sym_uint224] = ACTIONS(817),
    [anon_sym_uint232] = ACTIONS(817),
    [anon_sym_uint240] = ACTIONS(817),
    [anon_sym_uint248] = ACTIONS(817),
    [anon_sym_uint256] = ACTIONS(817),
    [anon_sym_bytes] = ACTIONS(817),
    [anon_sym_bytes1] = ACTIONS(817),
    [anon_sym_bytes2] = ACTIONS(817),
    [anon_sym_bytes3] = ACTIONS(817),
    [anon_sym_bytes4] = ACTIONS(817),
    [anon_sym_bytes5] = ACTIONS(817),
    [anon_sym_bytes6] = ACTIONS(817),
    [anon_sym_bytes7] = ACTIONS(817),
    [anon_sym_bytes8] = ACTIONS(817),
    [anon_sym_bytes9] = ACTIONS(817),
    [anon_sym_bytes10] = ACTIONS(817),
    [anon_sym_bytes11] = ACTIONS(817),
    [anon_sym_bytes12] = ACTIONS(817),
    [anon_sym_bytes13] = ACTIONS(817),
    [anon_sym_bytes14] = ACTIONS(817),
    [anon_sym_bytes15] = ACTIONS(817),
    [anon_sym_bytes16] = ACTIONS(817),
    [anon_sym_bytes17] = ACTIONS(817),
    [anon_sym_bytes18] = ACTIONS(817),
    [anon_sym_bytes19] = ACTIONS(817),
    [anon_sym_bytes20] = ACTIONS(817),
    [anon_sym_bytes21] = ACTIONS(817),
    [anon_sym_bytes22] = ACTIONS(817),
    [anon_sym_bytes23] = ACTIONS(817),
    [anon_sym_bytes24] = ACTIONS(817),
    [anon_sym_bytes25] = ACTIONS(817),
    [anon_sym_bytes26] = ACTIONS(817),
    [anon_sym_bytes27] = ACTIONS(817),
    [anon_sym_bytes28] = ACTIONS(817),
    [anon_sym_bytes29] = ACTIONS(817),
    [anon_sym_bytes30] = ACTIONS(817),
    [anon_sym_bytes31] = ACTIONS(817),
    [anon_sym_bytes32] = ACTIONS(817),
    [anon_sym_fixed] = ACTIONS(817),
    [aux_sym__fixed_token1] = ACTIONS(817),
    [anon_sym_ufixed] = ACTIONS(817),
    [aux_sym__ufixed_token1] = ACTIONS(817),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [ts_builtin_sym_end] = ACTIONS(819),
    [sym_identifier] = ACTIONS(821),
    [anon_sym_pragma] = ACTIONS(821),
    [anon_sym_import] = ACTIONS(821),
    [anon_sym_type] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(821),
    [anon_sym_contract] = ACTIONS(821),
    [anon_sym_error] = ACTIONS(821),
    [anon_sym_interface] = ACTIONS(821),
    [anon_sym_library] = ACTIONS(821),
    [anon_sym_struct] = ACTIONS(821),
    [anon_sym_enum] = ACTIONS(821),
    [anon_sym_using] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_byte] = ACTIONS(821),
    [anon_sym_address] = ACTIONS(821),
    [anon_sym_var] = ACTIONS(821),
    [anon_sym_mapping] = ACTIONS(821),
    [anon_sym_bool] = ACTIONS(821),
    [anon_sym_string] = ACTIONS(821),
    [anon_sym_int] = ACTIONS(821),
    [anon_sym_int8] = ACTIONS(821),
    [anon_sym_int16] = ACTIONS(821),
    [anon_sym_int24] = ACTIONS(821),
    [anon_sym_int32] = ACTIONS(821),
    [anon_sym_int40] = ACTIONS(821),
    [anon_sym_int48] = ACTIONS(821),
    [anon_sym_int56] = ACTIONS(821),
    [anon_sym_int64] = ACTIONS(821),
    [anon_sym_int72] = ACTIONS(821),
    [anon_sym_int80] = ACTIONS(821),
    [anon_sym_int88] = ACTIONS(821),
    [anon_sym_int96] = ACTIONS(821),
    [anon_sym_int104] = ACTIONS(821),
    [anon_sym_int112] = ACTIONS(821),
    [anon_sym_int120] = ACTIONS(821),
    [anon_sym_int128] = ACTIONS(821),
    [anon_sym_int136] = ACTIONS(821),
    [anon_sym_int144] = ACTIONS(821),
    [anon_sym_int152] = ACTIONS(821),
    [anon_sym_int160] = ACTIONS(821),
    [anon_sym_int168] = ACTIONS(821),
    [anon_sym_int176] = ACTIONS(821),
    [anon_sym_int184] = ACTIONS(821),
    [anon_sym_int192] = ACTIONS(821),
    [anon_sym_int200] = ACTIONS(821),
    [anon_sym_int208] = ACTIONS(821),
    [anon_sym_int216] = ACTIONS(821),
    [anon_sym_int224] = ACTIONS(821),
    [anon_sym_int232] = ACTIONS(821),
    [anon_sym_int240] = ACTIONS(821),
    [anon_sym_int248] = ACTIONS(821),
    [anon_sym_int256] = ACTIONS(821),
    [anon_sym_uint] = ACTIONS(821),
    [anon_sym_uint8] = ACTIONS(821),
    [anon_sym_uint16] = ACTIONS(821),
    [anon_sym_uint24] = ACTIONS(821),
    [anon_sym_uint32] = ACTIONS(821),
    [anon_sym_uint40] = ACTIONS(821),
    [anon_sym_uint48] = ACTIONS(821),
    [anon_sym_uint56] = ACTIONS(821),
    [anon_sym_uint64] = ACTIONS(821),
    [anon_sym_uint72] = ACTIONS(821),
    [anon_sym_uint80] = ACTIONS(821),
    [anon_sym_uint88] = ACTIONS(821),
    [anon_sym_uint96] = ACTIONS(821),
    [anon_sym_uint104] = ACTIONS(821),
    [anon_sym_uint112] = ACTIONS(821),
    [anon_sym_uint120] = ACTIONS(821),
    [anon_sym_uint128] = ACTIONS(821),
    [anon_sym_uint136] = ACTIONS(821),
    [anon_sym_uint144] = ACTIONS(821),
    [anon_sym_uint152] = ACTIONS(821),
    [anon_sym_uint160] = ACTIONS(821),
    [anon_sym_uint168] = ACTIONS(821),
    [anon_sym_uint176] = ACTIONS(821),
    [anon_sym_uint184] = ACTIONS(821),
    [anon_sym_uint192] = ACTIONS(821),
    [anon_sym_uint200] = ACTIONS(821),
    [anon_sym_uint208] = ACTIONS(821),
    [anon_sym_uint216] = ACTIONS(821),
    [anon_sym_uint224] = ACTIONS(821),
    [anon_sym_uint232] = ACTIONS(821),
    [anon_sym_uint240] = ACTIONS(821),
    [anon_sym_uint248] = ACTIONS(821),
    [anon_sym_uint256] = ACTIONS(821),
    [anon_sym_bytes] = ACTIONS(821),
    [anon_sym_bytes1] = ACTIONS(821),
    [anon_sym_bytes2] = ACTIONS(821),
    [anon_sym_bytes3] = ACTIONS(821),
    [anon_sym_bytes4] = ACTIONS(821),
    [anon_sym_bytes5] = ACTIONS(821),
    [anon_sym_bytes6] = ACTIONS(821),
    [anon_sym_bytes7] = ACTIONS(821),
    [anon_sym_bytes8] = ACTIONS(821),
    [anon_sym_bytes9] = ACTIONS(821),
    [anon_sym_bytes10] = ACTIONS(821),
    [anon_sym_bytes11] = ACTIONS(821),
    [anon_sym_bytes12] = ACTIONS(821),
    [anon_sym_bytes13] = ACTIONS(821),
    [anon_sym_bytes14] = ACTIONS(821),
    [anon_sym_bytes15] = ACTIONS(821),
    [anon_sym_bytes16] = ACTIONS(821),
    [anon_sym_bytes17] = ACTIONS(821),
    [anon_sym_bytes18] = ACTIONS(821),
    [anon_sym_bytes19] = ACTIONS(821),
    [anon_sym_bytes20] = ACTIONS(821),
    [anon_sym_bytes21] = ACTIONS(821),
    [anon_sym_bytes22] = ACTIONS(821),
    [anon_sym_bytes23] = ACTIONS(821),
    [anon_sym_bytes24] = ACTIONS(821),
    [anon_sym_bytes25] = ACTIONS(821),
    [anon_sym_bytes26] = ACTIONS(821),
    [anon_sym_bytes27] = ACTIONS(821),
    [anon_sym_bytes28] = ACTIONS(821),
    [anon_sym_bytes29] = ACTIONS(821),
    [anon_sym_bytes30] = ACTIONS(821),
    [anon_sym_bytes31] = ACTIONS(821),
    [anon_sym_bytes32] = ACTIONS(821),
    [anon_sym_fixed] = ACTIONS(821),
    [aux_sym__fixed_token1] = ACTIONS(821),
    [anon_sym_ufixed] = ACTIONS(821),
    [aux_sym__ufixed_token1] = ACTIONS(821),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [ts_builtin_sym_end] = ACTIONS(819),
    [sym_identifier] = ACTIONS(821),
    [anon_sym_pragma] = ACTIONS(821),
    [anon_sym_import] = ACTIONS(821),
    [anon_sym_type] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(821),
    [anon_sym_contract] = ACTIONS(821),
    [anon_sym_error] = ACTIONS(821),
    [anon_sym_interface] = ACTIONS(821),
    [anon_sym_library] = ACTIONS(821),
    [anon_sym_struct] = ACTIONS(821),
    [anon_sym_enum] = ACTIONS(821),
    [anon_sym_using] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_byte] = ACTIONS(821),
    [anon_sym_address] = ACTIONS(821),
    [anon_sym_var] = ACTIONS(821),
    [anon_sym_mapping] = ACTIONS(821),
    [anon_sym_bool] = ACTIONS(821),
    [anon_sym_string] = ACTIONS(821),
    [anon_sym_int] = ACTIONS(821),
    [anon_sym_int8] = ACTIONS(821),
    [anon_sym_int16] = ACTIONS(821),
    [anon_sym_int24] = ACTIONS(821),
    [anon_sym_int32] = ACTIONS(821),
    [anon_sym_int40] = ACTIONS(821),
    [anon_sym_int48] = ACTIONS(821),
    [anon_sym_int56] = ACTIONS(821),
    [anon_sym_int64] = ACTIONS(821),
    [anon_sym_int72] = ACTIONS(821),
    [anon_sym_int80] = ACTIONS(821),
    [anon_sym_int88] = ACTIONS(821),
    [anon_sym_int96] = ACTIONS(821),
    [anon_sym_int104] = ACTIONS(821),
    [anon_sym_int112] = ACTIONS(821),
    [anon_sym_int120] = ACTIONS(821),
    [anon_sym_int128] = ACTIONS(821),
    [anon_sym_int136] = ACTIONS(821),
    [anon_sym_int144] = ACTIONS(821),
    [anon_sym_int152] = ACTIONS(821),
    [anon_sym_int160] = ACTIONS(821),
    [anon_sym_int168] = ACTIONS(821),
    [anon_sym_int176] = ACTIONS(821),
    [anon_sym_int184] = ACTIONS(821),
    [anon_sym_int192] = ACTIONS(821),
    [anon_sym_int200] = ACTIONS(821),
    [anon_sym_int208] = ACTIONS(821),
    [anon_sym_int216] = ACTIONS(821),
    [anon_sym_int224] = ACTIONS(821),
    [anon_sym_int232] = ACTIONS(821),
    [anon_sym_int240] = ACTIONS(821),
    [anon_sym_int248] = ACTIONS(821),
    [anon_sym_int256] = ACTIONS(821),
    [anon_sym_uint] = ACTIONS(821),
    [anon_sym_uint8] = ACTIONS(821),
    [anon_sym_uint16] = ACTIONS(821),
    [anon_sym_uint24] = ACTIONS(821),
    [anon_sym_uint32] = ACTIONS(821),
    [anon_sym_uint40] = ACTIONS(821),
    [anon_sym_uint48] = ACTIONS(821),
    [anon_sym_uint56] = ACTIONS(821),
    [anon_sym_uint64] = ACTIONS(821),
    [anon_sym_uint72] = ACTIONS(821),
    [anon_sym_uint80] = ACTIONS(821),
    [anon_sym_uint88] = ACTIONS(821),
    [anon_sym_uint96] = ACTIONS(821),
    [anon_sym_uint104] = ACTIONS(821),
    [anon_sym_uint112] = ACTIONS(821),
    [anon_sym_uint120] = ACTIONS(821),
    [anon_sym_uint128] = ACTIONS(821),
    [anon_sym_uint136] = ACTIONS(821),
    [anon_sym_uint144] = ACTIONS(821),
    [anon_sym_uint152] = ACTIONS(821),
    [anon_sym_uint160] = ACTIONS(821),
    [anon_sym_uint168] = ACTIONS(821),
    [anon_sym_uint176] = ACTIONS(821),
    [anon_sym_uint184] = ACTIONS(821),
    [anon_sym_uint192] = ACTIONS(821),
    [anon_sym_uint200] = ACTIONS(821),
    [anon_sym_uint208] = ACTIONS(821),
    [anon_sym_uint216] = ACTIONS(821),
    [anon_sym_uint224] = ACTIONS(821),
    [anon_sym_uint232] = ACTIONS(821),
    [anon_sym_uint240] = ACTIONS(821),
    [anon_sym_uint248] = ACTIONS(821),
    [anon_sym_uint256] = ACTIONS(821),
    [anon_sym_bytes] = ACTIONS(821),
    [anon_sym_bytes1] = ACTIONS(821),
    [anon_sym_bytes2] = ACTIONS(821),
    [anon_sym_bytes3] = ACTIONS(821),
    [anon_sym_bytes4] = ACTIONS(821),
    [anon_sym_bytes5] = ACTIONS(821),
    [anon_sym_bytes6] = ACTIONS(821),
    [anon_sym_bytes7] = ACTIONS(821),
    [anon_sym_bytes8] = ACTIONS(821),
    [anon_sym_bytes9] = ACTIONS(821),
    [anon_sym_bytes10] = ACTIONS(821),
    [anon_sym_bytes11] = ACTIONS(821),
    [anon_sym_bytes12] = ACTIONS(821),
    [anon_sym_bytes13] = ACTIONS(821),
    [anon_sym_bytes14] = ACTIONS(821),
    [anon_sym_bytes15] = ACTIONS(821),
    [anon_sym_bytes16] = ACTIONS(821),
    [anon_sym_bytes17] = ACTIONS(821),
    [anon_sym_bytes18] = ACTIONS(821),
    [anon_sym_bytes19] = ACTIONS(821),
    [anon_sym_bytes20] = ACTIONS(821),
    [anon_sym_bytes21] = ACTIONS(821),
    [anon_sym_bytes22] = ACTIONS(821),
    [anon_sym_bytes23] = ACTIONS(821),
    [anon_sym_bytes24] = ACTIONS(821),
    [anon_sym_bytes25] = ACTIONS(821),
    [anon_sym_bytes26] = ACTIONS(821),
    [anon_sym_bytes27] = ACTIONS(821),
    [anon_sym_bytes28] = ACTIONS(821),
    [anon_sym_bytes29] = ACTIONS(821),
    [anon_sym_bytes30] = ACTIONS(821),
    [anon_sym_bytes31] = ACTIONS(821),
    [anon_sym_bytes32] = ACTIONS(821),
    [anon_sym_fixed] = ACTIONS(821),
    [aux_sym__fixed_token1] = ACTIONS(821),
    [anon_sym_ufixed] = ACTIONS(821),
    [aux_sym__ufixed_token1] = ACTIONS(821),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_type_name] = STATE(775),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [ts_builtin_sym_end] = ACTIONS(823),
    [sym_identifier] = ACTIONS(825),
    [anon_sym_pragma] = ACTIONS(825),
    [anon_sym_import] = ACTIONS(825),
    [anon_sym_type] = ACTIONS(825),
    [anon_sym_abstract] = ACTIONS(825),
    [anon_sym_contract] = ACTIONS(825),
    [anon_sym_error] = ACTIONS(825),
    [anon_sym_interface] = ACTIONS(825),
    [anon_sym_library] = ACTIONS(825),
    [anon_sym_struct] = ACTIONS(825),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(825),
    [anon_sym_byte] = ACTIONS(825),
    [anon_sym_address] = ACTIONS(825),
    [anon_sym_var] = ACTIONS(825),
    [anon_sym_mapping] = ACTIONS(825),
    [anon_sym_bool] = ACTIONS(825),
    [anon_sym_string] = ACTIONS(825),
    [anon_sym_int] = ACTIONS(825),
    [anon_sym_int8] = ACTIONS(825),
    [anon_sym_int16] = ACTIONS(825),
    [anon_sym_int24] = ACTIONS(825),
    [anon_sym_int32] = ACTIONS(825),
    [anon_sym_int40] = ACTIONS(825),
    [anon_sym_int48] = ACTIONS(825),
    [anon_sym_int56] = ACTIONS(825),
    [anon_sym_int64] = ACTIONS(825),
    [anon_sym_int72] = ACTIONS(825),
    [anon_sym_int80] = ACTIONS(825),
    [anon_sym_int88] = ACTIONS(825),
    [anon_sym_int96] = ACTIONS(825),
    [anon_sym_int104] = ACTIONS(825),
    [anon_sym_int112] = ACTIONS(825),
    [anon_sym_int120] = ACTIONS(825),
    [anon_sym_int128] = ACTIONS(825),
    [anon_sym_int136] = ACTIONS(825),
    [anon_sym_int144] = ACTIONS(825),
    [anon_sym_int152] = ACTIONS(825),
    [anon_sym_int160] = ACTIONS(825),
    [anon_sym_int168] = ACTIONS(825),
    [anon_sym_int176] = ACTIONS(825),
    [anon_sym_int184] = ACTIONS(825),
    [anon_sym_int192] = ACTIONS(825),
    [anon_sym_int200] = ACTIONS(825),
    [anon_sym_int208] = ACTIONS(825),
    [anon_sym_int216] = ACTIONS(825),
    [anon_sym_int224] = ACTIONS(825),
    [anon_sym_int232] = ACTIONS(825),
    [anon_sym_int240] = ACTIONS(825),
    [anon_sym_int248] = ACTIONS(825),
    [anon_sym_int256] = ACTIONS(825),
    [anon_sym_uint] = ACTIONS(825),
    [anon_sym_uint8] = ACTIONS(825),
    [anon_sym_uint16] = ACTIONS(825),
    [anon_sym_uint24] = ACTIONS(825),
    [anon_sym_uint32] = ACTIONS(825),
    [anon_sym_uint40] = ACTIONS(825),
    [anon_sym_uint48] = ACTIONS(825),
    [anon_sym_uint56] = ACTIONS(825),
    [anon_sym_uint64] = ACTIONS(825),
    [anon_sym_uint72] = ACTIONS(825),
    [anon_sym_uint80] = ACTIONS(825),
    [anon_sym_uint88] = ACTIONS(825),
    [anon_sym_uint96] = ACTIONS(825),
    [anon_sym_uint104] = ACTIONS(825),
    [anon_sym_uint112] = ACTIONS(825),
    [anon_sym_uint120] = ACTIONS(825),
    [anon_sym_uint128] = ACTIONS(825),
    [anon_sym_uint136] = ACTIONS(825),
    [anon_sym_uint144] = ACTIONS(825),
    [anon_sym_uint152] = ACTIONS(825),
    [anon_sym_uint160] = ACTIONS(825),
    [anon_sym_uint168] = ACTIONS(825),
    [anon_sym_uint176] = ACTIONS(825),
    [anon_sym_uint184] = ACTIONS(825),
    [anon_sym_uint192] = ACTIONS(825),
    [anon_sym_uint200] = ACTIONS(825),
    [anon_sym_uint208] = ACTIONS(825),
    [anon_sym_uint216] = ACTIONS(825),
    [anon_sym_uint224] = ACTIONS(825),
    [anon_sym_uint232] = ACTIONS(825),
    [anon_sym_uint240] = ACTIONS(825),
    [anon_sym_uint248] = ACTIONS(825),
    [anon_sym_uint256] = ACTIONS(825),
    [anon_sym_bytes] = ACTIONS(825),
    [anon_sym_bytes1] = ACTIONS(825),
    [anon_sym_bytes2] = ACTIONS(825),
    [anon_sym_bytes3] = ACTIONS(825),
    [anon_sym_bytes4] = ACTIONS(825),
    [anon_sym_bytes5] = ACTIONS(825),
    [anon_sym_bytes6] = ACTIONS(825),
    [anon_sym_bytes7] = ACTIONS(825),
    [anon_sym_bytes8] = ACTIONS(825),
    [anon_sym_bytes9] = ACTIONS(825),
    [anon_sym_bytes10] = ACTIONS(825),
    [anon_sym_bytes11] = ACTIONS(825),
    [anon_sym_bytes12] = ACTIONS(825),
    [anon_sym_bytes13] = ACTIONS(825),
    [anon_sym_bytes14] = ACTIONS(825),
    [anon_sym_bytes15] = ACTIONS(825),
    [anon_sym_bytes16] = ACTIONS(825),
    [anon_sym_bytes17] = ACTIONS(825),
    [anon_sym_bytes18] = ACTIONS(825),
    [anon_sym_bytes19] = ACTIONS(825),
    [anon_sym_bytes20] = ACTIONS(825),
    [anon_sym_bytes21] = ACTIONS(825),
    [anon_sym_bytes22] = ACTIONS(825),
    [anon_sym_bytes23] = ACTIONS(825),
    [anon_sym_bytes24] = ACTIONS(825),
    [anon_sym_bytes25] = ACTIONS(825),
    [anon_sym_bytes26] = ACTIONS(825),
    [anon_sym_bytes27] = ACTIONS(825),
    [anon_sym_bytes28] = ACTIONS(825),
    [anon_sym_bytes29] = ACTIONS(825),
    [anon_sym_bytes30] = ACTIONS(825),
    [anon_sym_bytes31] = ACTIONS(825),
    [anon_sym_bytes32] = ACTIONS(825),
    [anon_sym_fixed] = ACTIONS(825),
    [aux_sym__fixed_token1] = ACTIONS(825),
    [anon_sym_ufixed] = ACTIONS(825),
    [aux_sym__ufixed_token1] = ACTIONS(825),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [ts_builtin_sym_end] = ACTIONS(827),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_pragma] = ACTIONS(829),
    [anon_sym_import] = ACTIONS(829),
    [anon_sym_type] = ACTIONS(829),
    [anon_sym_abstract] = ACTIONS(829),
    [anon_sym_contract] = ACTIONS(829),
    [anon_sym_error] = ACTIONS(829),
    [anon_sym_interface] = ACTIONS(829),
    [anon_sym_library] = ACTIONS(829),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_enum] = ACTIONS(829),
    [anon_sym_using] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_byte] = ACTIONS(829),
    [anon_sym_address] = ACTIONS(829),
    [anon_sym_var] = ACTIONS(829),
    [anon_sym_mapping] = ACTIONS(829),
    [anon_sym_bool] = ACTIONS(829),
    [anon_sym_string] = ACTIONS(829),
    [anon_sym_int] = ACTIONS(829),
    [anon_sym_int8] = ACTIONS(829),
    [anon_sym_int16] = ACTIONS(829),
    [anon_sym_int24] = ACTIONS(829),
    [anon_sym_int32] = ACTIONS(829),
    [anon_sym_int40] = ACTIONS(829),
    [anon_sym_int48] = ACTIONS(829),
    [anon_sym_int56] = ACTIONS(829),
    [anon_sym_int64] = ACTIONS(829),
    [anon_sym_int72] = ACTIONS(829),
    [anon_sym_int80] = ACTIONS(829),
    [anon_sym_int88] = ACTIONS(829),
    [anon_sym_int96] = ACTIONS(829),
    [anon_sym_int104] = ACTIONS(829),
    [anon_sym_int112] = ACTIONS(829),
    [anon_sym_int120] = ACTIONS(829),
    [anon_sym_int128] = ACTIONS(829),
    [anon_sym_int136] = ACTIONS(829),
    [anon_sym_int144] = ACTIONS(829),
    [anon_sym_int152] = ACTIONS(829),
    [anon_sym_int160] = ACTIONS(829),
    [anon_sym_int168] = ACTIONS(829),
    [anon_sym_int176] = ACTIONS(829),
    [anon_sym_int184] = ACTIONS(829),
    [anon_sym_int192] = ACTIONS(829),
    [anon_sym_int200] = ACTIONS(829),
    [anon_sym_int208] = ACTIONS(829),
    [anon_sym_int216] = ACTIONS(829),
    [anon_sym_int224] = ACTIONS(829),
    [anon_sym_int232] = ACTIONS(829),
    [anon_sym_int240] = ACTIONS(829),
    [anon_sym_int248] = ACTIONS(829),
    [anon_sym_int256] = ACTIONS(829),
    [anon_sym_uint] = ACTIONS(829),
    [anon_sym_uint8] = ACTIONS(829),
    [anon_sym_uint16] = ACTIONS(829),
    [anon_sym_uint24] = ACTIONS(829),
    [anon_sym_uint32] = ACTIONS(829),
    [anon_sym_uint40] = ACTIONS(829),
    [anon_sym_uint48] = ACTIONS(829),
    [anon_sym_uint56] = ACTIONS(829),
    [anon_sym_uint64] = ACTIONS(829),
    [anon_sym_uint72] = ACTIONS(829),
    [anon_sym_uint80] = ACTIONS(829),
    [anon_sym_uint88] = ACTIONS(829),
    [anon_sym_uint96] = ACTIONS(829),
    [anon_sym_uint104] = ACTIONS(829),
    [anon_sym_uint112] = ACTIONS(829),
    [anon_sym_uint120] = ACTIONS(829),
    [anon_sym_uint128] = ACTIONS(829),
    [anon_sym_uint136] = ACTIONS(829),
    [anon_sym_uint144] = ACTIONS(829),
    [anon_sym_uint152] = ACTIONS(829),
    [anon_sym_uint160] = ACTIONS(829),
    [anon_sym_uint168] = ACTIONS(829),
    [anon_sym_uint176] = ACTIONS(829),
    [anon_sym_uint184] = ACTIONS(829),
    [anon_sym_uint192] = ACTIONS(829),
    [anon_sym_uint200] = ACTIONS(829),
    [anon_sym_uint208] = ACTIONS(829),
    [anon_sym_uint216] = ACTIONS(829),
    [anon_sym_uint224] = ACTIONS(829),
    [anon_sym_uint232] = ACTIONS(829),
    [anon_sym_uint240] = ACTIONS(829),
    [anon_sym_uint248] = ACTIONS(829),
    [anon_sym_uint256] = ACTIONS(829),
    [anon_sym_bytes] = ACTIONS(829),
    [anon_sym_bytes1] = ACTIONS(829),
    [anon_sym_bytes2] = ACTIONS(829),
    [anon_sym_bytes3] = ACTIONS(829),
    [anon_sym_bytes4] = ACTIONS(829),
    [anon_sym_bytes5] = ACTIONS(829),
    [anon_sym_bytes6] = ACTIONS(829),
    [anon_sym_bytes7] = ACTIONS(829),
    [anon_sym_bytes8] = ACTIONS(829),
    [anon_sym_bytes9] = ACTIONS(829),
    [anon_sym_bytes10] = ACTIONS(829),
    [anon_sym_bytes11] = ACTIONS(829),
    [anon_sym_bytes12] = ACTIONS(829),
    [anon_sym_bytes13] = ACTIONS(829),
    [anon_sym_bytes14] = ACTIONS(829),
    [anon_sym_bytes15] = ACTIONS(829),
    [anon_sym_bytes16] = ACTIONS(829),
    [anon_sym_bytes17] = ACTIONS(829),
    [anon_sym_bytes18] = ACTIONS(829),
    [anon_sym_bytes19] = ACTIONS(829),
    [anon_sym_bytes20] = ACTIONS(829),
    [anon_sym_bytes21] = ACTIONS(829),
    [anon_sym_bytes22] = ACTIONS(829),
    [anon_sym_bytes23] = ACTIONS(829),
    [anon_sym_bytes24] = ACTIONS(829),
    [anon_sym_bytes25] = ACTIONS(829),
    [anon_sym_bytes26] = ACTIONS(829),
    [anon_sym_bytes27] = ACTIONS(829),
    [anon_sym_bytes28] = ACTIONS(829),
    [anon_sym_bytes29] = ACTIONS(829),
    [anon_sym_bytes30] = ACTIONS(829),
    [anon_sym_bytes31] = ACTIONS(829),
    [anon_sym_bytes32] = ACTIONS(829),
    [anon_sym_fixed] = ACTIONS(829),
    [aux_sym__fixed_token1] = ACTIONS(829),
    [anon_sym_ufixed] = ACTIONS(829),
    [aux_sym__ufixed_token1] = ACTIONS(829),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [ts_builtin_sym_end] = ACTIONS(831),
    [sym_identifier] = ACTIONS(833),
    [anon_sym_pragma] = ACTIONS(833),
    [anon_sym_import] = ACTIONS(833),
    [anon_sym_type] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(833),
    [anon_sym_contract] = ACTIONS(833),
    [anon_sym_error] = ACTIONS(833),
    [anon_sym_interface] = ACTIONS(833),
    [anon_sym_library] = ACTIONS(833),
    [anon_sym_struct] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(833),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_byte] = ACTIONS(833),
    [anon_sym_address] = ACTIONS(833),
    [anon_sym_var] = ACTIONS(833),
    [anon_sym_mapping] = ACTIONS(833),
    [anon_sym_bool] = ACTIONS(833),
    [anon_sym_string] = ACTIONS(833),
    [anon_sym_int] = ACTIONS(833),
    [anon_sym_int8] = ACTIONS(833),
    [anon_sym_int16] = ACTIONS(833),
    [anon_sym_int24] = ACTIONS(833),
    [anon_sym_int32] = ACTIONS(833),
    [anon_sym_int40] = ACTIONS(833),
    [anon_sym_int48] = ACTIONS(833),
    [anon_sym_int56] = ACTIONS(833),
    [anon_sym_int64] = ACTIONS(833),
    [anon_sym_int72] = ACTIONS(833),
    [anon_sym_int80] = ACTIONS(833),
    [anon_sym_int88] = ACTIONS(833),
    [anon_sym_int96] = ACTIONS(833),
    [anon_sym_int104] = ACTIONS(833),
    [anon_sym_int112] = ACTIONS(833),
    [anon_sym_int120] = ACTIONS(833),
    [anon_sym_int128] = ACTIONS(833),
    [anon_sym_int136] = ACTIONS(833),
    [anon_sym_int144] = ACTIONS(833),
    [anon_sym_int152] = ACTIONS(833),
    [anon_sym_int160] = ACTIONS(833),
    [anon_sym_int168] = ACTIONS(833),
    [anon_sym_int176] = ACTIONS(833),
    [anon_sym_int184] = ACTIONS(833),
    [anon_sym_int192] = ACTIONS(833),
    [anon_sym_int200] = ACTIONS(833),
    [anon_sym_int208] = ACTIONS(833),
    [anon_sym_int216] = ACTIONS(833),
    [anon_sym_int224] = ACTIONS(833),
    [anon_sym_int232] = ACTIONS(833),
    [anon_sym_int240] = ACTIONS(833),
    [anon_sym_int248] = ACTIONS(833),
    [anon_sym_int256] = ACTIONS(833),
    [anon_sym_uint] = ACTIONS(833),
    [anon_sym_uint8] = ACTIONS(833),
    [anon_sym_uint16] = ACTIONS(833),
    [anon_sym_uint24] = ACTIONS(833),
    [anon_sym_uint32] = ACTIONS(833),
    [anon_sym_uint40] = ACTIONS(833),
    [anon_sym_uint48] = ACTIONS(833),
    [anon_sym_uint56] = ACTIONS(833),
    [anon_sym_uint64] = ACTIONS(833),
    [anon_sym_uint72] = ACTIONS(833),
    [anon_sym_uint80] = ACTIONS(833),
    [anon_sym_uint88] = ACTIONS(833),
    [anon_sym_uint96] = ACTIONS(833),
    [anon_sym_uint104] = ACTIONS(833),
    [anon_sym_uint112] = ACTIONS(833),
    [anon_sym_uint120] = ACTIONS(833),
    [anon_sym_uint128] = ACTIONS(833),
    [anon_sym_uint136] = ACTIONS(833),
    [anon_sym_uint144] = ACTIONS(833),
    [anon_sym_uint152] = ACTIONS(833),
    [anon_sym_uint160] = ACTIONS(833),
    [anon_sym_uint168] = ACTIONS(833),
    [anon_sym_uint176] = ACTIONS(833),
    [anon_sym_uint184] = ACTIONS(833),
    [anon_sym_uint192] = ACTIONS(833),
    [anon_sym_uint200] = ACTIONS(833),
    [anon_sym_uint208] = ACTIONS(833),
    [anon_sym_uint216] = ACTIONS(833),
    [anon_sym_uint224] = ACTIONS(833),
    [anon_sym_uint232] = ACTIONS(833),
    [anon_sym_uint240] = ACTIONS(833),
    [anon_sym_uint248] = ACTIONS(833),
    [anon_sym_uint256] = ACTIONS(833),
    [anon_sym_bytes] = ACTIONS(833),
    [anon_sym_bytes1] = ACTIONS(833),
    [anon_sym_bytes2] = ACTIONS(833),
    [anon_sym_bytes3] = ACTIONS(833),
    [anon_sym_bytes4] = ACTIONS(833),
    [anon_sym_bytes5] = ACTIONS(833),
    [anon_sym_bytes6] = ACTIONS(833),
    [anon_sym_bytes7] = ACTIONS(833),
    [anon_sym_bytes8] = ACTIONS(833),
    [anon_sym_bytes9] = ACTIONS(833),
    [anon_sym_bytes10] = ACTIONS(833),
    [anon_sym_bytes11] = ACTIONS(833),
    [anon_sym_bytes12] = ACTIONS(833),
    [anon_sym_bytes13] = ACTIONS(833),
    [anon_sym_bytes14] = ACTIONS(833),
    [anon_sym_bytes15] = ACTIONS(833),
    [anon_sym_bytes16] = ACTIONS(833),
    [anon_sym_bytes17] = ACTIONS(833),
    [anon_sym_bytes18] = ACTIONS(833),
    [anon_sym_bytes19] = ACTIONS(833),
    [anon_sym_bytes20] = ACTIONS(833),
    [anon_sym_bytes21] = ACTIONS(833),
    [anon_sym_bytes22] = ACTIONS(833),
    [anon_sym_bytes23] = ACTIONS(833),
    [anon_sym_bytes24] = ACTIONS(833),
    [anon_sym_bytes25] = ACTIONS(833),
    [anon_sym_bytes26] = ACTIONS(833),
    [anon_sym_bytes27] = ACTIONS(833),
    [anon_sym_bytes28] = ACTIONS(833),
    [anon_sym_bytes29] = ACTIONS(833),
    [anon_sym_bytes30] = ACTIONS(833),
    [anon_sym_bytes31] = ACTIONS(833),
    [anon_sym_bytes32] = ACTIONS(833),
    [anon_sym_fixed] = ACTIONS(833),
    [aux_sym__fixed_token1] = ACTIONS(833),
    [anon_sym_ufixed] = ACTIONS(833),
    [aux_sym__ufixed_token1] = ACTIONS(833),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym_type_name] = STATE(927),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_type_name] = STATE(461),
    [sym__array_type] = STATE(429),
    [sym__function_type] = STATE(431),
    [sym_user_defined_type] = STATE(429),
    [sym__identifier_path] = STATE(415),
    [sym__mapping] = STATE(422),
    [sym_primitive_type] = STATE(429),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(67),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_mapping] = ACTIONS(37),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [ts_builtin_sym_end] = ACTIONS(837),
    [sym_identifier] = ACTIONS(839),
    [anon_sym_pragma] = ACTIONS(839),
    [anon_sym_import] = ACTIONS(839),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_abstract] = ACTIONS(839),
    [anon_sym_contract] = ACTIONS(839),
    [anon_sym_error] = ACTIONS(839),
    [anon_sym_interface] = ACTIONS(839),
    [anon_sym_library] = ACTIONS(839),
    [anon_sym_struct] = ACTIONS(839),
    [anon_sym_enum] = ACTIONS(839),
    [anon_sym_using] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(839),
    [anon_sym_byte] = ACTIONS(839),
    [anon_sym_address] = ACTIONS(839),
    [anon_sym_var] = ACTIONS(839),
    [anon_sym_mapping] = ACTIONS(839),
    [anon_sym_bool] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_int] = ACTIONS(839),
    [anon_sym_int8] = ACTIONS(839),
    [anon_sym_int16] = ACTIONS(839),
    [anon_sym_int24] = ACTIONS(839),
    [anon_sym_int32] = ACTIONS(839),
    [anon_sym_int40] = ACTIONS(839),
    [anon_sym_int48] = ACTIONS(839),
    [anon_sym_int56] = ACTIONS(839),
    [anon_sym_int64] = ACTIONS(839),
    [anon_sym_int72] = ACTIONS(839),
    [anon_sym_int80] = ACTIONS(839),
    [anon_sym_int88] = ACTIONS(839),
    [anon_sym_int96] = ACTIONS(839),
    [anon_sym_int104] = ACTIONS(839),
    [anon_sym_int112] = ACTIONS(839),
    [anon_sym_int120] = ACTIONS(839),
    [anon_sym_int128] = ACTIONS(839),
    [anon_sym_int136] = ACTIONS(839),
    [anon_sym_int144] = ACTIONS(839),
    [anon_sym_int152] = ACTIONS(839),
    [anon_sym_int160] = ACTIONS(839),
    [anon_sym_int168] = ACTIONS(839),
    [anon_sym_int176] = ACTIONS(839),
    [anon_sym_int184] = ACTIONS(839),
    [anon_sym_int192] = ACTIONS(839),
    [anon_sym_int200] = ACTIONS(839),
    [anon_sym_int208] = ACTIONS(839),
    [anon_sym_int216] = ACTIONS(839),
    [anon_sym_int224] = ACTIONS(839),
    [anon_sym_int232] = ACTIONS(839),
    [anon_sym_int240] = ACTIONS(839),
    [anon_sym_int248] = ACTIONS(839),
    [anon_sym_int256] = ACTIONS(839),
    [anon_sym_uint] = ACTIONS(839),
    [anon_sym_uint8] = ACTIONS(839),
    [anon_sym_uint16] = ACTIONS(839),
    [anon_sym_uint24] = ACTIONS(839),
    [anon_sym_uint32] = ACTIONS(839),
    [anon_sym_uint40] = ACTIONS(839),
    [anon_sym_uint48] = ACTIONS(839),
    [anon_sym_uint56] = ACTIONS(839),
    [anon_sym_uint64] = ACTIONS(839),
    [anon_sym_uint72] = ACTIONS(839),
    [anon_sym_uint80] = ACTIONS(839),
    [anon_sym_uint88] = ACTIONS(839),
    [anon_sym_uint96] = ACTIONS(839),
    [anon_sym_uint104] = ACTIONS(839),
    [anon_sym_uint112] = ACTIONS(839),
    [anon_sym_uint120] = ACTIONS(839),
    [anon_sym_uint128] = ACTIONS(839),
    [anon_sym_uint136] = ACTIONS(839),
    [anon_sym_uint144] = ACTIONS(839),
    [anon_sym_uint152] = ACTIONS(839),
    [anon_sym_uint160] = ACTIONS(839),
    [anon_sym_uint168] = ACTIONS(839),
    [anon_sym_uint176] = ACTIONS(839),
    [anon_sym_uint184] = ACTIONS(839),
    [anon_sym_uint192] = ACTIONS(839),
    [anon_sym_uint200] = ACTIONS(839),
    [anon_sym_uint208] = ACTIONS(839),
    [anon_sym_uint216] = ACTIONS(839),
    [anon_sym_uint224] = ACTIONS(839),
    [anon_sym_uint232] = ACTIONS(839),
    [anon_sym_uint240] = ACTIONS(839),
    [anon_sym_uint248] = ACTIONS(839),
    [anon_sym_uint256] = ACTIONS(839),
    [anon_sym_bytes] = ACTIONS(839),
    [anon_sym_bytes1] = ACTIONS(839),
    [anon_sym_bytes2] = ACTIONS(839),
    [anon_sym_bytes3] = ACTIONS(839),
    [anon_sym_bytes4] = ACTIONS(839),
    [anon_sym_bytes5] = ACTIONS(839),
    [anon_sym_bytes6] = ACTIONS(839),
    [anon_sym_bytes7] = ACTIONS(839),
    [anon_sym_bytes8] = ACTIONS(839),
    [anon_sym_bytes9] = ACTIONS(839),
    [anon_sym_bytes10] = ACTIONS(839),
    [anon_sym_bytes11] = ACTIONS(839),
    [anon_sym_bytes12] = ACTIONS(839),
    [anon_sym_bytes13] = ACTIONS(839),
    [anon_sym_bytes14] = ACTIONS(839),
    [anon_sym_bytes15] = ACTIONS(839),
    [anon_sym_bytes16] = ACTIONS(839),
    [anon_sym_bytes17] = ACTIONS(839),
    [anon_sym_bytes18] = ACTIONS(839),
    [anon_sym_bytes19] = ACTIONS(839),
    [anon_sym_bytes20] = ACTIONS(839),
    [anon_sym_bytes21] = ACTIONS(839),
    [anon_sym_bytes22] = ACTIONS(839),
    [anon_sym_bytes23] = ACTIONS(839),
    [anon_sym_bytes24] = ACTIONS(839),
    [anon_sym_bytes25] = ACTIONS(839),
    [anon_sym_bytes26] = ACTIONS(839),
    [anon_sym_bytes27] = ACTIONS(839),
    [anon_sym_bytes28] = ACTIONS(839),
    [anon_sym_bytes29] = ACTIONS(839),
    [anon_sym_bytes30] = ACTIONS(839),
    [anon_sym_bytes31] = ACTIONS(839),
    [anon_sym_bytes32] = ACTIONS(839),
    [anon_sym_fixed] = ACTIONS(839),
    [aux_sym__fixed_token1] = ACTIONS(839),
    [anon_sym_ufixed] = ACTIONS(839),
    [aux_sym__ufixed_token1] = ACTIONS(839),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [ts_builtin_sym_end] = ACTIONS(841),
    [sym_identifier] = ACTIONS(843),
    [anon_sym_pragma] = ACTIONS(843),
    [anon_sym_import] = ACTIONS(843),
    [anon_sym_type] = ACTIONS(843),
    [anon_sym_abstract] = ACTIONS(843),
    [anon_sym_contract] = ACTIONS(843),
    [anon_sym_error] = ACTIONS(843),
    [anon_sym_interface] = ACTIONS(843),
    [anon_sym_library] = ACTIONS(843),
    [anon_sym_struct] = ACTIONS(843),
    [anon_sym_enum] = ACTIONS(843),
    [anon_sym_using] = ACTIONS(843),
    [anon_sym_function] = ACTIONS(843),
    [anon_sym_byte] = ACTIONS(843),
    [anon_sym_address] = ACTIONS(843),
    [anon_sym_var] = ACTIONS(843),
    [anon_sym_mapping] = ACTIONS(843),
    [anon_sym_bool] = ACTIONS(843),
    [anon_sym_string] = ACTIONS(843),
    [anon_sym_int] = ACTIONS(843),
    [anon_sym_int8] = ACTIONS(843),
    [anon_sym_int16] = ACTIONS(843),
    [anon_sym_int24] = ACTIONS(843),
    [anon_sym_int32] = ACTIONS(843),
    [anon_sym_int40] = ACTIONS(843),
    [anon_sym_int48] = ACTIONS(843),
    [anon_sym_int56] = ACTIONS(843),
    [anon_sym_int64] = ACTIONS(843),
    [anon_sym_int72] = ACTIONS(843),
    [anon_sym_int80] = ACTIONS(843),
    [anon_sym_int88] = ACTIONS(843),
    [anon_sym_int96] = ACTIONS(843),
    [anon_sym_int104] = ACTIONS(843),
    [anon_sym_int112] = ACTIONS(843),
    [anon_sym_int120] = ACTIONS(843),
    [anon_sym_int128] = ACTIONS(843),
    [anon_sym_int136] = ACTIONS(843),
    [anon_sym_int144] = ACTIONS(843),
    [anon_sym_int152] = ACTIONS(843),
    [anon_sym_int160] = ACTIONS(843),
    [anon_sym_int168] = ACTIONS(843),
    [anon_sym_int176] = ACTIONS(843),
    [anon_sym_int184] = ACTIONS(843),
    [anon_sym_int192] = ACTIONS(843),
    [anon_sym_int200] = ACTIONS(843),
    [anon_sym_int208] = ACTIONS(843),
    [anon_sym_int216] = ACTIONS(843),
    [anon_sym_int224] = ACTIONS(843),
    [anon_sym_int232] = ACTIONS(843),
    [anon_sym_int240] = ACTIONS(843),
    [anon_sym_int248] = ACTIONS(843),
    [anon_sym_int256] = ACTIONS(843),
    [anon_sym_uint] = ACTIONS(843),
    [anon_sym_uint8] = ACTIONS(843),
    [anon_sym_uint16] = ACTIONS(843),
    [anon_sym_uint24] = ACTIONS(843),
    [anon_sym_uint32] = ACTIONS(843),
    [anon_sym_uint40] = ACTIONS(843),
    [anon_sym_uint48] = ACTIONS(843),
    [anon_sym_uint56] = ACTIONS(843),
    [anon_sym_uint64] = ACTIONS(843),
    [anon_sym_uint72] = ACTIONS(843),
    [anon_sym_uint80] = ACTIONS(843),
    [anon_sym_uint88] = ACTIONS(843),
    [anon_sym_uint96] = ACTIONS(843),
    [anon_sym_uint104] = ACTIONS(843),
    [anon_sym_uint112] = ACTIONS(843),
    [anon_sym_uint120] = ACTIONS(843),
    [anon_sym_uint128] = ACTIONS(843),
    [anon_sym_uint136] = ACTIONS(843),
    [anon_sym_uint144] = ACTIONS(843),
    [anon_sym_uint152] = ACTIONS(843),
    [anon_sym_uint160] = ACTIONS(843),
    [anon_sym_uint168] = ACTIONS(843),
    [anon_sym_uint176] = ACTIONS(843),
    [anon_sym_uint184] = ACTIONS(843),
    [anon_sym_uint192] = ACTIONS(843),
    [anon_sym_uint200] = ACTIONS(843),
    [anon_sym_uint208] = ACTIONS(843),
    [anon_sym_uint216] = ACTIONS(843),
    [anon_sym_uint224] = ACTIONS(843),
    [anon_sym_uint232] = ACTIONS(843),
    [anon_sym_uint240] = ACTIONS(843),
    [anon_sym_uint248] = ACTIONS(843),
    [anon_sym_uint256] = ACTIONS(843),
    [anon_sym_bytes] = ACTIONS(843),
    [anon_sym_bytes1] = ACTIONS(843),
    [anon_sym_bytes2] = ACTIONS(843),
    [anon_sym_bytes3] = ACTIONS(843),
    [anon_sym_bytes4] = ACTIONS(843),
    [anon_sym_bytes5] = ACTIONS(843),
    [anon_sym_bytes6] = ACTIONS(843),
    [anon_sym_bytes7] = ACTIONS(843),
    [anon_sym_bytes8] = ACTIONS(843),
    [anon_sym_bytes9] = ACTIONS(843),
    [anon_sym_bytes10] = ACTIONS(843),
    [anon_sym_bytes11] = ACTIONS(843),
    [anon_sym_bytes12] = ACTIONS(843),
    [anon_sym_bytes13] = ACTIONS(843),
    [anon_sym_bytes14] = ACTIONS(843),
    [anon_sym_bytes15] = ACTIONS(843),
    [anon_sym_bytes16] = ACTIONS(843),
    [anon_sym_bytes17] = ACTIONS(843),
    [anon_sym_bytes18] = ACTIONS(843),
    [anon_sym_bytes19] = ACTIONS(843),
    [anon_sym_bytes20] = ACTIONS(843),
    [anon_sym_bytes21] = ACTIONS(843),
    [anon_sym_bytes22] = ACTIONS(843),
    [anon_sym_bytes23] = ACTIONS(843),
    [anon_sym_bytes24] = ACTIONS(843),
    [anon_sym_bytes25] = ACTIONS(843),
    [anon_sym_bytes26] = ACTIONS(843),
    [anon_sym_bytes27] = ACTIONS(843),
    [anon_sym_bytes28] = ACTIONS(843),
    [anon_sym_bytes29] = ACTIONS(843),
    [anon_sym_bytes30] = ACTIONS(843),
    [anon_sym_bytes31] = ACTIONS(843),
    [anon_sym_bytes32] = ACTIONS(843),
    [anon_sym_fixed] = ACTIONS(843),
    [aux_sym__fixed_token1] = ACTIONS(843),
    [anon_sym_ufixed] = ACTIONS(843),
    [aux_sym__ufixed_token1] = ACTIONS(843),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [ts_builtin_sym_end] = ACTIONS(845),
    [sym_identifier] = ACTIONS(847),
    [anon_sym_pragma] = ACTIONS(847),
    [anon_sym_import] = ACTIONS(847),
    [anon_sym_type] = ACTIONS(847),
    [anon_sym_abstract] = ACTIONS(847),
    [anon_sym_contract] = ACTIONS(847),
    [anon_sym_error] = ACTIONS(847),
    [anon_sym_interface] = ACTIONS(847),
    [anon_sym_library] = ACTIONS(847),
    [anon_sym_struct] = ACTIONS(847),
    [anon_sym_enum] = ACTIONS(847),
    [anon_sym_using] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(847),
    [anon_sym_byte] = ACTIONS(847),
    [anon_sym_address] = ACTIONS(847),
    [anon_sym_var] = ACTIONS(847),
    [anon_sym_mapping] = ACTIONS(847),
    [anon_sym_bool] = ACTIONS(847),
    [anon_sym_string] = ACTIONS(847),
    [anon_sym_int] = ACTIONS(847),
    [anon_sym_int8] = ACTIONS(847),
    [anon_sym_int16] = ACTIONS(847),
    [anon_sym_int24] = ACTIONS(847),
    [anon_sym_int32] = ACTIONS(847),
    [anon_sym_int40] = ACTIONS(847),
    [anon_sym_int48] = ACTIONS(847),
    [anon_sym_int56] = ACTIONS(847),
    [anon_sym_int64] = ACTIONS(847),
    [anon_sym_int72] = ACTIONS(847),
    [anon_sym_int80] = ACTIONS(847),
    [anon_sym_int88] = ACTIONS(847),
    [anon_sym_int96] = ACTIONS(847),
    [anon_sym_int104] = ACTIONS(847),
    [anon_sym_int112] = ACTIONS(847),
    [anon_sym_int120] = ACTIONS(847),
    [anon_sym_int128] = ACTIONS(847),
    [anon_sym_int136] = ACTIONS(847),
    [anon_sym_int144] = ACTIONS(847),
    [anon_sym_int152] = ACTIONS(847),
    [anon_sym_int160] = ACTIONS(847),
    [anon_sym_int168] = ACTIONS(847),
    [anon_sym_int176] = ACTIONS(847),
    [anon_sym_int184] = ACTIONS(847),
    [anon_sym_int192] = ACTIONS(847),
    [anon_sym_int200] = ACTIONS(847),
    [anon_sym_int208] = ACTIONS(847),
    [anon_sym_int216] = ACTIONS(847),
    [anon_sym_int224] = ACTIONS(847),
    [anon_sym_int232] = ACTIONS(847),
    [anon_sym_int240] = ACTIONS(847),
    [anon_sym_int248] = ACTIONS(847),
    [anon_sym_int256] = ACTIONS(847),
    [anon_sym_uint] = ACTIONS(847),
    [anon_sym_uint8] = ACTIONS(847),
    [anon_sym_uint16] = ACTIONS(847),
    [anon_sym_uint24] = ACTIONS(847),
    [anon_sym_uint32] = ACTIONS(847),
    [anon_sym_uint40] = ACTIONS(847),
    [anon_sym_uint48] = ACTIONS(847),
    [anon_sym_uint56] = ACTIONS(847),
    [anon_sym_uint64] = ACTIONS(847),
    [anon_sym_uint72] = ACTIONS(847),
    [anon_sym_uint80] = ACTIONS(847),
    [anon_sym_uint88] = ACTIONS(847),
    [anon_sym_uint96] = ACTIONS(847),
    [anon_sym_uint104] = ACTIONS(847),
    [anon_sym_uint112] = ACTIONS(847),
    [anon_sym_uint120] = ACTIONS(847),
    [anon_sym_uint128] = ACTIONS(847),
    [anon_sym_uint136] = ACTIONS(847),
    [anon_sym_uint144] = ACTIONS(847),
    [anon_sym_uint152] = ACTIONS(847),
    [anon_sym_uint160] = ACTIONS(847),
    [anon_sym_uint168] = ACTIONS(847),
    [anon_sym_uint176] = ACTIONS(847),
    [anon_sym_uint184] = ACTIONS(847),
    [anon_sym_uint192] = ACTIONS(847),
    [anon_sym_uint200] = ACTIONS(847),
    [anon_sym_uint208] = ACTIONS(847),
    [anon_sym_uint216] = ACTIONS(847),
    [anon_sym_uint224] = ACTIONS(847),
    [anon_sym_uint232] = ACTIONS(847),
    [anon_sym_uint240] = ACTIONS(847),
    [anon_sym_uint248] = ACTIONS(847),
    [anon_sym_uint256] = ACTIONS(847),
    [anon_sym_bytes] = ACTIONS(847),
    [anon_sym_bytes1] = ACTIONS(847),
    [anon_sym_bytes2] = ACTIONS(847),
    [anon_sym_bytes3] = ACTIONS(847),
    [anon_sym_bytes4] = ACTIONS(847),
    [anon_sym_bytes5] = ACTIONS(847),
    [anon_sym_bytes6] = ACTIONS(847),
    [anon_sym_bytes7] = ACTIONS(847),
    [anon_sym_bytes8] = ACTIONS(847),
    [anon_sym_bytes9] = ACTIONS(847),
    [anon_sym_bytes10] = ACTIONS(847),
    [anon_sym_bytes11] = ACTIONS(847),
    [anon_sym_bytes12] = ACTIONS(847),
    [anon_sym_bytes13] = ACTIONS(847),
    [anon_sym_bytes14] = ACTIONS(847),
    [anon_sym_bytes15] = ACTIONS(847),
    [anon_sym_bytes16] = ACTIONS(847),
    [anon_sym_bytes17] = ACTIONS(847),
    [anon_sym_bytes18] = ACTIONS(847),
    [anon_sym_bytes19] = ACTIONS(847),
    [anon_sym_bytes20] = ACTIONS(847),
    [anon_sym_bytes21] = ACTIONS(847),
    [anon_sym_bytes22] = ACTIONS(847),
    [anon_sym_bytes23] = ACTIONS(847),
    [anon_sym_bytes24] = ACTIONS(847),
    [anon_sym_bytes25] = ACTIONS(847),
    [anon_sym_bytes26] = ACTIONS(847),
    [anon_sym_bytes27] = ACTIONS(847),
    [anon_sym_bytes28] = ACTIONS(847),
    [anon_sym_bytes29] = ACTIONS(847),
    [anon_sym_bytes30] = ACTIONS(847),
    [anon_sym_bytes31] = ACTIONS(847),
    [anon_sym_bytes32] = ACTIONS(847),
    [anon_sym_fixed] = ACTIONS(847),
    [aux_sym__fixed_token1] = ACTIONS(847),
    [anon_sym_ufixed] = ACTIONS(847),
    [aux_sym__ufixed_token1] = ACTIONS(847),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [ts_builtin_sym_end] = ACTIONS(849),
    [sym_identifier] = ACTIONS(851),
    [anon_sym_pragma] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(851),
    [anon_sym_type] = ACTIONS(851),
    [anon_sym_abstract] = ACTIONS(851),
    [anon_sym_contract] = ACTIONS(851),
    [anon_sym_error] = ACTIONS(851),
    [anon_sym_interface] = ACTIONS(851),
    [anon_sym_library] = ACTIONS(851),
    [anon_sym_struct] = ACTIONS(851),
    [anon_sym_enum] = ACTIONS(851),
    [anon_sym_using] = ACTIONS(851),
    [anon_sym_function] = ACTIONS(851),
    [anon_sym_byte] = ACTIONS(851),
    [anon_sym_address] = ACTIONS(851),
    [anon_sym_var] = ACTIONS(851),
    [anon_sym_mapping] = ACTIONS(851),
    [anon_sym_bool] = ACTIONS(851),
    [anon_sym_string] = ACTIONS(851),
    [anon_sym_int] = ACTIONS(851),
    [anon_sym_int8] = ACTIONS(851),
    [anon_sym_int16] = ACTIONS(851),
    [anon_sym_int24] = ACTIONS(851),
    [anon_sym_int32] = ACTIONS(851),
    [anon_sym_int40] = ACTIONS(851),
    [anon_sym_int48] = ACTIONS(851),
    [anon_sym_int56] = ACTIONS(851),
    [anon_sym_int64] = ACTIONS(851),
    [anon_sym_int72] = ACTIONS(851),
    [anon_sym_int80] = ACTIONS(851),
    [anon_sym_int88] = ACTIONS(851),
    [anon_sym_int96] = ACTIONS(851),
    [anon_sym_int104] = ACTIONS(851),
    [anon_sym_int112] = ACTIONS(851),
    [anon_sym_int120] = ACTIONS(851),
    [anon_sym_int128] = ACTIONS(851),
    [anon_sym_int136] = ACTIONS(851),
    [anon_sym_int144] = ACTIONS(851),
    [anon_sym_int152] = ACTIONS(851),
    [anon_sym_int160] = ACTIONS(851),
    [anon_sym_int168] = ACTIONS(851),
    [anon_sym_int176] = ACTIONS(851),
    [anon_sym_int184] = ACTIONS(851),
    [anon_sym_int192] = ACTIONS(851),
    [anon_sym_int200] = ACTIONS(851),
    [anon_sym_int208] = ACTIONS(851),
    [anon_sym_int216] = ACTIONS(851),
    [anon_sym_int224] = ACTIONS(851),
    [anon_sym_int232] = ACTIONS(851),
    [anon_sym_int240] = ACTIONS(851),
    [anon_sym_int248] = ACTIONS(851),
    [anon_sym_int256] = ACTIONS(851),
    [anon_sym_uint] = ACTIONS(851),
    [anon_sym_uint8] = ACTIONS(851),
    [anon_sym_uint16] = ACTIONS(851),
    [anon_sym_uint24] = ACTIONS(851),
    [anon_sym_uint32] = ACTIONS(851),
    [anon_sym_uint40] = ACTIONS(851),
    [anon_sym_uint48] = ACTIONS(851),
    [anon_sym_uint56] = ACTIONS(851),
    [anon_sym_uint64] = ACTIONS(851),
    [anon_sym_uint72] = ACTIONS(851),
    [anon_sym_uint80] = ACTIONS(851),
    [anon_sym_uint88] = ACTIONS(851),
    [anon_sym_uint96] = ACTIONS(851),
    [anon_sym_uint104] = ACTIONS(851),
    [anon_sym_uint112] = ACTIONS(851),
    [anon_sym_uint120] = ACTIONS(851),
    [anon_sym_uint128] = ACTIONS(851),
    [anon_sym_uint136] = ACTIONS(851),
    [anon_sym_uint144] = ACTIONS(851),
    [anon_sym_uint152] = ACTIONS(851),
    [anon_sym_uint160] = ACTIONS(851),
    [anon_sym_uint168] = ACTIONS(851),
    [anon_sym_uint176] = ACTIONS(851),
    [anon_sym_uint184] = ACTIONS(851),
    [anon_sym_uint192] = ACTIONS(851),
    [anon_sym_uint200] = ACTIONS(851),
    [anon_sym_uint208] = ACTIONS(851),
    [anon_sym_uint216] = ACTIONS(851),
    [anon_sym_uint224] = ACTIONS(851),
    [anon_sym_uint232] = ACTIONS(851),
    [anon_sym_uint240] = ACTIONS(851),
    [anon_sym_uint248] = ACTIONS(851),
    [anon_sym_uint256] = ACTIONS(851),
    [anon_sym_bytes] = ACTIONS(851),
    [anon_sym_bytes1] = ACTIONS(851),
    [anon_sym_bytes2] = ACTIONS(851),
    [anon_sym_bytes3] = ACTIONS(851),
    [anon_sym_bytes4] = ACTIONS(851),
    [anon_sym_bytes5] = ACTIONS(851),
    [anon_sym_bytes6] = ACTIONS(851),
    [anon_sym_bytes7] = ACTIONS(851),
    [anon_sym_bytes8] = ACTIONS(851),
    [anon_sym_bytes9] = ACTIONS(851),
    [anon_sym_bytes10] = ACTIONS(851),
    [anon_sym_bytes11] = ACTIONS(851),
    [anon_sym_bytes12] = ACTIONS(851),
    [anon_sym_bytes13] = ACTIONS(851),
    [anon_sym_bytes14] = ACTIONS(851),
    [anon_sym_bytes15] = ACTIONS(851),
    [anon_sym_bytes16] = ACTIONS(851),
    [anon_sym_bytes17] = ACTIONS(851),
    [anon_sym_bytes18] = ACTIONS(851),
    [anon_sym_bytes19] = ACTIONS(851),
    [anon_sym_bytes20] = ACTIONS(851),
    [anon_sym_bytes21] = ACTIONS(851),
    [anon_sym_bytes22] = ACTIONS(851),
    [anon_sym_bytes23] = ACTIONS(851),
    [anon_sym_bytes24] = ACTIONS(851),
    [anon_sym_bytes25] = ACTIONS(851),
    [anon_sym_bytes26] = ACTIONS(851),
    [anon_sym_bytes27] = ACTIONS(851),
    [anon_sym_bytes28] = ACTIONS(851),
    [anon_sym_bytes29] = ACTIONS(851),
    [anon_sym_bytes30] = ACTIONS(851),
    [anon_sym_bytes31] = ACTIONS(851),
    [anon_sym_bytes32] = ACTIONS(851),
    [anon_sym_fixed] = ACTIONS(851),
    [aux_sym__fixed_token1] = ACTIONS(851),
    [anon_sym_ufixed] = ACTIONS(851),
    [aux_sym__ufixed_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [ts_builtin_sym_end] = ACTIONS(853),
    [sym_identifier] = ACTIONS(855),
    [anon_sym_pragma] = ACTIONS(855),
    [anon_sym_import] = ACTIONS(855),
    [anon_sym_type] = ACTIONS(855),
    [anon_sym_abstract] = ACTIONS(855),
    [anon_sym_contract] = ACTIONS(855),
    [anon_sym_error] = ACTIONS(855),
    [anon_sym_interface] = ACTIONS(855),
    [anon_sym_library] = ACTIONS(855),
    [anon_sym_struct] = ACTIONS(855),
    [anon_sym_enum] = ACTIONS(855),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(855),
    [anon_sym_byte] = ACTIONS(855),
    [anon_sym_address] = ACTIONS(855),
    [anon_sym_var] = ACTIONS(855),
    [anon_sym_mapping] = ACTIONS(855),
    [anon_sym_bool] = ACTIONS(855),
    [anon_sym_string] = ACTIONS(855),
    [anon_sym_int] = ACTIONS(855),
    [anon_sym_int8] = ACTIONS(855),
    [anon_sym_int16] = ACTIONS(855),
    [anon_sym_int24] = ACTIONS(855),
    [anon_sym_int32] = ACTIONS(855),
    [anon_sym_int40] = ACTIONS(855),
    [anon_sym_int48] = ACTIONS(855),
    [anon_sym_int56] = ACTIONS(855),
    [anon_sym_int64] = ACTIONS(855),
    [anon_sym_int72] = ACTIONS(855),
    [anon_sym_int80] = ACTIONS(855),
    [anon_sym_int88] = ACTIONS(855),
    [anon_sym_int96] = ACTIONS(855),
    [anon_sym_int104] = ACTIONS(855),
    [anon_sym_int112] = ACTIONS(855),
    [anon_sym_int120] = ACTIONS(855),
    [anon_sym_int128] = ACTIONS(855),
    [anon_sym_int136] = ACTIONS(855),
    [anon_sym_int144] = ACTIONS(855),
    [anon_sym_int152] = ACTIONS(855),
    [anon_sym_int160] = ACTIONS(855),
    [anon_sym_int168] = ACTIONS(855),
    [anon_sym_int176] = ACTIONS(855),
    [anon_sym_int184] = ACTIONS(855),
    [anon_sym_int192] = ACTIONS(855),
    [anon_sym_int200] = ACTIONS(855),
    [anon_sym_int208] = ACTIONS(855),
    [anon_sym_int216] = ACTIONS(855),
    [anon_sym_int224] = ACTIONS(855),
    [anon_sym_int232] = ACTIONS(855),
    [anon_sym_int240] = ACTIONS(855),
    [anon_sym_int248] = ACTIONS(855),
    [anon_sym_int256] = ACTIONS(855),
    [anon_sym_uint] = ACTIONS(855),
    [anon_sym_uint8] = ACTIONS(855),
    [anon_sym_uint16] = ACTIONS(855),
    [anon_sym_uint24] = ACTIONS(855),
    [anon_sym_uint32] = ACTIONS(855),
    [anon_sym_uint40] = ACTIONS(855),
    [anon_sym_uint48] = ACTIONS(855),
    [anon_sym_uint56] = ACTIONS(855),
    [anon_sym_uint64] = ACTIONS(855),
    [anon_sym_uint72] = ACTIONS(855),
    [anon_sym_uint80] = ACTIONS(855),
    [anon_sym_uint88] = ACTIONS(855),
    [anon_sym_uint96] = ACTIONS(855),
    [anon_sym_uint104] = ACTIONS(855),
    [anon_sym_uint112] = ACTIONS(855),
    [anon_sym_uint120] = ACTIONS(855),
    [anon_sym_uint128] = ACTIONS(855),
    [anon_sym_uint136] = ACTIONS(855),
    [anon_sym_uint144] = ACTIONS(855),
    [anon_sym_uint152] = ACTIONS(855),
    [anon_sym_uint160] = ACTIONS(855),
    [anon_sym_uint168] = ACTIONS(855),
    [anon_sym_uint176] = ACTIONS(855),
    [anon_sym_uint184] = ACTIONS(855),
    [anon_sym_uint192] = ACTIONS(855),
    [anon_sym_uint200] = ACTIONS(855),
    [anon_sym_uint208] = ACTIONS(855),
    [anon_sym_uint216] = ACTIONS(855),
    [anon_sym_uint224] = ACTIONS(855),
    [anon_sym_uint232] = ACTIONS(855),
    [anon_sym_uint240] = ACTIONS(855),
    [anon_sym_uint248] = ACTIONS(855),
    [anon_sym_uint256] = ACTIONS(855),
    [anon_sym_bytes] = ACTIONS(855),
    [anon_sym_bytes1] = ACTIONS(855),
    [anon_sym_bytes2] = ACTIONS(855),
    [anon_sym_bytes3] = ACTIONS(855),
    [anon_sym_bytes4] = ACTIONS(855),
    [anon_sym_bytes5] = ACTIONS(855),
    [anon_sym_bytes6] = ACTIONS(855),
    [anon_sym_bytes7] = ACTIONS(855),
    [anon_sym_bytes8] = ACTIONS(855),
    [anon_sym_bytes9] = ACTIONS(855),
    [anon_sym_bytes10] = ACTIONS(855),
    [anon_sym_bytes11] = ACTIONS(855),
    [anon_sym_bytes12] = ACTIONS(855),
    [anon_sym_bytes13] = ACTIONS(855),
    [anon_sym_bytes14] = ACTIONS(855),
    [anon_sym_bytes15] = ACTIONS(855),
    [anon_sym_bytes16] = ACTIONS(855),
    [anon_sym_bytes17] = ACTIONS(855),
    [anon_sym_bytes18] = ACTIONS(855),
    [anon_sym_bytes19] = ACTIONS(855),
    [anon_sym_bytes20] = ACTIONS(855),
    [anon_sym_bytes21] = ACTIONS(855),
    [anon_sym_bytes22] = ACTIONS(855),
    [anon_sym_bytes23] = ACTIONS(855),
    [anon_sym_bytes24] = ACTIONS(855),
    [anon_sym_bytes25] = ACTIONS(855),
    [anon_sym_bytes26] = ACTIONS(855),
    [anon_sym_bytes27] = ACTIONS(855),
    [anon_sym_bytes28] = ACTIONS(855),
    [anon_sym_bytes29] = ACTIONS(855),
    [anon_sym_bytes30] = ACTIONS(855),
    [anon_sym_bytes31] = ACTIONS(855),
    [anon_sym_bytes32] = ACTIONS(855),
    [anon_sym_fixed] = ACTIONS(855),
    [aux_sym__fixed_token1] = ACTIONS(855),
    [anon_sym_ufixed] = ACTIONS(855),
    [aux_sym__ufixed_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [sym_identifier] = ACTIONS(817),
    [anon_sym_RBRACE] = ACTIONS(815),
    [anon_sym_type] = ACTIONS(817),
    [anon_sym_error] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(817),
    [anon_sym_enum] = ACTIONS(817),
    [anon_sym_event] = ACTIONS(817),
    [anon_sym_using] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(817),
    [anon_sym_byte] = ACTIONS(817),
    [anon_sym_address] = ACTIONS(817),
    [anon_sym_var] = ACTIONS(817),
    [anon_sym_modifier] = ACTIONS(817),
    [anon_sym_constructor] = ACTIONS(817),
    [anon_sym_fallback] = ACTIONS(817),
    [anon_sym_receive] = ACTIONS(817),
    [anon_sym_mapping] = ACTIONS(817),
    [anon_sym_bool] = ACTIONS(817),
    [anon_sym_string] = ACTIONS(817),
    [anon_sym_int] = ACTIONS(817),
    [anon_sym_int8] = ACTIONS(817),
    [anon_sym_int16] = ACTIONS(817),
    [anon_sym_int24] = ACTIONS(817),
    [anon_sym_int32] = ACTIONS(817),
    [anon_sym_int40] = ACTIONS(817),
    [anon_sym_int48] = ACTIONS(817),
    [anon_sym_int56] = ACTIONS(817),
    [anon_sym_int64] = ACTIONS(817),
    [anon_sym_int72] = ACTIONS(817),
    [anon_sym_int80] = ACTIONS(817),
    [anon_sym_int88] = ACTIONS(817),
    [anon_sym_int96] = ACTIONS(817),
    [anon_sym_int104] = ACTIONS(817),
    [anon_sym_int112] = ACTIONS(817),
    [anon_sym_int120] = ACTIONS(817),
    [anon_sym_int128] = ACTIONS(817),
    [anon_sym_int136] = ACTIONS(817),
    [anon_sym_int144] = ACTIONS(817),
    [anon_sym_int152] = ACTIONS(817),
    [anon_sym_int160] = ACTIONS(817),
    [anon_sym_int168] = ACTIONS(817),
    [anon_sym_int176] = ACTIONS(817),
    [anon_sym_int184] = ACTIONS(817),
    [anon_sym_int192] = ACTIONS(817),
    [anon_sym_int200] = ACTIONS(817),
    [anon_sym_int208] = ACTIONS(817),
    [anon_sym_int216] = ACTIONS(817),
    [anon_sym_int224] = ACTIONS(817),
    [anon_sym_int232] = ACTIONS(817),
    [anon_sym_int240] = ACTIONS(817),
    [anon_sym_int248] = ACTIONS(817),
    [anon_sym_int256] = ACTIONS(817),
    [anon_sym_uint] = ACTIONS(817),
    [anon_sym_uint8] = ACTIONS(817),
    [anon_sym_uint16] = ACTIONS(817),
    [anon_sym_uint24] = ACTIONS(817),
    [anon_sym_uint32] = ACTIONS(817),
    [anon_sym_uint40] = ACTIONS(817),
    [anon_sym_uint48] = ACTIONS(817),
    [anon_sym_uint56] = ACTIONS(817),
    [anon_sym_uint64] = ACTIONS(817),
    [anon_sym_uint72] = ACTIONS(817),
    [anon_sym_uint80] = ACTIONS(817),
    [anon_sym_uint88] = ACTIONS(817),
    [anon_sym_uint96] = ACTIONS(817),
    [anon_sym_uint104] = ACTIONS(817),
    [anon_sym_uint112] = ACTIONS(817),
    [anon_sym_uint120] = ACTIONS(817),
    [anon_sym_uint128] = ACTIONS(817),
    [anon_sym_uint136] = ACTIONS(817),
    [anon_sym_uint144] = ACTIONS(817),
    [anon_sym_uint152] = ACTIONS(817),
    [anon_sym_uint160] = ACTIONS(817),
    [anon_sym_uint168] = ACTIONS(817),
    [anon_sym_uint176] = ACTIONS(817),
    [anon_sym_uint184] = ACTIONS(817),
    [anon_sym_uint192] = ACTIONS(817),
    [anon_sym_uint200] = ACTIONS(817),
    [anon_sym_uint208] = ACTIONS(817),
    [anon_sym_uint216] = ACTIONS(817),
    [anon_sym_uint224] = ACTIONS(817),
    [anon_sym_uint232] = ACTIONS(817),
    [anon_sym_uint240] = ACTIONS(817),
    [anon_sym_uint248] = ACTIONS(817),
    [anon_sym_uint256] = ACTIONS(817),
    [anon_sym_bytes] = ACTIONS(817),
    [anon_sym_bytes1] = ACTIONS(817),
    [anon_sym_bytes2] = ACTIONS(817),
    [anon_sym_bytes3] = ACTIONS(817),
    [anon_sym_bytes4] = ACTIONS(817),
    [anon_sym_bytes5] = ACTIONS(817),
    [anon_sym_bytes6] = ACTIONS(817),
    [anon_sym_bytes7] = ACTIONS(817),
    [anon_sym_bytes8] = ACTIONS(817),
    [anon_sym_bytes9] = ACTIONS(817),
    [anon_sym_bytes10] = ACTIONS(817),
    [anon_sym_bytes11] = ACTIONS(817),
    [anon_sym_bytes12] = ACTIONS(817),
    [anon_sym_bytes13] = ACTIONS(817),
    [anon_sym_bytes14] = ACTIONS(817),
    [anon_sym_bytes15] = ACTIONS(817),
    [anon_sym_bytes16] = ACTIONS(817),
    [anon_sym_bytes17] = ACTIONS(817),
    [anon_sym_bytes18] = ACTIONS(817),
    [anon_sym_bytes19] = ACTIONS(817),
    [anon_sym_bytes20] = ACTIONS(817),
    [anon_sym_bytes21] = ACTIONS(817),
    [anon_sym_bytes22] = ACTIONS(817),
    [anon_sym_bytes23] = ACTIONS(817),
    [anon_sym_bytes24] = ACTIONS(817),
    [anon_sym_bytes25] = ACTIONS(817),
    [anon_sym_bytes26] = ACTIONS(817),
    [anon_sym_bytes27] = ACTIONS(817),
    [anon_sym_bytes28] = ACTIONS(817),
    [anon_sym_bytes29] = ACTIONS(817),
    [anon_sym_bytes30] = ACTIONS(817),
    [anon_sym_bytes31] = ACTIONS(817),
    [anon_sym_bytes32] = ACTIONS(817),
    [anon_sym_fixed] = ACTIONS(817),
    [aux_sym__fixed_token1] = ACTIONS(817),
    [anon_sym_ufixed] = ACTIONS(817),
    [aux_sym__ufixed_token1] = ACTIONS(817),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [sym_identifier] = ACTIONS(857),
    [anon_sym_RBRACE] = ACTIONS(859),
    [anon_sym_type] = ACTIONS(857),
    [anon_sym_error] = ACTIONS(857),
    [anon_sym_struct] = ACTIONS(857),
    [anon_sym_enum] = ACTIONS(857),
    [anon_sym_event] = ACTIONS(857),
    [anon_sym_using] = ACTIONS(857),
    [anon_sym_function] = ACTIONS(857),
    [anon_sym_byte] = ACTIONS(857),
    [anon_sym_address] = ACTIONS(857),
    [anon_sym_var] = ACTIONS(857),
    [anon_sym_modifier] = ACTIONS(857),
    [anon_sym_constructor] = ACTIONS(857),
    [anon_sym_fallback] = ACTIONS(857),
    [anon_sym_receive] = ACTIONS(857),
    [anon_sym_mapping] = ACTIONS(857),
    [anon_sym_bool] = ACTIONS(857),
    [anon_sym_string] = ACTIONS(857),
    [anon_sym_int] = ACTIONS(857),
    [anon_sym_int8] = ACTIONS(857),
    [anon_sym_int16] = ACTIONS(857),
    [anon_sym_int24] = ACTIONS(857),
    [anon_sym_int32] = ACTIONS(857),
    [anon_sym_int40] = ACTIONS(857),
    [anon_sym_int48] = ACTIONS(857),
    [anon_sym_int56] = ACTIONS(857),
    [anon_sym_int64] = ACTIONS(857),
    [anon_sym_int72] = ACTIONS(857),
    [anon_sym_int80] = ACTIONS(857),
    [anon_sym_int88] = ACTIONS(857),
    [anon_sym_int96] = ACTIONS(857),
    [anon_sym_int104] = ACTIONS(857),
    [anon_sym_int112] = ACTIONS(857),
    [anon_sym_int120] = ACTIONS(857),
    [anon_sym_int128] = ACTIONS(857),
    [anon_sym_int136] = ACTIONS(857),
    [anon_sym_int144] = ACTIONS(857),
    [anon_sym_int152] = ACTIONS(857),
    [anon_sym_int160] = ACTIONS(857),
    [anon_sym_int168] = ACTIONS(857),
    [anon_sym_int176] = ACTIONS(857),
    [anon_sym_int184] = ACTIONS(857),
    [anon_sym_int192] = ACTIONS(857),
    [anon_sym_int200] = ACTIONS(857),
    [anon_sym_int208] = ACTIONS(857),
    [anon_sym_int216] = ACTIONS(857),
    [anon_sym_int224] = ACTIONS(857),
    [anon_sym_int232] = ACTIONS(857),
    [anon_sym_int240] = ACTIONS(857),
    [anon_sym_int248] = ACTIONS(857),
    [anon_sym_int256] = ACTIONS(857),
    [anon_sym_uint] = ACTIONS(857),
    [anon_sym_uint8] = ACTIONS(857),
    [anon_sym_uint16] = ACTIONS(857),
    [anon_sym_uint24] = ACTIONS(857),
    [anon_sym_uint32] = ACTIONS(857),
    [anon_sym_uint40] = ACTIONS(857),
    [anon_sym_uint48] = ACTIONS(857),
    [anon_sym_uint56] = ACTIONS(857),
    [anon_sym_uint64] = ACTIONS(857),
    [anon_sym_uint72] = ACTIONS(857),
    [anon_sym_uint80] = ACTIONS(857),
    [anon_sym_uint88] = ACTIONS(857),
    [anon_sym_uint96] = ACTIONS(857),
    [anon_sym_uint104] = ACTIONS(857),
    [anon_sym_uint112] = ACTIONS(857),
    [anon_sym_uint120] = ACTIONS(857),
    [anon_sym_uint128] = ACTIONS(857),
    [anon_sym_uint136] = ACTIONS(857),
    [anon_sym_uint144] = ACTIONS(857),
    [anon_sym_uint152] = ACTIONS(857),
    [anon_sym_uint160] = ACTIONS(857),
    [anon_sym_uint168] = ACTIONS(857),
    [anon_sym_uint176] = ACTIONS(857),
    [anon_sym_uint184] = ACTIONS(857),
    [anon_sym_uint192] = ACTIONS(857),
    [anon_sym_uint200] = ACTIONS(857),
    [anon_sym_uint208] = ACTIONS(857),
    [anon_sym_uint216] = ACTIONS(857),
    [anon_sym_uint224] = ACTIONS(857),
    [anon_sym_uint232] = ACTIONS(857),
    [anon_sym_uint240] = ACTIONS(857),
    [anon_sym_uint248] = ACTIONS(857),
    [anon_sym_uint256] = ACTIONS(857),
    [anon_sym_bytes] = ACTIONS(857),
    [anon_sym_bytes1] = ACTIONS(857),
    [anon_sym_bytes2] = ACTIONS(857),
    [anon_sym_bytes3] = ACTIONS(857),
    [anon_sym_bytes4] = ACTIONS(857),
    [anon_sym_bytes5] = ACTIONS(857),
    [anon_sym_bytes6] = ACTIONS(857),
    [anon_sym_bytes7] = ACTIONS(857),
    [anon_sym_bytes8] = ACTIONS(857),
    [anon_sym_bytes9] = ACTIONS(857),
    [anon_sym_bytes10] = ACTIONS(857),
    [anon_sym_bytes11] = ACTIONS(857),
    [anon_sym_bytes12] = ACTIONS(857),
    [anon_sym_bytes13] = ACTIONS(857),
    [anon_sym_bytes14] = ACTIONS(857),
    [anon_sym_bytes15] = ACTIONS(857),
    [anon_sym_bytes16] = ACTIONS(857),
    [anon_sym_bytes17] = ACTIONS(857),
    [anon_sym_bytes18] = ACTIONS(857),
    [anon_sym_bytes19] = ACTIONS(857),
    [anon_sym_bytes20] = ACTIONS(857),
    [anon_sym_bytes21] = ACTIONS(857),
    [anon_sym_bytes22] = ACTIONS(857),
    [anon_sym_bytes23] = ACTIONS(857),
    [anon_sym_bytes24] = ACTIONS(857),
    [anon_sym_bytes25] = ACTIONS(857),
    [anon_sym_bytes26] = ACTIONS(857),
    [anon_sym_bytes27] = ACTIONS(857),
    [anon_sym_bytes28] = ACTIONS(857),
    [anon_sym_bytes29] = ACTIONS(857),
    [anon_sym_bytes30] = ACTIONS(857),
    [anon_sym_bytes31] = ACTIONS(857),
    [anon_sym_bytes32] = ACTIONS(857),
    [anon_sym_fixed] = ACTIONS(857),
    [aux_sym__fixed_token1] = ACTIONS(857),
    [anon_sym_ufixed] = ACTIONS(857),
    [aux_sym__ufixed_token1] = ACTIONS(857),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [sym_identifier] = ACTIONS(861),
    [anon_sym_RBRACE] = ACTIONS(863),
    [anon_sym_type] = ACTIONS(861),
    [anon_sym_error] = ACTIONS(861),
    [anon_sym_struct] = ACTIONS(861),
    [anon_sym_enum] = ACTIONS(861),
    [anon_sym_event] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_function] = ACTIONS(861),
    [anon_sym_byte] = ACTIONS(861),
    [anon_sym_address] = ACTIONS(861),
    [anon_sym_var] = ACTIONS(861),
    [anon_sym_modifier] = ACTIONS(861),
    [anon_sym_constructor] = ACTIONS(861),
    [anon_sym_fallback] = ACTIONS(861),
    [anon_sym_receive] = ACTIONS(861),
    [anon_sym_mapping] = ACTIONS(861),
    [anon_sym_bool] = ACTIONS(861),
    [anon_sym_string] = ACTIONS(861),
    [anon_sym_int] = ACTIONS(861),
    [anon_sym_int8] = ACTIONS(861),
    [anon_sym_int16] = ACTIONS(861),
    [anon_sym_int24] = ACTIONS(861),
    [anon_sym_int32] = ACTIONS(861),
    [anon_sym_int40] = ACTIONS(861),
    [anon_sym_int48] = ACTIONS(861),
    [anon_sym_int56] = ACTIONS(861),
    [anon_sym_int64] = ACTIONS(861),
    [anon_sym_int72] = ACTIONS(861),
    [anon_sym_int80] = ACTIONS(861),
    [anon_sym_int88] = ACTIONS(861),
    [anon_sym_int96] = ACTIONS(861),
    [anon_sym_int104] = ACTIONS(861),
    [anon_sym_int112] = ACTIONS(861),
    [anon_sym_int120] = ACTIONS(861),
    [anon_sym_int128] = ACTIONS(861),
    [anon_sym_int136] = ACTIONS(861),
    [anon_sym_int144] = ACTIONS(861),
    [anon_sym_int152] = ACTIONS(861),
    [anon_sym_int160] = ACTIONS(861),
    [anon_sym_int168] = ACTIONS(861),
    [anon_sym_int176] = ACTIONS(861),
    [anon_sym_int184] = ACTIONS(861),
    [anon_sym_int192] = ACTIONS(861),
    [anon_sym_int200] = ACTIONS(861),
    [anon_sym_int208] = ACTIONS(861),
    [anon_sym_int216] = ACTIONS(861),
    [anon_sym_int224] = ACTIONS(861),
    [anon_sym_int232] = ACTIONS(861),
    [anon_sym_int240] = ACTIONS(861),
    [anon_sym_int248] = ACTIONS(861),
    [anon_sym_int256] = ACTIONS(861),
    [anon_sym_uint] = ACTIONS(861),
    [anon_sym_uint8] = ACTIONS(861),
    [anon_sym_uint16] = ACTIONS(861),
    [anon_sym_uint24] = ACTIONS(861),
    [anon_sym_uint32] = ACTIONS(861),
    [anon_sym_uint40] = ACTIONS(861),
    [anon_sym_uint48] = ACTIONS(861),
    [anon_sym_uint56] = ACTIONS(861),
    [anon_sym_uint64] = ACTIONS(861),
    [anon_sym_uint72] = ACTIONS(861),
    [anon_sym_uint80] = ACTIONS(861),
    [anon_sym_uint88] = ACTIONS(861),
    [anon_sym_uint96] = ACTIONS(861),
    [anon_sym_uint104] = ACTIONS(861),
    [anon_sym_uint112] = ACTIONS(861),
    [anon_sym_uint120] = ACTIONS(861),
    [anon_sym_uint128] = ACTIONS(861),
    [anon_sym_uint136] = ACTIONS(861),
    [anon_sym_uint144] = ACTIONS(861),
    [anon_sym_uint152] = ACTIONS(861),
    [anon_sym_uint160] = ACTIONS(861),
    [anon_sym_uint168] = ACTIONS(861),
    [anon_sym_uint176] = ACTIONS(861),
    [anon_sym_uint184] = ACTIONS(861),
    [anon_sym_uint192] = ACTIONS(861),
    [anon_sym_uint200] = ACTIONS(861),
    [anon_sym_uint208] = ACTIONS(861),
    [anon_sym_uint216] = ACTIONS(861),
    [anon_sym_uint224] = ACTIONS(861),
    [anon_sym_uint232] = ACTIONS(861),
    [anon_sym_uint240] = ACTIONS(861),
    [anon_sym_uint248] = ACTIONS(861),
    [anon_sym_uint256] = ACTIONS(861),
    [anon_sym_bytes] = ACTIONS(861),
    [anon_sym_bytes1] = ACTIONS(861),
    [anon_sym_bytes2] = ACTIONS(861),
    [anon_sym_bytes3] = ACTIONS(861),
    [anon_sym_bytes4] = ACTIONS(861),
    [anon_sym_bytes5] = ACTIONS(861),
    [anon_sym_bytes6] = ACTIONS(861),
    [anon_sym_bytes7] = ACTIONS(861),
    [anon_sym_bytes8] = ACTIONS(861),
    [anon_sym_bytes9] = ACTIONS(861),
    [anon_sym_bytes10] = ACTIONS(861),
    [anon_sym_bytes11] = ACTIONS(861),
    [anon_sym_bytes12] = ACTIONS(861),
    [anon_sym_bytes13] = ACTIONS(861),
    [anon_sym_bytes14] = ACTIONS(861),
    [anon_sym_bytes15] = ACTIONS(861),
    [anon_sym_bytes16] = ACTIONS(861),
    [anon_sym_bytes17] = ACTIONS(861),
    [anon_sym_bytes18] = ACTIONS(861),
    [anon_sym_bytes19] = ACTIONS(861),
    [anon_sym_bytes20] = ACTIONS(861),
    [anon_sym_bytes21] = ACTIONS(861),
    [anon_sym_bytes22] = ACTIONS(861),
    [anon_sym_bytes23] = ACTIONS(861),
    [anon_sym_bytes24] = ACTIONS(861),
    [anon_sym_bytes25] = ACTIONS(861),
    [anon_sym_bytes26] = ACTIONS(861),
    [anon_sym_bytes27] = ACTIONS(861),
    [anon_sym_bytes28] = ACTIONS(861),
    [anon_sym_bytes29] = ACTIONS(861),
    [anon_sym_bytes30] = ACTIONS(861),
    [anon_sym_bytes31] = ACTIONS(861),
    [anon_sym_bytes32] = ACTIONS(861),
    [anon_sym_fixed] = ACTIONS(861),
    [aux_sym__fixed_token1] = ACTIONS(861),
    [anon_sym_ufixed] = ACTIONS(861),
    [aux_sym__ufixed_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [sym_identifier] = ACTIONS(865),
    [anon_sym_RBRACE] = ACTIONS(867),
    [anon_sym_type] = ACTIONS(865),
    [anon_sym_error] = ACTIONS(865),
    [anon_sym_struct] = ACTIONS(865),
    [anon_sym_enum] = ACTIONS(865),
    [anon_sym_event] = ACTIONS(865),
    [anon_sym_using] = ACTIONS(865),
    [anon_sym_function] = ACTIONS(865),
    [anon_sym_byte] = ACTIONS(865),
    [anon_sym_address] = ACTIONS(865),
    [anon_sym_var] = ACTIONS(865),
    [anon_sym_modifier] = ACTIONS(865),
    [anon_sym_constructor] = ACTIONS(865),
    [anon_sym_fallback] = ACTIONS(865),
    [anon_sym_receive] = ACTIONS(865),
    [anon_sym_mapping] = ACTIONS(865),
    [anon_sym_bool] = ACTIONS(865),
    [anon_sym_string] = ACTIONS(865),
    [anon_sym_int] = ACTIONS(865),
    [anon_sym_int8] = ACTIONS(865),
    [anon_sym_int16] = ACTIONS(865),
    [anon_sym_int24] = ACTIONS(865),
    [anon_sym_int32] = ACTIONS(865),
    [anon_sym_int40] = ACTIONS(865),
    [anon_sym_int48] = ACTIONS(865),
    [anon_sym_int56] = ACTIONS(865),
    [anon_sym_int64] = ACTIONS(865),
    [anon_sym_int72] = ACTIONS(865),
    [anon_sym_int80] = ACTIONS(865),
    [anon_sym_int88] = ACTIONS(865),
    [anon_sym_int96] = ACTIONS(865),
    [anon_sym_int104] = ACTIONS(865),
    [anon_sym_int112] = ACTIONS(865),
    [anon_sym_int120] = ACTIONS(865),
    [anon_sym_int128] = ACTIONS(865),
    [anon_sym_int136] = ACTIONS(865),
    [anon_sym_int144] = ACTIONS(865),
    [anon_sym_int152] = ACTIONS(865),
    [anon_sym_int160] = ACTIONS(865),
    [anon_sym_int168] = ACTIONS(865),
    [anon_sym_int176] = ACTIONS(865),
    [anon_sym_int184] = ACTIONS(865),
    [anon_sym_int192] = ACTIONS(865),
    [anon_sym_int200] = ACTIONS(865),
    [anon_sym_int208] = ACTIONS(865),
    [anon_sym_int216] = ACTIONS(865),
    [anon_sym_int224] = ACTIONS(865),
    [anon_sym_int232] = ACTIONS(865),
    [anon_sym_int240] = ACTIONS(865),
    [anon_sym_int248] = ACTIONS(865),
    [anon_sym_int256] = ACTIONS(865),
    [anon_sym_uint] = ACTIONS(865),
    [anon_sym_uint8] = ACTIONS(865),
    [anon_sym_uint16] = ACTIONS(865),
    [anon_sym_uint24] = ACTIONS(865),
    [anon_sym_uint32] = ACTIONS(865),
    [anon_sym_uint40] = ACTIONS(865),
    [anon_sym_uint48] = ACTIONS(865),
    [anon_sym_uint56] = ACTIONS(865),
    [anon_sym_uint64] = ACTIONS(865),
    [anon_sym_uint72] = ACTIONS(865),
    [anon_sym_uint80] = ACTIONS(865),
    [anon_sym_uint88] = ACTIONS(865),
    [anon_sym_uint96] = ACTIONS(865),
    [anon_sym_uint104] = ACTIONS(865),
    [anon_sym_uint112] = ACTIONS(865),
    [anon_sym_uint120] = ACTIONS(865),
    [anon_sym_uint128] = ACTIONS(865),
    [anon_sym_uint136] = ACTIONS(865),
    [anon_sym_uint144] = ACTIONS(865),
    [anon_sym_uint152] = ACTIONS(865),
    [anon_sym_uint160] = ACTIONS(865),
    [anon_sym_uint168] = ACTIONS(865),
    [anon_sym_uint176] = ACTIONS(865),
    [anon_sym_uint184] = ACTIONS(865),
    [anon_sym_uint192] = ACTIONS(865),
    [anon_sym_uint200] = ACTIONS(865),
    [anon_sym_uint208] = ACTIONS(865),
    [anon_sym_uint216] = ACTIONS(865),
    [anon_sym_uint224] = ACTIONS(865),
    [anon_sym_uint232] = ACTIONS(865),
    [anon_sym_uint240] = ACTIONS(865),
    [anon_sym_uint248] = ACTIONS(865),
    [anon_sym_uint256] = ACTIONS(865),
    [anon_sym_bytes] = ACTIONS(865),
    [anon_sym_bytes1] = ACTIONS(865),
    [anon_sym_bytes2] = ACTIONS(865),
    [anon_sym_bytes3] = ACTIONS(865),
    [anon_sym_bytes4] = ACTIONS(865),
    [anon_sym_bytes5] = ACTIONS(865),
    [anon_sym_bytes6] = ACTIONS(865),
    [anon_sym_bytes7] = ACTIONS(865),
    [anon_sym_bytes8] = ACTIONS(865),
    [anon_sym_bytes9] = ACTIONS(865),
    [anon_sym_bytes10] = ACTIONS(865),
    [anon_sym_bytes11] = ACTIONS(865),
    [anon_sym_bytes12] = ACTIONS(865),
    [anon_sym_bytes13] = ACTIONS(865),
    [anon_sym_bytes14] = ACTIONS(865),
    [anon_sym_bytes15] = ACTIONS(865),
    [anon_sym_bytes16] = ACTIONS(865),
    [anon_sym_bytes17] = ACTIONS(865),
    [anon_sym_bytes18] = ACTIONS(865),
    [anon_sym_bytes19] = ACTIONS(865),
    [anon_sym_bytes20] = ACTIONS(865),
    [anon_sym_bytes21] = ACTIONS(865),
    [anon_sym_bytes22] = ACTIONS(865),
    [anon_sym_bytes23] = ACTIONS(865),
    [anon_sym_bytes24] = ACTIONS(865),
    [anon_sym_bytes25] = ACTIONS(865),
    [anon_sym_bytes26] = ACTIONS(865),
    [anon_sym_bytes27] = ACTIONS(865),
    [anon_sym_bytes28] = ACTIONS(865),
    [anon_sym_bytes29] = ACTIONS(865),
    [anon_sym_bytes30] = ACTIONS(865),
    [anon_sym_bytes31] = ACTIONS(865),
    [anon_sym_bytes32] = ACTIONS(865),
    [anon_sym_fixed] = ACTIONS(865),
    [aux_sym__fixed_token1] = ACTIONS(865),
    [anon_sym_ufixed] = ACTIONS(865),
    [aux_sym__ufixed_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [sym_identifier] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(871),
    [anon_sym_type] = ACTIONS(869),
    [anon_sym_error] = ACTIONS(869),
    [anon_sym_struct] = ACTIONS(869),
    [anon_sym_enum] = ACTIONS(869),
    [anon_sym_event] = ACTIONS(869),
    [anon_sym_using] = ACTIONS(869),
    [anon_sym_function] = ACTIONS(869),
    [anon_sym_byte] = ACTIONS(869),
    [anon_sym_address] = ACTIONS(869),
    [anon_sym_var] = ACTIONS(869),
    [anon_sym_modifier] = ACTIONS(869),
    [anon_sym_constructor] = ACTIONS(869),
    [anon_sym_fallback] = ACTIONS(869),
    [anon_sym_receive] = ACTIONS(869),
    [anon_sym_mapping] = ACTIONS(869),
    [anon_sym_bool] = ACTIONS(869),
    [anon_sym_string] = ACTIONS(869),
    [anon_sym_int] = ACTIONS(869),
    [anon_sym_int8] = ACTIONS(869),
    [anon_sym_int16] = ACTIONS(869),
    [anon_sym_int24] = ACTIONS(869),
    [anon_sym_int32] = ACTIONS(869),
    [anon_sym_int40] = ACTIONS(869),
    [anon_sym_int48] = ACTIONS(869),
    [anon_sym_int56] = ACTIONS(869),
    [anon_sym_int64] = ACTIONS(869),
    [anon_sym_int72] = ACTIONS(869),
    [anon_sym_int80] = ACTIONS(869),
    [anon_sym_int88] = ACTIONS(869),
    [anon_sym_int96] = ACTIONS(869),
    [anon_sym_int104] = ACTIONS(869),
    [anon_sym_int112] = ACTIONS(869),
    [anon_sym_int120] = ACTIONS(869),
    [anon_sym_int128] = ACTIONS(869),
    [anon_sym_int136] = ACTIONS(869),
    [anon_sym_int144] = ACTIONS(869),
    [anon_sym_int152] = ACTIONS(869),
    [anon_sym_int160] = ACTIONS(869),
    [anon_sym_int168] = ACTIONS(869),
    [anon_sym_int176] = ACTIONS(869),
    [anon_sym_int184] = ACTIONS(869),
    [anon_sym_int192] = ACTIONS(869),
    [anon_sym_int200] = ACTIONS(869),
    [anon_sym_int208] = ACTIONS(869),
    [anon_sym_int216] = ACTIONS(869),
    [anon_sym_int224] = ACTIONS(869),
    [anon_sym_int232] = ACTIONS(869),
    [anon_sym_int240] = ACTIONS(869),
    [anon_sym_int248] = ACTIONS(869),
    [anon_sym_int256] = ACTIONS(869),
    [anon_sym_uint] = ACTIONS(869),
    [anon_sym_uint8] = ACTIONS(869),
    [anon_sym_uint16] = ACTIONS(869),
    [anon_sym_uint24] = ACTIONS(869),
    [anon_sym_uint32] = ACTIONS(869),
    [anon_sym_uint40] = ACTIONS(869),
    [anon_sym_uint48] = ACTIONS(869),
    [anon_sym_uint56] = ACTIONS(869),
    [anon_sym_uint64] = ACTIONS(869),
    [anon_sym_uint72] = ACTIONS(869),
    [anon_sym_uint80] = ACTIONS(869),
    [anon_sym_uint88] = ACTIONS(869),
    [anon_sym_uint96] = ACTIONS(869),
    [anon_sym_uint104] = ACTIONS(869),
    [anon_sym_uint112] = ACTIONS(869),
    [anon_sym_uint120] = ACTIONS(869),
    [anon_sym_uint128] = ACTIONS(869),
    [anon_sym_uint136] = ACTIONS(869),
    [anon_sym_uint144] = ACTIONS(869),
    [anon_sym_uint152] = ACTIONS(869),
    [anon_sym_uint160] = ACTIONS(869),
    [anon_sym_uint168] = ACTIONS(869),
    [anon_sym_uint176] = ACTIONS(869),
    [anon_sym_uint184] = ACTIONS(869),
    [anon_sym_uint192] = ACTIONS(869),
    [anon_sym_uint200] = ACTIONS(869),
    [anon_sym_uint208] = ACTIONS(869),
    [anon_sym_uint216] = ACTIONS(869),
    [anon_sym_uint224] = ACTIONS(869),
    [anon_sym_uint232] = ACTIONS(869),
    [anon_sym_uint240] = ACTIONS(869),
    [anon_sym_uint248] = ACTIONS(869),
    [anon_sym_uint256] = ACTIONS(869),
    [anon_sym_bytes] = ACTIONS(869),
    [anon_sym_bytes1] = ACTIONS(869),
    [anon_sym_bytes2] = ACTIONS(869),
    [anon_sym_bytes3] = ACTIONS(869),
    [anon_sym_bytes4] = ACTIONS(869),
    [anon_sym_bytes5] = ACTIONS(869),
    [anon_sym_bytes6] = ACTIONS(869),
    [anon_sym_bytes7] = ACTIONS(869),
    [anon_sym_bytes8] = ACTIONS(869),
    [anon_sym_bytes9] = ACTIONS(869),
    [anon_sym_bytes10] = ACTIONS(869),
    [anon_sym_bytes11] = ACTIONS(869),
    [anon_sym_bytes12] = ACTIONS(869),
    [anon_sym_bytes13] = ACTIONS(869),
    [anon_sym_bytes14] = ACTIONS(869),
    [anon_sym_bytes15] = ACTIONS(869),
    [anon_sym_bytes16] = ACTIONS(869),
    [anon_sym_bytes17] = ACTIONS(869),
    [anon_sym_bytes18] = ACTIONS(869),
    [anon_sym_bytes19] = ACTIONS(869),
    [anon_sym_bytes20] = ACTIONS(869),
    [anon_sym_bytes21] = ACTIONS(869),
    [anon_sym_bytes22] = ACTIONS(869),
    [anon_sym_bytes23] = ACTIONS(869),
    [anon_sym_bytes24] = ACTIONS(869),
    [anon_sym_bytes25] = ACTIONS(869),
    [anon_sym_bytes26] = ACTIONS(869),
    [anon_sym_bytes27] = ACTIONS(869),
    [anon_sym_bytes28] = ACTIONS(869),
    [anon_sym_bytes29] = ACTIONS(869),
    [anon_sym_bytes30] = ACTIONS(869),
    [anon_sym_bytes31] = ACTIONS(869),
    [anon_sym_bytes32] = ACTIONS(869),
    [anon_sym_fixed] = ACTIONS(869),
    [aux_sym__fixed_token1] = ACTIONS(869),
    [anon_sym_ufixed] = ACTIONS(869),
    [aux_sym__ufixed_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [sym_identifier] = ACTIONS(873),
    [anon_sym_RBRACE] = ACTIONS(875),
    [anon_sym_type] = ACTIONS(873),
    [anon_sym_error] = ACTIONS(873),
    [anon_sym_struct] = ACTIONS(873),
    [anon_sym_enum] = ACTIONS(873),
    [anon_sym_event] = ACTIONS(873),
    [anon_sym_using] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(873),
    [anon_sym_byte] = ACTIONS(873),
    [anon_sym_address] = ACTIONS(873),
    [anon_sym_var] = ACTIONS(873),
    [anon_sym_modifier] = ACTIONS(873),
    [anon_sym_constructor] = ACTIONS(873),
    [anon_sym_fallback] = ACTIONS(873),
    [anon_sym_receive] = ACTIONS(873),
    [anon_sym_mapping] = ACTIONS(873),
    [anon_sym_bool] = ACTIONS(873),
    [anon_sym_string] = ACTIONS(873),
    [anon_sym_int] = ACTIONS(873),
    [anon_sym_int8] = ACTIONS(873),
    [anon_sym_int16] = ACTIONS(873),
    [anon_sym_int24] = ACTIONS(873),
    [anon_sym_int32] = ACTIONS(873),
    [anon_sym_int40] = ACTIONS(873),
    [anon_sym_int48] = ACTIONS(873),
    [anon_sym_int56] = ACTIONS(873),
    [anon_sym_int64] = ACTIONS(873),
    [anon_sym_int72] = ACTIONS(873),
    [anon_sym_int80] = ACTIONS(873),
    [anon_sym_int88] = ACTIONS(873),
    [anon_sym_int96] = ACTIONS(873),
    [anon_sym_int104] = ACTIONS(873),
    [anon_sym_int112] = ACTIONS(873),
    [anon_sym_int120] = ACTIONS(873),
    [anon_sym_int128] = ACTIONS(873),
    [anon_sym_int136] = ACTIONS(873),
    [anon_sym_int144] = ACTIONS(873),
    [anon_sym_int152] = ACTIONS(873),
    [anon_sym_int160] = ACTIONS(873),
    [anon_sym_int168] = ACTIONS(873),
    [anon_sym_int176] = ACTIONS(873),
    [anon_sym_int184] = ACTIONS(873),
    [anon_sym_int192] = ACTIONS(873),
    [anon_sym_int200] = ACTIONS(873),
    [anon_sym_int208] = ACTIONS(873),
    [anon_sym_int216] = ACTIONS(873),
    [anon_sym_int224] = ACTIONS(873),
    [anon_sym_int232] = ACTIONS(873),
    [anon_sym_int240] = ACTIONS(873),
    [anon_sym_int248] = ACTIONS(873),
    [anon_sym_int256] = ACTIONS(873),
    [anon_sym_uint] = ACTIONS(873),
    [anon_sym_uint8] = ACTIONS(873),
    [anon_sym_uint16] = ACTIONS(873),
    [anon_sym_uint24] = ACTIONS(873),
    [anon_sym_uint32] = ACTIONS(873),
    [anon_sym_uint40] = ACTIONS(873),
    [anon_sym_uint48] = ACTIONS(873),
    [anon_sym_uint56] = ACTIONS(873),
    [anon_sym_uint64] = ACTIONS(873),
    [anon_sym_uint72] = ACTIONS(873),
    [anon_sym_uint80] = ACTIONS(873),
    [anon_sym_uint88] = ACTIONS(873),
    [anon_sym_uint96] = ACTIONS(873),
    [anon_sym_uint104] = ACTIONS(873),
    [anon_sym_uint112] = ACTIONS(873),
    [anon_sym_uint120] = ACTIONS(873),
    [anon_sym_uint128] = ACTIONS(873),
    [anon_sym_uint136] = ACTIONS(873),
    [anon_sym_uint144] = ACTIONS(873),
    [anon_sym_uint152] = ACTIONS(873),
    [anon_sym_uint160] = ACTIONS(873),
    [anon_sym_uint168] = ACTIONS(873),
    [anon_sym_uint176] = ACTIONS(873),
    [anon_sym_uint184] = ACTIONS(873),
    [anon_sym_uint192] = ACTIONS(873),
    [anon_sym_uint200] = ACTIONS(873),
    [anon_sym_uint208] = ACTIONS(873),
    [anon_sym_uint216] = ACTIONS(873),
    [anon_sym_uint224] = ACTIONS(873),
    [anon_sym_uint232] = ACTIONS(873),
    [anon_sym_uint240] = ACTIONS(873),
    [anon_sym_uint248] = ACTIONS(873),
    [anon_sym_uint256] = ACTIONS(873),
    [anon_sym_bytes] = ACTIONS(873),
    [anon_sym_bytes1] = ACTIONS(873),
    [anon_sym_bytes2] = ACTIONS(873),
    [anon_sym_bytes3] = ACTIONS(873),
    [anon_sym_bytes4] = ACTIONS(873),
    [anon_sym_bytes5] = ACTIONS(873),
    [anon_sym_bytes6] = ACTIONS(873),
    [anon_sym_bytes7] = ACTIONS(873),
    [anon_sym_bytes8] = ACTIONS(873),
    [anon_sym_bytes9] = ACTIONS(873),
    [anon_sym_bytes10] = ACTIONS(873),
    [anon_sym_bytes11] = ACTIONS(873),
    [anon_sym_bytes12] = ACTIONS(873),
    [anon_sym_bytes13] = ACTIONS(873),
    [anon_sym_bytes14] = ACTIONS(873),
    [anon_sym_bytes15] = ACTIONS(873),
    [anon_sym_bytes16] = ACTIONS(873),
    [anon_sym_bytes17] = ACTIONS(873),
    [anon_sym_bytes18] = ACTIONS(873),
    [anon_sym_bytes19] = ACTIONS(873),
    [anon_sym_bytes20] = ACTIONS(873),
    [anon_sym_bytes21] = ACTIONS(873),
    [anon_sym_bytes22] = ACTIONS(873),
    [anon_sym_bytes23] = ACTIONS(873),
    [anon_sym_bytes24] = ACTIONS(873),
    [anon_sym_bytes25] = ACTIONS(873),
    [anon_sym_bytes26] = ACTIONS(873),
    [anon_sym_bytes27] = ACTIONS(873),
    [anon_sym_bytes28] = ACTIONS(873),
    [anon_sym_bytes29] = ACTIONS(873),
    [anon_sym_bytes30] = ACTIONS(873),
    [anon_sym_bytes31] = ACTIONS(873),
    [anon_sym_bytes32] = ACTIONS(873),
    [anon_sym_fixed] = ACTIONS(873),
    [aux_sym__fixed_token1] = ACTIONS(873),
    [anon_sym_ufixed] = ACTIONS(873),
    [aux_sym__ufixed_token1] = ACTIONS(873),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_identifier] = ACTIONS(877),
    [anon_sym_RBRACE] = ACTIONS(879),
    [anon_sym_type] = ACTIONS(877),
    [anon_sym_error] = ACTIONS(877),
    [anon_sym_struct] = ACTIONS(877),
    [anon_sym_enum] = ACTIONS(877),
    [anon_sym_event] = ACTIONS(877),
    [anon_sym_using] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(877),
    [anon_sym_byte] = ACTIONS(877),
    [anon_sym_address] = ACTIONS(877),
    [anon_sym_var] = ACTIONS(877),
    [anon_sym_modifier] = ACTIONS(877),
    [anon_sym_constructor] = ACTIONS(877),
    [anon_sym_fallback] = ACTIONS(877),
    [anon_sym_receive] = ACTIONS(877),
    [anon_sym_mapping] = ACTIONS(877),
    [anon_sym_bool] = ACTIONS(877),
    [anon_sym_string] = ACTIONS(877),
    [anon_sym_int] = ACTIONS(877),
    [anon_sym_int8] = ACTIONS(877),
    [anon_sym_int16] = ACTIONS(877),
    [anon_sym_int24] = ACTIONS(877),
    [anon_sym_int32] = ACTIONS(877),
    [anon_sym_int40] = ACTIONS(877),
    [anon_sym_int48] = ACTIONS(877),
    [anon_sym_int56] = ACTIONS(877),
    [anon_sym_int64] = ACTIONS(877),
    [anon_sym_int72] = ACTIONS(877),
    [anon_sym_int80] = ACTIONS(877),
    [anon_sym_int88] = ACTIONS(877),
    [anon_sym_int96] = ACTIONS(877),
    [anon_sym_int104] = ACTIONS(877),
    [anon_sym_int112] = ACTIONS(877),
    [anon_sym_int120] = ACTIONS(877),
    [anon_sym_int128] = ACTIONS(877),
    [anon_sym_int136] = ACTIONS(877),
    [anon_sym_int144] = ACTIONS(877),
    [anon_sym_int152] = ACTIONS(877),
    [anon_sym_int160] = ACTIONS(877),
    [anon_sym_int168] = ACTIONS(877),
    [anon_sym_int176] = ACTIONS(877),
    [anon_sym_int184] = ACTIONS(877),
    [anon_sym_int192] = ACTIONS(877),
    [anon_sym_int200] = ACTIONS(877),
    [anon_sym_int208] = ACTIONS(877),
    [anon_sym_int216] = ACTIONS(877),
    [anon_sym_int224] = ACTIONS(877),
    [anon_sym_int232] = ACTIONS(877),
    [anon_sym_int240] = ACTIONS(877),
    [anon_sym_int248] = ACTIONS(877),
    [anon_sym_int256] = ACTIONS(877),
    [anon_sym_uint] = ACTIONS(877),
    [anon_sym_uint8] = ACTIONS(877),
    [anon_sym_uint16] = ACTIONS(877),
    [anon_sym_uint24] = ACTIONS(877),
    [anon_sym_uint32] = ACTIONS(877),
    [anon_sym_uint40] = ACTIONS(877),
    [anon_sym_uint48] = ACTIONS(877),
    [anon_sym_uint56] = ACTIONS(877),
    [anon_sym_uint64] = ACTIONS(877),
    [anon_sym_uint72] = ACTIONS(877),
    [anon_sym_uint80] = ACTIONS(877),
    [anon_sym_uint88] = ACTIONS(877),
    [anon_sym_uint96] = ACTIONS(877),
    [anon_sym_uint104] = ACTIONS(877),
    [anon_sym_uint112] = ACTIONS(877),
    [anon_sym_uint120] = ACTIONS(877),
    [anon_sym_uint128] = ACTIONS(877),
    [anon_sym_uint136] = ACTIONS(877),
    [anon_sym_uint144] = ACTIONS(877),
    [anon_sym_uint152] = ACTIONS(877),
    [anon_sym_uint160] = ACTIONS(877),
    [anon_sym_uint168] = ACTIONS(877),
    [anon_sym_uint176] = ACTIONS(877),
    [anon_sym_uint184] = ACTIONS(877),
    [anon_sym_uint192] = ACTIONS(877),
    [anon_sym_uint200] = ACTIONS(877),
    [anon_sym_uint208] = ACTIONS(877),
    [anon_sym_uint216] = ACTIONS(877),
    [anon_sym_uint224] = ACTIONS(877),
    [anon_sym_uint232] = ACTIONS(877),
    [anon_sym_uint240] = ACTIONS(877),
    [anon_sym_uint248] = ACTIONS(877),
    [anon_sym_uint256] = ACTIONS(877),
    [anon_sym_bytes] = ACTIONS(877),
    [anon_sym_bytes1] = ACTIONS(877),
    [anon_sym_bytes2] = ACTIONS(877),
    [anon_sym_bytes3] = ACTIONS(877),
    [anon_sym_bytes4] = ACTIONS(877),
    [anon_sym_bytes5] = ACTIONS(877),
    [anon_sym_bytes6] = ACTIONS(877),
    [anon_sym_bytes7] = ACTIONS(877),
    [anon_sym_bytes8] = ACTIONS(877),
    [anon_sym_bytes9] = ACTIONS(877),
    [anon_sym_bytes10] = ACTIONS(877),
    [anon_sym_bytes11] = ACTIONS(877),
    [anon_sym_bytes12] = ACTIONS(877),
    [anon_sym_bytes13] = ACTIONS(877),
    [anon_sym_bytes14] = ACTIONS(877),
    [anon_sym_bytes15] = ACTIONS(877),
    [anon_sym_bytes16] = ACTIONS(877),
    [anon_sym_bytes17] = ACTIONS(877),
    [anon_sym_bytes18] = ACTIONS(877),
    [anon_sym_bytes19] = ACTIONS(877),
    [anon_sym_bytes20] = ACTIONS(877),
    [anon_sym_bytes21] = ACTIONS(877),
    [anon_sym_bytes22] = ACTIONS(877),
    [anon_sym_bytes23] = ACTIONS(877),
    [anon_sym_bytes24] = ACTIONS(877),
    [anon_sym_bytes25] = ACTIONS(877),
    [anon_sym_bytes26] = ACTIONS(877),
    [anon_sym_bytes27] = ACTIONS(877),
    [anon_sym_bytes28] = ACTIONS(877),
    [anon_sym_bytes29] = ACTIONS(877),
    [anon_sym_bytes30] = ACTIONS(877),
    [anon_sym_bytes31] = ACTIONS(877),
    [anon_sym_bytes32] = ACTIONS(877),
    [anon_sym_fixed] = ACTIONS(877),
    [aux_sym__fixed_token1] = ACTIONS(877),
    [anon_sym_ufixed] = ACTIONS(877),
    [aux_sym__ufixed_token1] = ACTIONS(877),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_identifier] = ACTIONS(881),
    [anon_sym_RBRACE] = ACTIONS(883),
    [anon_sym_type] = ACTIONS(881),
    [anon_sym_error] = ACTIONS(881),
    [anon_sym_struct] = ACTIONS(881),
    [anon_sym_enum] = ACTIONS(881),
    [anon_sym_event] = ACTIONS(881),
    [anon_sym_using] = ACTIONS(881),
    [anon_sym_function] = ACTIONS(881),
    [anon_sym_byte] = ACTIONS(881),
    [anon_sym_address] = ACTIONS(881),
    [anon_sym_var] = ACTIONS(881),
    [anon_sym_modifier] = ACTIONS(881),
    [anon_sym_constructor] = ACTIONS(881),
    [anon_sym_fallback] = ACTIONS(881),
    [anon_sym_receive] = ACTIONS(881),
    [anon_sym_mapping] = ACTIONS(881),
    [anon_sym_bool] = ACTIONS(881),
    [anon_sym_string] = ACTIONS(881),
    [anon_sym_int] = ACTIONS(881),
    [anon_sym_int8] = ACTIONS(881),
    [anon_sym_int16] = ACTIONS(881),
    [anon_sym_int24] = ACTIONS(881),
    [anon_sym_int32] = ACTIONS(881),
    [anon_sym_int40] = ACTIONS(881),
    [anon_sym_int48] = ACTIONS(881),
    [anon_sym_int56] = ACTIONS(881),
    [anon_sym_int64] = ACTIONS(881),
    [anon_sym_int72] = ACTIONS(881),
    [anon_sym_int80] = ACTIONS(881),
    [anon_sym_int88] = ACTIONS(881),
    [anon_sym_int96] = ACTIONS(881),
    [anon_sym_int104] = ACTIONS(881),
    [anon_sym_int112] = ACTIONS(881),
    [anon_sym_int120] = ACTIONS(881),
    [anon_sym_int128] = ACTIONS(881),
    [anon_sym_int136] = ACTIONS(881),
    [anon_sym_int144] = ACTIONS(881),
    [anon_sym_int152] = ACTIONS(881),
    [anon_sym_int160] = ACTIONS(881),
    [anon_sym_int168] = ACTIONS(881),
    [anon_sym_int176] = ACTIONS(881),
    [anon_sym_int184] = ACTIONS(881),
    [anon_sym_int192] = ACTIONS(881),
    [anon_sym_int200] = ACTIONS(881),
    [anon_sym_int208] = ACTIONS(881),
    [anon_sym_int216] = ACTIONS(881),
    [anon_sym_int224] = ACTIONS(881),
    [anon_sym_int232] = ACTIONS(881),
    [anon_sym_int240] = ACTIONS(881),
    [anon_sym_int248] = ACTIONS(881),
    [anon_sym_int256] = ACTIONS(881),
    [anon_sym_uint] = ACTIONS(881),
    [anon_sym_uint8] = ACTIONS(881),
    [anon_sym_uint16] = ACTIONS(881),
    [anon_sym_uint24] = ACTIONS(881),
    [anon_sym_uint32] = ACTIONS(881),
    [anon_sym_uint40] = ACTIONS(881),
    [anon_sym_uint48] = ACTIONS(881),
    [anon_sym_uint56] = ACTIONS(881),
    [anon_sym_uint64] = ACTIONS(881),
    [anon_sym_uint72] = ACTIONS(881),
    [anon_sym_uint80] = ACTIONS(881),
    [anon_sym_uint88] = ACTIONS(881),
    [anon_sym_uint96] = ACTIONS(881),
    [anon_sym_uint104] = ACTIONS(881),
    [anon_sym_uint112] = ACTIONS(881),
    [anon_sym_uint120] = ACTIONS(881),
    [anon_sym_uint128] = ACTIONS(881),
    [anon_sym_uint136] = ACTIONS(881),
    [anon_sym_uint144] = ACTIONS(881),
    [anon_sym_uint152] = ACTIONS(881),
    [anon_sym_uint160] = ACTIONS(881),
    [anon_sym_uint168] = ACTIONS(881),
    [anon_sym_uint176] = ACTIONS(881),
    [anon_sym_uint184] = ACTIONS(881),
    [anon_sym_uint192] = ACTIONS(881),
    [anon_sym_uint200] = ACTIONS(881),
    [anon_sym_uint208] = ACTIONS(881),
    [anon_sym_uint216] = ACTIONS(881),
    [anon_sym_uint224] = ACTIONS(881),
    [anon_sym_uint232] = ACTIONS(881),
    [anon_sym_uint240] = ACTIONS(881),
    [anon_sym_uint248] = ACTIONS(881),
    [anon_sym_uint256] = ACTIONS(881),
    [anon_sym_bytes] = ACTIONS(881),
    [anon_sym_bytes1] = ACTIONS(881),
    [anon_sym_bytes2] = ACTIONS(881),
    [anon_sym_bytes3] = ACTIONS(881),
    [anon_sym_bytes4] = ACTIONS(881),
    [anon_sym_bytes5] = ACTIONS(881),
    [anon_sym_bytes6] = ACTIONS(881),
    [anon_sym_bytes7] = ACTIONS(881),
    [anon_sym_bytes8] = ACTIONS(881),
    [anon_sym_bytes9] = ACTIONS(881),
    [anon_sym_bytes10] = ACTIONS(881),
    [anon_sym_bytes11] = ACTIONS(881),
    [anon_sym_bytes12] = ACTIONS(881),
    [anon_sym_bytes13] = ACTIONS(881),
    [anon_sym_bytes14] = ACTIONS(881),
    [anon_sym_bytes15] = ACTIONS(881),
    [anon_sym_bytes16] = ACTIONS(881),
    [anon_sym_bytes17] = ACTIONS(881),
    [anon_sym_bytes18] = ACTIONS(881),
    [anon_sym_bytes19] = ACTIONS(881),
    [anon_sym_bytes20] = ACTIONS(881),
    [anon_sym_bytes21] = ACTIONS(881),
    [anon_sym_bytes22] = ACTIONS(881),
    [anon_sym_bytes23] = ACTIONS(881),
    [anon_sym_bytes24] = ACTIONS(881),
    [anon_sym_bytes25] = ACTIONS(881),
    [anon_sym_bytes26] = ACTIONS(881),
    [anon_sym_bytes27] = ACTIONS(881),
    [anon_sym_bytes28] = ACTIONS(881),
    [anon_sym_bytes29] = ACTIONS(881),
    [anon_sym_bytes30] = ACTIONS(881),
    [anon_sym_bytes31] = ACTIONS(881),
    [anon_sym_bytes32] = ACTIONS(881),
    [anon_sym_fixed] = ACTIONS(881),
    [aux_sym__fixed_token1] = ACTIONS(881),
    [anon_sym_ufixed] = ACTIONS(881),
    [aux_sym__ufixed_token1] = ACTIONS(881),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_identifier] = ACTIONS(885),
    [anon_sym_RBRACE] = ACTIONS(887),
    [anon_sym_type] = ACTIONS(885),
    [anon_sym_error] = ACTIONS(885),
    [anon_sym_struct] = ACTIONS(885),
    [anon_sym_enum] = ACTIONS(885),
    [anon_sym_event] = ACTIONS(885),
    [anon_sym_using] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_byte] = ACTIONS(885),
    [anon_sym_address] = ACTIONS(885),
    [anon_sym_var] = ACTIONS(885),
    [anon_sym_modifier] = ACTIONS(885),
    [anon_sym_constructor] = ACTIONS(885),
    [anon_sym_fallback] = ACTIONS(885),
    [anon_sym_receive] = ACTIONS(885),
    [anon_sym_mapping] = ACTIONS(885),
    [anon_sym_bool] = ACTIONS(885),
    [anon_sym_string] = ACTIONS(885),
    [anon_sym_int] = ACTIONS(885),
    [anon_sym_int8] = ACTIONS(885),
    [anon_sym_int16] = ACTIONS(885),
    [anon_sym_int24] = ACTIONS(885),
    [anon_sym_int32] = ACTIONS(885),
    [anon_sym_int40] = ACTIONS(885),
    [anon_sym_int48] = ACTIONS(885),
    [anon_sym_int56] = ACTIONS(885),
    [anon_sym_int64] = ACTIONS(885),
    [anon_sym_int72] = ACTIONS(885),
    [anon_sym_int80] = ACTIONS(885),
    [anon_sym_int88] = ACTIONS(885),
    [anon_sym_int96] = ACTIONS(885),
    [anon_sym_int104] = ACTIONS(885),
    [anon_sym_int112] = ACTIONS(885),
    [anon_sym_int120] = ACTIONS(885),
    [anon_sym_int128] = ACTIONS(885),
    [anon_sym_int136] = ACTIONS(885),
    [anon_sym_int144] = ACTIONS(885),
    [anon_sym_int152] = ACTIONS(885),
    [anon_sym_int160] = ACTIONS(885),
    [anon_sym_int168] = ACTIONS(885),
    [anon_sym_int176] = ACTIONS(885),
    [anon_sym_int184] = ACTIONS(885),
    [anon_sym_int192] = ACTIONS(885),
    [anon_sym_int200] = ACTIONS(885),
    [anon_sym_int208] = ACTIONS(885),
    [anon_sym_int216] = ACTIONS(885),
    [anon_sym_int224] = ACTIONS(885),
    [anon_sym_int232] = ACTIONS(885),
    [anon_sym_int240] = ACTIONS(885),
    [anon_sym_int248] = ACTIONS(885),
    [anon_sym_int256] = ACTIONS(885),
    [anon_sym_uint] = ACTIONS(885),
    [anon_sym_uint8] = ACTIONS(885),
    [anon_sym_uint16] = ACTIONS(885),
    [anon_sym_uint24] = ACTIONS(885),
    [anon_sym_uint32] = ACTIONS(885),
    [anon_sym_uint40] = ACTIONS(885),
    [anon_sym_uint48] = ACTIONS(885),
    [anon_sym_uint56] = ACTIONS(885),
    [anon_sym_uint64] = ACTIONS(885),
    [anon_sym_uint72] = ACTIONS(885),
    [anon_sym_uint80] = ACTIONS(885),
    [anon_sym_uint88] = ACTIONS(885),
    [anon_sym_uint96] = ACTIONS(885),
    [anon_sym_uint104] = ACTIONS(885),
    [anon_sym_uint112] = ACTIONS(885),
    [anon_sym_uint120] = ACTIONS(885),
    [anon_sym_uint128] = ACTIONS(885),
    [anon_sym_uint136] = ACTIONS(885),
    [anon_sym_uint144] = ACTIONS(885),
    [anon_sym_uint152] = ACTIONS(885),
    [anon_sym_uint160] = ACTIONS(885),
    [anon_sym_uint168] = ACTIONS(885),
    [anon_sym_uint176] = ACTIONS(885),
    [anon_sym_uint184] = ACTIONS(885),
    [anon_sym_uint192] = ACTIONS(885),
    [anon_sym_uint200] = ACTIONS(885),
    [anon_sym_uint208] = ACTIONS(885),
    [anon_sym_uint216] = ACTIONS(885),
    [anon_sym_uint224] = ACTIONS(885),
    [anon_sym_uint232] = ACTIONS(885),
    [anon_sym_uint240] = ACTIONS(885),
    [anon_sym_uint248] = ACTIONS(885),
    [anon_sym_uint256] = ACTIONS(885),
    [anon_sym_bytes] = ACTIONS(885),
    [anon_sym_bytes1] = ACTIONS(885),
    [anon_sym_bytes2] = ACTIONS(885),
    [anon_sym_bytes3] = ACTIONS(885),
    [anon_sym_bytes4] = ACTIONS(885),
    [anon_sym_bytes5] = ACTIONS(885),
    [anon_sym_bytes6] = ACTIONS(885),
    [anon_sym_bytes7] = ACTIONS(885),
    [anon_sym_bytes8] = ACTIONS(885),
    [anon_sym_bytes9] = ACTIONS(885),
    [anon_sym_bytes10] = ACTIONS(885),
    [anon_sym_bytes11] = ACTIONS(885),
    [anon_sym_bytes12] = ACTIONS(885),
    [anon_sym_bytes13] = ACTIONS(885),
    [anon_sym_bytes14] = ACTIONS(885),
    [anon_sym_bytes15] = ACTIONS(885),
    [anon_sym_bytes16] = ACTIONS(885),
    [anon_sym_bytes17] = ACTIONS(885),
    [anon_sym_bytes18] = ACTIONS(885),
    [anon_sym_bytes19] = ACTIONS(885),
    [anon_sym_bytes20] = ACTIONS(885),
    [anon_sym_bytes21] = ACTIONS(885),
    [anon_sym_bytes22] = ACTIONS(885),
    [anon_sym_bytes23] = ACTIONS(885),
    [anon_sym_bytes24] = ACTIONS(885),
    [anon_sym_bytes25] = ACTIONS(885),
    [anon_sym_bytes26] = ACTIONS(885),
    [anon_sym_bytes27] = ACTIONS(885),
    [anon_sym_bytes28] = ACTIONS(885),
    [anon_sym_bytes29] = ACTIONS(885),
    [anon_sym_bytes30] = ACTIONS(885),
    [anon_sym_bytes31] = ACTIONS(885),
    [anon_sym_bytes32] = ACTIONS(885),
    [anon_sym_fixed] = ACTIONS(885),
    [aux_sym__fixed_token1] = ACTIONS(885),
    [anon_sym_ufixed] = ACTIONS(885),
    [aux_sym__ufixed_token1] = ACTIONS(885),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [sym_identifier] = ACTIONS(889),
    [anon_sym_RBRACE] = ACTIONS(891),
    [anon_sym_type] = ACTIONS(889),
    [anon_sym_error] = ACTIONS(889),
    [anon_sym_struct] = ACTIONS(889),
    [anon_sym_enum] = ACTIONS(889),
    [anon_sym_event] = ACTIONS(889),
    [anon_sym_using] = ACTIONS(889),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_byte] = ACTIONS(889),
    [anon_sym_address] = ACTIONS(889),
    [anon_sym_var] = ACTIONS(889),
    [anon_sym_modifier] = ACTIONS(889),
    [anon_sym_constructor] = ACTIONS(889),
    [anon_sym_fallback] = ACTIONS(889),
    [anon_sym_receive] = ACTIONS(889),
    [anon_sym_mapping] = ACTIONS(889),
    [anon_sym_bool] = ACTIONS(889),
    [anon_sym_string] = ACTIONS(889),
    [anon_sym_int] = ACTIONS(889),
    [anon_sym_int8] = ACTIONS(889),
    [anon_sym_int16] = ACTIONS(889),
    [anon_sym_int24] = ACTIONS(889),
    [anon_sym_int32] = ACTIONS(889),
    [anon_sym_int40] = ACTIONS(889),
    [anon_sym_int48] = ACTIONS(889),
    [anon_sym_int56] = ACTIONS(889),
    [anon_sym_int64] = ACTIONS(889),
    [anon_sym_int72] = ACTIONS(889),
    [anon_sym_int80] = ACTIONS(889),
    [anon_sym_int88] = ACTIONS(889),
    [anon_sym_int96] = ACTIONS(889),
    [anon_sym_int104] = ACTIONS(889),
    [anon_sym_int112] = ACTIONS(889),
    [anon_sym_int120] = ACTIONS(889),
    [anon_sym_int128] = ACTIONS(889),
    [anon_sym_int136] = ACTIONS(889),
    [anon_sym_int144] = ACTIONS(889),
    [anon_sym_int152] = ACTIONS(889),
    [anon_sym_int160] = ACTIONS(889),
    [anon_sym_int168] = ACTIONS(889),
    [anon_sym_int176] = ACTIONS(889),
    [anon_sym_int184] = ACTIONS(889),
    [anon_sym_int192] = ACTIONS(889),
    [anon_sym_int200] = ACTIONS(889),
    [anon_sym_int208] = ACTIONS(889),
    [anon_sym_int216] = ACTIONS(889),
    [anon_sym_int224] = ACTIONS(889),
    [anon_sym_int232] = ACTIONS(889),
    [anon_sym_int240] = ACTIONS(889),
    [anon_sym_int248] = ACTIONS(889),
    [anon_sym_int256] = ACTIONS(889),
    [anon_sym_uint] = ACTIONS(889),
    [anon_sym_uint8] = ACTIONS(889),
    [anon_sym_uint16] = ACTIONS(889),
    [anon_sym_uint24] = ACTIONS(889),
    [anon_sym_uint32] = ACTIONS(889),
    [anon_sym_uint40] = ACTIONS(889),
    [anon_sym_uint48] = ACTIONS(889),
    [anon_sym_uint56] = ACTIONS(889),
    [anon_sym_uint64] = ACTIONS(889),
    [anon_sym_uint72] = ACTIONS(889),
    [anon_sym_uint80] = ACTIONS(889),
    [anon_sym_uint88] = ACTIONS(889),
    [anon_sym_uint96] = ACTIONS(889),
    [anon_sym_uint104] = ACTIONS(889),
    [anon_sym_uint112] = ACTIONS(889),
    [anon_sym_uint120] = ACTIONS(889),
    [anon_sym_uint128] = ACTIONS(889),
    [anon_sym_uint136] = ACTIONS(889),
    [anon_sym_uint144] = ACTIONS(889),
    [anon_sym_uint152] = ACTIONS(889),
    [anon_sym_uint160] = ACTIONS(889),
    [anon_sym_uint168] = ACTIONS(889),
    [anon_sym_uint176] = ACTIONS(889),
    [anon_sym_uint184] = ACTIONS(889),
    [anon_sym_uint192] = ACTIONS(889),
    [anon_sym_uint200] = ACTIONS(889),
    [anon_sym_uint208] = ACTIONS(889),
    [anon_sym_uint216] = ACTIONS(889),
    [anon_sym_uint224] = ACTIONS(889),
    [anon_sym_uint232] = ACTIONS(889),
    [anon_sym_uint240] = ACTIONS(889),
    [anon_sym_uint248] = ACTIONS(889),
    [anon_sym_uint256] = ACTIONS(889),
    [anon_sym_bytes] = ACTIONS(889),
    [anon_sym_bytes1] = ACTIONS(889),
    [anon_sym_bytes2] = ACTIONS(889),
    [anon_sym_bytes3] = ACTIONS(889),
    [anon_sym_bytes4] = ACTIONS(889),
    [anon_sym_bytes5] = ACTIONS(889),
    [anon_sym_bytes6] = ACTIONS(889),
    [anon_sym_bytes7] = ACTIONS(889),
    [anon_sym_bytes8] = ACTIONS(889),
    [anon_sym_bytes9] = ACTIONS(889),
    [anon_sym_bytes10] = ACTIONS(889),
    [anon_sym_bytes11] = ACTIONS(889),
    [anon_sym_bytes12] = ACTIONS(889),
    [anon_sym_bytes13] = ACTIONS(889),
    [anon_sym_bytes14] = ACTIONS(889),
    [anon_sym_bytes15] = ACTIONS(889),
    [anon_sym_bytes16] = ACTIONS(889),
    [anon_sym_bytes17] = ACTIONS(889),
    [anon_sym_bytes18] = ACTIONS(889),
    [anon_sym_bytes19] = ACTIONS(889),
    [anon_sym_bytes20] = ACTIONS(889),
    [anon_sym_bytes21] = ACTIONS(889),
    [anon_sym_bytes22] = ACTIONS(889),
    [anon_sym_bytes23] = ACTIONS(889),
    [anon_sym_bytes24] = ACTIONS(889),
    [anon_sym_bytes25] = ACTIONS(889),
    [anon_sym_bytes26] = ACTIONS(889),
    [anon_sym_bytes27] = ACTIONS(889),
    [anon_sym_bytes28] = ACTIONS(889),
    [anon_sym_bytes29] = ACTIONS(889),
    [anon_sym_bytes30] = ACTIONS(889),
    [anon_sym_bytes31] = ACTIONS(889),
    [anon_sym_bytes32] = ACTIONS(889),
    [anon_sym_fixed] = ACTIONS(889),
    [aux_sym__fixed_token1] = ACTIONS(889),
    [anon_sym_ufixed] = ACTIONS(889),
    [aux_sym__ufixed_token1] = ACTIONS(889),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_identifier] = ACTIONS(893),
    [anon_sym_RBRACE] = ACTIONS(895),
    [anon_sym_type] = ACTIONS(893),
    [anon_sym_error] = ACTIONS(893),
    [anon_sym_struct] = ACTIONS(893),
    [anon_sym_enum] = ACTIONS(893),
    [anon_sym_event] = ACTIONS(893),
    [anon_sym_using] = ACTIONS(893),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_byte] = ACTIONS(893),
    [anon_sym_address] = ACTIONS(893),
    [anon_sym_var] = ACTIONS(893),
    [anon_sym_modifier] = ACTIONS(893),
    [anon_sym_constructor] = ACTIONS(893),
    [anon_sym_fallback] = ACTIONS(893),
    [anon_sym_receive] = ACTIONS(893),
    [anon_sym_mapping] = ACTIONS(893),
    [anon_sym_bool] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_int] = ACTIONS(893),
    [anon_sym_int8] = ACTIONS(893),
    [anon_sym_int16] = ACTIONS(893),
    [anon_sym_int24] = ACTIONS(893),
    [anon_sym_int32] = ACTIONS(893),
    [anon_sym_int40] = ACTIONS(893),
    [anon_sym_int48] = ACTIONS(893),
    [anon_sym_int56] = ACTIONS(893),
    [anon_sym_int64] = ACTIONS(893),
    [anon_sym_int72] = ACTIONS(893),
    [anon_sym_int80] = ACTIONS(893),
    [anon_sym_int88] = ACTIONS(893),
    [anon_sym_int96] = ACTIONS(893),
    [anon_sym_int104] = ACTIONS(893),
    [anon_sym_int112] = ACTIONS(893),
    [anon_sym_int120] = ACTIONS(893),
    [anon_sym_int128] = ACTIONS(893),
    [anon_sym_int136] = ACTIONS(893),
    [anon_sym_int144] = ACTIONS(893),
    [anon_sym_int152] = ACTIONS(893),
    [anon_sym_int160] = ACTIONS(893),
    [anon_sym_int168] = ACTIONS(893),
    [anon_sym_int176] = ACTIONS(893),
    [anon_sym_int184] = ACTIONS(893),
    [anon_sym_int192] = ACTIONS(893),
    [anon_sym_int200] = ACTIONS(893),
    [anon_sym_int208] = ACTIONS(893),
    [anon_sym_int216] = ACTIONS(893),
    [anon_sym_int224] = ACTIONS(893),
    [anon_sym_int232] = ACTIONS(893),
    [anon_sym_int240] = ACTIONS(893),
    [anon_sym_int248] = ACTIONS(893),
    [anon_sym_int256] = ACTIONS(893),
    [anon_sym_uint] = ACTIONS(893),
    [anon_sym_uint8] = ACTIONS(893),
    [anon_sym_uint16] = ACTIONS(893),
    [anon_sym_uint24] = ACTIONS(893),
    [anon_sym_uint32] = ACTIONS(893),
    [anon_sym_uint40] = ACTIONS(893),
    [anon_sym_uint48] = ACTIONS(893),
    [anon_sym_uint56] = ACTIONS(893),
    [anon_sym_uint64] = ACTIONS(893),
    [anon_sym_uint72] = ACTIONS(893),
    [anon_sym_uint80] = ACTIONS(893),
    [anon_sym_uint88] = ACTIONS(893),
    [anon_sym_uint96] = ACTIONS(893),
    [anon_sym_uint104] = ACTIONS(893),
    [anon_sym_uint112] = ACTIONS(893),
    [anon_sym_uint120] = ACTIONS(893),
    [anon_sym_uint128] = ACTIONS(893),
    [anon_sym_uint136] = ACTIONS(893),
    [anon_sym_uint144] = ACTIONS(893),
    [anon_sym_uint152] = ACTIONS(893),
    [anon_sym_uint160] = ACTIONS(893),
    [anon_sym_uint168] = ACTIONS(893),
    [anon_sym_uint176] = ACTIONS(893),
    [anon_sym_uint184] = ACTIONS(893),
    [anon_sym_uint192] = ACTIONS(893),
    [anon_sym_uint200] = ACTIONS(893),
    [anon_sym_uint208] = ACTIONS(893),
    [anon_sym_uint216] = ACTIONS(893),
    [anon_sym_uint224] = ACTIONS(893),
    [anon_sym_uint232] = ACTIONS(893),
    [anon_sym_uint240] = ACTIONS(893),
    [anon_sym_uint248] = ACTIONS(893),
    [anon_sym_uint256] = ACTIONS(893),
    [anon_sym_bytes] = ACTIONS(893),
    [anon_sym_bytes1] = ACTIONS(893),
    [anon_sym_bytes2] = ACTIONS(893),
    [anon_sym_bytes3] = ACTIONS(893),
    [anon_sym_bytes4] = ACTIONS(893),
    [anon_sym_bytes5] = ACTIONS(893),
    [anon_sym_bytes6] = ACTIONS(893),
    [anon_sym_bytes7] = ACTIONS(893),
    [anon_sym_bytes8] = ACTIONS(893),
    [anon_sym_bytes9] = ACTIONS(893),
    [anon_sym_bytes10] = ACTIONS(893),
    [anon_sym_bytes11] = ACTIONS(893),
    [anon_sym_bytes12] = ACTIONS(893),
    [anon_sym_bytes13] = ACTIONS(893),
    [anon_sym_bytes14] = ACTIONS(893),
    [anon_sym_bytes15] = ACTIONS(893),
    [anon_sym_bytes16] = ACTIONS(893),
    [anon_sym_bytes17] = ACTIONS(893),
    [anon_sym_bytes18] = ACTIONS(893),
    [anon_sym_bytes19] = ACTIONS(893),
    [anon_sym_bytes20] = ACTIONS(893),
    [anon_sym_bytes21] = ACTIONS(893),
    [anon_sym_bytes22] = ACTIONS(893),
    [anon_sym_bytes23] = ACTIONS(893),
    [anon_sym_bytes24] = ACTIONS(893),
    [anon_sym_bytes25] = ACTIONS(893),
    [anon_sym_bytes26] = ACTIONS(893),
    [anon_sym_bytes27] = ACTIONS(893),
    [anon_sym_bytes28] = ACTIONS(893),
    [anon_sym_bytes29] = ACTIONS(893),
    [anon_sym_bytes30] = ACTIONS(893),
    [anon_sym_bytes31] = ACTIONS(893),
    [anon_sym_bytes32] = ACTIONS(893),
    [anon_sym_fixed] = ACTIONS(893),
    [aux_sym__fixed_token1] = ACTIONS(893),
    [anon_sym_ufixed] = ACTIONS(893),
    [aux_sym__ufixed_token1] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_identifier] = ACTIONS(897),
    [anon_sym_RBRACE] = ACTIONS(899),
    [anon_sym_type] = ACTIONS(897),
    [anon_sym_error] = ACTIONS(897),
    [anon_sym_struct] = ACTIONS(897),
    [anon_sym_enum] = ACTIONS(897),
    [anon_sym_event] = ACTIONS(897),
    [anon_sym_using] = ACTIONS(897),
    [anon_sym_function] = ACTIONS(897),
    [anon_sym_byte] = ACTIONS(897),
    [anon_sym_address] = ACTIONS(897),
    [anon_sym_var] = ACTIONS(897),
    [anon_sym_modifier] = ACTIONS(897),
    [anon_sym_constructor] = ACTIONS(897),
    [anon_sym_fallback] = ACTIONS(897),
    [anon_sym_receive] = ACTIONS(897),
    [anon_sym_mapping] = ACTIONS(897),
    [anon_sym_bool] = ACTIONS(897),
    [anon_sym_string] = ACTIONS(897),
    [anon_sym_int] = ACTIONS(897),
    [anon_sym_int8] = ACTIONS(897),
    [anon_sym_int16] = ACTIONS(897),
    [anon_sym_int24] = ACTIONS(897),
    [anon_sym_int32] = ACTIONS(897),
    [anon_sym_int40] = ACTIONS(897),
    [anon_sym_int48] = ACTIONS(897),
    [anon_sym_int56] = ACTIONS(897),
    [anon_sym_int64] = ACTIONS(897),
    [anon_sym_int72] = ACTIONS(897),
    [anon_sym_int80] = ACTIONS(897),
    [anon_sym_int88] = ACTIONS(897),
    [anon_sym_int96] = ACTIONS(897),
    [anon_sym_int104] = ACTIONS(897),
    [anon_sym_int112] = ACTIONS(897),
    [anon_sym_int120] = ACTIONS(897),
    [anon_sym_int128] = ACTIONS(897),
    [anon_sym_int136] = ACTIONS(897),
    [anon_sym_int144] = ACTIONS(897),
    [anon_sym_int152] = ACTIONS(897),
    [anon_sym_int160] = ACTIONS(897),
    [anon_sym_int168] = ACTIONS(897),
    [anon_sym_int176] = ACTIONS(897),
    [anon_sym_int184] = ACTIONS(897),
    [anon_sym_int192] = ACTIONS(897),
    [anon_sym_int200] = ACTIONS(897),
    [anon_sym_int208] = ACTIONS(897),
    [anon_sym_int216] = ACTIONS(897),
    [anon_sym_int224] = ACTIONS(897),
    [anon_sym_int232] = ACTIONS(897),
    [anon_sym_int240] = ACTIONS(897),
    [anon_sym_int248] = ACTIONS(897),
    [anon_sym_int256] = ACTIONS(897),
    [anon_sym_uint] = ACTIONS(897),
    [anon_sym_uint8] = ACTIONS(897),
    [anon_sym_uint16] = ACTIONS(897),
    [anon_sym_uint24] = ACTIONS(897),
    [anon_sym_uint32] = ACTIONS(897),
    [anon_sym_uint40] = ACTIONS(897),
    [anon_sym_uint48] = ACTIONS(897),
    [anon_sym_uint56] = ACTIONS(897),
    [anon_sym_uint64] = ACTIONS(897),
    [anon_sym_uint72] = ACTIONS(897),
    [anon_sym_uint80] = ACTIONS(897),
    [anon_sym_uint88] = ACTIONS(897),
    [anon_sym_uint96] = ACTIONS(897),
    [anon_sym_uint104] = ACTIONS(897),
    [anon_sym_uint112] = ACTIONS(897),
    [anon_sym_uint120] = ACTIONS(897),
    [anon_sym_uint128] = ACTIONS(897),
    [anon_sym_uint136] = ACTIONS(897),
    [anon_sym_uint144] = ACTIONS(897),
    [anon_sym_uint152] = ACTIONS(897),
    [anon_sym_uint160] = ACTIONS(897),
    [anon_sym_uint168] = ACTIONS(897),
    [anon_sym_uint176] = ACTIONS(897),
    [anon_sym_uint184] = ACTIONS(897),
    [anon_sym_uint192] = ACTIONS(897),
    [anon_sym_uint200] = ACTIONS(897),
    [anon_sym_uint208] = ACTIONS(897),
    [anon_sym_uint216] = ACTIONS(897),
    [anon_sym_uint224] = ACTIONS(897),
    [anon_sym_uint232] = ACTIONS(897),
    [anon_sym_uint240] = ACTIONS(897),
    [anon_sym_uint248] = ACTIONS(897),
    [anon_sym_uint256] = ACTIONS(897),
    [anon_sym_bytes] = ACTIONS(897),
    [anon_sym_bytes1] = ACTIONS(897),
    [anon_sym_bytes2] = ACTIONS(897),
    [anon_sym_bytes3] = ACTIONS(897),
    [anon_sym_bytes4] = ACTIONS(897),
    [anon_sym_bytes5] = ACTIONS(897),
    [anon_sym_bytes6] = ACTIONS(897),
    [anon_sym_bytes7] = ACTIONS(897),
    [anon_sym_bytes8] = ACTIONS(897),
    [anon_sym_bytes9] = ACTIONS(897),
    [anon_sym_bytes10] = ACTIONS(897),
    [anon_sym_bytes11] = ACTIONS(897),
    [anon_sym_bytes12] = ACTIONS(897),
    [anon_sym_bytes13] = ACTIONS(897),
    [anon_sym_bytes14] = ACTIONS(897),
    [anon_sym_bytes15] = ACTIONS(897),
    [anon_sym_bytes16] = ACTIONS(897),
    [anon_sym_bytes17] = ACTIONS(897),
    [anon_sym_bytes18] = ACTIONS(897),
    [anon_sym_bytes19] = ACTIONS(897),
    [anon_sym_bytes20] = ACTIONS(897),
    [anon_sym_bytes21] = ACTIONS(897),
    [anon_sym_bytes22] = ACTIONS(897),
    [anon_sym_bytes23] = ACTIONS(897),
    [anon_sym_bytes24] = ACTIONS(897),
    [anon_sym_bytes25] = ACTIONS(897),
    [anon_sym_bytes26] = ACTIONS(897),
    [anon_sym_bytes27] = ACTIONS(897),
    [anon_sym_bytes28] = ACTIONS(897),
    [anon_sym_bytes29] = ACTIONS(897),
    [anon_sym_bytes30] = ACTIONS(897),
    [anon_sym_bytes31] = ACTIONS(897),
    [anon_sym_bytes32] = ACTIONS(897),
    [anon_sym_fixed] = ACTIONS(897),
    [aux_sym__fixed_token1] = ACTIONS(897),
    [anon_sym_ufixed] = ACTIONS(897),
    [aux_sym__ufixed_token1] = ACTIONS(897),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [sym_identifier] = ACTIONS(901),
    [anon_sym_RBRACE] = ACTIONS(903),
    [anon_sym_type] = ACTIONS(901),
    [anon_sym_error] = ACTIONS(901),
    [anon_sym_struct] = ACTIONS(901),
    [anon_sym_enum] = ACTIONS(901),
    [anon_sym_event] = ACTIONS(901),
    [anon_sym_using] = ACTIONS(901),
    [anon_sym_function] = ACTIONS(901),
    [anon_sym_byte] = ACTIONS(901),
    [anon_sym_address] = ACTIONS(901),
    [anon_sym_var] = ACTIONS(901),
    [anon_sym_modifier] = ACTIONS(901),
    [anon_sym_constructor] = ACTIONS(901),
    [anon_sym_fallback] = ACTIONS(901),
    [anon_sym_receive] = ACTIONS(901),
    [anon_sym_mapping] = ACTIONS(901),
    [anon_sym_bool] = ACTIONS(901),
    [anon_sym_string] = ACTIONS(901),
    [anon_sym_int] = ACTIONS(901),
    [anon_sym_int8] = ACTIONS(901),
    [anon_sym_int16] = ACTIONS(901),
    [anon_sym_int24] = ACTIONS(901),
    [anon_sym_int32] = ACTIONS(901),
    [anon_sym_int40] = ACTIONS(901),
    [anon_sym_int48] = ACTIONS(901),
    [anon_sym_int56] = ACTIONS(901),
    [anon_sym_int64] = ACTIONS(901),
    [anon_sym_int72] = ACTIONS(901),
    [anon_sym_int80] = ACTIONS(901),
    [anon_sym_int88] = ACTIONS(901),
    [anon_sym_int96] = ACTIONS(901),
    [anon_sym_int104] = ACTIONS(901),
    [anon_sym_int112] = ACTIONS(901),
    [anon_sym_int120] = ACTIONS(901),
    [anon_sym_int128] = ACTIONS(901),
    [anon_sym_int136] = ACTIONS(901),
    [anon_sym_int144] = ACTIONS(901),
    [anon_sym_int152] = ACTIONS(901),
    [anon_sym_int160] = ACTIONS(901),
    [anon_sym_int168] = ACTIONS(901),
    [anon_sym_int176] = ACTIONS(901),
    [anon_sym_int184] = ACTIONS(901),
    [anon_sym_int192] = ACTIONS(901),
    [anon_sym_int200] = ACTIONS(901),
    [anon_sym_int208] = ACTIONS(901),
    [anon_sym_int216] = ACTIONS(901),
    [anon_sym_int224] = ACTIONS(901),
    [anon_sym_int232] = ACTIONS(901),
    [anon_sym_int240] = ACTIONS(901),
    [anon_sym_int248] = ACTIONS(901),
    [anon_sym_int256] = ACTIONS(901),
    [anon_sym_uint] = ACTIONS(901),
    [anon_sym_uint8] = ACTIONS(901),
    [anon_sym_uint16] = ACTIONS(901),
    [anon_sym_uint24] = ACTIONS(901),
    [anon_sym_uint32] = ACTIONS(901),
    [anon_sym_uint40] = ACTIONS(901),
    [anon_sym_uint48] = ACTIONS(901),
    [anon_sym_uint56] = ACTIONS(901),
    [anon_sym_uint64] = ACTIONS(901),
    [anon_sym_uint72] = ACTIONS(901),
    [anon_sym_uint80] = ACTIONS(901),
    [anon_sym_uint88] = ACTIONS(901),
    [anon_sym_uint96] = ACTIONS(901),
    [anon_sym_uint104] = ACTIONS(901),
    [anon_sym_uint112] = ACTIONS(901),
    [anon_sym_uint120] = ACTIONS(901),
    [anon_sym_uint128] = ACTIONS(901),
    [anon_sym_uint136] = ACTIONS(901),
    [anon_sym_uint144] = ACTIONS(901),
    [anon_sym_uint152] = ACTIONS(901),
    [anon_sym_uint160] = ACTIONS(901),
    [anon_sym_uint168] = ACTIONS(901),
    [anon_sym_uint176] = ACTIONS(901),
    [anon_sym_uint184] = ACTIONS(901),
    [anon_sym_uint192] = ACTIONS(901),
    [anon_sym_uint200] = ACTIONS(901),
    [anon_sym_uint208] = ACTIONS(901),
    [anon_sym_uint216] = ACTIONS(901),
    [anon_sym_uint224] = ACTIONS(901),
    [anon_sym_uint232] = ACTIONS(901),
    [anon_sym_uint240] = ACTIONS(901),
    [anon_sym_uint248] = ACTIONS(901),
    [anon_sym_uint256] = ACTIONS(901),
    [anon_sym_bytes] = ACTIONS(901),
    [anon_sym_bytes1] = ACTIONS(901),
    [anon_sym_bytes2] = ACTIONS(901),
    [anon_sym_bytes3] = ACTIONS(901),
    [anon_sym_bytes4] = ACTIONS(901),
    [anon_sym_bytes5] = ACTIONS(901),
    [anon_sym_bytes6] = ACTIONS(901),
    [anon_sym_bytes7] = ACTIONS(901),
    [anon_sym_bytes8] = ACTIONS(901),
    [anon_sym_bytes9] = ACTIONS(901),
    [anon_sym_bytes10] = ACTIONS(901),
    [anon_sym_bytes11] = ACTIONS(901),
    [anon_sym_bytes12] = ACTIONS(901),
    [anon_sym_bytes13] = ACTIONS(901),
    [anon_sym_bytes14] = ACTIONS(901),
    [anon_sym_bytes15] = ACTIONS(901),
    [anon_sym_bytes16] = ACTIONS(901),
    [anon_sym_bytes17] = ACTIONS(901),
    [anon_sym_bytes18] = ACTIONS(901),
    [anon_sym_bytes19] = ACTIONS(901),
    [anon_sym_bytes20] = ACTIONS(901),
    [anon_sym_bytes21] = ACTIONS(901),
    [anon_sym_bytes22] = ACTIONS(901),
    [anon_sym_bytes23] = ACTIONS(901),
    [anon_sym_bytes24] = ACTIONS(901),
    [anon_sym_bytes25] = ACTIONS(901),
    [anon_sym_bytes26] = ACTIONS(901),
    [anon_sym_bytes27] = ACTIONS(901),
    [anon_sym_bytes28] = ACTIONS(901),
    [anon_sym_bytes29] = ACTIONS(901),
    [anon_sym_bytes30] = ACTIONS(901),
    [anon_sym_bytes31] = ACTIONS(901),
    [anon_sym_bytes32] = ACTIONS(901),
    [anon_sym_fixed] = ACTIONS(901),
    [aux_sym__fixed_token1] = ACTIONS(901),
    [anon_sym_ufixed] = ACTIONS(901),
    [aux_sym__ufixed_token1] = ACTIONS(901),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [sym_identifier] = ACTIONS(905),
    [anon_sym_RBRACE] = ACTIONS(907),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_error] = ACTIONS(905),
    [anon_sym_struct] = ACTIONS(905),
    [anon_sym_enum] = ACTIONS(905),
    [anon_sym_event] = ACTIONS(905),
    [anon_sym_using] = ACTIONS(905),
    [anon_sym_function] = ACTIONS(905),
    [anon_sym_byte] = ACTIONS(905),
    [anon_sym_address] = ACTIONS(905),
    [anon_sym_var] = ACTIONS(905),
    [anon_sym_modifier] = ACTIONS(905),
    [anon_sym_constructor] = ACTIONS(905),
    [anon_sym_fallback] = ACTIONS(905),
    [anon_sym_receive] = ACTIONS(905),
    [anon_sym_mapping] = ACTIONS(905),
    [anon_sym_bool] = ACTIONS(905),
    [anon_sym_string] = ACTIONS(905),
    [anon_sym_int] = ACTIONS(905),
    [anon_sym_int8] = ACTIONS(905),
    [anon_sym_int16] = ACTIONS(905),
    [anon_sym_int24] = ACTIONS(905),
    [anon_sym_int32] = ACTIONS(905),
    [anon_sym_int40] = ACTIONS(905),
    [anon_sym_int48] = ACTIONS(905),
    [anon_sym_int56] = ACTIONS(905),
    [anon_sym_int64] = ACTIONS(905),
    [anon_sym_int72] = ACTIONS(905),
    [anon_sym_int80] = ACTIONS(905),
    [anon_sym_int88] = ACTIONS(905),
    [anon_sym_int96] = ACTIONS(905),
    [anon_sym_int104] = ACTIONS(905),
    [anon_sym_int112] = ACTIONS(905),
    [anon_sym_int120] = ACTIONS(905),
    [anon_sym_int128] = ACTIONS(905),
    [anon_sym_int136] = ACTIONS(905),
    [anon_sym_int144] = ACTIONS(905),
    [anon_sym_int152] = ACTIONS(905),
    [anon_sym_int160] = ACTIONS(905),
    [anon_sym_int168] = ACTIONS(905),
    [anon_sym_int176] = ACTIONS(905),
    [anon_sym_int184] = ACTIONS(905),
    [anon_sym_int192] = ACTIONS(905),
    [anon_sym_int200] = ACTIONS(905),
    [anon_sym_int208] = ACTIONS(905),
    [anon_sym_int216] = ACTIONS(905),
    [anon_sym_int224] = ACTIONS(905),
    [anon_sym_int232] = ACTIONS(905),
    [anon_sym_int240] = ACTIONS(905),
    [anon_sym_int248] = ACTIONS(905),
    [anon_sym_int256] = ACTIONS(905),
    [anon_sym_uint] = ACTIONS(905),
    [anon_sym_uint8] = ACTIONS(905),
    [anon_sym_uint16] = ACTIONS(905),
    [anon_sym_uint24] = ACTIONS(905),
    [anon_sym_uint32] = ACTIONS(905),
    [anon_sym_uint40] = ACTIONS(905),
    [anon_sym_uint48] = ACTIONS(905),
    [anon_sym_uint56] = ACTIONS(905),
    [anon_sym_uint64] = ACTIONS(905),
    [anon_sym_uint72] = ACTIONS(905),
    [anon_sym_uint80] = ACTIONS(905),
    [anon_sym_uint88] = ACTIONS(905),
    [anon_sym_uint96] = ACTIONS(905),
    [anon_sym_uint104] = ACTIONS(905),
    [anon_sym_uint112] = ACTIONS(905),
    [anon_sym_uint120] = ACTIONS(905),
    [anon_sym_uint128] = ACTIONS(905),
    [anon_sym_uint136] = ACTIONS(905),
    [anon_sym_uint144] = ACTIONS(905),
    [anon_sym_uint152] = ACTIONS(905),
    [anon_sym_uint160] = ACTIONS(905),
    [anon_sym_uint168] = ACTIONS(905),
    [anon_sym_uint176] = ACTIONS(905),
    [anon_sym_uint184] = ACTIONS(905),
    [anon_sym_uint192] = ACTIONS(905),
    [anon_sym_uint200] = ACTIONS(905),
    [anon_sym_uint208] = ACTIONS(905),
    [anon_sym_uint216] = ACTIONS(905),
    [anon_sym_uint224] = ACTIONS(905),
    [anon_sym_uint232] = ACTIONS(905),
    [anon_sym_uint240] = ACTIONS(905),
    [anon_sym_uint248] = ACTIONS(905),
    [anon_sym_uint256] = ACTIONS(905),
    [anon_sym_bytes] = ACTIONS(905),
    [anon_sym_bytes1] = ACTIONS(905),
    [anon_sym_bytes2] = ACTIONS(905),
    [anon_sym_bytes3] = ACTIONS(905),
    [anon_sym_bytes4] = ACTIONS(905),
    [anon_sym_bytes5] = ACTIONS(905),
    [anon_sym_bytes6] = ACTIONS(905),
    [anon_sym_bytes7] = ACTIONS(905),
    [anon_sym_bytes8] = ACTIONS(905),
    [anon_sym_bytes9] = ACTIONS(905),
    [anon_sym_bytes10] = ACTIONS(905),
    [anon_sym_bytes11] = ACTIONS(905),
    [anon_sym_bytes12] = ACTIONS(905),
    [anon_sym_bytes13] = ACTIONS(905),
    [anon_sym_bytes14] = ACTIONS(905),
    [anon_sym_bytes15] = ACTIONS(905),
    [anon_sym_bytes16] = ACTIONS(905),
    [anon_sym_bytes17] = ACTIONS(905),
    [anon_sym_bytes18] = ACTIONS(905),
    [anon_sym_bytes19] = ACTIONS(905),
    [anon_sym_bytes20] = ACTIONS(905),
    [anon_sym_bytes21] = ACTIONS(905),
    [anon_sym_bytes22] = ACTIONS(905),
    [anon_sym_bytes23] = ACTIONS(905),
    [anon_sym_bytes24] = ACTIONS(905),
    [anon_sym_bytes25] = ACTIONS(905),
    [anon_sym_bytes26] = ACTIONS(905),
    [anon_sym_bytes27] = ACTIONS(905),
    [anon_sym_bytes28] = ACTIONS(905),
    [anon_sym_bytes29] = ACTIONS(905),
    [anon_sym_bytes30] = ACTIONS(905),
    [anon_sym_bytes31] = ACTIONS(905),
    [anon_sym_bytes32] = ACTIONS(905),
    [anon_sym_fixed] = ACTIONS(905),
    [aux_sym__fixed_token1] = ACTIONS(905),
    [anon_sym_ufixed] = ACTIONS(905),
    [aux_sym__ufixed_token1] = ACTIONS(905),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_identifier] = ACTIONS(909),
    [anon_sym_RBRACE] = ACTIONS(911),
    [anon_sym_type] = ACTIONS(909),
    [anon_sym_error] = ACTIONS(909),
    [anon_sym_struct] = ACTIONS(909),
    [anon_sym_enum] = ACTIONS(909),
    [anon_sym_event] = ACTIONS(909),
    [anon_sym_using] = ACTIONS(909),
    [anon_sym_function] = ACTIONS(909),
    [anon_sym_byte] = ACTIONS(909),
    [anon_sym_address] = ACTIONS(909),
    [anon_sym_var] = ACTIONS(909),
    [anon_sym_modifier] = ACTIONS(909),
    [anon_sym_constructor] = ACTIONS(909),
    [anon_sym_fallback] = ACTIONS(909),
    [anon_sym_receive] = ACTIONS(909),
    [anon_sym_mapping] = ACTIONS(909),
    [anon_sym_bool] = ACTIONS(909),
    [anon_sym_string] = ACTIONS(909),
    [anon_sym_int] = ACTIONS(909),
    [anon_sym_int8] = ACTIONS(909),
    [anon_sym_int16] = ACTIONS(909),
    [anon_sym_int24] = ACTIONS(909),
    [anon_sym_int32] = ACTIONS(909),
    [anon_sym_int40] = ACTIONS(909),
    [anon_sym_int48] = ACTIONS(909),
    [anon_sym_int56] = ACTIONS(909),
    [anon_sym_int64] = ACTIONS(909),
    [anon_sym_int72] = ACTIONS(909),
    [anon_sym_int80] = ACTIONS(909),
    [anon_sym_int88] = ACTIONS(909),
    [anon_sym_int96] = ACTIONS(909),
    [anon_sym_int104] = ACTIONS(909),
    [anon_sym_int112] = ACTIONS(909),
    [anon_sym_int120] = ACTIONS(909),
    [anon_sym_int128] = ACTIONS(909),
    [anon_sym_int136] = ACTIONS(909),
    [anon_sym_int144] = ACTIONS(909),
    [anon_sym_int152] = ACTIONS(909),
    [anon_sym_int160] = ACTIONS(909),
    [anon_sym_int168] = ACTIONS(909),
    [anon_sym_int176] = ACTIONS(909),
    [anon_sym_int184] = ACTIONS(909),
    [anon_sym_int192] = ACTIONS(909),
    [anon_sym_int200] = ACTIONS(909),
    [anon_sym_int208] = ACTIONS(909),
    [anon_sym_int216] = ACTIONS(909),
    [anon_sym_int224] = ACTIONS(909),
    [anon_sym_int232] = ACTIONS(909),
    [anon_sym_int240] = ACTIONS(909),
    [anon_sym_int248] = ACTIONS(909),
    [anon_sym_int256] = ACTIONS(909),
    [anon_sym_uint] = ACTIONS(909),
    [anon_sym_uint8] = ACTIONS(909),
    [anon_sym_uint16] = ACTIONS(909),
    [anon_sym_uint24] = ACTIONS(909),
    [anon_sym_uint32] = ACTIONS(909),
    [anon_sym_uint40] = ACTIONS(909),
    [anon_sym_uint48] = ACTIONS(909),
    [anon_sym_uint56] = ACTIONS(909),
    [anon_sym_uint64] = ACTIONS(909),
    [anon_sym_uint72] = ACTIONS(909),
    [anon_sym_uint80] = ACTIONS(909),
    [anon_sym_uint88] = ACTIONS(909),
    [anon_sym_uint96] = ACTIONS(909),
    [anon_sym_uint104] = ACTIONS(909),
    [anon_sym_uint112] = ACTIONS(909),
    [anon_sym_uint120] = ACTIONS(909),
    [anon_sym_uint128] = ACTIONS(909),
    [anon_sym_uint136] = ACTIONS(909),
    [anon_sym_uint144] = ACTIONS(909),
    [anon_sym_uint152] = ACTIONS(909),
    [anon_sym_uint160] = ACTIONS(909),
    [anon_sym_uint168] = ACTIONS(909),
    [anon_sym_uint176] = ACTIONS(909),
    [anon_sym_uint184] = ACTIONS(909),
    [anon_sym_uint192] = ACTIONS(909),
    [anon_sym_uint200] = ACTIONS(909),
    [anon_sym_uint208] = ACTIONS(909),
    [anon_sym_uint216] = ACTIONS(909),
    [anon_sym_uint224] = ACTIONS(909),
    [anon_sym_uint232] = ACTIONS(909),
    [anon_sym_uint240] = ACTIONS(909),
    [anon_sym_uint248] = ACTIONS(909),
    [anon_sym_uint256] = ACTIONS(909),
    [anon_sym_bytes] = ACTIONS(909),
    [anon_sym_bytes1] = ACTIONS(909),
    [anon_sym_bytes2] = ACTIONS(909),
    [anon_sym_bytes3] = ACTIONS(909),
    [anon_sym_bytes4] = ACTIONS(909),
    [anon_sym_bytes5] = ACTIONS(909),
    [anon_sym_bytes6] = ACTIONS(909),
    [anon_sym_bytes7] = ACTIONS(909),
    [anon_sym_bytes8] = ACTIONS(909),
    [anon_sym_bytes9] = ACTIONS(909),
    [anon_sym_bytes10] = ACTIONS(909),
    [anon_sym_bytes11] = ACTIONS(909),
    [anon_sym_bytes12] = ACTIONS(909),
    [anon_sym_bytes13] = ACTIONS(909),
    [anon_sym_bytes14] = ACTIONS(909),
    [anon_sym_bytes15] = ACTIONS(909),
    [anon_sym_bytes16] = ACTIONS(909),
    [anon_sym_bytes17] = ACTIONS(909),
    [anon_sym_bytes18] = ACTIONS(909),
    [anon_sym_bytes19] = ACTIONS(909),
    [anon_sym_bytes20] = ACTIONS(909),
    [anon_sym_bytes21] = ACTIONS(909),
    [anon_sym_bytes22] = ACTIONS(909),
    [anon_sym_bytes23] = ACTIONS(909),
    [anon_sym_bytes24] = ACTIONS(909),
    [anon_sym_bytes25] = ACTIONS(909),
    [anon_sym_bytes26] = ACTIONS(909),
    [anon_sym_bytes27] = ACTIONS(909),
    [anon_sym_bytes28] = ACTIONS(909),
    [anon_sym_bytes29] = ACTIONS(909),
    [anon_sym_bytes30] = ACTIONS(909),
    [anon_sym_bytes31] = ACTIONS(909),
    [anon_sym_bytes32] = ACTIONS(909),
    [anon_sym_fixed] = ACTIONS(909),
    [aux_sym__fixed_token1] = ACTIONS(909),
    [anon_sym_ufixed] = ACTIONS(909),
    [aux_sym__ufixed_token1] = ACTIONS(909),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_identifier] = ACTIONS(913),
    [anon_sym_RBRACE] = ACTIONS(915),
    [anon_sym_type] = ACTIONS(913),
    [anon_sym_error] = ACTIONS(913),
    [anon_sym_struct] = ACTIONS(913),
    [anon_sym_enum] = ACTIONS(913),
    [anon_sym_event] = ACTIONS(913),
    [anon_sym_using] = ACTIONS(913),
    [anon_sym_function] = ACTIONS(913),
    [anon_sym_byte] = ACTIONS(913),
    [anon_sym_address] = ACTIONS(913),
    [anon_sym_var] = ACTIONS(913),
    [anon_sym_modifier] = ACTIONS(913),
    [anon_sym_constructor] = ACTIONS(913),
    [anon_sym_fallback] = ACTIONS(913),
    [anon_sym_receive] = ACTIONS(913),
    [anon_sym_mapping] = ACTIONS(913),
    [anon_sym_bool] = ACTIONS(913),
    [anon_sym_string] = ACTIONS(913),
    [anon_sym_int] = ACTIONS(913),
    [anon_sym_int8] = ACTIONS(913),
    [anon_sym_int16] = ACTIONS(913),
    [anon_sym_int24] = ACTIONS(913),
    [anon_sym_int32] = ACTIONS(913),
    [anon_sym_int40] = ACTIONS(913),
    [anon_sym_int48] = ACTIONS(913),
    [anon_sym_int56] = ACTIONS(913),
    [anon_sym_int64] = ACTIONS(913),
    [anon_sym_int72] = ACTIONS(913),
    [anon_sym_int80] = ACTIONS(913),
    [anon_sym_int88] = ACTIONS(913),
    [anon_sym_int96] = ACTIONS(913),
    [anon_sym_int104] = ACTIONS(913),
    [anon_sym_int112] = ACTIONS(913),
    [anon_sym_int120] = ACTIONS(913),
    [anon_sym_int128] = ACTIONS(913),
    [anon_sym_int136] = ACTIONS(913),
    [anon_sym_int144] = ACTIONS(913),
    [anon_sym_int152] = ACTIONS(913),
    [anon_sym_int160] = ACTIONS(913),
    [anon_sym_int168] = ACTIONS(913),
    [anon_sym_int176] = ACTIONS(913),
    [anon_sym_int184] = ACTIONS(913),
    [anon_sym_int192] = ACTIONS(913),
    [anon_sym_int200] = ACTIONS(913),
    [anon_sym_int208] = ACTIONS(913),
    [anon_sym_int216] = ACTIONS(913),
    [anon_sym_int224] = ACTIONS(913),
    [anon_sym_int232] = ACTIONS(913),
    [anon_sym_int240] = ACTIONS(913),
    [anon_sym_int248] = ACTIONS(913),
    [anon_sym_int256] = ACTIONS(913),
    [anon_sym_uint] = ACTIONS(913),
    [anon_sym_uint8] = ACTIONS(913),
    [anon_sym_uint16] = ACTIONS(913),
    [anon_sym_uint24] = ACTIONS(913),
    [anon_sym_uint32] = ACTIONS(913),
    [anon_sym_uint40] = ACTIONS(913),
    [anon_sym_uint48] = ACTIONS(913),
    [anon_sym_uint56] = ACTIONS(913),
    [anon_sym_uint64] = ACTIONS(913),
    [anon_sym_uint72] = ACTIONS(913),
    [anon_sym_uint80] = ACTIONS(913),
    [anon_sym_uint88] = ACTIONS(913),
    [anon_sym_uint96] = ACTIONS(913),
    [anon_sym_uint104] = ACTIONS(913),
    [anon_sym_uint112] = ACTIONS(913),
    [anon_sym_uint120] = ACTIONS(913),
    [anon_sym_uint128] = ACTIONS(913),
    [anon_sym_uint136] = ACTIONS(913),
    [anon_sym_uint144] = ACTIONS(913),
    [anon_sym_uint152] = ACTIONS(913),
    [anon_sym_uint160] = ACTIONS(913),
    [anon_sym_uint168] = ACTIONS(913),
    [anon_sym_uint176] = ACTIONS(913),
    [anon_sym_uint184] = ACTIONS(913),
    [anon_sym_uint192] = ACTIONS(913),
    [anon_sym_uint200] = ACTIONS(913),
    [anon_sym_uint208] = ACTIONS(913),
    [anon_sym_uint216] = ACTIONS(913),
    [anon_sym_uint224] = ACTIONS(913),
    [anon_sym_uint232] = ACTIONS(913),
    [anon_sym_uint240] = ACTIONS(913),
    [anon_sym_uint248] = ACTIONS(913),
    [anon_sym_uint256] = ACTIONS(913),
    [anon_sym_bytes] = ACTIONS(913),
    [anon_sym_bytes1] = ACTIONS(913),
    [anon_sym_bytes2] = ACTIONS(913),
    [anon_sym_bytes3] = ACTIONS(913),
    [anon_sym_bytes4] = ACTIONS(913),
    [anon_sym_bytes5] = ACTIONS(913),
    [anon_sym_bytes6] = ACTIONS(913),
    [anon_sym_bytes7] = ACTIONS(913),
    [anon_sym_bytes8] = ACTIONS(913),
    [anon_sym_bytes9] = ACTIONS(913),
    [anon_sym_bytes10] = ACTIONS(913),
    [anon_sym_bytes11] = ACTIONS(913),
    [anon_sym_bytes12] = ACTIONS(913),
    [anon_sym_bytes13] = ACTIONS(913),
    [anon_sym_bytes14] = ACTIONS(913),
    [anon_sym_bytes15] = ACTIONS(913),
    [anon_sym_bytes16] = ACTIONS(913),
    [anon_sym_bytes17] = ACTIONS(913),
    [anon_sym_bytes18] = ACTIONS(913),
    [anon_sym_bytes19] = ACTIONS(913),
    [anon_sym_bytes20] = ACTIONS(913),
    [anon_sym_bytes21] = ACTIONS(913),
    [anon_sym_bytes22] = ACTIONS(913),
    [anon_sym_bytes23] = ACTIONS(913),
    [anon_sym_bytes24] = ACTIONS(913),
    [anon_sym_bytes25] = ACTIONS(913),
    [anon_sym_bytes26] = ACTIONS(913),
    [anon_sym_bytes27] = ACTIONS(913),
    [anon_sym_bytes28] = ACTIONS(913),
    [anon_sym_bytes29] = ACTIONS(913),
    [anon_sym_bytes30] = ACTIONS(913),
    [anon_sym_bytes31] = ACTIONS(913),
    [anon_sym_bytes32] = ACTIONS(913),
    [anon_sym_fixed] = ACTIONS(913),
    [aux_sym__fixed_token1] = ACTIONS(913),
    [anon_sym_ufixed] = ACTIONS(913),
    [aux_sym__ufixed_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_identifier] = ACTIONS(917),
    [anon_sym_RBRACE] = ACTIONS(919),
    [anon_sym_type] = ACTIONS(917),
    [anon_sym_error] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(917),
    [anon_sym_enum] = ACTIONS(917),
    [anon_sym_event] = ACTIONS(917),
    [anon_sym_using] = ACTIONS(917),
    [anon_sym_function] = ACTIONS(917),
    [anon_sym_byte] = ACTIONS(917),
    [anon_sym_address] = ACTIONS(917),
    [anon_sym_var] = ACTIONS(917),
    [anon_sym_modifier] = ACTIONS(917),
    [anon_sym_constructor] = ACTIONS(917),
    [anon_sym_fallback] = ACTIONS(917),
    [anon_sym_receive] = ACTIONS(917),
    [anon_sym_mapping] = ACTIONS(917),
    [anon_sym_bool] = ACTIONS(917),
    [anon_sym_string] = ACTIONS(917),
    [anon_sym_int] = ACTIONS(917),
    [anon_sym_int8] = ACTIONS(917),
    [anon_sym_int16] = ACTIONS(917),
    [anon_sym_int24] = ACTIONS(917),
    [anon_sym_int32] = ACTIONS(917),
    [anon_sym_int40] = ACTIONS(917),
    [anon_sym_int48] = ACTIONS(917),
    [anon_sym_int56] = ACTIONS(917),
    [anon_sym_int64] = ACTIONS(917),
    [anon_sym_int72] = ACTIONS(917),
    [anon_sym_int80] = ACTIONS(917),
    [anon_sym_int88] = ACTIONS(917),
    [anon_sym_int96] = ACTIONS(917),
    [anon_sym_int104] = ACTIONS(917),
    [anon_sym_int112] = ACTIONS(917),
    [anon_sym_int120] = ACTIONS(917),
    [anon_sym_int128] = ACTIONS(917),
    [anon_sym_int136] = ACTIONS(917),
    [anon_sym_int144] = ACTIONS(917),
    [anon_sym_int152] = ACTIONS(917),
    [anon_sym_int160] = ACTIONS(917),
    [anon_sym_int168] = ACTIONS(917),
    [anon_sym_int176] = ACTIONS(917),
    [anon_sym_int184] = ACTIONS(917),
    [anon_sym_int192] = ACTIONS(917),
    [anon_sym_int200] = ACTIONS(917),
    [anon_sym_int208] = ACTIONS(917),
    [anon_sym_int216] = ACTIONS(917),
    [anon_sym_int224] = ACTIONS(917),
    [anon_sym_int232] = ACTIONS(917),
    [anon_sym_int240] = ACTIONS(917),
    [anon_sym_int248] = ACTIONS(917),
    [anon_sym_int256] = ACTIONS(917),
    [anon_sym_uint] = ACTIONS(917),
    [anon_sym_uint8] = ACTIONS(917),
    [anon_sym_uint16] = ACTIONS(917),
    [anon_sym_uint24] = ACTIONS(917),
    [anon_sym_uint32] = ACTIONS(917),
    [anon_sym_uint40] = ACTIONS(917),
    [anon_sym_uint48] = ACTIONS(917),
    [anon_sym_uint56] = ACTIONS(917),
    [anon_sym_uint64] = ACTIONS(917),
    [anon_sym_uint72] = ACTIONS(917),
    [anon_sym_uint80] = ACTIONS(917),
    [anon_sym_uint88] = ACTIONS(917),
    [anon_sym_uint96] = ACTIONS(917),
    [anon_sym_uint104] = ACTIONS(917),
    [anon_sym_uint112] = ACTIONS(917),
    [anon_sym_uint120] = ACTIONS(917),
    [anon_sym_uint128] = ACTIONS(917),
    [anon_sym_uint136] = ACTIONS(917),
    [anon_sym_uint144] = ACTIONS(917),
    [anon_sym_uint152] = ACTIONS(917),
    [anon_sym_uint160] = ACTIONS(917),
    [anon_sym_uint168] = ACTIONS(917),
    [anon_sym_uint176] = ACTIONS(917),
    [anon_sym_uint184] = ACTIONS(917),
    [anon_sym_uint192] = ACTIONS(917),
    [anon_sym_uint200] = ACTIONS(917),
    [anon_sym_uint208] = ACTIONS(917),
    [anon_sym_uint216] = ACTIONS(917),
    [anon_sym_uint224] = ACTIONS(917),
    [anon_sym_uint232] = ACTIONS(917),
    [anon_sym_uint240] = ACTIONS(917),
    [anon_sym_uint248] = ACTIONS(917),
    [anon_sym_uint256] = ACTIONS(917),
    [anon_sym_bytes] = ACTIONS(917),
    [anon_sym_bytes1] = ACTIONS(917),
    [anon_sym_bytes2] = ACTIONS(917),
    [anon_sym_bytes3] = ACTIONS(917),
    [anon_sym_bytes4] = ACTIONS(917),
    [anon_sym_bytes5] = ACTIONS(917),
    [anon_sym_bytes6] = ACTIONS(917),
    [anon_sym_bytes7] = ACTIONS(917),
    [anon_sym_bytes8] = ACTIONS(917),
    [anon_sym_bytes9] = ACTIONS(917),
    [anon_sym_bytes10] = ACTIONS(917),
    [anon_sym_bytes11] = ACTIONS(917),
    [anon_sym_bytes12] = ACTIONS(917),
    [anon_sym_bytes13] = ACTIONS(917),
    [anon_sym_bytes14] = ACTIONS(917),
    [anon_sym_bytes15] = ACTIONS(917),
    [anon_sym_bytes16] = ACTIONS(917),
    [anon_sym_bytes17] = ACTIONS(917),
    [anon_sym_bytes18] = ACTIONS(917),
    [anon_sym_bytes19] = ACTIONS(917),
    [anon_sym_bytes20] = ACTIONS(917),
    [anon_sym_bytes21] = ACTIONS(917),
    [anon_sym_bytes22] = ACTIONS(917),
    [anon_sym_bytes23] = ACTIONS(917),
    [anon_sym_bytes24] = ACTIONS(917),
    [anon_sym_bytes25] = ACTIONS(917),
    [anon_sym_bytes26] = ACTIONS(917),
    [anon_sym_bytes27] = ACTIONS(917),
    [anon_sym_bytes28] = ACTIONS(917),
    [anon_sym_bytes29] = ACTIONS(917),
    [anon_sym_bytes30] = ACTIONS(917),
    [anon_sym_bytes31] = ACTIONS(917),
    [anon_sym_bytes32] = ACTIONS(917),
    [anon_sym_fixed] = ACTIONS(917),
    [aux_sym__fixed_token1] = ACTIONS(917),
    [anon_sym_ufixed] = ACTIONS(917),
    [aux_sym__ufixed_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [sym_identifier] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(923),
    [anon_sym_type] = ACTIONS(921),
    [anon_sym_error] = ACTIONS(921),
    [anon_sym_struct] = ACTIONS(921),
    [anon_sym_enum] = ACTIONS(921),
    [anon_sym_event] = ACTIONS(921),
    [anon_sym_using] = ACTIONS(921),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_byte] = ACTIONS(921),
    [anon_sym_address] = ACTIONS(921),
    [anon_sym_var] = ACTIONS(921),
    [anon_sym_modifier] = ACTIONS(921),
    [anon_sym_constructor] = ACTIONS(921),
    [anon_sym_fallback] = ACTIONS(921),
    [anon_sym_receive] = ACTIONS(921),
    [anon_sym_mapping] = ACTIONS(921),
    [anon_sym_bool] = ACTIONS(921),
    [anon_sym_string] = ACTIONS(921),
    [anon_sym_int] = ACTIONS(921),
    [anon_sym_int8] = ACTIONS(921),
    [anon_sym_int16] = ACTIONS(921),
    [anon_sym_int24] = ACTIONS(921),
    [anon_sym_int32] = ACTIONS(921),
    [anon_sym_int40] = ACTIONS(921),
    [anon_sym_int48] = ACTIONS(921),
    [anon_sym_int56] = ACTIONS(921),
    [anon_sym_int64] = ACTIONS(921),
    [anon_sym_int72] = ACTIONS(921),
    [anon_sym_int80] = ACTIONS(921),
    [anon_sym_int88] = ACTIONS(921),
    [anon_sym_int96] = ACTIONS(921),
    [anon_sym_int104] = ACTIONS(921),
    [anon_sym_int112] = ACTIONS(921),
    [anon_sym_int120] = ACTIONS(921),
    [anon_sym_int128] = ACTIONS(921),
    [anon_sym_int136] = ACTIONS(921),
    [anon_sym_int144] = ACTIONS(921),
    [anon_sym_int152] = ACTIONS(921),
    [anon_sym_int160] = ACTIONS(921),
    [anon_sym_int168] = ACTIONS(921),
    [anon_sym_int176] = ACTIONS(921),
    [anon_sym_int184] = ACTIONS(921),
    [anon_sym_int192] = ACTIONS(921),
    [anon_sym_int200] = ACTIONS(921),
    [anon_sym_int208] = ACTIONS(921),
    [anon_sym_int216] = ACTIONS(921),
    [anon_sym_int224] = ACTIONS(921),
    [anon_sym_int232] = ACTIONS(921),
    [anon_sym_int240] = ACTIONS(921),
    [anon_sym_int248] = ACTIONS(921),
    [anon_sym_int256] = ACTIONS(921),
    [anon_sym_uint] = ACTIONS(921),
    [anon_sym_uint8] = ACTIONS(921),
    [anon_sym_uint16] = ACTIONS(921),
    [anon_sym_uint24] = ACTIONS(921),
    [anon_sym_uint32] = ACTIONS(921),
    [anon_sym_uint40] = ACTIONS(921),
    [anon_sym_uint48] = ACTIONS(921),
    [anon_sym_uint56] = ACTIONS(921),
    [anon_sym_uint64] = ACTIONS(921),
    [anon_sym_uint72] = ACTIONS(921),
    [anon_sym_uint80] = ACTIONS(921),
    [anon_sym_uint88] = ACTIONS(921),
    [anon_sym_uint96] = ACTIONS(921),
    [anon_sym_uint104] = ACTIONS(921),
    [anon_sym_uint112] = ACTIONS(921),
    [anon_sym_uint120] = ACTIONS(921),
    [anon_sym_uint128] = ACTIONS(921),
    [anon_sym_uint136] = ACTIONS(921),
    [anon_sym_uint144] = ACTIONS(921),
    [anon_sym_uint152] = ACTIONS(921),
    [anon_sym_uint160] = ACTIONS(921),
    [anon_sym_uint168] = ACTIONS(921),
    [anon_sym_uint176] = ACTIONS(921),
    [anon_sym_uint184] = ACTIONS(921),
    [anon_sym_uint192] = ACTIONS(921),
    [anon_sym_uint200] = ACTIONS(921),
    [anon_sym_uint208] = ACTIONS(921),
    [anon_sym_uint216] = ACTIONS(921),
    [anon_sym_uint224] = ACTIONS(921),
    [anon_sym_uint232] = ACTIONS(921),
    [anon_sym_uint240] = ACTIONS(921),
    [anon_sym_uint248] = ACTIONS(921),
    [anon_sym_uint256] = ACTIONS(921),
    [anon_sym_bytes] = ACTIONS(921),
    [anon_sym_bytes1] = ACTIONS(921),
    [anon_sym_bytes2] = ACTIONS(921),
    [anon_sym_bytes3] = ACTIONS(921),
    [anon_sym_bytes4] = ACTIONS(921),
    [anon_sym_bytes5] = ACTIONS(921),
    [anon_sym_bytes6] = ACTIONS(921),
    [anon_sym_bytes7] = ACTIONS(921),
    [anon_sym_bytes8] = ACTIONS(921),
    [anon_sym_bytes9] = ACTIONS(921),
    [anon_sym_bytes10] = ACTIONS(921),
    [anon_sym_bytes11] = ACTIONS(921),
    [anon_sym_bytes12] = ACTIONS(921),
    [anon_sym_bytes13] = ACTIONS(921),
    [anon_sym_bytes14] = ACTIONS(921),
    [anon_sym_bytes15] = ACTIONS(921),
    [anon_sym_bytes16] = ACTIONS(921),
    [anon_sym_bytes17] = ACTIONS(921),
    [anon_sym_bytes18] = ACTIONS(921),
    [anon_sym_bytes19] = ACTIONS(921),
    [anon_sym_bytes20] = ACTIONS(921),
    [anon_sym_bytes21] = ACTIONS(921),
    [anon_sym_bytes22] = ACTIONS(921),
    [anon_sym_bytes23] = ACTIONS(921),
    [anon_sym_bytes24] = ACTIONS(921),
    [anon_sym_bytes25] = ACTIONS(921),
    [anon_sym_bytes26] = ACTIONS(921),
    [anon_sym_bytes27] = ACTIONS(921),
    [anon_sym_bytes28] = ACTIONS(921),
    [anon_sym_bytes29] = ACTIONS(921),
    [anon_sym_bytes30] = ACTIONS(921),
    [anon_sym_bytes31] = ACTIONS(921),
    [anon_sym_bytes32] = ACTIONS(921),
    [anon_sym_fixed] = ACTIONS(921),
    [aux_sym__fixed_token1] = ACTIONS(921),
    [anon_sym_ufixed] = ACTIONS(921),
    [aux_sym__ufixed_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_identifier] = ACTIONS(649),
    [anon_sym_RBRACE] = ACTIONS(647),
    [anon_sym_type] = ACTIONS(649),
    [anon_sym_error] = ACTIONS(649),
    [anon_sym_struct] = ACTIONS(649),
    [anon_sym_enum] = ACTIONS(649),
    [anon_sym_event] = ACTIONS(649),
    [anon_sym_using] = ACTIONS(649),
    [anon_sym_function] = ACTIONS(649),
    [anon_sym_byte] = ACTIONS(649),
    [anon_sym_address] = ACTIONS(649),
    [anon_sym_var] = ACTIONS(649),
    [anon_sym_modifier] = ACTIONS(649),
    [anon_sym_constructor] = ACTIONS(649),
    [anon_sym_fallback] = ACTIONS(649),
    [anon_sym_receive] = ACTIONS(649),
    [anon_sym_mapping] = ACTIONS(649),
    [anon_sym_bool] = ACTIONS(649),
    [anon_sym_string] = ACTIONS(649),
    [anon_sym_int] = ACTIONS(649),
    [anon_sym_int8] = ACTIONS(649),
    [anon_sym_int16] = ACTIONS(649),
    [anon_sym_int24] = ACTIONS(649),
    [anon_sym_int32] = ACTIONS(649),
    [anon_sym_int40] = ACTIONS(649),
    [anon_sym_int48] = ACTIONS(649),
    [anon_sym_int56] = ACTIONS(649),
    [anon_sym_int64] = ACTIONS(649),
    [anon_sym_int72] = ACTIONS(649),
    [anon_sym_int80] = ACTIONS(649),
    [anon_sym_int88] = ACTIONS(649),
    [anon_sym_int96] = ACTIONS(649),
    [anon_sym_int104] = ACTIONS(649),
    [anon_sym_int112] = ACTIONS(649),
    [anon_sym_int120] = ACTIONS(649),
    [anon_sym_int128] = ACTIONS(649),
    [anon_sym_int136] = ACTIONS(649),
    [anon_sym_int144] = ACTIONS(649),
    [anon_sym_int152] = ACTIONS(649),
    [anon_sym_int160] = ACTIONS(649),
    [anon_sym_int168] = ACTIONS(649),
    [anon_sym_int176] = ACTIONS(649),
    [anon_sym_int184] = ACTIONS(649),
    [anon_sym_int192] = ACTIONS(649),
    [anon_sym_int200] = ACTIONS(649),
    [anon_sym_int208] = ACTIONS(649),
    [anon_sym_int216] = ACTIONS(649),
    [anon_sym_int224] = ACTIONS(649),
    [anon_sym_int232] = ACTIONS(649),
    [anon_sym_int240] = ACTIONS(649),
    [anon_sym_int248] = ACTIONS(649),
    [anon_sym_int256] = ACTIONS(649),
    [anon_sym_uint] = ACTIONS(649),
    [anon_sym_uint8] = ACTIONS(649),
    [anon_sym_uint16] = ACTIONS(649),
    [anon_sym_uint24] = ACTIONS(649),
    [anon_sym_uint32] = ACTIONS(649),
    [anon_sym_uint40] = ACTIONS(649),
    [anon_sym_uint48] = ACTIONS(649),
    [anon_sym_uint56] = ACTIONS(649),
    [anon_sym_uint64] = ACTIONS(649),
    [anon_sym_uint72] = ACTIONS(649),
    [anon_sym_uint80] = ACTIONS(649),
    [anon_sym_uint88] = ACTIONS(649),
    [anon_sym_uint96] = ACTIONS(649),
    [anon_sym_uint104] = ACTIONS(649),
    [anon_sym_uint112] = ACTIONS(649),
    [anon_sym_uint120] = ACTIONS(649),
    [anon_sym_uint128] = ACTIONS(649),
    [anon_sym_uint136] = ACTIONS(649),
    [anon_sym_uint144] = ACTIONS(649),
    [anon_sym_uint152] = ACTIONS(649),
    [anon_sym_uint160] = ACTIONS(649),
    [anon_sym_uint168] = ACTIONS(649),
    [anon_sym_uint176] = ACTIONS(649),
    [anon_sym_uint184] = ACTIONS(649),
    [anon_sym_uint192] = ACTIONS(649),
    [anon_sym_uint200] = ACTIONS(649),
    [anon_sym_uint208] = ACTIONS(649),
    [anon_sym_uint216] = ACTIONS(649),
    [anon_sym_uint224] = ACTIONS(649),
    [anon_sym_uint232] = ACTIONS(649),
    [anon_sym_uint240] = ACTIONS(649),
    [anon_sym_uint248] = ACTIONS(649),
    [anon_sym_uint256] = ACTIONS(649),
    [anon_sym_bytes] = ACTIONS(649),
    [anon_sym_bytes1] = ACTIONS(649),
    [anon_sym_bytes2] = ACTIONS(649),
    [anon_sym_bytes3] = ACTIONS(649),
    [anon_sym_bytes4] = ACTIONS(649),
    [anon_sym_bytes5] = ACTIONS(649),
    [anon_sym_bytes6] = ACTIONS(649),
    [anon_sym_bytes7] = ACTIONS(649),
    [anon_sym_bytes8] = ACTIONS(649),
    [anon_sym_bytes9] = ACTIONS(649),
    [anon_sym_bytes10] = ACTIONS(649),
    [anon_sym_bytes11] = ACTIONS(649),
    [anon_sym_bytes12] = ACTIONS(649),
    [anon_sym_bytes13] = ACTIONS(649),
    [anon_sym_bytes14] = ACTIONS(649),
    [anon_sym_bytes15] = ACTIONS(649),
    [anon_sym_bytes16] = ACTIONS(649),
    [anon_sym_bytes17] = ACTIONS(649),
    [anon_sym_bytes18] = ACTIONS(649),
    [anon_sym_bytes19] = ACTIONS(649),
    [anon_sym_bytes20] = ACTIONS(649),
    [anon_sym_bytes21] = ACTIONS(649),
    [anon_sym_bytes22] = ACTIONS(649),
    [anon_sym_bytes23] = ACTIONS(649),
    [anon_sym_bytes24] = ACTIONS(649),
    [anon_sym_bytes25] = ACTIONS(649),
    [anon_sym_bytes26] = ACTIONS(649),
    [anon_sym_bytes27] = ACTIONS(649),
    [anon_sym_bytes28] = ACTIONS(649),
    [anon_sym_bytes29] = ACTIONS(649),
    [anon_sym_bytes30] = ACTIONS(649),
    [anon_sym_bytes31] = ACTIONS(649),
    [anon_sym_bytes32] = ACTIONS(649),
    [anon_sym_fixed] = ACTIONS(649),
    [aux_sym__fixed_token1] = ACTIONS(649),
    [anon_sym_ufixed] = ACTIONS(649),
    [aux_sym__ufixed_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_identifier] = ACTIONS(757),
    [anon_sym_RBRACE] = ACTIONS(755),
    [anon_sym_type] = ACTIONS(757),
    [anon_sym_error] = ACTIONS(757),
    [anon_sym_struct] = ACTIONS(757),
    [anon_sym_enum] = ACTIONS(757),
    [anon_sym_event] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_function] = ACTIONS(757),
    [anon_sym_byte] = ACTIONS(757),
    [anon_sym_address] = ACTIONS(757),
    [anon_sym_var] = ACTIONS(757),
    [anon_sym_modifier] = ACTIONS(757),
    [anon_sym_constructor] = ACTIONS(757),
    [anon_sym_fallback] = ACTIONS(757),
    [anon_sym_receive] = ACTIONS(757),
    [anon_sym_mapping] = ACTIONS(757),
    [anon_sym_bool] = ACTIONS(757),
    [anon_sym_string] = ACTIONS(757),
    [anon_sym_int] = ACTIONS(757),
    [anon_sym_int8] = ACTIONS(757),
    [anon_sym_int16] = ACTIONS(757),
    [anon_sym_int24] = ACTIONS(757),
    [anon_sym_int32] = ACTIONS(757),
    [anon_sym_int40] = ACTIONS(757),
    [anon_sym_int48] = ACTIONS(757),
    [anon_sym_int56] = ACTIONS(757),
    [anon_sym_int64] = ACTIONS(757),
    [anon_sym_int72] = ACTIONS(757),
    [anon_sym_int80] = ACTIONS(757),
    [anon_sym_int88] = ACTIONS(757),
    [anon_sym_int96] = ACTIONS(757),
    [anon_sym_int104] = ACTIONS(757),
    [anon_sym_int112] = ACTIONS(757),
    [anon_sym_int120] = ACTIONS(757),
    [anon_sym_int128] = ACTIONS(757),
    [anon_sym_int136] = ACTIONS(757),
    [anon_sym_int144] = ACTIONS(757),
    [anon_sym_int152] = ACTIONS(757),
    [anon_sym_int160] = ACTIONS(757),
    [anon_sym_int168] = ACTIONS(757),
    [anon_sym_int176] = ACTIONS(757),
    [anon_sym_int184] = ACTIONS(757),
    [anon_sym_int192] = ACTIONS(757),
    [anon_sym_int200] = ACTIONS(757),
    [anon_sym_int208] = ACTIONS(757),
    [anon_sym_int216] = ACTIONS(757),
    [anon_sym_int224] = ACTIONS(757),
    [anon_sym_int232] = ACTIONS(757),
    [anon_sym_int240] = ACTIONS(757),
    [anon_sym_int248] = ACTIONS(757),
    [anon_sym_int256] = ACTIONS(757),
    [anon_sym_uint] = ACTIONS(757),
    [anon_sym_uint8] = ACTIONS(757),
    [anon_sym_uint16] = ACTIONS(757),
    [anon_sym_uint24] = ACTIONS(757),
    [anon_sym_uint32] = ACTIONS(757),
    [anon_sym_uint40] = ACTIONS(757),
    [anon_sym_uint48] = ACTIONS(757),
    [anon_sym_uint56] = ACTIONS(757),
    [anon_sym_uint64] = ACTIONS(757),
    [anon_sym_uint72] = ACTIONS(757),
    [anon_sym_uint80] = ACTIONS(757),
    [anon_sym_uint88] = ACTIONS(757),
    [anon_sym_uint96] = ACTIONS(757),
    [anon_sym_uint104] = ACTIONS(757),
    [anon_sym_uint112] = ACTIONS(757),
    [anon_sym_uint120] = ACTIONS(757),
    [anon_sym_uint128] = ACTIONS(757),
    [anon_sym_uint136] = ACTIONS(757),
    [anon_sym_uint144] = ACTIONS(757),
    [anon_sym_uint152] = ACTIONS(757),
    [anon_sym_uint160] = ACTIONS(757),
    [anon_sym_uint168] = ACTIONS(757),
    [anon_sym_uint176] = ACTIONS(757),
    [anon_sym_uint184] = ACTIONS(757),
    [anon_sym_uint192] = ACTIONS(757),
    [anon_sym_uint200] = ACTIONS(757),
    [anon_sym_uint208] = ACTIONS(757),
    [anon_sym_uint216] = ACTIONS(757),
    [anon_sym_uint224] = ACTIONS(757),
    [anon_sym_uint232] = ACTIONS(757),
    [anon_sym_uint240] = ACTIONS(757),
    [anon_sym_uint248] = ACTIONS(757),
    [anon_sym_uint256] = ACTIONS(757),
    [anon_sym_bytes] = ACTIONS(757),
    [anon_sym_bytes1] = ACTIONS(757),
    [anon_sym_bytes2] = ACTIONS(757),
    [anon_sym_bytes3] = ACTIONS(757),
    [anon_sym_bytes4] = ACTIONS(757),
    [anon_sym_bytes5] = ACTIONS(757),
    [anon_sym_bytes6] = ACTIONS(757),
    [anon_sym_bytes7] = ACTIONS(757),
    [anon_sym_bytes8] = ACTIONS(757),
    [anon_sym_bytes9] = ACTIONS(757),
    [anon_sym_bytes10] = ACTIONS(757),
    [anon_sym_bytes11] = ACTIONS(757),
    [anon_sym_bytes12] = ACTIONS(757),
    [anon_sym_bytes13] = ACTIONS(757),
    [anon_sym_bytes14] = ACTIONS(757),
    [anon_sym_bytes15] = ACTIONS(757),
    [anon_sym_bytes16] = ACTIONS(757),
    [anon_sym_bytes17] = ACTIONS(757),
    [anon_sym_bytes18] = ACTIONS(757),
    [anon_sym_bytes19] = ACTIONS(757),
    [anon_sym_bytes20] = ACTIONS(757),
    [anon_sym_bytes21] = ACTIONS(757),
    [anon_sym_bytes22] = ACTIONS(757),
    [anon_sym_bytes23] = ACTIONS(757),
    [anon_sym_bytes24] = ACTIONS(757),
    [anon_sym_bytes25] = ACTIONS(757),
    [anon_sym_bytes26] = ACTIONS(757),
    [anon_sym_bytes27] = ACTIONS(757),
    [anon_sym_bytes28] = ACTIONS(757),
    [anon_sym_bytes29] = ACTIONS(757),
    [anon_sym_bytes30] = ACTIONS(757),
    [anon_sym_bytes31] = ACTIONS(757),
    [anon_sym_bytes32] = ACTIONS(757),
    [anon_sym_fixed] = ACTIONS(757),
    [aux_sym__fixed_token1] = ACTIONS(757),
    [anon_sym_ufixed] = ACTIONS(757),
    [aux_sym__ufixed_token1] = ACTIONS(757),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_identifier] = ACTIONS(855),
    [anon_sym_RBRACE] = ACTIONS(853),
    [anon_sym_type] = ACTIONS(855),
    [anon_sym_error] = ACTIONS(855),
    [anon_sym_struct] = ACTIONS(855),
    [anon_sym_enum] = ACTIONS(855),
    [anon_sym_event] = ACTIONS(855),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(855),
    [anon_sym_byte] = ACTIONS(855),
    [anon_sym_address] = ACTIONS(855),
    [anon_sym_var] = ACTIONS(855),
    [anon_sym_modifier] = ACTIONS(855),
    [anon_sym_constructor] = ACTIONS(855),
    [anon_sym_fallback] = ACTIONS(855),
    [anon_sym_receive] = ACTIONS(855),
    [anon_sym_mapping] = ACTIONS(855),
    [anon_sym_bool] = ACTIONS(855),
    [anon_sym_string] = ACTIONS(855),
    [anon_sym_int] = ACTIONS(855),
    [anon_sym_int8] = ACTIONS(855),
    [anon_sym_int16] = ACTIONS(855),
    [anon_sym_int24] = ACTIONS(855),
    [anon_sym_int32] = ACTIONS(855),
    [anon_sym_int40] = ACTIONS(855),
    [anon_sym_int48] = ACTIONS(855),
    [anon_sym_int56] = ACTIONS(855),
    [anon_sym_int64] = ACTIONS(855),
    [anon_sym_int72] = ACTIONS(855),
    [anon_sym_int80] = ACTIONS(855),
    [anon_sym_int88] = ACTIONS(855),
    [anon_sym_int96] = ACTIONS(855),
    [anon_sym_int104] = ACTIONS(855),
    [anon_sym_int112] = ACTIONS(855),
    [anon_sym_int120] = ACTIONS(855),
    [anon_sym_int128] = ACTIONS(855),
    [anon_sym_int136] = ACTIONS(855),
    [anon_sym_int144] = ACTIONS(855),
    [anon_sym_int152] = ACTIONS(855),
    [anon_sym_int160] = ACTIONS(855),
    [anon_sym_int168] = ACTIONS(855),
    [anon_sym_int176] = ACTIONS(855),
    [anon_sym_int184] = ACTIONS(855),
    [anon_sym_int192] = ACTIONS(855),
    [anon_sym_int200] = ACTIONS(855),
    [anon_sym_int208] = ACTIONS(855),
    [anon_sym_int216] = ACTIONS(855),
    [anon_sym_int224] = ACTIONS(855),
    [anon_sym_int232] = ACTIONS(855),
    [anon_sym_int240] = ACTIONS(855),
    [anon_sym_int248] = ACTIONS(855),
    [anon_sym_int256] = ACTIONS(855),
    [anon_sym_uint] = ACTIONS(855),
    [anon_sym_uint8] = ACTIONS(855),
    [anon_sym_uint16] = ACTIONS(855),
    [anon_sym_uint24] = ACTIONS(855),
    [anon_sym_uint32] = ACTIONS(855),
    [anon_sym_uint40] = ACTIONS(855),
    [anon_sym_uint48] = ACTIONS(855),
    [anon_sym_uint56] = ACTIONS(855),
    [anon_sym_uint64] = ACTIONS(855),
    [anon_sym_uint72] = ACTIONS(855),
    [anon_sym_uint80] = ACTIONS(855),
    [anon_sym_uint88] = ACTIONS(855),
    [anon_sym_uint96] = ACTIONS(855),
    [anon_sym_uint104] = ACTIONS(855),
    [anon_sym_uint112] = ACTIONS(855),
    [anon_sym_uint120] = ACTIONS(855),
    [anon_sym_uint128] = ACTIONS(855),
    [anon_sym_uint136] = ACTIONS(855),
    [anon_sym_uint144] = ACTIONS(855),
    [anon_sym_uint152] = ACTIONS(855),
    [anon_sym_uint160] = ACTIONS(855),
    [anon_sym_uint168] = ACTIONS(855),
    [anon_sym_uint176] = ACTIONS(855),
    [anon_sym_uint184] = ACTIONS(855),
    [anon_sym_uint192] = ACTIONS(855),
    [anon_sym_uint200] = ACTIONS(855),
    [anon_sym_uint208] = ACTIONS(855),
    [anon_sym_uint216] = ACTIONS(855),
    [anon_sym_uint224] = ACTIONS(855),
    [anon_sym_uint232] = ACTIONS(855),
    [anon_sym_uint240] = ACTIONS(855),
    [anon_sym_uint248] = ACTIONS(855),
    [anon_sym_uint256] = ACTIONS(855),
    [anon_sym_bytes] = ACTIONS(855),
    [anon_sym_bytes1] = ACTIONS(855),
    [anon_sym_bytes2] = ACTIONS(855),
    [anon_sym_bytes3] = ACTIONS(855),
    [anon_sym_bytes4] = ACTIONS(855),
    [anon_sym_bytes5] = ACTIONS(855),
    [anon_sym_bytes6] = ACTIONS(855),
    [anon_sym_bytes7] = ACTIONS(855),
    [anon_sym_bytes8] = ACTIONS(855),
    [anon_sym_bytes9] = ACTIONS(855),
    [anon_sym_bytes10] = ACTIONS(855),
    [anon_sym_bytes11] = ACTIONS(855),
    [anon_sym_bytes12] = ACTIONS(855),
    [anon_sym_bytes13] = ACTIONS(855),
    [anon_sym_bytes14] = ACTIONS(855),
    [anon_sym_bytes15] = ACTIONS(855),
    [anon_sym_bytes16] = ACTIONS(855),
    [anon_sym_bytes17] = ACTIONS(855),
    [anon_sym_bytes18] = ACTIONS(855),
    [anon_sym_bytes19] = ACTIONS(855),
    [anon_sym_bytes20] = ACTIONS(855),
    [anon_sym_bytes21] = ACTIONS(855),
    [anon_sym_bytes22] = ACTIONS(855),
    [anon_sym_bytes23] = ACTIONS(855),
    [anon_sym_bytes24] = ACTIONS(855),
    [anon_sym_bytes25] = ACTIONS(855),
    [anon_sym_bytes26] = ACTIONS(855),
    [anon_sym_bytes27] = ACTIONS(855),
    [anon_sym_bytes28] = ACTIONS(855),
    [anon_sym_bytes29] = ACTIONS(855),
    [anon_sym_bytes30] = ACTIONS(855),
    [anon_sym_bytes31] = ACTIONS(855),
    [anon_sym_bytes32] = ACTIONS(855),
    [anon_sym_fixed] = ACTIONS(855),
    [aux_sym__fixed_token1] = ACTIONS(855),
    [anon_sym_ufixed] = ACTIONS(855),
    [aux_sym__ufixed_token1] = ACTIONS(855),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_identifier] = ACTIONS(653),
    [anon_sym_RBRACE] = ACTIONS(651),
    [anon_sym_type] = ACTIONS(653),
    [anon_sym_error] = ACTIONS(653),
    [anon_sym_struct] = ACTIONS(653),
    [anon_sym_enum] = ACTIONS(653),
    [anon_sym_event] = ACTIONS(653),
    [anon_sym_using] = ACTIONS(653),
    [anon_sym_function] = ACTIONS(653),
    [anon_sym_byte] = ACTIONS(653),
    [anon_sym_address] = ACTIONS(653),
    [anon_sym_var] = ACTIONS(653),
    [anon_sym_modifier] = ACTIONS(653),
    [anon_sym_constructor] = ACTIONS(653),
    [anon_sym_fallback] = ACTIONS(653),
    [anon_sym_receive] = ACTIONS(653),
    [anon_sym_mapping] = ACTIONS(653),
    [anon_sym_bool] = ACTIONS(653),
    [anon_sym_string] = ACTIONS(653),
    [anon_sym_int] = ACTIONS(653),
    [anon_sym_int8] = ACTIONS(653),
    [anon_sym_int16] = ACTIONS(653),
    [anon_sym_int24] = ACTIONS(653),
    [anon_sym_int32] = ACTIONS(653),
    [anon_sym_int40] = ACTIONS(653),
    [anon_sym_int48] = ACTIONS(653),
    [anon_sym_int56] = ACTIONS(653),
    [anon_sym_int64] = ACTIONS(653),
    [anon_sym_int72] = ACTIONS(653),
    [anon_sym_int80] = ACTIONS(653),
    [anon_sym_int88] = ACTIONS(653),
    [anon_sym_int96] = ACTIONS(653),
    [anon_sym_int104] = ACTIONS(653),
    [anon_sym_int112] = ACTIONS(653),
    [anon_sym_int120] = ACTIONS(653),
    [anon_sym_int128] = ACTIONS(653),
    [anon_sym_int136] = ACTIONS(653),
    [anon_sym_int144] = ACTIONS(653),
    [anon_sym_int152] = ACTIONS(653),
    [anon_sym_int160] = ACTIONS(653),
    [anon_sym_int168] = ACTIONS(653),
    [anon_sym_int176] = ACTIONS(653),
    [anon_sym_int184] = ACTIONS(653),
    [anon_sym_int192] = ACTIONS(653),
    [anon_sym_int200] = ACTIONS(653),
    [anon_sym_int208] = ACTIONS(653),
    [anon_sym_int216] = ACTIONS(653),
    [anon_sym_int224] = ACTIONS(653),
    [anon_sym_int232] = ACTIONS(653),
    [anon_sym_int240] = ACTIONS(653),
    [anon_sym_int248] = ACTIONS(653),
    [anon_sym_int256] = ACTIONS(653),
    [anon_sym_uint] = ACTIONS(653),
    [anon_sym_uint8] = ACTIONS(653),
    [anon_sym_uint16] = ACTIONS(653),
    [anon_sym_uint24] = ACTIONS(653),
    [anon_sym_uint32] = ACTIONS(653),
    [anon_sym_uint40] = ACTIONS(653),
    [anon_sym_uint48] = ACTIONS(653),
    [anon_sym_uint56] = ACTIONS(653),
    [anon_sym_uint64] = ACTIONS(653),
    [anon_sym_uint72] = ACTIONS(653),
    [anon_sym_uint80] = ACTIONS(653),
    [anon_sym_uint88] = ACTIONS(653),
    [anon_sym_uint96] = ACTIONS(653),
    [anon_sym_uint104] = ACTIONS(653),
    [anon_sym_uint112] = ACTIONS(653),
    [anon_sym_uint120] = ACTIONS(653),
    [anon_sym_uint128] = ACTIONS(653),
    [anon_sym_uint136] = ACTIONS(653),
    [anon_sym_uint144] = ACTIONS(653),
    [anon_sym_uint152] = ACTIONS(653),
    [anon_sym_uint160] = ACTIONS(653),
    [anon_sym_uint168] = ACTIONS(653),
    [anon_sym_uint176] = ACTIONS(653),
    [anon_sym_uint184] = ACTIONS(653),
    [anon_sym_uint192] = ACTIONS(653),
    [anon_sym_uint200] = ACTIONS(653),
    [anon_sym_uint208] = ACTIONS(653),
    [anon_sym_uint216] = ACTIONS(653),
    [anon_sym_uint224] = ACTIONS(653),
    [anon_sym_uint232] = ACTIONS(653),
    [anon_sym_uint240] = ACTIONS(653),
    [anon_sym_uint248] = ACTIONS(653),
    [anon_sym_uint256] = ACTIONS(653),
    [anon_sym_bytes] = ACTIONS(653),
    [anon_sym_bytes1] = ACTIONS(653),
    [anon_sym_bytes2] = ACTIONS(653),
    [anon_sym_bytes3] = ACTIONS(653),
    [anon_sym_bytes4] = ACTIONS(653),
    [anon_sym_bytes5] = ACTIONS(653),
    [anon_sym_bytes6] = ACTIONS(653),
    [anon_sym_bytes7] = ACTIONS(653),
    [anon_sym_bytes8] = ACTIONS(653),
    [anon_sym_bytes9] = ACTIONS(653),
    [anon_sym_bytes10] = ACTIONS(653),
    [anon_sym_bytes11] = ACTIONS(653),
    [anon_sym_bytes12] = ACTIONS(653),
    [anon_sym_bytes13] = ACTIONS(653),
    [anon_sym_bytes14] = ACTIONS(653),
    [anon_sym_bytes15] = ACTIONS(653),
    [anon_sym_bytes16] = ACTIONS(653),
    [anon_sym_bytes17] = ACTIONS(653),
    [anon_sym_bytes18] = ACTIONS(653),
    [anon_sym_bytes19] = ACTIONS(653),
    [anon_sym_bytes20] = ACTIONS(653),
    [anon_sym_bytes21] = ACTIONS(653),
    [anon_sym_bytes22] = ACTIONS(653),
    [anon_sym_bytes23] = ACTIONS(653),
    [anon_sym_bytes24] = ACTIONS(653),
    [anon_sym_bytes25] = ACTIONS(653),
    [anon_sym_bytes26] = ACTIONS(653),
    [anon_sym_bytes27] = ACTIONS(653),
    [anon_sym_bytes28] = ACTIONS(653),
    [anon_sym_bytes29] = ACTIONS(653),
    [anon_sym_bytes30] = ACTIONS(653),
    [anon_sym_bytes31] = ACTIONS(653),
    [anon_sym_bytes32] = ACTIONS(653),
    [anon_sym_fixed] = ACTIONS(653),
    [aux_sym__fixed_token1] = ACTIONS(653),
    [anon_sym_ufixed] = ACTIONS(653),
    [aux_sym__ufixed_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_identifier] = ACTIONS(689),
    [anon_sym_RBRACE] = ACTIONS(687),
    [anon_sym_type] = ACTIONS(689),
    [anon_sym_error] = ACTIONS(689),
    [anon_sym_struct] = ACTIONS(689),
    [anon_sym_enum] = ACTIONS(689),
    [anon_sym_event] = ACTIONS(689),
    [anon_sym_using] = ACTIONS(689),
    [anon_sym_function] = ACTIONS(689),
    [anon_sym_byte] = ACTIONS(689),
    [anon_sym_address] = ACTIONS(689),
    [anon_sym_var] = ACTIONS(689),
    [anon_sym_modifier] = ACTIONS(689),
    [anon_sym_constructor] = ACTIONS(689),
    [anon_sym_fallback] = ACTIONS(689),
    [anon_sym_receive] = ACTIONS(689),
    [anon_sym_mapping] = ACTIONS(689),
    [anon_sym_bool] = ACTIONS(689),
    [anon_sym_string] = ACTIONS(689),
    [anon_sym_int] = ACTIONS(689),
    [anon_sym_int8] = ACTIONS(689),
    [anon_sym_int16] = ACTIONS(689),
    [anon_sym_int24] = ACTIONS(689),
    [anon_sym_int32] = ACTIONS(689),
    [anon_sym_int40] = ACTIONS(689),
    [anon_sym_int48] = ACTIONS(689),
    [anon_sym_int56] = ACTIONS(689),
    [anon_sym_int64] = ACTIONS(689),
    [anon_sym_int72] = ACTIONS(689),
    [anon_sym_int80] = ACTIONS(689),
    [anon_sym_int88] = ACTIONS(689),
    [anon_sym_int96] = ACTIONS(689),
    [anon_sym_int104] = ACTIONS(689),
    [anon_sym_int112] = ACTIONS(689),
    [anon_sym_int120] = ACTIONS(689),
    [anon_sym_int128] = ACTIONS(689),
    [anon_sym_int136] = ACTIONS(689),
    [anon_sym_int144] = ACTIONS(689),
    [anon_sym_int152] = ACTIONS(689),
    [anon_sym_int160] = ACTIONS(689),
    [anon_sym_int168] = ACTIONS(689),
    [anon_sym_int176] = ACTIONS(689),
    [anon_sym_int184] = ACTIONS(689),
    [anon_sym_int192] = ACTIONS(689),
    [anon_sym_int200] = ACTIONS(689),
    [anon_sym_int208] = ACTIONS(689),
    [anon_sym_int216] = ACTIONS(689),
    [anon_sym_int224] = ACTIONS(689),
    [anon_sym_int232] = ACTIONS(689),
    [anon_sym_int240] = ACTIONS(689),
    [anon_sym_int248] = ACTIONS(689),
    [anon_sym_int256] = ACTIONS(689),
    [anon_sym_uint] = ACTIONS(689),
    [anon_sym_uint8] = ACTIONS(689),
    [anon_sym_uint16] = ACTIONS(689),
    [anon_sym_uint24] = ACTIONS(689),
    [anon_sym_uint32] = ACTIONS(689),
    [anon_sym_uint40] = ACTIONS(689),
    [anon_sym_uint48] = ACTIONS(689),
    [anon_sym_uint56] = ACTIONS(689),
    [anon_sym_uint64] = ACTIONS(689),
    [anon_sym_uint72] = ACTIONS(689),
    [anon_sym_uint80] = ACTIONS(689),
    [anon_sym_uint88] = ACTIONS(689),
    [anon_sym_uint96] = ACTIONS(689),
    [anon_sym_uint104] = ACTIONS(689),
    [anon_sym_uint112] = ACTIONS(689),
    [anon_sym_uint120] = ACTIONS(689),
    [anon_sym_uint128] = ACTIONS(689),
    [anon_sym_uint136] = ACTIONS(689),
    [anon_sym_uint144] = ACTIONS(689),
    [anon_sym_uint152] = ACTIONS(689),
    [anon_sym_uint160] = ACTIONS(689),
    [anon_sym_uint168] = ACTIONS(689),
    [anon_sym_uint176] = ACTIONS(689),
    [anon_sym_uint184] = ACTIONS(689),
    [anon_sym_uint192] = ACTIONS(689),
    [anon_sym_uint200] = ACTIONS(689),
    [anon_sym_uint208] = ACTIONS(689),
    [anon_sym_uint216] = ACTIONS(689),
    [anon_sym_uint224] = ACTIONS(689),
    [anon_sym_uint232] = ACTIONS(689),
    [anon_sym_uint240] = ACTIONS(689),
    [anon_sym_uint248] = ACTIONS(689),
    [anon_sym_uint256] = ACTIONS(689),
    [anon_sym_bytes] = ACTIONS(689),
    [anon_sym_bytes1] = ACTIONS(689),
    [anon_sym_bytes2] = ACTIONS(689),
    [anon_sym_bytes3] = ACTIONS(689),
    [anon_sym_bytes4] = ACTIONS(689),
    [anon_sym_bytes5] = ACTIONS(689),
    [anon_sym_bytes6] = ACTIONS(689),
    [anon_sym_bytes7] = ACTIONS(689),
    [anon_sym_bytes8] = ACTIONS(689),
    [anon_sym_bytes9] = ACTIONS(689),
    [anon_sym_bytes10] = ACTIONS(689),
    [anon_sym_bytes11] = ACTIONS(689),
    [anon_sym_bytes12] = ACTIONS(689),
    [anon_sym_bytes13] = ACTIONS(689),
    [anon_sym_bytes14] = ACTIONS(689),
    [anon_sym_bytes15] = ACTIONS(689),
    [anon_sym_bytes16] = ACTIONS(689),
    [anon_sym_bytes17] = ACTIONS(689),
    [anon_sym_bytes18] = ACTIONS(689),
    [anon_sym_bytes19] = ACTIONS(689),
    [anon_sym_bytes20] = ACTIONS(689),
    [anon_sym_bytes21] = ACTIONS(689),
    [anon_sym_bytes22] = ACTIONS(689),
    [anon_sym_bytes23] = ACTIONS(689),
    [anon_sym_bytes24] = ACTIONS(689),
    [anon_sym_bytes25] = ACTIONS(689),
    [anon_sym_bytes26] = ACTIONS(689),
    [anon_sym_bytes27] = ACTIONS(689),
    [anon_sym_bytes28] = ACTIONS(689),
    [anon_sym_bytes29] = ACTIONS(689),
    [anon_sym_bytes30] = ACTIONS(689),
    [anon_sym_bytes31] = ACTIONS(689),
    [anon_sym_bytes32] = ACTIONS(689),
    [anon_sym_fixed] = ACTIONS(689),
    [aux_sym__fixed_token1] = ACTIONS(689),
    [anon_sym_ufixed] = ACTIONS(689),
    [aux_sym__ufixed_token1] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [sym_identifier] = ACTIONS(697),
    [anon_sym_RBRACE] = ACTIONS(695),
    [anon_sym_type] = ACTIONS(697),
    [anon_sym_error] = ACTIONS(697),
    [anon_sym_struct] = ACTIONS(697),
    [anon_sym_enum] = ACTIONS(697),
    [anon_sym_event] = ACTIONS(697),
    [anon_sym_using] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(697),
    [anon_sym_byte] = ACTIONS(697),
    [anon_sym_address] = ACTIONS(697),
    [anon_sym_var] = ACTIONS(697),
    [anon_sym_modifier] = ACTIONS(697),
    [anon_sym_constructor] = ACTIONS(697),
    [anon_sym_fallback] = ACTIONS(697),
    [anon_sym_receive] = ACTIONS(697),
    [anon_sym_mapping] = ACTIONS(697),
    [anon_sym_bool] = ACTIONS(697),
    [anon_sym_string] = ACTIONS(697),
    [anon_sym_int] = ACTIONS(697),
    [anon_sym_int8] = ACTIONS(697),
    [anon_sym_int16] = ACTIONS(697),
    [anon_sym_int24] = ACTIONS(697),
    [anon_sym_int32] = ACTIONS(697),
    [anon_sym_int40] = ACTIONS(697),
    [anon_sym_int48] = ACTIONS(697),
    [anon_sym_int56] = ACTIONS(697),
    [anon_sym_int64] = ACTIONS(697),
    [anon_sym_int72] = ACTIONS(697),
    [anon_sym_int80] = ACTIONS(697),
    [anon_sym_int88] = ACTIONS(697),
    [anon_sym_int96] = ACTIONS(697),
    [anon_sym_int104] = ACTIONS(697),
    [anon_sym_int112] = ACTIONS(697),
    [anon_sym_int120] = ACTIONS(697),
    [anon_sym_int128] = ACTIONS(697),
    [anon_sym_int136] = ACTIONS(697),
    [anon_sym_int144] = ACTIONS(697),
    [anon_sym_int152] = ACTIONS(697),
    [anon_sym_int160] = ACTIONS(697),
    [anon_sym_int168] = ACTIONS(697),
    [anon_sym_int176] = ACTIONS(697),
    [anon_sym_int184] = ACTIONS(697),
    [anon_sym_int192] = ACTIONS(697),
    [anon_sym_int200] = ACTIONS(697),
    [anon_sym_int208] = ACTIONS(697),
    [anon_sym_int216] = ACTIONS(697),
    [anon_sym_int224] = ACTIONS(697),
    [anon_sym_int232] = ACTIONS(697),
    [anon_sym_int240] = ACTIONS(697),
    [anon_sym_int248] = ACTIONS(697),
    [anon_sym_int256] = ACTIONS(697),
    [anon_sym_uint] = ACTIONS(697),
    [anon_sym_uint8] = ACTIONS(697),
    [anon_sym_uint16] = ACTIONS(697),
    [anon_sym_uint24] = ACTIONS(697),
    [anon_sym_uint32] = ACTIONS(697),
    [anon_sym_uint40] = ACTIONS(697),
    [anon_sym_uint48] = ACTIONS(697),
    [anon_sym_uint56] = ACTIONS(697),
    [anon_sym_uint64] = ACTIONS(697),
    [anon_sym_uint72] = ACTIONS(697),
    [anon_sym_uint80] = ACTIONS(697),
    [anon_sym_uint88] = ACTIONS(697),
    [anon_sym_uint96] = ACTIONS(697),
    [anon_sym_uint104] = ACTIONS(697),
    [anon_sym_uint112] = ACTIONS(697),
    [anon_sym_uint120] = ACTIONS(697),
    [anon_sym_uint128] = ACTIONS(697),
    [anon_sym_uint136] = ACTIONS(697),
    [anon_sym_uint144] = ACTIONS(697),
    [anon_sym_uint152] = ACTIONS(697),
    [anon_sym_uint160] = ACTIONS(697),
    [anon_sym_uint168] = ACTIONS(697),
    [anon_sym_uint176] = ACTIONS(697),
    [anon_sym_uint184] = ACTIONS(697),
    [anon_sym_uint192] = ACTIONS(697),
    [anon_sym_uint200] = ACTIONS(697),
    [anon_sym_uint208] = ACTIONS(697),
    [anon_sym_uint216] = ACTIONS(697),
    [anon_sym_uint224] = ACTIONS(697),
    [anon_sym_uint232] = ACTIONS(697),
    [anon_sym_uint240] = ACTIONS(697),
    [anon_sym_uint248] = ACTIONS(697),
    [anon_sym_uint256] = ACTIONS(697),
    [anon_sym_bytes] = ACTIONS(697),
    [anon_sym_bytes1] = ACTIONS(697),
    [anon_sym_bytes2] = ACTIONS(697),
    [anon_sym_bytes3] = ACTIONS(697),
    [anon_sym_bytes4] = ACTIONS(697),
    [anon_sym_bytes5] = ACTIONS(697),
    [anon_sym_bytes6] = ACTIONS(697),
    [anon_sym_bytes7] = ACTIONS(697),
    [anon_sym_bytes8] = ACTIONS(697),
    [anon_sym_bytes9] = ACTIONS(697),
    [anon_sym_bytes10] = ACTIONS(697),
    [anon_sym_bytes11] = ACTIONS(697),
    [anon_sym_bytes12] = ACTIONS(697),
    [anon_sym_bytes13] = ACTIONS(697),
    [anon_sym_bytes14] = ACTIONS(697),
    [anon_sym_bytes15] = ACTIONS(697),
    [anon_sym_bytes16] = ACTIONS(697),
    [anon_sym_bytes17] = ACTIONS(697),
    [anon_sym_bytes18] = ACTIONS(697),
    [anon_sym_bytes19] = ACTIONS(697),
    [anon_sym_bytes20] = ACTIONS(697),
    [anon_sym_bytes21] = ACTIONS(697),
    [anon_sym_bytes22] = ACTIONS(697),
    [anon_sym_bytes23] = ACTIONS(697),
    [anon_sym_bytes24] = ACTIONS(697),
    [anon_sym_bytes25] = ACTIONS(697),
    [anon_sym_bytes26] = ACTIONS(697),
    [anon_sym_bytes27] = ACTIONS(697),
    [anon_sym_bytes28] = ACTIONS(697),
    [anon_sym_bytes29] = ACTIONS(697),
    [anon_sym_bytes30] = ACTIONS(697),
    [anon_sym_bytes31] = ACTIONS(697),
    [anon_sym_bytes32] = ACTIONS(697),
    [anon_sym_fixed] = ACTIONS(697),
    [aux_sym__fixed_token1] = ACTIONS(697),
    [anon_sym_ufixed] = ACTIONS(697),
    [aux_sym__ufixed_token1] = ACTIONS(697),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_identifier] = ACTIONS(741),
    [anon_sym_RBRACE] = ACTIONS(739),
    [anon_sym_type] = ACTIONS(741),
    [anon_sym_error] = ACTIONS(741),
    [anon_sym_struct] = ACTIONS(741),
    [anon_sym_enum] = ACTIONS(741),
    [anon_sym_event] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(741),
    [anon_sym_function] = ACTIONS(741),
    [anon_sym_byte] = ACTIONS(741),
    [anon_sym_address] = ACTIONS(741),
    [anon_sym_var] = ACTIONS(741),
    [anon_sym_modifier] = ACTIONS(741),
    [anon_sym_constructor] = ACTIONS(741),
    [anon_sym_fallback] = ACTIONS(741),
    [anon_sym_receive] = ACTIONS(741),
    [anon_sym_mapping] = ACTIONS(741),
    [anon_sym_bool] = ACTIONS(741),
    [anon_sym_string] = ACTIONS(741),
    [anon_sym_int] = ACTIONS(741),
    [anon_sym_int8] = ACTIONS(741),
    [anon_sym_int16] = ACTIONS(741),
    [anon_sym_int24] = ACTIONS(741),
    [anon_sym_int32] = ACTIONS(741),
    [anon_sym_int40] = ACTIONS(741),
    [anon_sym_int48] = ACTIONS(741),
    [anon_sym_int56] = ACTIONS(741),
    [anon_sym_int64] = ACTIONS(741),
    [anon_sym_int72] = ACTIONS(741),
    [anon_sym_int80] = ACTIONS(741),
    [anon_sym_int88] = ACTIONS(741),
    [anon_sym_int96] = ACTIONS(741),
    [anon_sym_int104] = ACTIONS(741),
    [anon_sym_int112] = ACTIONS(741),
    [anon_sym_int120] = ACTIONS(741),
    [anon_sym_int128] = ACTIONS(741),
    [anon_sym_int136] = ACTIONS(741),
    [anon_sym_int144] = ACTIONS(741),
    [anon_sym_int152] = ACTIONS(741),
    [anon_sym_int160] = ACTIONS(741),
    [anon_sym_int168] = ACTIONS(741),
    [anon_sym_int176] = ACTIONS(741),
    [anon_sym_int184] = ACTIONS(741),
    [anon_sym_int192] = ACTIONS(741),
    [anon_sym_int200] = ACTIONS(741),
    [anon_sym_int208] = ACTIONS(741),
    [anon_sym_int216] = ACTIONS(741),
    [anon_sym_int224] = ACTIONS(741),
    [anon_sym_int232] = ACTIONS(741),
    [anon_sym_int240] = ACTIONS(741),
    [anon_sym_int248] = ACTIONS(741),
    [anon_sym_int256] = ACTIONS(741),
    [anon_sym_uint] = ACTIONS(741),
    [anon_sym_uint8] = ACTIONS(741),
    [anon_sym_uint16] = ACTIONS(741),
    [anon_sym_uint24] = ACTIONS(741),
    [anon_sym_uint32] = ACTIONS(741),
    [anon_sym_uint40] = ACTIONS(741),
    [anon_sym_uint48] = ACTIONS(741),
    [anon_sym_uint56] = ACTIONS(741),
    [anon_sym_uint64] = ACTIONS(741),
    [anon_sym_uint72] = ACTIONS(741),
    [anon_sym_uint80] = ACTIONS(741),
    [anon_sym_uint88] = ACTIONS(741),
    [anon_sym_uint96] = ACTIONS(741),
    [anon_sym_uint104] = ACTIONS(741),
    [anon_sym_uint112] = ACTIONS(741),
    [anon_sym_uint120] = ACTIONS(741),
    [anon_sym_uint128] = ACTIONS(741),
    [anon_sym_uint136] = ACTIONS(741),
    [anon_sym_uint144] = ACTIONS(741),
    [anon_sym_uint152] = ACTIONS(741),
    [anon_sym_uint160] = ACTIONS(741),
    [anon_sym_uint168] = ACTIONS(741),
    [anon_sym_uint176] = ACTIONS(741),
    [anon_sym_uint184] = ACTIONS(741),
    [anon_sym_uint192] = ACTIONS(741),
    [anon_sym_uint200] = ACTIONS(741),
    [anon_sym_uint208] = ACTIONS(741),
    [anon_sym_uint216] = ACTIONS(741),
    [anon_sym_uint224] = ACTIONS(741),
    [anon_sym_uint232] = ACTIONS(741),
    [anon_sym_uint240] = ACTIONS(741),
    [anon_sym_uint248] = ACTIONS(741),
    [anon_sym_uint256] = ACTIONS(741),
    [anon_sym_bytes] = ACTIONS(741),
    [anon_sym_bytes1] = ACTIONS(741),
    [anon_sym_bytes2] = ACTIONS(741),
    [anon_sym_bytes3] = ACTIONS(741),
    [anon_sym_bytes4] = ACTIONS(741),
    [anon_sym_bytes5] = ACTIONS(741),
    [anon_sym_bytes6] = ACTIONS(741),
    [anon_sym_bytes7] = ACTIONS(741),
    [anon_sym_bytes8] = ACTIONS(741),
    [anon_sym_bytes9] = ACTIONS(741),
    [anon_sym_bytes10] = ACTIONS(741),
    [anon_sym_bytes11] = ACTIONS(741),
    [anon_sym_bytes12] = ACTIONS(741),
    [anon_sym_bytes13] = ACTIONS(741),
    [anon_sym_bytes14] = ACTIONS(741),
    [anon_sym_bytes15] = ACTIONS(741),
    [anon_sym_bytes16] = ACTIONS(741),
    [anon_sym_bytes17] = ACTIONS(741),
    [anon_sym_bytes18] = ACTIONS(741),
    [anon_sym_bytes19] = ACTIONS(741),
    [anon_sym_bytes20] = ACTIONS(741),
    [anon_sym_bytes21] = ACTIONS(741),
    [anon_sym_bytes22] = ACTIONS(741),
    [anon_sym_bytes23] = ACTIONS(741),
    [anon_sym_bytes24] = ACTIONS(741),
    [anon_sym_bytes25] = ACTIONS(741),
    [anon_sym_bytes26] = ACTIONS(741),
    [anon_sym_bytes27] = ACTIONS(741),
    [anon_sym_bytes28] = ACTIONS(741),
    [anon_sym_bytes29] = ACTIONS(741),
    [anon_sym_bytes30] = ACTIONS(741),
    [anon_sym_bytes31] = ACTIONS(741),
    [anon_sym_bytes32] = ACTIONS(741),
    [anon_sym_fixed] = ACTIONS(741),
    [aux_sym__fixed_token1] = ACTIONS(741),
    [anon_sym_ufixed] = ACTIONS(741),
    [aux_sym__ufixed_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_identifier] = ACTIONS(749),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_type] = ACTIONS(749),
    [anon_sym_error] = ACTIONS(749),
    [anon_sym_struct] = ACTIONS(749),
    [anon_sym_enum] = ACTIONS(749),
    [anon_sym_event] = ACTIONS(749),
    [anon_sym_using] = ACTIONS(749),
    [anon_sym_function] = ACTIONS(749),
    [anon_sym_byte] = ACTIONS(749),
    [anon_sym_address] = ACTIONS(749),
    [anon_sym_var] = ACTIONS(749),
    [anon_sym_modifier] = ACTIONS(749),
    [anon_sym_constructor] = ACTIONS(749),
    [anon_sym_fallback] = ACTIONS(749),
    [anon_sym_receive] = ACTIONS(749),
    [anon_sym_mapping] = ACTIONS(749),
    [anon_sym_bool] = ACTIONS(749),
    [anon_sym_string] = ACTIONS(749),
    [anon_sym_int] = ACTIONS(749),
    [anon_sym_int8] = ACTIONS(749),
    [anon_sym_int16] = ACTIONS(749),
    [anon_sym_int24] = ACTIONS(749),
    [anon_sym_int32] = ACTIONS(749),
    [anon_sym_int40] = ACTIONS(749),
    [anon_sym_int48] = ACTIONS(749),
    [anon_sym_int56] = ACTIONS(749),
    [anon_sym_int64] = ACTIONS(749),
    [anon_sym_int72] = ACTIONS(749),
    [anon_sym_int80] = ACTIONS(749),
    [anon_sym_int88] = ACTIONS(749),
    [anon_sym_int96] = ACTIONS(749),
    [anon_sym_int104] = ACTIONS(749),
    [anon_sym_int112] = ACTIONS(749),
    [anon_sym_int120] = ACTIONS(749),
    [anon_sym_int128] = ACTIONS(749),
    [anon_sym_int136] = ACTIONS(749),
    [anon_sym_int144] = ACTIONS(749),
    [anon_sym_int152] = ACTIONS(749),
    [anon_sym_int160] = ACTIONS(749),
    [anon_sym_int168] = ACTIONS(749),
    [anon_sym_int176] = ACTIONS(749),
    [anon_sym_int184] = ACTIONS(749),
    [anon_sym_int192] = ACTIONS(749),
    [anon_sym_int200] = ACTIONS(749),
    [anon_sym_int208] = ACTIONS(749),
    [anon_sym_int216] = ACTIONS(749),
    [anon_sym_int224] = ACTIONS(749),
    [anon_sym_int232] = ACTIONS(749),
    [anon_sym_int240] = ACTIONS(749),
    [anon_sym_int248] = ACTIONS(749),
    [anon_sym_int256] = ACTIONS(749),
    [anon_sym_uint] = ACTIONS(749),
    [anon_sym_uint8] = ACTIONS(749),
    [anon_sym_uint16] = ACTIONS(749),
    [anon_sym_uint24] = ACTIONS(749),
    [anon_sym_uint32] = ACTIONS(749),
    [anon_sym_uint40] = ACTIONS(749),
    [anon_sym_uint48] = ACTIONS(749),
    [anon_sym_uint56] = ACTIONS(749),
    [anon_sym_uint64] = ACTIONS(749),
    [anon_sym_uint72] = ACTIONS(749),
    [anon_sym_uint80] = ACTIONS(749),
    [anon_sym_uint88] = ACTIONS(749),
    [anon_sym_uint96] = ACTIONS(749),
    [anon_sym_uint104] = ACTIONS(749),
    [anon_sym_uint112] = ACTIONS(749),
    [anon_sym_uint120] = ACTIONS(749),
    [anon_sym_uint128] = ACTIONS(749),
    [anon_sym_uint136] = ACTIONS(749),
    [anon_sym_uint144] = ACTIONS(749),
    [anon_sym_uint152] = ACTIONS(749),
    [anon_sym_uint160] = ACTIONS(749),
    [anon_sym_uint168] = ACTIONS(749),
    [anon_sym_uint176] = ACTIONS(749),
    [anon_sym_uint184] = ACTIONS(749),
    [anon_sym_uint192] = ACTIONS(749),
    [anon_sym_uint200] = ACTIONS(749),
    [anon_sym_uint208] = ACTIONS(749),
    [anon_sym_uint216] = ACTIONS(749),
    [anon_sym_uint224] = ACTIONS(749),
    [anon_sym_uint232] = ACTIONS(749),
    [anon_sym_uint240] = ACTIONS(749),
    [anon_sym_uint248] = ACTIONS(749),
    [anon_sym_uint256] = ACTIONS(749),
    [anon_sym_bytes] = ACTIONS(749),
    [anon_sym_bytes1] = ACTIONS(749),
    [anon_sym_bytes2] = ACTIONS(749),
    [anon_sym_bytes3] = ACTIONS(749),
    [anon_sym_bytes4] = ACTIONS(749),
    [anon_sym_bytes5] = ACTIONS(749),
    [anon_sym_bytes6] = ACTIONS(749),
    [anon_sym_bytes7] = ACTIONS(749),
    [anon_sym_bytes8] = ACTIONS(749),
    [anon_sym_bytes9] = ACTIONS(749),
    [anon_sym_bytes10] = ACTIONS(749),
    [anon_sym_bytes11] = ACTIONS(749),
    [anon_sym_bytes12] = ACTIONS(749),
    [anon_sym_bytes13] = ACTIONS(749),
    [anon_sym_bytes14] = ACTIONS(749),
    [anon_sym_bytes15] = ACTIONS(749),
    [anon_sym_bytes16] = ACTIONS(749),
    [anon_sym_bytes17] = ACTIONS(749),
    [anon_sym_bytes18] = ACTIONS(749),
    [anon_sym_bytes19] = ACTIONS(749),
    [anon_sym_bytes20] = ACTIONS(749),
    [anon_sym_bytes21] = ACTIONS(749),
    [anon_sym_bytes22] = ACTIONS(749),
    [anon_sym_bytes23] = ACTIONS(749),
    [anon_sym_bytes24] = ACTIONS(749),
    [anon_sym_bytes25] = ACTIONS(749),
    [anon_sym_bytes26] = ACTIONS(749),
    [anon_sym_bytes27] = ACTIONS(749),
    [anon_sym_bytes28] = ACTIONS(749),
    [anon_sym_bytes29] = ACTIONS(749),
    [anon_sym_bytes30] = ACTIONS(749),
    [anon_sym_bytes31] = ACTIONS(749),
    [anon_sym_bytes32] = ACTIONS(749),
    [anon_sym_fixed] = ACTIONS(749),
    [aux_sym__fixed_token1] = ACTIONS(749),
    [anon_sym_ufixed] = ACTIONS(749),
    [aux_sym__ufixed_token1] = ACTIONS(749),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [sym_identifier] = ACTIONS(761),
    [anon_sym_RBRACE] = ACTIONS(759),
    [anon_sym_type] = ACTIONS(761),
    [anon_sym_error] = ACTIONS(761),
    [anon_sym_struct] = ACTIONS(761),
    [anon_sym_enum] = ACTIONS(761),
    [anon_sym_event] = ACTIONS(761),
    [anon_sym_using] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(761),
    [anon_sym_byte] = ACTIONS(761),
    [anon_sym_address] = ACTIONS(761),
    [anon_sym_var] = ACTIONS(761),
    [anon_sym_modifier] = ACTIONS(761),
    [anon_sym_constructor] = ACTIONS(761),
    [anon_sym_fallback] = ACTIONS(761),
    [anon_sym_receive] = ACTIONS(761),
    [anon_sym_mapping] = ACTIONS(761),
    [anon_sym_bool] = ACTIONS(761),
    [anon_sym_string] = ACTIONS(761),
    [anon_sym_int] = ACTIONS(761),
    [anon_sym_int8] = ACTIONS(761),
    [anon_sym_int16] = ACTIONS(761),
    [anon_sym_int24] = ACTIONS(761),
    [anon_sym_int32] = ACTIONS(761),
    [anon_sym_int40] = ACTIONS(761),
    [anon_sym_int48] = ACTIONS(761),
    [anon_sym_int56] = ACTIONS(761),
    [anon_sym_int64] = ACTIONS(761),
    [anon_sym_int72] = ACTIONS(761),
    [anon_sym_int80] = ACTIONS(761),
    [anon_sym_int88] = ACTIONS(761),
    [anon_sym_int96] = ACTIONS(761),
    [anon_sym_int104] = ACTIONS(761),
    [anon_sym_int112] = ACTIONS(761),
    [anon_sym_int120] = ACTIONS(761),
    [anon_sym_int128] = ACTIONS(761),
    [anon_sym_int136] = ACTIONS(761),
    [anon_sym_int144] = ACTIONS(761),
    [anon_sym_int152] = ACTIONS(761),
    [anon_sym_int160] = ACTIONS(761),
    [anon_sym_int168] = ACTIONS(761),
    [anon_sym_int176] = ACTIONS(761),
    [anon_sym_int184] = ACTIONS(761),
    [anon_sym_int192] = ACTIONS(761),
    [anon_sym_int200] = ACTIONS(761),
    [anon_sym_int208] = ACTIONS(761),
    [anon_sym_int216] = ACTIONS(761),
    [anon_sym_int224] = ACTIONS(761),
    [anon_sym_int232] = ACTIONS(761),
    [anon_sym_int240] = ACTIONS(761),
    [anon_sym_int248] = ACTIONS(761),
    [anon_sym_int256] = ACTIONS(761),
    [anon_sym_uint] = ACTIONS(761),
    [anon_sym_uint8] = ACTIONS(761),
    [anon_sym_uint16] = ACTIONS(761),
    [anon_sym_uint24] = ACTIONS(761),
    [anon_sym_uint32] = ACTIONS(761),
    [anon_sym_uint40] = ACTIONS(761),
    [anon_sym_uint48] = ACTIONS(761),
    [anon_sym_uint56] = ACTIONS(761),
    [anon_sym_uint64] = ACTIONS(761),
    [anon_sym_uint72] = ACTIONS(761),
    [anon_sym_uint80] = ACTIONS(761),
    [anon_sym_uint88] = ACTIONS(761),
    [anon_sym_uint96] = ACTIONS(761),
    [anon_sym_uint104] = ACTIONS(761),
    [anon_sym_uint112] = ACTIONS(761),
    [anon_sym_uint120] = ACTIONS(761),
    [anon_sym_uint128] = ACTIONS(761),
    [anon_sym_uint136] = ACTIONS(761),
    [anon_sym_uint144] = ACTIONS(761),
    [anon_sym_uint152] = ACTIONS(761),
    [anon_sym_uint160] = ACTIONS(761),
    [anon_sym_uint168] = ACTIONS(761),
    [anon_sym_uint176] = ACTIONS(761),
    [anon_sym_uint184] = ACTIONS(761),
    [anon_sym_uint192] = ACTIONS(761),
    [anon_sym_uint200] = ACTIONS(761),
    [anon_sym_uint208] = ACTIONS(761),
    [anon_sym_uint216] = ACTIONS(761),
    [anon_sym_uint224] = ACTIONS(761),
    [anon_sym_uint232] = ACTIONS(761),
    [anon_sym_uint240] = ACTIONS(761),
    [anon_sym_uint248] = ACTIONS(761),
    [anon_sym_uint256] = ACTIONS(761),
    [anon_sym_bytes] = ACTIONS(761),
    [anon_sym_bytes1] = ACTIONS(761),
    [anon_sym_bytes2] = ACTIONS(761),
    [anon_sym_bytes3] = ACTIONS(761),
    [anon_sym_bytes4] = ACTIONS(761),
    [anon_sym_bytes5] = ACTIONS(761),
    [anon_sym_bytes6] = ACTIONS(761),
    [anon_sym_bytes7] = ACTIONS(761),
    [anon_sym_bytes8] = ACTIONS(761),
    [anon_sym_bytes9] = ACTIONS(761),
    [anon_sym_bytes10] = ACTIONS(761),
    [anon_sym_bytes11] = ACTIONS(761),
    [anon_sym_bytes12] = ACTIONS(761),
    [anon_sym_bytes13] = ACTIONS(761),
    [anon_sym_bytes14] = ACTIONS(761),
    [anon_sym_bytes15] = ACTIONS(761),
    [anon_sym_bytes16] = ACTIONS(761),
    [anon_sym_bytes17] = ACTIONS(761),
    [anon_sym_bytes18] = ACTIONS(761),
    [anon_sym_bytes19] = ACTIONS(761),
    [anon_sym_bytes20] = ACTIONS(761),
    [anon_sym_bytes21] = ACTIONS(761),
    [anon_sym_bytes22] = ACTIONS(761),
    [anon_sym_bytes23] = ACTIONS(761),
    [anon_sym_bytes24] = ACTIONS(761),
    [anon_sym_bytes25] = ACTIONS(761),
    [anon_sym_bytes26] = ACTIONS(761),
    [anon_sym_bytes27] = ACTIONS(761),
    [anon_sym_bytes28] = ACTIONS(761),
    [anon_sym_bytes29] = ACTIONS(761),
    [anon_sym_bytes30] = ACTIONS(761),
    [anon_sym_bytes31] = ACTIONS(761),
    [anon_sym_bytes32] = ACTIONS(761),
    [anon_sym_fixed] = ACTIONS(761),
    [aux_sym__fixed_token1] = ACTIONS(761),
    [anon_sym_ufixed] = ACTIONS(761),
    [aux_sym__ufixed_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_identifier] = ACTIONS(843),
    [anon_sym_RBRACE] = ACTIONS(841),
    [anon_sym_type] = ACTIONS(843),
    [anon_sym_error] = ACTIONS(843),
    [anon_sym_struct] = ACTIONS(843),
    [anon_sym_enum] = ACTIONS(843),
    [anon_sym_event] = ACTIONS(843),
    [anon_sym_using] = ACTIONS(843),
    [anon_sym_function] = ACTIONS(843),
    [anon_sym_byte] = ACTIONS(843),
    [anon_sym_address] = ACTIONS(843),
    [anon_sym_var] = ACTIONS(843),
    [anon_sym_modifier] = ACTIONS(843),
    [anon_sym_constructor] = ACTIONS(843),
    [anon_sym_fallback] = ACTIONS(843),
    [anon_sym_receive] = ACTIONS(843),
    [anon_sym_mapping] = ACTIONS(843),
    [anon_sym_bool] = ACTIONS(843),
    [anon_sym_string] = ACTIONS(843),
    [anon_sym_int] = ACTIONS(843),
    [anon_sym_int8] = ACTIONS(843),
    [anon_sym_int16] = ACTIONS(843),
    [anon_sym_int24] = ACTIONS(843),
    [anon_sym_int32] = ACTIONS(843),
    [anon_sym_int40] = ACTIONS(843),
    [anon_sym_int48] = ACTIONS(843),
    [anon_sym_int56] = ACTIONS(843),
    [anon_sym_int64] = ACTIONS(843),
    [anon_sym_int72] = ACTIONS(843),
    [anon_sym_int80] = ACTIONS(843),
    [anon_sym_int88] = ACTIONS(843),
    [anon_sym_int96] = ACTIONS(843),
    [anon_sym_int104] = ACTIONS(843),
    [anon_sym_int112] = ACTIONS(843),
    [anon_sym_int120] = ACTIONS(843),
    [anon_sym_int128] = ACTIONS(843),
    [anon_sym_int136] = ACTIONS(843),
    [anon_sym_int144] = ACTIONS(843),
    [anon_sym_int152] = ACTIONS(843),
    [anon_sym_int160] = ACTIONS(843),
    [anon_sym_int168] = ACTIONS(843),
    [anon_sym_int176] = ACTIONS(843),
    [anon_sym_int184] = ACTIONS(843),
    [anon_sym_int192] = ACTIONS(843),
    [anon_sym_int200] = ACTIONS(843),
    [anon_sym_int208] = ACTIONS(843),
    [anon_sym_int216] = ACTIONS(843),
    [anon_sym_int224] = ACTIONS(843),
    [anon_sym_int232] = ACTIONS(843),
    [anon_sym_int240] = ACTIONS(843),
    [anon_sym_int248] = ACTIONS(843),
    [anon_sym_int256] = ACTIONS(843),
    [anon_sym_uint] = ACTIONS(843),
    [anon_sym_uint8] = ACTIONS(843),
    [anon_sym_uint16] = ACTIONS(843),
    [anon_sym_uint24] = ACTIONS(843),
    [anon_sym_uint32] = ACTIONS(843),
    [anon_sym_uint40] = ACTIONS(843),
    [anon_sym_uint48] = ACTIONS(843),
    [anon_sym_uint56] = ACTIONS(843),
    [anon_sym_uint64] = ACTIONS(843),
    [anon_sym_uint72] = ACTIONS(843),
    [anon_sym_uint80] = ACTIONS(843),
    [anon_sym_uint88] = ACTIONS(843),
    [anon_sym_uint96] = ACTIONS(843),
    [anon_sym_uint104] = ACTIONS(843),
    [anon_sym_uint112] = ACTIONS(843),
    [anon_sym_uint120] = ACTIONS(843),
    [anon_sym_uint128] = ACTIONS(843),
    [anon_sym_uint136] = ACTIONS(843),
    [anon_sym_uint144] = ACTIONS(843),
    [anon_sym_uint152] = ACTIONS(843),
    [anon_sym_uint160] = ACTIONS(843),
    [anon_sym_uint168] = ACTIONS(843),
    [anon_sym_uint176] = ACTIONS(843),
    [anon_sym_uint184] = ACTIONS(843),
    [anon_sym_uint192] = ACTIONS(843),
    [anon_sym_uint200] = ACTIONS(843),
    [anon_sym_uint208] = ACTIONS(843),
    [anon_sym_uint216] = ACTIONS(843),
    [anon_sym_uint224] = ACTIONS(843),
    [anon_sym_uint232] = ACTIONS(843),
    [anon_sym_uint240] = ACTIONS(843),
    [anon_sym_uint248] = ACTIONS(843),
    [anon_sym_uint256] = ACTIONS(843),
    [anon_sym_bytes] = ACTIONS(843),
    [anon_sym_bytes1] = ACTIONS(843),
    [anon_sym_bytes2] = ACTIONS(843),
    [anon_sym_bytes3] = ACTIONS(843),
    [anon_sym_bytes4] = ACTIONS(843),
    [anon_sym_bytes5] = ACTIONS(843),
    [anon_sym_bytes6] = ACTIONS(843),
    [anon_sym_bytes7] = ACTIONS(843),
    [anon_sym_bytes8] = ACTIONS(843),
    [anon_sym_bytes9] = ACTIONS(843),
    [anon_sym_bytes10] = ACTIONS(843),
    [anon_sym_bytes11] = ACTIONS(843),
    [anon_sym_bytes12] = ACTIONS(843),
    [anon_sym_bytes13] = ACTIONS(843),
    [anon_sym_bytes14] = ACTIONS(843),
    [anon_sym_bytes15] = ACTIONS(843),
    [anon_sym_bytes16] = ACTIONS(843),
    [anon_sym_bytes17] = ACTIONS(843),
    [anon_sym_bytes18] = ACTIONS(843),
    [anon_sym_bytes19] = ACTIONS(843),
    [anon_sym_bytes20] = ACTIONS(843),
    [anon_sym_bytes21] = ACTIONS(843),
    [anon_sym_bytes22] = ACTIONS(843),
    [anon_sym_bytes23] = ACTIONS(843),
    [anon_sym_bytes24] = ACTIONS(843),
    [anon_sym_bytes25] = ACTIONS(843),
    [anon_sym_bytes26] = ACTIONS(843),
    [anon_sym_bytes27] = ACTIONS(843),
    [anon_sym_bytes28] = ACTIONS(843),
    [anon_sym_bytes29] = ACTIONS(843),
    [anon_sym_bytes30] = ACTIONS(843),
    [anon_sym_bytes31] = ACTIONS(843),
    [anon_sym_bytes32] = ACTIONS(843),
    [anon_sym_fixed] = ACTIONS(843),
    [aux_sym__fixed_token1] = ACTIONS(843),
    [anon_sym_ufixed] = ACTIONS(843),
    [aux_sym__ufixed_token1] = ACTIONS(843),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_identifier] = ACTIONS(847),
    [anon_sym_RBRACE] = ACTIONS(845),
    [anon_sym_type] = ACTIONS(847),
    [anon_sym_error] = ACTIONS(847),
    [anon_sym_struct] = ACTIONS(847),
    [anon_sym_enum] = ACTIONS(847),
    [anon_sym_event] = ACTIONS(847),
    [anon_sym_using] = ACTIONS(847),
    [anon_sym_function] = ACTIONS(847),
    [anon_sym_byte] = ACTIONS(847),
    [anon_sym_address] = ACTIONS(847),
    [anon_sym_var] = ACTIONS(847),
    [anon_sym_modifier] = ACTIONS(847),
    [anon_sym_constructor] = ACTIONS(847),
    [anon_sym_fallback] = ACTIONS(847),
    [anon_sym_receive] = ACTIONS(847),
    [anon_sym_mapping] = ACTIONS(847),
    [anon_sym_bool] = ACTIONS(847),
    [anon_sym_string] = ACTIONS(847),
    [anon_sym_int] = ACTIONS(847),
    [anon_sym_int8] = ACTIONS(847),
    [anon_sym_int16] = ACTIONS(847),
    [anon_sym_int24] = ACTIONS(847),
    [anon_sym_int32] = ACTIONS(847),
    [anon_sym_int40] = ACTIONS(847),
    [anon_sym_int48] = ACTIONS(847),
    [anon_sym_int56] = ACTIONS(847),
    [anon_sym_int64] = ACTIONS(847),
    [anon_sym_int72] = ACTIONS(847),
    [anon_sym_int80] = ACTIONS(847),
    [anon_sym_int88] = ACTIONS(847),
    [anon_sym_int96] = ACTIONS(847),
    [anon_sym_int104] = ACTIONS(847),
    [anon_sym_int112] = ACTIONS(847),
    [anon_sym_int120] = ACTIONS(847),
    [anon_sym_int128] = ACTIONS(847),
    [anon_sym_int136] = ACTIONS(847),
    [anon_sym_int144] = ACTIONS(847),
    [anon_sym_int152] = ACTIONS(847),
    [anon_sym_int160] = ACTIONS(847),
    [anon_sym_int168] = ACTIONS(847),
    [anon_sym_int176] = ACTIONS(847),
    [anon_sym_int184] = ACTIONS(847),
    [anon_sym_int192] = ACTIONS(847),
    [anon_sym_int200] = ACTIONS(847),
    [anon_sym_int208] = ACTIONS(847),
    [anon_sym_int216] = ACTIONS(847),
    [anon_sym_int224] = ACTIONS(847),
    [anon_sym_int232] = ACTIONS(847),
    [anon_sym_int240] = ACTIONS(847),
    [anon_sym_int248] = ACTIONS(847),
    [anon_sym_int256] = ACTIONS(847),
    [anon_sym_uint] = ACTIONS(847),
    [anon_sym_uint8] = ACTIONS(847),
    [anon_sym_uint16] = ACTIONS(847),
    [anon_sym_uint24] = ACTIONS(847),
    [anon_sym_uint32] = ACTIONS(847),
    [anon_sym_uint40] = ACTIONS(847),
    [anon_sym_uint48] = ACTIONS(847),
    [anon_sym_uint56] = ACTIONS(847),
    [anon_sym_uint64] = ACTIONS(847),
    [anon_sym_uint72] = ACTIONS(847),
    [anon_sym_uint80] = ACTIONS(847),
    [anon_sym_uint88] = ACTIONS(847),
    [anon_sym_uint96] = ACTIONS(847),
    [anon_sym_uint104] = ACTIONS(847),
    [anon_sym_uint112] = ACTIONS(847),
    [anon_sym_uint120] = ACTIONS(847),
    [anon_sym_uint128] = ACTIONS(847),
    [anon_sym_uint136] = ACTIONS(847),
    [anon_sym_uint144] = ACTIONS(847),
    [anon_sym_uint152] = ACTIONS(847),
    [anon_sym_uint160] = ACTIONS(847),
    [anon_sym_uint168] = ACTIONS(847),
    [anon_sym_uint176] = ACTIONS(847),
    [anon_sym_uint184] = ACTIONS(847),
    [anon_sym_uint192] = ACTIONS(847),
    [anon_sym_uint200] = ACTIONS(847),
    [anon_sym_uint208] = ACTIONS(847),
    [anon_sym_uint216] = ACTIONS(847),
    [anon_sym_uint224] = ACTIONS(847),
    [anon_sym_uint232] = ACTIONS(847),
    [anon_sym_uint240] = ACTIONS(847),
    [anon_sym_uint248] = ACTIONS(847),
    [anon_sym_uint256] = ACTIONS(847),
    [anon_sym_bytes] = ACTIONS(847),
    [anon_sym_bytes1] = ACTIONS(847),
    [anon_sym_bytes2] = ACTIONS(847),
    [anon_sym_bytes3] = ACTIONS(847),
    [anon_sym_bytes4] = ACTIONS(847),
    [anon_sym_bytes5] = ACTIONS(847),
    [anon_sym_bytes6] = ACTIONS(847),
    [anon_sym_bytes7] = ACTIONS(847),
    [anon_sym_bytes8] = ACTIONS(847),
    [anon_sym_bytes9] = ACTIONS(847),
    [anon_sym_bytes10] = ACTIONS(847),
    [anon_sym_bytes11] = ACTIONS(847),
    [anon_sym_bytes12] = ACTIONS(847),
    [anon_sym_bytes13] = ACTIONS(847),
    [anon_sym_bytes14] = ACTIONS(847),
    [anon_sym_bytes15] = ACTIONS(847),
    [anon_sym_bytes16] = ACTIONS(847),
    [anon_sym_bytes17] = ACTIONS(847),
    [anon_sym_bytes18] = ACTIONS(847),
    [anon_sym_bytes19] = ACTIONS(847),
    [anon_sym_bytes20] = ACTIONS(847),
    [anon_sym_bytes21] = ACTIONS(847),
    [anon_sym_bytes22] = ACTIONS(847),
    [anon_sym_bytes23] = ACTIONS(847),
    [anon_sym_bytes24] = ACTIONS(847),
    [anon_sym_bytes25] = ACTIONS(847),
    [anon_sym_bytes26] = ACTIONS(847),
    [anon_sym_bytes27] = ACTIONS(847),
    [anon_sym_bytes28] = ACTIONS(847),
    [anon_sym_bytes29] = ACTIONS(847),
    [anon_sym_bytes30] = ACTIONS(847),
    [anon_sym_bytes31] = ACTIONS(847),
    [anon_sym_bytes32] = ACTIONS(847),
    [anon_sym_fixed] = ACTIONS(847),
    [aux_sym__fixed_token1] = ACTIONS(847),
    [anon_sym_ufixed] = ACTIONS(847),
    [aux_sym__ufixed_token1] = ACTIONS(847),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [sym_identifier] = ACTIONS(851),
    [anon_sym_RBRACE] = ACTIONS(849),
    [anon_sym_type] = ACTIONS(851),
    [anon_sym_error] = ACTIONS(851),
    [anon_sym_struct] = ACTIONS(851),
    [anon_sym_enum] = ACTIONS(851),
    [anon_sym_event] = ACTIONS(851),
    [anon_sym_using] = ACTIONS(851),
    [anon_sym_function] = ACTIONS(851),
    [anon_sym_byte] = ACTIONS(851),
    [anon_sym_address] = ACTIONS(851),
    [anon_sym_var] = ACTIONS(851),
    [anon_sym_modifier] = ACTIONS(851),
    [anon_sym_constructor] = ACTIONS(851),
    [anon_sym_fallback] = ACTIONS(851),
    [anon_sym_receive] = ACTIONS(851),
    [anon_sym_mapping] = ACTIONS(851),
    [anon_sym_bool] = ACTIONS(851),
    [anon_sym_string] = ACTIONS(851),
    [anon_sym_int] = ACTIONS(851),
    [anon_sym_int8] = ACTIONS(851),
    [anon_sym_int16] = ACTIONS(851),
    [anon_sym_int24] = ACTIONS(851),
    [anon_sym_int32] = ACTIONS(851),
    [anon_sym_int40] = ACTIONS(851),
    [anon_sym_int48] = ACTIONS(851),
    [anon_sym_int56] = ACTIONS(851),
    [anon_sym_int64] = ACTIONS(851),
    [anon_sym_int72] = ACTIONS(851),
    [anon_sym_int80] = ACTIONS(851),
    [anon_sym_int88] = ACTIONS(851),
    [anon_sym_int96] = ACTIONS(851),
    [anon_sym_int104] = ACTIONS(851),
    [anon_sym_int112] = ACTIONS(851),
    [anon_sym_int120] = ACTIONS(851),
    [anon_sym_int128] = ACTIONS(851),
    [anon_sym_int136] = ACTIONS(851),
    [anon_sym_int144] = ACTIONS(851),
    [anon_sym_int152] = ACTIONS(851),
    [anon_sym_int160] = ACTIONS(851),
    [anon_sym_int168] = ACTIONS(851),
    [anon_sym_int176] = ACTIONS(851),
    [anon_sym_int184] = ACTIONS(851),
    [anon_sym_int192] = ACTIONS(851),
    [anon_sym_int200] = ACTIONS(851),
    [anon_sym_int208] = ACTIONS(851),
    [anon_sym_int216] = ACTIONS(851),
    [anon_sym_int224] = ACTIONS(851),
    [anon_sym_int232] = ACTIONS(851),
    [anon_sym_int240] = ACTIONS(851),
    [anon_sym_int248] = ACTIONS(851),
    [anon_sym_int256] = ACTIONS(851),
    [anon_sym_uint] = ACTIONS(851),
    [anon_sym_uint8] = ACTIONS(851),
    [anon_sym_uint16] = ACTIONS(851),
    [anon_sym_uint24] = ACTIONS(851),
    [anon_sym_uint32] = ACTIONS(851),
    [anon_sym_uint40] = ACTIONS(851),
    [anon_sym_uint48] = ACTIONS(851),
    [anon_sym_uint56] = ACTIONS(851),
    [anon_sym_uint64] = ACTIONS(851),
    [anon_sym_uint72] = ACTIONS(851),
    [anon_sym_uint80] = ACTIONS(851),
    [anon_sym_uint88] = ACTIONS(851),
    [anon_sym_uint96] = ACTIONS(851),
    [anon_sym_uint104] = ACTIONS(851),
    [anon_sym_uint112] = ACTIONS(851),
    [anon_sym_uint120] = ACTIONS(851),
    [anon_sym_uint128] = ACTIONS(851),
    [anon_sym_uint136] = ACTIONS(851),
    [anon_sym_uint144] = ACTIONS(851),
    [anon_sym_uint152] = ACTIONS(851),
    [anon_sym_uint160] = ACTIONS(851),
    [anon_sym_uint168] = ACTIONS(851),
    [anon_sym_uint176] = ACTIONS(851),
    [anon_sym_uint184] = ACTIONS(851),
    [anon_sym_uint192] = ACTIONS(851),
    [anon_sym_uint200] = ACTIONS(851),
    [anon_sym_uint208] = ACTIONS(851),
    [anon_sym_uint216] = ACTIONS(851),
    [anon_sym_uint224] = ACTIONS(851),
    [anon_sym_uint232] = ACTIONS(851),
    [anon_sym_uint240] = ACTIONS(851),
    [anon_sym_uint248] = ACTIONS(851),
    [anon_sym_uint256] = ACTIONS(851),
    [anon_sym_bytes] = ACTIONS(851),
    [anon_sym_bytes1] = ACTIONS(851),
    [anon_sym_bytes2] = ACTIONS(851),
    [anon_sym_bytes3] = ACTIONS(851),
    [anon_sym_bytes4] = ACTIONS(851),
    [anon_sym_bytes5] = ACTIONS(851),
    [anon_sym_bytes6] = ACTIONS(851),
    [anon_sym_bytes7] = ACTIONS(851),
    [anon_sym_bytes8] = ACTIONS(851),
    [anon_sym_bytes9] = ACTIONS(851),
    [anon_sym_bytes10] = ACTIONS(851),
    [anon_sym_bytes11] = ACTIONS(851),
    [anon_sym_bytes12] = ACTIONS(851),
    [anon_sym_bytes13] = ACTIONS(851),
    [anon_sym_bytes14] = ACTIONS(851),
    [anon_sym_bytes15] = ACTIONS(851),
    [anon_sym_bytes16] = ACTIONS(851),
    [anon_sym_bytes17] = ACTIONS(851),
    [anon_sym_bytes18] = ACTIONS(851),
    [anon_sym_bytes19] = ACTIONS(851),
    [anon_sym_bytes20] = ACTIONS(851),
    [anon_sym_bytes21] = ACTIONS(851),
    [anon_sym_bytes22] = ACTIONS(851),
    [anon_sym_bytes23] = ACTIONS(851),
    [anon_sym_bytes24] = ACTIONS(851),
    [anon_sym_bytes25] = ACTIONS(851),
    [anon_sym_bytes26] = ACTIONS(851),
    [anon_sym_bytes27] = ACTIONS(851),
    [anon_sym_bytes28] = ACTIONS(851),
    [anon_sym_bytes29] = ACTIONS(851),
    [anon_sym_bytes30] = ACTIONS(851),
    [anon_sym_bytes31] = ACTIONS(851),
    [anon_sym_bytes32] = ACTIONS(851),
    [anon_sym_fixed] = ACTIONS(851),
    [aux_sym__fixed_token1] = ACTIONS(851),
    [anon_sym_ufixed] = ACTIONS(851),
    [aux_sym__ufixed_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [sym_identifier] = ACTIONS(765),
    [anon_sym_RBRACE] = ACTIONS(763),
    [anon_sym_type] = ACTIONS(765),
    [anon_sym_error] = ACTIONS(765),
    [anon_sym_struct] = ACTIONS(765),
    [anon_sym_enum] = ACTIONS(765),
    [anon_sym_event] = ACTIONS(765),
    [anon_sym_using] = ACTIONS(765),
    [anon_sym_function] = ACTIONS(765),
    [anon_sym_byte] = ACTIONS(765),
    [anon_sym_address] = ACTIONS(765),
    [anon_sym_var] = ACTIONS(765),
    [anon_sym_modifier] = ACTIONS(765),
    [anon_sym_constructor] = ACTIONS(765),
    [anon_sym_fallback] = ACTIONS(765),
    [anon_sym_receive] = ACTIONS(765),
    [anon_sym_mapping] = ACTIONS(765),
    [anon_sym_bool] = ACTIONS(765),
    [anon_sym_string] = ACTIONS(765),
    [anon_sym_int] = ACTIONS(765),
    [anon_sym_int8] = ACTIONS(765),
    [anon_sym_int16] = ACTIONS(765),
    [anon_sym_int24] = ACTIONS(765),
    [anon_sym_int32] = ACTIONS(765),
    [anon_sym_int40] = ACTIONS(765),
    [anon_sym_int48] = ACTIONS(765),
    [anon_sym_int56] = ACTIONS(765),
    [anon_sym_int64] = ACTIONS(765),
    [anon_sym_int72] = ACTIONS(765),
    [anon_sym_int80] = ACTIONS(765),
    [anon_sym_int88] = ACTIONS(765),
    [anon_sym_int96] = ACTIONS(765),
    [anon_sym_int104] = ACTIONS(765),
    [anon_sym_int112] = ACTIONS(765),
    [anon_sym_int120] = ACTIONS(765),
    [anon_sym_int128] = ACTIONS(765),
    [anon_sym_int136] = ACTIONS(765),
    [anon_sym_int144] = ACTIONS(765),
    [anon_sym_int152] = ACTIONS(765),
    [anon_sym_int160] = ACTIONS(765),
    [anon_sym_int168] = ACTIONS(765),
    [anon_sym_int176] = ACTIONS(765),
    [anon_sym_int184] = ACTIONS(765),
    [anon_sym_int192] = ACTIONS(765),
    [anon_sym_int200] = ACTIONS(765),
    [anon_sym_int208] = ACTIONS(765),
    [anon_sym_int216] = ACTIONS(765),
    [anon_sym_int224] = ACTIONS(765),
    [anon_sym_int232] = ACTIONS(765),
    [anon_sym_int240] = ACTIONS(765),
    [anon_sym_int248] = ACTIONS(765),
    [anon_sym_int256] = ACTIONS(765),
    [anon_sym_uint] = ACTIONS(765),
    [anon_sym_uint8] = ACTIONS(765),
    [anon_sym_uint16] = ACTIONS(765),
    [anon_sym_uint24] = ACTIONS(765),
    [anon_sym_uint32] = ACTIONS(765),
    [anon_sym_uint40] = ACTIONS(765),
    [anon_sym_uint48] = ACTIONS(765),
    [anon_sym_uint56] = ACTIONS(765),
    [anon_sym_uint64] = ACTIONS(765),
    [anon_sym_uint72] = ACTIONS(765),
    [anon_sym_uint80] = ACTIONS(765),
    [anon_sym_uint88] = ACTIONS(765),
    [anon_sym_uint96] = ACTIONS(765),
    [anon_sym_uint104] = ACTIONS(765),
    [anon_sym_uint112] = ACTIONS(765),
    [anon_sym_uint120] = ACTIONS(765),
    [anon_sym_uint128] = ACTIONS(765),
    [anon_sym_uint136] = ACTIONS(765),
    [anon_sym_uint144] = ACTIONS(765),
    [anon_sym_uint152] = ACTIONS(765),
    [anon_sym_uint160] = ACTIONS(765),
    [anon_sym_uint168] = ACTIONS(765),
    [anon_sym_uint176] = ACTIONS(765),
    [anon_sym_uint184] = ACTIONS(765),
    [anon_sym_uint192] = ACTIONS(765),
    [anon_sym_uint200] = ACTIONS(765),
    [anon_sym_uint208] = ACTIONS(765),
    [anon_sym_uint216] = ACTIONS(765),
    [anon_sym_uint224] = ACTIONS(765),
    [anon_sym_uint232] = ACTIONS(765),
    [anon_sym_uint240] = ACTIONS(765),
    [anon_sym_uint248] = ACTIONS(765),
    [anon_sym_uint256] = ACTIONS(765),
    [anon_sym_bytes] = ACTIONS(765),
    [anon_sym_bytes1] = ACTIONS(765),
    [anon_sym_bytes2] = ACTIONS(765),
    [anon_sym_bytes3] = ACTIONS(765),
    [anon_sym_bytes4] = ACTIONS(765),
    [anon_sym_bytes5] = ACTIONS(765),
    [anon_sym_bytes6] = ACTIONS(765),
    [anon_sym_bytes7] = ACTIONS(765),
    [anon_sym_bytes8] = ACTIONS(765),
    [anon_sym_bytes9] = ACTIONS(765),
    [anon_sym_bytes10] = ACTIONS(765),
    [anon_sym_bytes11] = ACTIONS(765),
    [anon_sym_bytes12] = ACTIONS(765),
    [anon_sym_bytes13] = ACTIONS(765),
    [anon_sym_bytes14] = ACTIONS(765),
    [anon_sym_bytes15] = ACTIONS(765),
    [anon_sym_bytes16] = ACTIONS(765),
    [anon_sym_bytes17] = ACTIONS(765),
    [anon_sym_bytes18] = ACTIONS(765),
    [anon_sym_bytes19] = ACTIONS(765),
    [anon_sym_bytes20] = ACTIONS(765),
    [anon_sym_bytes21] = ACTIONS(765),
    [anon_sym_bytes22] = ACTIONS(765),
    [anon_sym_bytes23] = ACTIONS(765),
    [anon_sym_bytes24] = ACTIONS(765),
    [anon_sym_bytes25] = ACTIONS(765),
    [anon_sym_bytes26] = ACTIONS(765),
    [anon_sym_bytes27] = ACTIONS(765),
    [anon_sym_bytes28] = ACTIONS(765),
    [anon_sym_bytes29] = ACTIONS(765),
    [anon_sym_bytes30] = ACTIONS(765),
    [anon_sym_bytes31] = ACTIONS(765),
    [anon_sym_bytes32] = ACTIONS(765),
    [anon_sym_fixed] = ACTIONS(765),
    [aux_sym__fixed_token1] = ACTIONS(765),
    [anon_sym_ufixed] = ACTIONS(765),
    [aux_sym__ufixed_token1] = ACTIONS(765),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_identifier] = ACTIONS(685),
    [anon_sym_RBRACE] = ACTIONS(683),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_error] = ACTIONS(685),
    [anon_sym_struct] = ACTIONS(685),
    [anon_sym_enum] = ACTIONS(685),
    [anon_sym_event] = ACTIONS(685),
    [anon_sym_using] = ACTIONS(685),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_byte] = ACTIONS(685),
    [anon_sym_address] = ACTIONS(685),
    [anon_sym_var] = ACTIONS(685),
    [anon_sym_modifier] = ACTIONS(685),
    [anon_sym_constructor] = ACTIONS(685),
    [anon_sym_fallback] = ACTIONS(685),
    [anon_sym_receive] = ACTIONS(685),
    [anon_sym_mapping] = ACTIONS(685),
    [anon_sym_bool] = ACTIONS(685),
    [anon_sym_string] = ACTIONS(685),
    [anon_sym_int] = ACTIONS(685),
    [anon_sym_int8] = ACTIONS(685),
    [anon_sym_int16] = ACTIONS(685),
    [anon_sym_int24] = ACTIONS(685),
    [anon_sym_int32] = ACTIONS(685),
    [anon_sym_int40] = ACTIONS(685),
    [anon_sym_int48] = ACTIONS(685),
    [anon_sym_int56] = ACTIONS(685),
    [anon_sym_int64] = ACTIONS(685),
    [anon_sym_int72] = ACTIONS(685),
    [anon_sym_int80] = ACTIONS(685),
    [anon_sym_int88] = ACTIONS(685),
    [anon_sym_int96] = ACTIONS(685),
    [anon_sym_int104] = ACTIONS(685),
    [anon_sym_int112] = ACTIONS(685),
    [anon_sym_int120] = ACTIONS(685),
    [anon_sym_int128] = ACTIONS(685),
    [anon_sym_int136] = ACTIONS(685),
    [anon_sym_int144] = ACTIONS(685),
    [anon_sym_int152] = ACTIONS(685),
    [anon_sym_int160] = ACTIONS(685),
    [anon_sym_int168] = ACTIONS(685),
    [anon_sym_int176] = ACTIONS(685),
    [anon_sym_int184] = ACTIONS(685),
    [anon_sym_int192] = ACTIONS(685),
    [anon_sym_int200] = ACTIONS(685),
    [anon_sym_int208] = ACTIONS(685),
    [anon_sym_int216] = ACTIONS(685),
    [anon_sym_int224] = ACTIONS(685),
    [anon_sym_int232] = ACTIONS(685),
    [anon_sym_int240] = ACTIONS(685),
    [anon_sym_int248] = ACTIONS(685),
    [anon_sym_int256] = ACTIONS(685),
    [anon_sym_uint] = ACTIONS(685),
    [anon_sym_uint8] = ACTIONS(685),
    [anon_sym_uint16] = ACTIONS(685),
    [anon_sym_uint24] = ACTIONS(685),
    [anon_sym_uint32] = ACTIONS(685),
    [anon_sym_uint40] = ACTIONS(685),
    [anon_sym_uint48] = ACTIONS(685),
    [anon_sym_uint56] = ACTIONS(685),
    [anon_sym_uint64] = ACTIONS(685),
    [anon_sym_uint72] = ACTIONS(685),
    [anon_sym_uint80] = ACTIONS(685),
    [anon_sym_uint88] = ACTIONS(685),
    [anon_sym_uint96] = ACTIONS(685),
    [anon_sym_uint104] = ACTIONS(685),
    [anon_sym_uint112] = ACTIONS(685),
    [anon_sym_uint120] = ACTIONS(685),
    [anon_sym_uint128] = ACTIONS(685),
    [anon_sym_uint136] = ACTIONS(685),
    [anon_sym_uint144] = ACTIONS(685),
    [anon_sym_uint152] = ACTIONS(685),
    [anon_sym_uint160] = ACTIONS(685),
    [anon_sym_uint168] = ACTIONS(685),
    [anon_sym_uint176] = ACTIONS(685),
    [anon_sym_uint184] = ACTIONS(685),
    [anon_sym_uint192] = ACTIONS(685),
    [anon_sym_uint200] = ACTIONS(685),
    [anon_sym_uint208] = ACTIONS(685),
    [anon_sym_uint216] = ACTIONS(685),
    [anon_sym_uint224] = ACTIONS(685),
    [anon_sym_uint232] = ACTIONS(685),
    [anon_sym_uint240] = ACTIONS(685),
    [anon_sym_uint248] = ACTIONS(685),
    [anon_sym_uint256] = ACTIONS(685),
    [anon_sym_bytes] = ACTIONS(685),
    [anon_sym_bytes1] = ACTIONS(685),
    [anon_sym_bytes2] = ACTIONS(685),
    [anon_sym_bytes3] = ACTIONS(685),
    [anon_sym_bytes4] = ACTIONS(685),
    [anon_sym_bytes5] = ACTIONS(685),
    [anon_sym_bytes6] = ACTIONS(685),
    [anon_sym_bytes7] = ACTIONS(685),
    [anon_sym_bytes8] = ACTIONS(685),
    [anon_sym_bytes9] = ACTIONS(685),
    [anon_sym_bytes10] = ACTIONS(685),
    [anon_sym_bytes11] = ACTIONS(685),
    [anon_sym_bytes12] = ACTIONS(685),
    [anon_sym_bytes13] = ACTIONS(685),
    [anon_sym_bytes14] = ACTIONS(685),
    [anon_sym_bytes15] = ACTIONS(685),
    [anon_sym_bytes16] = ACTIONS(685),
    [anon_sym_bytes17] = ACTIONS(685),
    [anon_sym_bytes18] = ACTIONS(685),
    [anon_sym_bytes19] = ACTIONS(685),
    [anon_sym_bytes20] = ACTIONS(685),
    [anon_sym_bytes21] = ACTIONS(685),
    [anon_sym_bytes22] = ACTIONS(685),
    [anon_sym_bytes23] = ACTIONS(685),
    [anon_sym_bytes24] = ACTIONS(685),
    [anon_sym_bytes25] = ACTIONS(685),
    [anon_sym_bytes26] = ACTIONS(685),
    [anon_sym_bytes27] = ACTIONS(685),
    [anon_sym_bytes28] = ACTIONS(685),
    [anon_sym_bytes29] = ACTIONS(685),
    [anon_sym_bytes30] = ACTIONS(685),
    [anon_sym_bytes31] = ACTIONS(685),
    [anon_sym_bytes32] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(685),
    [aux_sym__fixed_token1] = ACTIONS(685),
    [anon_sym_ufixed] = ACTIONS(685),
    [aux_sym__ufixed_token1] = ACTIONS(685),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [sym_identifier] = ACTIONS(729),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_type] = ACTIONS(729),
    [anon_sym_error] = ACTIONS(729),
    [anon_sym_struct] = ACTIONS(729),
    [anon_sym_enum] = ACTIONS(729),
    [anon_sym_event] = ACTIONS(729),
    [anon_sym_using] = ACTIONS(729),
    [anon_sym_function] = ACTIONS(729),
    [anon_sym_byte] = ACTIONS(729),
    [anon_sym_address] = ACTIONS(729),
    [anon_sym_var] = ACTIONS(729),
    [anon_sym_modifier] = ACTIONS(729),
    [anon_sym_constructor] = ACTIONS(729),
    [anon_sym_fallback] = ACTIONS(729),
    [anon_sym_receive] = ACTIONS(729),
    [anon_sym_mapping] = ACTIONS(729),
    [anon_sym_bool] = ACTIONS(729),
    [anon_sym_string] = ACTIONS(729),
    [anon_sym_int] = ACTIONS(729),
    [anon_sym_int8] = ACTIONS(729),
    [anon_sym_int16] = ACTIONS(729),
    [anon_sym_int24] = ACTIONS(729),
    [anon_sym_int32] = ACTIONS(729),
    [anon_sym_int40] = ACTIONS(729),
    [anon_sym_int48] = ACTIONS(729),
    [anon_sym_int56] = ACTIONS(729),
    [anon_sym_int64] = ACTIONS(729),
    [anon_sym_int72] = ACTIONS(729),
    [anon_sym_int80] = ACTIONS(729),
    [anon_sym_int88] = ACTIONS(729),
    [anon_sym_int96] = ACTIONS(729),
    [anon_sym_int104] = ACTIONS(729),
    [anon_sym_int112] = ACTIONS(729),
    [anon_sym_int120] = ACTIONS(729),
    [anon_sym_int128] = ACTIONS(729),
    [anon_sym_int136] = ACTIONS(729),
    [anon_sym_int144] = ACTIONS(729),
    [anon_sym_int152] = ACTIONS(729),
    [anon_sym_int160] = ACTIONS(729),
    [anon_sym_int168] = ACTIONS(729),
    [anon_sym_int176] = ACTIONS(729),
    [anon_sym_int184] = ACTIONS(729),
    [anon_sym_int192] = ACTIONS(729),
    [anon_sym_int200] = ACTIONS(729),
    [anon_sym_int208] = ACTIONS(729),
    [anon_sym_int216] = ACTIONS(729),
    [anon_sym_int224] = ACTIONS(729),
    [anon_sym_int232] = ACTIONS(729),
    [anon_sym_int240] = ACTIONS(729),
    [anon_sym_int248] = ACTIONS(729),
    [anon_sym_int256] = ACTIONS(729),
    [anon_sym_uint] = ACTIONS(729),
    [anon_sym_uint8] = ACTIONS(729),
    [anon_sym_uint16] = ACTIONS(729),
    [anon_sym_uint24] = ACTIONS(729),
    [anon_sym_uint32] = ACTIONS(729),
    [anon_sym_uint40] = ACTIONS(729),
    [anon_sym_uint48] = ACTIONS(729),
    [anon_sym_uint56] = ACTIONS(729),
    [anon_sym_uint64] = ACTIONS(729),
    [anon_sym_uint72] = ACTIONS(729),
    [anon_sym_uint80] = ACTIONS(729),
    [anon_sym_uint88] = ACTIONS(729),
    [anon_sym_uint96] = ACTIONS(729),
    [anon_sym_uint104] = ACTIONS(729),
    [anon_sym_uint112] = ACTIONS(729),
    [anon_sym_uint120] = ACTIONS(729),
    [anon_sym_uint128] = ACTIONS(729),
    [anon_sym_uint136] = ACTIONS(729),
    [anon_sym_uint144] = ACTIONS(729),
    [anon_sym_uint152] = ACTIONS(729),
    [anon_sym_uint160] = ACTIONS(729),
    [anon_sym_uint168] = ACTIONS(729),
    [anon_sym_uint176] = ACTIONS(729),
    [anon_sym_uint184] = ACTIONS(729),
    [anon_sym_uint192] = ACTIONS(729),
    [anon_sym_uint200] = ACTIONS(729),
    [anon_sym_uint208] = ACTIONS(729),
    [anon_sym_uint216] = ACTIONS(729),
    [anon_sym_uint224] = ACTIONS(729),
    [anon_sym_uint232] = ACTIONS(729),
    [anon_sym_uint240] = ACTIONS(729),
    [anon_sym_uint248] = ACTIONS(729),
    [anon_sym_uint256] = ACTIONS(729),
    [anon_sym_bytes] = ACTIONS(729),
    [anon_sym_bytes1] = ACTIONS(729),
    [anon_sym_bytes2] = ACTIONS(729),
    [anon_sym_bytes3] = ACTIONS(729),
    [anon_sym_bytes4] = ACTIONS(729),
    [anon_sym_bytes5] = ACTIONS(729),
    [anon_sym_bytes6] = ACTIONS(729),
    [anon_sym_bytes7] = ACTIONS(729),
    [anon_sym_bytes8] = ACTIONS(729),
    [anon_sym_bytes9] = ACTIONS(729),
    [anon_sym_bytes10] = ACTIONS(729),
    [anon_sym_bytes11] = ACTIONS(729),
    [anon_sym_bytes12] = ACTIONS(729),
    [anon_sym_bytes13] = ACTIONS(729),
    [anon_sym_bytes14] = ACTIONS(729),
    [anon_sym_bytes15] = ACTIONS(729),
    [anon_sym_bytes16] = ACTIONS(729),
    [anon_sym_bytes17] = ACTIONS(729),
    [anon_sym_bytes18] = ACTIONS(729),
    [anon_sym_bytes19] = ACTIONS(729),
    [anon_sym_bytes20] = ACTIONS(729),
    [anon_sym_bytes21] = ACTIONS(729),
    [anon_sym_bytes22] = ACTIONS(729),
    [anon_sym_bytes23] = ACTIONS(729),
    [anon_sym_bytes24] = ACTIONS(729),
    [anon_sym_bytes25] = ACTIONS(729),
    [anon_sym_bytes26] = ACTIONS(729),
    [anon_sym_bytes27] = ACTIONS(729),
    [anon_sym_bytes28] = ACTIONS(729),
    [anon_sym_bytes29] = ACTIONS(729),
    [anon_sym_bytes30] = ACTIONS(729),
    [anon_sym_bytes31] = ACTIONS(729),
    [anon_sym_bytes32] = ACTIONS(729),
    [anon_sym_fixed] = ACTIONS(729),
    [aux_sym__fixed_token1] = ACTIONS(729),
    [anon_sym_ufixed] = ACTIONS(729),
    [aux_sym__ufixed_token1] = ACTIONS(729),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_identifier] = ACTIONS(769),
    [anon_sym_RBRACE] = ACTIONS(767),
    [anon_sym_type] = ACTIONS(769),
    [anon_sym_error] = ACTIONS(769),
    [anon_sym_struct] = ACTIONS(769),
    [anon_sym_enum] = ACTIONS(769),
    [anon_sym_event] = ACTIONS(769),
    [anon_sym_using] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_byte] = ACTIONS(769),
    [anon_sym_address] = ACTIONS(769),
    [anon_sym_var] = ACTIONS(769),
    [anon_sym_modifier] = ACTIONS(769),
    [anon_sym_constructor] = ACTIONS(769),
    [anon_sym_fallback] = ACTIONS(769),
    [anon_sym_receive] = ACTIONS(769),
    [anon_sym_mapping] = ACTIONS(769),
    [anon_sym_bool] = ACTIONS(769),
    [anon_sym_string] = ACTIONS(769),
    [anon_sym_int] = ACTIONS(769),
    [anon_sym_int8] = ACTIONS(769),
    [anon_sym_int16] = ACTIONS(769),
    [anon_sym_int24] = ACTIONS(769),
    [anon_sym_int32] = ACTIONS(769),
    [anon_sym_int40] = ACTIONS(769),
    [anon_sym_int48] = ACTIONS(769),
    [anon_sym_int56] = ACTIONS(769),
    [anon_sym_int64] = ACTIONS(769),
    [anon_sym_int72] = ACTIONS(769),
    [anon_sym_int80] = ACTIONS(769),
    [anon_sym_int88] = ACTIONS(769),
    [anon_sym_int96] = ACTIONS(769),
    [anon_sym_int104] = ACTIONS(769),
    [anon_sym_int112] = ACTIONS(769),
    [anon_sym_int120] = ACTIONS(769),
    [anon_sym_int128] = ACTIONS(769),
    [anon_sym_int136] = ACTIONS(769),
    [anon_sym_int144] = ACTIONS(769),
    [anon_sym_int152] = ACTIONS(769),
    [anon_sym_int160] = ACTIONS(769),
    [anon_sym_int168] = ACTIONS(769),
    [anon_sym_int176] = ACTIONS(769),
    [anon_sym_int184] = ACTIONS(769),
    [anon_sym_int192] = ACTIONS(769),
    [anon_sym_int200] = ACTIONS(769),
    [anon_sym_int208] = ACTIONS(769),
    [anon_sym_int216] = ACTIONS(769),
    [anon_sym_int224] = ACTIONS(769),
    [anon_sym_int232] = ACTIONS(769),
    [anon_sym_int240] = ACTIONS(769),
    [anon_sym_int248] = ACTIONS(769),
    [anon_sym_int256] = ACTIONS(769),
    [anon_sym_uint] = ACTIONS(769),
    [anon_sym_uint8] = ACTIONS(769),
    [anon_sym_uint16] = ACTIONS(769),
    [anon_sym_uint24] = ACTIONS(769),
    [anon_sym_uint32] = ACTIONS(769),
    [anon_sym_uint40] = ACTIONS(769),
    [anon_sym_uint48] = ACTIONS(769),
    [anon_sym_uint56] = ACTIONS(769),
    [anon_sym_uint64] = ACTIONS(769),
    [anon_sym_uint72] = ACTIONS(769),
    [anon_sym_uint80] = ACTIONS(769),
    [anon_sym_uint88] = ACTIONS(769),
    [anon_sym_uint96] = ACTIONS(769),
    [anon_sym_uint104] = ACTIONS(769),
    [anon_sym_uint112] = ACTIONS(769),
    [anon_sym_uint120] = ACTIONS(769),
    [anon_sym_uint128] = ACTIONS(769),
    [anon_sym_uint136] = ACTIONS(769),
    [anon_sym_uint144] = ACTIONS(769),
    [anon_sym_uint152] = ACTIONS(769),
    [anon_sym_uint160] = ACTIONS(769),
    [anon_sym_uint168] = ACTIONS(769),
    [anon_sym_uint176] = ACTIONS(769),
    [anon_sym_uint184] = ACTIONS(769),
    [anon_sym_uint192] = ACTIONS(769),
    [anon_sym_uint200] = ACTIONS(769),
    [anon_sym_uint208] = ACTIONS(769),
    [anon_sym_uint216] = ACTIONS(769),
    [anon_sym_uint224] = ACTIONS(769),
    [anon_sym_uint232] = ACTIONS(769),
    [anon_sym_uint240] = ACTIONS(769),
    [anon_sym_uint248] = ACTIONS(769),
    [anon_sym_uint256] = ACTIONS(769),
    [anon_sym_bytes] = ACTIONS(769),
    [anon_sym_bytes1] = ACTIONS(769),
    [anon_sym_bytes2] = ACTIONS(769),
    [anon_sym_bytes3] = ACTIONS(769),
    [anon_sym_bytes4] = ACTIONS(769),
    [anon_sym_bytes5] = ACTIONS(769),
    [anon_sym_bytes6] = ACTIONS(769),
    [anon_sym_bytes7] = ACTIONS(769),
    [anon_sym_bytes8] = ACTIONS(769),
    [anon_sym_bytes9] = ACTIONS(769),
    [anon_sym_bytes10] = ACTIONS(769),
    [anon_sym_bytes11] = ACTIONS(769),
    [anon_sym_bytes12] = ACTIONS(769),
    [anon_sym_bytes13] = ACTIONS(769),
    [anon_sym_bytes14] = ACTIONS(769),
    [anon_sym_bytes15] = ACTIONS(769),
    [anon_sym_bytes16] = ACTIONS(769),
    [anon_sym_bytes17] = ACTIONS(769),
    [anon_sym_bytes18] = ACTIONS(769),
    [anon_sym_bytes19] = ACTIONS(769),
    [anon_sym_bytes20] = ACTIONS(769),
    [anon_sym_bytes21] = ACTIONS(769),
    [anon_sym_bytes22] = ACTIONS(769),
    [anon_sym_bytes23] = ACTIONS(769),
    [anon_sym_bytes24] = ACTIONS(769),
    [anon_sym_bytes25] = ACTIONS(769),
    [anon_sym_bytes26] = ACTIONS(769),
    [anon_sym_bytes27] = ACTIONS(769),
    [anon_sym_bytes28] = ACTIONS(769),
    [anon_sym_bytes29] = ACTIONS(769),
    [anon_sym_bytes30] = ACTIONS(769),
    [anon_sym_bytes31] = ACTIONS(769),
    [anon_sym_bytes32] = ACTIONS(769),
    [anon_sym_fixed] = ACTIONS(769),
    [aux_sym__fixed_token1] = ACTIONS(769),
    [anon_sym_ufixed] = ACTIONS(769),
    [aux_sym__ufixed_token1] = ACTIONS(769),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [sym_identifier] = ACTIONS(701),
    [anon_sym_RBRACE] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(701),
    [anon_sym_error] = ACTIONS(701),
    [anon_sym_struct] = ACTIONS(701),
    [anon_sym_enum] = ACTIONS(701),
    [anon_sym_event] = ACTIONS(701),
    [anon_sym_using] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(701),
    [anon_sym_byte] = ACTIONS(701),
    [anon_sym_address] = ACTIONS(701),
    [anon_sym_var] = ACTIONS(701),
    [anon_sym_modifier] = ACTIONS(701),
    [anon_sym_constructor] = ACTIONS(701),
    [anon_sym_fallback] = ACTIONS(701),
    [anon_sym_receive] = ACTIONS(701),
    [anon_sym_mapping] = ACTIONS(701),
    [anon_sym_bool] = ACTIONS(701),
    [anon_sym_string] = ACTIONS(701),
    [anon_sym_int] = ACTIONS(701),
    [anon_sym_int8] = ACTIONS(701),
    [anon_sym_int16] = ACTIONS(701),
    [anon_sym_int24] = ACTIONS(701),
    [anon_sym_int32] = ACTIONS(701),
    [anon_sym_int40] = ACTIONS(701),
    [anon_sym_int48] = ACTIONS(701),
    [anon_sym_int56] = ACTIONS(701),
    [anon_sym_int64] = ACTIONS(701),
    [anon_sym_int72] = ACTIONS(701),
    [anon_sym_int80] = ACTIONS(701),
    [anon_sym_int88] = ACTIONS(701),
    [anon_sym_int96] = ACTIONS(701),
    [anon_sym_int104] = ACTIONS(701),
    [anon_sym_int112] = ACTIONS(701),
    [anon_sym_int120] = ACTIONS(701),
    [anon_sym_int128] = ACTIONS(701),
    [anon_sym_int136] = ACTIONS(701),
    [anon_sym_int144] = ACTIONS(701),
    [anon_sym_int152] = ACTIONS(701),
    [anon_sym_int160] = ACTIONS(701),
    [anon_sym_int168] = ACTIONS(701),
    [anon_sym_int176] = ACTIONS(701),
    [anon_sym_int184] = ACTIONS(701),
    [anon_sym_int192] = ACTIONS(701),
    [anon_sym_int200] = ACTIONS(701),
    [anon_sym_int208] = ACTIONS(701),
    [anon_sym_int216] = ACTIONS(701),
    [anon_sym_int224] = ACTIONS(701),
    [anon_sym_int232] = ACTIONS(701),
    [anon_sym_int240] = ACTIONS(701),
    [anon_sym_int248] = ACTIONS(701),
    [anon_sym_int256] = ACTIONS(701),
    [anon_sym_uint] = ACTIONS(701),
    [anon_sym_uint8] = ACTIONS(701),
    [anon_sym_uint16] = ACTIONS(701),
    [anon_sym_uint24] = ACTIONS(701),
    [anon_sym_uint32] = ACTIONS(701),
    [anon_sym_uint40] = ACTIONS(701),
    [anon_sym_uint48] = ACTIONS(701),
    [anon_sym_uint56] = ACTIONS(701),
    [anon_sym_uint64] = ACTIONS(701),
    [anon_sym_uint72] = ACTIONS(701),
    [anon_sym_uint80] = ACTIONS(701),
    [anon_sym_uint88] = ACTIONS(701),
    [anon_sym_uint96] = ACTIONS(701),
    [anon_sym_uint104] = ACTIONS(701),
    [anon_sym_uint112] = ACTIONS(701),
    [anon_sym_uint120] = ACTIONS(701),
    [anon_sym_uint128] = ACTIONS(701),
    [anon_sym_uint136] = ACTIONS(701),
    [anon_sym_uint144] = ACTIONS(701),
    [anon_sym_uint152] = ACTIONS(701),
    [anon_sym_uint160] = ACTIONS(701),
    [anon_sym_uint168] = ACTIONS(701),
    [anon_sym_uint176] = ACTIONS(701),
    [anon_sym_uint184] = ACTIONS(701),
    [anon_sym_uint192] = ACTIONS(701),
    [anon_sym_uint200] = ACTIONS(701),
    [anon_sym_uint208] = ACTIONS(701),
    [anon_sym_uint216] = ACTIONS(701),
    [anon_sym_uint224] = ACTIONS(701),
    [anon_sym_uint232] = ACTIONS(701),
    [anon_sym_uint240] = ACTIONS(701),
    [anon_sym_uint248] = ACTIONS(701),
    [anon_sym_uint256] = ACTIONS(701),
    [anon_sym_bytes] = ACTIONS(701),
    [anon_sym_bytes1] = ACTIONS(701),
    [anon_sym_bytes2] = ACTIONS(701),
    [anon_sym_bytes3] = ACTIONS(701),
    [anon_sym_bytes4] = ACTIONS(701),
    [anon_sym_bytes5] = ACTIONS(701),
    [anon_sym_bytes6] = ACTIONS(701),
    [anon_sym_bytes7] = ACTIONS(701),
    [anon_sym_bytes8] = ACTIONS(701),
    [anon_sym_bytes9] = ACTIONS(701),
    [anon_sym_bytes10] = ACTIONS(701),
    [anon_sym_bytes11] = ACTIONS(701),
    [anon_sym_bytes12] = ACTIONS(701),
    [anon_sym_bytes13] = ACTIONS(701),
    [anon_sym_bytes14] = ACTIONS(701),
    [anon_sym_bytes15] = ACTIONS(701),
    [anon_sym_bytes16] = ACTIONS(701),
    [anon_sym_bytes17] = ACTIONS(701),
    [anon_sym_bytes18] = ACTIONS(701),
    [anon_sym_bytes19] = ACTIONS(701),
    [anon_sym_bytes20] = ACTIONS(701),
    [anon_sym_bytes21] = ACTIONS(701),
    [anon_sym_bytes22] = ACTIONS(701),
    [anon_sym_bytes23] = ACTIONS(701),
    [anon_sym_bytes24] = ACTIONS(701),
    [anon_sym_bytes25] = ACTIONS(701),
    [anon_sym_bytes26] = ACTIONS(701),
    [anon_sym_bytes27] = ACTIONS(701),
    [anon_sym_bytes28] = ACTIONS(701),
    [anon_sym_bytes29] = ACTIONS(701),
    [anon_sym_bytes30] = ACTIONS(701),
    [anon_sym_bytes31] = ACTIONS(701),
    [anon_sym_bytes32] = ACTIONS(701),
    [anon_sym_fixed] = ACTIONS(701),
    [aux_sym__fixed_token1] = ACTIONS(701),
    [anon_sym_ufixed] = ACTIONS(701),
    [aux_sym__ufixed_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [sym_identifier] = ACTIONS(721),
    [anon_sym_RBRACE] = ACTIONS(719),
    [anon_sym_type] = ACTIONS(721),
    [anon_sym_error] = ACTIONS(721),
    [anon_sym_struct] = ACTIONS(721),
    [anon_sym_enum] = ACTIONS(721),
    [anon_sym_event] = ACTIONS(721),
    [anon_sym_using] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_byte] = ACTIONS(721),
    [anon_sym_address] = ACTIONS(721),
    [anon_sym_var] = ACTIONS(721),
    [anon_sym_modifier] = ACTIONS(721),
    [anon_sym_constructor] = ACTIONS(721),
    [anon_sym_fallback] = ACTIONS(721),
    [anon_sym_receive] = ACTIONS(721),
    [anon_sym_mapping] = ACTIONS(721),
    [anon_sym_bool] = ACTIONS(721),
    [anon_sym_string] = ACTIONS(721),
    [anon_sym_int] = ACTIONS(721),
    [anon_sym_int8] = ACTIONS(721),
    [anon_sym_int16] = ACTIONS(721),
    [anon_sym_int24] = ACTIONS(721),
    [anon_sym_int32] = ACTIONS(721),
    [anon_sym_int40] = ACTIONS(721),
    [anon_sym_int48] = ACTIONS(721),
    [anon_sym_int56] = ACTIONS(721),
    [anon_sym_int64] = ACTIONS(721),
    [anon_sym_int72] = ACTIONS(721),
    [anon_sym_int80] = ACTIONS(721),
    [anon_sym_int88] = ACTIONS(721),
    [anon_sym_int96] = ACTIONS(721),
    [anon_sym_int104] = ACTIONS(721),
    [anon_sym_int112] = ACTIONS(721),
    [anon_sym_int120] = ACTIONS(721),
    [anon_sym_int128] = ACTIONS(721),
    [anon_sym_int136] = ACTIONS(721),
    [anon_sym_int144] = ACTIONS(721),
    [anon_sym_int152] = ACTIONS(721),
    [anon_sym_int160] = ACTIONS(721),
    [anon_sym_int168] = ACTIONS(721),
    [anon_sym_int176] = ACTIONS(721),
    [anon_sym_int184] = ACTIONS(721),
    [anon_sym_int192] = ACTIONS(721),
    [anon_sym_int200] = ACTIONS(721),
    [anon_sym_int208] = ACTIONS(721),
    [anon_sym_int216] = ACTIONS(721),
    [anon_sym_int224] = ACTIONS(721),
    [anon_sym_int232] = ACTIONS(721),
    [anon_sym_int240] = ACTIONS(721),
    [anon_sym_int248] = ACTIONS(721),
    [anon_sym_int256] = ACTIONS(721),
    [anon_sym_uint] = ACTIONS(721),
    [anon_sym_uint8] = ACTIONS(721),
    [anon_sym_uint16] = ACTIONS(721),
    [anon_sym_uint24] = ACTIONS(721),
    [anon_sym_uint32] = ACTIONS(721),
    [anon_sym_uint40] = ACTIONS(721),
    [anon_sym_uint48] = ACTIONS(721),
    [anon_sym_uint56] = ACTIONS(721),
    [anon_sym_uint64] = ACTIONS(721),
    [anon_sym_uint72] = ACTIONS(721),
    [anon_sym_uint80] = ACTIONS(721),
    [anon_sym_uint88] = ACTIONS(721),
    [anon_sym_uint96] = ACTIONS(721),
    [anon_sym_uint104] = ACTIONS(721),
    [anon_sym_uint112] = ACTIONS(721),
    [anon_sym_uint120] = ACTIONS(721),
    [anon_sym_uint128] = ACTIONS(721),
    [anon_sym_uint136] = ACTIONS(721),
    [anon_sym_uint144] = ACTIONS(721),
    [anon_sym_uint152] = ACTIONS(721),
    [anon_sym_uint160] = ACTIONS(721),
    [anon_sym_uint168] = ACTIONS(721),
    [anon_sym_uint176] = ACTIONS(721),
    [anon_sym_uint184] = ACTIONS(721),
    [anon_sym_uint192] = ACTIONS(721),
    [anon_sym_uint200] = ACTIONS(721),
    [anon_sym_uint208] = ACTIONS(721),
    [anon_sym_uint216] = ACTIONS(721),
    [anon_sym_uint224] = ACTIONS(721),
    [anon_sym_uint232] = ACTIONS(721),
    [anon_sym_uint240] = ACTIONS(721),
    [anon_sym_uint248] = ACTIONS(721),
    [anon_sym_uint256] = ACTIONS(721),
    [anon_sym_bytes] = ACTIONS(721),
    [anon_sym_bytes1] = ACTIONS(721),
    [anon_sym_bytes2] = ACTIONS(721),
    [anon_sym_bytes3] = ACTIONS(721),
    [anon_sym_bytes4] = ACTIONS(721),
    [anon_sym_bytes5] = ACTIONS(721),
    [anon_sym_bytes6] = ACTIONS(721),
    [anon_sym_bytes7] = ACTIONS(721),
    [anon_sym_bytes8] = ACTIONS(721),
    [anon_sym_bytes9] = ACTIONS(721),
    [anon_sym_bytes10] = ACTIONS(721),
    [anon_sym_bytes11] = ACTIONS(721),
    [anon_sym_bytes12] = ACTIONS(721),
    [anon_sym_bytes13] = ACTIONS(721),
    [anon_sym_bytes14] = ACTIONS(721),
    [anon_sym_bytes15] = ACTIONS(721),
    [anon_sym_bytes16] = ACTIONS(721),
    [anon_sym_bytes17] = ACTIONS(721),
    [anon_sym_bytes18] = ACTIONS(721),
    [anon_sym_bytes19] = ACTIONS(721),
    [anon_sym_bytes20] = ACTIONS(721),
    [anon_sym_bytes21] = ACTIONS(721),
    [anon_sym_bytes22] = ACTIONS(721),
    [anon_sym_bytes23] = ACTIONS(721),
    [anon_sym_bytes24] = ACTIONS(721),
    [anon_sym_bytes25] = ACTIONS(721),
    [anon_sym_bytes26] = ACTIONS(721),
    [anon_sym_bytes27] = ACTIONS(721),
    [anon_sym_bytes28] = ACTIONS(721),
    [anon_sym_bytes29] = ACTIONS(721),
    [anon_sym_bytes30] = ACTIONS(721),
    [anon_sym_bytes31] = ACTIONS(721),
    [anon_sym_bytes32] = ACTIONS(721),
    [anon_sym_fixed] = ACTIONS(721),
    [aux_sym__fixed_token1] = ACTIONS(721),
    [anon_sym_ufixed] = ACTIONS(721),
    [aux_sym__ufixed_token1] = ACTIONS(721),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_identifier] = ACTIONS(725),
    [anon_sym_RBRACE] = ACTIONS(723),
    [anon_sym_type] = ACTIONS(725),
    [anon_sym_error] = ACTIONS(725),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(725),
    [anon_sym_event] = ACTIONS(725),
    [anon_sym_using] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_byte] = ACTIONS(725),
    [anon_sym_address] = ACTIONS(725),
    [anon_sym_var] = ACTIONS(725),
    [anon_sym_modifier] = ACTIONS(725),
    [anon_sym_constructor] = ACTIONS(725),
    [anon_sym_fallback] = ACTIONS(725),
    [anon_sym_receive] = ACTIONS(725),
    [anon_sym_mapping] = ACTIONS(725),
    [anon_sym_bool] = ACTIONS(725),
    [anon_sym_string] = ACTIONS(725),
    [anon_sym_int] = ACTIONS(725),
    [anon_sym_int8] = ACTIONS(725),
    [anon_sym_int16] = ACTIONS(725),
    [anon_sym_int24] = ACTIONS(725),
    [anon_sym_int32] = ACTIONS(725),
    [anon_sym_int40] = ACTIONS(725),
    [anon_sym_int48] = ACTIONS(725),
    [anon_sym_int56] = ACTIONS(725),
    [anon_sym_int64] = ACTIONS(725),
    [anon_sym_int72] = ACTIONS(725),
    [anon_sym_int80] = ACTIONS(725),
    [anon_sym_int88] = ACTIONS(725),
    [anon_sym_int96] = ACTIONS(725),
    [anon_sym_int104] = ACTIONS(725),
    [anon_sym_int112] = ACTIONS(725),
    [anon_sym_int120] = ACTIONS(725),
    [anon_sym_int128] = ACTIONS(725),
    [anon_sym_int136] = ACTIONS(725),
    [anon_sym_int144] = ACTIONS(725),
    [anon_sym_int152] = ACTIONS(725),
    [anon_sym_int160] = ACTIONS(725),
    [anon_sym_int168] = ACTIONS(725),
    [anon_sym_int176] = ACTIONS(725),
    [anon_sym_int184] = ACTIONS(725),
    [anon_sym_int192] = ACTIONS(725),
    [anon_sym_int200] = ACTIONS(725),
    [anon_sym_int208] = ACTIONS(725),
    [anon_sym_int216] = ACTIONS(725),
    [anon_sym_int224] = ACTIONS(725),
    [anon_sym_int232] = ACTIONS(725),
    [anon_sym_int240] = ACTIONS(725),
    [anon_sym_int248] = ACTIONS(725),
    [anon_sym_int256] = ACTIONS(725),
    [anon_sym_uint] = ACTIONS(725),
    [anon_sym_uint8] = ACTIONS(725),
    [anon_sym_uint16] = ACTIONS(725),
    [anon_sym_uint24] = ACTIONS(725),
    [anon_sym_uint32] = ACTIONS(725),
    [anon_sym_uint40] = ACTIONS(725),
    [anon_sym_uint48] = ACTIONS(725),
    [anon_sym_uint56] = ACTIONS(725),
    [anon_sym_uint64] = ACTIONS(725),
    [anon_sym_uint72] = ACTIONS(725),
    [anon_sym_uint80] = ACTIONS(725),
    [anon_sym_uint88] = ACTIONS(725),
    [anon_sym_uint96] = ACTIONS(725),
    [anon_sym_uint104] = ACTIONS(725),
    [anon_sym_uint112] = ACTIONS(725),
    [anon_sym_uint120] = ACTIONS(725),
    [anon_sym_uint128] = ACTIONS(725),
    [anon_sym_uint136] = ACTIONS(725),
    [anon_sym_uint144] = ACTIONS(725),
    [anon_sym_uint152] = ACTIONS(725),
    [anon_sym_uint160] = ACTIONS(725),
    [anon_sym_uint168] = ACTIONS(725),
    [anon_sym_uint176] = ACTIONS(725),
    [anon_sym_uint184] = ACTIONS(725),
    [anon_sym_uint192] = ACTIONS(725),
    [anon_sym_uint200] = ACTIONS(725),
    [anon_sym_uint208] = ACTIONS(725),
    [anon_sym_uint216] = ACTIONS(725),
    [anon_sym_uint224] = ACTIONS(725),
    [anon_sym_uint232] = ACTIONS(725),
    [anon_sym_uint240] = ACTIONS(725),
    [anon_sym_uint248] = ACTIONS(725),
    [anon_sym_uint256] = ACTIONS(725),
    [anon_sym_bytes] = ACTIONS(725),
    [anon_sym_bytes1] = ACTIONS(725),
    [anon_sym_bytes2] = ACTIONS(725),
    [anon_sym_bytes3] = ACTIONS(725),
    [anon_sym_bytes4] = ACTIONS(725),
    [anon_sym_bytes5] = ACTIONS(725),
    [anon_sym_bytes6] = ACTIONS(725),
    [anon_sym_bytes7] = ACTIONS(725),
    [anon_sym_bytes8] = ACTIONS(725),
    [anon_sym_bytes9] = ACTIONS(725),
    [anon_sym_bytes10] = ACTIONS(725),
    [anon_sym_bytes11] = ACTIONS(725),
    [anon_sym_bytes12] = ACTIONS(725),
    [anon_sym_bytes13] = ACTIONS(725),
    [anon_sym_bytes14] = ACTIONS(725),
    [anon_sym_bytes15] = ACTIONS(725),
    [anon_sym_bytes16] = ACTIONS(725),
    [anon_sym_bytes17] = ACTIONS(725),
    [anon_sym_bytes18] = ACTIONS(725),
    [anon_sym_bytes19] = ACTIONS(725),
    [anon_sym_bytes20] = ACTIONS(725),
    [anon_sym_bytes21] = ACTIONS(725),
    [anon_sym_bytes22] = ACTIONS(725),
    [anon_sym_bytes23] = ACTIONS(725),
    [anon_sym_bytes24] = ACTIONS(725),
    [anon_sym_bytes25] = ACTIONS(725),
    [anon_sym_bytes26] = ACTIONS(725),
    [anon_sym_bytes27] = ACTIONS(725),
    [anon_sym_bytes28] = ACTIONS(725),
    [anon_sym_bytes29] = ACTIONS(725),
    [anon_sym_bytes30] = ACTIONS(725),
    [anon_sym_bytes31] = ACTIONS(725),
    [anon_sym_bytes32] = ACTIONS(725),
    [anon_sym_fixed] = ACTIONS(725),
    [aux_sym__fixed_token1] = ACTIONS(725),
    [anon_sym_ufixed] = ACTIONS(725),
    [aux_sym__ufixed_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_identifier] = ACTIONS(773),
    [anon_sym_RBRACE] = ACTIONS(771),
    [anon_sym_type] = ACTIONS(773),
    [anon_sym_error] = ACTIONS(773),
    [anon_sym_struct] = ACTIONS(773),
    [anon_sym_enum] = ACTIONS(773),
    [anon_sym_event] = ACTIONS(773),
    [anon_sym_using] = ACTIONS(773),
    [anon_sym_function] = ACTIONS(773),
    [anon_sym_byte] = ACTIONS(773),
    [anon_sym_address] = ACTIONS(773),
    [anon_sym_var] = ACTIONS(773),
    [anon_sym_modifier] = ACTIONS(773),
    [anon_sym_constructor] = ACTIONS(773),
    [anon_sym_fallback] = ACTIONS(773),
    [anon_sym_receive] = ACTIONS(773),
    [anon_sym_mapping] = ACTIONS(773),
    [anon_sym_bool] = ACTIONS(773),
    [anon_sym_string] = ACTIONS(773),
    [anon_sym_int] = ACTIONS(773),
    [anon_sym_int8] = ACTIONS(773),
    [anon_sym_int16] = ACTIONS(773),
    [anon_sym_int24] = ACTIONS(773),
    [anon_sym_int32] = ACTIONS(773),
    [anon_sym_int40] = ACTIONS(773),
    [anon_sym_int48] = ACTIONS(773),
    [anon_sym_int56] = ACTIONS(773),
    [anon_sym_int64] = ACTIONS(773),
    [anon_sym_int72] = ACTIONS(773),
    [anon_sym_int80] = ACTIONS(773),
    [anon_sym_int88] = ACTIONS(773),
    [anon_sym_int96] = ACTIONS(773),
    [anon_sym_int104] = ACTIONS(773),
    [anon_sym_int112] = ACTIONS(773),
    [anon_sym_int120] = ACTIONS(773),
    [anon_sym_int128] = ACTIONS(773),
    [anon_sym_int136] = ACTIONS(773),
    [anon_sym_int144] = ACTIONS(773),
    [anon_sym_int152] = ACTIONS(773),
    [anon_sym_int160] = ACTIONS(773),
    [anon_sym_int168] = ACTIONS(773),
    [anon_sym_int176] = ACTIONS(773),
    [anon_sym_int184] = ACTIONS(773),
    [anon_sym_int192] = ACTIONS(773),
    [anon_sym_int200] = ACTIONS(773),
    [anon_sym_int208] = ACTIONS(773),
    [anon_sym_int216] = ACTIONS(773),
    [anon_sym_int224] = ACTIONS(773),
    [anon_sym_int232] = ACTIONS(773),
    [anon_sym_int240] = ACTIONS(773),
    [anon_sym_int248] = ACTIONS(773),
    [anon_sym_int256] = ACTIONS(773),
    [anon_sym_uint] = ACTIONS(773),
    [anon_sym_uint8] = ACTIONS(773),
    [anon_sym_uint16] = ACTIONS(773),
    [anon_sym_uint24] = ACTIONS(773),
    [anon_sym_uint32] = ACTIONS(773),
    [anon_sym_uint40] = ACTIONS(773),
    [anon_sym_uint48] = ACTIONS(773),
    [anon_sym_uint56] = ACTIONS(773),
    [anon_sym_uint64] = ACTIONS(773),
    [anon_sym_uint72] = ACTIONS(773),
    [anon_sym_uint80] = ACTIONS(773),
    [anon_sym_uint88] = ACTIONS(773),
    [anon_sym_uint96] = ACTIONS(773),
    [anon_sym_uint104] = ACTIONS(773),
    [anon_sym_uint112] = ACTIONS(773),
    [anon_sym_uint120] = ACTIONS(773),
    [anon_sym_uint128] = ACTIONS(773),
    [anon_sym_uint136] = ACTIONS(773),
    [anon_sym_uint144] = ACTIONS(773),
    [anon_sym_uint152] = ACTIONS(773),
    [anon_sym_uint160] = ACTIONS(773),
    [anon_sym_uint168] = ACTIONS(773),
    [anon_sym_uint176] = ACTIONS(773),
    [anon_sym_uint184] = ACTIONS(773),
    [anon_sym_uint192] = ACTIONS(773),
    [anon_sym_uint200] = ACTIONS(773),
    [anon_sym_uint208] = ACTIONS(773),
    [anon_sym_uint216] = ACTIONS(773),
    [anon_sym_uint224] = ACTIONS(773),
    [anon_sym_uint232] = ACTIONS(773),
    [anon_sym_uint240] = ACTIONS(773),
    [anon_sym_uint248] = ACTIONS(773),
    [anon_sym_uint256] = ACTIONS(773),
    [anon_sym_bytes] = ACTIONS(773),
    [anon_sym_bytes1] = ACTIONS(773),
    [anon_sym_bytes2] = ACTIONS(773),
    [anon_sym_bytes3] = ACTIONS(773),
    [anon_sym_bytes4] = ACTIONS(773),
    [anon_sym_bytes5] = ACTIONS(773),
    [anon_sym_bytes6] = ACTIONS(773),
    [anon_sym_bytes7] = ACTIONS(773),
    [anon_sym_bytes8] = ACTIONS(773),
    [anon_sym_bytes9] = ACTIONS(773),
    [anon_sym_bytes10] = ACTIONS(773),
    [anon_sym_bytes11] = ACTIONS(773),
    [anon_sym_bytes12] = ACTIONS(773),
    [anon_sym_bytes13] = ACTIONS(773),
    [anon_sym_bytes14] = ACTIONS(773),
    [anon_sym_bytes15] = ACTIONS(773),
    [anon_sym_bytes16] = ACTIONS(773),
    [anon_sym_bytes17] = ACTIONS(773),
    [anon_sym_bytes18] = ACTIONS(773),
    [anon_sym_bytes19] = ACTIONS(773),
    [anon_sym_bytes20] = ACTIONS(773),
    [anon_sym_bytes21] = ACTIONS(773),
    [anon_sym_bytes22] = ACTIONS(773),
    [anon_sym_bytes23] = ACTIONS(773),
    [anon_sym_bytes24] = ACTIONS(773),
    [anon_sym_bytes25] = ACTIONS(773),
    [anon_sym_bytes26] = ACTIONS(773),
    [anon_sym_bytes27] = ACTIONS(773),
    [anon_sym_bytes28] = ACTIONS(773),
    [anon_sym_bytes29] = ACTIONS(773),
    [anon_sym_bytes30] = ACTIONS(773),
    [anon_sym_bytes31] = ACTIONS(773),
    [anon_sym_bytes32] = ACTIONS(773),
    [anon_sym_fixed] = ACTIONS(773),
    [aux_sym__fixed_token1] = ACTIONS(773),
    [anon_sym_ufixed] = ACTIONS(773),
    [aux_sym__ufixed_token1] = ACTIONS(773),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [sym_identifier] = ACTIONS(789),
    [anon_sym_RBRACE] = ACTIONS(787),
    [anon_sym_type] = ACTIONS(789),
    [anon_sym_error] = ACTIONS(789),
    [anon_sym_struct] = ACTIONS(789),
    [anon_sym_enum] = ACTIONS(789),
    [anon_sym_event] = ACTIONS(789),
    [anon_sym_using] = ACTIONS(789),
    [anon_sym_function] = ACTIONS(789),
    [anon_sym_byte] = ACTIONS(789),
    [anon_sym_address] = ACTIONS(789),
    [anon_sym_var] = ACTIONS(789),
    [anon_sym_modifier] = ACTIONS(789),
    [anon_sym_constructor] = ACTIONS(789),
    [anon_sym_fallback] = ACTIONS(789),
    [anon_sym_receive] = ACTIONS(789),
    [anon_sym_mapping] = ACTIONS(789),
    [anon_sym_bool] = ACTIONS(789),
    [anon_sym_string] = ACTIONS(789),
    [anon_sym_int] = ACTIONS(789),
    [anon_sym_int8] = ACTIONS(789),
    [anon_sym_int16] = ACTIONS(789),
    [anon_sym_int24] = ACTIONS(789),
    [anon_sym_int32] = ACTIONS(789),
    [anon_sym_int40] = ACTIONS(789),
    [anon_sym_int48] = ACTIONS(789),
    [anon_sym_int56] = ACTIONS(789),
    [anon_sym_int64] = ACTIONS(789),
    [anon_sym_int72] = ACTIONS(789),
    [anon_sym_int80] = ACTIONS(789),
    [anon_sym_int88] = ACTIONS(789),
    [anon_sym_int96] = ACTIONS(789),
    [anon_sym_int104] = ACTIONS(789),
    [anon_sym_int112] = ACTIONS(789),
    [anon_sym_int120] = ACTIONS(789),
    [anon_sym_int128] = ACTIONS(789),
    [anon_sym_int136] = ACTIONS(789),
    [anon_sym_int144] = ACTIONS(789),
    [anon_sym_int152] = ACTIONS(789),
    [anon_sym_int160] = ACTIONS(789),
    [anon_sym_int168] = ACTIONS(789),
    [anon_sym_int176] = ACTIONS(789),
    [anon_sym_int184] = ACTIONS(789),
    [anon_sym_int192] = ACTIONS(789),
    [anon_sym_int200] = ACTIONS(789),
    [anon_sym_int208] = ACTIONS(789),
    [anon_sym_int216] = ACTIONS(789),
    [anon_sym_int224] = ACTIONS(789),
    [anon_sym_int232] = ACTIONS(789),
    [anon_sym_int240] = ACTIONS(789),
    [anon_sym_int248] = ACTIONS(789),
    [anon_sym_int256] = ACTIONS(789),
    [anon_sym_uint] = ACTIONS(789),
    [anon_sym_uint8] = ACTIONS(789),
    [anon_sym_uint16] = ACTIONS(789),
    [anon_sym_uint24] = ACTIONS(789),
    [anon_sym_uint32] = ACTIONS(789),
    [anon_sym_uint40] = ACTIONS(789),
    [anon_sym_uint48] = ACTIONS(789),
    [anon_sym_uint56] = ACTIONS(789),
    [anon_sym_uint64] = ACTIONS(789),
    [anon_sym_uint72] = ACTIONS(789),
    [anon_sym_uint80] = ACTIONS(789),
    [anon_sym_uint88] = ACTIONS(789),
    [anon_sym_uint96] = ACTIONS(789),
    [anon_sym_uint104] = ACTIONS(789),
    [anon_sym_uint112] = ACTIONS(789),
    [anon_sym_uint120] = ACTIONS(789),
    [anon_sym_uint128] = ACTIONS(789),
    [anon_sym_uint136] = ACTIONS(789),
    [anon_sym_uint144] = ACTIONS(789),
    [anon_sym_uint152] = ACTIONS(789),
    [anon_sym_uint160] = ACTIONS(789),
    [anon_sym_uint168] = ACTIONS(789),
    [anon_sym_uint176] = ACTIONS(789),
    [anon_sym_uint184] = ACTIONS(789),
    [anon_sym_uint192] = ACTIONS(789),
    [anon_sym_uint200] = ACTIONS(789),
    [anon_sym_uint208] = ACTIONS(789),
    [anon_sym_uint216] = ACTIONS(789),
    [anon_sym_uint224] = ACTIONS(789),
    [anon_sym_uint232] = ACTIONS(789),
    [anon_sym_uint240] = ACTIONS(789),
    [anon_sym_uint248] = ACTIONS(789),
    [anon_sym_uint256] = ACTIONS(789),
    [anon_sym_bytes] = ACTIONS(789),
    [anon_sym_bytes1] = ACTIONS(789),
    [anon_sym_bytes2] = ACTIONS(789),
    [anon_sym_bytes3] = ACTIONS(789),
    [anon_sym_bytes4] = ACTIONS(789),
    [anon_sym_bytes5] = ACTIONS(789),
    [anon_sym_bytes6] = ACTIONS(789),
    [anon_sym_bytes7] = ACTIONS(789),
    [anon_sym_bytes8] = ACTIONS(789),
    [anon_sym_bytes9] = ACTIONS(789),
    [anon_sym_bytes10] = ACTIONS(789),
    [anon_sym_bytes11] = ACTIONS(789),
    [anon_sym_bytes12] = ACTIONS(789),
    [anon_sym_bytes13] = ACTIONS(789),
    [anon_sym_bytes14] = ACTIONS(789),
    [anon_sym_bytes15] = ACTIONS(789),
    [anon_sym_bytes16] = ACTIONS(789),
    [anon_sym_bytes17] = ACTIONS(789),
    [anon_sym_bytes18] = ACTIONS(789),
    [anon_sym_bytes19] = ACTIONS(789),
    [anon_sym_bytes20] = ACTIONS(789),
    [anon_sym_bytes21] = ACTIONS(789),
    [anon_sym_bytes22] = ACTIONS(789),
    [anon_sym_bytes23] = ACTIONS(789),
    [anon_sym_bytes24] = ACTIONS(789),
    [anon_sym_bytes25] = ACTIONS(789),
    [anon_sym_bytes26] = ACTIONS(789),
    [anon_sym_bytes27] = ACTIONS(789),
    [anon_sym_bytes28] = ACTIONS(789),
    [anon_sym_bytes29] = ACTIONS(789),
    [anon_sym_bytes30] = ACTIONS(789),
    [anon_sym_bytes31] = ACTIONS(789),
    [anon_sym_bytes32] = ACTIONS(789),
    [anon_sym_fixed] = ACTIONS(789),
    [aux_sym__fixed_token1] = ACTIONS(789),
    [anon_sym_ufixed] = ACTIONS(789),
    [aux_sym__ufixed_token1] = ACTIONS(789),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_identifier] = ACTIONS(797),
    [anon_sym_RBRACE] = ACTIONS(795),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_error] = ACTIONS(797),
    [anon_sym_struct] = ACTIONS(797),
    [anon_sym_enum] = ACTIONS(797),
    [anon_sym_event] = ACTIONS(797),
    [anon_sym_using] = ACTIONS(797),
    [anon_sym_function] = ACTIONS(797),
    [anon_sym_byte] = ACTIONS(797),
    [anon_sym_address] = ACTIONS(797),
    [anon_sym_var] = ACTIONS(797),
    [anon_sym_modifier] = ACTIONS(797),
    [anon_sym_constructor] = ACTIONS(797),
    [anon_sym_fallback] = ACTIONS(797),
    [anon_sym_receive] = ACTIONS(797),
    [anon_sym_mapping] = ACTIONS(797),
    [anon_sym_bool] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_int] = ACTIONS(797),
    [anon_sym_int8] = ACTIONS(797),
    [anon_sym_int16] = ACTIONS(797),
    [anon_sym_int24] = ACTIONS(797),
    [anon_sym_int32] = ACTIONS(797),
    [anon_sym_int40] = ACTIONS(797),
    [anon_sym_int48] = ACTIONS(797),
    [anon_sym_int56] = ACTIONS(797),
    [anon_sym_int64] = ACTIONS(797),
    [anon_sym_int72] = ACTIONS(797),
    [anon_sym_int80] = ACTIONS(797),
    [anon_sym_int88] = ACTIONS(797),
    [anon_sym_int96] = ACTIONS(797),
    [anon_sym_int104] = ACTIONS(797),
    [anon_sym_int112] = ACTIONS(797),
    [anon_sym_int120] = ACTIONS(797),
    [anon_sym_int128] = ACTIONS(797),
    [anon_sym_int136] = ACTIONS(797),
    [anon_sym_int144] = ACTIONS(797),
    [anon_sym_int152] = ACTIONS(797),
    [anon_sym_int160] = ACTIONS(797),
    [anon_sym_int168] = ACTIONS(797),
    [anon_sym_int176] = ACTIONS(797),
    [anon_sym_int184] = ACTIONS(797),
    [anon_sym_int192] = ACTIONS(797),
    [anon_sym_int200] = ACTIONS(797),
    [anon_sym_int208] = ACTIONS(797),
    [anon_sym_int216] = ACTIONS(797),
    [anon_sym_int224] = ACTIONS(797),
    [anon_sym_int232] = ACTIONS(797),
    [anon_sym_int240] = ACTIONS(797),
    [anon_sym_int248] = ACTIONS(797),
    [anon_sym_int256] = ACTIONS(797),
    [anon_sym_uint] = ACTIONS(797),
    [anon_sym_uint8] = ACTIONS(797),
    [anon_sym_uint16] = ACTIONS(797),
    [anon_sym_uint24] = ACTIONS(797),
    [anon_sym_uint32] = ACTIONS(797),
    [anon_sym_uint40] = ACTIONS(797),
    [anon_sym_uint48] = ACTIONS(797),
    [anon_sym_uint56] = ACTIONS(797),
    [anon_sym_uint64] = ACTIONS(797),
    [anon_sym_uint72] = ACTIONS(797),
    [anon_sym_uint80] = ACTIONS(797),
    [anon_sym_uint88] = ACTIONS(797),
    [anon_sym_uint96] = ACTIONS(797),
    [anon_sym_uint104] = ACTIONS(797),
    [anon_sym_uint112] = ACTIONS(797),
    [anon_sym_uint120] = ACTIONS(797),
    [anon_sym_uint128] = ACTIONS(797),
    [anon_sym_uint136] = ACTIONS(797),
    [anon_sym_uint144] = ACTIONS(797),
    [anon_sym_uint152] = ACTIONS(797),
    [anon_sym_uint160] = ACTIONS(797),
    [anon_sym_uint168] = ACTIONS(797),
    [anon_sym_uint176] = ACTIONS(797),
    [anon_sym_uint184] = ACTIONS(797),
    [anon_sym_uint192] = ACTIONS(797),
    [anon_sym_uint200] = ACTIONS(797),
    [anon_sym_uint208] = ACTIONS(797),
    [anon_sym_uint216] = ACTIONS(797),
    [anon_sym_uint224] = ACTIONS(797),
    [anon_sym_uint232] = ACTIONS(797),
    [anon_sym_uint240] = ACTIONS(797),
    [anon_sym_uint248] = ACTIONS(797),
    [anon_sym_uint256] = ACTIONS(797),
    [anon_sym_bytes] = ACTIONS(797),
    [anon_sym_bytes1] = ACTIONS(797),
    [anon_sym_bytes2] = ACTIONS(797),
    [anon_sym_bytes3] = ACTIONS(797),
    [anon_sym_bytes4] = ACTIONS(797),
    [anon_sym_bytes5] = ACTIONS(797),
    [anon_sym_bytes6] = ACTIONS(797),
    [anon_sym_bytes7] = ACTIONS(797),
    [anon_sym_bytes8] = ACTIONS(797),
    [anon_sym_bytes9] = ACTIONS(797),
    [anon_sym_bytes10] = ACTIONS(797),
    [anon_sym_bytes11] = ACTIONS(797),
    [anon_sym_bytes12] = ACTIONS(797),
    [anon_sym_bytes13] = ACTIONS(797),
    [anon_sym_bytes14] = ACTIONS(797),
    [anon_sym_bytes15] = ACTIONS(797),
    [anon_sym_bytes16] = ACTIONS(797),
    [anon_sym_bytes17] = ACTIONS(797),
    [anon_sym_bytes18] = ACTIONS(797),
    [anon_sym_bytes19] = ACTIONS(797),
    [anon_sym_bytes20] = ACTIONS(797),
    [anon_sym_bytes21] = ACTIONS(797),
    [anon_sym_bytes22] = ACTIONS(797),
    [anon_sym_bytes23] = ACTIONS(797),
    [anon_sym_bytes24] = ACTIONS(797),
    [anon_sym_bytes25] = ACTIONS(797),
    [anon_sym_bytes26] = ACTIONS(797),
    [anon_sym_bytes27] = ACTIONS(797),
    [anon_sym_bytes28] = ACTIONS(797),
    [anon_sym_bytes29] = ACTIONS(797),
    [anon_sym_bytes30] = ACTIONS(797),
    [anon_sym_bytes31] = ACTIONS(797),
    [anon_sym_bytes32] = ACTIONS(797),
    [anon_sym_fixed] = ACTIONS(797),
    [aux_sym__fixed_token1] = ACTIONS(797),
    [anon_sym_ufixed] = ACTIONS(797),
    [aux_sym__ufixed_token1] = ACTIONS(797),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_identifier] = ACTIONS(693),
    [anon_sym_RBRACE] = ACTIONS(691),
    [anon_sym_type] = ACTIONS(693),
    [anon_sym_error] = ACTIONS(693),
    [anon_sym_struct] = ACTIONS(693),
    [anon_sym_enum] = ACTIONS(693),
    [anon_sym_event] = ACTIONS(693),
    [anon_sym_using] = ACTIONS(693),
    [anon_sym_function] = ACTIONS(693),
    [anon_sym_byte] = ACTIONS(693),
    [anon_sym_address] = ACTIONS(693),
    [anon_sym_var] = ACTIONS(693),
    [anon_sym_modifier] = ACTIONS(693),
    [anon_sym_constructor] = ACTIONS(693),
    [anon_sym_fallback] = ACTIONS(693),
    [anon_sym_receive] = ACTIONS(693),
    [anon_sym_mapping] = ACTIONS(693),
    [anon_sym_bool] = ACTIONS(693),
    [anon_sym_string] = ACTIONS(693),
    [anon_sym_int] = ACTIONS(693),
    [anon_sym_int8] = ACTIONS(693),
    [anon_sym_int16] = ACTIONS(693),
    [anon_sym_int24] = ACTIONS(693),
    [anon_sym_int32] = ACTIONS(693),
    [anon_sym_int40] = ACTIONS(693),
    [anon_sym_int48] = ACTIONS(693),
    [anon_sym_int56] = ACTIONS(693),
    [anon_sym_int64] = ACTIONS(693),
    [anon_sym_int72] = ACTIONS(693),
    [anon_sym_int80] = ACTIONS(693),
    [anon_sym_int88] = ACTIONS(693),
    [anon_sym_int96] = ACTIONS(693),
    [anon_sym_int104] = ACTIONS(693),
    [anon_sym_int112] = ACTIONS(693),
    [anon_sym_int120] = ACTIONS(693),
    [anon_sym_int128] = ACTIONS(693),
    [anon_sym_int136] = ACTIONS(693),
    [anon_sym_int144] = ACTIONS(693),
    [anon_sym_int152] = ACTIONS(693),
    [anon_sym_int160] = ACTIONS(693),
    [anon_sym_int168] = ACTIONS(693),
    [anon_sym_int176] = ACTIONS(693),
    [anon_sym_int184] = ACTIONS(693),
    [anon_sym_int192] = ACTIONS(693),
    [anon_sym_int200] = ACTIONS(693),
    [anon_sym_int208] = ACTIONS(693),
    [anon_sym_int216] = ACTIONS(693),
    [anon_sym_int224] = ACTIONS(693),
    [anon_sym_int232] = ACTIONS(693),
    [anon_sym_int240] = ACTIONS(693),
    [anon_sym_int248] = ACTIONS(693),
    [anon_sym_int256] = ACTIONS(693),
    [anon_sym_uint] = ACTIONS(693),
    [anon_sym_uint8] = ACTIONS(693),
    [anon_sym_uint16] = ACTIONS(693),
    [anon_sym_uint24] = ACTIONS(693),
    [anon_sym_uint32] = ACTIONS(693),
    [anon_sym_uint40] = ACTIONS(693),
    [anon_sym_uint48] = ACTIONS(693),
    [anon_sym_uint56] = ACTIONS(693),
    [anon_sym_uint64] = ACTIONS(693),
    [anon_sym_uint72] = ACTIONS(693),
    [anon_sym_uint80] = ACTIONS(693),
    [anon_sym_uint88] = ACTIONS(693),
    [anon_sym_uint96] = ACTIONS(693),
    [anon_sym_uint104] = ACTIONS(693),
    [anon_sym_uint112] = ACTIONS(693),
    [anon_sym_uint120] = ACTIONS(693),
    [anon_sym_uint128] = ACTIONS(693),
    [anon_sym_uint136] = ACTIONS(693),
    [anon_sym_uint144] = ACTIONS(693),
    [anon_sym_uint152] = ACTIONS(693),
    [anon_sym_uint160] = ACTIONS(693),
    [anon_sym_uint168] = ACTIONS(693),
    [anon_sym_uint176] = ACTIONS(693),
    [anon_sym_uint184] = ACTIONS(693),
    [anon_sym_uint192] = ACTIONS(693),
    [anon_sym_uint200] = ACTIONS(693),
    [anon_sym_uint208] = ACTIONS(693),
    [anon_sym_uint216] = ACTIONS(693),
    [anon_sym_uint224] = ACTIONS(693),
    [anon_sym_uint232] = ACTIONS(693),
    [anon_sym_uint240] = ACTIONS(693),
    [anon_sym_uint248] = ACTIONS(693),
    [anon_sym_uint256] = ACTIONS(693),
    [anon_sym_bytes] = ACTIONS(693),
    [anon_sym_bytes1] = ACTIONS(693),
    [anon_sym_bytes2] = ACTIONS(693),
    [anon_sym_bytes3] = ACTIONS(693),
    [anon_sym_bytes4] = ACTIONS(693),
    [anon_sym_bytes5] = ACTIONS(693),
    [anon_sym_bytes6] = ACTIONS(693),
    [anon_sym_bytes7] = ACTIONS(693),
    [anon_sym_bytes8] = ACTIONS(693),
    [anon_sym_bytes9] = ACTIONS(693),
    [anon_sym_bytes10] = ACTIONS(693),
    [anon_sym_bytes11] = ACTIONS(693),
    [anon_sym_bytes12] = ACTIONS(693),
    [anon_sym_bytes13] = ACTIONS(693),
    [anon_sym_bytes14] = ACTIONS(693),
    [anon_sym_bytes15] = ACTIONS(693),
    [anon_sym_bytes16] = ACTIONS(693),
    [anon_sym_bytes17] = ACTIONS(693),
    [anon_sym_bytes18] = ACTIONS(693),
    [anon_sym_bytes19] = ACTIONS(693),
    [anon_sym_bytes20] = ACTIONS(693),
    [anon_sym_bytes21] = ACTIONS(693),
    [anon_sym_bytes22] = ACTIONS(693),
    [anon_sym_bytes23] = ACTIONS(693),
    [anon_sym_bytes24] = ACTIONS(693),
    [anon_sym_bytes25] = ACTIONS(693),
    [anon_sym_bytes26] = ACTIONS(693),
    [anon_sym_bytes27] = ACTIONS(693),
    [anon_sym_bytes28] = ACTIONS(693),
    [anon_sym_bytes29] = ACTIONS(693),
    [anon_sym_bytes30] = ACTIONS(693),
    [anon_sym_bytes31] = ACTIONS(693),
    [anon_sym_bytes32] = ACTIONS(693),
    [anon_sym_fixed] = ACTIONS(693),
    [aux_sym__fixed_token1] = ACTIONS(693),
    [anon_sym_ufixed] = ACTIONS(693),
    [aux_sym__ufixed_token1] = ACTIONS(693),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_identifier] = ACTIONS(745),
    [anon_sym_RBRACE] = ACTIONS(743),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_error] = ACTIONS(745),
    [anon_sym_struct] = ACTIONS(745),
    [anon_sym_enum] = ACTIONS(745),
    [anon_sym_event] = ACTIONS(745),
    [anon_sym_using] = ACTIONS(745),
    [anon_sym_function] = ACTIONS(745),
    [anon_sym_byte] = ACTIONS(745),
    [anon_sym_address] = ACTIONS(745),
    [anon_sym_var] = ACTIONS(745),
    [anon_sym_modifier] = ACTIONS(745),
    [anon_sym_constructor] = ACTIONS(745),
    [anon_sym_fallback] = ACTIONS(745),
    [anon_sym_receive] = ACTIONS(745),
    [anon_sym_mapping] = ACTIONS(745),
    [anon_sym_bool] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_int] = ACTIONS(745),
    [anon_sym_int8] = ACTIONS(745),
    [anon_sym_int16] = ACTIONS(745),
    [anon_sym_int24] = ACTIONS(745),
    [anon_sym_int32] = ACTIONS(745),
    [anon_sym_int40] = ACTIONS(745),
    [anon_sym_int48] = ACTIONS(745),
    [anon_sym_int56] = ACTIONS(745),
    [anon_sym_int64] = ACTIONS(745),
    [anon_sym_int72] = ACTIONS(745),
    [anon_sym_int80] = ACTIONS(745),
    [anon_sym_int88] = ACTIONS(745),
    [anon_sym_int96] = ACTIONS(745),
    [anon_sym_int104] = ACTIONS(745),
    [anon_sym_int112] = ACTIONS(745),
    [anon_sym_int120] = ACTIONS(745),
    [anon_sym_int128] = ACTIONS(745),
    [anon_sym_int136] = ACTIONS(745),
    [anon_sym_int144] = ACTIONS(745),
    [anon_sym_int152] = ACTIONS(745),
    [anon_sym_int160] = ACTIONS(745),
    [anon_sym_int168] = ACTIONS(745),
    [anon_sym_int176] = ACTIONS(745),
    [anon_sym_int184] = ACTIONS(745),
    [anon_sym_int192] = ACTIONS(745),
    [anon_sym_int200] = ACTIONS(745),
    [anon_sym_int208] = ACTIONS(745),
    [anon_sym_int216] = ACTIONS(745),
    [anon_sym_int224] = ACTIONS(745),
    [anon_sym_int232] = ACTIONS(745),
    [anon_sym_int240] = ACTIONS(745),
    [anon_sym_int248] = ACTIONS(745),
    [anon_sym_int256] = ACTIONS(745),
    [anon_sym_uint] = ACTIONS(745),
    [anon_sym_uint8] = ACTIONS(745),
    [anon_sym_uint16] = ACTIONS(745),
    [anon_sym_uint24] = ACTIONS(745),
    [anon_sym_uint32] = ACTIONS(745),
    [anon_sym_uint40] = ACTIONS(745),
    [anon_sym_uint48] = ACTIONS(745),
    [anon_sym_uint56] = ACTIONS(745),
    [anon_sym_uint64] = ACTIONS(745),
    [anon_sym_uint72] = ACTIONS(745),
    [anon_sym_uint80] = ACTIONS(745),
    [anon_sym_uint88] = ACTIONS(745),
    [anon_sym_uint96] = ACTIONS(745),
    [anon_sym_uint104] = ACTIONS(745),
    [anon_sym_uint112] = ACTIONS(745),
    [anon_sym_uint120] = ACTIONS(745),
    [anon_sym_uint128] = ACTIONS(745),
    [anon_sym_uint136] = ACTIONS(745),
    [anon_sym_uint144] = ACTIONS(745),
    [anon_sym_uint152] = ACTIONS(745),
    [anon_sym_uint160] = ACTIONS(745),
    [anon_sym_uint168] = ACTIONS(745),
    [anon_sym_uint176] = ACTIONS(745),
    [anon_sym_uint184] = ACTIONS(745),
    [anon_sym_uint192] = ACTIONS(745),
    [anon_sym_uint200] = ACTIONS(745),
    [anon_sym_uint208] = ACTIONS(745),
    [anon_sym_uint216] = ACTIONS(745),
    [anon_sym_uint224] = ACTIONS(745),
    [anon_sym_uint232] = ACTIONS(745),
    [anon_sym_uint240] = ACTIONS(745),
    [anon_sym_uint248] = ACTIONS(745),
    [anon_sym_uint256] = ACTIONS(745),
    [anon_sym_bytes] = ACTIONS(745),
    [anon_sym_bytes1] = ACTIONS(745),
    [anon_sym_bytes2] = ACTIONS(745),
    [anon_sym_bytes3] = ACTIONS(745),
    [anon_sym_bytes4] = ACTIONS(745),
    [anon_sym_bytes5] = ACTIONS(745),
    [anon_sym_bytes6] = ACTIONS(745),
    [anon_sym_bytes7] = ACTIONS(745),
    [anon_sym_bytes8] = ACTIONS(745),
    [anon_sym_bytes9] = ACTIONS(745),
    [anon_sym_bytes10] = ACTIONS(745),
    [anon_sym_bytes11] = ACTIONS(745),
    [anon_sym_bytes12] = ACTIONS(745),
    [anon_sym_bytes13] = ACTIONS(745),
    [anon_sym_bytes14] = ACTIONS(745),
    [anon_sym_bytes15] = ACTIONS(745),
    [anon_sym_bytes16] = ACTIONS(745),
    [anon_sym_bytes17] = ACTIONS(745),
    [anon_sym_bytes18] = ACTIONS(745),
    [anon_sym_bytes19] = ACTIONS(745),
    [anon_sym_bytes20] = ACTIONS(745),
    [anon_sym_bytes21] = ACTIONS(745),
    [anon_sym_bytes22] = ACTIONS(745),
    [anon_sym_bytes23] = ACTIONS(745),
    [anon_sym_bytes24] = ACTIONS(745),
    [anon_sym_bytes25] = ACTIONS(745),
    [anon_sym_bytes26] = ACTIONS(745),
    [anon_sym_bytes27] = ACTIONS(745),
    [anon_sym_bytes28] = ACTIONS(745),
    [anon_sym_bytes29] = ACTIONS(745),
    [anon_sym_bytes30] = ACTIONS(745),
    [anon_sym_bytes31] = ACTIONS(745),
    [anon_sym_bytes32] = ACTIONS(745),
    [anon_sym_fixed] = ACTIONS(745),
    [aux_sym__fixed_token1] = ACTIONS(745),
    [anon_sym_ufixed] = ACTIONS(745),
    [aux_sym__ufixed_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_identifier] = ACTIONS(753),
    [anon_sym_RBRACE] = ACTIONS(751),
    [anon_sym_type] = ACTIONS(753),
    [anon_sym_error] = ACTIONS(753),
    [anon_sym_struct] = ACTIONS(753),
    [anon_sym_enum] = ACTIONS(753),
    [anon_sym_event] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_function] = ACTIONS(753),
    [anon_sym_byte] = ACTIONS(753),
    [anon_sym_address] = ACTIONS(753),
    [anon_sym_var] = ACTIONS(753),
    [anon_sym_modifier] = ACTIONS(753),
    [anon_sym_constructor] = ACTIONS(753),
    [anon_sym_fallback] = ACTIONS(753),
    [anon_sym_receive] = ACTIONS(753),
    [anon_sym_mapping] = ACTIONS(753),
    [anon_sym_bool] = ACTIONS(753),
    [anon_sym_string] = ACTIONS(753),
    [anon_sym_int] = ACTIONS(753),
    [anon_sym_int8] = ACTIONS(753),
    [anon_sym_int16] = ACTIONS(753),
    [anon_sym_int24] = ACTIONS(753),
    [anon_sym_int32] = ACTIONS(753),
    [anon_sym_int40] = ACTIONS(753),
    [anon_sym_int48] = ACTIONS(753),
    [anon_sym_int56] = ACTIONS(753),
    [anon_sym_int64] = ACTIONS(753),
    [anon_sym_int72] = ACTIONS(753),
    [anon_sym_int80] = ACTIONS(753),
    [anon_sym_int88] = ACTIONS(753),
    [anon_sym_int96] = ACTIONS(753),
    [anon_sym_int104] = ACTIONS(753),
    [anon_sym_int112] = ACTIONS(753),
    [anon_sym_int120] = ACTIONS(753),
    [anon_sym_int128] = ACTIONS(753),
    [anon_sym_int136] = ACTIONS(753),
    [anon_sym_int144] = ACTIONS(753),
    [anon_sym_int152] = ACTIONS(753),
    [anon_sym_int160] = ACTIONS(753),
    [anon_sym_int168] = ACTIONS(753),
    [anon_sym_int176] = ACTIONS(753),
    [anon_sym_int184] = ACTIONS(753),
    [anon_sym_int192] = ACTIONS(753),
    [anon_sym_int200] = ACTIONS(753),
    [anon_sym_int208] = ACTIONS(753),
    [anon_sym_int216] = ACTIONS(753),
    [anon_sym_int224] = ACTIONS(753),
    [anon_sym_int232] = ACTIONS(753),
    [anon_sym_int240] = ACTIONS(753),
    [anon_sym_int248] = ACTIONS(753),
    [anon_sym_int256] = ACTIONS(753),
    [anon_sym_uint] = ACTIONS(753),
    [anon_sym_uint8] = ACTIONS(753),
    [anon_sym_uint16] = ACTIONS(753),
    [anon_sym_uint24] = ACTIONS(753),
    [anon_sym_uint32] = ACTIONS(753),
    [anon_sym_uint40] = ACTIONS(753),
    [anon_sym_uint48] = ACTIONS(753),
    [anon_sym_uint56] = ACTIONS(753),
    [anon_sym_uint64] = ACTIONS(753),
    [anon_sym_uint72] = ACTIONS(753),
    [anon_sym_uint80] = ACTIONS(753),
    [anon_sym_uint88] = ACTIONS(753),
    [anon_sym_uint96] = ACTIONS(753),
    [anon_sym_uint104] = ACTIONS(753),
    [anon_sym_uint112] = ACTIONS(753),
    [anon_sym_uint120] = ACTIONS(753),
    [anon_sym_uint128] = ACTIONS(753),
    [anon_sym_uint136] = ACTIONS(753),
    [anon_sym_uint144] = ACTIONS(753),
    [anon_sym_uint152] = ACTIONS(753),
    [anon_sym_uint160] = ACTIONS(753),
    [anon_sym_uint168] = ACTIONS(753),
    [anon_sym_uint176] = ACTIONS(753),
    [anon_sym_uint184] = ACTIONS(753),
    [anon_sym_uint192] = ACTIONS(753),
    [anon_sym_uint200] = ACTIONS(753),
    [anon_sym_uint208] = ACTIONS(753),
    [anon_sym_uint216] = ACTIONS(753),
    [anon_sym_uint224] = ACTIONS(753),
    [anon_sym_uint232] = ACTIONS(753),
    [anon_sym_uint240] = ACTIONS(753),
    [anon_sym_uint248] = ACTIONS(753),
    [anon_sym_uint256] = ACTIONS(753),
    [anon_sym_bytes] = ACTIONS(753),
    [anon_sym_bytes1] = ACTIONS(753),
    [anon_sym_bytes2] = ACTIONS(753),
    [anon_sym_bytes3] = ACTIONS(753),
    [anon_sym_bytes4] = ACTIONS(753),
    [anon_sym_bytes5] = ACTIONS(753),
    [anon_sym_bytes6] = ACTIONS(753),
    [anon_sym_bytes7] = ACTIONS(753),
    [anon_sym_bytes8] = ACTIONS(753),
    [anon_sym_bytes9] = ACTIONS(753),
    [anon_sym_bytes10] = ACTIONS(753),
    [anon_sym_bytes11] = ACTIONS(753),
    [anon_sym_bytes12] = ACTIONS(753),
    [anon_sym_bytes13] = ACTIONS(753),
    [anon_sym_bytes14] = ACTIONS(753),
    [anon_sym_bytes15] = ACTIONS(753),
    [anon_sym_bytes16] = ACTIONS(753),
    [anon_sym_bytes17] = ACTIONS(753),
    [anon_sym_bytes18] = ACTIONS(753),
    [anon_sym_bytes19] = ACTIONS(753),
    [anon_sym_bytes20] = ACTIONS(753),
    [anon_sym_bytes21] = ACTIONS(753),
    [anon_sym_bytes22] = ACTIONS(753),
    [anon_sym_bytes23] = ACTIONS(753),
    [anon_sym_bytes24] = ACTIONS(753),
    [anon_sym_bytes25] = ACTIONS(753),
    [anon_sym_bytes26] = ACTIONS(753),
    [anon_sym_bytes27] = ACTIONS(753),
    [anon_sym_bytes28] = ACTIONS(753),
    [anon_sym_bytes29] = ACTIONS(753),
    [anon_sym_bytes30] = ACTIONS(753),
    [anon_sym_bytes31] = ACTIONS(753),
    [anon_sym_bytes32] = ACTIONS(753),
    [anon_sym_fixed] = ACTIONS(753),
    [aux_sym__fixed_token1] = ACTIONS(753),
    [anon_sym_ufixed] = ACTIONS(753),
    [aux_sym__ufixed_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_identifier] = ACTIONS(793),
    [anon_sym_RBRACE] = ACTIONS(791),
    [anon_sym_type] = ACTIONS(793),
    [anon_sym_error] = ACTIONS(793),
    [anon_sym_struct] = ACTIONS(793),
    [anon_sym_enum] = ACTIONS(793),
    [anon_sym_event] = ACTIONS(793),
    [anon_sym_using] = ACTIONS(793),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_byte] = ACTIONS(793),
    [anon_sym_address] = ACTIONS(793),
    [anon_sym_var] = ACTIONS(793),
    [anon_sym_modifier] = ACTIONS(793),
    [anon_sym_constructor] = ACTIONS(793),
    [anon_sym_fallback] = ACTIONS(793),
    [anon_sym_receive] = ACTIONS(793),
    [anon_sym_mapping] = ACTIONS(793),
    [anon_sym_bool] = ACTIONS(793),
    [anon_sym_string] = ACTIONS(793),
    [anon_sym_int] = ACTIONS(793),
    [anon_sym_int8] = ACTIONS(793),
    [anon_sym_int16] = ACTIONS(793),
    [anon_sym_int24] = ACTIONS(793),
    [anon_sym_int32] = ACTIONS(793),
    [anon_sym_int40] = ACTIONS(793),
    [anon_sym_int48] = ACTIONS(793),
    [anon_sym_int56] = ACTIONS(793),
    [anon_sym_int64] = ACTIONS(793),
    [anon_sym_int72] = ACTIONS(793),
    [anon_sym_int80] = ACTIONS(793),
    [anon_sym_int88] = ACTIONS(793),
    [anon_sym_int96] = ACTIONS(793),
    [anon_sym_int104] = ACTIONS(793),
    [anon_sym_int112] = ACTIONS(793),
    [anon_sym_int120] = ACTIONS(793),
    [anon_sym_int128] = ACTIONS(793),
    [anon_sym_int136] = ACTIONS(793),
    [anon_sym_int144] = ACTIONS(793),
    [anon_sym_int152] = ACTIONS(793),
    [anon_sym_int160] = ACTIONS(793),
    [anon_sym_int168] = ACTIONS(793),
    [anon_sym_int176] = ACTIONS(793),
    [anon_sym_int184] = ACTIONS(793),
    [anon_sym_int192] = ACTIONS(793),
    [anon_sym_int200] = ACTIONS(793),
    [anon_sym_int208] = ACTIONS(793),
    [anon_sym_int216] = ACTIONS(793),
    [anon_sym_int224] = ACTIONS(793),
    [anon_sym_int232] = ACTIONS(793),
    [anon_sym_int240] = ACTIONS(793),
    [anon_sym_int248] = ACTIONS(793),
    [anon_sym_int256] = ACTIONS(793),
    [anon_sym_uint] = ACTIONS(793),
    [anon_sym_uint8] = ACTIONS(793),
    [anon_sym_uint16] = ACTIONS(793),
    [anon_sym_uint24] = ACTIONS(793),
    [anon_sym_uint32] = ACTIONS(793),
    [anon_sym_uint40] = ACTIONS(793),
    [anon_sym_uint48] = ACTIONS(793),
    [anon_sym_uint56] = ACTIONS(793),
    [anon_sym_uint64] = ACTIONS(793),
    [anon_sym_uint72] = ACTIONS(793),
    [anon_sym_uint80] = ACTIONS(793),
    [anon_sym_uint88] = ACTIONS(793),
    [anon_sym_uint96] = ACTIONS(793),
    [anon_sym_uint104] = ACTIONS(793),
    [anon_sym_uint112] = ACTIONS(793),
    [anon_sym_uint120] = ACTIONS(793),
    [anon_sym_uint128] = ACTIONS(793),
    [anon_sym_uint136] = ACTIONS(793),
    [anon_sym_uint144] = ACTIONS(793),
    [anon_sym_uint152] = ACTIONS(793),
    [anon_sym_uint160] = ACTIONS(793),
    [anon_sym_uint168] = ACTIONS(793),
    [anon_sym_uint176] = ACTIONS(793),
    [anon_sym_uint184] = ACTIONS(793),
    [anon_sym_uint192] = ACTIONS(793),
    [anon_sym_uint200] = ACTIONS(793),
    [anon_sym_uint208] = ACTIONS(793),
    [anon_sym_uint216] = ACTIONS(793),
    [anon_sym_uint224] = ACTIONS(793),
    [anon_sym_uint232] = ACTIONS(793),
    [anon_sym_uint240] = ACTIONS(793),
    [anon_sym_uint248] = ACTIONS(793),
    [anon_sym_uint256] = ACTIONS(793),
    [anon_sym_bytes] = ACTIONS(793),
    [anon_sym_bytes1] = ACTIONS(793),
    [anon_sym_bytes2] = ACTIONS(793),
    [anon_sym_bytes3] = ACTIONS(793),
    [anon_sym_bytes4] = ACTIONS(793),
    [anon_sym_bytes5] = ACTIONS(793),
    [anon_sym_bytes6] = ACTIONS(793),
    [anon_sym_bytes7] = ACTIONS(793),
    [anon_sym_bytes8] = ACTIONS(793),
    [anon_sym_bytes9] = ACTIONS(793),
    [anon_sym_bytes10] = ACTIONS(793),
    [anon_sym_bytes11] = ACTIONS(793),
    [anon_sym_bytes12] = ACTIONS(793),
    [anon_sym_bytes13] = ACTIONS(793),
    [anon_sym_bytes14] = ACTIONS(793),
    [anon_sym_bytes15] = ACTIONS(793),
    [anon_sym_bytes16] = ACTIONS(793),
    [anon_sym_bytes17] = ACTIONS(793),
    [anon_sym_bytes18] = ACTIONS(793),
    [anon_sym_bytes19] = ACTIONS(793),
    [anon_sym_bytes20] = ACTIONS(793),
    [anon_sym_bytes21] = ACTIONS(793),
    [anon_sym_bytes22] = ACTIONS(793),
    [anon_sym_bytes23] = ACTIONS(793),
    [anon_sym_bytes24] = ACTIONS(793),
    [anon_sym_bytes25] = ACTIONS(793),
    [anon_sym_bytes26] = ACTIONS(793),
    [anon_sym_bytes27] = ACTIONS(793),
    [anon_sym_bytes28] = ACTIONS(793),
    [anon_sym_bytes29] = ACTIONS(793),
    [anon_sym_bytes30] = ACTIONS(793),
    [anon_sym_bytes31] = ACTIONS(793),
    [anon_sym_bytes32] = ACTIONS(793),
    [anon_sym_fixed] = ACTIONS(793),
    [aux_sym__fixed_token1] = ACTIONS(793),
    [anon_sym_ufixed] = ACTIONS(793),
    [aux_sym__ufixed_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_identifier] = ACTIONS(793),
    [anon_sym_RBRACE] = ACTIONS(791),
    [anon_sym_type] = ACTIONS(793),
    [anon_sym_error] = ACTIONS(793),
    [anon_sym_struct] = ACTIONS(793),
    [anon_sym_enum] = ACTIONS(793),
    [anon_sym_event] = ACTIONS(793),
    [anon_sym_using] = ACTIONS(793),
    [anon_sym_function] = ACTIONS(793),
    [anon_sym_byte] = ACTIONS(793),
    [anon_sym_address] = ACTIONS(793),
    [anon_sym_var] = ACTIONS(793),
    [anon_sym_modifier] = ACTIONS(793),
    [anon_sym_constructor] = ACTIONS(793),
    [anon_sym_fallback] = ACTIONS(793),
    [anon_sym_receive] = ACTIONS(793),
    [anon_sym_mapping] = ACTIONS(793),
    [anon_sym_bool] = ACTIONS(793),
    [anon_sym_string] = ACTIONS(793),
    [anon_sym_int] = ACTIONS(793),
    [anon_sym_int8] = ACTIONS(793),
    [anon_sym_int16] = ACTIONS(793),
    [anon_sym_int24] = ACTIONS(793),
    [anon_sym_int32] = ACTIONS(793),
    [anon_sym_int40] = ACTIONS(793),
    [anon_sym_int48] = ACTIONS(793),
    [anon_sym_int56] = ACTIONS(793),
    [anon_sym_int64] = ACTIONS(793),
    [anon_sym_int72] = ACTIONS(793),
    [anon_sym_int80] = ACTIONS(793),
    [anon_sym_int88] = ACTIONS(793),
    [anon_sym_int96] = ACTIONS(793),
    [anon_sym_int104] = ACTIONS(793),
    [anon_sym_int112] = ACTIONS(793),
    [anon_sym_int120] = ACTIONS(793),
    [anon_sym_int128] = ACTIONS(793),
    [anon_sym_int136] = ACTIONS(793),
    [anon_sym_int144] = ACTIONS(793),
    [anon_sym_int152] = ACTIONS(793),
    [anon_sym_int160] = ACTIONS(793),
    [anon_sym_int168] = ACTIONS(793),
    [anon_sym_int176] = ACTIONS(793),
    [anon_sym_int184] = ACTIONS(793),
    [anon_sym_int192] = ACTIONS(793),
    [anon_sym_int200] = ACTIONS(793),
    [anon_sym_int208] = ACTIONS(793),
    [anon_sym_int216] = ACTIONS(793),
    [anon_sym_int224] = ACTIONS(793),
    [anon_sym_int232] = ACTIONS(793),
    [anon_sym_int240] = ACTIONS(793),
    [anon_sym_int248] = ACTIONS(793),
    [anon_sym_int256] = ACTIONS(793),
    [anon_sym_uint] = ACTIONS(793),
    [anon_sym_uint8] = ACTIONS(793),
    [anon_sym_uint16] = ACTIONS(793),
    [anon_sym_uint24] = ACTIONS(793),
    [anon_sym_uint32] = ACTIONS(793),
    [anon_sym_uint40] = ACTIONS(793),
    [anon_sym_uint48] = ACTIONS(793),
    [anon_sym_uint56] = ACTIONS(793),
    [anon_sym_uint64] = ACTIONS(793),
    [anon_sym_uint72] = ACTIONS(793),
    [anon_sym_uint80] = ACTIONS(793),
    [anon_sym_uint88] = ACTIONS(793),
    [anon_sym_uint96] = ACTIONS(793),
    [anon_sym_uint104] = ACTIONS(793),
    [anon_sym_uint112] = ACTIONS(793),
    [anon_sym_uint120] = ACTIONS(793),
    [anon_sym_uint128] = ACTIONS(793),
    [anon_sym_uint136] = ACTIONS(793),
    [anon_sym_uint144] = ACTIONS(793),
    [anon_sym_uint152] = ACTIONS(793),
    [anon_sym_uint160] = ACTIONS(793),
    [anon_sym_uint168] = ACTIONS(793),
    [anon_sym_uint176] = ACTIONS(793),
    [anon_sym_uint184] = ACTIONS(793),
    [anon_sym_uint192] = ACTIONS(793),
    [anon_sym_uint200] = ACTIONS(793),
    [anon_sym_uint208] = ACTIONS(793),
    [anon_sym_uint216] = ACTIONS(793),
    [anon_sym_uint224] = ACTIONS(793),
    [anon_sym_uint232] = ACTIONS(793),
    [anon_sym_uint240] = ACTIONS(793),
    [anon_sym_uint248] = ACTIONS(793),
    [anon_sym_uint256] = ACTIONS(793),
    [anon_sym_bytes] = ACTIONS(793),
    [anon_sym_bytes1] = ACTIONS(793),
    [anon_sym_bytes2] = ACTIONS(793),
    [anon_sym_bytes3] = ACTIONS(793),
    [anon_sym_bytes4] = ACTIONS(793),
    [anon_sym_bytes5] = ACTIONS(793),
    [anon_sym_bytes6] = ACTIONS(793),
    [anon_sym_bytes7] = ACTIONS(793),
    [anon_sym_bytes8] = ACTIONS(793),
    [anon_sym_bytes9] = ACTIONS(793),
    [anon_sym_bytes10] = ACTIONS(793),
    [anon_sym_bytes11] = ACTIONS(793),
    [anon_sym_bytes12] = ACTIONS(793),
    [anon_sym_bytes13] = ACTIONS(793),
    [anon_sym_bytes14] = ACTIONS(793),
    [anon_sym_bytes15] = ACTIONS(793),
    [anon_sym_bytes16] = ACTIONS(793),
    [anon_sym_bytes17] = ACTIONS(793),
    [anon_sym_bytes18] = ACTIONS(793),
    [anon_sym_bytes19] = ACTIONS(793),
    [anon_sym_bytes20] = ACTIONS(793),
    [anon_sym_bytes21] = ACTIONS(793),
    [anon_sym_bytes22] = ACTIONS(793),
    [anon_sym_bytes23] = ACTIONS(793),
    [anon_sym_bytes24] = ACTIONS(793),
    [anon_sym_bytes25] = ACTIONS(793),
    [anon_sym_bytes26] = ACTIONS(793),
    [anon_sym_bytes27] = ACTIONS(793),
    [anon_sym_bytes28] = ACTIONS(793),
    [anon_sym_bytes29] = ACTIONS(793),
    [anon_sym_bytes30] = ACTIONS(793),
    [anon_sym_bytes31] = ACTIONS(793),
    [anon_sym_bytes32] = ACTIONS(793),
    [anon_sym_fixed] = ACTIONS(793),
    [aux_sym__fixed_token1] = ACTIONS(793),
    [anon_sym_ufixed] = ACTIONS(793),
    [aux_sym__ufixed_token1] = ACTIONS(793),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [sym_identifier] = ACTIONS(925),
    [anon_sym_RBRACE] = ACTIONS(927),
    [anon_sym_type] = ACTIONS(925),
    [anon_sym_error] = ACTIONS(925),
    [anon_sym_struct] = ACTIONS(925),
    [anon_sym_enum] = ACTIONS(925),
    [anon_sym_event] = ACTIONS(925),
    [anon_sym_using] = ACTIONS(925),
    [anon_sym_function] = ACTIONS(925),
    [anon_sym_byte] = ACTIONS(925),
    [anon_sym_address] = ACTIONS(925),
    [anon_sym_var] = ACTIONS(925),
    [anon_sym_modifier] = ACTIONS(925),
    [anon_sym_constructor] = ACTIONS(925),
    [anon_sym_fallback] = ACTIONS(925),
    [anon_sym_receive] = ACTIONS(925),
    [anon_sym_mapping] = ACTIONS(925),
    [anon_sym_bool] = ACTIONS(925),
    [anon_sym_string] = ACTIONS(925),
    [anon_sym_int] = ACTIONS(925),
    [anon_sym_int8] = ACTIONS(925),
    [anon_sym_int16] = ACTIONS(925),
    [anon_sym_int24] = ACTIONS(925),
    [anon_sym_int32] = ACTIONS(925),
    [anon_sym_int40] = ACTIONS(925),
    [anon_sym_int48] = ACTIONS(925),
    [anon_sym_int56] = ACTIONS(925),
    [anon_sym_int64] = ACTIONS(925),
    [anon_sym_int72] = ACTIONS(925),
    [anon_sym_int80] = ACTIONS(925),
    [anon_sym_int88] = ACTIONS(925),
    [anon_sym_int96] = ACTIONS(925),
    [anon_sym_int104] = ACTIONS(925),
    [anon_sym_int112] = ACTIONS(925),
    [anon_sym_int120] = ACTIONS(925),
    [anon_sym_int128] = ACTIONS(925),
    [anon_sym_int136] = ACTIONS(925),
    [anon_sym_int144] = ACTIONS(925),
    [anon_sym_int152] = ACTIONS(925),
    [anon_sym_int160] = ACTIONS(925),
    [anon_sym_int168] = ACTIONS(925),
    [anon_sym_int176] = ACTIONS(925),
    [anon_sym_int184] = ACTIONS(925),
    [anon_sym_int192] = ACTIONS(925),
    [anon_sym_int200] = ACTIONS(925),
    [anon_sym_int208] = ACTIONS(925),
    [anon_sym_int216] = ACTIONS(925),
    [anon_sym_int224] = ACTIONS(925),
    [anon_sym_int232] = ACTIONS(925),
    [anon_sym_int240] = ACTIONS(925),
    [anon_sym_int248] = ACTIONS(925),
    [anon_sym_int256] = ACTIONS(925),
    [anon_sym_uint] = ACTIONS(925),
    [anon_sym_uint8] = ACTIONS(925),
    [anon_sym_uint16] = ACTIONS(925),
    [anon_sym_uint24] = ACTIONS(925),
    [anon_sym_uint32] = ACTIONS(925),
    [anon_sym_uint40] = ACTIONS(925),
    [anon_sym_uint48] = ACTIONS(925),
    [anon_sym_uint56] = ACTIONS(925),
    [anon_sym_uint64] = ACTIONS(925),
    [anon_sym_uint72] = ACTIONS(925),
    [anon_sym_uint80] = ACTIONS(925),
    [anon_sym_uint88] = ACTIONS(925),
    [anon_sym_uint96] = ACTIONS(925),
    [anon_sym_uint104] = ACTIONS(925),
    [anon_sym_uint112] = ACTIONS(925),
    [anon_sym_uint120] = ACTIONS(925),
    [anon_sym_uint128] = ACTIONS(925),
    [anon_sym_uint136] = ACTIONS(925),
    [anon_sym_uint144] = ACTIONS(925),
    [anon_sym_uint152] = ACTIONS(925),
    [anon_sym_uint160] = ACTIONS(925),
    [anon_sym_uint168] = ACTIONS(925),
    [anon_sym_uint176] = ACTIONS(925),
    [anon_sym_uint184] = ACTIONS(925),
    [anon_sym_uint192] = ACTIONS(925),
    [anon_sym_uint200] = ACTIONS(925),
    [anon_sym_uint208] = ACTIONS(925),
    [anon_sym_uint216] = ACTIONS(925),
    [anon_sym_uint224] = ACTIONS(925),
    [anon_sym_uint232] = ACTIONS(925),
    [anon_sym_uint240] = ACTIONS(925),
    [anon_sym_uint248] = ACTIONS(925),
    [anon_sym_uint256] = ACTIONS(925),
    [anon_sym_bytes] = ACTIONS(925),
    [anon_sym_bytes1] = ACTIONS(925),
    [anon_sym_bytes2] = ACTIONS(925),
    [anon_sym_bytes3] = ACTIONS(925),
    [anon_sym_bytes4] = ACTIONS(925),
    [anon_sym_bytes5] = ACTIONS(925),
    [anon_sym_bytes6] = ACTIONS(925),
    [anon_sym_bytes7] = ACTIONS(925),
    [anon_sym_bytes8] = ACTIONS(925),
    [anon_sym_bytes9] = ACTIONS(925),
    [anon_sym_bytes10] = ACTIONS(925),
    [anon_sym_bytes11] = ACTIONS(925),
    [anon_sym_bytes12] = ACTIONS(925),
    [anon_sym_bytes13] = ACTIONS(925),
    [anon_sym_bytes14] = ACTIONS(925),
    [anon_sym_bytes15] = ACTIONS(925),
    [anon_sym_bytes16] = ACTIONS(925),
    [anon_sym_bytes17] = ACTIONS(925),
    [anon_sym_bytes18] = ACTIONS(925),
    [anon_sym_bytes19] = ACTIONS(925),
    [anon_sym_bytes20] = ACTIONS(925),
    [anon_sym_bytes21] = ACTIONS(925),
    [anon_sym_bytes22] = ACTIONS(925),
    [anon_sym_bytes23] = ACTIONS(925),
    [anon_sym_bytes24] = ACTIONS(925),
    [anon_sym_bytes25] = ACTIONS(925),
    [anon_sym_bytes26] = ACTIONS(925),
    [anon_sym_bytes27] = ACTIONS(925),
    [anon_sym_bytes28] = ACTIONS(925),
    [anon_sym_bytes29] = ACTIONS(925),
    [anon_sym_bytes30] = ACTIONS(925),
    [anon_sym_bytes31] = ACTIONS(925),
    [anon_sym_bytes32] = ACTIONS(925),
    [anon_sym_fixed] = ACTIONS(925),
    [aux_sym__fixed_token1] = ACTIONS(925),
    [anon_sym_ufixed] = ACTIONS(925),
    [aux_sym__ufixed_token1] = ACTIONS(925),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [sym_identifier] = ACTIONS(805),
    [anon_sym_RBRACE] = ACTIONS(803),
    [anon_sym_type] = ACTIONS(805),
    [anon_sym_error] = ACTIONS(805),
    [anon_sym_struct] = ACTIONS(805),
    [anon_sym_enum] = ACTIONS(805),
    [anon_sym_event] = ACTIONS(805),
    [anon_sym_using] = ACTIONS(805),
    [anon_sym_function] = ACTIONS(805),
    [anon_sym_byte] = ACTIONS(805),
    [anon_sym_address] = ACTIONS(805),
    [anon_sym_var] = ACTIONS(805),
    [anon_sym_modifier] = ACTIONS(805),
    [anon_sym_constructor] = ACTIONS(805),
    [anon_sym_fallback] = ACTIONS(805),
    [anon_sym_receive] = ACTIONS(805),
    [anon_sym_mapping] = ACTIONS(805),
    [anon_sym_bool] = ACTIONS(805),
    [anon_sym_string] = ACTIONS(805),
    [anon_sym_int] = ACTIONS(805),
    [anon_sym_int8] = ACTIONS(805),
    [anon_sym_int16] = ACTIONS(805),
    [anon_sym_int24] = ACTIONS(805),
    [anon_sym_int32] = ACTIONS(805),
    [anon_sym_int40] = ACTIONS(805),
    [anon_sym_int48] = ACTIONS(805),
    [anon_sym_int56] = ACTIONS(805),
    [anon_sym_int64] = ACTIONS(805),
    [anon_sym_int72] = ACTIONS(805),
    [anon_sym_int80] = ACTIONS(805),
    [anon_sym_int88] = ACTIONS(805),
    [anon_sym_int96] = ACTIONS(805),
    [anon_sym_int104] = ACTIONS(805),
    [anon_sym_int112] = ACTIONS(805),
    [anon_sym_int120] = ACTIONS(805),
    [anon_sym_int128] = ACTIONS(805),
    [anon_sym_int136] = ACTIONS(805),
    [anon_sym_int144] = ACTIONS(805),
    [anon_sym_int152] = ACTIONS(805),
    [anon_sym_int160] = ACTIONS(805),
    [anon_sym_int168] = ACTIONS(805),
    [anon_sym_int176] = ACTIONS(805),
    [anon_sym_int184] = ACTIONS(805),
    [anon_sym_int192] = ACTIONS(805),
    [anon_sym_int200] = ACTIONS(805),
    [anon_sym_int208] = ACTIONS(805),
    [anon_sym_int216] = ACTIONS(805),
    [anon_sym_int224] = ACTIONS(805),
    [anon_sym_int232] = ACTIONS(805),
    [anon_sym_int240] = ACTIONS(805),
    [anon_sym_int248] = ACTIONS(805),
    [anon_sym_int256] = ACTIONS(805),
    [anon_sym_uint] = ACTIONS(805),
    [anon_sym_uint8] = ACTIONS(805),
    [anon_sym_uint16] = ACTIONS(805),
    [anon_sym_uint24] = ACTIONS(805),
    [anon_sym_uint32] = ACTIONS(805),
    [anon_sym_uint40] = ACTIONS(805),
    [anon_sym_uint48] = ACTIONS(805),
    [anon_sym_uint56] = ACTIONS(805),
    [anon_sym_uint64] = ACTIONS(805),
    [anon_sym_uint72] = ACTIONS(805),
    [anon_sym_uint80] = ACTIONS(805),
    [anon_sym_uint88] = ACTIONS(805),
    [anon_sym_uint96] = ACTIONS(805),
    [anon_sym_uint104] = ACTIONS(805),
    [anon_sym_uint112] = ACTIONS(805),
    [anon_sym_uint120] = ACTIONS(805),
    [anon_sym_uint128] = ACTIONS(805),
    [anon_sym_uint136] = ACTIONS(805),
    [anon_sym_uint144] = ACTIONS(805),
    [anon_sym_uint152] = ACTIONS(805),
    [anon_sym_uint160] = ACTIONS(805),
    [anon_sym_uint168] = ACTIONS(805),
    [anon_sym_uint176] = ACTIONS(805),
    [anon_sym_uint184] = ACTIONS(805),
    [anon_sym_uint192] = ACTIONS(805),
    [anon_sym_uint200] = ACTIONS(805),
    [anon_sym_uint208] = ACTIONS(805),
    [anon_sym_uint216] = ACTIONS(805),
    [anon_sym_uint224] = ACTIONS(805),
    [anon_sym_uint232] = ACTIONS(805),
    [anon_sym_uint240] = ACTIONS(805),
    [anon_sym_uint248] = ACTIONS(805),
    [anon_sym_uint256] = ACTIONS(805),
    [anon_sym_bytes] = ACTIONS(805),
    [anon_sym_bytes1] = ACTIONS(805),
    [anon_sym_bytes2] = ACTIONS(805),
    [anon_sym_bytes3] = ACTIONS(805),
    [anon_sym_bytes4] = ACTIONS(805),
    [anon_sym_bytes5] = ACTIONS(805),
    [anon_sym_bytes6] = ACTIONS(805),
    [anon_sym_bytes7] = ACTIONS(805),
    [anon_sym_bytes8] = ACTIONS(805),
    [anon_sym_bytes9] = ACTIONS(805),
    [anon_sym_bytes10] = ACTIONS(805),
    [anon_sym_bytes11] = ACTIONS(805),
    [anon_sym_bytes12] = ACTIONS(805),
    [anon_sym_bytes13] = ACTIONS(805),
    [anon_sym_bytes14] = ACTIONS(805),
    [anon_sym_bytes15] = ACTIONS(805),
    [anon_sym_bytes16] = ACTIONS(805),
    [anon_sym_bytes17] = ACTIONS(805),
    [anon_sym_bytes18] = ACTIONS(805),
    [anon_sym_bytes19] = ACTIONS(805),
    [anon_sym_bytes20] = ACTIONS(805),
    [anon_sym_bytes21] = ACTIONS(805),
    [anon_sym_bytes22] = ACTIONS(805),
    [anon_sym_bytes23] = ACTIONS(805),
    [anon_sym_bytes24] = ACTIONS(805),
    [anon_sym_bytes25] = ACTIONS(805),
    [anon_sym_bytes26] = ACTIONS(805),
    [anon_sym_bytes27] = ACTIONS(805),
    [anon_sym_bytes28] = ACTIONS(805),
    [anon_sym_bytes29] = ACTIONS(805),
    [anon_sym_bytes30] = ACTIONS(805),
    [anon_sym_bytes31] = ACTIONS(805),
    [anon_sym_bytes32] = ACTIONS(805),
    [anon_sym_fixed] = ACTIONS(805),
    [aux_sym__fixed_token1] = ACTIONS(805),
    [anon_sym_ufixed] = ACTIONS(805),
    [aux_sym__ufixed_token1] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [sym_identifier] = ACTIONS(809),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_type] = ACTIONS(809),
    [anon_sym_error] = ACTIONS(809),
    [anon_sym_struct] = ACTIONS(809),
    [anon_sym_enum] = ACTIONS(809),
    [anon_sym_event] = ACTIONS(809),
    [anon_sym_using] = ACTIONS(809),
    [anon_sym_function] = ACTIONS(809),
    [anon_sym_byte] = ACTIONS(809),
    [anon_sym_address] = ACTIONS(809),
    [anon_sym_var] = ACTIONS(809),
    [anon_sym_modifier] = ACTIONS(809),
    [anon_sym_constructor] = ACTIONS(809),
    [anon_sym_fallback] = ACTIONS(809),
    [anon_sym_receive] = ACTIONS(809),
    [anon_sym_mapping] = ACTIONS(809),
    [anon_sym_bool] = ACTIONS(809),
    [anon_sym_string] = ACTIONS(809),
    [anon_sym_int] = ACTIONS(809),
    [anon_sym_int8] = ACTIONS(809),
    [anon_sym_int16] = ACTIONS(809),
    [anon_sym_int24] = ACTIONS(809),
    [anon_sym_int32] = ACTIONS(809),
    [anon_sym_int40] = ACTIONS(809),
    [anon_sym_int48] = ACTIONS(809),
    [anon_sym_int56] = ACTIONS(809),
    [anon_sym_int64] = ACTIONS(809),
    [anon_sym_int72] = ACTIONS(809),
    [anon_sym_int80] = ACTIONS(809),
    [anon_sym_int88] = ACTIONS(809),
    [anon_sym_int96] = ACTIONS(809),
    [anon_sym_int104] = ACTIONS(809),
    [anon_sym_int112] = ACTIONS(809),
    [anon_sym_int120] = ACTIONS(809),
    [anon_sym_int128] = ACTIONS(809),
    [anon_sym_int136] = ACTIONS(809),
    [anon_sym_int144] = ACTIONS(809),
    [anon_sym_int152] = ACTIONS(809),
    [anon_sym_int160] = ACTIONS(809),
    [anon_sym_int168] = ACTIONS(809),
    [anon_sym_int176] = ACTIONS(809),
    [anon_sym_int184] = ACTIONS(809),
    [anon_sym_int192] = ACTIONS(809),
    [anon_sym_int200] = ACTIONS(809),
    [anon_sym_int208] = ACTIONS(809),
    [anon_sym_int216] = ACTIONS(809),
    [anon_sym_int224] = ACTIONS(809),
    [anon_sym_int232] = ACTIONS(809),
    [anon_sym_int240] = ACTIONS(809),
    [anon_sym_int248] = ACTIONS(809),
    [anon_sym_int256] = ACTIONS(809),
    [anon_sym_uint] = ACTIONS(809),
    [anon_sym_uint8] = ACTIONS(809),
    [anon_sym_uint16] = ACTIONS(809),
    [anon_sym_uint24] = ACTIONS(809),
    [anon_sym_uint32] = ACTIONS(809),
    [anon_sym_uint40] = ACTIONS(809),
    [anon_sym_uint48] = ACTIONS(809),
    [anon_sym_uint56] = ACTIONS(809),
    [anon_sym_uint64] = ACTIONS(809),
    [anon_sym_uint72] = ACTIONS(809),
    [anon_sym_uint80] = ACTIONS(809),
    [anon_sym_uint88] = ACTIONS(809),
    [anon_sym_uint96] = ACTIONS(809),
    [anon_sym_uint104] = ACTIONS(809),
    [anon_sym_uint112] = ACTIONS(809),
    [anon_sym_uint120] = ACTIONS(809),
    [anon_sym_uint128] = ACTIONS(809),
    [anon_sym_uint136] = ACTIONS(809),
    [anon_sym_uint144] = ACTIONS(809),
    [anon_sym_uint152] = ACTIONS(809),
    [anon_sym_uint160] = ACTIONS(809),
    [anon_sym_uint168] = ACTIONS(809),
    [anon_sym_uint176] = ACTIONS(809),
    [anon_sym_uint184] = ACTIONS(809),
    [anon_sym_uint192] = ACTIONS(809),
    [anon_sym_uint200] = ACTIONS(809),
    [anon_sym_uint208] = ACTIONS(809),
    [anon_sym_uint216] = ACTIONS(809),
    [anon_sym_uint224] = ACTIONS(809),
    [anon_sym_uint232] = ACTIONS(809),
    [anon_sym_uint240] = ACTIONS(809),
    [anon_sym_uint248] = ACTIONS(809),
    [anon_sym_uint256] = ACTIONS(809),
    [anon_sym_bytes] = ACTIONS(809),
    [anon_sym_bytes1] = ACTIONS(809),
    [anon_sym_bytes2] = ACTIONS(809),
    [anon_sym_bytes3] = ACTIONS(809),
    [anon_sym_bytes4] = ACTIONS(809),
    [anon_sym_bytes5] = ACTIONS(809),
    [anon_sym_bytes6] = ACTIONS(809),
    [anon_sym_bytes7] = ACTIONS(809),
    [anon_sym_bytes8] = ACTIONS(809),
    [anon_sym_bytes9] = ACTIONS(809),
    [anon_sym_bytes10] = ACTIONS(809),
    [anon_sym_bytes11] = ACTIONS(809),
    [anon_sym_bytes12] = ACTIONS(809),
    [anon_sym_bytes13] = ACTIONS(809),
    [anon_sym_bytes14] = ACTIONS(809),
    [anon_sym_bytes15] = ACTIONS(809),
    [anon_sym_bytes16] = ACTIONS(809),
    [anon_sym_bytes17] = ACTIONS(809),
    [anon_sym_bytes18] = ACTIONS(809),
    [anon_sym_bytes19] = ACTIONS(809),
    [anon_sym_bytes20] = ACTIONS(809),
    [anon_sym_bytes21] = ACTIONS(809),
    [anon_sym_bytes22] = ACTIONS(809),
    [anon_sym_bytes23] = ACTIONS(809),
    [anon_sym_bytes24] = ACTIONS(809),
    [anon_sym_bytes25] = ACTIONS(809),
    [anon_sym_bytes26] = ACTIONS(809),
    [anon_sym_bytes27] = ACTIONS(809),
    [anon_sym_bytes28] = ACTIONS(809),
    [anon_sym_bytes29] = ACTIONS(809),
    [anon_sym_bytes30] = ACTIONS(809),
    [anon_sym_bytes31] = ACTIONS(809),
    [anon_sym_bytes32] = ACTIONS(809),
    [anon_sym_fixed] = ACTIONS(809),
    [aux_sym__fixed_token1] = ACTIONS(809),
    [anon_sym_ufixed] = ACTIONS(809),
    [aux_sym__ufixed_token1] = ACTIONS(809),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [sym_identifier] = ACTIONS(817),
    [anon_sym_RBRACE] = ACTIONS(815),
    [anon_sym_type] = ACTIONS(817),
    [anon_sym_error] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(817),
    [anon_sym_enum] = ACTIONS(817),
    [anon_sym_event] = ACTIONS(817),
    [anon_sym_using] = ACTIONS(817),
    [anon_sym_function] = ACTIONS(817),
    [anon_sym_byte] = ACTIONS(817),
    [anon_sym_address] = ACTIONS(817),
    [anon_sym_var] = ACTIONS(817),
    [anon_sym_modifier] = ACTIONS(817),
    [anon_sym_constructor] = ACTIONS(817),
    [anon_sym_fallback] = ACTIONS(817),
    [anon_sym_receive] = ACTIONS(817),
    [anon_sym_mapping] = ACTIONS(817),
    [anon_sym_bool] = ACTIONS(817),
    [anon_sym_string] = ACTIONS(817),
    [anon_sym_int] = ACTIONS(817),
    [anon_sym_int8] = ACTIONS(817),
    [anon_sym_int16] = ACTIONS(817),
    [anon_sym_int24] = ACTIONS(817),
    [anon_sym_int32] = ACTIONS(817),
    [anon_sym_int40] = ACTIONS(817),
    [anon_sym_int48] = ACTIONS(817),
    [anon_sym_int56] = ACTIONS(817),
    [anon_sym_int64] = ACTIONS(817),
    [anon_sym_int72] = ACTIONS(817),
    [anon_sym_int80] = ACTIONS(817),
    [anon_sym_int88] = ACTIONS(817),
    [anon_sym_int96] = ACTIONS(817),
    [anon_sym_int104] = ACTIONS(817),
    [anon_sym_int112] = ACTIONS(817),
    [anon_sym_int120] = ACTIONS(817),
    [anon_sym_int128] = ACTIONS(817),
    [anon_sym_int136] = ACTIONS(817),
    [anon_sym_int144] = ACTIONS(817),
    [anon_sym_int152] = ACTIONS(817),
    [anon_sym_int160] = ACTIONS(817),
    [anon_sym_int168] = ACTIONS(817),
    [anon_sym_int176] = ACTIONS(817),
    [anon_sym_int184] = ACTIONS(817),
    [anon_sym_int192] = ACTIONS(817),
    [anon_sym_int200] = ACTIONS(817),
    [anon_sym_int208] = ACTIONS(817),
    [anon_sym_int216] = ACTIONS(817),
    [anon_sym_int224] = ACTIONS(817),
    [anon_sym_int232] = ACTIONS(817),
    [anon_sym_int240] = ACTIONS(817),
    [anon_sym_int248] = ACTIONS(817),
    [anon_sym_int256] = ACTIONS(817),
    [anon_sym_uint] = ACTIONS(817),
    [anon_sym_uint8] = ACTIONS(817),
    [anon_sym_uint16] = ACTIONS(817),
    [anon_sym_uint24] = ACTIONS(817),
    [anon_sym_uint32] = ACTIONS(817),
    [anon_sym_uint40] = ACTIONS(817),
    [anon_sym_uint48] = ACTIONS(817),
    [anon_sym_uint56] = ACTIONS(817),
    [anon_sym_uint64] = ACTIONS(817),
    [anon_sym_uint72] = ACTIONS(817),
    [anon_sym_uint80] = ACTIONS(817),
    [anon_sym_uint88] = ACTIONS(817),
    [anon_sym_uint96] = ACTIONS(817),
    [anon_sym_uint104] = ACTIONS(817),
    [anon_sym_uint112] = ACTIONS(817),
    [anon_sym_uint120] = ACTIONS(817),
    [anon_sym_uint128] = ACTIONS(817),
    [anon_sym_uint136] = ACTIONS(817),
    [anon_sym_uint144] = ACTIONS(817),
    [anon_sym_uint152] = ACTIONS(817),
    [anon_sym_uint160] = ACTIONS(817),
    [anon_sym_uint168] = ACTIONS(817),
    [anon_sym_uint176] = ACTIONS(817),
    [anon_sym_uint184] = ACTIONS(817),
    [anon_sym_uint192] = ACTIONS(817),
    [anon_sym_uint200] = ACTIONS(817),
    [anon_sym_uint208] = ACTIONS(817),
    [anon_sym_uint216] = ACTIONS(817),
    [anon_sym_uint224] = ACTIONS(817),
    [anon_sym_uint232] = ACTIONS(817),
    [anon_sym_uint240] = ACTIONS(817),
    [anon_sym_uint248] = ACTIONS(817),
    [anon_sym_uint256] = ACTIONS(817),
    [anon_sym_bytes] = ACTIONS(817),
    [anon_sym_bytes1] = ACTIONS(817),
    [anon_sym_bytes2] = ACTIONS(817),
    [anon_sym_bytes3] = ACTIONS(817),
    [anon_sym_bytes4] = ACTIONS(817),
    [anon_sym_bytes5] = ACTIONS(817),
    [anon_sym_bytes6] = ACTIONS(817),
    [anon_sym_bytes7] = ACTIONS(817),
    [anon_sym_bytes8] = ACTIONS(817),
    [anon_sym_bytes9] = ACTIONS(817),
    [anon_sym_bytes10] = ACTIONS(817),
    [anon_sym_bytes11] = ACTIONS(817),
    [anon_sym_bytes12] = ACTIONS(817),
    [anon_sym_bytes13] = ACTIONS(817),
    [anon_sym_bytes14] = ACTIONS(817),
    [anon_sym_bytes15] = ACTIONS(817),
    [anon_sym_bytes16] = ACTIONS(817),
    [anon_sym_bytes17] = ACTIONS(817),
    [anon_sym_bytes18] = ACTIONS(817),
    [anon_sym_bytes19] = ACTIONS(817),
    [anon_sym_bytes20] = ACTIONS(817),
    [anon_sym_bytes21] = ACTIONS(817),
    [anon_sym_bytes22] = ACTIONS(817),
    [anon_sym_bytes23] = ACTIONS(817),
    [anon_sym_bytes24] = ACTIONS(817),
    [anon_sym_bytes25] = ACTIONS(817),
    [anon_sym_bytes26] = ACTIONS(817),
    [anon_sym_bytes27] = ACTIONS(817),
    [anon_sym_bytes28] = ACTIONS(817),
    [anon_sym_bytes29] = ACTIONS(817),
    [anon_sym_bytes30] = ACTIONS(817),
    [anon_sym_bytes31] = ACTIONS(817),
    [anon_sym_bytes32] = ACTIONS(817),
    [anon_sym_fixed] = ACTIONS(817),
    [aux_sym__fixed_token1] = ACTIONS(817),
    [anon_sym_ufixed] = ACTIONS(817),
    [aux_sym__ufixed_token1] = ACTIONS(817),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [sym_identifier] = ACTIONS(821),
    [anon_sym_RBRACE] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(821),
    [anon_sym_error] = ACTIONS(821),
    [anon_sym_struct] = ACTIONS(821),
    [anon_sym_enum] = ACTIONS(821),
    [anon_sym_event] = ACTIONS(821),
    [anon_sym_using] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_byte] = ACTIONS(821),
    [anon_sym_address] = ACTIONS(821),
    [anon_sym_var] = ACTIONS(821),
    [anon_sym_modifier] = ACTIONS(821),
    [anon_sym_constructor] = ACTIONS(821),
    [anon_sym_fallback] = ACTIONS(821),
    [anon_sym_receive] = ACTIONS(821),
    [anon_sym_mapping] = ACTIONS(821),
    [anon_sym_bool] = ACTIONS(821),
    [anon_sym_string] = ACTIONS(821),
    [anon_sym_int] = ACTIONS(821),
    [anon_sym_int8] = ACTIONS(821),
    [anon_sym_int16] = ACTIONS(821),
    [anon_sym_int24] = ACTIONS(821),
    [anon_sym_int32] = ACTIONS(821),
    [anon_sym_int40] = ACTIONS(821),
    [anon_sym_int48] = ACTIONS(821),
    [anon_sym_int56] = ACTIONS(821),
    [anon_sym_int64] = ACTIONS(821),
    [anon_sym_int72] = ACTIONS(821),
    [anon_sym_int80] = ACTIONS(821),
    [anon_sym_int88] = ACTIONS(821),
    [anon_sym_int96] = ACTIONS(821),
    [anon_sym_int104] = ACTIONS(821),
    [anon_sym_int112] = ACTIONS(821),
    [anon_sym_int120] = ACTIONS(821),
    [anon_sym_int128] = ACTIONS(821),
    [anon_sym_int136] = ACTIONS(821),
    [anon_sym_int144] = ACTIONS(821),
    [anon_sym_int152] = ACTIONS(821),
    [anon_sym_int160] = ACTIONS(821),
    [anon_sym_int168] = ACTIONS(821),
    [anon_sym_int176] = ACTIONS(821),
    [anon_sym_int184] = ACTIONS(821),
    [anon_sym_int192] = ACTIONS(821),
    [anon_sym_int200] = ACTIONS(821),
    [anon_sym_int208] = ACTIONS(821),
    [anon_sym_int216] = ACTIONS(821),
    [anon_sym_int224] = ACTIONS(821),
    [anon_sym_int232] = ACTIONS(821),
    [anon_sym_int240] = ACTIONS(821),
    [anon_sym_int248] = ACTIONS(821),
    [anon_sym_int256] = ACTIONS(821),
    [anon_sym_uint] = ACTIONS(821),
    [anon_sym_uint8] = ACTIONS(821),
    [anon_sym_uint16] = ACTIONS(821),
    [anon_sym_uint24] = ACTIONS(821),
    [anon_sym_uint32] = ACTIONS(821),
    [anon_sym_uint40] = ACTIONS(821),
    [anon_sym_uint48] = ACTIONS(821),
    [anon_sym_uint56] = ACTIONS(821),
    [anon_sym_uint64] = ACTIONS(821),
    [anon_sym_uint72] = ACTIONS(821),
    [anon_sym_uint80] = ACTIONS(821),
    [anon_sym_uint88] = ACTIONS(821),
    [anon_sym_uint96] = ACTIONS(821),
    [anon_sym_uint104] = ACTIONS(821),
    [anon_sym_uint112] = ACTIONS(821),
    [anon_sym_uint120] = ACTIONS(821),
    [anon_sym_uint128] = ACTIONS(821),
    [anon_sym_uint136] = ACTIONS(821),
    [anon_sym_uint144] = ACTIONS(821),
    [anon_sym_uint152] = ACTIONS(821),
    [anon_sym_uint160] = ACTIONS(821),
    [anon_sym_uint168] = ACTIONS(821),
    [anon_sym_uint176] = ACTIONS(821),
    [anon_sym_uint184] = ACTIONS(821),
    [anon_sym_uint192] = ACTIONS(821),
    [anon_sym_uint200] = ACTIONS(821),
    [anon_sym_uint208] = ACTIONS(821),
    [anon_sym_uint216] = ACTIONS(821),
    [anon_sym_uint224] = ACTIONS(821),
    [anon_sym_uint232] = ACTIONS(821),
    [anon_sym_uint240] = ACTIONS(821),
    [anon_sym_uint248] = ACTIONS(821),
    [anon_sym_uint256] = ACTIONS(821),
    [anon_sym_bytes] = ACTIONS(821),
    [anon_sym_bytes1] = ACTIONS(821),
    [anon_sym_bytes2] = ACTIONS(821),
    [anon_sym_bytes3] = ACTIONS(821),
    [anon_sym_bytes4] = ACTIONS(821),
    [anon_sym_bytes5] = ACTIONS(821),
    [anon_sym_bytes6] = ACTIONS(821),
    [anon_sym_bytes7] = ACTIONS(821),
    [anon_sym_bytes8] = ACTIONS(821),
    [anon_sym_bytes9] = ACTIONS(821),
    [anon_sym_bytes10] = ACTIONS(821),
    [anon_sym_bytes11] = ACTIONS(821),
    [anon_sym_bytes12] = ACTIONS(821),
    [anon_sym_bytes13] = ACTIONS(821),
    [anon_sym_bytes14] = ACTIONS(821),
    [anon_sym_bytes15] = ACTIONS(821),
    [anon_sym_bytes16] = ACTIONS(821),
    [anon_sym_bytes17] = ACTIONS(821),
    [anon_sym_bytes18] = ACTIONS(821),
    [anon_sym_bytes19] = ACTIONS(821),
    [anon_sym_bytes20] = ACTIONS(821),
    [anon_sym_bytes21] = ACTIONS(821),
    [anon_sym_bytes22] = ACTIONS(821),
    [anon_sym_bytes23] = ACTIONS(821),
    [anon_sym_bytes24] = ACTIONS(821),
    [anon_sym_bytes25] = ACTIONS(821),
    [anon_sym_bytes26] = ACTIONS(821),
    [anon_sym_bytes27] = ACTIONS(821),
    [anon_sym_bytes28] = ACTIONS(821),
    [anon_sym_bytes29] = ACTIONS(821),
    [anon_sym_bytes30] = ACTIONS(821),
    [anon_sym_bytes31] = ACTIONS(821),
    [anon_sym_bytes32] = ACTIONS(821),
    [anon_sym_fixed] = ACTIONS(821),
    [aux_sym__fixed_token1] = ACTIONS(821),
    [anon_sym_ufixed] = ACTIONS(821),
    [aux_sym__ufixed_token1] = ACTIONS(821),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [sym_identifier] = ACTIONS(821),
    [anon_sym_RBRACE] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(821),
    [anon_sym_error] = ACTIONS(821),
    [anon_sym_struct] = ACTIONS(821),
    [anon_sym_enum] = ACTIONS(821),
    [anon_sym_event] = ACTIONS(821),
    [anon_sym_using] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_byte] = ACTIONS(821),
    [anon_sym_address] = ACTIONS(821),
    [anon_sym_var] = ACTIONS(821),
    [anon_sym_modifier] = ACTIONS(821),
    [anon_sym_constructor] = ACTIONS(821),
    [anon_sym_fallback] = ACTIONS(821),
    [anon_sym_receive] = ACTIONS(821),
    [anon_sym_mapping] = ACTIONS(821),
    [anon_sym_bool] = ACTIONS(821),
    [anon_sym_string] = ACTIONS(821),
    [anon_sym_int] = ACTIONS(821),
    [anon_sym_int8] = ACTIONS(821),
    [anon_sym_int16] = ACTIONS(821),
    [anon_sym_int24] = ACTIONS(821),
    [anon_sym_int32] = ACTIONS(821),
    [anon_sym_int40] = ACTIONS(821),
    [anon_sym_int48] = ACTIONS(821),
    [anon_sym_int56] = ACTIONS(821),
    [anon_sym_int64] = ACTIONS(821),
    [anon_sym_int72] = ACTIONS(821),
    [anon_sym_int80] = ACTIONS(821),
    [anon_sym_int88] = ACTIONS(821),
    [anon_sym_int96] = ACTIONS(821),
    [anon_sym_int104] = ACTIONS(821),
    [anon_sym_int112] = ACTIONS(821),
    [anon_sym_int120] = ACTIONS(821),
    [anon_sym_int128] = ACTIONS(821),
    [anon_sym_int136] = ACTIONS(821),
    [anon_sym_int144] = ACTIONS(821),
    [anon_sym_int152] = ACTIONS(821),
    [anon_sym_int160] = ACTIONS(821),
    [anon_sym_int168] = ACTIONS(821),
    [anon_sym_int176] = ACTIONS(821),
    [anon_sym_int184] = ACTIONS(821),
    [anon_sym_int192] = ACTIONS(821),
    [anon_sym_int200] = ACTIONS(821),
    [anon_sym_int208] = ACTIONS(821),
    [anon_sym_int216] = ACTIONS(821),
    [anon_sym_int224] = ACTIONS(821),
    [anon_sym_int232] = ACTIONS(821),
    [anon_sym_int240] = ACTIONS(821),
    [anon_sym_int248] = ACTIONS(821),
    [anon_sym_int256] = ACTIONS(821),
    [anon_sym_uint] = ACTIONS(821),
    [anon_sym_uint8] = ACTIONS(821),
    [anon_sym_uint16] = ACTIONS(821),
    [anon_sym_uint24] = ACTIONS(821),
    [anon_sym_uint32] = ACTIONS(821),
    [anon_sym_uint40] = ACTIONS(821),
    [anon_sym_uint48] = ACTIONS(821),
    [anon_sym_uint56] = ACTIONS(821),
    [anon_sym_uint64] = ACTIONS(821),
    [anon_sym_uint72] = ACTIONS(821),
    [anon_sym_uint80] = ACTIONS(821),
    [anon_sym_uint88] = ACTIONS(821),
    [anon_sym_uint96] = ACTIONS(821),
    [anon_sym_uint104] = ACTIONS(821),
    [anon_sym_uint112] = ACTIONS(821),
    [anon_sym_uint120] = ACTIONS(821),
    [anon_sym_uint128] = ACTIONS(821),
    [anon_sym_uint136] = ACTIONS(821),
    [anon_sym_uint144] = ACTIONS(821),
    [anon_sym_uint152] = ACTIONS(821),
    [anon_sym_uint160] = ACTIONS(821),
    [anon_sym_uint168] = ACTIONS(821),
    [anon_sym_uint176] = ACTIONS(821),
    [anon_sym_uint184] = ACTIONS(821),
    [anon_sym_uint192] = ACTIONS(821),
    [anon_sym_uint200] = ACTIONS(821),
    [anon_sym_uint208] = ACTIONS(821),
    [anon_sym_uint216] = ACTIONS(821),
    [anon_sym_uint224] = ACTIONS(821),
    [anon_sym_uint232] = ACTIONS(821),
    [anon_sym_uint240] = ACTIONS(821),
    [anon_sym_uint248] = ACTIONS(821),
    [anon_sym_uint256] = ACTIONS(821),
    [anon_sym_bytes] = ACTIONS(821),
    [anon_sym_bytes1] = ACTIONS(821),
    [anon_sym_bytes2] = ACTIONS(821),
    [anon_sym_bytes3] = ACTIONS(821),
    [anon_sym_bytes4] = ACTIONS(821),
    [anon_sym_bytes5] = ACTIONS(821),
    [anon_sym_bytes6] = ACTIONS(821),
    [anon_sym_bytes7] = ACTIONS(821),
    [anon_sym_bytes8] = ACTIONS(821),
    [anon_sym_bytes9] = ACTIONS(821),
    [anon_sym_bytes10] = ACTIONS(821),
    [anon_sym_bytes11] = ACTIONS(821),
    [anon_sym_bytes12] = ACTIONS(821),
    [anon_sym_bytes13] = ACTIONS(821),
    [anon_sym_bytes14] = ACTIONS(821),
    [anon_sym_bytes15] = ACTIONS(821),
    [anon_sym_bytes16] = ACTIONS(821),
    [anon_sym_bytes17] = ACTIONS(821),
    [anon_sym_bytes18] = ACTIONS(821),
    [anon_sym_bytes19] = ACTIONS(821),
    [anon_sym_bytes20] = ACTIONS(821),
    [anon_sym_bytes21] = ACTIONS(821),
    [anon_sym_bytes22] = ACTIONS(821),
    [anon_sym_bytes23] = ACTIONS(821),
    [anon_sym_bytes24] = ACTIONS(821),
    [anon_sym_bytes25] = ACTIONS(821),
    [anon_sym_bytes26] = ACTIONS(821),
    [anon_sym_bytes27] = ACTIONS(821),
    [anon_sym_bytes28] = ACTIONS(821),
    [anon_sym_bytes29] = ACTIONS(821),
    [anon_sym_bytes30] = ACTIONS(821),
    [anon_sym_bytes31] = ACTIONS(821),
    [anon_sym_bytes32] = ACTIONS(821),
    [anon_sym_fixed] = ACTIONS(821),
    [aux_sym__fixed_token1] = ACTIONS(821),
    [anon_sym_ufixed] = ACTIONS(821),
    [aux_sym__ufixed_token1] = ACTIONS(821),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [sym_identifier] = ACTIONS(669),
    [anon_sym_RBRACE] = ACTIONS(667),
    [anon_sym_type] = ACTIONS(669),
    [anon_sym_error] = ACTIONS(669),
    [anon_sym_struct] = ACTIONS(669),
    [anon_sym_enum] = ACTIONS(669),
    [anon_sym_event] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_function] = ACTIONS(669),
    [anon_sym_byte] = ACTIONS(669),
    [anon_sym_address] = ACTIONS(669),
    [anon_sym_var] = ACTIONS(669),
    [anon_sym_modifier] = ACTIONS(669),
    [anon_sym_constructor] = ACTIONS(669),
    [anon_sym_fallback] = ACTIONS(669),
    [anon_sym_receive] = ACTIONS(669),
    [anon_sym_mapping] = ACTIONS(669),
    [anon_sym_bool] = ACTIONS(669),
    [anon_sym_string] = ACTIONS(669),
    [anon_sym_int] = ACTIONS(669),
    [anon_sym_int8] = ACTIONS(669),
    [anon_sym_int16] = ACTIONS(669),
    [anon_sym_int24] = ACTIONS(669),
    [anon_sym_int32] = ACTIONS(669),
    [anon_sym_int40] = ACTIONS(669),
    [anon_sym_int48] = ACTIONS(669),
    [anon_sym_int56] = ACTIONS(669),
    [anon_sym_int64] = ACTIONS(669),
    [anon_sym_int72] = ACTIONS(669),
    [anon_sym_int80] = ACTIONS(669),
    [anon_sym_int88] = ACTIONS(669),
    [anon_sym_int96] = ACTIONS(669),
    [anon_sym_int104] = ACTIONS(669),
    [anon_sym_int112] = ACTIONS(669),
    [anon_sym_int120] = ACTIONS(669),
    [anon_sym_int128] = ACTIONS(669),
    [anon_sym_int136] = ACTIONS(669),
    [anon_sym_int144] = ACTIONS(669),
    [anon_sym_int152] = ACTIONS(669),
    [anon_sym_int160] = ACTIONS(669),
    [anon_sym_int168] = ACTIONS(669),
    [anon_sym_int176] = ACTIONS(669),
    [anon_sym_int184] = ACTIONS(669),
    [anon_sym_int192] = ACTIONS(669),
    [anon_sym_int200] = ACTIONS(669),
    [anon_sym_int208] = ACTIONS(669),
    [anon_sym_int216] = ACTIONS(669),
    [anon_sym_int224] = ACTIONS(669),
    [anon_sym_int232] = ACTIONS(669),
    [anon_sym_int240] = ACTIONS(669),
    [anon_sym_int248] = ACTIONS(669),
    [anon_sym_int256] = ACTIONS(669),
    [anon_sym_uint] = ACTIONS(669),
    [anon_sym_uint8] = ACTIONS(669),
    [anon_sym_uint16] = ACTIONS(669),
    [anon_sym_uint24] = ACTIONS(669),
    [anon_sym_uint32] = ACTIONS(669),
    [anon_sym_uint40] = ACTIONS(669),
    [anon_sym_uint48] = ACTIONS(669),
    [anon_sym_uint56] = ACTIONS(669),
    [anon_sym_uint64] = ACTIONS(669),
    [anon_sym_uint72] = ACTIONS(669),
    [anon_sym_uint80] = ACTIONS(669),
    [anon_sym_uint88] = ACTIONS(669),
    [anon_sym_uint96] = ACTIONS(669),
    [anon_sym_uint104] = ACTIONS(669),
    [anon_sym_uint112] = ACTIONS(669),
    [anon_sym_uint120] = ACTIONS(669),
    [anon_sym_uint128] = ACTIONS(669),
    [anon_sym_uint136] = ACTIONS(669),
    [anon_sym_uint144] = ACTIONS(669),
    [anon_sym_uint152] = ACTIONS(669),
    [anon_sym_uint160] = ACTIONS(669),
    [anon_sym_uint168] = ACTIONS(669),
    [anon_sym_uint176] = ACTIONS(669),
    [anon_sym_uint184] = ACTIONS(669),
    [anon_sym_uint192] = ACTIONS(669),
    [anon_sym_uint200] = ACTIONS(669),
    [anon_sym_uint208] = ACTIONS(669),
    [anon_sym_uint216] = ACTIONS(669),
    [anon_sym_uint224] = ACTIONS(669),
    [anon_sym_uint232] = ACTIONS(669),
    [anon_sym_uint240] = ACTIONS(669),
    [anon_sym_uint248] = ACTIONS(669),
    [anon_sym_uint256] = ACTIONS(669),
    [anon_sym_bytes] = ACTIONS(669),
    [anon_sym_bytes1] = ACTIONS(669),
    [anon_sym_bytes2] = ACTIONS(669),
    [anon_sym_bytes3] = ACTIONS(669),
    [anon_sym_bytes4] = ACTIONS(669),
    [anon_sym_bytes5] = ACTIONS(669),
    [anon_sym_bytes6] = ACTIONS(669),
    [anon_sym_bytes7] = ACTIONS(669),
    [anon_sym_bytes8] = ACTIONS(669),
    [anon_sym_bytes9] = ACTIONS(669),
    [anon_sym_bytes10] = ACTIONS(669),
    [anon_sym_bytes11] = ACTIONS(669),
    [anon_sym_bytes12] = ACTIONS(669),
    [anon_sym_bytes13] = ACTIONS(669),
    [anon_sym_bytes14] = ACTIONS(669),
    [anon_sym_bytes15] = ACTIONS(669),
    [anon_sym_bytes16] = ACTIONS(669),
    [anon_sym_bytes17] = ACTIONS(669),
    [anon_sym_bytes18] = ACTIONS(669),
    [anon_sym_bytes19] = ACTIONS(669),
    [anon_sym_bytes20] = ACTIONS(669),
    [anon_sym_bytes21] = ACTIONS(669),
    [anon_sym_bytes22] = ACTIONS(669),
    [anon_sym_bytes23] = ACTIONS(669),
    [anon_sym_bytes24] = ACTIONS(669),
    [anon_sym_bytes25] = ACTIONS(669),
    [anon_sym_bytes26] = ACTIONS(669),
    [anon_sym_bytes27] = ACTIONS(669),
    [anon_sym_bytes28] = ACTIONS(669),
    [anon_sym_bytes29] = ACTIONS(669),
    [anon_sym_bytes30] = ACTIONS(669),
    [anon_sym_bytes31] = ACTIONS(669),
    [anon_sym_bytes32] = ACTIONS(669),
    [anon_sym_fixed] = ACTIONS(669),
    [aux_sym__fixed_token1] = ACTIONS(669),
    [anon_sym_ufixed] = ACTIONS(669),
    [aux_sym__ufixed_token1] = ACTIONS(669),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [sym_identifier] = ACTIONS(673),
    [anon_sym_RBRACE] = ACTIONS(671),
    [anon_sym_type] = ACTIONS(673),
    [anon_sym_error] = ACTIONS(673),
    [anon_sym_struct] = ACTIONS(673),
    [anon_sym_enum] = ACTIONS(673),
    [anon_sym_event] = ACTIONS(673),
    [anon_sym_using] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_byte] = ACTIONS(673),
    [anon_sym_address] = ACTIONS(673),
    [anon_sym_var] = ACTIONS(673),
    [anon_sym_modifier] = ACTIONS(673),
    [anon_sym_constructor] = ACTIONS(673),
    [anon_sym_fallback] = ACTIONS(673),
    [anon_sym_receive] = ACTIONS(673),
    [anon_sym_mapping] = ACTIONS(673),
    [anon_sym_bool] = ACTIONS(673),
    [anon_sym_string] = ACTIONS(673),
    [anon_sym_int] = ACTIONS(673),
    [anon_sym_int8] = ACTIONS(673),
    [anon_sym_int16] = ACTIONS(673),
    [anon_sym_int24] = ACTIONS(673),
    [anon_sym_int32] = ACTIONS(673),
    [anon_sym_int40] = ACTIONS(673),
    [anon_sym_int48] = ACTIONS(673),
    [anon_sym_int56] = ACTIONS(673),
    [anon_sym_int64] = ACTIONS(673),
    [anon_sym_int72] = ACTIONS(673),
    [anon_sym_int80] = ACTIONS(673),
    [anon_sym_int88] = ACTIONS(673),
    [anon_sym_int96] = ACTIONS(673),
    [anon_sym_int104] = ACTIONS(673),
    [anon_sym_int112] = ACTIONS(673),
    [anon_sym_int120] = ACTIONS(673),
    [anon_sym_int128] = ACTIONS(673),
    [anon_sym_int136] = ACTIONS(673),
    [anon_sym_int144] = ACTIONS(673),
    [anon_sym_int152] = ACTIONS(673),
    [anon_sym_int160] = ACTIONS(673),
    [anon_sym_int168] = ACTIONS(673),
    [anon_sym_int176] = ACTIONS(673),
    [anon_sym_int184] = ACTIONS(673),
    [anon_sym_int192] = ACTIONS(673),
    [anon_sym_int200] = ACTIONS(673),
    [anon_sym_int208] = ACTIONS(673),
    [anon_sym_int216] = ACTIONS(673),
    [anon_sym_int224] = ACTIONS(673),
    [anon_sym_int232] = ACTIONS(673),
    [anon_sym_int240] = ACTIONS(673),
    [anon_sym_int248] = ACTIONS(673),
    [anon_sym_int256] = ACTIONS(673),
    [anon_sym_uint] = ACTIONS(673),
    [anon_sym_uint8] = ACTIONS(673),
    [anon_sym_uint16] = ACTIONS(673),
    [anon_sym_uint24] = ACTIONS(673),
    [anon_sym_uint32] = ACTIONS(673),
    [anon_sym_uint40] = ACTIONS(673),
    [anon_sym_uint48] = ACTIONS(673),
    [anon_sym_uint56] = ACTIONS(673),
    [anon_sym_uint64] = ACTIONS(673),
    [anon_sym_uint72] = ACTIONS(673),
    [anon_sym_uint80] = ACTIONS(673),
    [anon_sym_uint88] = ACTIONS(673),
    [anon_sym_uint96] = ACTIONS(673),
    [anon_sym_uint104] = ACTIONS(673),
    [anon_sym_uint112] = ACTIONS(673),
    [anon_sym_uint120] = ACTIONS(673),
    [anon_sym_uint128] = ACTIONS(673),
    [anon_sym_uint136] = ACTIONS(673),
    [anon_sym_uint144] = ACTIONS(673),
    [anon_sym_uint152] = ACTIONS(673),
    [anon_sym_uint160] = ACTIONS(673),
    [anon_sym_uint168] = ACTIONS(673),
    [anon_sym_uint176] = ACTIONS(673),
    [anon_sym_uint184] = ACTIONS(673),
    [anon_sym_uint192] = ACTIONS(673),
    [anon_sym_uint200] = ACTIONS(673),
    [anon_sym_uint208] = ACTIONS(673),
    [anon_sym_uint216] = ACTIONS(673),
    [anon_sym_uint224] = ACTIONS(673),
    [anon_sym_uint232] = ACTIONS(673),
    [anon_sym_uint240] = ACTIONS(673),
    [anon_sym_uint248] = ACTIONS(673),
    [anon_sym_uint256] = ACTIONS(673),
    [anon_sym_bytes] = ACTIONS(673),
    [anon_sym_bytes1] = ACTIONS(673),
    [anon_sym_bytes2] = ACTIONS(673),
    [anon_sym_bytes3] = ACTIONS(673),
    [anon_sym_bytes4] = ACTIONS(673),
    [anon_sym_bytes5] = ACTIONS(673),
    [anon_sym_bytes6] = ACTIONS(673),
    [anon_sym_bytes7] = ACTIONS(673),
    [anon_sym_bytes8] = ACTIONS(673),
    [anon_sym_bytes9] = ACTIONS(673),
    [anon_sym_bytes10] = ACTIONS(673),
    [anon_sym_bytes11] = ACTIONS(673),
    [anon_sym_bytes12] = ACTIONS(673),
    [anon_sym_bytes13] = ACTIONS(673),
    [anon_sym_bytes14] = ACTIONS(673),
    [anon_sym_bytes15] = ACTIONS(673),
    [anon_sym_bytes16] = ACTIONS(673),
    [anon_sym_bytes17] = ACTIONS(673),
    [anon_sym_bytes18] = ACTIONS(673),
    [anon_sym_bytes19] = ACTIONS(673),
    [anon_sym_bytes20] = ACTIONS(673),
    [anon_sym_bytes21] = ACTIONS(673),
    [anon_sym_bytes22] = ACTIONS(673),
    [anon_sym_bytes23] = ACTIONS(673),
    [anon_sym_bytes24] = ACTIONS(673),
    [anon_sym_bytes25] = ACTIONS(673),
    [anon_sym_bytes26] = ACTIONS(673),
    [anon_sym_bytes27] = ACTIONS(673),
    [anon_sym_bytes28] = ACTIONS(673),
    [anon_sym_bytes29] = ACTIONS(673),
    [anon_sym_bytes30] = ACTIONS(673),
    [anon_sym_bytes31] = ACTIONS(673),
    [anon_sym_bytes32] = ACTIONS(673),
    [anon_sym_fixed] = ACTIONS(673),
    [aux_sym__fixed_token1] = ACTIONS(673),
    [anon_sym_ufixed] = ACTIONS(673),
    [aux_sym__ufixed_token1] = ACTIONS(673),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [sym_identifier] = ACTIONS(677),
    [anon_sym_RBRACE] = ACTIONS(675),
    [anon_sym_type] = ACTIONS(677),
    [anon_sym_error] = ACTIONS(677),
    [anon_sym_struct] = ACTIONS(677),
    [anon_sym_enum] = ACTIONS(677),
    [anon_sym_event] = ACTIONS(677),
    [anon_sym_using] = ACTIONS(677),
    [anon_sym_function] = ACTIONS(677),
    [anon_sym_byte] = ACTIONS(677),
    [anon_sym_address] = ACTIONS(677),
    [anon_sym_var] = ACTIONS(677),
    [anon_sym_modifier] = ACTIONS(677),
    [anon_sym_constructor] = ACTIONS(677),
    [anon_sym_fallback] = ACTIONS(677),
    [anon_sym_receive] = ACTIONS(677),
    [anon_sym_mapping] = ACTIONS(677),
    [anon_sym_bool] = ACTIONS(677),
    [anon_sym_string] = ACTIONS(677),
    [anon_sym_int] = ACTIONS(677),
    [anon_sym_int8] = ACTIONS(677),
    [anon_sym_int16] = ACTIONS(677),
    [anon_sym_int24] = ACTIONS(677),
    [anon_sym_int32] = ACTIONS(677),
    [anon_sym_int40] = ACTIONS(677),
    [anon_sym_int48] = ACTIONS(677),
    [anon_sym_int56] = ACTIONS(677),
    [anon_sym_int64] = ACTIONS(677),
    [anon_sym_int72] = ACTIONS(677),
    [anon_sym_int80] = ACTIONS(677),
    [anon_sym_int88] = ACTIONS(677),
    [anon_sym_int96] = ACTIONS(677),
    [anon_sym_int104] = ACTIONS(677),
    [anon_sym_int112] = ACTIONS(677),
    [anon_sym_int120] = ACTIONS(677),
    [anon_sym_int128] = ACTIONS(677),
    [anon_sym_int136] = ACTIONS(677),
    [anon_sym_int144] = ACTIONS(677),
    [anon_sym_int152] = ACTIONS(677),
    [anon_sym_int160] = ACTIONS(677),
    [anon_sym_int168] = ACTIONS(677),
    [anon_sym_int176] = ACTIONS(677),
    [anon_sym_int184] = ACTIONS(677),
    [anon_sym_int192] = ACTIONS(677),
    [anon_sym_int200] = ACTIONS(677),
    [anon_sym_int208] = ACTIONS(677),
    [anon_sym_int216] = ACTIONS(677),
    [anon_sym_int224] = ACTIONS(677),
    [anon_sym_int232] = ACTIONS(677),
    [anon_sym_int240] = ACTIONS(677),
    [anon_sym_int248] = ACTIONS(677),
    [anon_sym_int256] = ACTIONS(677),
    [anon_sym_uint] = ACTIONS(677),
    [anon_sym_uint8] = ACTIONS(677),
    [anon_sym_uint16] = ACTIONS(677),
    [anon_sym_uint24] = ACTIONS(677),
    [anon_sym_uint32] = ACTIONS(677),
    [anon_sym_uint40] = ACTIONS(677),
    [anon_sym_uint48] = ACTIONS(677),
    [anon_sym_uint56] = ACTIONS(677),
    [anon_sym_uint64] = ACTIONS(677),
    [anon_sym_uint72] = ACTIONS(677),
    [anon_sym_uint80] = ACTIONS(677),
    [anon_sym_uint88] = ACTIONS(677),
    [anon_sym_uint96] = ACTIONS(677),
    [anon_sym_uint104] = ACTIONS(677),
    [anon_sym_uint112] = ACTIONS(677),
    [anon_sym_uint120] = ACTIONS(677),
    [anon_sym_uint128] = ACTIONS(677),
    [anon_sym_uint136] = ACTIONS(677),
    [anon_sym_uint144] = ACTIONS(677),
    [anon_sym_uint152] = ACTIONS(677),
    [anon_sym_uint160] = ACTIONS(677),
    [anon_sym_uint168] = ACTIONS(677),
    [anon_sym_uint176] = ACTIONS(677),
    [anon_sym_uint184] = ACTIONS(677),
    [anon_sym_uint192] = ACTIONS(677),
    [anon_sym_uint200] = ACTIONS(677),
    [anon_sym_uint208] = ACTIONS(677),
    [anon_sym_uint216] = ACTIONS(677),
    [anon_sym_uint224] = ACTIONS(677),
    [anon_sym_uint232] = ACTIONS(677),
    [anon_sym_uint240] = ACTIONS(677),
    [anon_sym_uint248] = ACTIONS(677),
    [anon_sym_uint256] = ACTIONS(677),
    [anon_sym_bytes] = ACTIONS(677),
    [anon_sym_bytes1] = ACTIONS(677),
    [anon_sym_bytes2] = ACTIONS(677),
    [anon_sym_bytes3] = ACTIONS(677),
    [anon_sym_bytes4] = ACTIONS(677),
    [anon_sym_bytes5] = ACTIONS(677),
    [anon_sym_bytes6] = ACTIONS(677),
    [anon_sym_bytes7] = ACTIONS(677),
    [anon_sym_bytes8] = ACTIONS(677),
    [anon_sym_bytes9] = ACTIONS(677),
    [anon_sym_bytes10] = ACTIONS(677),
    [anon_sym_bytes11] = ACTIONS(677),
    [anon_sym_bytes12] = ACTIONS(677),
    [anon_sym_bytes13] = ACTIONS(677),
    [anon_sym_bytes14] = ACTIONS(677),
    [anon_sym_bytes15] = ACTIONS(677),
    [anon_sym_bytes16] = ACTIONS(677),
    [anon_sym_bytes17] = ACTIONS(677),
    [anon_sym_bytes18] = ACTIONS(677),
    [anon_sym_bytes19] = ACTIONS(677),
    [anon_sym_bytes20] = ACTIONS(677),
    [anon_sym_bytes21] = ACTIONS(677),
    [anon_sym_bytes22] = ACTIONS(677),
    [anon_sym_bytes23] = ACTIONS(677),
    [anon_sym_bytes24] = ACTIONS(677),
    [anon_sym_bytes25] = ACTIONS(677),
    [anon_sym_bytes26] = ACTIONS(677),
    [anon_sym_bytes27] = ACTIONS(677),
    [anon_sym_bytes28] = ACTIONS(677),
    [anon_sym_bytes29] = ACTIONS(677),
    [anon_sym_bytes30] = ACTIONS(677),
    [anon_sym_bytes31] = ACTIONS(677),
    [anon_sym_bytes32] = ACTIONS(677),
    [anon_sym_fixed] = ACTIONS(677),
    [aux_sym__fixed_token1] = ACTIONS(677),
    [anon_sym_ufixed] = ACTIONS(677),
    [aux_sym__ufixed_token1] = ACTIONS(677),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [sym_identifier] = ACTIONS(677),
    [anon_sym_RBRACE] = ACTIONS(675),
    [anon_sym_type] = ACTIONS(677),
    [anon_sym_error] = ACTIONS(677),
    [anon_sym_struct] = ACTIONS(677),
    [anon_sym_enum] = ACTIONS(677),
    [anon_sym_event] = ACTIONS(677),
    [anon_sym_using] = ACTIONS(677),
    [anon_sym_function] = ACTIONS(677),
    [anon_sym_byte] = ACTIONS(677),
    [anon_sym_address] = ACTIONS(677),
    [anon_sym_var] = ACTIONS(677),
    [anon_sym_modifier] = ACTIONS(677),
    [anon_sym_constructor] = ACTIONS(677),
    [anon_sym_fallback] = ACTIONS(677),
    [anon_sym_receive] = ACTIONS(677),
    [anon_sym_mapping] = ACTIONS(677),
    [anon_sym_bool] = ACTIONS(677),
    [anon_sym_string] = ACTIONS(677),
    [anon_sym_int] = ACTIONS(677),
    [anon_sym_int8] = ACTIONS(677),
    [anon_sym_int16] = ACTIONS(677),
    [anon_sym_int24] = ACTIONS(677),
    [anon_sym_int32] = ACTIONS(677),
    [anon_sym_int40] = ACTIONS(677),
    [anon_sym_int48] = ACTIONS(677),
    [anon_sym_int56] = ACTIONS(677),
    [anon_sym_int64] = ACTIONS(677),
    [anon_sym_int72] = ACTIONS(677),
    [anon_sym_int80] = ACTIONS(677),
    [anon_sym_int88] = ACTIONS(677),
    [anon_sym_int96] = ACTIONS(677),
    [anon_sym_int104] = ACTIONS(677),
    [anon_sym_int112] = ACTIONS(677),
    [anon_sym_int120] = ACTIONS(677),
    [anon_sym_int128] = ACTIONS(677),
    [anon_sym_int136] = ACTIONS(677),
    [anon_sym_int144] = ACTIONS(677),
    [anon_sym_int152] = ACTIONS(677),
    [anon_sym_int160] = ACTIONS(677),
    [anon_sym_int168] = ACTIONS(677),
    [anon_sym_int176] = ACTIONS(677),
    [anon_sym_int184] = ACTIONS(677),
    [anon_sym_int192] = ACTIONS(677),
    [anon_sym_int200] = ACTIONS(677),
    [anon_sym_int208] = ACTIONS(677),
    [anon_sym_int216] = ACTIONS(677),
    [anon_sym_int224] = ACTIONS(677),
    [anon_sym_int232] = ACTIONS(677),
    [anon_sym_int240] = ACTIONS(677),
    [anon_sym_int248] = ACTIONS(677),
    [anon_sym_int256] = ACTIONS(677),
    [anon_sym_uint] = ACTIONS(677),
    [anon_sym_uint8] = ACTIONS(677),
    [anon_sym_uint16] = ACTIONS(677),
    [anon_sym_uint24] = ACTIONS(677),
    [anon_sym_uint32] = ACTIONS(677),
    [anon_sym_uint40] = ACTIONS(677),
    [anon_sym_uint48] = ACTIONS(677),
    [anon_sym_uint56] = ACTIONS(677),
    [anon_sym_uint64] = ACTIONS(677),
    [anon_sym_uint72] = ACTIONS(677),
    [anon_sym_uint80] = ACTIONS(677),
    [anon_sym_uint88] = ACTIONS(677),
    [anon_sym_uint96] = ACTIONS(677),
    [anon_sym_uint104] = ACTIONS(677),
    [anon_sym_uint112] = ACTIONS(677),
    [anon_sym_uint120] = ACTIONS(677),
    [anon_sym_uint128] = ACTIONS(677),
    [anon_sym_uint136] = ACTIONS(677),
    [anon_sym_uint144] = ACTIONS(677),
    [anon_sym_uint152] = ACTIONS(677),
    [anon_sym_uint160] = ACTIONS(677),
    [anon_sym_uint168] = ACTIONS(677),
    [anon_sym_uint176] = ACTIONS(677),
    [anon_sym_uint184] = ACTIONS(677),
    [anon_sym_uint192] = ACTIONS(677),
    [anon_sym_uint200] = ACTIONS(677),
    [anon_sym_uint208] = ACTIONS(677),
    [anon_sym_uint216] = ACTIONS(677),
    [anon_sym_uint224] = ACTIONS(677),
    [anon_sym_uint232] = ACTIONS(677),
    [anon_sym_uint240] = ACTIONS(677),
    [anon_sym_uint248] = ACTIONS(677),
    [anon_sym_uint256] = ACTIONS(677),
    [anon_sym_bytes] = ACTIONS(677),
    [anon_sym_bytes1] = ACTIONS(677),
    [anon_sym_bytes2] = ACTIONS(677),
    [anon_sym_bytes3] = ACTIONS(677),
    [anon_sym_bytes4] = ACTIONS(677),
    [anon_sym_bytes5] = ACTIONS(677),
    [anon_sym_bytes6] = ACTIONS(677),
    [anon_sym_bytes7] = ACTIONS(677),
    [anon_sym_bytes8] = ACTIONS(677),
    [anon_sym_bytes9] = ACTIONS(677),
    [anon_sym_bytes10] = ACTIONS(677),
    [anon_sym_bytes11] = ACTIONS(677),
    [anon_sym_bytes12] = ACTIONS(677),
    [anon_sym_bytes13] = ACTIONS(677),
    [anon_sym_bytes14] = ACTIONS(677),
    [anon_sym_bytes15] = ACTIONS(677),
    [anon_sym_bytes16] = ACTIONS(677),
    [anon_sym_bytes17] = ACTIONS(677),
    [anon_sym_bytes18] = ACTIONS(677),
    [anon_sym_bytes19] = ACTIONS(677),
    [anon_sym_bytes20] = ACTIONS(677),
    [anon_sym_bytes21] = ACTIONS(677),
    [anon_sym_bytes22] = ACTIONS(677),
    [anon_sym_bytes23] = ACTIONS(677),
    [anon_sym_bytes24] = ACTIONS(677),
    [anon_sym_bytes25] = ACTIONS(677),
    [anon_sym_bytes26] = ACTIONS(677),
    [anon_sym_bytes27] = ACTIONS(677),
    [anon_sym_bytes28] = ACTIONS(677),
    [anon_sym_bytes29] = ACTIONS(677),
    [anon_sym_bytes30] = ACTIONS(677),
    [anon_sym_bytes31] = ACTIONS(677),
    [anon_sym_bytes32] = ACTIONS(677),
    [anon_sym_fixed] = ACTIONS(677),
    [aux_sym__fixed_token1] = ACTIONS(677),
    [anon_sym_ufixed] = ACTIONS(677),
    [aux_sym__ufixed_token1] = ACTIONS(677),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [sym_identifier] = ACTIONS(681),
    [anon_sym_RBRACE] = ACTIONS(679),
    [anon_sym_type] = ACTIONS(681),
    [anon_sym_error] = ACTIONS(681),
    [anon_sym_struct] = ACTIONS(681),
    [anon_sym_enum] = ACTIONS(681),
    [anon_sym_event] = ACTIONS(681),
    [anon_sym_using] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(681),
    [anon_sym_byte] = ACTIONS(681),
    [anon_sym_address] = ACTIONS(681),
    [anon_sym_var] = ACTIONS(681),
    [anon_sym_modifier] = ACTIONS(681),
    [anon_sym_constructor] = ACTIONS(681),
    [anon_sym_fallback] = ACTIONS(681),
    [anon_sym_receive] = ACTIONS(681),
    [anon_sym_mapping] = ACTIONS(681),
    [anon_sym_bool] = ACTIONS(681),
    [anon_sym_string] = ACTIONS(681),
    [anon_sym_int] = ACTIONS(681),
    [anon_sym_int8] = ACTIONS(681),
    [anon_sym_int16] = ACTIONS(681),
    [anon_sym_int24] = ACTIONS(681),
    [anon_sym_int32] = ACTIONS(681),
    [anon_sym_int40] = ACTIONS(681),
    [anon_sym_int48] = ACTIONS(681),
    [anon_sym_int56] = ACTIONS(681),
    [anon_sym_int64] = ACTIONS(681),
    [anon_sym_int72] = ACTIONS(681),
    [anon_sym_int80] = ACTIONS(681),
    [anon_sym_int88] = ACTIONS(681),
    [anon_sym_int96] = ACTIONS(681),
    [anon_sym_int104] = ACTIONS(681),
    [anon_sym_int112] = ACTIONS(681),
    [anon_sym_int120] = ACTIONS(681),
    [anon_sym_int128] = ACTIONS(681),
    [anon_sym_int136] = ACTIONS(681),
    [anon_sym_int144] = ACTIONS(681),
    [anon_sym_int152] = ACTIONS(681),
    [anon_sym_int160] = ACTIONS(681),
    [anon_sym_int168] = ACTIONS(681),
    [anon_sym_int176] = ACTIONS(681),
    [anon_sym_int184] = ACTIONS(681),
    [anon_sym_int192] = ACTIONS(681),
    [anon_sym_int200] = ACTIONS(681),
    [anon_sym_int208] = ACTIONS(681),
    [anon_sym_int216] = ACTIONS(681),
    [anon_sym_int224] = ACTIONS(681),
    [anon_sym_int232] = ACTIONS(681),
    [anon_sym_int240] = ACTIONS(681),
    [anon_sym_int248] = ACTIONS(681),
    [anon_sym_int256] = ACTIONS(681),
    [anon_sym_uint] = ACTIONS(681),
    [anon_sym_uint8] = ACTIONS(681),
    [anon_sym_uint16] = ACTIONS(681),
    [anon_sym_uint24] = ACTIONS(681),
    [anon_sym_uint32] = ACTIONS(681),
    [anon_sym_uint40] = ACTIONS(681),
    [anon_sym_uint48] = ACTIONS(681),
    [anon_sym_uint56] = ACTIONS(681),
    [anon_sym_uint64] = ACTIONS(681),
    [anon_sym_uint72] = ACTIONS(681),
    [anon_sym_uint80] = ACTIONS(681),
    [anon_sym_uint88] = ACTIONS(681),
    [anon_sym_uint96] = ACTIONS(681),
    [anon_sym_uint104] = ACTIONS(681),
    [anon_sym_uint112] = ACTIONS(681),
    [anon_sym_uint120] = ACTIONS(681),
    [anon_sym_uint128] = ACTIONS(681),
    [anon_sym_uint136] = ACTIONS(681),
    [anon_sym_uint144] = ACTIONS(681),
    [anon_sym_uint152] = ACTIONS(681),
    [anon_sym_uint160] = ACTIONS(681),
    [anon_sym_uint168] = ACTIONS(681),
    [anon_sym_uint176] = ACTIONS(681),
    [anon_sym_uint184] = ACTIONS(681),
    [anon_sym_uint192] = ACTIONS(681),
    [anon_sym_uint200] = ACTIONS(681),
    [anon_sym_uint208] = ACTIONS(681),
    [anon_sym_uint216] = ACTIONS(681),
    [anon_sym_uint224] = ACTIONS(681),
    [anon_sym_uint232] = ACTIONS(681),
    [anon_sym_uint240] = ACTIONS(681),
    [anon_sym_uint248] = ACTIONS(681),
    [anon_sym_uint256] = ACTIONS(681),
    [anon_sym_bytes] = ACTIONS(681),
    [anon_sym_bytes1] = ACTIONS(681),
    [anon_sym_bytes2] = ACTIONS(681),
    [anon_sym_bytes3] = ACTIONS(681),
    [anon_sym_bytes4] = ACTIONS(681),
    [anon_sym_bytes5] = ACTIONS(681),
    [anon_sym_bytes6] = ACTIONS(681),
    [anon_sym_bytes7] = ACTIONS(681),
    [anon_sym_bytes8] = ACTIONS(681),
    [anon_sym_bytes9] = ACTIONS(681),
    [anon_sym_bytes10] = ACTIONS(681),
    [anon_sym_bytes11] = ACTIONS(681),
    [anon_sym_bytes12] = ACTIONS(681),
    [anon_sym_bytes13] = ACTIONS(681),
    [anon_sym_bytes14] = ACTIONS(681),
    [anon_sym_bytes15] = ACTIONS(681),
    [anon_sym_bytes16] = ACTIONS(681),
    [anon_sym_bytes17] = ACTIONS(681),
    [anon_sym_bytes18] = ACTIONS(681),
    [anon_sym_bytes19] = ACTIONS(681),
    [anon_sym_bytes20] = ACTIONS(681),
    [anon_sym_bytes21] = ACTIONS(681),
    [anon_sym_bytes22] = ACTIONS(681),
    [anon_sym_bytes23] = ACTIONS(681),
    [anon_sym_bytes24] = ACTIONS(681),
    [anon_sym_bytes25] = ACTIONS(681),
    [anon_sym_bytes26] = ACTIONS(681),
    [anon_sym_bytes27] = ACTIONS(681),
    [anon_sym_bytes28] = ACTIONS(681),
    [anon_sym_bytes29] = ACTIONS(681),
    [anon_sym_bytes30] = ACTIONS(681),
    [anon_sym_bytes31] = ACTIONS(681),
    [anon_sym_bytes32] = ACTIONS(681),
    [anon_sym_fixed] = ACTIONS(681),
    [aux_sym__fixed_token1] = ACTIONS(681),
    [anon_sym_ufixed] = ACTIONS(681),
    [aux_sym__ufixed_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [sym_identifier] = ACTIONS(681),
    [anon_sym_RBRACE] = ACTIONS(679),
    [anon_sym_type] = ACTIONS(681),
    [anon_sym_error] = ACTIONS(681),
    [anon_sym_struct] = ACTIONS(681),
    [anon_sym_enum] = ACTIONS(681),
    [anon_sym_event] = ACTIONS(681),
    [anon_sym_using] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(681),
    [anon_sym_byte] = ACTIONS(681),
    [anon_sym_address] = ACTIONS(681),
    [anon_sym_var] = ACTIONS(681),
    [anon_sym_modifier] = ACTIONS(681),
    [anon_sym_constructor] = ACTIONS(681),
    [anon_sym_fallback] = ACTIONS(681),
    [anon_sym_receive] = ACTIONS(681),
    [anon_sym_mapping] = ACTIONS(681),
    [anon_sym_bool] = ACTIONS(681),
    [anon_sym_string] = ACTIONS(681),
    [anon_sym_int] = ACTIONS(681),
    [anon_sym_int8] = ACTIONS(681),
    [anon_sym_int16] = ACTIONS(681),
    [anon_sym_int24] = ACTIONS(681),
    [anon_sym_int32] = ACTIONS(681),
    [anon_sym_int40] = ACTIONS(681),
    [anon_sym_int48] = ACTIONS(681),
    [anon_sym_int56] = ACTIONS(681),
    [anon_sym_int64] = ACTIONS(681),
    [anon_sym_int72] = ACTIONS(681),
    [anon_sym_int80] = ACTIONS(681),
    [anon_sym_int88] = ACTIONS(681),
    [anon_sym_int96] = ACTIONS(681),
    [anon_sym_int104] = ACTIONS(681),
    [anon_sym_int112] = ACTIONS(681),
    [anon_sym_int120] = ACTIONS(681),
    [anon_sym_int128] = ACTIONS(681),
    [anon_sym_int136] = ACTIONS(681),
    [anon_sym_int144] = ACTIONS(681),
    [anon_sym_int152] = ACTIONS(681),
    [anon_sym_int160] = ACTIONS(681),
    [anon_sym_int168] = ACTIONS(681),
    [anon_sym_int176] = ACTIONS(681),
    [anon_sym_int184] = ACTIONS(681),
    [anon_sym_int192] = ACTIONS(681),
    [anon_sym_int200] = ACTIONS(681),
    [anon_sym_int208] = ACTIONS(681),
    [anon_sym_int216] = ACTIONS(681),
    [anon_sym_int224] = ACTIONS(681),
    [anon_sym_int232] = ACTIONS(681),
    [anon_sym_int240] = ACTIONS(681),
    [anon_sym_int248] = ACTIONS(681),
    [anon_sym_int256] = ACTIONS(681),
    [anon_sym_uint] = ACTIONS(681),
    [anon_sym_uint8] = ACTIONS(681),
    [anon_sym_uint16] = ACTIONS(681),
    [anon_sym_uint24] = ACTIONS(681),
    [anon_sym_uint32] = ACTIONS(681),
    [anon_sym_uint40] = ACTIONS(681),
    [anon_sym_uint48] = ACTIONS(681),
    [anon_sym_uint56] = ACTIONS(681),
    [anon_sym_uint64] = ACTIONS(681),
    [anon_sym_uint72] = ACTIONS(681),
    [anon_sym_uint80] = ACTIONS(681),
    [anon_sym_uint88] = ACTIONS(681),
    [anon_sym_uint96] = ACTIONS(681),
    [anon_sym_uint104] = ACTIONS(681),
    [anon_sym_uint112] = ACTIONS(681),
    [anon_sym_uint120] = ACTIONS(681),
    [anon_sym_uint128] = ACTIONS(681),
    [anon_sym_uint136] = ACTIONS(681),
    [anon_sym_uint144] = ACTIONS(681),
    [anon_sym_uint152] = ACTIONS(681),
    [anon_sym_uint160] = ACTIONS(681),
    [anon_sym_uint168] = ACTIONS(681),
    [anon_sym_uint176] = ACTIONS(681),
    [anon_sym_uint184] = ACTIONS(681),
    [anon_sym_uint192] = ACTIONS(681),
    [anon_sym_uint200] = ACTIONS(681),
    [anon_sym_uint208] = ACTIONS(681),
    [anon_sym_uint216] = ACTIONS(681),
    [anon_sym_uint224] = ACTIONS(681),
    [anon_sym_uint232] = ACTIONS(681),
    [anon_sym_uint240] = ACTIONS(681),
    [anon_sym_uint248] = ACTIONS(681),
    [anon_sym_uint256] = ACTIONS(681),
    [anon_sym_bytes] = ACTIONS(681),
    [anon_sym_bytes1] = ACTIONS(681),
    [anon_sym_bytes2] = ACTIONS(681),
    [anon_sym_bytes3] = ACTIONS(681),
    [anon_sym_bytes4] = ACTIONS(681),
    [anon_sym_bytes5] = ACTIONS(681),
    [anon_sym_bytes6] = ACTIONS(681),
    [anon_sym_bytes7] = ACTIONS(681),
    [anon_sym_bytes8] = ACTIONS(681),
    [anon_sym_bytes9] = ACTIONS(681),
    [anon_sym_bytes10] = ACTIONS(681),
    [anon_sym_bytes11] = ACTIONS(681),
    [anon_sym_bytes12] = ACTIONS(681),
    [anon_sym_bytes13] = ACTIONS(681),
    [anon_sym_bytes14] = ACTIONS(681),
    [anon_sym_bytes15] = ACTIONS(681),
    [anon_sym_bytes16] = ACTIONS(681),
    [anon_sym_bytes17] = ACTIONS(681),
    [anon_sym_bytes18] = ACTIONS(681),
    [anon_sym_bytes19] = ACTIONS(681),
    [anon_sym_bytes20] = ACTIONS(681),
    [anon_sym_bytes21] = ACTIONS(681),
    [anon_sym_bytes22] = ACTIONS(681),
    [anon_sym_bytes23] = ACTIONS(681),
    [anon_sym_bytes24] = ACTIONS(681),
    [anon_sym_bytes25] = ACTIONS(681),
    [anon_sym_bytes26] = ACTIONS(681),
    [anon_sym_bytes27] = ACTIONS(681),
    [anon_sym_bytes28] = ACTIONS(681),
    [anon_sym_bytes29] = ACTIONS(681),
    [anon_sym_bytes30] = ACTIONS(681),
    [anon_sym_bytes31] = ACTIONS(681),
    [anon_sym_bytes32] = ACTIONS(681),
    [anon_sym_fixed] = ACTIONS(681),
    [aux_sym__fixed_token1] = ACTIONS(681),
    [anon_sym_ufixed] = ACTIONS(681),
    [aux_sym__ufixed_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [sym_identifier] = ACTIONS(709),
    [anon_sym_RBRACE] = ACTIONS(707),
    [anon_sym_type] = ACTIONS(709),
    [anon_sym_error] = ACTIONS(709),
    [anon_sym_struct] = ACTIONS(709),
    [anon_sym_enum] = ACTIONS(709),
    [anon_sym_event] = ACTIONS(709),
    [anon_sym_using] = ACTIONS(709),
    [anon_sym_function] = ACTIONS(709),
    [anon_sym_byte] = ACTIONS(709),
    [anon_sym_address] = ACTIONS(709),
    [anon_sym_var] = ACTIONS(709),
    [anon_sym_modifier] = ACTIONS(709),
    [anon_sym_constructor] = ACTIONS(709),
    [anon_sym_fallback] = ACTIONS(709),
    [anon_sym_receive] = ACTIONS(709),
    [anon_sym_mapping] = ACTIONS(709),
    [anon_sym_bool] = ACTIONS(709),
    [anon_sym_string] = ACTIONS(709),
    [anon_sym_int] = ACTIONS(709),
    [anon_sym_int8] = ACTIONS(709),
    [anon_sym_int16] = ACTIONS(709),
    [anon_sym_int24] = ACTIONS(709),
    [anon_sym_int32] = ACTIONS(709),
    [anon_sym_int40] = ACTIONS(709),
    [anon_sym_int48] = ACTIONS(709),
    [anon_sym_int56] = ACTIONS(709),
    [anon_sym_int64] = ACTIONS(709),
    [anon_sym_int72] = ACTIONS(709),
    [anon_sym_int80] = ACTIONS(709),
    [anon_sym_int88] = ACTIONS(709),
    [anon_sym_int96] = ACTIONS(709),
    [anon_sym_int104] = ACTIONS(709),
    [anon_sym_int112] = ACTIONS(709),
    [anon_sym_int120] = ACTIONS(709),
    [anon_sym_int128] = ACTIONS(709),
    [anon_sym_int136] = ACTIONS(709),
    [anon_sym_int144] = ACTIONS(709),
    [anon_sym_int152] = ACTIONS(709),
    [anon_sym_int160] = ACTIONS(709),
    [anon_sym_int168] = ACTIONS(709),
    [anon_sym_int176] = ACTIONS(709),
    [anon_sym_int184] = ACTIONS(709),
    [anon_sym_int192] = ACTIONS(709),
    [anon_sym_int200] = ACTIONS(709),
    [anon_sym_int208] = ACTIONS(709),
    [anon_sym_int216] = ACTIONS(709),
    [anon_sym_int224] = ACTIONS(709),
    [anon_sym_int232] = ACTIONS(709),
    [anon_sym_int240] = ACTIONS(709),
    [anon_sym_int248] = ACTIONS(709),
    [anon_sym_int256] = ACTIONS(709),
    [anon_sym_uint] = ACTIONS(709),
    [anon_sym_uint8] = ACTIONS(709),
    [anon_sym_uint16] = ACTIONS(709),
    [anon_sym_uint24] = ACTIONS(709),
    [anon_sym_uint32] = ACTIONS(709),
    [anon_sym_uint40] = ACTIONS(709),
    [anon_sym_uint48] = ACTIONS(709),
    [anon_sym_uint56] = ACTIONS(709),
    [anon_sym_uint64] = ACTIONS(709),
    [anon_sym_uint72] = ACTIONS(709),
    [anon_sym_uint80] = ACTIONS(709),
    [anon_sym_uint88] = ACTIONS(709),
    [anon_sym_uint96] = ACTIONS(709),
    [anon_sym_uint104] = ACTIONS(709),
    [anon_sym_uint112] = ACTIONS(709),
    [anon_sym_uint120] = ACTIONS(709),
    [anon_sym_uint128] = ACTIONS(709),
    [anon_sym_uint136] = ACTIONS(709),
    [anon_sym_uint144] = ACTIONS(709),
    [anon_sym_uint152] = ACTIONS(709),
    [anon_sym_uint160] = ACTIONS(709),
    [anon_sym_uint168] = ACTIONS(709),
    [anon_sym_uint176] = ACTIONS(709),
    [anon_sym_uint184] = ACTIONS(709),
    [anon_sym_uint192] = ACTIONS(709),
    [anon_sym_uint200] = ACTIONS(709),
    [anon_sym_uint208] = ACTIONS(709),
    [anon_sym_uint216] = ACTIONS(709),
    [anon_sym_uint224] = ACTIONS(709),
    [anon_sym_uint232] = ACTIONS(709),
    [anon_sym_uint240] = ACTIONS(709),
    [anon_sym_uint248] = ACTIONS(709),
    [anon_sym_uint256] = ACTIONS(709),
    [anon_sym_bytes] = ACTIONS(709),
    [anon_sym_bytes1] = ACTIONS(709),
    [anon_sym_bytes2] = ACTIONS(709),
    [anon_sym_bytes3] = ACTIONS(709),
    [anon_sym_bytes4] = ACTIONS(709),
    [anon_sym_bytes5] = ACTIONS(709),
    [anon_sym_bytes6] = ACTIONS(709),
    [anon_sym_bytes7] = ACTIONS(709),
    [anon_sym_bytes8] = ACTIONS(709),
    [anon_sym_bytes9] = ACTIONS(709),
    [anon_sym_bytes10] = ACTIONS(709),
    [anon_sym_bytes11] = ACTIONS(709),
    [anon_sym_bytes12] = ACTIONS(709),
    [anon_sym_bytes13] = ACTIONS(709),
    [anon_sym_bytes14] = ACTIONS(709),
    [anon_sym_bytes15] = ACTIONS(709),
    [anon_sym_bytes16] = ACTIONS(709),
    [anon_sym_bytes17] = ACTIONS(709),
    [anon_sym_bytes18] = ACTIONS(709),
    [anon_sym_bytes19] = ACTIONS(709),
    [anon_sym_bytes20] = ACTIONS(709),
    [anon_sym_bytes21] = ACTIONS(709),
    [anon_sym_bytes22] = ACTIONS(709),
    [anon_sym_bytes23] = ACTIONS(709),
    [anon_sym_bytes24] = ACTIONS(709),
    [anon_sym_bytes25] = ACTIONS(709),
    [anon_sym_bytes26] = ACTIONS(709),
    [anon_sym_bytes27] = ACTIONS(709),
    [anon_sym_bytes28] = ACTIONS(709),
    [anon_sym_bytes29] = ACTIONS(709),
    [anon_sym_bytes30] = ACTIONS(709),
    [anon_sym_bytes31] = ACTIONS(709),
    [anon_sym_bytes32] = ACTIONS(709),
    [anon_sym_fixed] = ACTIONS(709),
    [aux_sym__fixed_token1] = ACTIONS(709),
    [anon_sym_ufixed] = ACTIONS(709),
    [aux_sym__ufixed_token1] = ACTIONS(709),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [sym_identifier] = ACTIONS(713),
    [anon_sym_RBRACE] = ACTIONS(711),
    [anon_sym_type] = ACTIONS(713),
    [anon_sym_error] = ACTIONS(713),
    [anon_sym_struct] = ACTIONS(713),
    [anon_sym_enum] = ACTIONS(713),
    [anon_sym_event] = ACTIONS(713),
    [anon_sym_using] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_byte] = ACTIONS(713),
    [anon_sym_address] = ACTIONS(713),
    [anon_sym_var] = ACTIONS(713),
    [anon_sym_modifier] = ACTIONS(713),
    [anon_sym_constructor] = ACTIONS(713),
    [anon_sym_fallback] = ACTIONS(713),
    [anon_sym_receive] = ACTIONS(713),
    [anon_sym_mapping] = ACTIONS(713),
    [anon_sym_bool] = ACTIONS(713),
    [anon_sym_string] = ACTIONS(713),
    [anon_sym_int] = ACTIONS(713),
    [anon_sym_int8] = ACTIONS(713),
    [anon_sym_int16] = ACTIONS(713),
    [anon_sym_int24] = ACTIONS(713),
    [anon_sym_int32] = ACTIONS(713),
    [anon_sym_int40] = ACTIONS(713),
    [anon_sym_int48] = ACTIONS(713),
    [anon_sym_int56] = ACTIONS(713),
    [anon_sym_int64] = ACTIONS(713),
    [anon_sym_int72] = ACTIONS(713),
    [anon_sym_int80] = ACTIONS(713),
    [anon_sym_int88] = ACTIONS(713),
    [anon_sym_int96] = ACTIONS(713),
    [anon_sym_int104] = ACTIONS(713),
    [anon_sym_int112] = ACTIONS(713),
    [anon_sym_int120] = ACTIONS(713),
    [anon_sym_int128] = ACTIONS(713),
    [anon_sym_int136] = ACTIONS(713),
    [anon_sym_int144] = ACTIONS(713),
    [anon_sym_int152] = ACTIONS(713),
    [anon_sym_int160] = ACTIONS(713),
    [anon_sym_int168] = ACTIONS(713),
    [anon_sym_int176] = ACTIONS(713),
    [anon_sym_int184] = ACTIONS(713),
    [anon_sym_int192] = ACTIONS(713),
    [anon_sym_int200] = ACTIONS(713),
    [anon_sym_int208] = ACTIONS(713),
    [anon_sym_int216] = ACTIONS(713),
    [anon_sym_int224] = ACTIONS(713),
    [anon_sym_int232] = ACTIONS(713),
    [anon_sym_int240] = ACTIONS(713),
    [anon_sym_int248] = ACTIONS(713),
    [anon_sym_int256] = ACTIONS(713),
    [anon_sym_uint] = ACTIONS(713),
    [anon_sym_uint8] = ACTIONS(713),
    [anon_sym_uint16] = ACTIONS(713),
    [anon_sym_uint24] = ACTIONS(713),
    [anon_sym_uint32] = ACTIONS(713),
    [anon_sym_uint40] = ACTIONS(713),
    [anon_sym_uint48] = ACTIONS(713),
    [anon_sym_uint56] = ACTIONS(713),
    [anon_sym_uint64] = ACTIONS(713),
    [anon_sym_uint72] = ACTIONS(713),
    [anon_sym_uint80] = ACTIONS(713),
    [anon_sym_uint88] = ACTIONS(713),
    [anon_sym_uint96] = ACTIONS(713),
    [anon_sym_uint104] = ACTIONS(713),
    [anon_sym_uint112] = ACTIONS(713),
    [anon_sym_uint120] = ACTIONS(713),
    [anon_sym_uint128] = ACTIONS(713),
    [anon_sym_uint136] = ACTIONS(713),
    [anon_sym_uint144] = ACTIONS(713),
    [anon_sym_uint152] = ACTIONS(713),
    [anon_sym_uint160] = ACTIONS(713),
    [anon_sym_uint168] = ACTIONS(713),
    [anon_sym_uint176] = ACTIONS(713),
    [anon_sym_uint184] = ACTIONS(713),
    [anon_sym_uint192] = ACTIONS(713),
    [anon_sym_uint200] = ACTIONS(713),
    [anon_sym_uint208] = ACTIONS(713),
    [anon_sym_uint216] = ACTIONS(713),
    [anon_sym_uint224] = ACTIONS(713),
    [anon_sym_uint232] = ACTIONS(713),
    [anon_sym_uint240] = ACTIONS(713),
    [anon_sym_uint248] = ACTIONS(713),
    [anon_sym_uint256] = ACTIONS(713),
    [anon_sym_bytes] = ACTIONS(713),
    [anon_sym_bytes1] = ACTIONS(713),
    [anon_sym_bytes2] = ACTIONS(713),
    [anon_sym_bytes3] = ACTIONS(713),
    [anon_sym_bytes4] = ACTIONS(713),
    [anon_sym_bytes5] = ACTIONS(713),
    [anon_sym_bytes6] = ACTIONS(713),
    [anon_sym_bytes7] = ACTIONS(713),
    [anon_sym_bytes8] = ACTIONS(713),
    [anon_sym_bytes9] = ACTIONS(713),
    [anon_sym_bytes10] = ACTIONS(713),
    [anon_sym_bytes11] = ACTIONS(713),
    [anon_sym_bytes12] = ACTIONS(713),
    [anon_sym_bytes13] = ACTIONS(713),
    [anon_sym_bytes14] = ACTIONS(713),
    [anon_sym_bytes15] = ACTIONS(713),
    [anon_sym_bytes16] = ACTIONS(713),
    [anon_sym_bytes17] = ACTIONS(713),
    [anon_sym_bytes18] = ACTIONS(713),
    [anon_sym_bytes19] = ACTIONS(713),
    [anon_sym_bytes20] = ACTIONS(713),
    [anon_sym_bytes21] = ACTIONS(713),
    [anon_sym_bytes22] = ACTIONS(713),
    [anon_sym_bytes23] = ACTIONS(713),
    [anon_sym_bytes24] = ACTIONS(713),
    [anon_sym_bytes25] = ACTIONS(713),
    [anon_sym_bytes26] = ACTIONS(713),
    [anon_sym_bytes27] = ACTIONS(713),
    [anon_sym_bytes28] = ACTIONS(713),
    [anon_sym_bytes29] = ACTIONS(713),
    [anon_sym_bytes30] = ACTIONS(713),
    [anon_sym_bytes31] = ACTIONS(713),
    [anon_sym_bytes32] = ACTIONS(713),
    [anon_sym_fixed] = ACTIONS(713),
    [aux_sym__fixed_token1] = ACTIONS(713),
    [anon_sym_ufixed] = ACTIONS(713),
    [aux_sym__ufixed_token1] = ACTIONS(713),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [sym_identifier] = ACTIONS(713),
    [anon_sym_RBRACE] = ACTIONS(711),
    [anon_sym_type] = ACTIONS(713),
    [anon_sym_error] = ACTIONS(713),
    [anon_sym_struct] = ACTIONS(713),
    [anon_sym_enum] = ACTIONS(713),
    [anon_sym_event] = ACTIONS(713),
    [anon_sym_using] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_byte] = ACTIONS(713),
    [anon_sym_address] = ACTIONS(713),
    [anon_sym_var] = ACTIONS(713),
    [anon_sym_modifier] = ACTIONS(713),
    [anon_sym_constructor] = ACTIONS(713),
    [anon_sym_fallback] = ACTIONS(713),
    [anon_sym_receive] = ACTIONS(713),
    [anon_sym_mapping] = ACTIONS(713),
    [anon_sym_bool] = ACTIONS(713),
    [anon_sym_string] = ACTIONS(713),
    [anon_sym_int] = ACTIONS(713),
    [anon_sym_int8] = ACTIONS(713),
    [anon_sym_int16] = ACTIONS(713),
    [anon_sym_int24] = ACTIONS(713),
    [anon_sym_int32] = ACTIONS(713),
    [anon_sym_int40] = ACTIONS(713),
    [anon_sym_int48] = ACTIONS(713),
    [anon_sym_int56] = ACTIONS(713),
    [anon_sym_int64] = ACTIONS(713),
    [anon_sym_int72] = ACTIONS(713),
    [anon_sym_int80] = ACTIONS(713),
    [anon_sym_int88] = ACTIONS(713),
    [anon_sym_int96] = ACTIONS(713),
    [anon_sym_int104] = ACTIONS(713),
    [anon_sym_int112] = ACTIONS(713),
    [anon_sym_int120] = ACTIONS(713),
    [anon_sym_int128] = ACTIONS(713),
    [anon_sym_int136] = ACTIONS(713),
    [anon_sym_int144] = ACTIONS(713),
    [anon_sym_int152] = ACTIONS(713),
    [anon_sym_int160] = ACTIONS(713),
    [anon_sym_int168] = ACTIONS(713),
    [anon_sym_int176] = ACTIONS(713),
    [anon_sym_int184] = ACTIONS(713),
    [anon_sym_int192] = ACTIONS(713),
    [anon_sym_int200] = ACTIONS(713),
    [anon_sym_int208] = ACTIONS(713),
    [anon_sym_int216] = ACTIONS(713),
    [anon_sym_int224] = ACTIONS(713),
    [anon_sym_int232] = ACTIONS(713),
    [anon_sym_int240] = ACTIONS(713),
    [anon_sym_int248] = ACTIONS(713),
    [anon_sym_int256] = ACTIONS(713),
    [anon_sym_uint] = ACTIONS(713),
    [anon_sym_uint8] = ACTIONS(713),
    [anon_sym_uint16] = ACTIONS(713),
    [anon_sym_uint24] = ACTIONS(713),
    [anon_sym_uint32] = ACTIONS(713),
    [anon_sym_uint40] = ACTIONS(713),
    [anon_sym_uint48] = ACTIONS(713),
    [anon_sym_uint56] = ACTIONS(713),
    [anon_sym_uint64] = ACTIONS(713),
    [anon_sym_uint72] = ACTIONS(713),
    [anon_sym_uint80] = ACTIONS(713),
    [anon_sym_uint88] = ACTIONS(713),
    [anon_sym_uint96] = ACTIONS(713),
    [anon_sym_uint104] = ACTIONS(713),
    [anon_sym_uint112] = ACTIONS(713),
    [anon_sym_uint120] = ACTIONS(713),
    [anon_sym_uint128] = ACTIONS(713),
    [anon_sym_uint136] = ACTIONS(713),
    [anon_sym_uint144] = ACTIONS(713),
    [anon_sym_uint152] = ACTIONS(713),
    [anon_sym_uint160] = ACTIONS(713),
    [anon_sym_uint168] = ACTIONS(713),
    [anon_sym_uint176] = ACTIONS(713),
    [anon_sym_uint184] = ACTIONS(713),
    [anon_sym_uint192] = ACTIONS(713),
    [anon_sym_uint200] = ACTIONS(713),
    [anon_sym_uint208] = ACTIONS(713),
    [anon_sym_uint216] = ACTIONS(713),
    [anon_sym_uint224] = ACTIONS(713),
    [anon_sym_uint232] = ACTIONS(713),
    [anon_sym_uint240] = ACTIONS(713),
    [anon_sym_uint248] = ACTIONS(713),
    [anon_sym_uint256] = ACTIONS(713),
    [anon_sym_bytes] = ACTIONS(713),
    [anon_sym_bytes1] = ACTIONS(713),
    [anon_sym_bytes2] = ACTIONS(713),
    [anon_sym_bytes3] = ACTIONS(713),
    [anon_sym_bytes4] = ACTIONS(713),
    [anon_sym_bytes5] = ACTIONS(713),
    [anon_sym_bytes6] = ACTIONS(713),
    [anon_sym_bytes7] = ACTIONS(713),
    [anon_sym_bytes8] = ACTIONS(713),
    [anon_sym_bytes9] = ACTIONS(713),
    [anon_sym_bytes10] = ACTIONS(713),
    [anon_sym_bytes11] = ACTIONS(713),
    [anon_sym_bytes12] = ACTIONS(713),
    [anon_sym_bytes13] = ACTIONS(713),
    [anon_sym_bytes14] = ACTIONS(713),
    [anon_sym_bytes15] = ACTIONS(713),
    [anon_sym_bytes16] = ACTIONS(713),
    [anon_sym_bytes17] = ACTIONS(713),
    [anon_sym_bytes18] = ACTIONS(713),
    [anon_sym_bytes19] = ACTIONS(713),
    [anon_sym_bytes20] = ACTIONS(713),
    [anon_sym_bytes21] = ACTIONS(713),
    [anon_sym_bytes22] = ACTIONS(713),
    [anon_sym_bytes23] = ACTIONS(713),
    [anon_sym_bytes24] = ACTIONS(713),
    [anon_sym_bytes25] = ACTIONS(713),
    [anon_sym_bytes26] = ACTIONS(713),
    [anon_sym_bytes27] = ACTIONS(713),
    [anon_sym_bytes28] = ACTIONS(713),
    [anon_sym_bytes29] = ACTIONS(713),
    [anon_sym_bytes30] = ACTIONS(713),
    [anon_sym_bytes31] = ACTIONS(713),
    [anon_sym_bytes32] = ACTIONS(713),
    [anon_sym_fixed] = ACTIONS(713),
    [aux_sym__fixed_token1] = ACTIONS(713),
    [anon_sym_ufixed] = ACTIONS(713),
    [aux_sym__ufixed_token1] = ACTIONS(713),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [sym_identifier] = ACTIONS(717),
    [anon_sym_RBRACE] = ACTIONS(715),
    [anon_sym_type] = ACTIONS(717),
    [anon_sym_error] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(717),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_event] = ACTIONS(717),
    [anon_sym_using] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_byte] = ACTIONS(717),
    [anon_sym_address] = ACTIONS(717),
    [anon_sym_var] = ACTIONS(717),
    [anon_sym_modifier] = ACTIONS(717),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_fallback] = ACTIONS(717),
    [anon_sym_receive] = ACTIONS(717),
    [anon_sym_mapping] = ACTIONS(717),
    [anon_sym_bool] = ACTIONS(717),
    [anon_sym_string] = ACTIONS(717),
    [anon_sym_int] = ACTIONS(717),
    [anon_sym_int8] = ACTIONS(717),
    [anon_sym_int16] = ACTIONS(717),
    [anon_sym_int24] = ACTIONS(717),
    [anon_sym_int32] = ACTIONS(717),
    [anon_sym_int40] = ACTIONS(717),
    [anon_sym_int48] = ACTIONS(717),
    [anon_sym_int56] = ACTIONS(717),
    [anon_sym_int64] = ACTIONS(717),
    [anon_sym_int72] = ACTIONS(717),
    [anon_sym_int80] = ACTIONS(717),
    [anon_sym_int88] = ACTIONS(717),
    [anon_sym_int96] = ACTIONS(717),
    [anon_sym_int104] = ACTIONS(717),
    [anon_sym_int112] = ACTIONS(717),
    [anon_sym_int120] = ACTIONS(717),
    [anon_sym_int128] = ACTIONS(717),
    [anon_sym_int136] = ACTIONS(717),
    [anon_sym_int144] = ACTIONS(717),
    [anon_sym_int152] = ACTIONS(717),
    [anon_sym_int160] = ACTIONS(717),
    [anon_sym_int168] = ACTIONS(717),
    [anon_sym_int176] = ACTIONS(717),
    [anon_sym_int184] = ACTIONS(717),
    [anon_sym_int192] = ACTIONS(717),
    [anon_sym_int200] = ACTIONS(717),
    [anon_sym_int208] = ACTIONS(717),
    [anon_sym_int216] = ACTIONS(717),
    [anon_sym_int224] = ACTIONS(717),
    [anon_sym_int232] = ACTIONS(717),
    [anon_sym_int240] = ACTIONS(717),
    [anon_sym_int248] = ACTIONS(717),
    [anon_sym_int256] = ACTIONS(717),
    [anon_sym_uint] = ACTIONS(717),
    [anon_sym_uint8] = ACTIONS(717),
    [anon_sym_uint16] = ACTIONS(717),
    [anon_sym_uint24] = ACTIONS(717),
    [anon_sym_uint32] = ACTIONS(717),
    [anon_sym_uint40] = ACTIONS(717),
    [anon_sym_uint48] = ACTIONS(717),
    [anon_sym_uint56] = ACTIONS(717),
    [anon_sym_uint64] = ACTIONS(717),
    [anon_sym_uint72] = ACTIONS(717),
    [anon_sym_uint80] = ACTIONS(717),
    [anon_sym_uint88] = ACTIONS(717),
    [anon_sym_uint96] = ACTIONS(717),
    [anon_sym_uint104] = ACTIONS(717),
    [anon_sym_uint112] = ACTIONS(717),
    [anon_sym_uint120] = ACTIONS(717),
    [anon_sym_uint128] = ACTIONS(717),
    [anon_sym_uint136] = ACTIONS(717),
    [anon_sym_uint144] = ACTIONS(717),
    [anon_sym_uint152] = ACTIONS(717),
    [anon_sym_uint160] = ACTIONS(717),
    [anon_sym_uint168] = ACTIONS(717),
    [anon_sym_uint176] = ACTIONS(717),
    [anon_sym_uint184] = ACTIONS(717),
    [anon_sym_uint192] = ACTIONS(717),
    [anon_sym_uint200] = ACTIONS(717),
    [anon_sym_uint208] = ACTIONS(717),
    [anon_sym_uint216] = ACTIONS(717),
    [anon_sym_uint224] = ACTIONS(717),
    [anon_sym_uint232] = ACTIONS(717),
    [anon_sym_uint240] = ACTIONS(717),
    [anon_sym_uint248] = ACTIONS(717),
    [anon_sym_uint256] = ACTIONS(717),
    [anon_sym_bytes] = ACTIONS(717),
    [anon_sym_bytes1] = ACTIONS(717),
    [anon_sym_bytes2] = ACTIONS(717),
    [anon_sym_bytes3] = ACTIONS(717),
    [anon_sym_bytes4] = ACTIONS(717),
    [anon_sym_bytes5] = ACTIONS(717),
    [anon_sym_bytes6] = ACTIONS(717),
    [anon_sym_bytes7] = ACTIONS(717),
    [anon_sym_bytes8] = ACTIONS(717),
    [anon_sym_bytes9] = ACTIONS(717),
    [anon_sym_bytes10] = ACTIONS(717),
    [anon_sym_bytes11] = ACTIONS(717),
    [anon_sym_bytes12] = ACTIONS(717),
    [anon_sym_bytes13] = ACTIONS(717),
    [anon_sym_bytes14] = ACTIONS(717),
    [anon_sym_bytes15] = ACTIONS(717),
    [anon_sym_bytes16] = ACTIONS(717),
    [anon_sym_bytes17] = ACTIONS(717),
    [anon_sym_bytes18] = ACTIONS(717),
    [anon_sym_bytes19] = ACTIONS(717),
    [anon_sym_bytes20] = ACTIONS(717),
    [anon_sym_bytes21] = ACTIONS(717),
    [anon_sym_bytes22] = ACTIONS(717),
    [anon_sym_bytes23] = ACTIONS(717),
    [anon_sym_bytes24] = ACTIONS(717),
    [anon_sym_bytes25] = ACTIONS(717),
    [anon_sym_bytes26] = ACTIONS(717),
    [anon_sym_bytes27] = ACTIONS(717),
    [anon_sym_bytes28] = ACTIONS(717),
    [anon_sym_bytes29] = ACTIONS(717),
    [anon_sym_bytes30] = ACTIONS(717),
    [anon_sym_bytes31] = ACTIONS(717),
    [anon_sym_bytes32] = ACTIONS(717),
    [anon_sym_fixed] = ACTIONS(717),
    [aux_sym__fixed_token1] = ACTIONS(717),
    [anon_sym_ufixed] = ACTIONS(717),
    [aux_sym__ufixed_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [296] = {
    [sym_identifier] = ACTIONS(717),
    [anon_sym_RBRACE] = ACTIONS(715),
    [anon_sym_type] = ACTIONS(717),
    [anon_sym_error] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(717),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_event] = ACTIONS(717),
    [anon_sym_using] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_byte] = ACTIONS(717),
    [anon_sym_address] = ACTIONS(717),
    [anon_sym_var] = ACTIONS(717),
    [anon_sym_modifier] = ACTIONS(717),
    [anon_sym_constructor] = ACTIONS(717),
    [anon_sym_fallback] = ACTIONS(717),
    [anon_sym_receive] = ACTIONS(717),
    [anon_sym_mapping] = ACTIONS(717),
    [anon_sym_bool] = ACTIONS(717),
    [anon_sym_string] = ACTIONS(717),
    [anon_sym_int] = ACTIONS(717),
    [anon_sym_int8] = ACTIONS(717),
    [anon_sym_int16] = ACTIONS(717),
    [anon_sym_int24] = ACTIONS(717),
    [anon_sym_int32] = ACTIONS(717),
    [anon_sym_int40] = ACTIONS(717),
    [anon_sym_int48] = ACTIONS(717),
    [anon_sym_int56] = ACTIONS(717),
    [anon_sym_int64] = ACTIONS(717),
    [anon_sym_int72] = ACTIONS(717),
    [anon_sym_int80] = ACTIONS(717),
    [anon_sym_int88] = ACTIONS(717),
    [anon_sym_int96] = ACTIONS(717),
    [anon_sym_int104] = ACTIONS(717),
    [anon_sym_int112] = ACTIONS(717),
    [anon_sym_int120] = ACTIONS(717),
    [anon_sym_int128] = ACTIONS(717),
    [anon_sym_int136] = ACTIONS(717),
    [anon_sym_int144] = ACTIONS(717),
    [anon_sym_int152] = ACTIONS(717),
    [anon_sym_int160] = ACTIONS(717),
    [anon_sym_int168] = ACTIONS(717),
    [anon_sym_int176] = ACTIONS(717),
    [anon_sym_int184] = ACTIONS(717),
    [anon_sym_int192] = ACTIONS(717),
    [anon_sym_int200] = ACTIONS(717),
    [anon_sym_int208] = ACTIONS(717),
    [anon_sym_int216] = ACTIONS(717),
    [anon_sym_int224] = ACTIONS(717),
    [anon_sym_int232] = ACTIONS(717),
    [anon_sym_int240] = ACTIONS(717),
    [anon_sym_int248] = ACTIONS(717),
    [anon_sym_int256] = ACTIONS(717),
    [anon_sym_uint] = ACTIONS(717),
    [anon_sym_uint8] = ACTIONS(717),
    [anon_sym_uint16] = ACTIONS(717),
    [anon_sym_uint24] = ACTIONS(717),
    [anon_sym_uint32] = ACTIONS(717),
    [anon_sym_uint40] = ACTIONS(717),
    [anon_sym_uint48] = ACTIONS(717),
    [anon_sym_uint56] = ACTIONS(717),
    [anon_sym_uint64] = ACTIONS(717),
    [anon_sym_uint72] = ACTIONS(717),
    [anon_sym_uint80] = ACTIONS(717),
    [anon_sym_uint88] = ACTIONS(717),
    [anon_sym_uint96] = ACTIONS(717),
    [anon_sym_uint104] = ACTIONS(717),
    [anon_sym_uint112] = ACTIONS(717),
    [anon_sym_uint120] = ACTIONS(717),
    [anon_sym_uint128] = ACTIONS(717),
    [anon_sym_uint136] = ACTIONS(717),
    [anon_sym_uint144] = ACTIONS(717),
    [anon_sym_uint152] = ACTIONS(717),
    [anon_sym_uint160] = ACTIONS(717),
    [anon_sym_uint168] = ACTIONS(717),
    [anon_sym_uint176] = ACTIONS(717),
    [anon_sym_uint184] = ACTIONS(717),
    [anon_sym_uint192] = ACTIONS(717),
    [anon_sym_uint200] = ACTIONS(717),
    [anon_sym_uint208] = ACTIONS(717),
    [anon_sym_uint216] = ACTIONS(717),
    [anon_sym_uint224] = ACTIONS(717),
    [anon_sym_uint232] = ACTIONS(717),
    [anon_sym_uint240] = ACTIONS(717),
    [anon_sym_uint248] = ACTIONS(717),
    [anon_sym_uint256] = ACTIONS(717),
    [anon_sym_bytes] = ACTIONS(717),
    [anon_sym_bytes1] = ACTIONS(717),
    [anon_sym_bytes2] = ACTIONS(717),
    [anon_sym_bytes3] = ACTIONS(717),
    [anon_sym_bytes4] = ACTIONS(717),
    [anon_sym_bytes5] = ACTIONS(717),
    [anon_sym_bytes6] = ACTIONS(717),
    [anon_sym_bytes7] = ACTIONS(717),
    [anon_sym_bytes8] = ACTIONS(717),
    [anon_sym_bytes9] = ACTIONS(717),
    [anon_sym_bytes10] = ACTIONS(717),
    [anon_sym_bytes11] = ACTIONS(717),
    [anon_sym_bytes12] = ACTIONS(717),
    [anon_sym_bytes13] = ACTIONS(717),
    [anon_sym_bytes14] = ACTIONS(717),
    [anon_sym_bytes15] = ACTIONS(717),
    [anon_sym_bytes16] = ACTIONS(717),
    [anon_sym_bytes17] = ACTIONS(717),
    [anon_sym_bytes18] = ACTIONS(717),
    [anon_sym_bytes19] = ACTIONS(717),
    [anon_sym_bytes20] = ACTIONS(717),
    [anon_sym_bytes21] = ACTIONS(717),
    [anon_sym_bytes22] = ACTIONS(717),
    [anon_sym_bytes23] = ACTIONS(717),
    [anon_sym_bytes24] = ACTIONS(717),
    [anon_sym_bytes25] = ACTIONS(717),
    [anon_sym_bytes26] = ACTIONS(717),
    [anon_sym_bytes27] = ACTIONS(717),
    [anon_sym_bytes28] = ACTIONS(717),
    [anon_sym_bytes29] = ACTIONS(717),
    [anon_sym_bytes30] = ACTIONS(717),
    [anon_sym_bytes31] = ACTIONS(717),
    [anon_sym_bytes32] = ACTIONS(717),
    [anon_sym_fixed] = ACTIONS(717),
    [aux_sym__fixed_token1] = ACTIONS(717),
    [anon_sym_ufixed] = ACTIONS(717),
    [aux_sym__ufixed_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [sym_identifier] = ACTIONS(737),
    [anon_sym_RBRACE] = ACTIONS(735),
    [anon_sym_type] = ACTIONS(737),
    [anon_sym_error] = ACTIONS(737),
    [anon_sym_struct] = ACTIONS(737),
    [anon_sym_enum] = ACTIONS(737),
    [anon_sym_event] = ACTIONS(737),
    [anon_sym_using] = ACTIONS(737),
    [anon_sym_function] = ACTIONS(737),
    [anon_sym_byte] = ACTIONS(737),
    [anon_sym_address] = ACTIONS(737),
    [anon_sym_var] = ACTIONS(737),
    [anon_sym_modifier] = ACTIONS(737),
    [anon_sym_constructor] = ACTIONS(737),
    [anon_sym_fallback] = ACTIONS(737),
    [anon_sym_receive] = ACTIONS(737),
    [anon_sym_mapping] = ACTIONS(737),
    [anon_sym_bool] = ACTIONS(737),
    [anon_sym_string] = ACTIONS(737),
    [anon_sym_int] = ACTIONS(737),
    [anon_sym_int8] = ACTIONS(737),
    [anon_sym_int16] = ACTIONS(737),
    [anon_sym_int24] = ACTIONS(737),
    [anon_sym_int32] = ACTIONS(737),
    [anon_sym_int40] = ACTIONS(737),
    [anon_sym_int48] = ACTIONS(737),
    [anon_sym_int56] = ACTIONS(737),
    [anon_sym_int64] = ACTIONS(737),
    [anon_sym_int72] = ACTIONS(737),
    [anon_sym_int80] = ACTIONS(737),
    [anon_sym_int88] = ACTIONS(737),
    [anon_sym_int96] = ACTIONS(737),
    [anon_sym_int104] = ACTIONS(737),
    [anon_sym_int112] = ACTIONS(737),
    [anon_sym_int120] = ACTIONS(737),
    [anon_sym_int128] = ACTIONS(737),
    [anon_sym_int136] = ACTIONS(737),
    [anon_sym_int144] = ACTIONS(737),
    [anon_sym_int152] = ACTIONS(737),
    [anon_sym_int160] = ACTIONS(737),
    [anon_sym_int168] = ACTIONS(737),
    [anon_sym_int176] = ACTIONS(737),
    [anon_sym_int184] = ACTIONS(737),
    [anon_sym_int192] = ACTIONS(737),
    [anon_sym_int200] = ACTIONS(737),
    [anon_sym_int208] = ACTIONS(737),
    [anon_sym_int216] = ACTIONS(737),
    [anon_sym_int224] = ACTIONS(737),
    [anon_sym_int232] = ACTIONS(737),
    [anon_sym_int240] = ACTIONS(737),
    [anon_sym_int248] = ACTIONS(737),
    [anon_sym_int256] = ACTIONS(737),
    [anon_sym_uint] = ACTIONS(737),
    [anon_sym_uint8] = ACTIONS(737),
    [anon_sym_uint16] = ACTIONS(737),
    [anon_sym_uint24] = ACTIONS(737),
    [anon_sym_uint32] = ACTIONS(737),
    [anon_sym_uint40] = ACTIONS(737),
    [anon_sym_uint48] = ACTIONS(737),
    [anon_sym_uint56] = ACTIONS(737),
    [anon_sym_uint64] = ACTIONS(737),
    [anon_sym_uint72] = ACTIONS(737),
    [anon_sym_uint80] = ACTIONS(737),
    [anon_sym_uint88] = ACTIONS(737),
    [anon_sym_uint96] = ACTIONS(737),
    [anon_sym_uint104] = ACTIONS(737),
    [anon_sym_uint112] = ACTIONS(737),
    [anon_sym_uint120] = ACTIONS(737),
    [anon_sym_uint128] = ACTIONS(737),
    [anon_sym_uint136] = ACTIONS(737),
    [anon_sym_uint144] = ACTIONS(737),
    [anon_sym_uint152] = ACTIONS(737),
    [anon_sym_uint160] = ACTIONS(737),
    [anon_sym_uint168] = ACTIONS(737),
    [anon_sym_uint176] = ACTIONS(737),
    [anon_sym_uint184] = ACTIONS(737),
    [anon_sym_uint192] = ACTIONS(737),
    [anon_sym_uint200] = ACTIONS(737),
    [anon_sym_uint208] = ACTIONS(737),
    [anon_sym_uint216] = ACTIONS(737),
    [anon_sym_uint224] = ACTIONS(737),
    [anon_sym_uint232] = ACTIONS(737),
    [anon_sym_uint240] = ACTIONS(737),
    [anon_sym_uint248] = ACTIONS(737),
    [anon_sym_uint256] = ACTIONS(737),
    [anon_sym_bytes] = ACTIONS(737),
    [anon_sym_bytes1] = ACTIONS(737),
    [anon_sym_bytes2] = ACTIONS(737),
    [anon_sym_bytes3] = ACTIONS(737),
    [anon_sym_bytes4] = ACTIONS(737),
    [anon_sym_bytes5] = ACTIONS(737),
    [anon_sym_bytes6] = ACTIONS(737),
    [anon_sym_bytes7] = ACTIONS(737),
    [anon_sym_bytes8] = ACTIONS(737),
    [anon_sym_bytes9] = ACTIONS(737),
    [anon_sym_bytes10] = ACTIONS(737),
    [anon_sym_bytes11] = ACTIONS(737),
    [anon_sym_bytes12] = ACTIONS(737),
    [anon_sym_bytes13] = ACTIONS(737),
    [anon_sym_bytes14] = ACTIONS(737),
    [anon_sym_bytes15] = ACTIONS(737),
    [anon_sym_bytes16] = ACTIONS(737),
    [anon_sym_bytes17] = ACTIONS(737),
    [anon_sym_bytes18] = ACTIONS(737),
    [anon_sym_bytes19] = ACTIONS(737),
    [anon_sym_bytes20] = ACTIONS(737),
    [anon_sym_bytes21] = ACTIONS(737),
    [anon_sym_bytes22] = ACTIONS(737),
    [anon_sym_bytes23] = ACTIONS(737),
    [anon_sym_bytes24] = ACTIONS(737),
    [anon_sym_bytes25] = ACTIONS(737),
    [anon_sym_bytes26] = ACTIONS(737),
    [anon_sym_bytes27] = ACTIONS(737),
    [anon_sym_bytes28] = ACTIONS(737),
    [anon_sym_bytes29] = ACTIONS(737),
    [anon_sym_bytes30] = ACTIONS(737),
    [anon_sym_bytes31] = ACTIONS(737),
    [anon_sym_bytes32] = ACTIONS(737),
    [anon_sym_fixed] = ACTIONS(737),
    [aux_sym__fixed_token1] = ACTIONS(737),
    [anon_sym_ufixed] = ACTIONS(737),
    [aux_sym__ufixed_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [sym_identifier] = ACTIONS(737),
    [anon_sym_RBRACE] = ACTIONS(735),
    [anon_sym_type] = ACTIONS(737),
    [anon_sym_error] = ACTIONS(737),
    [anon_sym_struct] = ACTIONS(737),
    [anon_sym_enum] = ACTIONS(737),
    [anon_sym_event] = ACTIONS(737),
    [anon_sym_using] = ACTIONS(737),
    [anon_sym_function] = ACTIONS(737),
    [anon_sym_byte] = ACTIONS(737),
    [anon_sym_address] = ACTIONS(737),
    [anon_sym_var] = ACTIONS(737),
    [anon_sym_modifier] = ACTIONS(737),
    [anon_sym_constructor] = ACTIONS(737),
    [anon_sym_fallback] = ACTIONS(737),
    [anon_sym_receive] = ACTIONS(737),
    [anon_sym_mapping] = ACTIONS(737),
    [anon_sym_bool] = ACTIONS(737),
    [anon_sym_string] = ACTIONS(737),
    [anon_sym_int] = ACTIONS(737),
    [anon_sym_int8] = ACTIONS(737),
    [anon_sym_int16] = ACTIONS(737),
    [anon_sym_int24] = ACTIONS(737),
    [anon_sym_int32] = ACTIONS(737),
    [anon_sym_int40] = ACTIONS(737),
    [anon_sym_int48] = ACTIONS(737),
    [anon_sym_int56] = ACTIONS(737),
    [anon_sym_int64] = ACTIONS(737),
    [anon_sym_int72] = ACTIONS(737),
    [anon_sym_int80] = ACTIONS(737),
    [anon_sym_int88] = ACTIONS(737),
    [anon_sym_int96] = ACTIONS(737),
    [anon_sym_int104] = ACTIONS(737),
    [anon_sym_int112] = ACTIONS(737),
    [anon_sym_int120] = ACTIONS(737),
    [anon_sym_int128] = ACTIONS(737),
    [anon_sym_int136] = ACTIONS(737),
    [anon_sym_int144] = ACTIONS(737),
    [anon_sym_int152] = ACTIONS(737),
    [anon_sym_int160] = ACTIONS(737),
    [anon_sym_int168] = ACTIONS(737),
    [anon_sym_int176] = ACTIONS(737),
    [anon_sym_int184] = ACTIONS(737),
    [anon_sym_int192] = ACTIONS(737),
    [anon_sym_int200] = ACTIONS(737),
    [anon_sym_int208] = ACTIONS(737),
    [anon_sym_int216] = ACTIONS(737),
    [anon_sym_int224] = ACTIONS(737),
    [anon_sym_int232] = ACTIONS(737),
    [anon_sym_int240] = ACTIONS(737),
    [anon_sym_int248] = ACTIONS(737),
    [anon_sym_int256] = ACTIONS(737),
    [anon_sym_uint] = ACTIONS(737),
    [anon_sym_uint8] = ACTIONS(737),
    [anon_sym_uint16] = ACTIONS(737),
    [anon_sym_uint24] = ACTIONS(737),
    [anon_sym_uint32] = ACTIONS(737),
    [anon_sym_uint40] = ACTIONS(737),
    [anon_sym_uint48] = ACTIONS(737),
    [anon_sym_uint56] = ACTIONS(737),
    [anon_sym_uint64] = ACTIONS(737),
    [anon_sym_uint72] = ACTIONS(737),
    [anon_sym_uint80] = ACTIONS(737),
    [anon_sym_uint88] = ACTIONS(737),
    [anon_sym_uint96] = ACTIONS(737),
    [anon_sym_uint104] = ACTIONS(737),
    [anon_sym_uint112] = ACTIONS(737),
    [anon_sym_uint120] = ACTIONS(737),
    [anon_sym_uint128] = ACTIONS(737),
    [anon_sym_uint136] = ACTIONS(737),
    [anon_sym_uint144] = ACTIONS(737),
    [anon_sym_uint152] = ACTIONS(737),
    [anon_sym_uint160] = ACTIONS(737),
    [anon_sym_uint168] = ACTIONS(737),
    [anon_sym_uint176] = ACTIONS(737),
    [anon_sym_uint184] = ACTIONS(737),
    [anon_sym_uint192] = ACTIONS(737),
    [anon_sym_uint200] = ACTIONS(737),
    [anon_sym_uint208] = ACTIONS(737),
    [anon_sym_uint216] = ACTIONS(737),
    [anon_sym_uint224] = ACTIONS(737),
    [anon_sym_uint232] = ACTIONS(737),
    [anon_sym_uint240] = ACTIONS(737),
    [anon_sym_uint248] = ACTIONS(737),
    [anon_sym_uint256] = ACTIONS(737),
    [anon_sym_bytes] = ACTIONS(737),
    [anon_sym_bytes1] = ACTIONS(737),
    [anon_sym_bytes2] = ACTIONS(737),
    [anon_sym_bytes3] = ACTIONS(737),
    [anon_sym_bytes4] = ACTIONS(737),
    [anon_sym_bytes5] = ACTIONS(737),
    [anon_sym_bytes6] = ACTIONS(737),
    [anon_sym_bytes7] = ACTIONS(737),
    [anon_sym_bytes8] = ACTIONS(737),
    [anon_sym_bytes9] = ACTIONS(737),
    [anon_sym_bytes10] = ACTIONS(737),
    [anon_sym_bytes11] = ACTIONS(737),
    [anon_sym_bytes12] = ACTIONS(737),
    [anon_sym_bytes13] = ACTIONS(737),
    [anon_sym_bytes14] = ACTIONS(737),
    [anon_sym_bytes15] = ACTIONS(737),
    [anon_sym_bytes16] = ACTIONS(737),
    [anon_sym_bytes17] = ACTIONS(737),
    [anon_sym_bytes18] = ACTIONS(737),
    [anon_sym_bytes19] = ACTIONS(737),
    [anon_sym_bytes20] = ACTIONS(737),
    [anon_sym_bytes21] = ACTIONS(737),
    [anon_sym_bytes22] = ACTIONS(737),
    [anon_sym_bytes23] = ACTIONS(737),
    [anon_sym_bytes24] = ACTIONS(737),
    [anon_sym_bytes25] = ACTIONS(737),
    [anon_sym_bytes26] = ACTIONS(737),
    [anon_sym_bytes27] = ACTIONS(737),
    [anon_sym_bytes28] = ACTIONS(737),
    [anon_sym_bytes29] = ACTIONS(737),
    [anon_sym_bytes30] = ACTIONS(737),
    [anon_sym_bytes31] = ACTIONS(737),
    [anon_sym_bytes32] = ACTIONS(737),
    [anon_sym_fixed] = ACTIONS(737),
    [aux_sym__fixed_token1] = ACTIONS(737),
    [anon_sym_ufixed] = ACTIONS(737),
    [aux_sym__ufixed_token1] = ACTIONS(737),
    [sym_comment] = ACTIONS(3),
  },
  [299] = {
    [sym_identifier] = ACTIONS(929),
    [anon_sym_RBRACE] = ACTIONS(931),
    [anon_sym_type] = ACTIONS(929),
    [anon_sym_error] = ACTIONS(929),
    [anon_sym_struct] = ACTIONS(929),
    [anon_sym_enum] = ACTIONS(929),
    [anon_sym_event] = ACTIONS(929),
    [anon_sym_using] = ACTIONS(929),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_byte] = ACTIONS(929),
    [anon_sym_address] = ACTIONS(929),
    [anon_sym_var] = ACTIONS(929),
    [anon_sym_modifier] = ACTIONS(929),
    [anon_sym_constructor] = ACTIONS(929),
    [anon_sym_fallback] = ACTIONS(929),
    [anon_sym_receive] = ACTIONS(929),
    [anon_sym_mapping] = ACTIONS(929),
    [anon_sym_bool] = ACTIONS(929),
    [anon_sym_string] = ACTIONS(929),
    [anon_sym_int] = ACTIONS(929),
    [anon_sym_int8] = ACTIONS(929),
    [anon_sym_int16] = ACTIONS(929),
    [anon_sym_int24] = ACTIONS(929),
    [anon_sym_int32] = ACTIONS(929),
    [anon_sym_int40] = ACTIONS(929),
    [anon_sym_int48] = ACTIONS(929),
    [anon_sym_int56] = ACTIONS(929),
    [anon_sym_int64] = ACTIONS(929),
    [anon_sym_int72] = ACTIONS(929),
    [anon_sym_int80] = ACTIONS(929),
    [anon_sym_int88] = ACTIONS(929),
    [anon_sym_int96] = ACTIONS(929),
    [anon_sym_int104] = ACTIONS(929),
    [anon_sym_int112] = ACTIONS(929),
    [anon_sym_int120] = ACTIONS(929),
    [anon_sym_int128] = ACTIONS(929),
    [anon_sym_int136] = ACTIONS(929),
    [anon_sym_int144] = ACTIONS(929),
    [anon_sym_int152] = ACTIONS(929),
    [anon_sym_int160] = ACTIONS(929),
    [anon_sym_int168] = ACTIONS(929),
    [anon_sym_int176] = ACTIONS(929),
    [anon_sym_int184] = ACTIONS(929),
    [anon_sym_int192] = ACTIONS(929),
    [anon_sym_int200] = ACTIONS(929),
    [anon_sym_int208] = ACTIONS(929),
    [anon_sym_int216] = ACTIONS(929),
    [anon_sym_int224] = ACTIONS(929),
    [anon_sym_int232] = ACTIONS(929),
    [anon_sym_int240] = ACTIONS(929),
    [anon_sym_int248] = ACTIONS(929),
    [anon_sym_int256] = ACTIONS(929),
    [anon_sym_uint] = ACTIONS(929),
    [anon_sym_uint8] = ACTIONS(929),
    [anon_sym_uint16] = ACTIONS(929),
    [anon_sym_uint24] = ACTIONS(929),
    [anon_sym_uint32] = ACTIONS(929),
    [anon_sym_uint40] = ACTIONS(929),
    [anon_sym_uint48] = ACTIONS(929),
    [anon_sym_uint56] = ACTIONS(929),
    [anon_sym_uint64] = ACTIONS(929),
    [anon_sym_uint72] = ACTIONS(929),
    [anon_sym_uint80] = ACTIONS(929),
    [anon_sym_uint88] = ACTIONS(929),
    [anon_sym_uint96] = ACTIONS(929),
    [anon_sym_uint104] = ACTIONS(929),
    [anon_sym_uint112] = ACTIONS(929),
    [anon_sym_uint120] = ACTIONS(929),
    [anon_sym_uint128] = ACTIONS(929),
    [anon_sym_uint136] = ACTIONS(929),
    [anon_sym_uint144] = ACTIONS(929),
    [anon_sym_uint152] = ACTIONS(929),
    [anon_sym_uint160] = ACTIONS(929),
    [anon_sym_uint168] = ACTIONS(929),
    [anon_sym_uint176] = ACTIONS(929),
    [anon_sym_uint184] = ACTIONS(929),
    [anon_sym_uint192] = ACTIONS(929),
    [anon_sym_uint200] = ACTIONS(929),
    [anon_sym_uint208] = ACTIONS(929),
    [anon_sym_uint216] = ACTIONS(929),
    [anon_sym_uint224] = ACTIONS(929),
    [anon_sym_uint232] = ACTIONS(929),
    [anon_sym_uint240] = ACTIONS(929),
    [anon_sym_uint248] = ACTIONS(929),
    [anon_sym_uint256] = ACTIONS(929),
    [anon_sym_bytes] = ACTIONS(929),
    [anon_sym_bytes1] = ACTIONS(929),
    [anon_sym_bytes2] = ACTIONS(929),
    [anon_sym_bytes3] = ACTIONS(929),
    [anon_sym_bytes4] = ACTIONS(929),
    [anon_sym_bytes5] = ACTIONS(929),
    [anon_sym_bytes6] = ACTIONS(929),
    [anon_sym_bytes7] = ACTIONS(929),
    [anon_sym_bytes8] = ACTIONS(929),
    [anon_sym_bytes9] = ACTIONS(929),
    [anon_sym_bytes10] = ACTIONS(929),
    [anon_sym_bytes11] = ACTIONS(929),
    [anon_sym_bytes12] = ACTIONS(929),
    [anon_sym_bytes13] = ACTIONS(929),
    [anon_sym_bytes14] = ACTIONS(929),
    [anon_sym_bytes15] = ACTIONS(929),
    [anon_sym_bytes16] = ACTIONS(929),
    [anon_sym_bytes17] = ACTIONS(929),
    [anon_sym_bytes18] = ACTIONS(929),
    [anon_sym_bytes19] = ACTIONS(929),
    [anon_sym_bytes20] = ACTIONS(929),
    [anon_sym_bytes21] = ACTIONS(929),
    [anon_sym_bytes22] = ACTIONS(929),
    [anon_sym_bytes23] = ACTIONS(929),
    [anon_sym_bytes24] = ACTIONS(929),
    [anon_sym_bytes25] = ACTIONS(929),
    [anon_sym_bytes26] = ACTIONS(929),
    [anon_sym_bytes27] = ACTIONS(929),
    [anon_sym_bytes28] = ACTIONS(929),
    [anon_sym_bytes29] = ACTIONS(929),
    [anon_sym_bytes30] = ACTIONS(929),
    [anon_sym_bytes31] = ACTIONS(929),
    [anon_sym_bytes32] = ACTIONS(929),
    [anon_sym_fixed] = ACTIONS(929),
    [aux_sym__fixed_token1] = ACTIONS(929),
    [anon_sym_ufixed] = ACTIONS(929),
    [aux_sym__ufixed_token1] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [sym_identifier] = ACTIONS(933),
    [anon_sym_RBRACE] = ACTIONS(935),
    [anon_sym_type] = ACTIONS(933),
    [anon_sym_error] = ACTIONS(933),
    [anon_sym_struct] = ACTIONS(933),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_event] = ACTIONS(933),
    [anon_sym_using] = ACTIONS(933),
    [anon_sym_function] = ACTIONS(933),
    [anon_sym_byte] = ACTIONS(933),
    [anon_sym_address] = ACTIONS(933),
    [anon_sym_var] = ACTIONS(933),
    [anon_sym_modifier] = ACTIONS(933),
    [anon_sym_constructor] = ACTIONS(933),
    [anon_sym_fallback] = ACTIONS(933),
    [anon_sym_receive] = ACTIONS(933),
    [anon_sym_mapping] = ACTIONS(933),
    [anon_sym_bool] = ACTIONS(933),
    [anon_sym_string] = ACTIONS(933),
    [anon_sym_int] = ACTIONS(933),
    [anon_sym_int8] = ACTIONS(933),
    [anon_sym_int16] = ACTIONS(933),
    [anon_sym_int24] = ACTIONS(933),
    [anon_sym_int32] = ACTIONS(933),
    [anon_sym_int40] = ACTIONS(933),
    [anon_sym_int48] = ACTIONS(933),
    [anon_sym_int56] = ACTIONS(933),
    [anon_sym_int64] = ACTIONS(933),
    [anon_sym_int72] = ACTIONS(933),
    [anon_sym_int80] = ACTIONS(933),
    [anon_sym_int88] = ACTIONS(933),
    [anon_sym_int96] = ACTIONS(933),
    [anon_sym_int104] = ACTIONS(933),
    [anon_sym_int112] = ACTIONS(933),
    [anon_sym_int120] = ACTIONS(933),
    [anon_sym_int128] = ACTIONS(933),
    [anon_sym_int136] = ACTIONS(933),
    [anon_sym_int144] = ACTIONS(933),
    [anon_sym_int152] = ACTIONS(933),
    [anon_sym_int160] = ACTIONS(933),
    [anon_sym_int168] = ACTIONS(933),
    [anon_sym_int176] = ACTIONS(933),
    [anon_sym_int184] = ACTIONS(933),
    [anon_sym_int192] = ACTIONS(933),
    [anon_sym_int200] = ACTIONS(933),
    [anon_sym_int208] = ACTIONS(933),
    [anon_sym_int216] = ACTIONS(933),
    [anon_sym_int224] = ACTIONS(933),
    [anon_sym_int232] = ACTIONS(933),
    [anon_sym_int240] = ACTIONS(933),
    [anon_sym_int248] = ACTIONS(933),
    [anon_sym_int256] = ACTIONS(933),
    [anon_sym_uint] = ACTIONS(933),
    [anon_sym_uint8] = ACTIONS(933),
    [anon_sym_uint16] = ACTIONS(933),
    [anon_sym_uint24] = ACTIONS(933),
    [anon_sym_uint32] = ACTIONS(933),
    [anon_sym_uint40] = ACTIONS(933),
    [anon_sym_uint48] = ACTIONS(933),
    [anon_sym_uint56] = ACTIONS(933),
    [anon_sym_uint64] = ACTIONS(933),
    [anon_sym_uint72] = ACTIONS(933),
    [anon_sym_uint80] = ACTIONS(933),
    [anon_sym_uint88] = ACTIONS(933),
    [anon_sym_uint96] = ACTIONS(933),
    [anon_sym_uint104] = ACTIONS(933),
    [anon_sym_uint112] = ACTIONS(933),
    [anon_sym_uint120] = ACTIONS(933),
    [anon_sym_uint128] = ACTIONS(933),
    [anon_sym_uint136] = ACTIONS(933),
    [anon_sym_uint144] = ACTIONS(933),
    [anon_sym_uint152] = ACTIONS(933),
    [anon_sym_uint160] = ACTIONS(933),
    [anon_sym_uint168] = ACTIONS(933),
    [anon_sym_uint176] = ACTIONS(933),
    [anon_sym_uint184] = ACTIONS(933),
    [anon_sym_uint192] = ACTIONS(933),
    [anon_sym_uint200] = ACTIONS(933),
    [anon_sym_uint208] = ACTIONS(933),
    [anon_sym_uint216] = ACTIONS(933),
    [anon_sym_uint224] = ACTIONS(933),
    [anon_sym_uint232] = ACTIONS(933),
    [anon_sym_uint240] = ACTIONS(933),
    [anon_sym_uint248] = ACTIONS(933),
    [anon_sym_uint256] = ACTIONS(933),
    [anon_sym_bytes] = ACTIONS(933),
    [anon_sym_bytes1] = ACTIONS(933),
    [anon_sym_bytes2] = ACTIONS(933),
    [anon_sym_bytes3] = ACTIONS(933),
    [anon_sym_bytes4] = ACTIONS(933),
    [anon_sym_bytes5] = ACTIONS(933),
    [anon_sym_bytes6] = ACTIONS(933),
    [anon_sym_bytes7] = ACTIONS(933),
    [anon_sym_bytes8] = ACTIONS(933),
    [anon_sym_bytes9] = ACTIONS(933),
    [anon_sym_bytes10] = ACTIONS(933),
    [anon_sym_bytes11] = ACTIONS(933),
    [anon_sym_bytes12] = ACTIONS(933),
    [anon_sym_bytes13] = ACTIONS(933),
    [anon_sym_bytes14] = ACTIONS(933),
    [anon_sym_bytes15] = ACTIONS(933),
    [anon_sym_bytes16] = ACTIONS(933),
    [anon_sym_bytes17] = ACTIONS(933),
    [anon_sym_bytes18] = ACTIONS(933),
    [anon_sym_bytes19] = ACTIONS(933),
    [anon_sym_bytes20] = ACTIONS(933),
    [anon_sym_bytes21] = ACTIONS(933),
    [anon_sym_bytes22] = ACTIONS(933),
    [anon_sym_bytes23] = ACTIONS(933),
    [anon_sym_bytes24] = ACTIONS(933),
    [anon_sym_bytes25] = ACTIONS(933),
    [anon_sym_bytes26] = ACTIONS(933),
    [anon_sym_bytes27] = ACTIONS(933),
    [anon_sym_bytes28] = ACTIONS(933),
    [anon_sym_bytes29] = ACTIONS(933),
    [anon_sym_bytes30] = ACTIONS(933),
    [anon_sym_bytes31] = ACTIONS(933),
    [anon_sym_bytes32] = ACTIONS(933),
    [anon_sym_fixed] = ACTIONS(933),
    [aux_sym__fixed_token1] = ACTIONS(933),
    [anon_sym_ufixed] = ACTIONS(933),
    [aux_sym__ufixed_token1] = ACTIONS(933),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_identifier] = ACTIONS(937),
    [anon_sym_RBRACE] = ACTIONS(939),
    [anon_sym_type] = ACTIONS(937),
    [anon_sym_error] = ACTIONS(937),
    [anon_sym_struct] = ACTIONS(937),
    [anon_sym_enum] = ACTIONS(937),
    [anon_sym_event] = ACTIONS(937),
    [anon_sym_using] = ACTIONS(937),
    [anon_sym_function] = ACTIONS(937),
    [anon_sym_byte] = ACTIONS(937),
    [anon_sym_address] = ACTIONS(937),
    [anon_sym_var] = ACTIONS(937),
    [anon_sym_modifier] = ACTIONS(937),
    [anon_sym_constructor] = ACTIONS(937),
    [anon_sym_fallback] = ACTIONS(937),
    [anon_sym_receive] = ACTIONS(937),
    [anon_sym_mapping] = ACTIONS(937),
    [anon_sym_bool] = ACTIONS(937),
    [anon_sym_string] = ACTIONS(937),
    [anon_sym_int] = ACTIONS(937),
    [anon_sym_int8] = ACTIONS(937),
    [anon_sym_int16] = ACTIONS(937),
    [anon_sym_int24] = ACTIONS(937),
    [anon_sym_int32] = ACTIONS(937),
    [anon_sym_int40] = ACTIONS(937),
    [anon_sym_int48] = ACTIONS(937),
    [anon_sym_int56] = ACTIONS(937),
    [anon_sym_int64] = ACTIONS(937),
    [anon_sym_int72] = ACTIONS(937),
    [anon_sym_int80] = ACTIONS(937),
    [anon_sym_int88] = ACTIONS(937),
    [anon_sym_int96] = ACTIONS(937),
    [anon_sym_int104] = ACTIONS(937),
    [anon_sym_int112] = ACTIONS(937),
    [anon_sym_int120] = ACTIONS(937),
    [anon_sym_int128] = ACTIONS(937),
    [anon_sym_int136] = ACTIONS(937),
    [anon_sym_int144] = ACTIONS(937),
    [anon_sym_int152] = ACTIONS(937),
    [anon_sym_int160] = ACTIONS(937),
    [anon_sym_int168] = ACTIONS(937),
    [anon_sym_int176] = ACTIONS(937),
    [anon_sym_int184] = ACTIONS(937),
    [anon_sym_int192] = ACTIONS(937),
    [anon_sym_int200] = ACTIONS(937),
    [anon_sym_int208] = ACTIONS(937),
    [anon_sym_int216] = ACTIONS(937),
    [anon_sym_int224] = ACTIONS(937),
    [anon_sym_int232] = ACTIONS(937),
    [anon_sym_int240] = ACTIONS(937),
    [anon_sym_int248] = ACTIONS(937),
    [anon_sym_int256] = ACTIONS(937),
    [anon_sym_uint] = ACTIONS(937),
    [anon_sym_uint8] = ACTIONS(937),
    [anon_sym_uint16] = ACTIONS(937),
    [anon_sym_uint24] = ACTIONS(937),
    [anon_sym_uint32] = ACTIONS(937),
    [anon_sym_uint40] = ACTIONS(937),
    [anon_sym_uint48] = ACTIONS(937),
    [anon_sym_uint56] = ACTIONS(937),
    [anon_sym_uint64] = ACTIONS(937),
    [anon_sym_uint72] = ACTIONS(937),
    [anon_sym_uint80] = ACTIONS(937),
    [anon_sym_uint88] = ACTIONS(937),
    [anon_sym_uint96] = ACTIONS(937),
    [anon_sym_uint104] = ACTIONS(937),
    [anon_sym_uint112] = ACTIONS(937),
    [anon_sym_uint120] = ACTIONS(937),
    [anon_sym_uint128] = ACTIONS(937),
    [anon_sym_uint136] = ACTIONS(937),
    [anon_sym_uint144] = ACTIONS(937),
    [anon_sym_uint152] = ACTIONS(937),
    [anon_sym_uint160] = ACTIONS(937),
    [anon_sym_uint168] = ACTIONS(937),
    [anon_sym_uint176] = ACTIONS(937),
    [anon_sym_uint184] = ACTIONS(937),
    [anon_sym_uint192] = ACTIONS(937),
    [anon_sym_uint200] = ACTIONS(937),
    [anon_sym_uint208] = ACTIONS(937),
    [anon_sym_uint216] = ACTIONS(937),
    [anon_sym_uint224] = ACTIONS(937),
    [anon_sym_uint232] = ACTIONS(937),
    [anon_sym_uint240] = ACTIONS(937),
    [anon_sym_uint248] = ACTIONS(937),
    [anon_sym_uint256] = ACTIONS(937),
    [anon_sym_bytes] = ACTIONS(937),
    [anon_sym_bytes1] = ACTIONS(937),
    [anon_sym_bytes2] = ACTIONS(937),
    [anon_sym_bytes3] = ACTIONS(937),
    [anon_sym_bytes4] = ACTIONS(937),
    [anon_sym_bytes5] = ACTIONS(937),
    [anon_sym_bytes6] = ACTIONS(937),
    [anon_sym_bytes7] = ACTIONS(937),
    [anon_sym_bytes8] = ACTIONS(937),
    [anon_sym_bytes9] = ACTIONS(937),
    [anon_sym_bytes10] = ACTIONS(937),
    [anon_sym_bytes11] = ACTIONS(937),
    [anon_sym_bytes12] = ACTIONS(937),
    [anon_sym_bytes13] = ACTIONS(937),
    [anon_sym_bytes14] = ACTIONS(937),
    [anon_sym_bytes15] = ACTIONS(937),
    [anon_sym_bytes16] = ACTIONS(937),
    [anon_sym_bytes17] = ACTIONS(937),
    [anon_sym_bytes18] = ACTIONS(937),
    [anon_sym_bytes19] = ACTIONS(937),
    [anon_sym_bytes20] = ACTIONS(937),
    [anon_sym_bytes21] = ACTIONS(937),
    [anon_sym_bytes22] = ACTIONS(937),
    [anon_sym_bytes23] = ACTIONS(937),
    [anon_sym_bytes24] = ACTIONS(937),
    [anon_sym_bytes25] = ACTIONS(937),
    [anon_sym_bytes26] = ACTIONS(937),
    [anon_sym_bytes27] = ACTIONS(937),
    [anon_sym_bytes28] = ACTIONS(937),
    [anon_sym_bytes29] = ACTIONS(937),
    [anon_sym_bytes30] = ACTIONS(937),
    [anon_sym_bytes31] = ACTIONS(937),
    [anon_sym_bytes32] = ACTIONS(937),
    [anon_sym_fixed] = ACTIONS(937),
    [aux_sym__fixed_token1] = ACTIONS(937),
    [anon_sym_ufixed] = ACTIONS(937),
    [aux_sym__ufixed_token1] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_identifier] = ACTIONS(941),
    [anon_sym_RBRACE] = ACTIONS(943),
    [anon_sym_type] = ACTIONS(941),
    [anon_sym_error] = ACTIONS(941),
    [anon_sym_struct] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(941),
    [anon_sym_event] = ACTIONS(941),
    [anon_sym_using] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(941),
    [anon_sym_byte] = ACTIONS(941),
    [anon_sym_address] = ACTIONS(941),
    [anon_sym_var] = ACTIONS(941),
    [anon_sym_modifier] = ACTIONS(941),
    [anon_sym_constructor] = ACTIONS(941),
    [anon_sym_fallback] = ACTIONS(941),
    [anon_sym_receive] = ACTIONS(941),
    [anon_sym_mapping] = ACTIONS(941),
    [anon_sym_bool] = ACTIONS(941),
    [anon_sym_string] = ACTIONS(941),
    [anon_sym_int] = ACTIONS(941),
    [anon_sym_int8] = ACTIONS(941),
    [anon_sym_int16] = ACTIONS(941),
    [anon_sym_int24] = ACTIONS(941),
    [anon_sym_int32] = ACTIONS(941),
    [anon_sym_int40] = ACTIONS(941),
    [anon_sym_int48] = ACTIONS(941),
    [anon_sym_int56] = ACTIONS(941),
    [anon_sym_int64] = ACTIONS(941),
    [anon_sym_int72] = ACTIONS(941),
    [anon_sym_int80] = ACTIONS(941),
    [anon_sym_int88] = ACTIONS(941),
    [anon_sym_int96] = ACTIONS(941),
    [anon_sym_int104] = ACTIONS(941),
    [anon_sym_int112] = ACTIONS(941),
    [anon_sym_int120] = ACTIONS(941),
    [anon_sym_int128] = ACTIONS(941),
    [anon_sym_int136] = ACTIONS(941),
    [anon_sym_int144] = ACTIONS(941),
    [anon_sym_int152] = ACTIONS(941),
    [anon_sym_int160] = ACTIONS(941),
    [anon_sym_int168] = ACTIONS(941),
    [anon_sym_int176] = ACTIONS(941),
    [anon_sym_int184] = ACTIONS(941),
    [anon_sym_int192] = ACTIONS(941),
    [anon_sym_int200] = ACTIONS(941),
    [anon_sym_int208] = ACTIONS(941),
    [anon_sym_int216] = ACTIONS(941),
    [anon_sym_int224] = ACTIONS(941),
    [anon_sym_int232] = ACTIONS(941),
    [anon_sym_int240] = ACTIONS(941),
    [anon_sym_int248] = ACTIONS(941),
    [anon_sym_int256] = ACTIONS(941),
    [anon_sym_uint] = ACTIONS(941),
    [anon_sym_uint8] = ACTIONS(941),
    [anon_sym_uint16] = ACTIONS(941),
    [anon_sym_uint24] = ACTIONS(941),
    [anon_sym_uint32] = ACTIONS(941),
    [anon_sym_uint40] = ACTIONS(941),
    [anon_sym_uint48] = ACTIONS(941),
    [anon_sym_uint56] = ACTIONS(941),
    [anon_sym_uint64] = ACTIONS(941),
    [anon_sym_uint72] = ACTIONS(941),
    [anon_sym_uint80] = ACTIONS(941),
    [anon_sym_uint88] = ACTIONS(941),
    [anon_sym_uint96] = ACTIONS(941),
    [anon_sym_uint104] = ACTIONS(941),
    [anon_sym_uint112] = ACTIONS(941),
    [anon_sym_uint120] = ACTIONS(941),
    [anon_sym_uint128] = ACTIONS(941),
    [anon_sym_uint136] = ACTIONS(941),
    [anon_sym_uint144] = ACTIONS(941),
    [anon_sym_uint152] = ACTIONS(941),
    [anon_sym_uint160] = ACTIONS(941),
    [anon_sym_uint168] = ACTIONS(941),
    [anon_sym_uint176] = ACTIONS(941),
    [anon_sym_uint184] = ACTIONS(941),
    [anon_sym_uint192] = ACTIONS(941),
    [anon_sym_uint200] = ACTIONS(941),
    [anon_sym_uint208] = ACTIONS(941),
    [anon_sym_uint216] = ACTIONS(941),
    [anon_sym_uint224] = ACTIONS(941),
    [anon_sym_uint232] = ACTIONS(941),
    [anon_sym_uint240] = ACTIONS(941),
    [anon_sym_uint248] = ACTIONS(941),
    [anon_sym_uint256] = ACTIONS(941),
    [anon_sym_bytes] = ACTIONS(941),
    [anon_sym_bytes1] = ACTIONS(941),
    [anon_sym_bytes2] = ACTIONS(941),
    [anon_sym_bytes3] = ACTIONS(941),
    [anon_sym_bytes4] = ACTIONS(941),
    [anon_sym_bytes5] = ACTIONS(941),
    [anon_sym_bytes6] = ACTIONS(941),
    [anon_sym_bytes7] = ACTIONS(941),
    [anon_sym_bytes8] = ACTIONS(941),
    [anon_sym_bytes9] = ACTIONS(941),
    [anon_sym_bytes10] = ACTIONS(941),
    [anon_sym_bytes11] = ACTIONS(941),
    [anon_sym_bytes12] = ACTIONS(941),
    [anon_sym_bytes13] = ACTIONS(941),
    [anon_sym_bytes14] = ACTIONS(941),
    [anon_sym_bytes15] = ACTIONS(941),
    [anon_sym_bytes16] = ACTIONS(941),
    [anon_sym_bytes17] = ACTIONS(941),
    [anon_sym_bytes18] = ACTIONS(941),
    [anon_sym_bytes19] = ACTIONS(941),
    [anon_sym_bytes20] = ACTIONS(941),
    [anon_sym_bytes21] = ACTIONS(941),
    [anon_sym_bytes22] = ACTIONS(941),
    [anon_sym_bytes23] = ACTIONS(941),
    [anon_sym_bytes24] = ACTIONS(941),
    [anon_sym_bytes25] = ACTIONS(941),
    [anon_sym_bytes26] = ACTIONS(941),
    [anon_sym_bytes27] = ACTIONS(941),
    [anon_sym_bytes28] = ACTIONS(941),
    [anon_sym_bytes29] = ACTIONS(941),
    [anon_sym_bytes30] = ACTIONS(941),
    [anon_sym_bytes31] = ACTIONS(941),
    [anon_sym_bytes32] = ACTIONS(941),
    [anon_sym_fixed] = ACTIONS(941),
    [aux_sym__fixed_token1] = ACTIONS(941),
    [anon_sym_ufixed] = ACTIONS(941),
    [aux_sym__ufixed_token1] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
  },
  [303] = {
    [sym_identifier] = ACTIONS(945),
    [anon_sym_RBRACE] = ACTIONS(947),
    [anon_sym_type] = ACTIONS(945),
    [anon_sym_error] = ACTIONS(945),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_enum] = ACTIONS(945),
    [anon_sym_event] = ACTIONS(945),
    [anon_sym_using] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_byte] = ACTIONS(945),
    [anon_sym_address] = ACTIONS(945),
    [anon_sym_var] = ACTIONS(945),
    [anon_sym_modifier] = ACTIONS(945),
    [anon_sym_constructor] = ACTIONS(945),
    [anon_sym_fallback] = ACTIONS(945),
    [anon_sym_receive] = ACTIONS(945),
    [anon_sym_mapping] = ACTIONS(945),
    [anon_sym_bool] = ACTIONS(945),
    [anon_sym_string] = ACTIONS(945),
    [anon_sym_int] = ACTIONS(945),
    [anon_sym_int8] = ACTIONS(945),
    [anon_sym_int16] = ACTIONS(945),
    [anon_sym_int24] = ACTIONS(945),
    [anon_sym_int32] = ACTIONS(945),
    [anon_sym_int40] = ACTIONS(945),
    [anon_sym_int48] = ACTIONS(945),
    [anon_sym_int56] = ACTIONS(945),
    [anon_sym_int64] = ACTIONS(945),
    [anon_sym_int72] = ACTIONS(945),
    [anon_sym_int80] = ACTIONS(945),
    [anon_sym_int88] = ACTIONS(945),
    [anon_sym_int96] = ACTIONS(945),
    [anon_sym_int104] = ACTIONS(945),
    [anon_sym_int112] = ACTIONS(945),
    [anon_sym_int120] = ACTIONS(945),
    [anon_sym_int128] = ACTIONS(945),
    [anon_sym_int136] = ACTIONS(945),
    [anon_sym_int144] = ACTIONS(945),
    [anon_sym_int152] = ACTIONS(945),
    [anon_sym_int160] = ACTIONS(945),
    [anon_sym_int168] = ACTIONS(945),
    [anon_sym_int176] = ACTIONS(945),
    [anon_sym_int184] = ACTIONS(945),
    [anon_sym_int192] = ACTIONS(945),
    [anon_sym_int200] = ACTIONS(945),
    [anon_sym_int208] = ACTIONS(945),
    [anon_sym_int216] = ACTIONS(945),
    [anon_sym_int224] = ACTIONS(945),
    [anon_sym_int232] = ACTIONS(945),
    [anon_sym_int240] = ACTIONS(945),
    [anon_sym_int248] = ACTIONS(945),
    [anon_sym_int256] = ACTIONS(945),
    [anon_sym_uint] = ACTIONS(945),
    [anon_sym_uint8] = ACTIONS(945),
    [anon_sym_uint16] = ACTIONS(945),
    [anon_sym_uint24] = ACTIONS(945),
    [anon_sym_uint32] = ACTIONS(945),
    [anon_sym_uint40] = ACTIONS(945),
    [anon_sym_uint48] = ACTIONS(945),
    [anon_sym_uint56] = ACTIONS(945),
    [anon_sym_uint64] = ACTIONS(945),
    [anon_sym_uint72] = ACTIONS(945),
    [anon_sym_uint80] = ACTIONS(945),
    [anon_sym_uint88] = ACTIONS(945),
    [anon_sym_uint96] = ACTIONS(945),
    [anon_sym_uint104] = ACTIONS(945),
    [anon_sym_uint112] = ACTIONS(945),
    [anon_sym_uint120] = ACTIONS(945),
    [anon_sym_uint128] = ACTIONS(945),
    [anon_sym_uint136] = ACTIONS(945),
    [anon_sym_uint144] = ACTIONS(945),
    [anon_sym_uint152] = ACTIONS(945),
    [anon_sym_uint160] = ACTIONS(945),
    [anon_sym_uint168] = ACTIONS(945),
    [anon_sym_uint176] = ACTIONS(945),
    [anon_sym_uint184] = ACTIONS(945),
    [anon_sym_uint192] = ACTIONS(945),
    [anon_sym_uint200] = ACTIONS(945),
    [anon_sym_uint208] = ACTIONS(945),
    [anon_sym_uint216] = ACTIONS(945),
    [anon_sym_uint224] = ACTIONS(945),
    [anon_sym_uint232] = ACTIONS(945),
    [anon_sym_uint240] = ACTIONS(945),
    [anon_sym_uint248] = ACTIONS(945),
    [anon_sym_uint256] = ACTIONS(945),
    [anon_sym_bytes] = ACTIONS(945),
    [anon_sym_bytes1] = ACTIONS(945),
    [anon_sym_bytes2] = ACTIONS(945),
    [anon_sym_bytes3] = ACTIONS(945),
    [anon_sym_bytes4] = ACTIONS(945),
    [anon_sym_bytes5] = ACTIONS(945),
    [anon_sym_bytes6] = ACTIONS(945),
    [anon_sym_bytes7] = ACTIONS(945),
    [anon_sym_bytes8] = ACTIONS(945),
    [anon_sym_bytes9] = ACTIONS(945),
    [anon_sym_bytes10] = ACTIONS(945),
    [anon_sym_bytes11] = ACTIONS(945),
    [anon_sym_bytes12] = ACTIONS(945),
    [anon_sym_bytes13] = ACTIONS(945),
    [anon_sym_bytes14] = ACTIONS(945),
    [anon_sym_bytes15] = ACTIONS(945),
    [anon_sym_bytes16] = ACTIONS(945),
    [anon_sym_bytes17] = ACTIONS(945),
    [anon_sym_bytes18] = ACTIONS(945),
    [anon_sym_bytes19] = ACTIONS(945),
    [anon_sym_bytes20] = ACTIONS(945),
    [anon_sym_bytes21] = ACTIONS(945),
    [anon_sym_bytes22] = ACTIONS(945),
    [anon_sym_bytes23] = ACTIONS(945),
    [anon_sym_bytes24] = ACTIONS(945),
    [anon_sym_bytes25] = ACTIONS(945),
    [anon_sym_bytes26] = ACTIONS(945),
    [anon_sym_bytes27] = ACTIONS(945),
    [anon_sym_bytes28] = ACTIONS(945),
    [anon_sym_bytes29] = ACTIONS(945),
    [anon_sym_bytes30] = ACTIONS(945),
    [anon_sym_bytes31] = ACTIONS(945),
    [anon_sym_bytes32] = ACTIONS(945),
    [anon_sym_fixed] = ACTIONS(945),
    [aux_sym__fixed_token1] = ACTIONS(945),
    [anon_sym_ufixed] = ACTIONS(945),
    [aux_sym__ufixed_token1] = ACTIONS(945),
    [sym_comment] = ACTIONS(3),
  },
  [304] = {
    [sym_identifier] = ACTIONS(949),
    [anon_sym_RBRACE] = ACTIONS(951),
    [anon_sym_type] = ACTIONS(949),
    [anon_sym_error] = ACTIONS(949),
    [anon_sym_struct] = ACTIONS(949),
    [anon_sym_enum] = ACTIONS(949),
    [anon_sym_event] = ACTIONS(949),
    [anon_sym_using] = ACTIONS(949),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_byte] = ACTIONS(949),
    [anon_sym_address] = ACTIONS(949),
    [anon_sym_var] = ACTIONS(949),
    [anon_sym_modifier] = ACTIONS(949),
    [anon_sym_constructor] = ACTIONS(949),
    [anon_sym_fallback] = ACTIONS(949),
    [anon_sym_receive] = ACTIONS(949),
    [anon_sym_mapping] = ACTIONS(949),
    [anon_sym_bool] = ACTIONS(949),
    [anon_sym_string] = ACTIONS(949),
    [anon_sym_int] = ACTIONS(949),
    [anon_sym_int8] = ACTIONS(949),
    [anon_sym_int16] = ACTIONS(949),
    [anon_sym_int24] = ACTIONS(949),
    [anon_sym_int32] = ACTIONS(949),
    [anon_sym_int40] = ACTIONS(949),
    [anon_sym_int48] = ACTIONS(949),
    [anon_sym_int56] = ACTIONS(949),
    [anon_sym_int64] = ACTIONS(949),
    [anon_sym_int72] = ACTIONS(949),
    [anon_sym_int80] = ACTIONS(949),
    [anon_sym_int88] = ACTIONS(949),
    [anon_sym_int96] = ACTIONS(949),
    [anon_sym_int104] = ACTIONS(949),
    [anon_sym_int112] = ACTIONS(949),
    [anon_sym_int120] = ACTIONS(949),
    [anon_sym_int128] = ACTIONS(949),
    [anon_sym_int136] = ACTIONS(949),
    [anon_sym_int144] = ACTIONS(949),
    [anon_sym_int152] = ACTIONS(949),
    [anon_sym_int160] = ACTIONS(949),
    [anon_sym_int168] = ACTIONS(949),
    [anon_sym_int176] = ACTIONS(949),
    [anon_sym_int184] = ACTIONS(949),
    [anon_sym_int192] = ACTIONS(949),
    [anon_sym_int200] = ACTIONS(949),
    [anon_sym_int208] = ACTIONS(949),
    [anon_sym_int216] = ACTIONS(949),
    [anon_sym_int224] = ACTIONS(949),
    [anon_sym_int232] = ACTIONS(949),
    [anon_sym_int240] = ACTIONS(949),
    [anon_sym_int248] = ACTIONS(949),
    [anon_sym_int256] = ACTIONS(949),
    [anon_sym_uint] = ACTIONS(949),
    [anon_sym_uint8] = ACTIONS(949),
    [anon_sym_uint16] = ACTIONS(949),
    [anon_sym_uint24] = ACTIONS(949),
    [anon_sym_uint32] = ACTIONS(949),
    [anon_sym_uint40] = ACTIONS(949),
    [anon_sym_uint48] = ACTIONS(949),
    [anon_sym_uint56] = ACTIONS(949),
    [anon_sym_uint64] = ACTIONS(949),
    [anon_sym_uint72] = ACTIONS(949),
    [anon_sym_uint80] = ACTIONS(949),
    [anon_sym_uint88] = ACTIONS(949),
    [anon_sym_uint96] = ACTIONS(949),
    [anon_sym_uint104] = ACTIONS(949),
    [anon_sym_uint112] = ACTIONS(949),
    [anon_sym_uint120] = ACTIONS(949),
    [anon_sym_uint128] = ACTIONS(949),
    [anon_sym_uint136] = ACTIONS(949),
    [anon_sym_uint144] = ACTIONS(949),
    [anon_sym_uint152] = ACTIONS(949),
    [anon_sym_uint160] = ACTIONS(949),
    [anon_sym_uint168] = ACTIONS(949),
    [anon_sym_uint176] = ACTIONS(949),
    [anon_sym_uint184] = ACTIONS(949),
    [anon_sym_uint192] = ACTIONS(949),
    [anon_sym_uint200] = ACTIONS(949),
    [anon_sym_uint208] = ACTIONS(949),
    [anon_sym_uint216] = ACTIONS(949),
    [anon_sym_uint224] = ACTIONS(949),
    [anon_sym_uint232] = ACTIONS(949),
    [anon_sym_uint240] = ACTIONS(949),
    [anon_sym_uint248] = ACTIONS(949),
    [anon_sym_uint256] = ACTIONS(949),
    [anon_sym_bytes] = ACTIONS(949),
    [anon_sym_bytes1] = ACTIONS(949),
    [anon_sym_bytes2] = ACTIONS(949),
    [anon_sym_bytes3] = ACTIONS(949),
    [anon_sym_bytes4] = ACTIONS(949),
    [anon_sym_bytes5] = ACTIONS(949),
    [anon_sym_bytes6] = ACTIONS(949),
    [anon_sym_bytes7] = ACTIONS(949),
    [anon_sym_bytes8] = ACTIONS(949),
    [anon_sym_bytes9] = ACTIONS(949),
    [anon_sym_bytes10] = ACTIONS(949),
    [anon_sym_bytes11] = ACTIONS(949),
    [anon_sym_bytes12] = ACTIONS(949),
    [anon_sym_bytes13] = ACTIONS(949),
    [anon_sym_bytes14] = ACTIONS(949),
    [anon_sym_bytes15] = ACTIONS(949),
    [anon_sym_bytes16] = ACTIONS(949),
    [anon_sym_bytes17] = ACTIONS(949),
    [anon_sym_bytes18] = ACTIONS(949),
    [anon_sym_bytes19] = ACTIONS(949),
    [anon_sym_bytes20] = ACTIONS(949),
    [anon_sym_bytes21] = ACTIONS(949),
    [anon_sym_bytes22] = ACTIONS(949),
    [anon_sym_bytes23] = ACTIONS(949),
    [anon_sym_bytes24] = ACTIONS(949),
    [anon_sym_bytes25] = ACTIONS(949),
    [anon_sym_bytes26] = ACTIONS(949),
    [anon_sym_bytes27] = ACTIONS(949),
    [anon_sym_bytes28] = ACTIONS(949),
    [anon_sym_bytes29] = ACTIONS(949),
    [anon_sym_bytes30] = ACTIONS(949),
    [anon_sym_bytes31] = ACTIONS(949),
    [anon_sym_bytes32] = ACTIONS(949),
    [anon_sym_fixed] = ACTIONS(949),
    [aux_sym__fixed_token1] = ACTIONS(949),
    [anon_sym_ufixed] = ACTIONS(949),
    [aux_sym__ufixed_token1] = ACTIONS(949),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [sym_identifier] = ACTIONS(953),
    [anon_sym_RBRACE] = ACTIONS(955),
    [anon_sym_type] = ACTIONS(953),
    [anon_sym_error] = ACTIONS(953),
    [anon_sym_struct] = ACTIONS(953),
    [anon_sym_enum] = ACTIONS(953),
    [anon_sym_event] = ACTIONS(953),
    [anon_sym_using] = ACTIONS(953),
    [anon_sym_function] = ACTIONS(953),
    [anon_sym_byte] = ACTIONS(953),
    [anon_sym_address] = ACTIONS(953),
    [anon_sym_var] = ACTIONS(953),
    [anon_sym_modifier] = ACTIONS(953),
    [anon_sym_constructor] = ACTIONS(953),
    [anon_sym_fallback] = ACTIONS(953),
    [anon_sym_receive] = ACTIONS(953),
    [anon_sym_mapping] = ACTIONS(953),
    [anon_sym_bool] = ACTIONS(953),
    [anon_sym_string] = ACTIONS(953),
    [anon_sym_int] = ACTIONS(953),
    [anon_sym_int8] = ACTIONS(953),
    [anon_sym_int16] = ACTIONS(953),
    [anon_sym_int24] = ACTIONS(953),
    [anon_sym_int32] = ACTIONS(953),
    [anon_sym_int40] = ACTIONS(953),
    [anon_sym_int48] = ACTIONS(953),
    [anon_sym_int56] = ACTIONS(953),
    [anon_sym_int64] = ACTIONS(953),
    [anon_sym_int72] = ACTIONS(953),
    [anon_sym_int80] = ACTIONS(953),
    [anon_sym_int88] = ACTIONS(953),
    [anon_sym_int96] = ACTIONS(953),
    [anon_sym_int104] = ACTIONS(953),
    [anon_sym_int112] = ACTIONS(953),
    [anon_sym_int120] = ACTIONS(953),
    [anon_sym_int128] = ACTIONS(953),
    [anon_sym_int136] = ACTIONS(953),
    [anon_sym_int144] = ACTIONS(953),
    [anon_sym_int152] = ACTIONS(953),
    [anon_sym_int160] = ACTIONS(953),
    [anon_sym_int168] = ACTIONS(953),
    [anon_sym_int176] = ACTIONS(953),
    [anon_sym_int184] = ACTIONS(953),
    [anon_sym_int192] = ACTIONS(953),
    [anon_sym_int200] = ACTIONS(953),
    [anon_sym_int208] = ACTIONS(953),
    [anon_sym_int216] = ACTIONS(953),
    [anon_sym_int224] = ACTIONS(953),
    [anon_sym_int232] = ACTIONS(953),
    [anon_sym_int240] = ACTIONS(953),
    [anon_sym_int248] = ACTIONS(953),
    [anon_sym_int256] = ACTIONS(953),
    [anon_sym_uint] = ACTIONS(953),
    [anon_sym_uint8] = ACTIONS(953),
    [anon_sym_uint16] = ACTIONS(953),
    [anon_sym_uint24] = ACTIONS(953),
    [anon_sym_uint32] = ACTIONS(953),
    [anon_sym_uint40] = ACTIONS(953),
    [anon_sym_uint48] = ACTIONS(953),
    [anon_sym_uint56] = ACTIONS(953),
    [anon_sym_uint64] = ACTIONS(953),
    [anon_sym_uint72] = ACTIONS(953),
    [anon_sym_uint80] = ACTIONS(953),
    [anon_sym_uint88] = ACTIONS(953),
    [anon_sym_uint96] = ACTIONS(953),
    [anon_sym_uint104] = ACTIONS(953),
    [anon_sym_uint112] = ACTIONS(953),
    [anon_sym_uint120] = ACTIONS(953),
    [anon_sym_uint128] = ACTIONS(953),
    [anon_sym_uint136] = ACTIONS(953),
    [anon_sym_uint144] = ACTIONS(953),
    [anon_sym_uint152] = ACTIONS(953),
    [anon_sym_uint160] = ACTIONS(953),
    [anon_sym_uint168] = ACTIONS(953),
    [anon_sym_uint176] = ACTIONS(953),
    [anon_sym_uint184] = ACTIONS(953),
    [anon_sym_uint192] = ACTIONS(953),
    [anon_sym_uint200] = ACTIONS(953),
    [anon_sym_uint208] = ACTIONS(953),
    [anon_sym_uint216] = ACTIONS(953),
    [anon_sym_uint224] = ACTIONS(953),
    [anon_sym_uint232] = ACTIONS(953),
    [anon_sym_uint240] = ACTIONS(953),
    [anon_sym_uint248] = ACTIONS(953),
    [anon_sym_uint256] = ACTIONS(953),
    [anon_sym_bytes] = ACTIONS(953),
    [anon_sym_bytes1] = ACTIONS(953),
    [anon_sym_bytes2] = ACTIONS(953),
    [anon_sym_bytes3] = ACTIONS(953),
    [anon_sym_bytes4] = ACTIONS(953),
    [anon_sym_bytes5] = ACTIONS(953),
    [anon_sym_bytes6] = ACTIONS(953),
    [anon_sym_bytes7] = ACTIONS(953),
    [anon_sym_bytes8] = ACTIONS(953),
    [anon_sym_bytes9] = ACTIONS(953),
    [anon_sym_bytes10] = ACTIONS(953),
    [anon_sym_bytes11] = ACTIONS(953),
    [anon_sym_bytes12] = ACTIONS(953),
    [anon_sym_bytes13] = ACTIONS(953),
    [anon_sym_bytes14] = ACTIONS(953),
    [anon_sym_bytes15] = ACTIONS(953),
    [anon_sym_bytes16] = ACTIONS(953),
    [anon_sym_bytes17] = ACTIONS(953),
    [anon_sym_bytes18] = ACTIONS(953),
    [anon_sym_bytes19] = ACTIONS(953),
    [anon_sym_bytes20] = ACTIONS(953),
    [anon_sym_bytes21] = ACTIONS(953),
    [anon_sym_bytes22] = ACTIONS(953),
    [anon_sym_bytes23] = ACTIONS(953),
    [anon_sym_bytes24] = ACTIONS(953),
    [anon_sym_bytes25] = ACTIONS(953),
    [anon_sym_bytes26] = ACTIONS(953),
    [anon_sym_bytes27] = ACTIONS(953),
    [anon_sym_bytes28] = ACTIONS(953),
    [anon_sym_bytes29] = ACTIONS(953),
    [anon_sym_bytes30] = ACTIONS(953),
    [anon_sym_bytes31] = ACTIONS(953),
    [anon_sym_bytes32] = ACTIONS(953),
    [anon_sym_fixed] = ACTIONS(953),
    [aux_sym__fixed_token1] = ACTIONS(953),
    [anon_sym_ufixed] = ACTIONS(953),
    [aux_sym__ufixed_token1] = ACTIONS(953),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_identifier] = ACTIONS(957),
    [anon_sym_RBRACE] = ACTIONS(959),
    [anon_sym_type] = ACTIONS(957),
    [anon_sym_error] = ACTIONS(957),
    [anon_sym_struct] = ACTIONS(957),
    [anon_sym_enum] = ACTIONS(957),
    [anon_sym_event] = ACTIONS(957),
    [anon_sym_using] = ACTIONS(957),
    [anon_sym_function] = ACTIONS(957),
    [anon_sym_byte] = ACTIONS(957),
    [anon_sym_address] = ACTIONS(957),
    [anon_sym_var] = ACTIONS(957),
    [anon_sym_modifier] = ACTIONS(957),
    [anon_sym_constructor] = ACTIONS(957),
    [anon_sym_fallback] = ACTIONS(957),
    [anon_sym_receive] = ACTIONS(957),
    [anon_sym_mapping] = ACTIONS(957),
    [anon_sym_bool] = ACTIONS(957),
    [anon_sym_string] = ACTIONS(957),
    [anon_sym_int] = ACTIONS(957),
    [anon_sym_int8] = ACTIONS(957),
    [anon_sym_int16] = ACTIONS(957),
    [anon_sym_int24] = ACTIONS(957),
    [anon_sym_int32] = ACTIONS(957),
    [anon_sym_int40] = ACTIONS(957),
    [anon_sym_int48] = ACTIONS(957),
    [anon_sym_int56] = ACTIONS(957),
    [anon_sym_int64] = ACTIONS(957),
    [anon_sym_int72] = ACTIONS(957),
    [anon_sym_int80] = ACTIONS(957),
    [anon_sym_int88] = ACTIONS(957),
    [anon_sym_int96] = ACTIONS(957),
    [anon_sym_int104] = ACTIONS(957),
    [anon_sym_int112] = ACTIONS(957),
    [anon_sym_int120] = ACTIONS(957),
    [anon_sym_int128] = ACTIONS(957),
    [anon_sym_int136] = ACTIONS(957),
    [anon_sym_int144] = ACTIONS(957),
    [anon_sym_int152] = ACTIONS(957),
    [anon_sym_int160] = ACTIONS(957),
    [anon_sym_int168] = ACTIONS(957),
    [anon_sym_int176] = ACTIONS(957),
    [anon_sym_int184] = ACTIONS(957),
    [anon_sym_int192] = ACTIONS(957),
    [anon_sym_int200] = ACTIONS(957),
    [anon_sym_int208] = ACTIONS(957),
    [anon_sym_int216] = ACTIONS(957),
    [anon_sym_int224] = ACTIONS(957),
    [anon_sym_int232] = ACTIONS(957),
    [anon_sym_int240] = ACTIONS(957),
    [anon_sym_int248] = ACTIONS(957),
    [anon_sym_int256] = ACTIONS(957),
    [anon_sym_uint] = ACTIONS(957),
    [anon_sym_uint8] = ACTIONS(957),
    [anon_sym_uint16] = ACTIONS(957),
    [anon_sym_uint24] = ACTIONS(957),
    [anon_sym_uint32] = ACTIONS(957),
    [anon_sym_uint40] = ACTIONS(957),
    [anon_sym_uint48] = ACTIONS(957),
    [anon_sym_uint56] = ACTIONS(957),
    [anon_sym_uint64] = ACTIONS(957),
    [anon_sym_uint72] = ACTIONS(957),
    [anon_sym_uint80] = ACTIONS(957),
    [anon_sym_uint88] = ACTIONS(957),
    [anon_sym_uint96] = ACTIONS(957),
    [anon_sym_uint104] = ACTIONS(957),
    [anon_sym_uint112] = ACTIONS(957),
    [anon_sym_uint120] = ACTIONS(957),
    [anon_sym_uint128] = ACTIONS(957),
    [anon_sym_uint136] = ACTIONS(957),
    [anon_sym_uint144] = ACTIONS(957),
    [anon_sym_uint152] = ACTIONS(957),
    [anon_sym_uint160] = ACTIONS(957),
    [anon_sym_uint168] = ACTIONS(957),
    [anon_sym_uint176] = ACTIONS(957),
    [anon_sym_uint184] = ACTIONS(957),
    [anon_sym_uint192] = ACTIONS(957),
    [anon_sym_uint200] = ACTIONS(957),
    [anon_sym_uint208] = ACTIONS(957),
    [anon_sym_uint216] = ACTIONS(957),
    [anon_sym_uint224] = ACTIONS(957),
    [anon_sym_uint232] = ACTIONS(957),
    [anon_sym_uint240] = ACTIONS(957),
    [anon_sym_uint248] = ACTIONS(957),
    [anon_sym_uint256] = ACTIONS(957),
    [anon_sym_bytes] = ACTIONS(957),
    [anon_sym_bytes1] = ACTIONS(957),
    [anon_sym_bytes2] = ACTIONS(957),
    [anon_sym_bytes3] = ACTIONS(957),
    [anon_sym_bytes4] = ACTIONS(957),
    [anon_sym_bytes5] = ACTIONS(957),
    [anon_sym_bytes6] = ACTIONS(957),
    [anon_sym_bytes7] = ACTIONS(957),
    [anon_sym_bytes8] = ACTIONS(957),
    [anon_sym_bytes9] = ACTIONS(957),
    [anon_sym_bytes10] = ACTIONS(957),
    [anon_sym_bytes11] = ACTIONS(957),
    [anon_sym_bytes12] = ACTIONS(957),
    [anon_sym_bytes13] = ACTIONS(957),
    [anon_sym_bytes14] = ACTIONS(957),
    [anon_sym_bytes15] = ACTIONS(957),
    [anon_sym_bytes16] = ACTIONS(957),
    [anon_sym_bytes17] = ACTIONS(957),
    [anon_sym_bytes18] = ACTIONS(957),
    [anon_sym_bytes19] = ACTIONS(957),
    [anon_sym_bytes20] = ACTIONS(957),
    [anon_sym_bytes21] = ACTIONS(957),
    [anon_sym_bytes22] = ACTIONS(957),
    [anon_sym_bytes23] = ACTIONS(957),
    [anon_sym_bytes24] = ACTIONS(957),
    [anon_sym_bytes25] = ACTIONS(957),
    [anon_sym_bytes26] = ACTIONS(957),
    [anon_sym_bytes27] = ACTIONS(957),
    [anon_sym_bytes28] = ACTIONS(957),
    [anon_sym_bytes29] = ACTIONS(957),
    [anon_sym_bytes30] = ACTIONS(957),
    [anon_sym_bytes31] = ACTIONS(957),
    [anon_sym_bytes32] = ACTIONS(957),
    [anon_sym_fixed] = ACTIONS(957),
    [aux_sym__fixed_token1] = ACTIONS(957),
    [anon_sym_ufixed] = ACTIONS(957),
    [aux_sym__ufixed_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [sym__yul_statement] = STATE(308),
    [sym_yul_label] = STATE(308),
    [sym_yul_break] = STATE(308),
    [sym_yul_continue] = STATE(308),
    [sym_yul_identifier] = STATE(322),
    [sym_yul_path] = STATE(328),
    [sym__yul_literal] = STATE(308),
    [sym_yul_string_literal] = STATE(308),
    [sym_yul_boolean] = STATE(308),
    [sym_yul_block] = STATE(308),
    [sym_yul_variable_declaration] = STATE(308),
    [sym_yul_assignment] = STATE(308),
    [sym_yul_function_call] = STATE(308),
    [sym_yul_if_statement] = STATE(308),
    [sym_yul_for_statement] = STATE(308),
    [sym_yul_switch_statement] = STATE(308),
    [sym_yul_function_definition] = STATE(308),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_hex_string_literal] = STATE(308),
    [sym_string] = STATE(335),
    [aux_sym_assembly_statement_repeat1] = STATE(308),
    [aux_sym_hex_string_literal_repeat2] = STATE(367),
    [sym_identifier] = ACTIONS(961),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_RBRACE] = ACTIONS(965),
    [anon_sym_for] = ACTIONS(967),
    [sym_yul_leave] = ACTIONS(969),
    [anon_sym_break] = ACTIONS(971),
    [anon_sym_continue] = ACTIONS(973),
    [sym_yul_decimal_number] = ACTIONS(969),
    [sym_yul_hex_number] = ACTIONS(975),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_if] = ACTIONS(981),
    [anon_sym_switch] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [anon_sym_hex] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(993),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [sym__yul_statement] = STATE(308),
    [sym_yul_label] = STATE(308),
    [sym_yul_break] = STATE(308),
    [sym_yul_continue] = STATE(308),
    [sym_yul_identifier] = STATE(322),
    [sym_yul_path] = STATE(328),
    [sym__yul_literal] = STATE(308),
    [sym_yul_string_literal] = STATE(308),
    [sym_yul_boolean] = STATE(308),
    [sym_yul_block] = STATE(308),
    [sym_yul_variable_declaration] = STATE(308),
    [sym_yul_assignment] = STATE(308),
    [sym_yul_function_call] = STATE(308),
    [sym_yul_if_statement] = STATE(308),
    [sym_yul_for_statement] = STATE(308),
    [sym_yul_switch_statement] = STATE(308),
    [sym_yul_function_definition] = STATE(308),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_hex_string_literal] = STATE(308),
    [sym_string] = STATE(335),
    [aux_sym_assembly_statement_repeat1] = STATE(308),
    [aux_sym_hex_string_literal_repeat2] = STATE(367),
    [sym_identifier] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(998),
    [anon_sym_RBRACE] = ACTIONS(1001),
    [anon_sym_for] = ACTIONS(1003),
    [sym_yul_leave] = ACTIONS(1006),
    [anon_sym_break] = ACTIONS(1009),
    [anon_sym_continue] = ACTIONS(1012),
    [sym_yul_decimal_number] = ACTIONS(1006),
    [sym_yul_hex_number] = ACTIONS(1015),
    [anon_sym_true] = ACTIONS(1018),
    [anon_sym_false] = ACTIONS(1018),
    [anon_sym_let] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1024),
    [anon_sym_switch] = ACTIONS(1027),
    [anon_sym_function] = ACTIONS(1030),
    [anon_sym_stop] = ACTIONS(1033),
    [anon_sym_add] = ACTIONS(1033),
    [anon_sym_sub] = ACTIONS(1033),
    [anon_sym_mul] = ACTIONS(1033),
    [anon_sym_div] = ACTIONS(1033),
    [anon_sym_sdiv] = ACTIONS(1033),
    [anon_sym_mod] = ACTIONS(1033),
    [anon_sym_smod] = ACTIONS(1033),
    [anon_sym_exp] = ACTIONS(1033),
    [anon_sym_not] = ACTIONS(1033),
    [anon_sym_lt] = ACTIONS(1033),
    [anon_sym_gt] = ACTIONS(1033),
    [anon_sym_slt] = ACTIONS(1033),
    [anon_sym_sgt] = ACTIONS(1033),
    [anon_sym_eq] = ACTIONS(1033),
    [anon_sym_iszero] = ACTIONS(1033),
    [anon_sym_and] = ACTIONS(1033),
    [anon_sym_or] = ACTIONS(1033),
    [anon_sym_xor] = ACTIONS(1033),
    [anon_sym_byte] = ACTIONS(1033),
    [anon_sym_shl] = ACTIONS(1033),
    [anon_sym_shr] = ACTIONS(1033),
    [anon_sym_sar] = ACTIONS(1033),
    [anon_sym_addmod] = ACTIONS(1033),
    [anon_sym_mulmod] = ACTIONS(1033),
    [anon_sym_signextend] = ACTIONS(1033),
    [anon_sym_keccak256] = ACTIONS(1033),
    [anon_sym_pop] = ACTIONS(1033),
    [anon_sym_mload] = ACTIONS(1033),
    [anon_sym_mcopy] = ACTIONS(1033),
    [anon_sym_tload] = ACTIONS(1033),
    [anon_sym_tstore] = ACTIONS(1033),
    [anon_sym_mstore] = ACTIONS(1033),
    [anon_sym_mstore8] = ACTIONS(1033),
    [anon_sym_sload] = ACTIONS(1033),
    [anon_sym_sstore] = ACTIONS(1033),
    [anon_sym_msize] = ACTIONS(1033),
    [anon_sym_gas] = ACTIONS(1033),
    [anon_sym_address] = ACTIONS(1033),
    [anon_sym_balance] = ACTIONS(1033),
    [anon_sym_selfbalance] = ACTIONS(1033),
    [anon_sym_caller] = ACTIONS(1033),
    [anon_sym_callvalue] = ACTIONS(1033),
    [anon_sym_calldataload] = ACTIONS(1033),
    [anon_sym_calldatasize] = ACTIONS(1033),
    [anon_sym_calldatacopy] = ACTIONS(1033),
    [anon_sym_extcodesize] = ACTIONS(1033),
    [anon_sym_extcodecopy] = ACTIONS(1033),
    [anon_sym_returndatasize] = ACTIONS(1033),
    [anon_sym_returndatacopy] = ACTIONS(1033),
    [anon_sym_extcodehash] = ACTIONS(1033),
    [anon_sym_create] = ACTIONS(1033),
    [anon_sym_create2] = ACTIONS(1033),
    [anon_sym_call] = ACTIONS(1033),
    [anon_sym_callcode] = ACTIONS(1033),
    [anon_sym_delegatecall] = ACTIONS(1033),
    [anon_sym_staticcall] = ACTIONS(1033),
    [anon_sym_return] = ACTIONS(1033),
    [anon_sym_revert] = ACTIONS(1033),
    [anon_sym_selfdestruct] = ACTIONS(1033),
    [anon_sym_invalid] = ACTIONS(1033),
    [anon_sym_log0] = ACTIONS(1033),
    [anon_sym_log1] = ACTIONS(1033),
    [anon_sym_log2] = ACTIONS(1033),
    [anon_sym_log3] = ACTIONS(1033),
    [anon_sym_log4] = ACTIONS(1033),
    [anon_sym_chainid] = ACTIONS(1033),
    [anon_sym_origin] = ACTIONS(1033),
    [anon_sym_gasprice] = ACTIONS(1033),
    [anon_sym_blockhash] = ACTIONS(1033),
    [anon_sym_blobhash] = ACTIONS(1033),
    [anon_sym_basefee] = ACTIONS(1033),
    [anon_sym_blobfee] = ACTIONS(1033),
    [anon_sym_coinbase] = ACTIONS(1033),
    [anon_sym_timestamp] = ACTIONS(1033),
    [anon_sym_number] = ACTIONS(1033),
    [anon_sym_difficulty] = ACTIONS(1033),
    [anon_sym_gaslimit] = ACTIONS(1033),
    [anon_sym_hex] = ACTIONS(1036),
    [anon_sym_DQUOTE] = ACTIONS(1039),
    [anon_sym_SQUOTE] = ACTIONS(1042),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [sym__yul_statement] = STATE(316),
    [sym_yul_label] = STATE(316),
    [sym_yul_break] = STATE(316),
    [sym_yul_continue] = STATE(316),
    [sym_yul_identifier] = STATE(322),
    [sym_yul_path] = STATE(328),
    [sym__yul_literal] = STATE(316),
    [sym_yul_string_literal] = STATE(316),
    [sym_yul_boolean] = STATE(316),
    [sym_yul_block] = STATE(316),
    [sym_yul_variable_declaration] = STATE(316),
    [sym_yul_assignment] = STATE(316),
    [sym_yul_function_call] = STATE(316),
    [sym_yul_if_statement] = STATE(316),
    [sym_yul_for_statement] = STATE(316),
    [sym_yul_switch_statement] = STATE(316),
    [sym_yul_function_definition] = STATE(316),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_hex_string_literal] = STATE(316),
    [sym_string] = STATE(335),
    [aux_sym_assembly_statement_repeat1] = STATE(316),
    [aux_sym_hex_string_literal_repeat2] = STATE(367),
    [sym_identifier] = ACTIONS(961),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_RBRACE] = ACTIONS(1045),
    [anon_sym_for] = ACTIONS(967),
    [sym_yul_leave] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(971),
    [anon_sym_continue] = ACTIONS(973),
    [sym_yul_decimal_number] = ACTIONS(1047),
    [sym_yul_hex_number] = ACTIONS(1049),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_if] = ACTIONS(981),
    [anon_sym_switch] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [anon_sym_hex] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(993),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [sym__yul_statement] = STATE(308),
    [sym_yul_label] = STATE(308),
    [sym_yul_break] = STATE(308),
    [sym_yul_continue] = STATE(308),
    [sym_yul_identifier] = STATE(322),
    [sym_yul_path] = STATE(328),
    [sym__yul_literal] = STATE(308),
    [sym_yul_string_literal] = STATE(308),
    [sym_yul_boolean] = STATE(308),
    [sym_yul_block] = STATE(308),
    [sym_yul_variable_declaration] = STATE(308),
    [sym_yul_assignment] = STATE(308),
    [sym_yul_function_call] = STATE(308),
    [sym_yul_if_statement] = STATE(308),
    [sym_yul_for_statement] = STATE(308),
    [sym_yul_switch_statement] = STATE(308),
    [sym_yul_function_definition] = STATE(308),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_hex_string_literal] = STATE(308),
    [sym_string] = STATE(335),
    [aux_sym_assembly_statement_repeat1] = STATE(308),
    [aux_sym_hex_string_literal_repeat2] = STATE(367),
    [sym_identifier] = ACTIONS(961),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [anon_sym_for] = ACTIONS(967),
    [sym_yul_leave] = ACTIONS(969),
    [anon_sym_break] = ACTIONS(971),
    [anon_sym_continue] = ACTIONS(973),
    [sym_yul_decimal_number] = ACTIONS(969),
    [sym_yul_hex_number] = ACTIONS(975),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_if] = ACTIONS(981),
    [anon_sym_switch] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [anon_sym_hex] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(993),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [sym__yul_statement] = STATE(317),
    [sym_yul_label] = STATE(317),
    [sym_yul_break] = STATE(317),
    [sym_yul_continue] = STATE(317),
    [sym_yul_identifier] = STATE(322),
    [sym_yul_path] = STATE(328),
    [sym__yul_literal] = STATE(317),
    [sym_yul_string_literal] = STATE(317),
    [sym_yul_boolean] = STATE(317),
    [sym_yul_block] = STATE(317),
    [sym_yul_variable_declaration] = STATE(317),
    [sym_yul_assignment] = STATE(317),
    [sym_yul_function_call] = STATE(317),
    [sym_yul_if_statement] = STATE(317),
    [sym_yul_for_statement] = STATE(317),
    [sym_yul_switch_statement] = STATE(317),
    [sym_yul_function_definition] = STATE(317),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_hex_string_literal] = STATE(317),
    [sym_string] = STATE(335),
    [aux_sym_assembly_statement_repeat1] = STATE(317),
    [aux_sym_hex_string_literal_repeat2] = STATE(367),
    [sym_identifier] = ACTIONS(961),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_RBRACE] = ACTIONS(1053),
    [anon_sym_for] = ACTIONS(967),
    [sym_yul_leave] = ACTIONS(1055),
    [anon_sym_break] = ACTIONS(971),
    [anon_sym_continue] = ACTIONS(973),
    [sym_yul_decimal_number] = ACTIONS(1055),
    [sym_yul_hex_number] = ACTIONS(1057),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_if] = ACTIONS(981),
    [anon_sym_switch] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [anon_sym_hex] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(993),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [sym__yul_statement] = STATE(308),
    [sym_yul_label] = STATE(308),
    [sym_yul_break] = STATE(308),
    [sym_yul_continue] = STATE(308),
    [sym_yul_identifier] = STATE(322),
    [sym_yul_path] = STATE(328),
    [sym__yul_literal] = STATE(308),
    [sym_yul_string_literal] = STATE(308),
    [sym_yul_boolean] = STATE(308),
    [sym_yul_block] = STATE(308),
    [sym_yul_variable_declaration] = STATE(308),
    [sym_yul_assignment] = STATE(308),
    [sym_yul_function_call] = STATE(308),
    [sym_yul_if_statement] = STATE(308),
    [sym_yul_for_statement] = STATE(308),
    [sym_yul_switch_statement] = STATE(308),
    [sym_yul_function_definition] = STATE(308),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_hex_string_literal] = STATE(308),
    [sym_string] = STATE(335),
    [aux_sym_assembly_statement_repeat1] = STATE(308),
    [aux_sym_hex_string_literal_repeat2] = STATE(367),
    [sym_identifier] = ACTIONS(961),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_RBRACE] = ACTIONS(1059),
    [anon_sym_for] = ACTIONS(967),
    [sym_yul_leave] = ACTIONS(969),
    [anon_sym_break] = ACTIONS(971),
    [anon_sym_continue] = ACTIONS(973),
    [sym_yul_decimal_number] = ACTIONS(969),
    [sym_yul_hex_number] = ACTIONS(975),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_if] = ACTIONS(981),
    [anon_sym_switch] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [anon_sym_hex] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(993),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [sym__yul_statement] = STATE(307),
    [sym_yul_label] = STATE(307),
    [sym_yul_break] = STATE(307),
    [sym_yul_continue] = STATE(307),
    [sym_yul_identifier] = STATE(322),
    [sym_yul_path] = STATE(328),
    [sym__yul_literal] = STATE(307),
    [sym_yul_string_literal] = STATE(307),
    [sym_yul_boolean] = STATE(307),
    [sym_yul_block] = STATE(307),
    [sym_yul_variable_declaration] = STATE(307),
    [sym_yul_assignment] = STATE(307),
    [sym_yul_function_call] = STATE(307),
    [sym_yul_if_statement] = STATE(307),
    [sym_yul_for_statement] = STATE(307),
    [sym_yul_switch_statement] = STATE(307),
    [sym_yul_function_definition] = STATE(307),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_hex_string_literal] = STATE(307),
    [sym_string] = STATE(335),
    [aux_sym_assembly_statement_repeat1] = STATE(307),
    [aux_sym_hex_string_literal_repeat2] = STATE(367),
    [sym_identifier] = ACTIONS(961),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_RBRACE] = ACTIONS(1059),
    [anon_sym_for] = ACTIONS(967),
    [sym_yul_leave] = ACTIONS(1061),
    [anon_sym_break] = ACTIONS(971),
    [anon_sym_continue] = ACTIONS(973),
    [sym_yul_decimal_number] = ACTIONS(1061),
    [sym_yul_hex_number] = ACTIONS(1063),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_if] = ACTIONS(981),
    [anon_sym_switch] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [anon_sym_hex] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(993),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [sym__yul_statement] = STATE(312),
    [sym_yul_label] = STATE(312),
    [sym_yul_break] = STATE(312),
    [sym_yul_continue] = STATE(312),
    [sym_yul_identifier] = STATE(322),
    [sym_yul_path] = STATE(328),
    [sym__yul_literal] = STATE(312),
    [sym_yul_string_literal] = STATE(312),
    [sym_yul_boolean] = STATE(312),
    [sym_yul_block] = STATE(312),
    [sym_yul_variable_declaration] = STATE(312),
    [sym_yul_assignment] = STATE(312),
    [sym_yul_function_call] = STATE(312),
    [sym_yul_if_statement] = STATE(312),
    [sym_yul_for_statement] = STATE(312),
    [sym_yul_switch_statement] = STATE(312),
    [sym_yul_function_definition] = STATE(312),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_hex_string_literal] = STATE(312),
    [sym_string] = STATE(335),
    [aux_sym_assembly_statement_repeat1] = STATE(312),
    [aux_sym_hex_string_literal_repeat2] = STATE(367),
    [sym_identifier] = ACTIONS(961),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_RBRACE] = ACTIONS(1065),
    [anon_sym_for] = ACTIONS(967),
    [sym_yul_leave] = ACTIONS(1067),
    [anon_sym_break] = ACTIONS(971),
    [anon_sym_continue] = ACTIONS(973),
    [sym_yul_decimal_number] = ACTIONS(1067),
    [sym_yul_hex_number] = ACTIONS(1069),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_if] = ACTIONS(981),
    [anon_sym_switch] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [anon_sym_hex] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(993),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [sym__yul_statement] = STATE(310),
    [sym_yul_label] = STATE(310),
    [sym_yul_break] = STATE(310),
    [sym_yul_continue] = STATE(310),
    [sym_yul_identifier] = STATE(322),
    [sym_yul_path] = STATE(328),
    [sym__yul_literal] = STATE(310),
    [sym_yul_string_literal] = STATE(310),
    [sym_yul_boolean] = STATE(310),
    [sym_yul_block] = STATE(310),
    [sym_yul_variable_declaration] = STATE(310),
    [sym_yul_assignment] = STATE(310),
    [sym_yul_function_call] = STATE(310),
    [sym_yul_if_statement] = STATE(310),
    [sym_yul_for_statement] = STATE(310),
    [sym_yul_switch_statement] = STATE(310),
    [sym_yul_function_definition] = STATE(310),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_hex_string_literal] = STATE(310),
    [sym_string] = STATE(335),
    [aux_sym_assembly_statement_repeat1] = STATE(310),
    [aux_sym_hex_string_literal_repeat2] = STATE(367),
    [sym_identifier] = ACTIONS(961),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_RBRACE] = ACTIONS(1071),
    [anon_sym_for] = ACTIONS(967),
    [sym_yul_leave] = ACTIONS(1073),
    [anon_sym_break] = ACTIONS(971),
    [anon_sym_continue] = ACTIONS(973),
    [sym_yul_decimal_number] = ACTIONS(1073),
    [sym_yul_hex_number] = ACTIONS(1075),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_if] = ACTIONS(981),
    [anon_sym_switch] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [anon_sym_hex] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(993),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym__yul_statement] = STATE(308),
    [sym_yul_label] = STATE(308),
    [sym_yul_break] = STATE(308),
    [sym_yul_continue] = STATE(308),
    [sym_yul_identifier] = STATE(322),
    [sym_yul_path] = STATE(328),
    [sym__yul_literal] = STATE(308),
    [sym_yul_string_literal] = STATE(308),
    [sym_yul_boolean] = STATE(308),
    [sym_yul_block] = STATE(308),
    [sym_yul_variable_declaration] = STATE(308),
    [sym_yul_assignment] = STATE(308),
    [sym_yul_function_call] = STATE(308),
    [sym_yul_if_statement] = STATE(308),
    [sym_yul_for_statement] = STATE(308),
    [sym_yul_switch_statement] = STATE(308),
    [sym_yul_function_definition] = STATE(308),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_hex_string_literal] = STATE(308),
    [sym_string] = STATE(335),
    [aux_sym_assembly_statement_repeat1] = STATE(308),
    [aux_sym_hex_string_literal_repeat2] = STATE(367),
    [sym_identifier] = ACTIONS(961),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_RBRACE] = ACTIONS(1077),
    [anon_sym_for] = ACTIONS(967),
    [sym_yul_leave] = ACTIONS(969),
    [anon_sym_break] = ACTIONS(971),
    [anon_sym_continue] = ACTIONS(973),
    [sym_yul_decimal_number] = ACTIONS(969),
    [sym_yul_hex_number] = ACTIONS(975),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_if] = ACTIONS(981),
    [anon_sym_switch] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [anon_sym_hex] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(993),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [sym__yul_statement] = STATE(308),
    [sym_yul_label] = STATE(308),
    [sym_yul_break] = STATE(308),
    [sym_yul_continue] = STATE(308),
    [sym_yul_identifier] = STATE(322),
    [sym_yul_path] = STATE(328),
    [sym__yul_literal] = STATE(308),
    [sym_yul_string_literal] = STATE(308),
    [sym_yul_boolean] = STATE(308),
    [sym_yul_block] = STATE(308),
    [sym_yul_variable_declaration] = STATE(308),
    [sym_yul_assignment] = STATE(308),
    [sym_yul_function_call] = STATE(308),
    [sym_yul_if_statement] = STATE(308),
    [sym_yul_for_statement] = STATE(308),
    [sym_yul_switch_statement] = STATE(308),
    [sym_yul_function_definition] = STATE(308),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_hex_string_literal] = STATE(308),
    [sym_string] = STATE(335),
    [aux_sym_assembly_statement_repeat1] = STATE(308),
    [aux_sym_hex_string_literal_repeat2] = STATE(367),
    [sym_identifier] = ACTIONS(961),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_RBRACE] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(967),
    [sym_yul_leave] = ACTIONS(969),
    [anon_sym_break] = ACTIONS(971),
    [anon_sym_continue] = ACTIONS(973),
    [sym_yul_decimal_number] = ACTIONS(969),
    [sym_yul_hex_number] = ACTIONS(975),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_if] = ACTIONS(981),
    [anon_sym_switch] = ACTIONS(983),
    [anon_sym_function] = ACTIONS(985),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [anon_sym_hex] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(993),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [sym_user_defined_type] = STATE(893),
    [sym__identifier_path] = STATE(415),
    [sym__mapping_key] = STATE(893),
    [sym_primitive_type] = STATE(893),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(35),
    [anon_sym_var] = ACTIONS(33),
    [anon_sym_bool] = ACTIONS(33),
    [anon_sym_string] = ACTIONS(33),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(33),
    [anon_sym_int40] = ACTIONS(33),
    [anon_sym_int48] = ACTIONS(33),
    [anon_sym_int56] = ACTIONS(33),
    [anon_sym_int64] = ACTIONS(33),
    [anon_sym_int72] = ACTIONS(33),
    [anon_sym_int80] = ACTIONS(33),
    [anon_sym_int88] = ACTIONS(33),
    [anon_sym_int96] = ACTIONS(33),
    [anon_sym_int104] = ACTIONS(33),
    [anon_sym_int112] = ACTIONS(33),
    [anon_sym_int120] = ACTIONS(33),
    [anon_sym_int128] = ACTIONS(33),
    [anon_sym_int136] = ACTIONS(33),
    [anon_sym_int144] = ACTIONS(33),
    [anon_sym_int152] = ACTIONS(33),
    [anon_sym_int160] = ACTIONS(33),
    [anon_sym_int168] = ACTIONS(33),
    [anon_sym_int176] = ACTIONS(33),
    [anon_sym_int184] = ACTIONS(33),
    [anon_sym_int192] = ACTIONS(33),
    [anon_sym_int200] = ACTIONS(33),
    [anon_sym_int208] = ACTIONS(33),
    [anon_sym_int216] = ACTIONS(33),
    [anon_sym_int224] = ACTIONS(33),
    [anon_sym_int232] = ACTIONS(33),
    [anon_sym_int240] = ACTIONS(33),
    [anon_sym_int248] = ACTIONS(33),
    [anon_sym_int256] = ACTIONS(33),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(33),
    [anon_sym_uint40] = ACTIONS(33),
    [anon_sym_uint48] = ACTIONS(33),
    [anon_sym_uint56] = ACTIONS(33),
    [anon_sym_uint64] = ACTIONS(33),
    [anon_sym_uint72] = ACTIONS(33),
    [anon_sym_uint80] = ACTIONS(33),
    [anon_sym_uint88] = ACTIONS(33),
    [anon_sym_uint96] = ACTIONS(33),
    [anon_sym_uint104] = ACTIONS(33),
    [anon_sym_uint112] = ACTIONS(33),
    [anon_sym_uint120] = ACTIONS(33),
    [anon_sym_uint128] = ACTIONS(33),
    [anon_sym_uint136] = ACTIONS(33),
    [anon_sym_uint144] = ACTIONS(33),
    [anon_sym_uint152] = ACTIONS(33),
    [anon_sym_uint160] = ACTIONS(33),
    [anon_sym_uint168] = ACTIONS(33),
    [anon_sym_uint176] = ACTIONS(33),
    [anon_sym_uint184] = ACTIONS(33),
    [anon_sym_uint192] = ACTIONS(33),
    [anon_sym_uint200] = ACTIONS(33),
    [anon_sym_uint208] = ACTIONS(33),
    [anon_sym_uint216] = ACTIONS(33),
    [anon_sym_uint224] = ACTIONS(33),
    [anon_sym_uint232] = ACTIONS(33),
    [anon_sym_uint240] = ACTIONS(33),
    [anon_sym_uint248] = ACTIONS(33),
    [anon_sym_uint256] = ACTIONS(33),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(33),
    [anon_sym_bytes5] = ACTIONS(33),
    [anon_sym_bytes6] = ACTIONS(33),
    [anon_sym_bytes7] = ACTIONS(33),
    [anon_sym_bytes8] = ACTIONS(33),
    [anon_sym_bytes9] = ACTIONS(33),
    [anon_sym_bytes10] = ACTIONS(33),
    [anon_sym_bytes11] = ACTIONS(33),
    [anon_sym_bytes12] = ACTIONS(33),
    [anon_sym_bytes13] = ACTIONS(33),
    [anon_sym_bytes14] = ACTIONS(33),
    [anon_sym_bytes15] = ACTIONS(33),
    [anon_sym_bytes16] = ACTIONS(33),
    [anon_sym_bytes17] = ACTIONS(33),
    [anon_sym_bytes18] = ACTIONS(33),
    [anon_sym_bytes19] = ACTIONS(33),
    [anon_sym_bytes20] = ACTIONS(33),
    [anon_sym_bytes21] = ACTIONS(33),
    [anon_sym_bytes22] = ACTIONS(33),
    [anon_sym_bytes23] = ACTIONS(33),
    [anon_sym_bytes24] = ACTIONS(33),
    [anon_sym_bytes25] = ACTIONS(33),
    [anon_sym_bytes26] = ACTIONS(33),
    [anon_sym_bytes27] = ACTIONS(33),
    [anon_sym_bytes28] = ACTIONS(33),
    [anon_sym_bytes29] = ACTIONS(33),
    [anon_sym_bytes30] = ACTIONS(33),
    [anon_sym_bytes31] = ACTIONS(33),
    [anon_sym_bytes32] = ACTIONS(33),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(33),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym_primitive_type] = STATE(942),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(1081),
    [anon_sym_var] = ACTIONS(1083),
    [anon_sym_bool] = ACTIONS(1083),
    [anon_sym_string] = ACTIONS(1083),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(1083),
    [anon_sym_int40] = ACTIONS(1083),
    [anon_sym_int48] = ACTIONS(1083),
    [anon_sym_int56] = ACTIONS(1083),
    [anon_sym_int64] = ACTIONS(1083),
    [anon_sym_int72] = ACTIONS(1083),
    [anon_sym_int80] = ACTIONS(1083),
    [anon_sym_int88] = ACTIONS(1083),
    [anon_sym_int96] = ACTIONS(1083),
    [anon_sym_int104] = ACTIONS(1083),
    [anon_sym_int112] = ACTIONS(1083),
    [anon_sym_int120] = ACTIONS(1083),
    [anon_sym_int128] = ACTIONS(1083),
    [anon_sym_int136] = ACTIONS(1083),
    [anon_sym_int144] = ACTIONS(1083),
    [anon_sym_int152] = ACTIONS(1083),
    [anon_sym_int160] = ACTIONS(1083),
    [anon_sym_int168] = ACTIONS(1083),
    [anon_sym_int176] = ACTIONS(1083),
    [anon_sym_int184] = ACTIONS(1083),
    [anon_sym_int192] = ACTIONS(1083),
    [anon_sym_int200] = ACTIONS(1083),
    [anon_sym_int208] = ACTIONS(1083),
    [anon_sym_int216] = ACTIONS(1083),
    [anon_sym_int224] = ACTIONS(1083),
    [anon_sym_int232] = ACTIONS(1083),
    [anon_sym_int240] = ACTIONS(1083),
    [anon_sym_int248] = ACTIONS(1083),
    [anon_sym_int256] = ACTIONS(1083),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(1083),
    [anon_sym_uint40] = ACTIONS(1083),
    [anon_sym_uint48] = ACTIONS(1083),
    [anon_sym_uint56] = ACTIONS(1083),
    [anon_sym_uint64] = ACTIONS(1083),
    [anon_sym_uint72] = ACTIONS(1083),
    [anon_sym_uint80] = ACTIONS(1083),
    [anon_sym_uint88] = ACTIONS(1083),
    [anon_sym_uint96] = ACTIONS(1083),
    [anon_sym_uint104] = ACTIONS(1083),
    [anon_sym_uint112] = ACTIONS(1083),
    [anon_sym_uint120] = ACTIONS(1083),
    [anon_sym_uint128] = ACTIONS(1083),
    [anon_sym_uint136] = ACTIONS(1083),
    [anon_sym_uint144] = ACTIONS(1083),
    [anon_sym_uint152] = ACTIONS(1083),
    [anon_sym_uint160] = ACTIONS(1083),
    [anon_sym_uint168] = ACTIONS(1083),
    [anon_sym_uint176] = ACTIONS(1083),
    [anon_sym_uint184] = ACTIONS(1083),
    [anon_sym_uint192] = ACTIONS(1083),
    [anon_sym_uint200] = ACTIONS(1083),
    [anon_sym_uint208] = ACTIONS(1083),
    [anon_sym_uint216] = ACTIONS(1083),
    [anon_sym_uint224] = ACTIONS(1083),
    [anon_sym_uint232] = ACTIONS(1083),
    [anon_sym_uint240] = ACTIONS(1083),
    [anon_sym_uint248] = ACTIONS(1083),
    [anon_sym_uint256] = ACTIONS(1083),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(1083),
    [anon_sym_bytes5] = ACTIONS(1083),
    [anon_sym_bytes6] = ACTIONS(1083),
    [anon_sym_bytes7] = ACTIONS(1083),
    [anon_sym_bytes8] = ACTIONS(1083),
    [anon_sym_bytes9] = ACTIONS(1083),
    [anon_sym_bytes10] = ACTIONS(1083),
    [anon_sym_bytes11] = ACTIONS(1083),
    [anon_sym_bytes12] = ACTIONS(1083),
    [anon_sym_bytes13] = ACTIONS(1083),
    [anon_sym_bytes14] = ACTIONS(1083),
    [anon_sym_bytes15] = ACTIONS(1083),
    [anon_sym_bytes16] = ACTIONS(1083),
    [anon_sym_bytes17] = ACTIONS(1083),
    [anon_sym_bytes18] = ACTIONS(1083),
    [anon_sym_bytes19] = ACTIONS(1083),
    [anon_sym_bytes20] = ACTIONS(1083),
    [anon_sym_bytes21] = ACTIONS(1083),
    [anon_sym_bytes22] = ACTIONS(1083),
    [anon_sym_bytes23] = ACTIONS(1083),
    [anon_sym_bytes24] = ACTIONS(1083),
    [anon_sym_bytes25] = ACTIONS(1083),
    [anon_sym_bytes26] = ACTIONS(1083),
    [anon_sym_bytes27] = ACTIONS(1083),
    [anon_sym_bytes28] = ACTIONS(1083),
    [anon_sym_bytes29] = ACTIONS(1083),
    [anon_sym_bytes30] = ACTIONS(1083),
    [anon_sym_bytes31] = ACTIONS(1083),
    [anon_sym_bytes32] = ACTIONS(1083),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(1083),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [sym_primitive_type] = STATE(877),
    [sym__int] = STATE(420),
    [sym__uint] = STATE(420),
    [sym__bytes] = STATE(420),
    [sym__fixed] = STATE(420),
    [sym__ufixed] = STATE(420),
    [anon_sym_byte] = ACTIONS(33),
    [anon_sym_address] = ACTIONS(1081),
    [anon_sym_var] = ACTIONS(1083),
    [anon_sym_bool] = ACTIONS(1083),
    [anon_sym_string] = ACTIONS(1083),
    [anon_sym_int] = ACTIONS(33),
    [anon_sym_int8] = ACTIONS(33),
    [anon_sym_int16] = ACTIONS(33),
    [anon_sym_int24] = ACTIONS(33),
    [anon_sym_int32] = ACTIONS(1083),
    [anon_sym_int40] = ACTIONS(1083),
    [anon_sym_int48] = ACTIONS(1083),
    [anon_sym_int56] = ACTIONS(1083),
    [anon_sym_int64] = ACTIONS(1083),
    [anon_sym_int72] = ACTIONS(1083),
    [anon_sym_int80] = ACTIONS(1083),
    [anon_sym_int88] = ACTIONS(1083),
    [anon_sym_int96] = ACTIONS(1083),
    [anon_sym_int104] = ACTIONS(1083),
    [anon_sym_int112] = ACTIONS(1083),
    [anon_sym_int120] = ACTIONS(1083),
    [anon_sym_int128] = ACTIONS(1083),
    [anon_sym_int136] = ACTIONS(1083),
    [anon_sym_int144] = ACTIONS(1083),
    [anon_sym_int152] = ACTIONS(1083),
    [anon_sym_int160] = ACTIONS(1083),
    [anon_sym_int168] = ACTIONS(1083),
    [anon_sym_int176] = ACTIONS(1083),
    [anon_sym_int184] = ACTIONS(1083),
    [anon_sym_int192] = ACTIONS(1083),
    [anon_sym_int200] = ACTIONS(1083),
    [anon_sym_int208] = ACTIONS(1083),
    [anon_sym_int216] = ACTIONS(1083),
    [anon_sym_int224] = ACTIONS(1083),
    [anon_sym_int232] = ACTIONS(1083),
    [anon_sym_int240] = ACTIONS(1083),
    [anon_sym_int248] = ACTIONS(1083),
    [anon_sym_int256] = ACTIONS(1083),
    [anon_sym_uint] = ACTIONS(33),
    [anon_sym_uint8] = ACTIONS(33),
    [anon_sym_uint16] = ACTIONS(33),
    [anon_sym_uint24] = ACTIONS(33),
    [anon_sym_uint32] = ACTIONS(1083),
    [anon_sym_uint40] = ACTIONS(1083),
    [anon_sym_uint48] = ACTIONS(1083),
    [anon_sym_uint56] = ACTIONS(1083),
    [anon_sym_uint64] = ACTIONS(1083),
    [anon_sym_uint72] = ACTIONS(1083),
    [anon_sym_uint80] = ACTIONS(1083),
    [anon_sym_uint88] = ACTIONS(1083),
    [anon_sym_uint96] = ACTIONS(1083),
    [anon_sym_uint104] = ACTIONS(1083),
    [anon_sym_uint112] = ACTIONS(1083),
    [anon_sym_uint120] = ACTIONS(1083),
    [anon_sym_uint128] = ACTIONS(1083),
    [anon_sym_uint136] = ACTIONS(1083),
    [anon_sym_uint144] = ACTIONS(1083),
    [anon_sym_uint152] = ACTIONS(1083),
    [anon_sym_uint160] = ACTIONS(1083),
    [anon_sym_uint168] = ACTIONS(1083),
    [anon_sym_uint176] = ACTIONS(1083),
    [anon_sym_uint184] = ACTIONS(1083),
    [anon_sym_uint192] = ACTIONS(1083),
    [anon_sym_uint200] = ACTIONS(1083),
    [anon_sym_uint208] = ACTIONS(1083),
    [anon_sym_uint216] = ACTIONS(1083),
    [anon_sym_uint224] = ACTIONS(1083),
    [anon_sym_uint232] = ACTIONS(1083),
    [anon_sym_uint240] = ACTIONS(1083),
    [anon_sym_uint248] = ACTIONS(1083),
    [anon_sym_uint256] = ACTIONS(1083),
    [anon_sym_bytes] = ACTIONS(33),
    [anon_sym_bytes1] = ACTIONS(33),
    [anon_sym_bytes2] = ACTIONS(33),
    [anon_sym_bytes3] = ACTIONS(33),
    [anon_sym_bytes4] = ACTIONS(1083),
    [anon_sym_bytes5] = ACTIONS(1083),
    [anon_sym_bytes6] = ACTIONS(1083),
    [anon_sym_bytes7] = ACTIONS(1083),
    [anon_sym_bytes8] = ACTIONS(1083),
    [anon_sym_bytes9] = ACTIONS(1083),
    [anon_sym_bytes10] = ACTIONS(1083),
    [anon_sym_bytes11] = ACTIONS(1083),
    [anon_sym_bytes12] = ACTIONS(1083),
    [anon_sym_bytes13] = ACTIONS(1083),
    [anon_sym_bytes14] = ACTIONS(1083),
    [anon_sym_bytes15] = ACTIONS(1083),
    [anon_sym_bytes16] = ACTIONS(1083),
    [anon_sym_bytes17] = ACTIONS(1083),
    [anon_sym_bytes18] = ACTIONS(1083),
    [anon_sym_bytes19] = ACTIONS(1083),
    [anon_sym_bytes20] = ACTIONS(1083),
    [anon_sym_bytes21] = ACTIONS(1083),
    [anon_sym_bytes22] = ACTIONS(1083),
    [anon_sym_bytes23] = ACTIONS(1083),
    [anon_sym_bytes24] = ACTIONS(1083),
    [anon_sym_bytes25] = ACTIONS(1083),
    [anon_sym_bytes26] = ACTIONS(1083),
    [anon_sym_bytes27] = ACTIONS(1083),
    [anon_sym_bytes28] = ACTIONS(1083),
    [anon_sym_bytes29] = ACTIONS(1083),
    [anon_sym_bytes30] = ACTIONS(1083),
    [anon_sym_bytes31] = ACTIONS(1083),
    [anon_sym_bytes32] = ACTIONS(1083),
    [anon_sym_fixed] = ACTIONS(33),
    [aux_sym__fixed_token1] = ACTIONS(1083),
    [anon_sym_ufixed] = ACTIONS(33),
    [aux_sym__ufixed_token1] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_identifier] = ACTIONS(1085),
    [anon_sym_RBRACE] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1085),
    [anon_sym_byte] = ACTIONS(1085),
    [anon_sym_address] = ACTIONS(1085),
    [anon_sym_var] = ACTIONS(1085),
    [anon_sym_mapping] = ACTIONS(1085),
    [anon_sym_bool] = ACTIONS(1085),
    [anon_sym_string] = ACTIONS(1085),
    [anon_sym_int] = ACTIONS(1085),
    [anon_sym_int8] = ACTIONS(1085),
    [anon_sym_int16] = ACTIONS(1085),
    [anon_sym_int24] = ACTIONS(1085),
    [anon_sym_int32] = ACTIONS(1085),
    [anon_sym_int40] = ACTIONS(1085),
    [anon_sym_int48] = ACTIONS(1085),
    [anon_sym_int56] = ACTIONS(1085),
    [anon_sym_int64] = ACTIONS(1085),
    [anon_sym_int72] = ACTIONS(1085),
    [anon_sym_int80] = ACTIONS(1085),
    [anon_sym_int88] = ACTIONS(1085),
    [anon_sym_int96] = ACTIONS(1085),
    [anon_sym_int104] = ACTIONS(1085),
    [anon_sym_int112] = ACTIONS(1085),
    [anon_sym_int120] = ACTIONS(1085),
    [anon_sym_int128] = ACTIONS(1085),
    [anon_sym_int136] = ACTIONS(1085),
    [anon_sym_int144] = ACTIONS(1085),
    [anon_sym_int152] = ACTIONS(1085),
    [anon_sym_int160] = ACTIONS(1085),
    [anon_sym_int168] = ACTIONS(1085),
    [anon_sym_int176] = ACTIONS(1085),
    [anon_sym_int184] = ACTIONS(1085),
    [anon_sym_int192] = ACTIONS(1085),
    [anon_sym_int200] = ACTIONS(1085),
    [anon_sym_int208] = ACTIONS(1085),
    [anon_sym_int216] = ACTIONS(1085),
    [anon_sym_int224] = ACTIONS(1085),
    [anon_sym_int232] = ACTIONS(1085),
    [anon_sym_int240] = ACTIONS(1085),
    [anon_sym_int248] = ACTIONS(1085),
    [anon_sym_int256] = ACTIONS(1085),
    [anon_sym_uint] = ACTIONS(1085),
    [anon_sym_uint8] = ACTIONS(1085),
    [anon_sym_uint16] = ACTIONS(1085),
    [anon_sym_uint24] = ACTIONS(1085),
    [anon_sym_uint32] = ACTIONS(1085),
    [anon_sym_uint40] = ACTIONS(1085),
    [anon_sym_uint48] = ACTIONS(1085),
    [anon_sym_uint56] = ACTIONS(1085),
    [anon_sym_uint64] = ACTIONS(1085),
    [anon_sym_uint72] = ACTIONS(1085),
    [anon_sym_uint80] = ACTIONS(1085),
    [anon_sym_uint88] = ACTIONS(1085),
    [anon_sym_uint96] = ACTIONS(1085),
    [anon_sym_uint104] = ACTIONS(1085),
    [anon_sym_uint112] = ACTIONS(1085),
    [anon_sym_uint120] = ACTIONS(1085),
    [anon_sym_uint128] = ACTIONS(1085),
    [anon_sym_uint136] = ACTIONS(1085),
    [anon_sym_uint144] = ACTIONS(1085),
    [anon_sym_uint152] = ACTIONS(1085),
    [anon_sym_uint160] = ACTIONS(1085),
    [anon_sym_uint168] = ACTIONS(1085),
    [anon_sym_uint176] = ACTIONS(1085),
    [anon_sym_uint184] = ACTIONS(1085),
    [anon_sym_uint192] = ACTIONS(1085),
    [anon_sym_uint200] = ACTIONS(1085),
    [anon_sym_uint208] = ACTIONS(1085),
    [anon_sym_uint216] = ACTIONS(1085),
    [anon_sym_uint224] = ACTIONS(1085),
    [anon_sym_uint232] = ACTIONS(1085),
    [anon_sym_uint240] = ACTIONS(1085),
    [anon_sym_uint248] = ACTIONS(1085),
    [anon_sym_uint256] = ACTIONS(1085),
    [anon_sym_bytes] = ACTIONS(1085),
    [anon_sym_bytes1] = ACTIONS(1085),
    [anon_sym_bytes2] = ACTIONS(1085),
    [anon_sym_bytes3] = ACTIONS(1085),
    [anon_sym_bytes4] = ACTIONS(1085),
    [anon_sym_bytes5] = ACTIONS(1085),
    [anon_sym_bytes6] = ACTIONS(1085),
    [anon_sym_bytes7] = ACTIONS(1085),
    [anon_sym_bytes8] = ACTIONS(1085),
    [anon_sym_bytes9] = ACTIONS(1085),
    [anon_sym_bytes10] = ACTIONS(1085),
    [anon_sym_bytes11] = ACTIONS(1085),
    [anon_sym_bytes12] = ACTIONS(1085),
    [anon_sym_bytes13] = ACTIONS(1085),
    [anon_sym_bytes14] = ACTIONS(1085),
    [anon_sym_bytes15] = ACTIONS(1085),
    [anon_sym_bytes16] = ACTIONS(1085),
    [anon_sym_bytes17] = ACTIONS(1085),
    [anon_sym_bytes18] = ACTIONS(1085),
    [anon_sym_bytes19] = ACTIONS(1085),
    [anon_sym_bytes20] = ACTIONS(1085),
    [anon_sym_bytes21] = ACTIONS(1085),
    [anon_sym_bytes22] = ACTIONS(1085),
    [anon_sym_bytes23] = ACTIONS(1085),
    [anon_sym_bytes24] = ACTIONS(1085),
    [anon_sym_bytes25] = ACTIONS(1085),
    [anon_sym_bytes26] = ACTIONS(1085),
    [anon_sym_bytes27] = ACTIONS(1085),
    [anon_sym_bytes28] = ACTIONS(1085),
    [anon_sym_bytes29] = ACTIONS(1085),
    [anon_sym_bytes30] = ACTIONS(1085),
    [anon_sym_bytes31] = ACTIONS(1085),
    [anon_sym_bytes32] = ACTIONS(1085),
    [anon_sym_fixed] = ACTIONS(1085),
    [aux_sym__fixed_token1] = ACTIONS(1085),
    [anon_sym_ufixed] = ACTIONS(1085),
    [aux_sym__ufixed_token1] = ACTIONS(1085),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [aux_sym_yul_path_repeat1] = STATE(323),
    [sym_identifier] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1091),
    [anon_sym_COMMA] = ACTIONS(1091),
    [anon_sym_RBRACE] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_RPAREN] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1089),
    [anon_sym_COLON] = ACTIONS(1089),
    [sym_yul_leave] = ACTIONS(1089),
    [anon_sym_break] = ACTIONS(1089),
    [anon_sym_continue] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1095),
    [sym_yul_decimal_number] = ACTIONS(1089),
    [sym_yul_hex_number] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1089),
    [anon_sym_false] = ACTIONS(1089),
    [anon_sym_let] = ACTIONS(1089),
    [anon_sym_COLON_EQ] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_switch] = ACTIONS(1089),
    [anon_sym_default] = ACTIONS(1089),
    [anon_sym_case] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_stop] = ACTIONS(1089),
    [anon_sym_add] = ACTIONS(1089),
    [anon_sym_sub] = ACTIONS(1089),
    [anon_sym_mul] = ACTIONS(1089),
    [anon_sym_div] = ACTIONS(1089),
    [anon_sym_sdiv] = ACTIONS(1089),
    [anon_sym_mod] = ACTIONS(1089),
    [anon_sym_smod] = ACTIONS(1089),
    [anon_sym_exp] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1089),
    [anon_sym_lt] = ACTIONS(1089),
    [anon_sym_gt] = ACTIONS(1089),
    [anon_sym_slt] = ACTIONS(1089),
    [anon_sym_sgt] = ACTIONS(1089),
    [anon_sym_eq] = ACTIONS(1089),
    [anon_sym_iszero] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1089),
    [anon_sym_or] = ACTIONS(1089),
    [anon_sym_xor] = ACTIONS(1089),
    [anon_sym_byte] = ACTIONS(1089),
    [anon_sym_shl] = ACTIONS(1089),
    [anon_sym_shr] = ACTIONS(1089),
    [anon_sym_sar] = ACTIONS(1089),
    [anon_sym_addmod] = ACTIONS(1089),
    [anon_sym_mulmod] = ACTIONS(1089),
    [anon_sym_signextend] = ACTIONS(1089),
    [anon_sym_keccak256] = ACTIONS(1089),
    [anon_sym_pop] = ACTIONS(1089),
    [anon_sym_mload] = ACTIONS(1089),
    [anon_sym_mcopy] = ACTIONS(1089),
    [anon_sym_tload] = ACTIONS(1089),
    [anon_sym_tstore] = ACTIONS(1089),
    [anon_sym_mstore] = ACTIONS(1089),
    [anon_sym_mstore8] = ACTIONS(1089),
    [anon_sym_sload] = ACTIONS(1089),
    [anon_sym_sstore] = ACTIONS(1089),
    [anon_sym_msize] = ACTIONS(1089),
    [anon_sym_gas] = ACTIONS(1089),
    [anon_sym_address] = ACTIONS(1089),
    [anon_sym_balance] = ACTIONS(1089),
    [anon_sym_selfbalance] = ACTIONS(1089),
    [anon_sym_caller] = ACTIONS(1089),
    [anon_sym_callvalue] = ACTIONS(1089),
    [anon_sym_calldataload] = ACTIONS(1089),
    [anon_sym_calldatasize] = ACTIONS(1089),
    [anon_sym_calldatacopy] = ACTIONS(1089),
    [anon_sym_extcodesize] = ACTIONS(1089),
    [anon_sym_extcodecopy] = ACTIONS(1089),
    [anon_sym_returndatasize] = ACTIONS(1089),
    [anon_sym_returndatacopy] = ACTIONS(1089),
    [anon_sym_extcodehash] = ACTIONS(1089),
    [anon_sym_create] = ACTIONS(1089),
    [anon_sym_create2] = ACTIONS(1089),
    [anon_sym_call] = ACTIONS(1089),
    [anon_sym_callcode] = ACTIONS(1089),
    [anon_sym_delegatecall] = ACTIONS(1089),
    [anon_sym_staticcall] = ACTIONS(1089),
    [anon_sym_return] = ACTIONS(1089),
    [anon_sym_revert] = ACTIONS(1089),
    [anon_sym_selfdestruct] = ACTIONS(1089),
    [anon_sym_invalid] = ACTIONS(1089),
    [anon_sym_log0] = ACTIONS(1089),
    [anon_sym_log1] = ACTIONS(1089),
    [anon_sym_log2] = ACTIONS(1089),
    [anon_sym_log3] = ACTIONS(1089),
    [anon_sym_log4] = ACTIONS(1089),
    [anon_sym_chainid] = ACTIONS(1089),
    [anon_sym_origin] = ACTIONS(1089),
    [anon_sym_gasprice] = ACTIONS(1089),
    [anon_sym_blockhash] = ACTIONS(1089),
    [anon_sym_blobhash] = ACTIONS(1089),
    [anon_sym_basefee] = ACTIONS(1089),
    [anon_sym_blobfee] = ACTIONS(1089),
    [anon_sym_coinbase] = ACTIONS(1089),
    [anon_sym_timestamp] = ACTIONS(1089),
    [anon_sym_number] = ACTIONS(1089),
    [anon_sym_difficulty] = ACTIONS(1089),
    [anon_sym_gaslimit] = ACTIONS(1089),
    [anon_sym_hex] = ACTIONS(1089),
    [anon_sym_DQUOTE] = ACTIONS(1091),
    [anon_sym_SQUOTE] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [aux_sym_yul_path_repeat1] = STATE(325),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(1099),
    [anon_sym_RBRACE] = ACTIONS(1099),
    [anon_sym_RPAREN] = ACTIONS(1099),
    [anon_sym_for] = ACTIONS(1097),
    [anon_sym_COLON] = ACTIONS(1097),
    [sym_yul_leave] = ACTIONS(1097),
    [anon_sym_break] = ACTIONS(1097),
    [anon_sym_continue] = ACTIONS(1097),
    [anon_sym_DOT] = ACTIONS(1095),
    [sym_yul_decimal_number] = ACTIONS(1097),
    [sym_yul_hex_number] = ACTIONS(1099),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [anon_sym_let] = ACTIONS(1097),
    [anon_sym_COLON_EQ] = ACTIONS(1099),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_switch] = ACTIONS(1097),
    [anon_sym_default] = ACTIONS(1097),
    [anon_sym_case] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1097),
    [anon_sym_stop] = ACTIONS(1097),
    [anon_sym_add] = ACTIONS(1097),
    [anon_sym_sub] = ACTIONS(1097),
    [anon_sym_mul] = ACTIONS(1097),
    [anon_sym_div] = ACTIONS(1097),
    [anon_sym_sdiv] = ACTIONS(1097),
    [anon_sym_mod] = ACTIONS(1097),
    [anon_sym_smod] = ACTIONS(1097),
    [anon_sym_exp] = ACTIONS(1097),
    [anon_sym_not] = ACTIONS(1097),
    [anon_sym_lt] = ACTIONS(1097),
    [anon_sym_gt] = ACTIONS(1097),
    [anon_sym_slt] = ACTIONS(1097),
    [anon_sym_sgt] = ACTIONS(1097),
    [anon_sym_eq] = ACTIONS(1097),
    [anon_sym_iszero] = ACTIONS(1097),
    [anon_sym_and] = ACTIONS(1097),
    [anon_sym_or] = ACTIONS(1097),
    [anon_sym_xor] = ACTIONS(1097),
    [anon_sym_byte] = ACTIONS(1097),
    [anon_sym_shl] = ACTIONS(1097),
    [anon_sym_shr] = ACTIONS(1097),
    [anon_sym_sar] = ACTIONS(1097),
    [anon_sym_addmod] = ACTIONS(1097),
    [anon_sym_mulmod] = ACTIONS(1097),
    [anon_sym_signextend] = ACTIONS(1097),
    [anon_sym_keccak256] = ACTIONS(1097),
    [anon_sym_pop] = ACTIONS(1097),
    [anon_sym_mload] = ACTIONS(1097),
    [anon_sym_mcopy] = ACTIONS(1097),
    [anon_sym_tload] = ACTIONS(1097),
    [anon_sym_tstore] = ACTIONS(1097),
    [anon_sym_mstore] = ACTIONS(1097),
    [anon_sym_mstore8] = ACTIONS(1097),
    [anon_sym_sload] = ACTIONS(1097),
    [anon_sym_sstore] = ACTIONS(1097),
    [anon_sym_msize] = ACTIONS(1097),
    [anon_sym_gas] = ACTIONS(1097),
    [anon_sym_address] = ACTIONS(1097),
    [anon_sym_balance] = ACTIONS(1097),
    [anon_sym_selfbalance] = ACTIONS(1097),
    [anon_sym_caller] = ACTIONS(1097),
    [anon_sym_callvalue] = ACTIONS(1097),
    [anon_sym_calldataload] = ACTIONS(1097),
    [anon_sym_calldatasize] = ACTIONS(1097),
    [anon_sym_calldatacopy] = ACTIONS(1097),
    [anon_sym_extcodesize] = ACTIONS(1097),
    [anon_sym_extcodecopy] = ACTIONS(1097),
    [anon_sym_returndatasize] = ACTIONS(1097),
    [anon_sym_returndatacopy] = ACTIONS(1097),
    [anon_sym_extcodehash] = ACTIONS(1097),
    [anon_sym_create] = ACTIONS(1097),
    [anon_sym_create2] = ACTIONS(1097),
    [anon_sym_call] = ACTIONS(1097),
    [anon_sym_callcode] = ACTIONS(1097),
    [anon_sym_delegatecall] = ACTIONS(1097),
    [anon_sym_staticcall] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_revert] = ACTIONS(1097),
    [anon_sym_selfdestruct] = ACTIONS(1097),
    [anon_sym_invalid] = ACTIONS(1097),
    [anon_sym_log0] = ACTIONS(1097),
    [anon_sym_log1] = ACTIONS(1097),
    [anon_sym_log2] = ACTIONS(1097),
    [anon_sym_log3] = ACTIONS(1097),
    [anon_sym_log4] = ACTIONS(1097),
    [anon_sym_chainid] = ACTIONS(1097),
    [anon_sym_origin] = ACTIONS(1097),
    [anon_sym_gasprice] = ACTIONS(1097),
    [anon_sym_blockhash] = ACTIONS(1097),
    [anon_sym_blobhash] = ACTIONS(1097),
    [anon_sym_basefee] = ACTIONS(1097),
    [anon_sym_blobfee] = ACTIONS(1097),
    [anon_sym_coinbase] = ACTIONS(1097),
    [anon_sym_timestamp] = ACTIONS(1097),
    [anon_sym_number] = ACTIONS(1097),
    [anon_sym_difficulty] = ACTIONS(1097),
    [anon_sym_gaslimit] = ACTIONS(1097),
    [anon_sym_hex] = ACTIONS(1097),
    [anon_sym_DQUOTE] = ACTIONS(1099),
    [anon_sym_SQUOTE] = ACTIONS(1099),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(1103),
    [anon_sym_COMMA] = ACTIONS(1103),
    [anon_sym_RBRACE] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1103),
    [anon_sym_for] = ACTIONS(1101),
    [anon_sym_COLON] = ACTIONS(1101),
    [sym_yul_leave] = ACTIONS(1101),
    [anon_sym_break] = ACTIONS(1101),
    [anon_sym_continue] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [sym_yul_decimal_number] = ACTIONS(1101),
    [sym_yul_hex_number] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1101),
    [anon_sym_false] = ACTIONS(1101),
    [anon_sym_let] = ACTIONS(1101),
    [anon_sym_COLON_EQ] = ACTIONS(1103),
    [anon_sym_if] = ACTIONS(1101),
    [anon_sym_switch] = ACTIONS(1101),
    [anon_sym_default] = ACTIONS(1101),
    [anon_sym_case] = ACTIONS(1101),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_stop] = ACTIONS(1101),
    [anon_sym_add] = ACTIONS(1101),
    [anon_sym_sub] = ACTIONS(1101),
    [anon_sym_mul] = ACTIONS(1101),
    [anon_sym_div] = ACTIONS(1101),
    [anon_sym_sdiv] = ACTIONS(1101),
    [anon_sym_mod] = ACTIONS(1101),
    [anon_sym_smod] = ACTIONS(1101),
    [anon_sym_exp] = ACTIONS(1101),
    [anon_sym_not] = ACTIONS(1101),
    [anon_sym_lt] = ACTIONS(1101),
    [anon_sym_gt] = ACTIONS(1101),
    [anon_sym_slt] = ACTIONS(1101),
    [anon_sym_sgt] = ACTIONS(1101),
    [anon_sym_eq] = ACTIONS(1101),
    [anon_sym_iszero] = ACTIONS(1101),
    [anon_sym_and] = ACTIONS(1101),
    [anon_sym_or] = ACTIONS(1101),
    [anon_sym_xor] = ACTIONS(1101),
    [anon_sym_byte] = ACTIONS(1101),
    [anon_sym_shl] = ACTIONS(1101),
    [anon_sym_shr] = ACTIONS(1101),
    [anon_sym_sar] = ACTIONS(1101),
    [anon_sym_addmod] = ACTIONS(1101),
    [anon_sym_mulmod] = ACTIONS(1101),
    [anon_sym_signextend] = ACTIONS(1101),
    [anon_sym_keccak256] = ACTIONS(1101),
    [anon_sym_pop] = ACTIONS(1101),
    [anon_sym_mload] = ACTIONS(1101),
    [anon_sym_mcopy] = ACTIONS(1101),
    [anon_sym_tload] = ACTIONS(1101),
    [anon_sym_tstore] = ACTIONS(1101),
    [anon_sym_mstore] = ACTIONS(1101),
    [anon_sym_mstore8] = ACTIONS(1101),
    [anon_sym_sload] = ACTIONS(1101),
    [anon_sym_sstore] = ACTIONS(1101),
    [anon_sym_msize] = ACTIONS(1101),
    [anon_sym_gas] = ACTIONS(1101),
    [anon_sym_address] = ACTIONS(1101),
    [anon_sym_balance] = ACTIONS(1101),
    [anon_sym_selfbalance] = ACTIONS(1101),
    [anon_sym_caller] = ACTIONS(1101),
    [anon_sym_callvalue] = ACTIONS(1101),
    [anon_sym_calldataload] = ACTIONS(1101),
    [anon_sym_calldatasize] = ACTIONS(1101),
    [anon_sym_calldatacopy] = ACTIONS(1101),
    [anon_sym_extcodesize] = ACTIONS(1101),
    [anon_sym_extcodecopy] = ACTIONS(1101),
    [anon_sym_returndatasize] = ACTIONS(1101),
    [anon_sym_returndatacopy] = ACTIONS(1101),
    [anon_sym_extcodehash] = ACTIONS(1101),
    [anon_sym_create] = ACTIONS(1101),
    [anon_sym_create2] = ACTIONS(1101),
    [anon_sym_call] = ACTIONS(1101),
    [anon_sym_callcode] = ACTIONS(1101),
    [anon_sym_delegatecall] = ACTIONS(1101),
    [anon_sym_staticcall] = ACTIONS(1101),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_revert] = ACTIONS(1101),
    [anon_sym_selfdestruct] = ACTIONS(1101),
    [anon_sym_invalid] = ACTIONS(1101),
    [anon_sym_log0] = ACTIONS(1101),
    [anon_sym_log1] = ACTIONS(1101),
    [anon_sym_log2] = ACTIONS(1101),
    [anon_sym_log3] = ACTIONS(1101),
    [anon_sym_log4] = ACTIONS(1101),
    [anon_sym_chainid] = ACTIONS(1101),
    [anon_sym_origin] = ACTIONS(1101),
    [anon_sym_gasprice] = ACTIONS(1101),
    [anon_sym_blockhash] = ACTIONS(1101),
    [anon_sym_blobhash] = ACTIONS(1101),
    [anon_sym_basefee] = ACTIONS(1101),
    [anon_sym_blobfee] = ACTIONS(1101),
    [anon_sym_coinbase] = ACTIONS(1101),
    [anon_sym_timestamp] = ACTIONS(1101),
    [anon_sym_number] = ACTIONS(1101),
    [anon_sym_difficulty] = ACTIONS(1101),
    [anon_sym_gaslimit] = ACTIONS(1101),
    [anon_sym_hex] = ACTIONS(1101),
    [anon_sym_DQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [aux_sym_yul_path_repeat1] = STATE(325),
    [sym_identifier] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1107),
    [anon_sym_RBRACE] = ACTIONS(1107),
    [anon_sym_RPAREN] = ACTIONS(1107),
    [anon_sym_for] = ACTIONS(1105),
    [anon_sym_COLON] = ACTIONS(1105),
    [sym_yul_leave] = ACTIONS(1105),
    [anon_sym_break] = ACTIONS(1105),
    [anon_sym_continue] = ACTIONS(1105),
    [anon_sym_DOT] = ACTIONS(1109),
    [sym_yul_decimal_number] = ACTIONS(1105),
    [sym_yul_hex_number] = ACTIONS(1107),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [anon_sym_let] = ACTIONS(1105),
    [anon_sym_COLON_EQ] = ACTIONS(1107),
    [anon_sym_if] = ACTIONS(1105),
    [anon_sym_switch] = ACTIONS(1105),
    [anon_sym_default] = ACTIONS(1105),
    [anon_sym_case] = ACTIONS(1105),
    [anon_sym_function] = ACTIONS(1105),
    [anon_sym_stop] = ACTIONS(1105),
    [anon_sym_add] = ACTIONS(1105),
    [anon_sym_sub] = ACTIONS(1105),
    [anon_sym_mul] = ACTIONS(1105),
    [anon_sym_div] = ACTIONS(1105),
    [anon_sym_sdiv] = ACTIONS(1105),
    [anon_sym_mod] = ACTIONS(1105),
    [anon_sym_smod] = ACTIONS(1105),
    [anon_sym_exp] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1105),
    [anon_sym_lt] = ACTIONS(1105),
    [anon_sym_gt] = ACTIONS(1105),
    [anon_sym_slt] = ACTIONS(1105),
    [anon_sym_sgt] = ACTIONS(1105),
    [anon_sym_eq] = ACTIONS(1105),
    [anon_sym_iszero] = ACTIONS(1105),
    [anon_sym_and] = ACTIONS(1105),
    [anon_sym_or] = ACTIONS(1105),
    [anon_sym_xor] = ACTIONS(1105),
    [anon_sym_byte] = ACTIONS(1105),
    [anon_sym_shl] = ACTIONS(1105),
    [anon_sym_shr] = ACTIONS(1105),
    [anon_sym_sar] = ACTIONS(1105),
    [anon_sym_addmod] = ACTIONS(1105),
    [anon_sym_mulmod] = ACTIONS(1105),
    [anon_sym_signextend] = ACTIONS(1105),
    [anon_sym_keccak256] = ACTIONS(1105),
    [anon_sym_pop] = ACTIONS(1105),
    [anon_sym_mload] = ACTIONS(1105),
    [anon_sym_mcopy] = ACTIONS(1105),
    [anon_sym_tload] = ACTIONS(1105),
    [anon_sym_tstore] = ACTIONS(1105),
    [anon_sym_mstore] = ACTIONS(1105),
    [anon_sym_mstore8] = ACTIONS(1105),
    [anon_sym_sload] = ACTIONS(1105),
    [anon_sym_sstore] = ACTIONS(1105),
    [anon_sym_msize] = ACTIONS(1105),
    [anon_sym_gas] = ACTIONS(1105),
    [anon_sym_address] = ACTIONS(1105),
    [anon_sym_balance] = ACTIONS(1105),
    [anon_sym_selfbalance] = ACTIONS(1105),
    [anon_sym_caller] = ACTIONS(1105),
    [anon_sym_callvalue] = ACTIONS(1105),
    [anon_sym_calldataload] = ACTIONS(1105),
    [anon_sym_calldatasize] = ACTIONS(1105),
    [anon_sym_calldatacopy] = ACTIONS(1105),
    [anon_sym_extcodesize] = ACTIONS(1105),
    [anon_sym_extcodecopy] = ACTIONS(1105),
    [anon_sym_returndatasize] = ACTIONS(1105),
    [anon_sym_returndatacopy] = ACTIONS(1105),
    [anon_sym_extcodehash] = ACTIONS(1105),
    [anon_sym_create] = ACTIONS(1105),
    [anon_sym_create2] = ACTIONS(1105),
    [anon_sym_call] = ACTIONS(1105),
    [anon_sym_callcode] = ACTIONS(1105),
    [anon_sym_delegatecall] = ACTIONS(1105),
    [anon_sym_staticcall] = ACTIONS(1105),
    [anon_sym_return] = ACTIONS(1105),
    [anon_sym_revert] = ACTIONS(1105),
    [anon_sym_selfdestruct] = ACTIONS(1105),
    [anon_sym_invalid] = ACTIONS(1105),
    [anon_sym_log0] = ACTIONS(1105),
    [anon_sym_log1] = ACTIONS(1105),
    [anon_sym_log2] = ACTIONS(1105),
    [anon_sym_log3] = ACTIONS(1105),
    [anon_sym_log4] = ACTIONS(1105),
    [anon_sym_chainid] = ACTIONS(1105),
    [anon_sym_origin] = ACTIONS(1105),
    [anon_sym_gasprice] = ACTIONS(1105),
    [anon_sym_blockhash] = ACTIONS(1105),
    [anon_sym_blobhash] = ACTIONS(1105),
    [anon_sym_basefee] = ACTIONS(1105),
    [anon_sym_blobfee] = ACTIONS(1105),
    [anon_sym_coinbase] = ACTIONS(1105),
    [anon_sym_timestamp] = ACTIONS(1105),
    [anon_sym_number] = ACTIONS(1105),
    [anon_sym_difficulty] = ACTIONS(1105),
    [anon_sym_gaslimit] = ACTIONS(1105),
    [anon_sym_hex] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(1107),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [sym_identifier] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1107),
    [anon_sym_RBRACE] = ACTIONS(1107),
    [anon_sym_RPAREN] = ACTIONS(1107),
    [anon_sym_for] = ACTIONS(1105),
    [anon_sym_COLON] = ACTIONS(1105),
    [sym_yul_leave] = ACTIONS(1105),
    [anon_sym_break] = ACTIONS(1105),
    [anon_sym_continue] = ACTIONS(1105),
    [anon_sym_DOT] = ACTIONS(1107),
    [sym_yul_decimal_number] = ACTIONS(1105),
    [sym_yul_hex_number] = ACTIONS(1107),
    [anon_sym_true] = ACTIONS(1105),
    [anon_sym_false] = ACTIONS(1105),
    [anon_sym_let] = ACTIONS(1105),
    [anon_sym_COLON_EQ] = ACTIONS(1107),
    [anon_sym_if] = ACTIONS(1105),
    [anon_sym_switch] = ACTIONS(1105),
    [anon_sym_default] = ACTIONS(1105),
    [anon_sym_case] = ACTIONS(1105),
    [anon_sym_function] = ACTIONS(1105),
    [anon_sym_stop] = ACTIONS(1105),
    [anon_sym_add] = ACTIONS(1105),
    [anon_sym_sub] = ACTIONS(1105),
    [anon_sym_mul] = ACTIONS(1105),
    [anon_sym_div] = ACTIONS(1105),
    [anon_sym_sdiv] = ACTIONS(1105),
    [anon_sym_mod] = ACTIONS(1105),
    [anon_sym_smod] = ACTIONS(1105),
    [anon_sym_exp] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1105),
    [anon_sym_lt] = ACTIONS(1105),
    [anon_sym_gt] = ACTIONS(1105),
    [anon_sym_slt] = ACTIONS(1105),
    [anon_sym_sgt] = ACTIONS(1105),
    [anon_sym_eq] = ACTIONS(1105),
    [anon_sym_iszero] = ACTIONS(1105),
    [anon_sym_and] = ACTIONS(1105),
    [anon_sym_or] = ACTIONS(1105),
    [anon_sym_xor] = ACTIONS(1105),
    [anon_sym_byte] = ACTIONS(1105),
    [anon_sym_shl] = ACTIONS(1105),
    [anon_sym_shr] = ACTIONS(1105),
    [anon_sym_sar] = ACTIONS(1105),
    [anon_sym_addmod] = ACTIONS(1105),
    [anon_sym_mulmod] = ACTIONS(1105),
    [anon_sym_signextend] = ACTIONS(1105),
    [anon_sym_keccak256] = ACTIONS(1105),
    [anon_sym_pop] = ACTIONS(1105),
    [anon_sym_mload] = ACTIONS(1105),
    [anon_sym_mcopy] = ACTIONS(1105),
    [anon_sym_tload] = ACTIONS(1105),
    [anon_sym_tstore] = ACTIONS(1105),
    [anon_sym_mstore] = ACTIONS(1105),
    [anon_sym_mstore8] = ACTIONS(1105),
    [anon_sym_sload] = ACTIONS(1105),
    [anon_sym_sstore] = ACTIONS(1105),
    [anon_sym_msize] = ACTIONS(1105),
    [anon_sym_gas] = ACTIONS(1105),
    [anon_sym_address] = ACTIONS(1105),
    [anon_sym_balance] = ACTIONS(1105),
    [anon_sym_selfbalance] = ACTIONS(1105),
    [anon_sym_caller] = ACTIONS(1105),
    [anon_sym_callvalue] = ACTIONS(1105),
    [anon_sym_calldataload] = ACTIONS(1105),
    [anon_sym_calldatasize] = ACTIONS(1105),
    [anon_sym_calldatacopy] = ACTIONS(1105),
    [anon_sym_extcodesize] = ACTIONS(1105),
    [anon_sym_extcodecopy] = ACTIONS(1105),
    [anon_sym_returndatasize] = ACTIONS(1105),
    [anon_sym_returndatacopy] = ACTIONS(1105),
    [anon_sym_extcodehash] = ACTIONS(1105),
    [anon_sym_create] = ACTIONS(1105),
    [anon_sym_create2] = ACTIONS(1105),
    [anon_sym_call] = ACTIONS(1105),
    [anon_sym_callcode] = ACTIONS(1105),
    [anon_sym_delegatecall] = ACTIONS(1105),
    [anon_sym_staticcall] = ACTIONS(1105),
    [anon_sym_return] = ACTIONS(1105),
    [anon_sym_revert] = ACTIONS(1105),
    [anon_sym_selfdestruct] = ACTIONS(1105),
    [anon_sym_invalid] = ACTIONS(1105),
    [anon_sym_log0] = ACTIONS(1105),
    [anon_sym_log1] = ACTIONS(1105),
    [anon_sym_log2] = ACTIONS(1105),
    [anon_sym_log3] = ACTIONS(1105),
    [anon_sym_log4] = ACTIONS(1105),
    [anon_sym_chainid] = ACTIONS(1105),
    [anon_sym_origin] = ACTIONS(1105),
    [anon_sym_gasprice] = ACTIONS(1105),
    [anon_sym_blockhash] = ACTIONS(1105),
    [anon_sym_blobhash] = ACTIONS(1105),
    [anon_sym_basefee] = ACTIONS(1105),
    [anon_sym_blobfee] = ACTIONS(1105),
    [anon_sym_coinbase] = ACTIONS(1105),
    [anon_sym_timestamp] = ACTIONS(1105),
    [anon_sym_number] = ACTIONS(1105),
    [anon_sym_difficulty] = ACTIONS(1105),
    [anon_sym_gaslimit] = ACTIONS(1105),
    [anon_sym_hex] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(1107),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym_yul_identifier] = STATE(330),
    [sym_yul_path] = STATE(343),
    [sym__yul_assignment_operator] = STATE(404),
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1116),
    [sym_yul_leave] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [sym_yul_decimal_number] = ACTIONS(1112),
    [sym_yul_hex_number] = ACTIONS(1114),
    [anon_sym_true] = ACTIONS(1112),
    [anon_sym_false] = ACTIONS(1112),
    [anon_sym_let] = ACTIONS(1112),
    [anon_sym_COLON_EQ] = ACTIONS(1118),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_function] = ACTIONS(1112),
    [anon_sym_stop] = ACTIONS(1112),
    [anon_sym_add] = ACTIONS(1112),
    [anon_sym_sub] = ACTIONS(1112),
    [anon_sym_mul] = ACTIONS(1112),
    [anon_sym_div] = ACTIONS(1112),
    [anon_sym_sdiv] = ACTIONS(1112),
    [anon_sym_mod] = ACTIONS(1112),
    [anon_sym_smod] = ACTIONS(1112),
    [anon_sym_exp] = ACTIONS(1112),
    [anon_sym_not] = ACTIONS(1112),
    [anon_sym_lt] = ACTIONS(1112),
    [anon_sym_gt] = ACTIONS(1112),
    [anon_sym_slt] = ACTIONS(1112),
    [anon_sym_sgt] = ACTIONS(1112),
    [anon_sym_eq] = ACTIONS(1112),
    [anon_sym_iszero] = ACTIONS(1112),
    [anon_sym_and] = ACTIONS(1112),
    [anon_sym_or] = ACTIONS(1112),
    [anon_sym_xor] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_shl] = ACTIONS(1112),
    [anon_sym_shr] = ACTIONS(1112),
    [anon_sym_sar] = ACTIONS(1112),
    [anon_sym_addmod] = ACTIONS(1112),
    [anon_sym_mulmod] = ACTIONS(1112),
    [anon_sym_signextend] = ACTIONS(1112),
    [anon_sym_keccak256] = ACTIONS(1112),
    [anon_sym_pop] = ACTIONS(1112),
    [anon_sym_mload] = ACTIONS(1112),
    [anon_sym_mcopy] = ACTIONS(1112),
    [anon_sym_tload] = ACTIONS(1112),
    [anon_sym_tstore] = ACTIONS(1112),
    [anon_sym_mstore] = ACTIONS(1112),
    [anon_sym_mstore8] = ACTIONS(1112),
    [anon_sym_sload] = ACTIONS(1112),
    [anon_sym_sstore] = ACTIONS(1112),
    [anon_sym_msize] = ACTIONS(1112),
    [anon_sym_gas] = ACTIONS(1112),
    [anon_sym_address] = ACTIONS(1112),
    [anon_sym_balance] = ACTIONS(1112),
    [anon_sym_selfbalance] = ACTIONS(1112),
    [anon_sym_caller] = ACTIONS(1112),
    [anon_sym_callvalue] = ACTIONS(1112),
    [anon_sym_calldataload] = ACTIONS(1112),
    [anon_sym_calldatasize] = ACTIONS(1112),
    [anon_sym_calldatacopy] = ACTIONS(1112),
    [anon_sym_extcodesize] = ACTIONS(1112),
    [anon_sym_extcodecopy] = ACTIONS(1112),
    [anon_sym_returndatasize] = ACTIONS(1112),
    [anon_sym_returndatacopy] = ACTIONS(1112),
    [anon_sym_extcodehash] = ACTIONS(1112),
    [anon_sym_create] = ACTIONS(1112),
    [anon_sym_create2] = ACTIONS(1112),
    [anon_sym_call] = ACTIONS(1112),
    [anon_sym_callcode] = ACTIONS(1112),
    [anon_sym_delegatecall] = ACTIONS(1112),
    [anon_sym_staticcall] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_revert] = ACTIONS(1112),
    [anon_sym_selfdestruct] = ACTIONS(1112),
    [anon_sym_invalid] = ACTIONS(1112),
    [anon_sym_log0] = ACTIONS(1112),
    [anon_sym_log1] = ACTIONS(1112),
    [anon_sym_log2] = ACTIONS(1112),
    [anon_sym_log3] = ACTIONS(1112),
    [anon_sym_log4] = ACTIONS(1112),
    [anon_sym_chainid] = ACTIONS(1112),
    [anon_sym_origin] = ACTIONS(1112),
    [anon_sym_gasprice] = ACTIONS(1112),
    [anon_sym_blockhash] = ACTIONS(1112),
    [anon_sym_blobhash] = ACTIONS(1112),
    [anon_sym_basefee] = ACTIONS(1112),
    [anon_sym_blobfee] = ACTIONS(1112),
    [anon_sym_coinbase] = ACTIONS(1112),
    [anon_sym_timestamp] = ACTIONS(1112),
    [anon_sym_number] = ACTIONS(1112),
    [anon_sym_difficulty] = ACTIONS(1112),
    [anon_sym_gaslimit] = ACTIONS(1112),
    [anon_sym_hex] = ACTIONS(1112),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [sym__yul_assignment_operator] = STATE(358),
    [aux_sym_yul_assignment_repeat1] = STATE(332),
    [sym_identifier] = ACTIONS(1120),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_COMMA] = ACTIONS(1124),
    [anon_sym_RBRACE] = ACTIONS(1122),
    [anon_sym_for] = ACTIONS(1120),
    [anon_sym_COLON] = ACTIONS(1116),
    [sym_yul_leave] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_continue] = ACTIONS(1120),
    [sym_yul_decimal_number] = ACTIONS(1120),
    [sym_yul_hex_number] = ACTIONS(1122),
    [anon_sym_true] = ACTIONS(1120),
    [anon_sym_false] = ACTIONS(1120),
    [anon_sym_let] = ACTIONS(1120),
    [anon_sym_COLON_EQ] = ACTIONS(1126),
    [anon_sym_if] = ACTIONS(1120),
    [anon_sym_switch] = ACTIONS(1120),
    [anon_sym_function] = ACTIONS(1120),
    [anon_sym_stop] = ACTIONS(1120),
    [anon_sym_add] = ACTIONS(1120),
    [anon_sym_sub] = ACTIONS(1120),
    [anon_sym_mul] = ACTIONS(1120),
    [anon_sym_div] = ACTIONS(1120),
    [anon_sym_sdiv] = ACTIONS(1120),
    [anon_sym_mod] = ACTIONS(1120),
    [anon_sym_smod] = ACTIONS(1120),
    [anon_sym_exp] = ACTIONS(1120),
    [anon_sym_not] = ACTIONS(1120),
    [anon_sym_lt] = ACTIONS(1120),
    [anon_sym_gt] = ACTIONS(1120),
    [anon_sym_slt] = ACTIONS(1120),
    [anon_sym_sgt] = ACTIONS(1120),
    [anon_sym_eq] = ACTIONS(1120),
    [anon_sym_iszero] = ACTIONS(1120),
    [anon_sym_and] = ACTIONS(1120),
    [anon_sym_or] = ACTIONS(1120),
    [anon_sym_xor] = ACTIONS(1120),
    [anon_sym_byte] = ACTIONS(1120),
    [anon_sym_shl] = ACTIONS(1120),
    [anon_sym_shr] = ACTIONS(1120),
    [anon_sym_sar] = ACTIONS(1120),
    [anon_sym_addmod] = ACTIONS(1120),
    [anon_sym_mulmod] = ACTIONS(1120),
    [anon_sym_signextend] = ACTIONS(1120),
    [anon_sym_keccak256] = ACTIONS(1120),
    [anon_sym_pop] = ACTIONS(1120),
    [anon_sym_mload] = ACTIONS(1120),
    [anon_sym_mcopy] = ACTIONS(1120),
    [anon_sym_tload] = ACTIONS(1120),
    [anon_sym_tstore] = ACTIONS(1120),
    [anon_sym_mstore] = ACTIONS(1120),
    [anon_sym_mstore8] = ACTIONS(1120),
    [anon_sym_sload] = ACTIONS(1120),
    [anon_sym_sstore] = ACTIONS(1120),
    [anon_sym_msize] = ACTIONS(1120),
    [anon_sym_gas] = ACTIONS(1120),
    [anon_sym_address] = ACTIONS(1120),
    [anon_sym_balance] = ACTIONS(1120),
    [anon_sym_selfbalance] = ACTIONS(1120),
    [anon_sym_caller] = ACTIONS(1120),
    [anon_sym_callvalue] = ACTIONS(1120),
    [anon_sym_calldataload] = ACTIONS(1120),
    [anon_sym_calldatasize] = ACTIONS(1120),
    [anon_sym_calldatacopy] = ACTIONS(1120),
    [anon_sym_extcodesize] = ACTIONS(1120),
    [anon_sym_extcodecopy] = ACTIONS(1120),
    [anon_sym_returndatasize] = ACTIONS(1120),
    [anon_sym_returndatacopy] = ACTIONS(1120),
    [anon_sym_extcodehash] = ACTIONS(1120),
    [anon_sym_create] = ACTIONS(1120),
    [anon_sym_create2] = ACTIONS(1120),
    [anon_sym_call] = ACTIONS(1120),
    [anon_sym_callcode] = ACTIONS(1120),
    [anon_sym_delegatecall] = ACTIONS(1120),
    [anon_sym_staticcall] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1120),
    [anon_sym_revert] = ACTIONS(1120),
    [anon_sym_selfdestruct] = ACTIONS(1120),
    [anon_sym_invalid] = ACTIONS(1120),
    [anon_sym_log0] = ACTIONS(1120),
    [anon_sym_log1] = ACTIONS(1120),
    [anon_sym_log2] = ACTIONS(1120),
    [anon_sym_log3] = ACTIONS(1120),
    [anon_sym_log4] = ACTIONS(1120),
    [anon_sym_chainid] = ACTIONS(1120),
    [anon_sym_origin] = ACTIONS(1120),
    [anon_sym_gasprice] = ACTIONS(1120),
    [anon_sym_blockhash] = ACTIONS(1120),
    [anon_sym_blobhash] = ACTIONS(1120),
    [anon_sym_basefee] = ACTIONS(1120),
    [anon_sym_blobfee] = ACTIONS(1120),
    [anon_sym_coinbase] = ACTIONS(1120),
    [anon_sym_timestamp] = ACTIONS(1120),
    [anon_sym_number] = ACTIONS(1120),
    [anon_sym_difficulty] = ACTIONS(1120),
    [anon_sym_gaslimit] = ACTIONS(1120),
    [anon_sym_hex] = ACTIONS(1120),
    [anon_sym_DQUOTE] = ACTIONS(1122),
    [anon_sym_SQUOTE] = ACTIONS(1122),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [sym_identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_COMMA] = ACTIONS(1130),
    [anon_sym_RBRACE] = ACTIONS(1130),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_RPAREN] = ACTIONS(1130),
    [anon_sym_for] = ACTIONS(1128),
    [sym_yul_leave] = ACTIONS(1128),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1128),
    [sym_yul_decimal_number] = ACTIONS(1128),
    [sym_yul_hex_number] = ACTIONS(1130),
    [anon_sym_true] = ACTIONS(1128),
    [anon_sym_false] = ACTIONS(1128),
    [anon_sym_let] = ACTIONS(1128),
    [anon_sym_if] = ACTIONS(1128),
    [anon_sym_switch] = ACTIONS(1128),
    [anon_sym_default] = ACTIONS(1128),
    [anon_sym_case] = ACTIONS(1128),
    [anon_sym_function] = ACTIONS(1128),
    [anon_sym_stop] = ACTIONS(1128),
    [anon_sym_add] = ACTIONS(1128),
    [anon_sym_sub] = ACTIONS(1128),
    [anon_sym_mul] = ACTIONS(1128),
    [anon_sym_div] = ACTIONS(1128),
    [anon_sym_sdiv] = ACTIONS(1128),
    [anon_sym_mod] = ACTIONS(1128),
    [anon_sym_smod] = ACTIONS(1128),
    [anon_sym_exp] = ACTIONS(1128),
    [anon_sym_not] = ACTIONS(1128),
    [anon_sym_lt] = ACTIONS(1128),
    [anon_sym_gt] = ACTIONS(1128),
    [anon_sym_slt] = ACTIONS(1128),
    [anon_sym_sgt] = ACTIONS(1128),
    [anon_sym_eq] = ACTIONS(1128),
    [anon_sym_iszero] = ACTIONS(1128),
    [anon_sym_and] = ACTIONS(1128),
    [anon_sym_or] = ACTIONS(1128),
    [anon_sym_xor] = ACTIONS(1128),
    [anon_sym_byte] = ACTIONS(1128),
    [anon_sym_shl] = ACTIONS(1128),
    [anon_sym_shr] = ACTIONS(1128),
    [anon_sym_sar] = ACTIONS(1128),
    [anon_sym_addmod] = ACTIONS(1128),
    [anon_sym_mulmod] = ACTIONS(1128),
    [anon_sym_signextend] = ACTIONS(1128),
    [anon_sym_keccak256] = ACTIONS(1128),
    [anon_sym_pop] = ACTIONS(1128),
    [anon_sym_mload] = ACTIONS(1128),
    [anon_sym_mcopy] = ACTIONS(1128),
    [anon_sym_tload] = ACTIONS(1128),
    [anon_sym_tstore] = ACTIONS(1128),
    [anon_sym_mstore] = ACTIONS(1128),
    [anon_sym_mstore8] = ACTIONS(1128),
    [anon_sym_sload] = ACTIONS(1128),
    [anon_sym_sstore] = ACTIONS(1128),
    [anon_sym_msize] = ACTIONS(1128),
    [anon_sym_gas] = ACTIONS(1128),
    [anon_sym_address] = ACTIONS(1128),
    [anon_sym_balance] = ACTIONS(1128),
    [anon_sym_selfbalance] = ACTIONS(1128),
    [anon_sym_caller] = ACTIONS(1128),
    [anon_sym_callvalue] = ACTIONS(1128),
    [anon_sym_calldataload] = ACTIONS(1128),
    [anon_sym_calldatasize] = ACTIONS(1128),
    [anon_sym_calldatacopy] = ACTIONS(1128),
    [anon_sym_extcodesize] = ACTIONS(1128),
    [anon_sym_extcodecopy] = ACTIONS(1128),
    [anon_sym_returndatasize] = ACTIONS(1128),
    [anon_sym_returndatacopy] = ACTIONS(1128),
    [anon_sym_extcodehash] = ACTIONS(1128),
    [anon_sym_create] = ACTIONS(1128),
    [anon_sym_create2] = ACTIONS(1128),
    [anon_sym_call] = ACTIONS(1128),
    [anon_sym_callcode] = ACTIONS(1128),
    [anon_sym_delegatecall] = ACTIONS(1128),
    [anon_sym_staticcall] = ACTIONS(1128),
    [anon_sym_return] = ACTIONS(1128),
    [anon_sym_revert] = ACTIONS(1128),
    [anon_sym_selfdestruct] = ACTIONS(1128),
    [anon_sym_invalid] = ACTIONS(1128),
    [anon_sym_log0] = ACTIONS(1128),
    [anon_sym_log1] = ACTIONS(1128),
    [anon_sym_log2] = ACTIONS(1128),
    [anon_sym_log3] = ACTIONS(1128),
    [anon_sym_log4] = ACTIONS(1128),
    [anon_sym_chainid] = ACTIONS(1128),
    [anon_sym_origin] = ACTIONS(1128),
    [anon_sym_gasprice] = ACTIONS(1128),
    [anon_sym_blockhash] = ACTIONS(1128),
    [anon_sym_blobhash] = ACTIONS(1128),
    [anon_sym_basefee] = ACTIONS(1128),
    [anon_sym_blobfee] = ACTIONS(1128),
    [anon_sym_coinbase] = ACTIONS(1128),
    [anon_sym_timestamp] = ACTIONS(1128),
    [anon_sym_number] = ACTIONS(1128),
    [anon_sym_difficulty] = ACTIONS(1128),
    [anon_sym_gaslimit] = ACTIONS(1128),
    [anon_sym_hex] = ACTIONS(1128),
    [anon_sym_DQUOTE] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1130),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [aux_sym_yul_path_repeat1] = STATE(323),
    [sym_identifier] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1091),
    [anon_sym_COMMA] = ACTIONS(1091),
    [anon_sym_RBRACE] = ACTIONS(1091),
    [anon_sym_for] = ACTIONS(1089),
    [anon_sym_COLON] = ACTIONS(1089),
    [sym_yul_leave] = ACTIONS(1089),
    [anon_sym_break] = ACTIONS(1089),
    [anon_sym_continue] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1095),
    [sym_yul_decimal_number] = ACTIONS(1089),
    [sym_yul_hex_number] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1089),
    [anon_sym_false] = ACTIONS(1089),
    [anon_sym_let] = ACTIONS(1089),
    [anon_sym_COLON_EQ] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_switch] = ACTIONS(1089),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_stop] = ACTIONS(1089),
    [anon_sym_add] = ACTIONS(1089),
    [anon_sym_sub] = ACTIONS(1089),
    [anon_sym_mul] = ACTIONS(1089),
    [anon_sym_div] = ACTIONS(1089),
    [anon_sym_sdiv] = ACTIONS(1089),
    [anon_sym_mod] = ACTIONS(1089),
    [anon_sym_smod] = ACTIONS(1089),
    [anon_sym_exp] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1089),
    [anon_sym_lt] = ACTIONS(1089),
    [anon_sym_gt] = ACTIONS(1089),
    [anon_sym_slt] = ACTIONS(1089),
    [anon_sym_sgt] = ACTIONS(1089),
    [anon_sym_eq] = ACTIONS(1089),
    [anon_sym_iszero] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1089),
    [anon_sym_or] = ACTIONS(1089),
    [anon_sym_xor] = ACTIONS(1089),
    [anon_sym_byte] = ACTIONS(1089),
    [anon_sym_shl] = ACTIONS(1089),
    [anon_sym_shr] = ACTIONS(1089),
    [anon_sym_sar] = ACTIONS(1089),
    [anon_sym_addmod] = ACTIONS(1089),
    [anon_sym_mulmod] = ACTIONS(1089),
    [anon_sym_signextend] = ACTIONS(1089),
    [anon_sym_keccak256] = ACTIONS(1089),
    [anon_sym_pop] = ACTIONS(1089),
    [anon_sym_mload] = ACTIONS(1089),
    [anon_sym_mcopy] = ACTIONS(1089),
    [anon_sym_tload] = ACTIONS(1089),
    [anon_sym_tstore] = ACTIONS(1089),
    [anon_sym_mstore] = ACTIONS(1089),
    [anon_sym_mstore8] = ACTIONS(1089),
    [anon_sym_sload] = ACTIONS(1089),
    [anon_sym_sstore] = ACTIONS(1089),
    [anon_sym_msize] = ACTIONS(1089),
    [anon_sym_gas] = ACTIONS(1089),
    [anon_sym_address] = ACTIONS(1089),
    [anon_sym_balance] = ACTIONS(1089),
    [anon_sym_selfbalance] = ACTIONS(1089),
    [anon_sym_caller] = ACTIONS(1089),
    [anon_sym_callvalue] = ACTIONS(1089),
    [anon_sym_calldataload] = ACTIONS(1089),
    [anon_sym_calldatasize] = ACTIONS(1089),
    [anon_sym_calldatacopy] = ACTIONS(1089),
    [anon_sym_extcodesize] = ACTIONS(1089),
    [anon_sym_extcodecopy] = ACTIONS(1089),
    [anon_sym_returndatasize] = ACTIONS(1089),
    [anon_sym_returndatacopy] = ACTIONS(1089),
    [anon_sym_extcodehash] = ACTIONS(1089),
    [anon_sym_create] = ACTIONS(1089),
    [anon_sym_create2] = ACTIONS(1089),
    [anon_sym_call] = ACTIONS(1089),
    [anon_sym_callcode] = ACTIONS(1089),
    [anon_sym_delegatecall] = ACTIONS(1089),
    [anon_sym_staticcall] = ACTIONS(1089),
    [anon_sym_return] = ACTIONS(1089),
    [anon_sym_revert] = ACTIONS(1089),
    [anon_sym_selfdestruct] = ACTIONS(1089),
    [anon_sym_invalid] = ACTIONS(1089),
    [anon_sym_log0] = ACTIONS(1089),
    [anon_sym_log1] = ACTIONS(1089),
    [anon_sym_log2] = ACTIONS(1089),
    [anon_sym_log3] = ACTIONS(1089),
    [anon_sym_log4] = ACTIONS(1089),
    [anon_sym_chainid] = ACTIONS(1089),
    [anon_sym_origin] = ACTIONS(1089),
    [anon_sym_gasprice] = ACTIONS(1089),
    [anon_sym_blockhash] = ACTIONS(1089),
    [anon_sym_blobhash] = ACTIONS(1089),
    [anon_sym_basefee] = ACTIONS(1089),
    [anon_sym_blobfee] = ACTIONS(1089),
    [anon_sym_coinbase] = ACTIONS(1089),
    [anon_sym_timestamp] = ACTIONS(1089),
    [anon_sym_number] = ACTIONS(1089),
    [anon_sym_difficulty] = ACTIONS(1089),
    [anon_sym_gaslimit] = ACTIONS(1089),
    [anon_sym_hex] = ACTIONS(1089),
    [anon_sym_DQUOTE] = ACTIONS(1091),
    [anon_sym_SQUOTE] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [sym_yul_identifier] = STATE(330),
    [sym_yul_path] = STATE(343),
    [sym__yul_assignment_operator] = STATE(401),
    [sym_identifier] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1134),
    [anon_sym_for] = ACTIONS(1132),
    [anon_sym_COLON] = ACTIONS(1116),
    [sym_yul_leave] = ACTIONS(1132),
    [anon_sym_break] = ACTIONS(1132),
    [anon_sym_continue] = ACTIONS(1132),
    [sym_yul_decimal_number] = ACTIONS(1132),
    [sym_yul_hex_number] = ACTIONS(1134),
    [anon_sym_true] = ACTIONS(1132),
    [anon_sym_false] = ACTIONS(1132),
    [anon_sym_let] = ACTIONS(1132),
    [anon_sym_COLON_EQ] = ACTIONS(1136),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_switch] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(1132),
    [anon_sym_stop] = ACTIONS(1132),
    [anon_sym_add] = ACTIONS(1132),
    [anon_sym_sub] = ACTIONS(1132),
    [anon_sym_mul] = ACTIONS(1132),
    [anon_sym_div] = ACTIONS(1132),
    [anon_sym_sdiv] = ACTIONS(1132),
    [anon_sym_mod] = ACTIONS(1132),
    [anon_sym_smod] = ACTIONS(1132),
    [anon_sym_exp] = ACTIONS(1132),
    [anon_sym_not] = ACTIONS(1132),
    [anon_sym_lt] = ACTIONS(1132),
    [anon_sym_gt] = ACTIONS(1132),
    [anon_sym_slt] = ACTIONS(1132),
    [anon_sym_sgt] = ACTIONS(1132),
    [anon_sym_eq] = ACTIONS(1132),
    [anon_sym_iszero] = ACTIONS(1132),
    [anon_sym_and] = ACTIONS(1132),
    [anon_sym_or] = ACTIONS(1132),
    [anon_sym_xor] = ACTIONS(1132),
    [anon_sym_byte] = ACTIONS(1132),
    [anon_sym_shl] = ACTIONS(1132),
    [anon_sym_shr] = ACTIONS(1132),
    [anon_sym_sar] = ACTIONS(1132),
    [anon_sym_addmod] = ACTIONS(1132),
    [anon_sym_mulmod] = ACTIONS(1132),
    [anon_sym_signextend] = ACTIONS(1132),
    [anon_sym_keccak256] = ACTIONS(1132),
    [anon_sym_pop] = ACTIONS(1132),
    [anon_sym_mload] = ACTIONS(1132),
    [anon_sym_mcopy] = ACTIONS(1132),
    [anon_sym_tload] = ACTIONS(1132),
    [anon_sym_tstore] = ACTIONS(1132),
    [anon_sym_mstore] = ACTIONS(1132),
    [anon_sym_mstore8] = ACTIONS(1132),
    [anon_sym_sload] = ACTIONS(1132),
    [anon_sym_sstore] = ACTIONS(1132),
    [anon_sym_msize] = ACTIONS(1132),
    [anon_sym_gas] = ACTIONS(1132),
    [anon_sym_address] = ACTIONS(1132),
    [anon_sym_balance] = ACTIONS(1132),
    [anon_sym_selfbalance] = ACTIONS(1132),
    [anon_sym_caller] = ACTIONS(1132),
    [anon_sym_callvalue] = ACTIONS(1132),
    [anon_sym_calldataload] = ACTIONS(1132),
    [anon_sym_calldatasize] = ACTIONS(1132),
    [anon_sym_calldatacopy] = ACTIONS(1132),
    [anon_sym_extcodesize] = ACTIONS(1132),
    [anon_sym_extcodecopy] = ACTIONS(1132),
    [anon_sym_returndatasize] = ACTIONS(1132),
    [anon_sym_returndatacopy] = ACTIONS(1132),
    [anon_sym_extcodehash] = ACTIONS(1132),
    [anon_sym_create] = ACTIONS(1132),
    [anon_sym_create2] = ACTIONS(1132),
    [anon_sym_call] = ACTIONS(1132),
    [anon_sym_callcode] = ACTIONS(1132),
    [anon_sym_delegatecall] = ACTIONS(1132),
    [anon_sym_staticcall] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1132),
    [anon_sym_revert] = ACTIONS(1132),
    [anon_sym_selfdestruct] = ACTIONS(1132),
    [anon_sym_invalid] = ACTIONS(1132),
    [anon_sym_log0] = ACTIONS(1132),
    [anon_sym_log1] = ACTIONS(1132),
    [anon_sym_log2] = ACTIONS(1132),
    [anon_sym_log3] = ACTIONS(1132),
    [anon_sym_log4] = ACTIONS(1132),
    [anon_sym_chainid] = ACTIONS(1132),
    [anon_sym_origin] = ACTIONS(1132),
    [anon_sym_gasprice] = ACTIONS(1132),
    [anon_sym_blockhash] = ACTIONS(1132),
    [anon_sym_blobhash] = ACTIONS(1132),
    [anon_sym_basefee] = ACTIONS(1132),
    [anon_sym_blobfee] = ACTIONS(1132),
    [anon_sym_coinbase] = ACTIONS(1132),
    [anon_sym_timestamp] = ACTIONS(1132),
    [anon_sym_number] = ACTIONS(1132),
    [anon_sym_difficulty] = ACTIONS(1132),
    [anon_sym_gaslimit] = ACTIONS(1132),
    [anon_sym_hex] = ACTIONS(1132),
    [anon_sym_DQUOTE] = ACTIONS(1134),
    [anon_sym_SQUOTE] = ACTIONS(1134),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [sym__yul_assignment_operator] = STATE(401),
    [aux_sym_yul_assignment_repeat1] = STATE(337),
    [sym_identifier] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_COMMA] = ACTIONS(1138),
    [anon_sym_RBRACE] = ACTIONS(1134),
    [anon_sym_for] = ACTIONS(1132),
    [anon_sym_COLON] = ACTIONS(1116),
    [sym_yul_leave] = ACTIONS(1132),
    [anon_sym_break] = ACTIONS(1132),
    [anon_sym_continue] = ACTIONS(1132),
    [sym_yul_decimal_number] = ACTIONS(1132),
    [sym_yul_hex_number] = ACTIONS(1134),
    [anon_sym_true] = ACTIONS(1132),
    [anon_sym_false] = ACTIONS(1132),
    [anon_sym_let] = ACTIONS(1132),
    [anon_sym_COLON_EQ] = ACTIONS(1136),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_switch] = ACTIONS(1132),
    [anon_sym_function] = ACTIONS(1132),
    [anon_sym_stop] = ACTIONS(1132),
    [anon_sym_add] = ACTIONS(1132),
    [anon_sym_sub] = ACTIONS(1132),
    [anon_sym_mul] = ACTIONS(1132),
    [anon_sym_div] = ACTIONS(1132),
    [anon_sym_sdiv] = ACTIONS(1132),
    [anon_sym_mod] = ACTIONS(1132),
    [anon_sym_smod] = ACTIONS(1132),
    [anon_sym_exp] = ACTIONS(1132),
    [anon_sym_not] = ACTIONS(1132),
    [anon_sym_lt] = ACTIONS(1132),
    [anon_sym_gt] = ACTIONS(1132),
    [anon_sym_slt] = ACTIONS(1132),
    [anon_sym_sgt] = ACTIONS(1132),
    [anon_sym_eq] = ACTIONS(1132),
    [anon_sym_iszero] = ACTIONS(1132),
    [anon_sym_and] = ACTIONS(1132),
    [anon_sym_or] = ACTIONS(1132),
    [anon_sym_xor] = ACTIONS(1132),
    [anon_sym_byte] = ACTIONS(1132),
    [anon_sym_shl] = ACTIONS(1132),
    [anon_sym_shr] = ACTIONS(1132),
    [anon_sym_sar] = ACTIONS(1132),
    [anon_sym_addmod] = ACTIONS(1132),
    [anon_sym_mulmod] = ACTIONS(1132),
    [anon_sym_signextend] = ACTIONS(1132),
    [anon_sym_keccak256] = ACTIONS(1132),
    [anon_sym_pop] = ACTIONS(1132),
    [anon_sym_mload] = ACTIONS(1132),
    [anon_sym_mcopy] = ACTIONS(1132),
    [anon_sym_tload] = ACTIONS(1132),
    [anon_sym_tstore] = ACTIONS(1132),
    [anon_sym_mstore] = ACTIONS(1132),
    [anon_sym_mstore8] = ACTIONS(1132),
    [anon_sym_sload] = ACTIONS(1132),
    [anon_sym_sstore] = ACTIONS(1132),
    [anon_sym_msize] = ACTIONS(1132),
    [anon_sym_gas] = ACTIONS(1132),
    [anon_sym_address] = ACTIONS(1132),
    [anon_sym_balance] = ACTIONS(1132),
    [anon_sym_selfbalance] = ACTIONS(1132),
    [anon_sym_caller] = ACTIONS(1132),
    [anon_sym_callvalue] = ACTIONS(1132),
    [anon_sym_calldataload] = ACTIONS(1132),
    [anon_sym_calldatasize] = ACTIONS(1132),
    [anon_sym_calldatacopy] = ACTIONS(1132),
    [anon_sym_extcodesize] = ACTIONS(1132),
    [anon_sym_extcodecopy] = ACTIONS(1132),
    [anon_sym_returndatasize] = ACTIONS(1132),
    [anon_sym_returndatacopy] = ACTIONS(1132),
    [anon_sym_extcodehash] = ACTIONS(1132),
    [anon_sym_create] = ACTIONS(1132),
    [anon_sym_create2] = ACTIONS(1132),
    [anon_sym_call] = ACTIONS(1132),
    [anon_sym_callcode] = ACTIONS(1132),
    [anon_sym_delegatecall] = ACTIONS(1132),
    [anon_sym_staticcall] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1132),
    [anon_sym_revert] = ACTIONS(1132),
    [anon_sym_selfdestruct] = ACTIONS(1132),
    [anon_sym_invalid] = ACTIONS(1132),
    [anon_sym_log0] = ACTIONS(1132),
    [anon_sym_log1] = ACTIONS(1132),
    [anon_sym_log2] = ACTIONS(1132),
    [anon_sym_log3] = ACTIONS(1132),
    [anon_sym_log4] = ACTIONS(1132),
    [anon_sym_chainid] = ACTIONS(1132),
    [anon_sym_origin] = ACTIONS(1132),
    [anon_sym_gasprice] = ACTIONS(1132),
    [anon_sym_blockhash] = ACTIONS(1132),
    [anon_sym_blobhash] = ACTIONS(1132),
    [anon_sym_basefee] = ACTIONS(1132),
    [anon_sym_blobfee] = ACTIONS(1132),
    [anon_sym_coinbase] = ACTIONS(1132),
    [anon_sym_timestamp] = ACTIONS(1132),
    [anon_sym_number] = ACTIONS(1132),
    [anon_sym_difficulty] = ACTIONS(1132),
    [anon_sym_gaslimit] = ACTIONS(1132),
    [anon_sym_hex] = ACTIONS(1132),
    [anon_sym_DQUOTE] = ACTIONS(1134),
    [anon_sym_SQUOTE] = ACTIONS(1134),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [sym_identifier] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_COMMA] = ACTIONS(1142),
    [anon_sym_RBRACE] = ACTIONS(1142),
    [anon_sym_LPAREN] = ACTIONS(1142),
    [anon_sym_RPAREN] = ACTIONS(1142),
    [anon_sym_for] = ACTIONS(1140),
    [sym_yul_leave] = ACTIONS(1140),
    [anon_sym_break] = ACTIONS(1140),
    [anon_sym_continue] = ACTIONS(1140),
    [sym_yul_decimal_number] = ACTIONS(1140),
    [sym_yul_hex_number] = ACTIONS(1142),
    [anon_sym_true] = ACTIONS(1140),
    [anon_sym_false] = ACTIONS(1140),
    [anon_sym_let] = ACTIONS(1140),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(1140),
    [anon_sym_default] = ACTIONS(1140),
    [anon_sym_case] = ACTIONS(1140),
    [anon_sym_function] = ACTIONS(1140),
    [anon_sym_stop] = ACTIONS(1140),
    [anon_sym_add] = ACTIONS(1140),
    [anon_sym_sub] = ACTIONS(1140),
    [anon_sym_mul] = ACTIONS(1140),
    [anon_sym_div] = ACTIONS(1140),
    [anon_sym_sdiv] = ACTIONS(1140),
    [anon_sym_mod] = ACTIONS(1140),
    [anon_sym_smod] = ACTIONS(1140),
    [anon_sym_exp] = ACTIONS(1140),
    [anon_sym_not] = ACTIONS(1140),
    [anon_sym_lt] = ACTIONS(1140),
    [anon_sym_gt] = ACTIONS(1140),
    [anon_sym_slt] = ACTIONS(1140),
    [anon_sym_sgt] = ACTIONS(1140),
    [anon_sym_eq] = ACTIONS(1140),
    [anon_sym_iszero] = ACTIONS(1140),
    [anon_sym_and] = ACTIONS(1140),
    [anon_sym_or] = ACTIONS(1140),
    [anon_sym_xor] = ACTIONS(1140),
    [anon_sym_byte] = ACTIONS(1140),
    [anon_sym_shl] = ACTIONS(1140),
    [anon_sym_shr] = ACTIONS(1140),
    [anon_sym_sar] = ACTIONS(1140),
    [anon_sym_addmod] = ACTIONS(1140),
    [anon_sym_mulmod] = ACTIONS(1140),
    [anon_sym_signextend] = ACTIONS(1140),
    [anon_sym_keccak256] = ACTIONS(1140),
    [anon_sym_pop] = ACTIONS(1140),
    [anon_sym_mload] = ACTIONS(1140),
    [anon_sym_mcopy] = ACTIONS(1140),
    [anon_sym_tload] = ACTIONS(1140),
    [anon_sym_tstore] = ACTIONS(1140),
    [anon_sym_mstore] = ACTIONS(1140),
    [anon_sym_mstore8] = ACTIONS(1140),
    [anon_sym_sload] = ACTIONS(1140),
    [anon_sym_sstore] = ACTIONS(1140),
    [anon_sym_msize] = ACTIONS(1140),
    [anon_sym_gas] = ACTIONS(1140),
    [anon_sym_address] = ACTIONS(1140),
    [anon_sym_balance] = ACTIONS(1140),
    [anon_sym_selfbalance] = ACTIONS(1140),
    [anon_sym_caller] = ACTIONS(1140),
    [anon_sym_callvalue] = ACTIONS(1140),
    [anon_sym_calldataload] = ACTIONS(1140),
    [anon_sym_calldatasize] = ACTIONS(1140),
    [anon_sym_calldatacopy] = ACTIONS(1140),
    [anon_sym_extcodesize] = ACTIONS(1140),
    [anon_sym_extcodecopy] = ACTIONS(1140),
    [anon_sym_returndatasize] = ACTIONS(1140),
    [anon_sym_returndatacopy] = ACTIONS(1140),
    [anon_sym_extcodehash] = ACTIONS(1140),
    [anon_sym_create] = ACTIONS(1140),
    [anon_sym_create2] = ACTIONS(1140),
    [anon_sym_call] = ACTIONS(1140),
    [anon_sym_callcode] = ACTIONS(1140),
    [anon_sym_delegatecall] = ACTIONS(1140),
    [anon_sym_staticcall] = ACTIONS(1140),
    [anon_sym_return] = ACTIONS(1140),
    [anon_sym_revert] = ACTIONS(1140),
    [anon_sym_selfdestruct] = ACTIONS(1140),
    [anon_sym_invalid] = ACTIONS(1140),
    [anon_sym_log0] = ACTIONS(1140),
    [anon_sym_log1] = ACTIONS(1140),
    [anon_sym_log2] = ACTIONS(1140),
    [anon_sym_log3] = ACTIONS(1140),
    [anon_sym_log4] = ACTIONS(1140),
    [anon_sym_chainid] = ACTIONS(1140),
    [anon_sym_origin] = ACTIONS(1140),
    [anon_sym_gasprice] = ACTIONS(1140),
    [anon_sym_blockhash] = ACTIONS(1140),
    [anon_sym_blobhash] = ACTIONS(1140),
    [anon_sym_basefee] = ACTIONS(1140),
    [anon_sym_blobfee] = ACTIONS(1140),
    [anon_sym_coinbase] = ACTIONS(1140),
    [anon_sym_timestamp] = ACTIONS(1140),
    [anon_sym_number] = ACTIONS(1140),
    [anon_sym_difficulty] = ACTIONS(1140),
    [anon_sym_gaslimit] = ACTIONS(1140),
    [anon_sym_hex] = ACTIONS(1140),
    [anon_sym_DQUOTE] = ACTIONS(1142),
    [anon_sym_SQUOTE] = ACTIONS(1142),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(1103),
    [anon_sym_COMMA] = ACTIONS(1103),
    [anon_sym_RBRACE] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_for] = ACTIONS(1101),
    [anon_sym_COLON] = ACTIONS(1144),
    [sym_yul_leave] = ACTIONS(1101),
    [anon_sym_break] = ACTIONS(1101),
    [anon_sym_continue] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [sym_yul_decimal_number] = ACTIONS(1101),
    [sym_yul_hex_number] = ACTIONS(1103),
    [anon_sym_true] = ACTIONS(1101),
    [anon_sym_false] = ACTIONS(1101),
    [anon_sym_let] = ACTIONS(1101),
    [anon_sym_COLON_EQ] = ACTIONS(1103),
    [anon_sym_if] = ACTIONS(1101),
    [anon_sym_switch] = ACTIONS(1101),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_stop] = ACTIONS(1101),
    [anon_sym_add] = ACTIONS(1101),
    [anon_sym_sub] = ACTIONS(1101),
    [anon_sym_mul] = ACTIONS(1101),
    [anon_sym_div] = ACTIONS(1101),
    [anon_sym_sdiv] = ACTIONS(1101),
    [anon_sym_mod] = ACTIONS(1101),
    [anon_sym_smod] = ACTIONS(1101),
    [anon_sym_exp] = ACTIONS(1101),
    [anon_sym_not] = ACTIONS(1101),
    [anon_sym_lt] = ACTIONS(1101),
    [anon_sym_gt] = ACTIONS(1101),
    [anon_sym_slt] = ACTIONS(1101),
    [anon_sym_sgt] = ACTIONS(1101),
    [anon_sym_eq] = ACTIONS(1101),
    [anon_sym_iszero] = ACTIONS(1101),
    [anon_sym_and] = ACTIONS(1101),
    [anon_sym_or] = ACTIONS(1101),
    [anon_sym_xor] = ACTIONS(1101),
    [anon_sym_byte] = ACTIONS(1101),
    [anon_sym_shl] = ACTIONS(1101),
    [anon_sym_shr] = ACTIONS(1101),
    [anon_sym_sar] = ACTIONS(1101),
    [anon_sym_addmod] = ACTIONS(1101),
    [anon_sym_mulmod] = ACTIONS(1101),
    [anon_sym_signextend] = ACTIONS(1101),
    [anon_sym_keccak256] = ACTIONS(1101),
    [anon_sym_pop] = ACTIONS(1101),
    [anon_sym_mload] = ACTIONS(1101),
    [anon_sym_mcopy] = ACTIONS(1101),
    [anon_sym_tload] = ACTIONS(1101),
    [anon_sym_tstore] = ACTIONS(1101),
    [anon_sym_mstore] = ACTIONS(1101),
    [anon_sym_mstore8] = ACTIONS(1101),
    [anon_sym_sload] = ACTIONS(1101),
    [anon_sym_sstore] = ACTIONS(1101),
    [anon_sym_msize] = ACTIONS(1101),
    [anon_sym_gas] = ACTIONS(1101),
    [anon_sym_address] = ACTIONS(1101),
    [anon_sym_balance] = ACTIONS(1101),
    [anon_sym_selfbalance] = ACTIONS(1101),
    [anon_sym_caller] = ACTIONS(1101),
    [anon_sym_callvalue] = ACTIONS(1101),
    [anon_sym_calldataload] = ACTIONS(1101),
    [anon_sym_calldatasize] = ACTIONS(1101),
    [anon_sym_calldatacopy] = ACTIONS(1101),
    [anon_sym_extcodesize] = ACTIONS(1101),
    [anon_sym_extcodecopy] = ACTIONS(1101),
    [anon_sym_returndatasize] = ACTIONS(1101),
    [anon_sym_returndatacopy] = ACTIONS(1101),
    [anon_sym_extcodehash] = ACTIONS(1101),
    [anon_sym_create] = ACTIONS(1101),
    [anon_sym_create2] = ACTIONS(1101),
    [anon_sym_call] = ACTIONS(1101),
    [anon_sym_callcode] = ACTIONS(1101),
    [anon_sym_delegatecall] = ACTIONS(1101),
    [anon_sym_staticcall] = ACTIONS(1101),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_revert] = ACTIONS(1101),
    [anon_sym_selfdestruct] = ACTIONS(1101),
    [anon_sym_invalid] = ACTIONS(1101),
    [anon_sym_log0] = ACTIONS(1101),
    [anon_sym_log1] = ACTIONS(1101),
    [anon_sym_log2] = ACTIONS(1101),
    [anon_sym_log3] = ACTIONS(1101),
    [anon_sym_log4] = ACTIONS(1101),
    [anon_sym_chainid] = ACTIONS(1101),
    [anon_sym_origin] = ACTIONS(1101),
    [anon_sym_gasprice] = ACTIONS(1101),
    [anon_sym_blockhash] = ACTIONS(1101),
    [anon_sym_blobhash] = ACTIONS(1101),
    [anon_sym_basefee] = ACTIONS(1101),
    [anon_sym_blobfee] = ACTIONS(1101),
    [anon_sym_coinbase] = ACTIONS(1101),
    [anon_sym_timestamp] = ACTIONS(1101),
    [anon_sym_number] = ACTIONS(1101),
    [anon_sym_difficulty] = ACTIONS(1101),
    [anon_sym_gaslimit] = ACTIONS(1101),
    [anon_sym_hex] = ACTIONS(1101),
    [anon_sym_DQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [sym_identifier] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1149),
    [anon_sym_COMMA] = ACTIONS(1149),
    [anon_sym_RBRACE] = ACTIONS(1149),
    [anon_sym_RPAREN] = ACTIONS(1149),
    [anon_sym_for] = ACTIONS(1147),
    [sym_yul_leave] = ACTIONS(1147),
    [anon_sym_break] = ACTIONS(1147),
    [anon_sym_continue] = ACTIONS(1147),
    [sym_yul_decimal_number] = ACTIONS(1147),
    [sym_yul_hex_number] = ACTIONS(1149),
    [anon_sym_true] = ACTIONS(1147),
    [anon_sym_false] = ACTIONS(1147),
    [anon_sym_let] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_switch] = ACTIONS(1147),
    [anon_sym_default] = ACTIONS(1147),
    [anon_sym_case] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(1147),
    [anon_sym_stop] = ACTIONS(1147),
    [anon_sym_add] = ACTIONS(1147),
    [anon_sym_sub] = ACTIONS(1147),
    [anon_sym_mul] = ACTIONS(1147),
    [anon_sym_div] = ACTIONS(1147),
    [anon_sym_sdiv] = ACTIONS(1147),
    [anon_sym_mod] = ACTIONS(1147),
    [anon_sym_smod] = ACTIONS(1147),
    [anon_sym_exp] = ACTIONS(1147),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_lt] = ACTIONS(1147),
    [anon_sym_gt] = ACTIONS(1147),
    [anon_sym_slt] = ACTIONS(1147),
    [anon_sym_sgt] = ACTIONS(1147),
    [anon_sym_eq] = ACTIONS(1147),
    [anon_sym_iszero] = ACTIONS(1147),
    [anon_sym_and] = ACTIONS(1147),
    [anon_sym_or] = ACTIONS(1147),
    [anon_sym_xor] = ACTIONS(1147),
    [anon_sym_byte] = ACTIONS(1147),
    [anon_sym_shl] = ACTIONS(1147),
    [anon_sym_shr] = ACTIONS(1147),
    [anon_sym_sar] = ACTIONS(1147),
    [anon_sym_addmod] = ACTIONS(1147),
    [anon_sym_mulmod] = ACTIONS(1147),
    [anon_sym_signextend] = ACTIONS(1147),
    [anon_sym_keccak256] = ACTIONS(1147),
    [anon_sym_pop] = ACTIONS(1147),
    [anon_sym_mload] = ACTIONS(1147),
    [anon_sym_mcopy] = ACTIONS(1147),
    [anon_sym_tload] = ACTIONS(1147),
    [anon_sym_tstore] = ACTIONS(1147),
    [anon_sym_mstore] = ACTIONS(1147),
    [anon_sym_mstore8] = ACTIONS(1147),
    [anon_sym_sload] = ACTIONS(1147),
    [anon_sym_sstore] = ACTIONS(1147),
    [anon_sym_msize] = ACTIONS(1147),
    [anon_sym_gas] = ACTIONS(1147),
    [anon_sym_address] = ACTIONS(1147),
    [anon_sym_balance] = ACTIONS(1147),
    [anon_sym_selfbalance] = ACTIONS(1147),
    [anon_sym_caller] = ACTIONS(1147),
    [anon_sym_callvalue] = ACTIONS(1147),
    [anon_sym_calldataload] = ACTIONS(1147),
    [anon_sym_calldatasize] = ACTIONS(1147),
    [anon_sym_calldatacopy] = ACTIONS(1147),
    [anon_sym_extcodesize] = ACTIONS(1147),
    [anon_sym_extcodecopy] = ACTIONS(1147),
    [anon_sym_returndatasize] = ACTIONS(1147),
    [anon_sym_returndatacopy] = ACTIONS(1147),
    [anon_sym_extcodehash] = ACTIONS(1147),
    [anon_sym_create] = ACTIONS(1147),
    [anon_sym_create2] = ACTIONS(1147),
    [anon_sym_call] = ACTIONS(1147),
    [anon_sym_callcode] = ACTIONS(1147),
    [anon_sym_delegatecall] = ACTIONS(1147),
    [anon_sym_staticcall] = ACTIONS(1147),
    [anon_sym_return] = ACTIONS(1147),
    [anon_sym_revert] = ACTIONS(1147),
    [anon_sym_selfdestruct] = ACTIONS(1147),
    [anon_sym_invalid] = ACTIONS(1147),
    [anon_sym_log0] = ACTIONS(1147),
    [anon_sym_log1] = ACTIONS(1147),
    [anon_sym_log2] = ACTIONS(1147),
    [anon_sym_log3] = ACTIONS(1147),
    [anon_sym_log4] = ACTIONS(1147),
    [anon_sym_chainid] = ACTIONS(1147),
    [anon_sym_origin] = ACTIONS(1147),
    [anon_sym_gasprice] = ACTIONS(1147),
    [anon_sym_blockhash] = ACTIONS(1147),
    [anon_sym_blobhash] = ACTIONS(1147),
    [anon_sym_basefee] = ACTIONS(1147),
    [anon_sym_blobfee] = ACTIONS(1147),
    [anon_sym_coinbase] = ACTIONS(1147),
    [anon_sym_timestamp] = ACTIONS(1147),
    [anon_sym_number] = ACTIONS(1147),
    [anon_sym_difficulty] = ACTIONS(1147),
    [anon_sym_gaslimit] = ACTIONS(1147),
    [anon_sym_hex] = ACTIONS(1147),
    [anon_sym_DQUOTE] = ACTIONS(1149),
    [anon_sym_SQUOTE] = ACTIONS(1149),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [sym_identifier] = ACTIONS(1151),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_COMMA] = ACTIONS(1153),
    [anon_sym_RBRACE] = ACTIONS(1153),
    [anon_sym_RPAREN] = ACTIONS(1153),
    [anon_sym_for] = ACTIONS(1151),
    [sym_yul_leave] = ACTIONS(1151),
    [anon_sym_break] = ACTIONS(1151),
    [anon_sym_continue] = ACTIONS(1151),
    [sym_yul_decimal_number] = ACTIONS(1151),
    [sym_yul_hex_number] = ACTIONS(1153),
    [anon_sym_true] = ACTIONS(1151),
    [anon_sym_false] = ACTIONS(1151),
    [anon_sym_let] = ACTIONS(1151),
    [anon_sym_if] = ACTIONS(1151),
    [anon_sym_switch] = ACTIONS(1151),
    [anon_sym_default] = ACTIONS(1151),
    [anon_sym_case] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_stop] = ACTIONS(1151),
    [anon_sym_add] = ACTIONS(1151),
    [anon_sym_sub] = ACTIONS(1151),
    [anon_sym_mul] = ACTIONS(1151),
    [anon_sym_div] = ACTIONS(1151),
    [anon_sym_sdiv] = ACTIONS(1151),
    [anon_sym_mod] = ACTIONS(1151),
    [anon_sym_smod] = ACTIONS(1151),
    [anon_sym_exp] = ACTIONS(1151),
    [anon_sym_not] = ACTIONS(1151),
    [anon_sym_lt] = ACTIONS(1151),
    [anon_sym_gt] = ACTIONS(1151),
    [anon_sym_slt] = ACTIONS(1151),
    [anon_sym_sgt] = ACTIONS(1151),
    [anon_sym_eq] = ACTIONS(1151),
    [anon_sym_iszero] = ACTIONS(1151),
    [anon_sym_and] = ACTIONS(1151),
    [anon_sym_or] = ACTIONS(1151),
    [anon_sym_xor] = ACTIONS(1151),
    [anon_sym_byte] = ACTIONS(1151),
    [anon_sym_shl] = ACTIONS(1151),
    [anon_sym_shr] = ACTIONS(1151),
    [anon_sym_sar] = ACTIONS(1151),
    [anon_sym_addmod] = ACTIONS(1151),
    [anon_sym_mulmod] = ACTIONS(1151),
    [anon_sym_signextend] = ACTIONS(1151),
    [anon_sym_keccak256] = ACTIONS(1151),
    [anon_sym_pop] = ACTIONS(1151),
    [anon_sym_mload] = ACTIONS(1151),
    [anon_sym_mcopy] = ACTIONS(1151),
    [anon_sym_tload] = ACTIONS(1151),
    [anon_sym_tstore] = ACTIONS(1151),
    [anon_sym_mstore] = ACTIONS(1151),
    [anon_sym_mstore8] = ACTIONS(1151),
    [anon_sym_sload] = ACTIONS(1151),
    [anon_sym_sstore] = ACTIONS(1151),
    [anon_sym_msize] = ACTIONS(1151),
    [anon_sym_gas] = ACTIONS(1151),
    [anon_sym_address] = ACTIONS(1151),
    [anon_sym_balance] = ACTIONS(1151),
    [anon_sym_selfbalance] = ACTIONS(1151),
    [anon_sym_caller] = ACTIONS(1151),
    [anon_sym_callvalue] = ACTIONS(1151),
    [anon_sym_calldataload] = ACTIONS(1151),
    [anon_sym_calldatasize] = ACTIONS(1151),
    [anon_sym_calldatacopy] = ACTIONS(1151),
    [anon_sym_extcodesize] = ACTIONS(1151),
    [anon_sym_extcodecopy] = ACTIONS(1151),
    [anon_sym_returndatasize] = ACTIONS(1151),
    [anon_sym_returndatacopy] = ACTIONS(1151),
    [anon_sym_extcodehash] = ACTIONS(1151),
    [anon_sym_create] = ACTIONS(1151),
    [anon_sym_create2] = ACTIONS(1151),
    [anon_sym_call] = ACTIONS(1151),
    [anon_sym_callcode] = ACTIONS(1151),
    [anon_sym_delegatecall] = ACTIONS(1151),
    [anon_sym_staticcall] = ACTIONS(1151),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_revert] = ACTIONS(1151),
    [anon_sym_selfdestruct] = ACTIONS(1151),
    [anon_sym_invalid] = ACTIONS(1151),
    [anon_sym_log0] = ACTIONS(1151),
    [anon_sym_log1] = ACTIONS(1151),
    [anon_sym_log2] = ACTIONS(1151),
    [anon_sym_log3] = ACTIONS(1151),
    [anon_sym_log4] = ACTIONS(1151),
    [anon_sym_chainid] = ACTIONS(1151),
    [anon_sym_origin] = ACTIONS(1151),
    [anon_sym_gasprice] = ACTIONS(1151),
    [anon_sym_blockhash] = ACTIONS(1151),
    [anon_sym_blobhash] = ACTIONS(1151),
    [anon_sym_basefee] = ACTIONS(1151),
    [anon_sym_blobfee] = ACTIONS(1151),
    [anon_sym_coinbase] = ACTIONS(1151),
    [anon_sym_timestamp] = ACTIONS(1151),
    [anon_sym_number] = ACTIONS(1151),
    [anon_sym_difficulty] = ACTIONS(1151),
    [anon_sym_gaslimit] = ACTIONS(1151),
    [anon_sym_hex] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(1153),
    [anon_sym_SQUOTE] = ACTIONS(1153),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [aux_sym_yul_assignment_repeat1] = STATE(337),
    [sym_identifier] = ACTIONS(1155),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_COMMA] = ACTIONS(1159),
    [anon_sym_RBRACE] = ACTIONS(1157),
    [anon_sym_for] = ACTIONS(1155),
    [anon_sym_COLON] = ACTIONS(1155),
    [sym_yul_leave] = ACTIONS(1155),
    [anon_sym_break] = ACTIONS(1155),
    [anon_sym_continue] = ACTIONS(1155),
    [sym_yul_decimal_number] = ACTIONS(1155),
    [sym_yul_hex_number] = ACTIONS(1157),
    [anon_sym_true] = ACTIONS(1155),
    [anon_sym_false] = ACTIONS(1155),
    [anon_sym_let] = ACTIONS(1155),
    [anon_sym_COLON_EQ] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(1155),
    [anon_sym_switch] = ACTIONS(1155),
    [anon_sym_function] = ACTIONS(1155),
    [anon_sym_stop] = ACTIONS(1155),
    [anon_sym_add] = ACTIONS(1155),
    [anon_sym_sub] = ACTIONS(1155),
    [anon_sym_mul] = ACTIONS(1155),
    [anon_sym_div] = ACTIONS(1155),
    [anon_sym_sdiv] = ACTIONS(1155),
    [anon_sym_mod] = ACTIONS(1155),
    [anon_sym_smod] = ACTIONS(1155),
    [anon_sym_exp] = ACTIONS(1155),
    [anon_sym_not] = ACTIONS(1155),
    [anon_sym_lt] = ACTIONS(1155),
    [anon_sym_gt] = ACTIONS(1155),
    [anon_sym_slt] = ACTIONS(1155),
    [anon_sym_sgt] = ACTIONS(1155),
    [anon_sym_eq] = ACTIONS(1155),
    [anon_sym_iszero] = ACTIONS(1155),
    [anon_sym_and] = ACTIONS(1155),
    [anon_sym_or] = ACTIONS(1155),
    [anon_sym_xor] = ACTIONS(1155),
    [anon_sym_byte] = ACTIONS(1155),
    [anon_sym_shl] = ACTIONS(1155),
    [anon_sym_shr] = ACTIONS(1155),
    [anon_sym_sar] = ACTIONS(1155),
    [anon_sym_addmod] = ACTIONS(1155),
    [anon_sym_mulmod] = ACTIONS(1155),
    [anon_sym_signextend] = ACTIONS(1155),
    [anon_sym_keccak256] = ACTIONS(1155),
    [anon_sym_pop] = ACTIONS(1155),
    [anon_sym_mload] = ACTIONS(1155),
    [anon_sym_mcopy] = ACTIONS(1155),
    [anon_sym_tload] = ACTIONS(1155),
    [anon_sym_tstore] = ACTIONS(1155),
    [anon_sym_mstore] = ACTIONS(1155),
    [anon_sym_mstore8] = ACTIONS(1155),
    [anon_sym_sload] = ACTIONS(1155),
    [anon_sym_sstore] = ACTIONS(1155),
    [anon_sym_msize] = ACTIONS(1155),
    [anon_sym_gas] = ACTIONS(1155),
    [anon_sym_address] = ACTIONS(1155),
    [anon_sym_balance] = ACTIONS(1155),
    [anon_sym_selfbalance] = ACTIONS(1155),
    [anon_sym_caller] = ACTIONS(1155),
    [anon_sym_callvalue] = ACTIONS(1155),
    [anon_sym_calldataload] = ACTIONS(1155),
    [anon_sym_calldatasize] = ACTIONS(1155),
    [anon_sym_calldatacopy] = ACTIONS(1155),
    [anon_sym_extcodesize] = ACTIONS(1155),
    [anon_sym_extcodecopy] = ACTIONS(1155),
    [anon_sym_returndatasize] = ACTIONS(1155),
    [anon_sym_returndatacopy] = ACTIONS(1155),
    [anon_sym_extcodehash] = ACTIONS(1155),
    [anon_sym_create] = ACTIONS(1155),
    [anon_sym_create2] = ACTIONS(1155),
    [anon_sym_call] = ACTIONS(1155),
    [anon_sym_callcode] = ACTIONS(1155),
    [anon_sym_delegatecall] = ACTIONS(1155),
    [anon_sym_staticcall] = ACTIONS(1155),
    [anon_sym_return] = ACTIONS(1155),
    [anon_sym_revert] = ACTIONS(1155),
    [anon_sym_selfdestruct] = ACTIONS(1155),
    [anon_sym_invalid] = ACTIONS(1155),
    [anon_sym_log0] = ACTIONS(1155),
    [anon_sym_log1] = ACTIONS(1155),
    [anon_sym_log2] = ACTIONS(1155),
    [anon_sym_log3] = ACTIONS(1155),
    [anon_sym_log4] = ACTIONS(1155),
    [anon_sym_chainid] = ACTIONS(1155),
    [anon_sym_origin] = ACTIONS(1155),
    [anon_sym_gasprice] = ACTIONS(1155),
    [anon_sym_blockhash] = ACTIONS(1155),
    [anon_sym_blobhash] = ACTIONS(1155),
    [anon_sym_basefee] = ACTIONS(1155),
    [anon_sym_blobfee] = ACTIONS(1155),
    [anon_sym_coinbase] = ACTIONS(1155),
    [anon_sym_timestamp] = ACTIONS(1155),
    [anon_sym_number] = ACTIONS(1155),
    [anon_sym_difficulty] = ACTIONS(1155),
    [anon_sym_gaslimit] = ACTIONS(1155),
    [anon_sym_hex] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [anon_sym_SQUOTE] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [sym_identifier] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_COMMA] = ACTIONS(1164),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [anon_sym_RPAREN] = ACTIONS(1164),
    [anon_sym_for] = ACTIONS(1162),
    [sym_yul_leave] = ACTIONS(1162),
    [anon_sym_break] = ACTIONS(1162),
    [anon_sym_continue] = ACTIONS(1162),
    [sym_yul_decimal_number] = ACTIONS(1162),
    [sym_yul_hex_number] = ACTIONS(1164),
    [anon_sym_true] = ACTIONS(1162),
    [anon_sym_false] = ACTIONS(1162),
    [anon_sym_let] = ACTIONS(1162),
    [anon_sym_if] = ACTIONS(1162),
    [anon_sym_switch] = ACTIONS(1162),
    [anon_sym_default] = ACTIONS(1162),
    [anon_sym_case] = ACTIONS(1162),
    [anon_sym_function] = ACTIONS(1162),
    [anon_sym_stop] = ACTIONS(1162),
    [anon_sym_add] = ACTIONS(1162),
    [anon_sym_sub] = ACTIONS(1162),
    [anon_sym_mul] = ACTIONS(1162),
    [anon_sym_div] = ACTIONS(1162),
    [anon_sym_sdiv] = ACTIONS(1162),
    [anon_sym_mod] = ACTIONS(1162),
    [anon_sym_smod] = ACTIONS(1162),
    [anon_sym_exp] = ACTIONS(1162),
    [anon_sym_not] = ACTIONS(1162),
    [anon_sym_lt] = ACTIONS(1162),
    [anon_sym_gt] = ACTIONS(1162),
    [anon_sym_slt] = ACTIONS(1162),
    [anon_sym_sgt] = ACTIONS(1162),
    [anon_sym_eq] = ACTIONS(1162),
    [anon_sym_iszero] = ACTIONS(1162),
    [anon_sym_and] = ACTIONS(1162),
    [anon_sym_or] = ACTIONS(1162),
    [anon_sym_xor] = ACTIONS(1162),
    [anon_sym_byte] = ACTIONS(1162),
    [anon_sym_shl] = ACTIONS(1162),
    [anon_sym_shr] = ACTIONS(1162),
    [anon_sym_sar] = ACTIONS(1162),
    [anon_sym_addmod] = ACTIONS(1162),
    [anon_sym_mulmod] = ACTIONS(1162),
    [anon_sym_signextend] = ACTIONS(1162),
    [anon_sym_keccak256] = ACTIONS(1162),
    [anon_sym_pop] = ACTIONS(1162),
    [anon_sym_mload] = ACTIONS(1162),
    [anon_sym_mcopy] = ACTIONS(1162),
    [anon_sym_tload] = ACTIONS(1162),
    [anon_sym_tstore] = ACTIONS(1162),
    [anon_sym_mstore] = ACTIONS(1162),
    [anon_sym_mstore8] = ACTIONS(1162),
    [anon_sym_sload] = ACTIONS(1162),
    [anon_sym_sstore] = ACTIONS(1162),
    [anon_sym_msize] = ACTIONS(1162),
    [anon_sym_gas] = ACTIONS(1162),
    [anon_sym_address] = ACTIONS(1162),
    [anon_sym_balance] = ACTIONS(1162),
    [anon_sym_selfbalance] = ACTIONS(1162),
    [anon_sym_caller] = ACTIONS(1162),
    [anon_sym_callvalue] = ACTIONS(1162),
    [anon_sym_calldataload] = ACTIONS(1162),
    [anon_sym_calldatasize] = ACTIONS(1162),
    [anon_sym_calldatacopy] = ACTIONS(1162),
    [anon_sym_extcodesize] = ACTIONS(1162),
    [anon_sym_extcodecopy] = ACTIONS(1162),
    [anon_sym_returndatasize] = ACTIONS(1162),
    [anon_sym_returndatacopy] = ACTIONS(1162),
    [anon_sym_extcodehash] = ACTIONS(1162),
    [anon_sym_create] = ACTIONS(1162),
    [anon_sym_create2] = ACTIONS(1162),
    [anon_sym_call] = ACTIONS(1162),
    [anon_sym_callcode] = ACTIONS(1162),
    [anon_sym_delegatecall] = ACTIONS(1162),
    [anon_sym_staticcall] = ACTIONS(1162),
    [anon_sym_return] = ACTIONS(1162),
    [anon_sym_revert] = ACTIONS(1162),
    [anon_sym_selfdestruct] = ACTIONS(1162),
    [anon_sym_invalid] = ACTIONS(1162),
    [anon_sym_log0] = ACTIONS(1162),
    [anon_sym_log1] = ACTIONS(1162),
    [anon_sym_log2] = ACTIONS(1162),
    [anon_sym_log3] = ACTIONS(1162),
    [anon_sym_log4] = ACTIONS(1162),
    [anon_sym_chainid] = ACTIONS(1162),
    [anon_sym_origin] = ACTIONS(1162),
    [anon_sym_gasprice] = ACTIONS(1162),
    [anon_sym_blockhash] = ACTIONS(1162),
    [anon_sym_blobhash] = ACTIONS(1162),
    [anon_sym_basefee] = ACTIONS(1162),
    [anon_sym_blobfee] = ACTIONS(1162),
    [anon_sym_coinbase] = ACTIONS(1162),
    [anon_sym_timestamp] = ACTIONS(1162),
    [anon_sym_number] = ACTIONS(1162),
    [anon_sym_difficulty] = ACTIONS(1162),
    [anon_sym_gaslimit] = ACTIONS(1162),
    [anon_sym_hex] = ACTIONS(1162),
    [anon_sym_DQUOTE] = ACTIONS(1164),
    [anon_sym_SQUOTE] = ACTIONS(1164),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [sym_identifier] = ACTIONS(1166),
    [anon_sym_LBRACE] = ACTIONS(1168),
    [anon_sym_COMMA] = ACTIONS(1168),
    [anon_sym_RBRACE] = ACTIONS(1168),
    [anon_sym_RPAREN] = ACTIONS(1168),
    [anon_sym_for] = ACTIONS(1166),
    [sym_yul_leave] = ACTIONS(1166),
    [anon_sym_break] = ACTIONS(1166),
    [anon_sym_continue] = ACTIONS(1166),
    [sym_yul_decimal_number] = ACTIONS(1166),
    [sym_yul_hex_number] = ACTIONS(1168),
    [anon_sym_true] = ACTIONS(1166),
    [anon_sym_false] = ACTIONS(1166),
    [anon_sym_let] = ACTIONS(1166),
    [anon_sym_if] = ACTIONS(1166),
    [anon_sym_switch] = ACTIONS(1166),
    [anon_sym_default] = ACTIONS(1166),
    [anon_sym_case] = ACTIONS(1166),
    [anon_sym_function] = ACTIONS(1166),
    [anon_sym_stop] = ACTIONS(1166),
    [anon_sym_add] = ACTIONS(1166),
    [anon_sym_sub] = ACTIONS(1166),
    [anon_sym_mul] = ACTIONS(1166),
    [anon_sym_div] = ACTIONS(1166),
    [anon_sym_sdiv] = ACTIONS(1166),
    [anon_sym_mod] = ACTIONS(1166),
    [anon_sym_smod] = ACTIONS(1166),
    [anon_sym_exp] = ACTIONS(1166),
    [anon_sym_not] = ACTIONS(1166),
    [anon_sym_lt] = ACTIONS(1166),
    [anon_sym_gt] = ACTIONS(1166),
    [anon_sym_slt] = ACTIONS(1166),
    [anon_sym_sgt] = ACTIONS(1166),
    [anon_sym_eq] = ACTIONS(1166),
    [anon_sym_iszero] = ACTIONS(1166),
    [anon_sym_and] = ACTIONS(1166),
    [anon_sym_or] = ACTIONS(1166),
    [anon_sym_xor] = ACTIONS(1166),
    [anon_sym_byte] = ACTIONS(1166),
    [anon_sym_shl] = ACTIONS(1166),
    [anon_sym_shr] = ACTIONS(1166),
    [anon_sym_sar] = ACTIONS(1166),
    [anon_sym_addmod] = ACTIONS(1166),
    [anon_sym_mulmod] = ACTIONS(1166),
    [anon_sym_signextend] = ACTIONS(1166),
    [anon_sym_keccak256] = ACTIONS(1166),
    [anon_sym_pop] = ACTIONS(1166),
    [anon_sym_mload] = ACTIONS(1166),
    [anon_sym_mcopy] = ACTIONS(1166),
    [anon_sym_tload] = ACTIONS(1166),
    [anon_sym_tstore] = ACTIONS(1166),
    [anon_sym_mstore] = ACTIONS(1166),
    [anon_sym_mstore8] = ACTIONS(1166),
    [anon_sym_sload] = ACTIONS(1166),
    [anon_sym_sstore] = ACTIONS(1166),
    [anon_sym_msize] = ACTIONS(1166),
    [anon_sym_gas] = ACTIONS(1166),
    [anon_sym_address] = ACTIONS(1166),
    [anon_sym_balance] = ACTIONS(1166),
    [anon_sym_selfbalance] = ACTIONS(1166),
    [anon_sym_caller] = ACTIONS(1166),
    [anon_sym_callvalue] = ACTIONS(1166),
    [anon_sym_calldataload] = ACTIONS(1166),
    [anon_sym_calldatasize] = ACTIONS(1166),
    [anon_sym_calldatacopy] = ACTIONS(1166),
    [anon_sym_extcodesize] = ACTIONS(1166),
    [anon_sym_extcodecopy] = ACTIONS(1166),
    [anon_sym_returndatasize] = ACTIONS(1166),
    [anon_sym_returndatacopy] = ACTIONS(1166),
    [anon_sym_extcodehash] = ACTIONS(1166),
    [anon_sym_create] = ACTIONS(1166),
    [anon_sym_create2] = ACTIONS(1166),
    [anon_sym_call] = ACTIONS(1166),
    [anon_sym_callcode] = ACTIONS(1166),
    [anon_sym_delegatecall] = ACTIONS(1166),
    [anon_sym_staticcall] = ACTIONS(1166),
    [anon_sym_return] = ACTIONS(1166),
    [anon_sym_revert] = ACTIONS(1166),
    [anon_sym_selfdestruct] = ACTIONS(1166),
    [anon_sym_invalid] = ACTIONS(1166),
    [anon_sym_log0] = ACTIONS(1166),
    [anon_sym_log1] = ACTIONS(1166),
    [anon_sym_log2] = ACTIONS(1166),
    [anon_sym_log3] = ACTIONS(1166),
    [anon_sym_log4] = ACTIONS(1166),
    [anon_sym_chainid] = ACTIONS(1166),
    [anon_sym_origin] = ACTIONS(1166),
    [anon_sym_gasprice] = ACTIONS(1166),
    [anon_sym_blockhash] = ACTIONS(1166),
    [anon_sym_blobhash] = ACTIONS(1166),
    [anon_sym_basefee] = ACTIONS(1166),
    [anon_sym_blobfee] = ACTIONS(1166),
    [anon_sym_coinbase] = ACTIONS(1166),
    [anon_sym_timestamp] = ACTIONS(1166),
    [anon_sym_number] = ACTIONS(1166),
    [anon_sym_difficulty] = ACTIONS(1166),
    [anon_sym_gaslimit] = ACTIONS(1166),
    [anon_sym_hex] = ACTIONS(1166),
    [anon_sym_DQUOTE] = ACTIONS(1168),
    [anon_sym_SQUOTE] = ACTIONS(1168),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [aux_sym_yul_variable_declaration_repeat1] = STATE(340),
    [sym_identifier] = ACTIONS(1170),
    [anon_sym_LBRACE] = ACTIONS(1172),
    [anon_sym_COMMA] = ACTIONS(1174),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [anon_sym_RPAREN] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1170),
    [sym_yul_leave] = ACTIONS(1170),
    [anon_sym_break] = ACTIONS(1170),
    [anon_sym_continue] = ACTIONS(1170),
    [sym_yul_decimal_number] = ACTIONS(1170),
    [sym_yul_hex_number] = ACTIONS(1172),
    [anon_sym_true] = ACTIONS(1170),
    [anon_sym_false] = ACTIONS(1170),
    [anon_sym_let] = ACTIONS(1170),
    [anon_sym_COLON_EQ] = ACTIONS(1172),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_switch] = ACTIONS(1170),
    [anon_sym_function] = ACTIONS(1170),
    [anon_sym_stop] = ACTIONS(1170),
    [anon_sym_add] = ACTIONS(1170),
    [anon_sym_sub] = ACTIONS(1170),
    [anon_sym_mul] = ACTIONS(1170),
    [anon_sym_div] = ACTIONS(1170),
    [anon_sym_sdiv] = ACTIONS(1170),
    [anon_sym_mod] = ACTIONS(1170),
    [anon_sym_smod] = ACTIONS(1170),
    [anon_sym_exp] = ACTIONS(1170),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_lt] = ACTIONS(1170),
    [anon_sym_gt] = ACTIONS(1170),
    [anon_sym_slt] = ACTIONS(1170),
    [anon_sym_sgt] = ACTIONS(1170),
    [anon_sym_eq] = ACTIONS(1170),
    [anon_sym_iszero] = ACTIONS(1170),
    [anon_sym_and] = ACTIONS(1170),
    [anon_sym_or] = ACTIONS(1170),
    [anon_sym_xor] = ACTIONS(1170),
    [anon_sym_byte] = ACTIONS(1170),
    [anon_sym_shl] = ACTIONS(1170),
    [anon_sym_shr] = ACTIONS(1170),
    [anon_sym_sar] = ACTIONS(1170),
    [anon_sym_addmod] = ACTIONS(1170),
    [anon_sym_mulmod] = ACTIONS(1170),
    [anon_sym_signextend] = ACTIONS(1170),
    [anon_sym_keccak256] = ACTIONS(1170),
    [anon_sym_pop] = ACTIONS(1170),
    [anon_sym_mload] = ACTIONS(1170),
    [anon_sym_mcopy] = ACTIONS(1170),
    [anon_sym_tload] = ACTIONS(1170),
    [anon_sym_tstore] = ACTIONS(1170),
    [anon_sym_mstore] = ACTIONS(1170),
    [anon_sym_mstore8] = ACTIONS(1170),
    [anon_sym_sload] = ACTIONS(1170),
    [anon_sym_sstore] = ACTIONS(1170),
    [anon_sym_msize] = ACTIONS(1170),
    [anon_sym_gas] = ACTIONS(1170),
    [anon_sym_address] = ACTIONS(1170),
    [anon_sym_balance] = ACTIONS(1170),
    [anon_sym_selfbalance] = ACTIONS(1170),
    [anon_sym_caller] = ACTIONS(1170),
    [anon_sym_callvalue] = ACTIONS(1170),
    [anon_sym_calldataload] = ACTIONS(1170),
    [anon_sym_calldatasize] = ACTIONS(1170),
    [anon_sym_calldatacopy] = ACTIONS(1170),
    [anon_sym_extcodesize] = ACTIONS(1170),
    [anon_sym_extcodecopy] = ACTIONS(1170),
    [anon_sym_returndatasize] = ACTIONS(1170),
    [anon_sym_returndatacopy] = ACTIONS(1170),
    [anon_sym_extcodehash] = ACTIONS(1170),
    [anon_sym_create] = ACTIONS(1170),
    [anon_sym_create2] = ACTIONS(1170),
    [anon_sym_call] = ACTIONS(1170),
    [anon_sym_callcode] = ACTIONS(1170),
    [anon_sym_delegatecall] = ACTIONS(1170),
    [anon_sym_staticcall] = ACTIONS(1170),
    [anon_sym_return] = ACTIONS(1170),
    [anon_sym_revert] = ACTIONS(1170),
    [anon_sym_selfdestruct] = ACTIONS(1170),
    [anon_sym_invalid] = ACTIONS(1170),
    [anon_sym_log0] = ACTIONS(1170),
    [anon_sym_log1] = ACTIONS(1170),
    [anon_sym_log2] = ACTIONS(1170),
    [anon_sym_log3] = ACTIONS(1170),
    [anon_sym_log4] = ACTIONS(1170),
    [anon_sym_chainid] = ACTIONS(1170),
    [anon_sym_origin] = ACTIONS(1170),
    [anon_sym_gasprice] = ACTIONS(1170),
    [anon_sym_blockhash] = ACTIONS(1170),
    [anon_sym_blobhash] = ACTIONS(1170),
    [anon_sym_basefee] = ACTIONS(1170),
    [anon_sym_blobfee] = ACTIONS(1170),
    [anon_sym_coinbase] = ACTIONS(1170),
    [anon_sym_timestamp] = ACTIONS(1170),
    [anon_sym_number] = ACTIONS(1170),
    [anon_sym_difficulty] = ACTIONS(1170),
    [anon_sym_gaslimit] = ACTIONS(1170),
    [anon_sym_hex] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1172),
    [anon_sym_SQUOTE] = ACTIONS(1172),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [sym_identifier] = ACTIONS(1177),
    [anon_sym_LBRACE] = ACTIONS(1179),
    [anon_sym_COMMA] = ACTIONS(1179),
    [anon_sym_RBRACE] = ACTIONS(1179),
    [anon_sym_RPAREN] = ACTIONS(1179),
    [anon_sym_for] = ACTIONS(1177),
    [sym_yul_leave] = ACTIONS(1177),
    [anon_sym_break] = ACTIONS(1177),
    [anon_sym_continue] = ACTIONS(1177),
    [sym_yul_decimal_number] = ACTIONS(1177),
    [sym_yul_hex_number] = ACTIONS(1179),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_if] = ACTIONS(1177),
    [anon_sym_switch] = ACTIONS(1177),
    [anon_sym_default] = ACTIONS(1177),
    [anon_sym_case] = ACTIONS(1177),
    [anon_sym_function] = ACTIONS(1177),
    [anon_sym_stop] = ACTIONS(1177),
    [anon_sym_add] = ACTIONS(1177),
    [anon_sym_sub] = ACTIONS(1177),
    [anon_sym_mul] = ACTIONS(1177),
    [anon_sym_div] = ACTIONS(1177),
    [anon_sym_sdiv] = ACTIONS(1177),
    [anon_sym_mod] = ACTIONS(1177),
    [anon_sym_smod] = ACTIONS(1177),
    [anon_sym_exp] = ACTIONS(1177),
    [anon_sym_not] = ACTIONS(1177),
    [anon_sym_lt] = ACTIONS(1177),
    [anon_sym_gt] = ACTIONS(1177),
    [anon_sym_slt] = ACTIONS(1177),
    [anon_sym_sgt] = ACTIONS(1177),
    [anon_sym_eq] = ACTIONS(1177),
    [anon_sym_iszero] = ACTIONS(1177),
    [anon_sym_and] = ACTIONS(1177),
    [anon_sym_or] = ACTIONS(1177),
    [anon_sym_xor] = ACTIONS(1177),
    [anon_sym_byte] = ACTIONS(1177),
    [anon_sym_shl] = ACTIONS(1177),
    [anon_sym_shr] = ACTIONS(1177),
    [anon_sym_sar] = ACTIONS(1177),
    [anon_sym_addmod] = ACTIONS(1177),
    [anon_sym_mulmod] = ACTIONS(1177),
    [anon_sym_signextend] = ACTIONS(1177),
    [anon_sym_keccak256] = ACTIONS(1177),
    [anon_sym_pop] = ACTIONS(1177),
    [anon_sym_mload] = ACTIONS(1177),
    [anon_sym_mcopy] = ACTIONS(1177),
    [anon_sym_tload] = ACTIONS(1177),
    [anon_sym_tstore] = ACTIONS(1177),
    [anon_sym_mstore] = ACTIONS(1177),
    [anon_sym_mstore8] = ACTIONS(1177),
    [anon_sym_sload] = ACTIONS(1177),
    [anon_sym_sstore] = ACTIONS(1177),
    [anon_sym_msize] = ACTIONS(1177),
    [anon_sym_gas] = ACTIONS(1177),
    [anon_sym_address] = ACTIONS(1177),
    [anon_sym_balance] = ACTIONS(1177),
    [anon_sym_selfbalance] = ACTIONS(1177),
    [anon_sym_caller] = ACTIONS(1177),
    [anon_sym_callvalue] = ACTIONS(1177),
    [anon_sym_calldataload] = ACTIONS(1177),
    [anon_sym_calldatasize] = ACTIONS(1177),
    [anon_sym_calldatacopy] = ACTIONS(1177),
    [anon_sym_extcodesize] = ACTIONS(1177),
    [anon_sym_extcodecopy] = ACTIONS(1177),
    [anon_sym_returndatasize] = ACTIONS(1177),
    [anon_sym_returndatacopy] = ACTIONS(1177),
    [anon_sym_extcodehash] = ACTIONS(1177),
    [anon_sym_create] = ACTIONS(1177),
    [anon_sym_create2] = ACTIONS(1177),
    [anon_sym_call] = ACTIONS(1177),
    [anon_sym_callcode] = ACTIONS(1177),
    [anon_sym_delegatecall] = ACTIONS(1177),
    [anon_sym_staticcall] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1177),
    [anon_sym_revert] = ACTIONS(1177),
    [anon_sym_selfdestruct] = ACTIONS(1177),
    [anon_sym_invalid] = ACTIONS(1177),
    [anon_sym_log0] = ACTIONS(1177),
    [anon_sym_log1] = ACTIONS(1177),
    [anon_sym_log2] = ACTIONS(1177),
    [anon_sym_log3] = ACTIONS(1177),
    [anon_sym_log4] = ACTIONS(1177),
    [anon_sym_chainid] = ACTIONS(1177),
    [anon_sym_origin] = ACTIONS(1177),
    [anon_sym_gasprice] = ACTIONS(1177),
    [anon_sym_blockhash] = ACTIONS(1177),
    [anon_sym_blobhash] = ACTIONS(1177),
    [anon_sym_basefee] = ACTIONS(1177),
    [anon_sym_blobfee] = ACTIONS(1177),
    [anon_sym_coinbase] = ACTIONS(1177),
    [anon_sym_timestamp] = ACTIONS(1177),
    [anon_sym_number] = ACTIONS(1177),
    [anon_sym_difficulty] = ACTIONS(1177),
    [anon_sym_gaslimit] = ACTIONS(1177),
    [anon_sym_hex] = ACTIONS(1177),
    [anon_sym_DQUOTE] = ACTIONS(1179),
    [anon_sym_SQUOTE] = ACTIONS(1179),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [sym_identifier] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_COMMA] = ACTIONS(1183),
    [anon_sym_RBRACE] = ACTIONS(1183),
    [anon_sym_RPAREN] = ACTIONS(1183),
    [anon_sym_for] = ACTIONS(1181),
    [sym_yul_leave] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1181),
    [anon_sym_continue] = ACTIONS(1181),
    [sym_yul_decimal_number] = ACTIONS(1181),
    [sym_yul_hex_number] = ACTIONS(1183),
    [anon_sym_true] = ACTIONS(1181),
    [anon_sym_false] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1181),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1181),
    [anon_sym_default] = ACTIONS(1181),
    [anon_sym_case] = ACTIONS(1181),
    [anon_sym_function] = ACTIONS(1181),
    [anon_sym_stop] = ACTIONS(1181),
    [anon_sym_add] = ACTIONS(1181),
    [anon_sym_sub] = ACTIONS(1181),
    [anon_sym_mul] = ACTIONS(1181),
    [anon_sym_div] = ACTIONS(1181),
    [anon_sym_sdiv] = ACTIONS(1181),
    [anon_sym_mod] = ACTIONS(1181),
    [anon_sym_smod] = ACTIONS(1181),
    [anon_sym_exp] = ACTIONS(1181),
    [anon_sym_not] = ACTIONS(1181),
    [anon_sym_lt] = ACTIONS(1181),
    [anon_sym_gt] = ACTIONS(1181),
    [anon_sym_slt] = ACTIONS(1181),
    [anon_sym_sgt] = ACTIONS(1181),
    [anon_sym_eq] = ACTIONS(1181),
    [anon_sym_iszero] = ACTIONS(1181),
    [anon_sym_and] = ACTIONS(1181),
    [anon_sym_or] = ACTIONS(1181),
    [anon_sym_xor] = ACTIONS(1181),
    [anon_sym_byte] = ACTIONS(1181),
    [anon_sym_shl] = ACTIONS(1181),
    [anon_sym_shr] = ACTIONS(1181),
    [anon_sym_sar] = ACTIONS(1181),
    [anon_sym_addmod] = ACTIONS(1181),
    [anon_sym_mulmod] = ACTIONS(1181),
    [anon_sym_signextend] = ACTIONS(1181),
    [anon_sym_keccak256] = ACTIONS(1181),
    [anon_sym_pop] = ACTIONS(1181),
    [anon_sym_mload] = ACTIONS(1181),
    [anon_sym_mcopy] = ACTIONS(1181),
    [anon_sym_tload] = ACTIONS(1181),
    [anon_sym_tstore] = ACTIONS(1181),
    [anon_sym_mstore] = ACTIONS(1181),
    [anon_sym_mstore8] = ACTIONS(1181),
    [anon_sym_sload] = ACTIONS(1181),
    [anon_sym_sstore] = ACTIONS(1181),
    [anon_sym_msize] = ACTIONS(1181),
    [anon_sym_gas] = ACTIONS(1181),
    [anon_sym_address] = ACTIONS(1181),
    [anon_sym_balance] = ACTIONS(1181),
    [anon_sym_selfbalance] = ACTIONS(1181),
    [anon_sym_caller] = ACTIONS(1181),
    [anon_sym_callvalue] = ACTIONS(1181),
    [anon_sym_calldataload] = ACTIONS(1181),
    [anon_sym_calldatasize] = ACTIONS(1181),
    [anon_sym_calldatacopy] = ACTIONS(1181),
    [anon_sym_extcodesize] = ACTIONS(1181),
    [anon_sym_extcodecopy] = ACTIONS(1181),
    [anon_sym_returndatasize] = ACTIONS(1181),
    [anon_sym_returndatacopy] = ACTIONS(1181),
    [anon_sym_extcodehash] = ACTIONS(1181),
    [anon_sym_create] = ACTIONS(1181),
    [anon_sym_create2] = ACTIONS(1181),
    [anon_sym_call] = ACTIONS(1181),
    [anon_sym_callcode] = ACTIONS(1181),
    [anon_sym_delegatecall] = ACTIONS(1181),
    [anon_sym_staticcall] = ACTIONS(1181),
    [anon_sym_return] = ACTIONS(1181),
    [anon_sym_revert] = ACTIONS(1181),
    [anon_sym_selfdestruct] = ACTIONS(1181),
    [anon_sym_invalid] = ACTIONS(1181),
    [anon_sym_log0] = ACTIONS(1181),
    [anon_sym_log1] = ACTIONS(1181),
    [anon_sym_log2] = ACTIONS(1181),
    [anon_sym_log3] = ACTIONS(1181),
    [anon_sym_log4] = ACTIONS(1181),
    [anon_sym_chainid] = ACTIONS(1181),
    [anon_sym_origin] = ACTIONS(1181),
    [anon_sym_gasprice] = ACTIONS(1181),
    [anon_sym_blockhash] = ACTIONS(1181),
    [anon_sym_blobhash] = ACTIONS(1181),
    [anon_sym_basefee] = ACTIONS(1181),
    [anon_sym_blobfee] = ACTIONS(1181),
    [anon_sym_coinbase] = ACTIONS(1181),
    [anon_sym_timestamp] = ACTIONS(1181),
    [anon_sym_number] = ACTIONS(1181),
    [anon_sym_difficulty] = ACTIONS(1181),
    [anon_sym_gaslimit] = ACTIONS(1181),
    [anon_sym_hex] = ACTIONS(1181),
    [anon_sym_DQUOTE] = ACTIONS(1183),
    [anon_sym_SQUOTE] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [sym_identifier] = ACTIONS(1155),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_COMMA] = ACTIONS(1157),
    [anon_sym_RBRACE] = ACTIONS(1157),
    [anon_sym_for] = ACTIONS(1155),
    [anon_sym_COLON] = ACTIONS(1155),
    [sym_yul_leave] = ACTIONS(1155),
    [anon_sym_break] = ACTIONS(1155),
    [anon_sym_continue] = ACTIONS(1155),
    [sym_yul_decimal_number] = ACTIONS(1155),
    [sym_yul_hex_number] = ACTIONS(1157),
    [anon_sym_true] = ACTIONS(1155),
    [anon_sym_false] = ACTIONS(1155),
    [anon_sym_let] = ACTIONS(1155),
    [anon_sym_COLON_EQ] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(1155),
    [anon_sym_switch] = ACTIONS(1155),
    [anon_sym_function] = ACTIONS(1155),
    [anon_sym_stop] = ACTIONS(1155),
    [anon_sym_add] = ACTIONS(1155),
    [anon_sym_sub] = ACTIONS(1155),
    [anon_sym_mul] = ACTIONS(1155),
    [anon_sym_div] = ACTIONS(1155),
    [anon_sym_sdiv] = ACTIONS(1155),
    [anon_sym_mod] = ACTIONS(1155),
    [anon_sym_smod] = ACTIONS(1155),
    [anon_sym_exp] = ACTIONS(1155),
    [anon_sym_not] = ACTIONS(1155),
    [anon_sym_lt] = ACTIONS(1155),
    [anon_sym_gt] = ACTIONS(1155),
    [anon_sym_slt] = ACTIONS(1155),
    [anon_sym_sgt] = ACTIONS(1155),
    [anon_sym_eq] = ACTIONS(1155),
    [anon_sym_iszero] = ACTIONS(1155),
    [anon_sym_and] = ACTIONS(1155),
    [anon_sym_or] = ACTIONS(1155),
    [anon_sym_xor] = ACTIONS(1155),
    [anon_sym_byte] = ACTIONS(1155),
    [anon_sym_shl] = ACTIONS(1155),
    [anon_sym_shr] = ACTIONS(1155),
    [anon_sym_sar] = ACTIONS(1155),
    [anon_sym_addmod] = ACTIONS(1155),
    [anon_sym_mulmod] = ACTIONS(1155),
    [anon_sym_signextend] = ACTIONS(1155),
    [anon_sym_keccak256] = ACTIONS(1155),
    [anon_sym_pop] = ACTIONS(1155),
    [anon_sym_mload] = ACTIONS(1155),
    [anon_sym_mcopy] = ACTIONS(1155),
    [anon_sym_tload] = ACTIONS(1155),
    [anon_sym_tstore] = ACTIONS(1155),
    [anon_sym_mstore] = ACTIONS(1155),
    [anon_sym_mstore8] = ACTIONS(1155),
    [anon_sym_sload] = ACTIONS(1155),
    [anon_sym_sstore] = ACTIONS(1155),
    [anon_sym_msize] = ACTIONS(1155),
    [anon_sym_gas] = ACTIONS(1155),
    [anon_sym_address] = ACTIONS(1155),
    [anon_sym_balance] = ACTIONS(1155),
    [anon_sym_selfbalance] = ACTIONS(1155),
    [anon_sym_caller] = ACTIONS(1155),
    [anon_sym_callvalue] = ACTIONS(1155),
    [anon_sym_calldataload] = ACTIONS(1155),
    [anon_sym_calldatasize] = ACTIONS(1155),
    [anon_sym_calldatacopy] = ACTIONS(1155),
    [anon_sym_extcodesize] = ACTIONS(1155),
    [anon_sym_extcodecopy] = ACTIONS(1155),
    [anon_sym_returndatasize] = ACTIONS(1155),
    [anon_sym_returndatacopy] = ACTIONS(1155),
    [anon_sym_extcodehash] = ACTIONS(1155),
    [anon_sym_create] = ACTIONS(1155),
    [anon_sym_create2] = ACTIONS(1155),
    [anon_sym_call] = ACTIONS(1155),
    [anon_sym_callcode] = ACTIONS(1155),
    [anon_sym_delegatecall] = ACTIONS(1155),
    [anon_sym_staticcall] = ACTIONS(1155),
    [anon_sym_return] = ACTIONS(1155),
    [anon_sym_revert] = ACTIONS(1155),
    [anon_sym_selfdestruct] = ACTIONS(1155),
    [anon_sym_invalid] = ACTIONS(1155),
    [anon_sym_log0] = ACTIONS(1155),
    [anon_sym_log1] = ACTIONS(1155),
    [anon_sym_log2] = ACTIONS(1155),
    [anon_sym_log3] = ACTIONS(1155),
    [anon_sym_log4] = ACTIONS(1155),
    [anon_sym_chainid] = ACTIONS(1155),
    [anon_sym_origin] = ACTIONS(1155),
    [anon_sym_gasprice] = ACTIONS(1155),
    [anon_sym_blockhash] = ACTIONS(1155),
    [anon_sym_blobhash] = ACTIONS(1155),
    [anon_sym_basefee] = ACTIONS(1155),
    [anon_sym_blobfee] = ACTIONS(1155),
    [anon_sym_coinbase] = ACTIONS(1155),
    [anon_sym_timestamp] = ACTIONS(1155),
    [anon_sym_number] = ACTIONS(1155),
    [anon_sym_difficulty] = ACTIONS(1155),
    [anon_sym_gaslimit] = ACTIONS(1155),
    [anon_sym_hex] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [anon_sym_SQUOTE] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [sym_identifier] = ACTIONS(1170),
    [anon_sym_LBRACE] = ACTIONS(1172),
    [anon_sym_COMMA] = ACTIONS(1172),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [anon_sym_RPAREN] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1170),
    [sym_yul_leave] = ACTIONS(1170),
    [anon_sym_break] = ACTIONS(1170),
    [anon_sym_continue] = ACTIONS(1170),
    [sym_yul_decimal_number] = ACTIONS(1170),
    [sym_yul_hex_number] = ACTIONS(1172),
    [anon_sym_true] = ACTIONS(1170),
    [anon_sym_false] = ACTIONS(1170),
    [anon_sym_let] = ACTIONS(1170),
    [anon_sym_COLON_EQ] = ACTIONS(1172),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_switch] = ACTIONS(1170),
    [anon_sym_function] = ACTIONS(1170),
    [anon_sym_stop] = ACTIONS(1170),
    [anon_sym_add] = ACTIONS(1170),
    [anon_sym_sub] = ACTIONS(1170),
    [anon_sym_mul] = ACTIONS(1170),
    [anon_sym_div] = ACTIONS(1170),
    [anon_sym_sdiv] = ACTIONS(1170),
    [anon_sym_mod] = ACTIONS(1170),
    [anon_sym_smod] = ACTIONS(1170),
    [anon_sym_exp] = ACTIONS(1170),
    [anon_sym_not] = ACTIONS(1170),
    [anon_sym_lt] = ACTIONS(1170),
    [anon_sym_gt] = ACTIONS(1170),
    [anon_sym_slt] = ACTIONS(1170),
    [anon_sym_sgt] = ACTIONS(1170),
    [anon_sym_eq] = ACTIONS(1170),
    [anon_sym_iszero] = ACTIONS(1170),
    [anon_sym_and] = ACTIONS(1170),
    [anon_sym_or] = ACTIONS(1170),
    [anon_sym_xor] = ACTIONS(1170),
    [anon_sym_byte] = ACTIONS(1170),
    [anon_sym_shl] = ACTIONS(1170),
    [anon_sym_shr] = ACTIONS(1170),
    [anon_sym_sar] = ACTIONS(1170),
    [anon_sym_addmod] = ACTIONS(1170),
    [anon_sym_mulmod] = ACTIONS(1170),
    [anon_sym_signextend] = ACTIONS(1170),
    [anon_sym_keccak256] = ACTIONS(1170),
    [anon_sym_pop] = ACTIONS(1170),
    [anon_sym_mload] = ACTIONS(1170),
    [anon_sym_mcopy] = ACTIONS(1170),
    [anon_sym_tload] = ACTIONS(1170),
    [anon_sym_tstore] = ACTIONS(1170),
    [anon_sym_mstore] = ACTIONS(1170),
    [anon_sym_mstore8] = ACTIONS(1170),
    [anon_sym_sload] = ACTIONS(1170),
    [anon_sym_sstore] = ACTIONS(1170),
    [anon_sym_msize] = ACTIONS(1170),
    [anon_sym_gas] = ACTIONS(1170),
    [anon_sym_address] = ACTIONS(1170),
    [anon_sym_balance] = ACTIONS(1170),
    [anon_sym_selfbalance] = ACTIONS(1170),
    [anon_sym_caller] = ACTIONS(1170),
    [anon_sym_callvalue] = ACTIONS(1170),
    [anon_sym_calldataload] = ACTIONS(1170),
    [anon_sym_calldatasize] = ACTIONS(1170),
    [anon_sym_calldatacopy] = ACTIONS(1170),
    [anon_sym_extcodesize] = ACTIONS(1170),
    [anon_sym_extcodecopy] = ACTIONS(1170),
    [anon_sym_returndatasize] = ACTIONS(1170),
    [anon_sym_returndatacopy] = ACTIONS(1170),
    [anon_sym_extcodehash] = ACTIONS(1170),
    [anon_sym_create] = ACTIONS(1170),
    [anon_sym_create2] = ACTIONS(1170),
    [anon_sym_call] = ACTIONS(1170),
    [anon_sym_callcode] = ACTIONS(1170),
    [anon_sym_delegatecall] = ACTIONS(1170),
    [anon_sym_staticcall] = ACTIONS(1170),
    [anon_sym_return] = ACTIONS(1170),
    [anon_sym_revert] = ACTIONS(1170),
    [anon_sym_selfdestruct] = ACTIONS(1170),
    [anon_sym_invalid] = ACTIONS(1170),
    [anon_sym_log0] = ACTIONS(1170),
    [anon_sym_log1] = ACTIONS(1170),
    [anon_sym_log2] = ACTIONS(1170),
    [anon_sym_log3] = ACTIONS(1170),
    [anon_sym_log4] = ACTIONS(1170),
    [anon_sym_chainid] = ACTIONS(1170),
    [anon_sym_origin] = ACTIONS(1170),
    [anon_sym_gasprice] = ACTIONS(1170),
    [anon_sym_blockhash] = ACTIONS(1170),
    [anon_sym_blobhash] = ACTIONS(1170),
    [anon_sym_basefee] = ACTIONS(1170),
    [anon_sym_blobfee] = ACTIONS(1170),
    [anon_sym_coinbase] = ACTIONS(1170),
    [anon_sym_timestamp] = ACTIONS(1170),
    [anon_sym_number] = ACTIONS(1170),
    [anon_sym_difficulty] = ACTIONS(1170),
    [anon_sym_gaslimit] = ACTIONS(1170),
    [anon_sym_hex] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1172),
    [anon_sym_SQUOTE] = ACTIONS(1172),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [aux_sym_yul_switch_statement_repeat1] = STATE(345),
    [sym_identifier] = ACTIONS(1185),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym_RBRACE] = ACTIONS(1187),
    [anon_sym_for] = ACTIONS(1185),
    [sym_yul_leave] = ACTIONS(1185),
    [anon_sym_break] = ACTIONS(1185),
    [anon_sym_continue] = ACTIONS(1185),
    [sym_yul_decimal_number] = ACTIONS(1185),
    [sym_yul_hex_number] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1185),
    [anon_sym_false] = ACTIONS(1185),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_if] = ACTIONS(1185),
    [anon_sym_switch] = ACTIONS(1185),
    [anon_sym_default] = ACTIONS(1185),
    [anon_sym_case] = ACTIONS(1189),
    [anon_sym_function] = ACTIONS(1185),
    [anon_sym_stop] = ACTIONS(1185),
    [anon_sym_add] = ACTIONS(1185),
    [anon_sym_sub] = ACTIONS(1185),
    [anon_sym_mul] = ACTIONS(1185),
    [anon_sym_div] = ACTIONS(1185),
    [anon_sym_sdiv] = ACTIONS(1185),
    [anon_sym_mod] = ACTIONS(1185),
    [anon_sym_smod] = ACTIONS(1185),
    [anon_sym_exp] = ACTIONS(1185),
    [anon_sym_not] = ACTIONS(1185),
    [anon_sym_lt] = ACTIONS(1185),
    [anon_sym_gt] = ACTIONS(1185),
    [anon_sym_slt] = ACTIONS(1185),
    [anon_sym_sgt] = ACTIONS(1185),
    [anon_sym_eq] = ACTIONS(1185),
    [anon_sym_iszero] = ACTIONS(1185),
    [anon_sym_and] = ACTIONS(1185),
    [anon_sym_or] = ACTIONS(1185),
    [anon_sym_xor] = ACTIONS(1185),
    [anon_sym_byte] = ACTIONS(1185),
    [anon_sym_shl] = ACTIONS(1185),
    [anon_sym_shr] = ACTIONS(1185),
    [anon_sym_sar] = ACTIONS(1185),
    [anon_sym_addmod] = ACTIONS(1185),
    [anon_sym_mulmod] = ACTIONS(1185),
    [anon_sym_signextend] = ACTIONS(1185),
    [anon_sym_keccak256] = ACTIONS(1185),
    [anon_sym_pop] = ACTIONS(1185),
    [anon_sym_mload] = ACTIONS(1185),
    [anon_sym_mcopy] = ACTIONS(1185),
    [anon_sym_tload] = ACTIONS(1185),
    [anon_sym_tstore] = ACTIONS(1185),
    [anon_sym_mstore] = ACTIONS(1185),
    [anon_sym_mstore8] = ACTIONS(1185),
    [anon_sym_sload] = ACTIONS(1185),
    [anon_sym_sstore] = ACTIONS(1185),
    [anon_sym_msize] = ACTIONS(1185),
    [anon_sym_gas] = ACTIONS(1185),
    [anon_sym_address] = ACTIONS(1185),
    [anon_sym_balance] = ACTIONS(1185),
    [anon_sym_selfbalance] = ACTIONS(1185),
    [anon_sym_caller] = ACTIONS(1185),
    [anon_sym_callvalue] = ACTIONS(1185),
    [anon_sym_calldataload] = ACTIONS(1185),
    [anon_sym_calldatasize] = ACTIONS(1185),
    [anon_sym_calldatacopy] = ACTIONS(1185),
    [anon_sym_extcodesize] = ACTIONS(1185),
    [anon_sym_extcodecopy] = ACTIONS(1185),
    [anon_sym_returndatasize] = ACTIONS(1185),
    [anon_sym_returndatacopy] = ACTIONS(1185),
    [anon_sym_extcodehash] = ACTIONS(1185),
    [anon_sym_create] = ACTIONS(1185),
    [anon_sym_create2] = ACTIONS(1185),
    [anon_sym_call] = ACTIONS(1185),
    [anon_sym_callcode] = ACTIONS(1185),
    [anon_sym_delegatecall] = ACTIONS(1185),
    [anon_sym_staticcall] = ACTIONS(1185),
    [anon_sym_return] = ACTIONS(1185),
    [anon_sym_revert] = ACTIONS(1185),
    [anon_sym_selfdestruct] = ACTIONS(1185),
    [anon_sym_invalid] = ACTIONS(1185),
    [anon_sym_log0] = ACTIONS(1185),
    [anon_sym_log1] = ACTIONS(1185),
    [anon_sym_log2] = ACTIONS(1185),
    [anon_sym_log3] = ACTIONS(1185),
    [anon_sym_log4] = ACTIONS(1185),
    [anon_sym_chainid] = ACTIONS(1185),
    [anon_sym_origin] = ACTIONS(1185),
    [anon_sym_gasprice] = ACTIONS(1185),
    [anon_sym_blockhash] = ACTIONS(1185),
    [anon_sym_blobhash] = ACTIONS(1185),
    [anon_sym_basefee] = ACTIONS(1185),
    [anon_sym_blobfee] = ACTIONS(1185),
    [anon_sym_coinbase] = ACTIONS(1185),
    [anon_sym_timestamp] = ACTIONS(1185),
    [anon_sym_number] = ACTIONS(1185),
    [anon_sym_difficulty] = ACTIONS(1185),
    [anon_sym_gaslimit] = ACTIONS(1185),
    [anon_sym_hex] = ACTIONS(1185),
    [anon_sym_DQUOTE] = ACTIONS(1187),
    [anon_sym_SQUOTE] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [aux_sym_yul_switch_statement_repeat1] = STATE(345),
    [sym_identifier] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_RBRACE] = ACTIONS(1194),
    [anon_sym_for] = ACTIONS(1192),
    [sym_yul_leave] = ACTIONS(1192),
    [anon_sym_break] = ACTIONS(1192),
    [anon_sym_continue] = ACTIONS(1192),
    [sym_yul_decimal_number] = ACTIONS(1192),
    [sym_yul_hex_number] = ACTIONS(1194),
    [anon_sym_true] = ACTIONS(1192),
    [anon_sym_false] = ACTIONS(1192),
    [anon_sym_let] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1192),
    [anon_sym_switch] = ACTIONS(1192),
    [anon_sym_default] = ACTIONS(1196),
    [anon_sym_case] = ACTIONS(1198),
    [anon_sym_function] = ACTIONS(1192),
    [anon_sym_stop] = ACTIONS(1192),
    [anon_sym_add] = ACTIONS(1192),
    [anon_sym_sub] = ACTIONS(1192),
    [anon_sym_mul] = ACTIONS(1192),
    [anon_sym_div] = ACTIONS(1192),
    [anon_sym_sdiv] = ACTIONS(1192),
    [anon_sym_mod] = ACTIONS(1192),
    [anon_sym_smod] = ACTIONS(1192),
    [anon_sym_exp] = ACTIONS(1192),
    [anon_sym_not] = ACTIONS(1192),
    [anon_sym_lt] = ACTIONS(1192),
    [anon_sym_gt] = ACTIONS(1192),
    [anon_sym_slt] = ACTIONS(1192),
    [anon_sym_sgt] = ACTIONS(1192),
    [anon_sym_eq] = ACTIONS(1192),
    [anon_sym_iszero] = ACTIONS(1192),
    [anon_sym_and] = ACTIONS(1192),
    [anon_sym_or] = ACTIONS(1192),
    [anon_sym_xor] = ACTIONS(1192),
    [anon_sym_byte] = ACTIONS(1192),
    [anon_sym_shl] = ACTIONS(1192),
    [anon_sym_shr] = ACTIONS(1192),
    [anon_sym_sar] = ACTIONS(1192),
    [anon_sym_addmod] = ACTIONS(1192),
    [anon_sym_mulmod] = ACTIONS(1192),
    [anon_sym_signextend] = ACTIONS(1192),
    [anon_sym_keccak256] = ACTIONS(1192),
    [anon_sym_pop] = ACTIONS(1192),
    [anon_sym_mload] = ACTIONS(1192),
    [anon_sym_mcopy] = ACTIONS(1192),
    [anon_sym_tload] = ACTIONS(1192),
    [anon_sym_tstore] = ACTIONS(1192),
    [anon_sym_mstore] = ACTIONS(1192),
    [anon_sym_mstore8] = ACTIONS(1192),
    [anon_sym_sload] = ACTIONS(1192),
    [anon_sym_sstore] = ACTIONS(1192),
    [anon_sym_msize] = ACTIONS(1192),
    [anon_sym_gas] = ACTIONS(1192),
    [anon_sym_address] = ACTIONS(1192),
    [anon_sym_balance] = ACTIONS(1192),
    [anon_sym_selfbalance] = ACTIONS(1192),
    [anon_sym_caller] = ACTIONS(1192),
    [anon_sym_callvalue] = ACTIONS(1192),
    [anon_sym_calldataload] = ACTIONS(1192),
    [anon_sym_calldatasize] = ACTIONS(1192),
    [anon_sym_calldatacopy] = ACTIONS(1192),
    [anon_sym_extcodesize] = ACTIONS(1192),
    [anon_sym_extcodecopy] = ACTIONS(1192),
    [anon_sym_returndatasize] = ACTIONS(1192),
    [anon_sym_returndatacopy] = ACTIONS(1192),
    [anon_sym_extcodehash] = ACTIONS(1192),
    [anon_sym_create] = ACTIONS(1192),
    [anon_sym_create2] = ACTIONS(1192),
    [anon_sym_call] = ACTIONS(1192),
    [anon_sym_callcode] = ACTIONS(1192),
    [anon_sym_delegatecall] = ACTIONS(1192),
    [anon_sym_staticcall] = ACTIONS(1192),
    [anon_sym_return] = ACTIONS(1192),
    [anon_sym_revert] = ACTIONS(1192),
    [anon_sym_selfdestruct] = ACTIONS(1192),
    [anon_sym_invalid] = ACTIONS(1192),
    [anon_sym_log0] = ACTIONS(1192),
    [anon_sym_log1] = ACTIONS(1192),
    [anon_sym_log2] = ACTIONS(1192),
    [anon_sym_log3] = ACTIONS(1192),
    [anon_sym_log4] = ACTIONS(1192),
    [anon_sym_chainid] = ACTIONS(1192),
    [anon_sym_origin] = ACTIONS(1192),
    [anon_sym_gasprice] = ACTIONS(1192),
    [anon_sym_blockhash] = ACTIONS(1192),
    [anon_sym_blobhash] = ACTIONS(1192),
    [anon_sym_basefee] = ACTIONS(1192),
    [anon_sym_blobfee] = ACTIONS(1192),
    [anon_sym_coinbase] = ACTIONS(1192),
    [anon_sym_timestamp] = ACTIONS(1192),
    [anon_sym_number] = ACTIONS(1192),
    [anon_sym_difficulty] = ACTIONS(1192),
    [anon_sym_gaslimit] = ACTIONS(1192),
    [anon_sym_hex] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1194),
    [anon_sym_SQUOTE] = ACTIONS(1194),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [aux_sym_yul_variable_declaration_repeat1] = STATE(340),
    [sym_identifier] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_COMMA] = ACTIONS(1204),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1200),
    [sym_yul_leave] = ACTIONS(1200),
    [anon_sym_break] = ACTIONS(1200),
    [anon_sym_continue] = ACTIONS(1200),
    [sym_yul_decimal_number] = ACTIONS(1200),
    [sym_yul_hex_number] = ACTIONS(1202),
    [anon_sym_true] = ACTIONS(1200),
    [anon_sym_false] = ACTIONS(1200),
    [anon_sym_let] = ACTIONS(1200),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_switch] = ACTIONS(1200),
    [anon_sym_function] = ACTIONS(1200),
    [anon_sym_stop] = ACTIONS(1200),
    [anon_sym_add] = ACTIONS(1200),
    [anon_sym_sub] = ACTIONS(1200),
    [anon_sym_mul] = ACTIONS(1200),
    [anon_sym_div] = ACTIONS(1200),
    [anon_sym_sdiv] = ACTIONS(1200),
    [anon_sym_mod] = ACTIONS(1200),
    [anon_sym_smod] = ACTIONS(1200),
    [anon_sym_exp] = ACTIONS(1200),
    [anon_sym_not] = ACTIONS(1200),
    [anon_sym_lt] = ACTIONS(1200),
    [anon_sym_gt] = ACTIONS(1200),
    [anon_sym_slt] = ACTIONS(1200),
    [anon_sym_sgt] = ACTIONS(1200),
    [anon_sym_eq] = ACTIONS(1200),
    [anon_sym_iszero] = ACTIONS(1200),
    [anon_sym_and] = ACTIONS(1200),
    [anon_sym_or] = ACTIONS(1200),
    [anon_sym_xor] = ACTIONS(1200),
    [anon_sym_byte] = ACTIONS(1200),
    [anon_sym_shl] = ACTIONS(1200),
    [anon_sym_shr] = ACTIONS(1200),
    [anon_sym_sar] = ACTIONS(1200),
    [anon_sym_addmod] = ACTIONS(1200),
    [anon_sym_mulmod] = ACTIONS(1200),
    [anon_sym_signextend] = ACTIONS(1200),
    [anon_sym_keccak256] = ACTIONS(1200),
    [anon_sym_pop] = ACTIONS(1200),
    [anon_sym_mload] = ACTIONS(1200),
    [anon_sym_mcopy] = ACTIONS(1200),
    [anon_sym_tload] = ACTIONS(1200),
    [anon_sym_tstore] = ACTIONS(1200),
    [anon_sym_mstore] = ACTIONS(1200),
    [anon_sym_mstore8] = ACTIONS(1200),
    [anon_sym_sload] = ACTIONS(1200),
    [anon_sym_sstore] = ACTIONS(1200),
    [anon_sym_msize] = ACTIONS(1200),
    [anon_sym_gas] = ACTIONS(1200),
    [anon_sym_address] = ACTIONS(1200),
    [anon_sym_balance] = ACTIONS(1200),
    [anon_sym_selfbalance] = ACTIONS(1200),
    [anon_sym_caller] = ACTIONS(1200),
    [anon_sym_callvalue] = ACTIONS(1200),
    [anon_sym_calldataload] = ACTIONS(1200),
    [anon_sym_calldatasize] = ACTIONS(1200),
    [anon_sym_calldatacopy] = ACTIONS(1200),
    [anon_sym_extcodesize] = ACTIONS(1200),
    [anon_sym_extcodecopy] = ACTIONS(1200),
    [anon_sym_returndatasize] = ACTIONS(1200),
    [anon_sym_returndatacopy] = ACTIONS(1200),
    [anon_sym_extcodehash] = ACTIONS(1200),
    [anon_sym_create] = ACTIONS(1200),
    [anon_sym_create2] = ACTIONS(1200),
    [anon_sym_call] = ACTIONS(1200),
    [anon_sym_callcode] = ACTIONS(1200),
    [anon_sym_delegatecall] = ACTIONS(1200),
    [anon_sym_staticcall] = ACTIONS(1200),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_revert] = ACTIONS(1200),
    [anon_sym_selfdestruct] = ACTIONS(1200),
    [anon_sym_invalid] = ACTIONS(1200),
    [anon_sym_log0] = ACTIONS(1200),
    [anon_sym_log1] = ACTIONS(1200),
    [anon_sym_log2] = ACTIONS(1200),
    [anon_sym_log3] = ACTIONS(1200),
    [anon_sym_log4] = ACTIONS(1200),
    [anon_sym_chainid] = ACTIONS(1200),
    [anon_sym_origin] = ACTIONS(1200),
    [anon_sym_gasprice] = ACTIONS(1200),
    [anon_sym_blockhash] = ACTIONS(1200),
    [anon_sym_blobhash] = ACTIONS(1200),
    [anon_sym_basefee] = ACTIONS(1200),
    [anon_sym_blobfee] = ACTIONS(1200),
    [anon_sym_coinbase] = ACTIONS(1200),
    [anon_sym_timestamp] = ACTIONS(1200),
    [anon_sym_number] = ACTIONS(1200),
    [anon_sym_difficulty] = ACTIONS(1200),
    [anon_sym_gaslimit] = ACTIONS(1200),
    [anon_sym_hex] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [aux_sym_yul_variable_declaration_repeat1] = STATE(347),
    [sym_identifier] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_COMMA] = ACTIONS(1212),
    [anon_sym_RBRACE] = ACTIONS(1210),
    [anon_sym_for] = ACTIONS(1208),
    [sym_yul_leave] = ACTIONS(1208),
    [anon_sym_break] = ACTIONS(1208),
    [anon_sym_continue] = ACTIONS(1208),
    [sym_yul_decimal_number] = ACTIONS(1208),
    [sym_yul_hex_number] = ACTIONS(1210),
    [anon_sym_true] = ACTIONS(1208),
    [anon_sym_false] = ACTIONS(1208),
    [anon_sym_let] = ACTIONS(1208),
    [anon_sym_COLON_EQ] = ACTIONS(1214),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_switch] = ACTIONS(1208),
    [anon_sym_function] = ACTIONS(1208),
    [anon_sym_stop] = ACTIONS(1208),
    [anon_sym_add] = ACTIONS(1208),
    [anon_sym_sub] = ACTIONS(1208),
    [anon_sym_mul] = ACTIONS(1208),
    [anon_sym_div] = ACTIONS(1208),
    [anon_sym_sdiv] = ACTIONS(1208),
    [anon_sym_mod] = ACTIONS(1208),
    [anon_sym_smod] = ACTIONS(1208),
    [anon_sym_exp] = ACTIONS(1208),
    [anon_sym_not] = ACTIONS(1208),
    [anon_sym_lt] = ACTIONS(1208),
    [anon_sym_gt] = ACTIONS(1208),
    [anon_sym_slt] = ACTIONS(1208),
    [anon_sym_sgt] = ACTIONS(1208),
    [anon_sym_eq] = ACTIONS(1208),
    [anon_sym_iszero] = ACTIONS(1208),
    [anon_sym_and] = ACTIONS(1208),
    [anon_sym_or] = ACTIONS(1208),
    [anon_sym_xor] = ACTIONS(1208),
    [anon_sym_byte] = ACTIONS(1208),
    [anon_sym_shl] = ACTIONS(1208),
    [anon_sym_shr] = ACTIONS(1208),
    [anon_sym_sar] = ACTIONS(1208),
    [anon_sym_addmod] = ACTIONS(1208),
    [anon_sym_mulmod] = ACTIONS(1208),
    [anon_sym_signextend] = ACTIONS(1208),
    [anon_sym_keccak256] = ACTIONS(1208),
    [anon_sym_pop] = ACTIONS(1208),
    [anon_sym_mload] = ACTIONS(1208),
    [anon_sym_mcopy] = ACTIONS(1208),
    [anon_sym_tload] = ACTIONS(1208),
    [anon_sym_tstore] = ACTIONS(1208),
    [anon_sym_mstore] = ACTIONS(1208),
    [anon_sym_mstore8] = ACTIONS(1208),
    [anon_sym_sload] = ACTIONS(1208),
    [anon_sym_sstore] = ACTIONS(1208),
    [anon_sym_msize] = ACTIONS(1208),
    [anon_sym_gas] = ACTIONS(1208),
    [anon_sym_address] = ACTIONS(1208),
    [anon_sym_balance] = ACTIONS(1208),
    [anon_sym_selfbalance] = ACTIONS(1208),
    [anon_sym_caller] = ACTIONS(1208),
    [anon_sym_callvalue] = ACTIONS(1208),
    [anon_sym_calldataload] = ACTIONS(1208),
    [anon_sym_calldatasize] = ACTIONS(1208),
    [anon_sym_calldatacopy] = ACTIONS(1208),
    [anon_sym_extcodesize] = ACTIONS(1208),
    [anon_sym_extcodecopy] = ACTIONS(1208),
    [anon_sym_returndatasize] = ACTIONS(1208),
    [anon_sym_returndatacopy] = ACTIONS(1208),
    [anon_sym_extcodehash] = ACTIONS(1208),
    [anon_sym_create] = ACTIONS(1208),
    [anon_sym_create2] = ACTIONS(1208),
    [anon_sym_call] = ACTIONS(1208),
    [anon_sym_callcode] = ACTIONS(1208),
    [anon_sym_delegatecall] = ACTIONS(1208),
    [anon_sym_staticcall] = ACTIONS(1208),
    [anon_sym_return] = ACTIONS(1208),
    [anon_sym_revert] = ACTIONS(1208),
    [anon_sym_selfdestruct] = ACTIONS(1208),
    [anon_sym_invalid] = ACTIONS(1208),
    [anon_sym_log0] = ACTIONS(1208),
    [anon_sym_log1] = ACTIONS(1208),
    [anon_sym_log2] = ACTIONS(1208),
    [anon_sym_log3] = ACTIONS(1208),
    [anon_sym_log4] = ACTIONS(1208),
    [anon_sym_chainid] = ACTIONS(1208),
    [anon_sym_origin] = ACTIONS(1208),
    [anon_sym_gasprice] = ACTIONS(1208),
    [anon_sym_blockhash] = ACTIONS(1208),
    [anon_sym_blobhash] = ACTIONS(1208),
    [anon_sym_basefee] = ACTIONS(1208),
    [anon_sym_blobfee] = ACTIONS(1208),
    [anon_sym_coinbase] = ACTIONS(1208),
    [anon_sym_timestamp] = ACTIONS(1208),
    [anon_sym_number] = ACTIONS(1208),
    [anon_sym_difficulty] = ACTIONS(1208),
    [anon_sym_gaslimit] = ACTIONS(1208),
    [anon_sym_hex] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [sym_yul_identifier] = STATE(344),
    [sym_identifier] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_RBRACE] = ACTIONS(1218),
    [anon_sym_for] = ACTIONS(1216),
    [sym_yul_leave] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_continue] = ACTIONS(1216),
    [sym_yul_decimal_number] = ACTIONS(1216),
    [sym_yul_hex_number] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1216),
    [anon_sym_false] = ACTIONS(1216),
    [anon_sym_let] = ACTIONS(1216),
    [anon_sym_COLON_EQ] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1216),
    [anon_sym_switch] = ACTIONS(1216),
    [anon_sym_function] = ACTIONS(1216),
    [anon_sym_stop] = ACTIONS(1216),
    [anon_sym_add] = ACTIONS(1216),
    [anon_sym_sub] = ACTIONS(1216),
    [anon_sym_mul] = ACTIONS(1216),
    [anon_sym_div] = ACTIONS(1216),
    [anon_sym_sdiv] = ACTIONS(1216),
    [anon_sym_mod] = ACTIONS(1216),
    [anon_sym_smod] = ACTIONS(1216),
    [anon_sym_exp] = ACTIONS(1216),
    [anon_sym_not] = ACTIONS(1216),
    [anon_sym_lt] = ACTIONS(1216),
    [anon_sym_gt] = ACTIONS(1216),
    [anon_sym_slt] = ACTIONS(1216),
    [anon_sym_sgt] = ACTIONS(1216),
    [anon_sym_eq] = ACTIONS(1216),
    [anon_sym_iszero] = ACTIONS(1216),
    [anon_sym_and] = ACTIONS(1216),
    [anon_sym_or] = ACTIONS(1216),
    [anon_sym_xor] = ACTIONS(1216),
    [anon_sym_byte] = ACTIONS(1216),
    [anon_sym_shl] = ACTIONS(1216),
    [anon_sym_shr] = ACTIONS(1216),
    [anon_sym_sar] = ACTIONS(1216),
    [anon_sym_addmod] = ACTIONS(1216),
    [anon_sym_mulmod] = ACTIONS(1216),
    [anon_sym_signextend] = ACTIONS(1216),
    [anon_sym_keccak256] = ACTIONS(1216),
    [anon_sym_pop] = ACTIONS(1216),
    [anon_sym_mload] = ACTIONS(1216),
    [anon_sym_mcopy] = ACTIONS(1216),
    [anon_sym_tload] = ACTIONS(1216),
    [anon_sym_tstore] = ACTIONS(1216),
    [anon_sym_mstore] = ACTIONS(1216),
    [anon_sym_mstore8] = ACTIONS(1216),
    [anon_sym_sload] = ACTIONS(1216),
    [anon_sym_sstore] = ACTIONS(1216),
    [anon_sym_msize] = ACTIONS(1216),
    [anon_sym_gas] = ACTIONS(1216),
    [anon_sym_address] = ACTIONS(1216),
    [anon_sym_balance] = ACTIONS(1216),
    [anon_sym_selfbalance] = ACTIONS(1216),
    [anon_sym_caller] = ACTIONS(1216),
    [anon_sym_callvalue] = ACTIONS(1216),
    [anon_sym_calldataload] = ACTIONS(1216),
    [anon_sym_calldatasize] = ACTIONS(1216),
    [anon_sym_calldatacopy] = ACTIONS(1216),
    [anon_sym_extcodesize] = ACTIONS(1216),
    [anon_sym_extcodecopy] = ACTIONS(1216),
    [anon_sym_returndatasize] = ACTIONS(1216),
    [anon_sym_returndatacopy] = ACTIONS(1216),
    [anon_sym_extcodehash] = ACTIONS(1216),
    [anon_sym_create] = ACTIONS(1216),
    [anon_sym_create2] = ACTIONS(1216),
    [anon_sym_call] = ACTIONS(1216),
    [anon_sym_callcode] = ACTIONS(1216),
    [anon_sym_delegatecall] = ACTIONS(1216),
    [anon_sym_staticcall] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1216),
    [anon_sym_revert] = ACTIONS(1216),
    [anon_sym_selfdestruct] = ACTIONS(1216),
    [anon_sym_invalid] = ACTIONS(1216),
    [anon_sym_log0] = ACTIONS(1216),
    [anon_sym_log1] = ACTIONS(1216),
    [anon_sym_log2] = ACTIONS(1216),
    [anon_sym_log3] = ACTIONS(1216),
    [anon_sym_log4] = ACTIONS(1216),
    [anon_sym_chainid] = ACTIONS(1216),
    [anon_sym_origin] = ACTIONS(1216),
    [anon_sym_gasprice] = ACTIONS(1216),
    [anon_sym_blockhash] = ACTIONS(1216),
    [anon_sym_blobhash] = ACTIONS(1216),
    [anon_sym_basefee] = ACTIONS(1216),
    [anon_sym_blobfee] = ACTIONS(1216),
    [anon_sym_coinbase] = ACTIONS(1216),
    [anon_sym_timestamp] = ACTIONS(1216),
    [anon_sym_number] = ACTIONS(1216),
    [anon_sym_difficulty] = ACTIONS(1216),
    [anon_sym_gaslimit] = ACTIONS(1216),
    [anon_sym_hex] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_yul_identifier] = STATE(322),
    [sym__yul_expression] = STATE(978),
    [sym_yul_path] = STATE(978),
    [sym__yul_literal] = STATE(978),
    [sym_yul_string_literal] = STATE(978),
    [sym_yul_boolean] = STATE(978),
    [sym_yul_function_call] = STATE(978),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_hex_string_literal] = STATE(978),
    [sym_string] = STATE(335),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [sym_identifier] = ACTIONS(1222),
    [anon_sym_RPAREN] = ACTIONS(1224),
    [sym_yul_decimal_number] = ACTIONS(1226),
    [sym_yul_hex_number] = ACTIONS(1228),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(977),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_yul_identifier] = STATE(322),
    [sym__yul_expression] = STATE(978),
    [sym_yul_path] = STATE(978),
    [sym__yul_literal] = STATE(978),
    [sym_yul_string_literal] = STATE(978),
    [sym_yul_boolean] = STATE(978),
    [sym_yul_function_call] = STATE(978),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_hex_string_literal] = STATE(978),
    [sym_string] = STATE(335),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [sym_identifier] = ACTIONS(1222),
    [anon_sym_RPAREN] = ACTIONS(1230),
    [sym_yul_decimal_number] = ACTIONS(1226),
    [sym_yul_hex_number] = ACTIONS(1228),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(977),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [sym_yul_identifier] = STATE(322),
    [sym__yul_expression] = STATE(715),
    [sym_yul_path] = STATE(715),
    [sym__yul_literal] = STATE(715),
    [sym_yul_string_literal] = STATE(715),
    [sym_yul_boolean] = STATE(715),
    [sym_yul_function_call] = STATE(715),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_hex_string_literal] = STATE(715),
    [sym_string] = STATE(335),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [sym_identifier] = ACTIONS(1222),
    [anon_sym_RPAREN] = ACTIONS(1232),
    [sym_yul_decimal_number] = ACTIONS(1234),
    [sym_yul_hex_number] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(977),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [sym_identifier] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [anon_sym_for] = ACTIONS(1238),
    [sym_yul_leave] = ACTIONS(1238),
    [anon_sym_break] = ACTIONS(1238),
    [anon_sym_continue] = ACTIONS(1238),
    [sym_yul_decimal_number] = ACTIONS(1238),
    [sym_yul_hex_number] = ACTIONS(1240),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [anon_sym_let] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1238),
    [anon_sym_switch] = ACTIONS(1238),
    [anon_sym_default] = ACTIONS(1238),
    [anon_sym_case] = ACTIONS(1238),
    [anon_sym_function] = ACTIONS(1238),
    [anon_sym_stop] = ACTIONS(1238),
    [anon_sym_add] = ACTIONS(1238),
    [anon_sym_sub] = ACTIONS(1238),
    [anon_sym_mul] = ACTIONS(1238),
    [anon_sym_div] = ACTIONS(1238),
    [anon_sym_sdiv] = ACTIONS(1238),
    [anon_sym_mod] = ACTIONS(1238),
    [anon_sym_smod] = ACTIONS(1238),
    [anon_sym_exp] = ACTIONS(1238),
    [anon_sym_not] = ACTIONS(1238),
    [anon_sym_lt] = ACTIONS(1238),
    [anon_sym_gt] = ACTIONS(1238),
    [anon_sym_slt] = ACTIONS(1238),
    [anon_sym_sgt] = ACTIONS(1238),
    [anon_sym_eq] = ACTIONS(1238),
    [anon_sym_iszero] = ACTIONS(1238),
    [anon_sym_and] = ACTIONS(1238),
    [anon_sym_or] = ACTIONS(1238),
    [anon_sym_xor] = ACTIONS(1238),
    [anon_sym_byte] = ACTIONS(1238),
    [anon_sym_shl] = ACTIONS(1238),
    [anon_sym_shr] = ACTIONS(1238),
    [anon_sym_sar] = ACTIONS(1238),
    [anon_sym_addmod] = ACTIONS(1238),
    [anon_sym_mulmod] = ACTIONS(1238),
    [anon_sym_signextend] = ACTIONS(1238),
    [anon_sym_keccak256] = ACTIONS(1238),
    [anon_sym_pop] = ACTIONS(1238),
    [anon_sym_mload] = ACTIONS(1238),
    [anon_sym_mcopy] = ACTIONS(1238),
    [anon_sym_tload] = ACTIONS(1238),
    [anon_sym_tstore] = ACTIONS(1238),
    [anon_sym_mstore] = ACTIONS(1238),
    [anon_sym_mstore8] = ACTIONS(1238),
    [anon_sym_sload] = ACTIONS(1238),
    [anon_sym_sstore] = ACTIONS(1238),
    [anon_sym_msize] = ACTIONS(1238),
    [anon_sym_gas] = ACTIONS(1238),
    [anon_sym_address] = ACTIONS(1238),
    [anon_sym_balance] = ACTIONS(1238),
    [anon_sym_selfbalance] = ACTIONS(1238),
    [anon_sym_caller] = ACTIONS(1238),
    [anon_sym_callvalue] = ACTIONS(1238),
    [anon_sym_calldataload] = ACTIONS(1238),
    [anon_sym_calldatasize] = ACTIONS(1238),
    [anon_sym_calldatacopy] = ACTIONS(1238),
    [anon_sym_extcodesize] = ACTIONS(1238),
    [anon_sym_extcodecopy] = ACTIONS(1238),
    [anon_sym_returndatasize] = ACTIONS(1238),
    [anon_sym_returndatacopy] = ACTIONS(1238),
    [anon_sym_extcodehash] = ACTIONS(1238),
    [anon_sym_create] = ACTIONS(1238),
    [anon_sym_create2] = ACTIONS(1238),
    [anon_sym_call] = ACTIONS(1238),
    [anon_sym_callcode] = ACTIONS(1238),
    [anon_sym_delegatecall] = ACTIONS(1238),
    [anon_sym_staticcall] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1238),
    [anon_sym_revert] = ACTIONS(1238),
    [anon_sym_selfdestruct] = ACTIONS(1238),
    [anon_sym_invalid] = ACTIONS(1238),
    [anon_sym_log0] = ACTIONS(1238),
    [anon_sym_log1] = ACTIONS(1238),
    [anon_sym_log2] = ACTIONS(1238),
    [anon_sym_log3] = ACTIONS(1238),
    [anon_sym_log4] = ACTIONS(1238),
    [anon_sym_chainid] = ACTIONS(1238),
    [anon_sym_origin] = ACTIONS(1238),
    [anon_sym_gasprice] = ACTIONS(1238),
    [anon_sym_blockhash] = ACTIONS(1238),
    [anon_sym_blobhash] = ACTIONS(1238),
    [anon_sym_basefee] = ACTIONS(1238),
    [anon_sym_blobfee] = ACTIONS(1238),
    [anon_sym_coinbase] = ACTIONS(1238),
    [anon_sym_timestamp] = ACTIONS(1238),
    [anon_sym_number] = ACTIONS(1238),
    [anon_sym_difficulty] = ACTIONS(1238),
    [anon_sym_gaslimit] = ACTIONS(1238),
    [anon_sym_hex] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [sym_identifier] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [anon_sym_for] = ACTIONS(1242),
    [sym_yul_leave] = ACTIONS(1242),
    [anon_sym_break] = ACTIONS(1242),
    [anon_sym_continue] = ACTIONS(1242),
    [sym_yul_decimal_number] = ACTIONS(1242),
    [sym_yul_hex_number] = ACTIONS(1244),
    [anon_sym_true] = ACTIONS(1242),
    [anon_sym_false] = ACTIONS(1242),
    [anon_sym_let] = ACTIONS(1242),
    [anon_sym_if] = ACTIONS(1242),
    [anon_sym_switch] = ACTIONS(1242),
    [anon_sym_default] = ACTIONS(1242),
    [anon_sym_case] = ACTIONS(1242),
    [anon_sym_function] = ACTIONS(1242),
    [anon_sym_stop] = ACTIONS(1242),
    [anon_sym_add] = ACTIONS(1242),
    [anon_sym_sub] = ACTIONS(1242),
    [anon_sym_mul] = ACTIONS(1242),
    [anon_sym_div] = ACTIONS(1242),
    [anon_sym_sdiv] = ACTIONS(1242),
    [anon_sym_mod] = ACTIONS(1242),
    [anon_sym_smod] = ACTIONS(1242),
    [anon_sym_exp] = ACTIONS(1242),
    [anon_sym_not] = ACTIONS(1242),
    [anon_sym_lt] = ACTIONS(1242),
    [anon_sym_gt] = ACTIONS(1242),
    [anon_sym_slt] = ACTIONS(1242),
    [anon_sym_sgt] = ACTIONS(1242),
    [anon_sym_eq] = ACTIONS(1242),
    [anon_sym_iszero] = ACTIONS(1242),
    [anon_sym_and] = ACTIONS(1242),
    [anon_sym_or] = ACTIONS(1242),
    [anon_sym_xor] = ACTIONS(1242),
    [anon_sym_byte] = ACTIONS(1242),
    [anon_sym_shl] = ACTIONS(1242),
    [anon_sym_shr] = ACTIONS(1242),
    [anon_sym_sar] = ACTIONS(1242),
    [anon_sym_addmod] = ACTIONS(1242),
    [anon_sym_mulmod] = ACTIONS(1242),
    [anon_sym_signextend] = ACTIONS(1242),
    [anon_sym_keccak256] = ACTIONS(1242),
    [anon_sym_pop] = ACTIONS(1242),
    [anon_sym_mload] = ACTIONS(1242),
    [anon_sym_mcopy] = ACTIONS(1242),
    [anon_sym_tload] = ACTIONS(1242),
    [anon_sym_tstore] = ACTIONS(1242),
    [anon_sym_mstore] = ACTIONS(1242),
    [anon_sym_mstore8] = ACTIONS(1242),
    [anon_sym_sload] = ACTIONS(1242),
    [anon_sym_sstore] = ACTIONS(1242),
    [anon_sym_msize] = ACTIONS(1242),
    [anon_sym_gas] = ACTIONS(1242),
    [anon_sym_address] = ACTIONS(1242),
    [anon_sym_balance] = ACTIONS(1242),
    [anon_sym_selfbalance] = ACTIONS(1242),
    [anon_sym_caller] = ACTIONS(1242),
    [anon_sym_callvalue] = ACTIONS(1242),
    [anon_sym_calldataload] = ACTIONS(1242),
    [anon_sym_calldatasize] = ACTIONS(1242),
    [anon_sym_calldatacopy] = ACTIONS(1242),
    [anon_sym_extcodesize] = ACTIONS(1242),
    [anon_sym_extcodecopy] = ACTIONS(1242),
    [anon_sym_returndatasize] = ACTIONS(1242),
    [anon_sym_returndatacopy] = ACTIONS(1242),
    [anon_sym_extcodehash] = ACTIONS(1242),
    [anon_sym_create] = ACTIONS(1242),
    [anon_sym_create2] = ACTIONS(1242),
    [anon_sym_call] = ACTIONS(1242),
    [anon_sym_callcode] = ACTIONS(1242),
    [anon_sym_delegatecall] = ACTIONS(1242),
    [anon_sym_staticcall] = ACTIONS(1242),
    [anon_sym_return] = ACTIONS(1242),
    [anon_sym_revert] = ACTIONS(1242),
    [anon_sym_selfdestruct] = ACTIONS(1242),
    [anon_sym_invalid] = ACTIONS(1242),
    [anon_sym_log0] = ACTIONS(1242),
    [anon_sym_log1] = ACTIONS(1242),
    [anon_sym_log2] = ACTIONS(1242),
    [anon_sym_log3] = ACTIONS(1242),
    [anon_sym_log4] = ACTIONS(1242),
    [anon_sym_chainid] = ACTIONS(1242),
    [anon_sym_origin] = ACTIONS(1242),
    [anon_sym_gasprice] = ACTIONS(1242),
    [anon_sym_blockhash] = ACTIONS(1242),
    [anon_sym_blobhash] = ACTIONS(1242),
    [anon_sym_basefee] = ACTIONS(1242),
    [anon_sym_blobfee] = ACTIONS(1242),
    [anon_sym_coinbase] = ACTIONS(1242),
    [anon_sym_timestamp] = ACTIONS(1242),
    [anon_sym_number] = ACTIONS(1242),
    [anon_sym_difficulty] = ACTIONS(1242),
    [anon_sym_gaslimit] = ACTIONS(1242),
    [anon_sym_hex] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [sym_yul_identifier] = STATE(344),
    [sym_identifier] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1200),
    [sym_yul_leave] = ACTIONS(1200),
    [anon_sym_break] = ACTIONS(1200),
    [anon_sym_continue] = ACTIONS(1200),
    [sym_yul_decimal_number] = ACTIONS(1200),
    [sym_yul_hex_number] = ACTIONS(1202),
    [anon_sym_true] = ACTIONS(1200),
    [anon_sym_false] = ACTIONS(1200),
    [anon_sym_let] = ACTIONS(1200),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_if] = ACTIONS(1200),
    [anon_sym_switch] = ACTIONS(1200),
    [anon_sym_function] = ACTIONS(1200),
    [anon_sym_stop] = ACTIONS(1200),
    [anon_sym_add] = ACTIONS(1200),
    [anon_sym_sub] = ACTIONS(1200),
    [anon_sym_mul] = ACTIONS(1200),
    [anon_sym_div] = ACTIONS(1200),
    [anon_sym_sdiv] = ACTIONS(1200),
    [anon_sym_mod] = ACTIONS(1200),
    [anon_sym_smod] = ACTIONS(1200),
    [anon_sym_exp] = ACTIONS(1200),
    [anon_sym_not] = ACTIONS(1200),
    [anon_sym_lt] = ACTIONS(1200),
    [anon_sym_gt] = ACTIONS(1200),
    [anon_sym_slt] = ACTIONS(1200),
    [anon_sym_sgt] = ACTIONS(1200),
    [anon_sym_eq] = ACTIONS(1200),
    [anon_sym_iszero] = ACTIONS(1200),
    [anon_sym_and] = ACTIONS(1200),
    [anon_sym_or] = ACTIONS(1200),
    [anon_sym_xor] = ACTIONS(1200),
    [anon_sym_byte] = ACTIONS(1200),
    [anon_sym_shl] = ACTIONS(1200),
    [anon_sym_shr] = ACTIONS(1200),
    [anon_sym_sar] = ACTIONS(1200),
    [anon_sym_addmod] = ACTIONS(1200),
    [anon_sym_mulmod] = ACTIONS(1200),
    [anon_sym_signextend] = ACTIONS(1200),
    [anon_sym_keccak256] = ACTIONS(1200),
    [anon_sym_pop] = ACTIONS(1200),
    [anon_sym_mload] = ACTIONS(1200),
    [anon_sym_mcopy] = ACTIONS(1200),
    [anon_sym_tload] = ACTIONS(1200),
    [anon_sym_tstore] = ACTIONS(1200),
    [anon_sym_mstore] = ACTIONS(1200),
    [anon_sym_mstore8] = ACTIONS(1200),
    [anon_sym_sload] = ACTIONS(1200),
    [anon_sym_sstore] = ACTIONS(1200),
    [anon_sym_msize] = ACTIONS(1200),
    [anon_sym_gas] = ACTIONS(1200),
    [anon_sym_address] = ACTIONS(1200),
    [anon_sym_balance] = ACTIONS(1200),
    [anon_sym_selfbalance] = ACTIONS(1200),
    [anon_sym_caller] = ACTIONS(1200),
    [anon_sym_callvalue] = ACTIONS(1200),
    [anon_sym_calldataload] = ACTIONS(1200),
    [anon_sym_calldatasize] = ACTIONS(1200),
    [anon_sym_calldatacopy] = ACTIONS(1200),
    [anon_sym_extcodesize] = ACTIONS(1200),
    [anon_sym_extcodecopy] = ACTIONS(1200),
    [anon_sym_returndatasize] = ACTIONS(1200),
    [anon_sym_returndatacopy] = ACTIONS(1200),
    [anon_sym_extcodehash] = ACTIONS(1200),
    [anon_sym_create] = ACTIONS(1200),
    [anon_sym_create2] = ACTIONS(1200),
    [anon_sym_call] = ACTIONS(1200),
    [anon_sym_callcode] = ACTIONS(1200),
    [anon_sym_delegatecall] = ACTIONS(1200),
    [anon_sym_staticcall] = ACTIONS(1200),
    [anon_sym_return] = ACTIONS(1200),
    [anon_sym_revert] = ACTIONS(1200),
    [anon_sym_selfdestruct] = ACTIONS(1200),
    [anon_sym_invalid] = ACTIONS(1200),
    [anon_sym_log0] = ACTIONS(1200),
    [anon_sym_log1] = ACTIONS(1200),
    [anon_sym_log2] = ACTIONS(1200),
    [anon_sym_log3] = ACTIONS(1200),
    [anon_sym_log4] = ACTIONS(1200),
    [anon_sym_chainid] = ACTIONS(1200),
    [anon_sym_origin] = ACTIONS(1200),
    [anon_sym_gasprice] = ACTIONS(1200),
    [anon_sym_blockhash] = ACTIONS(1200),
    [anon_sym_blobhash] = ACTIONS(1200),
    [anon_sym_basefee] = ACTIONS(1200),
    [anon_sym_blobfee] = ACTIONS(1200),
    [anon_sym_coinbase] = ACTIONS(1200),
    [anon_sym_timestamp] = ACTIONS(1200),
    [anon_sym_number] = ACTIONS(1200),
    [anon_sym_difficulty] = ACTIONS(1200),
    [anon_sym_gaslimit] = ACTIONS(1200),
    [anon_sym_hex] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [sym_identifier] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [anon_sym_for] = ACTIONS(1246),
    [sym_yul_leave] = ACTIONS(1246),
    [anon_sym_break] = ACTIONS(1246),
    [anon_sym_continue] = ACTIONS(1246),
    [sym_yul_decimal_number] = ACTIONS(1246),
    [sym_yul_hex_number] = ACTIONS(1248),
    [anon_sym_true] = ACTIONS(1246),
    [anon_sym_false] = ACTIONS(1246),
    [anon_sym_let] = ACTIONS(1246),
    [anon_sym_if] = ACTIONS(1246),
    [anon_sym_switch] = ACTIONS(1246),
    [anon_sym_default] = ACTIONS(1246),
    [anon_sym_case] = ACTIONS(1246),
    [anon_sym_function] = ACTIONS(1246),
    [anon_sym_stop] = ACTIONS(1246),
    [anon_sym_add] = ACTIONS(1246),
    [anon_sym_sub] = ACTIONS(1246),
    [anon_sym_mul] = ACTIONS(1246),
    [anon_sym_div] = ACTIONS(1246),
    [anon_sym_sdiv] = ACTIONS(1246),
    [anon_sym_mod] = ACTIONS(1246),
    [anon_sym_smod] = ACTIONS(1246),
    [anon_sym_exp] = ACTIONS(1246),
    [anon_sym_not] = ACTIONS(1246),
    [anon_sym_lt] = ACTIONS(1246),
    [anon_sym_gt] = ACTIONS(1246),
    [anon_sym_slt] = ACTIONS(1246),
    [anon_sym_sgt] = ACTIONS(1246),
    [anon_sym_eq] = ACTIONS(1246),
    [anon_sym_iszero] = ACTIONS(1246),
    [anon_sym_and] = ACTIONS(1246),
    [anon_sym_or] = ACTIONS(1246),
    [anon_sym_xor] = ACTIONS(1246),
    [anon_sym_byte] = ACTIONS(1246),
    [anon_sym_shl] = ACTIONS(1246),
    [anon_sym_shr] = ACTIONS(1246),
    [anon_sym_sar] = ACTIONS(1246),
    [anon_sym_addmod] = ACTIONS(1246),
    [anon_sym_mulmod] = ACTIONS(1246),
    [anon_sym_signextend] = ACTIONS(1246),
    [anon_sym_keccak256] = ACTIONS(1246),
    [anon_sym_pop] = ACTIONS(1246),
    [anon_sym_mload] = ACTIONS(1246),
    [anon_sym_mcopy] = ACTIONS(1246),
    [anon_sym_tload] = ACTIONS(1246),
    [anon_sym_tstore] = ACTIONS(1246),
    [anon_sym_mstore] = ACTIONS(1246),
    [anon_sym_mstore8] = ACTIONS(1246),
    [anon_sym_sload] = ACTIONS(1246),
    [anon_sym_sstore] = ACTIONS(1246),
    [anon_sym_msize] = ACTIONS(1246),
    [anon_sym_gas] = ACTIONS(1246),
    [anon_sym_address] = ACTIONS(1246),
    [anon_sym_balance] = ACTIONS(1246),
    [anon_sym_selfbalance] = ACTIONS(1246),
    [anon_sym_caller] = ACTIONS(1246),
    [anon_sym_callvalue] = ACTIONS(1246),
    [anon_sym_calldataload] = ACTIONS(1246),
    [anon_sym_calldatasize] = ACTIONS(1246),
    [anon_sym_calldatacopy] = ACTIONS(1246),
    [anon_sym_extcodesize] = ACTIONS(1246),
    [anon_sym_extcodecopy] = ACTIONS(1246),
    [anon_sym_returndatasize] = ACTIONS(1246),
    [anon_sym_returndatacopy] = ACTIONS(1246),
    [anon_sym_extcodehash] = ACTIONS(1246),
    [anon_sym_create] = ACTIONS(1246),
    [anon_sym_create2] = ACTIONS(1246),
    [anon_sym_call] = ACTIONS(1246),
    [anon_sym_callcode] = ACTIONS(1246),
    [anon_sym_delegatecall] = ACTIONS(1246),
    [anon_sym_staticcall] = ACTIONS(1246),
    [anon_sym_return] = ACTIONS(1246),
    [anon_sym_revert] = ACTIONS(1246),
    [anon_sym_selfdestruct] = ACTIONS(1246),
    [anon_sym_invalid] = ACTIONS(1246),
    [anon_sym_log0] = ACTIONS(1246),
    [anon_sym_log1] = ACTIONS(1246),
    [anon_sym_log2] = ACTIONS(1246),
    [anon_sym_log3] = ACTIONS(1246),
    [anon_sym_log4] = ACTIONS(1246),
    [anon_sym_chainid] = ACTIONS(1246),
    [anon_sym_origin] = ACTIONS(1246),
    [anon_sym_gasprice] = ACTIONS(1246),
    [anon_sym_blockhash] = ACTIONS(1246),
    [anon_sym_blobhash] = ACTIONS(1246),
    [anon_sym_basefee] = ACTIONS(1246),
    [anon_sym_blobfee] = ACTIONS(1246),
    [anon_sym_coinbase] = ACTIONS(1246),
    [anon_sym_timestamp] = ACTIONS(1246),
    [anon_sym_number] = ACTIONS(1246),
    [anon_sym_difficulty] = ACTIONS(1246),
    [anon_sym_gaslimit] = ACTIONS(1246),
    [anon_sym_hex] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [sym_identifier] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_RBRACE] = ACTIONS(1252),
    [anon_sym_for] = ACTIONS(1250),
    [sym_yul_leave] = ACTIONS(1250),
    [anon_sym_break] = ACTIONS(1250),
    [anon_sym_continue] = ACTIONS(1250),
    [sym_yul_decimal_number] = ACTIONS(1250),
    [sym_yul_hex_number] = ACTIONS(1252),
    [anon_sym_true] = ACTIONS(1250),
    [anon_sym_false] = ACTIONS(1250),
    [anon_sym_let] = ACTIONS(1250),
    [anon_sym_COLON_EQ] = ACTIONS(1254),
    [anon_sym_if] = ACTIONS(1250),
    [anon_sym_switch] = ACTIONS(1250),
    [anon_sym_function] = ACTIONS(1250),
    [anon_sym_stop] = ACTIONS(1250),
    [anon_sym_add] = ACTIONS(1250),
    [anon_sym_sub] = ACTIONS(1250),
    [anon_sym_mul] = ACTIONS(1250),
    [anon_sym_div] = ACTIONS(1250),
    [anon_sym_sdiv] = ACTIONS(1250),
    [anon_sym_mod] = ACTIONS(1250),
    [anon_sym_smod] = ACTIONS(1250),
    [anon_sym_exp] = ACTIONS(1250),
    [anon_sym_not] = ACTIONS(1250),
    [anon_sym_lt] = ACTIONS(1250),
    [anon_sym_gt] = ACTIONS(1250),
    [anon_sym_slt] = ACTIONS(1250),
    [anon_sym_sgt] = ACTIONS(1250),
    [anon_sym_eq] = ACTIONS(1250),
    [anon_sym_iszero] = ACTIONS(1250),
    [anon_sym_and] = ACTIONS(1250),
    [anon_sym_or] = ACTIONS(1250),
    [anon_sym_xor] = ACTIONS(1250),
    [anon_sym_byte] = ACTIONS(1250),
    [anon_sym_shl] = ACTIONS(1250),
    [anon_sym_shr] = ACTIONS(1250),
    [anon_sym_sar] = ACTIONS(1250),
    [anon_sym_addmod] = ACTIONS(1250),
    [anon_sym_mulmod] = ACTIONS(1250),
    [anon_sym_signextend] = ACTIONS(1250),
    [anon_sym_keccak256] = ACTIONS(1250),
    [anon_sym_pop] = ACTIONS(1250),
    [anon_sym_mload] = ACTIONS(1250),
    [anon_sym_mcopy] = ACTIONS(1250),
    [anon_sym_tload] = ACTIONS(1250),
    [anon_sym_tstore] = ACTIONS(1250),
    [anon_sym_mstore] = ACTIONS(1250),
    [anon_sym_mstore8] = ACTIONS(1250),
    [anon_sym_sload] = ACTIONS(1250),
    [anon_sym_sstore] = ACTIONS(1250),
    [anon_sym_msize] = ACTIONS(1250),
    [anon_sym_gas] = ACTIONS(1250),
    [anon_sym_address] = ACTIONS(1250),
    [anon_sym_balance] = ACTIONS(1250),
    [anon_sym_selfbalance] = ACTIONS(1250),
    [anon_sym_caller] = ACTIONS(1250),
    [anon_sym_callvalue] = ACTIONS(1250),
    [anon_sym_calldataload] = ACTIONS(1250),
    [anon_sym_calldatasize] = ACTIONS(1250),
    [anon_sym_calldatacopy] = ACTIONS(1250),
    [anon_sym_extcodesize] = ACTIONS(1250),
    [anon_sym_extcodecopy] = ACTIONS(1250),
    [anon_sym_returndatasize] = ACTIONS(1250),
    [anon_sym_returndatacopy] = ACTIONS(1250),
    [anon_sym_extcodehash] = ACTIONS(1250),
    [anon_sym_create] = ACTIONS(1250),
    [anon_sym_create2] = ACTIONS(1250),
    [anon_sym_call] = ACTIONS(1250),
    [anon_sym_callcode] = ACTIONS(1250),
    [anon_sym_delegatecall] = ACTIONS(1250),
    [anon_sym_staticcall] = ACTIONS(1250),
    [anon_sym_return] = ACTIONS(1250),
    [anon_sym_revert] = ACTIONS(1250),
    [anon_sym_selfdestruct] = ACTIONS(1250),
    [anon_sym_invalid] = ACTIONS(1250),
    [anon_sym_log0] = ACTIONS(1250),
    [anon_sym_log1] = ACTIONS(1250),
    [anon_sym_log2] = ACTIONS(1250),
    [anon_sym_log3] = ACTIONS(1250),
    [anon_sym_log4] = ACTIONS(1250),
    [anon_sym_chainid] = ACTIONS(1250),
    [anon_sym_origin] = ACTIONS(1250),
    [anon_sym_gasprice] = ACTIONS(1250),
    [anon_sym_blockhash] = ACTIONS(1250),
    [anon_sym_blobhash] = ACTIONS(1250),
    [anon_sym_basefee] = ACTIONS(1250),
    [anon_sym_blobfee] = ACTIONS(1250),
    [anon_sym_coinbase] = ACTIONS(1250),
    [anon_sym_timestamp] = ACTIONS(1250),
    [anon_sym_number] = ACTIONS(1250),
    [anon_sym_difficulty] = ACTIONS(1250),
    [anon_sym_gaslimit] = ACTIONS(1250),
    [anon_sym_hex] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [sym_yul_identifier] = STATE(322),
    [sym__yul_expression] = STATE(374),
    [sym_yul_path] = STATE(374),
    [sym__yul_literal] = STATE(374),
    [sym_yul_string_literal] = STATE(374),
    [sym_yul_boolean] = STATE(374),
    [sym_yul_function_call] = STATE(375),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_hex_string_literal] = STATE(374),
    [sym_string] = STATE(335),
    [aux_sym_hex_string_literal_repeat2] = STATE(367),
    [sym_identifier] = ACTIONS(1222),
    [sym_yul_decimal_number] = ACTIONS(1256),
    [sym_yul_hex_number] = ACTIONS(1258),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(977),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [anon_sym_hex] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(993),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [aux_sym_hex_string_literal_repeat2] = STATE(359),
    [sym_identifier] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_RBRACE] = ACTIONS(1262),
    [anon_sym_for] = ACTIONS(1260),
    [sym_yul_leave] = ACTIONS(1260),
    [anon_sym_break] = ACTIONS(1260),
    [anon_sym_continue] = ACTIONS(1260),
    [sym_yul_decimal_number] = ACTIONS(1260),
    [sym_yul_hex_number] = ACTIONS(1262),
    [anon_sym_true] = ACTIONS(1260),
    [anon_sym_false] = ACTIONS(1260),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_if] = ACTIONS(1260),
    [anon_sym_switch] = ACTIONS(1260),
    [anon_sym_function] = ACTIONS(1260),
    [anon_sym_stop] = ACTIONS(1260),
    [anon_sym_add] = ACTIONS(1260),
    [anon_sym_sub] = ACTIONS(1260),
    [anon_sym_mul] = ACTIONS(1260),
    [anon_sym_div] = ACTIONS(1260),
    [anon_sym_sdiv] = ACTIONS(1260),
    [anon_sym_mod] = ACTIONS(1260),
    [anon_sym_smod] = ACTIONS(1260),
    [anon_sym_exp] = ACTIONS(1260),
    [anon_sym_not] = ACTIONS(1260),
    [anon_sym_lt] = ACTIONS(1260),
    [anon_sym_gt] = ACTIONS(1260),
    [anon_sym_slt] = ACTIONS(1260),
    [anon_sym_sgt] = ACTIONS(1260),
    [anon_sym_eq] = ACTIONS(1260),
    [anon_sym_iszero] = ACTIONS(1260),
    [anon_sym_and] = ACTIONS(1260),
    [anon_sym_or] = ACTIONS(1260),
    [anon_sym_xor] = ACTIONS(1260),
    [anon_sym_byte] = ACTIONS(1260),
    [anon_sym_shl] = ACTIONS(1260),
    [anon_sym_shr] = ACTIONS(1260),
    [anon_sym_sar] = ACTIONS(1260),
    [anon_sym_addmod] = ACTIONS(1260),
    [anon_sym_mulmod] = ACTIONS(1260),
    [anon_sym_signextend] = ACTIONS(1260),
    [anon_sym_keccak256] = ACTIONS(1260),
    [anon_sym_pop] = ACTIONS(1260),
    [anon_sym_mload] = ACTIONS(1260),
    [anon_sym_mcopy] = ACTIONS(1260),
    [anon_sym_tload] = ACTIONS(1260),
    [anon_sym_tstore] = ACTIONS(1260),
    [anon_sym_mstore] = ACTIONS(1260),
    [anon_sym_mstore8] = ACTIONS(1260),
    [anon_sym_sload] = ACTIONS(1260),
    [anon_sym_sstore] = ACTIONS(1260),
    [anon_sym_msize] = ACTIONS(1260),
    [anon_sym_gas] = ACTIONS(1260),
    [anon_sym_address] = ACTIONS(1260),
    [anon_sym_balance] = ACTIONS(1260),
    [anon_sym_selfbalance] = ACTIONS(1260),
    [anon_sym_caller] = ACTIONS(1260),
    [anon_sym_callvalue] = ACTIONS(1260),
    [anon_sym_calldataload] = ACTIONS(1260),
    [anon_sym_calldatasize] = ACTIONS(1260),
    [anon_sym_calldatacopy] = ACTIONS(1260),
    [anon_sym_extcodesize] = ACTIONS(1260),
    [anon_sym_extcodecopy] = ACTIONS(1260),
    [anon_sym_returndatasize] = ACTIONS(1260),
    [anon_sym_returndatacopy] = ACTIONS(1260),
    [anon_sym_extcodehash] = ACTIONS(1260),
    [anon_sym_create] = ACTIONS(1260),
    [anon_sym_create2] = ACTIONS(1260),
    [anon_sym_call] = ACTIONS(1260),
    [anon_sym_callcode] = ACTIONS(1260),
    [anon_sym_delegatecall] = ACTIONS(1260),
    [anon_sym_staticcall] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1260),
    [anon_sym_revert] = ACTIONS(1260),
    [anon_sym_selfdestruct] = ACTIONS(1260),
    [anon_sym_invalid] = ACTIONS(1260),
    [anon_sym_log0] = ACTIONS(1260),
    [anon_sym_log1] = ACTIONS(1260),
    [anon_sym_log2] = ACTIONS(1260),
    [anon_sym_log3] = ACTIONS(1260),
    [anon_sym_log4] = ACTIONS(1260),
    [anon_sym_chainid] = ACTIONS(1260),
    [anon_sym_origin] = ACTIONS(1260),
    [anon_sym_gasprice] = ACTIONS(1260),
    [anon_sym_blockhash] = ACTIONS(1260),
    [anon_sym_blobhash] = ACTIONS(1260),
    [anon_sym_basefee] = ACTIONS(1260),
    [anon_sym_blobfee] = ACTIONS(1260),
    [anon_sym_coinbase] = ACTIONS(1260),
    [anon_sym_timestamp] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_difficulty] = ACTIONS(1260),
    [anon_sym_gaslimit] = ACTIONS(1260),
    [anon_sym_hex] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [sym_yul_identifier] = STATE(322),
    [sym__yul_expression] = STATE(926),
    [sym_yul_path] = STATE(926),
    [sym__yul_literal] = STATE(926),
    [sym_yul_string_literal] = STATE(926),
    [sym_yul_boolean] = STATE(926),
    [sym_yul_function_call] = STATE(926),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_hex_string_literal] = STATE(926),
    [sym_string] = STATE(335),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [sym_identifier] = ACTIONS(1222),
    [sym_yul_decimal_number] = ACTIONS(1267),
    [sym_yul_hex_number] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(977),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [sym_yul_identifier] = STATE(322),
    [sym__yul_expression] = STATE(830),
    [sym_yul_path] = STATE(830),
    [sym__yul_literal] = STATE(830),
    [sym_yul_string_literal] = STATE(830),
    [sym_yul_boolean] = STATE(830),
    [sym_yul_function_call] = STATE(830),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_hex_string_literal] = STATE(830),
    [sym_string] = STATE(335),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [sym_identifier] = ACTIONS(1222),
    [sym_yul_decimal_number] = ACTIONS(1271),
    [sym_yul_hex_number] = ACTIONS(1273),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(977),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [sym_identifier] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_RBRACE] = ACTIONS(1218),
    [anon_sym_for] = ACTIONS(1216),
    [sym_yul_leave] = ACTIONS(1216),
    [anon_sym_break] = ACTIONS(1216),
    [anon_sym_continue] = ACTIONS(1216),
    [sym_yul_decimal_number] = ACTIONS(1216),
    [sym_yul_hex_number] = ACTIONS(1218),
    [anon_sym_true] = ACTIONS(1216),
    [anon_sym_false] = ACTIONS(1216),
    [anon_sym_let] = ACTIONS(1216),
    [anon_sym_COLON_EQ] = ACTIONS(1220),
    [anon_sym_if] = ACTIONS(1216),
    [anon_sym_switch] = ACTIONS(1216),
    [anon_sym_function] = ACTIONS(1216),
    [anon_sym_stop] = ACTIONS(1216),
    [anon_sym_add] = ACTIONS(1216),
    [anon_sym_sub] = ACTIONS(1216),
    [anon_sym_mul] = ACTIONS(1216),
    [anon_sym_div] = ACTIONS(1216),
    [anon_sym_sdiv] = ACTIONS(1216),
    [anon_sym_mod] = ACTIONS(1216),
    [anon_sym_smod] = ACTIONS(1216),
    [anon_sym_exp] = ACTIONS(1216),
    [anon_sym_not] = ACTIONS(1216),
    [anon_sym_lt] = ACTIONS(1216),
    [anon_sym_gt] = ACTIONS(1216),
    [anon_sym_slt] = ACTIONS(1216),
    [anon_sym_sgt] = ACTIONS(1216),
    [anon_sym_eq] = ACTIONS(1216),
    [anon_sym_iszero] = ACTIONS(1216),
    [anon_sym_and] = ACTIONS(1216),
    [anon_sym_or] = ACTIONS(1216),
    [anon_sym_xor] = ACTIONS(1216),
    [anon_sym_byte] = ACTIONS(1216),
    [anon_sym_shl] = ACTIONS(1216),
    [anon_sym_shr] = ACTIONS(1216),
    [anon_sym_sar] = ACTIONS(1216),
    [anon_sym_addmod] = ACTIONS(1216),
    [anon_sym_mulmod] = ACTIONS(1216),
    [anon_sym_signextend] = ACTIONS(1216),
    [anon_sym_keccak256] = ACTIONS(1216),
    [anon_sym_pop] = ACTIONS(1216),
    [anon_sym_mload] = ACTIONS(1216),
    [anon_sym_mcopy] = ACTIONS(1216),
    [anon_sym_tload] = ACTIONS(1216),
    [anon_sym_tstore] = ACTIONS(1216),
    [anon_sym_mstore] = ACTIONS(1216),
    [anon_sym_mstore8] = ACTIONS(1216),
    [anon_sym_sload] = ACTIONS(1216),
    [anon_sym_sstore] = ACTIONS(1216),
    [anon_sym_msize] = ACTIONS(1216),
    [anon_sym_gas] = ACTIONS(1216),
    [anon_sym_address] = ACTIONS(1216),
    [anon_sym_balance] = ACTIONS(1216),
    [anon_sym_selfbalance] = ACTIONS(1216),
    [anon_sym_caller] = ACTIONS(1216),
    [anon_sym_callvalue] = ACTIONS(1216),
    [anon_sym_calldataload] = ACTIONS(1216),
    [anon_sym_calldatasize] = ACTIONS(1216),
    [anon_sym_calldatacopy] = ACTIONS(1216),
    [anon_sym_extcodesize] = ACTIONS(1216),
    [anon_sym_extcodecopy] = ACTIONS(1216),
    [anon_sym_returndatasize] = ACTIONS(1216),
    [anon_sym_returndatacopy] = ACTIONS(1216),
    [anon_sym_extcodehash] = ACTIONS(1216),
    [anon_sym_create] = ACTIONS(1216),
    [anon_sym_create2] = ACTIONS(1216),
    [anon_sym_call] = ACTIONS(1216),
    [anon_sym_callcode] = ACTIONS(1216),
    [anon_sym_delegatecall] = ACTIONS(1216),
    [anon_sym_staticcall] = ACTIONS(1216),
    [anon_sym_return] = ACTIONS(1216),
    [anon_sym_revert] = ACTIONS(1216),
    [anon_sym_selfdestruct] = ACTIONS(1216),
    [anon_sym_invalid] = ACTIONS(1216),
    [anon_sym_log0] = ACTIONS(1216),
    [anon_sym_log1] = ACTIONS(1216),
    [anon_sym_log2] = ACTIONS(1216),
    [anon_sym_log3] = ACTIONS(1216),
    [anon_sym_log4] = ACTIONS(1216),
    [anon_sym_chainid] = ACTIONS(1216),
    [anon_sym_origin] = ACTIONS(1216),
    [anon_sym_gasprice] = ACTIONS(1216),
    [anon_sym_blockhash] = ACTIONS(1216),
    [anon_sym_blobhash] = ACTIONS(1216),
    [anon_sym_basefee] = ACTIONS(1216),
    [anon_sym_blobfee] = ACTIONS(1216),
    [anon_sym_coinbase] = ACTIONS(1216),
    [anon_sym_timestamp] = ACTIONS(1216),
    [anon_sym_number] = ACTIONS(1216),
    [anon_sym_difficulty] = ACTIONS(1216),
    [anon_sym_gaslimit] = ACTIONS(1216),
    [anon_sym_hex] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [sym_identifier] = ACTIONS(1275),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_RBRACE] = ACTIONS(1277),
    [anon_sym_for] = ACTIONS(1275),
    [sym_yul_leave] = ACTIONS(1275),
    [anon_sym_break] = ACTIONS(1275),
    [anon_sym_continue] = ACTIONS(1275),
    [sym_yul_decimal_number] = ACTIONS(1275),
    [sym_yul_hex_number] = ACTIONS(1277),
    [anon_sym_true] = ACTIONS(1275),
    [anon_sym_false] = ACTIONS(1275),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_COLON_EQ] = ACTIONS(1279),
    [anon_sym_if] = ACTIONS(1275),
    [anon_sym_switch] = ACTIONS(1275),
    [anon_sym_function] = ACTIONS(1275),
    [anon_sym_stop] = ACTIONS(1275),
    [anon_sym_add] = ACTIONS(1275),
    [anon_sym_sub] = ACTIONS(1275),
    [anon_sym_mul] = ACTIONS(1275),
    [anon_sym_div] = ACTIONS(1275),
    [anon_sym_sdiv] = ACTIONS(1275),
    [anon_sym_mod] = ACTIONS(1275),
    [anon_sym_smod] = ACTIONS(1275),
    [anon_sym_exp] = ACTIONS(1275),
    [anon_sym_not] = ACTIONS(1275),
    [anon_sym_lt] = ACTIONS(1275),
    [anon_sym_gt] = ACTIONS(1275),
    [anon_sym_slt] = ACTIONS(1275),
    [anon_sym_sgt] = ACTIONS(1275),
    [anon_sym_eq] = ACTIONS(1275),
    [anon_sym_iszero] = ACTIONS(1275),
    [anon_sym_and] = ACTIONS(1275),
    [anon_sym_or] = ACTIONS(1275),
    [anon_sym_xor] = ACTIONS(1275),
    [anon_sym_byte] = ACTIONS(1275),
    [anon_sym_shl] = ACTIONS(1275),
    [anon_sym_shr] = ACTIONS(1275),
    [anon_sym_sar] = ACTIONS(1275),
    [anon_sym_addmod] = ACTIONS(1275),
    [anon_sym_mulmod] = ACTIONS(1275),
    [anon_sym_signextend] = ACTIONS(1275),
    [anon_sym_keccak256] = ACTIONS(1275),
    [anon_sym_pop] = ACTIONS(1275),
    [anon_sym_mload] = ACTIONS(1275),
    [anon_sym_mcopy] = ACTIONS(1275),
    [anon_sym_tload] = ACTIONS(1275),
    [anon_sym_tstore] = ACTIONS(1275),
    [anon_sym_mstore] = ACTIONS(1275),
    [anon_sym_mstore8] = ACTIONS(1275),
    [anon_sym_sload] = ACTIONS(1275),
    [anon_sym_sstore] = ACTIONS(1275),
    [anon_sym_msize] = ACTIONS(1275),
    [anon_sym_gas] = ACTIONS(1275),
    [anon_sym_address] = ACTIONS(1275),
    [anon_sym_balance] = ACTIONS(1275),
    [anon_sym_selfbalance] = ACTIONS(1275),
    [anon_sym_caller] = ACTIONS(1275),
    [anon_sym_callvalue] = ACTIONS(1275),
    [anon_sym_calldataload] = ACTIONS(1275),
    [anon_sym_calldatasize] = ACTIONS(1275),
    [anon_sym_calldatacopy] = ACTIONS(1275),
    [anon_sym_extcodesize] = ACTIONS(1275),
    [anon_sym_extcodecopy] = ACTIONS(1275),
    [anon_sym_returndatasize] = ACTIONS(1275),
    [anon_sym_returndatacopy] = ACTIONS(1275),
    [anon_sym_extcodehash] = ACTIONS(1275),
    [anon_sym_create] = ACTIONS(1275),
    [anon_sym_create2] = ACTIONS(1275),
    [anon_sym_call] = ACTIONS(1275),
    [anon_sym_callcode] = ACTIONS(1275),
    [anon_sym_delegatecall] = ACTIONS(1275),
    [anon_sym_staticcall] = ACTIONS(1275),
    [anon_sym_return] = ACTIONS(1275),
    [anon_sym_revert] = ACTIONS(1275),
    [anon_sym_selfdestruct] = ACTIONS(1275),
    [anon_sym_invalid] = ACTIONS(1275),
    [anon_sym_log0] = ACTIONS(1275),
    [anon_sym_log1] = ACTIONS(1275),
    [anon_sym_log2] = ACTIONS(1275),
    [anon_sym_log3] = ACTIONS(1275),
    [anon_sym_log4] = ACTIONS(1275),
    [anon_sym_chainid] = ACTIONS(1275),
    [anon_sym_origin] = ACTIONS(1275),
    [anon_sym_gasprice] = ACTIONS(1275),
    [anon_sym_blockhash] = ACTIONS(1275),
    [anon_sym_blobhash] = ACTIONS(1275),
    [anon_sym_basefee] = ACTIONS(1275),
    [anon_sym_blobfee] = ACTIONS(1275),
    [anon_sym_coinbase] = ACTIONS(1275),
    [anon_sym_timestamp] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_difficulty] = ACTIONS(1275),
    [anon_sym_gaslimit] = ACTIONS(1275),
    [anon_sym_hex] = ACTIONS(1275),
    [anon_sym_DQUOTE] = ACTIONS(1277),
    [anon_sym_SQUOTE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_yul_identifier] = STATE(322),
    [sym__yul_expression] = STATE(376),
    [sym_yul_path] = STATE(376),
    [sym__yul_literal] = STATE(376),
    [sym_yul_string_literal] = STATE(376),
    [sym_yul_boolean] = STATE(376),
    [sym_yul_function_call] = STATE(377),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_hex_string_literal] = STATE(376),
    [sym_string] = STATE(335),
    [aux_sym_hex_string_literal_repeat2] = STATE(367),
    [sym_identifier] = ACTIONS(1222),
    [sym_yul_decimal_number] = ACTIONS(1281),
    [sym_yul_hex_number] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(977),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [anon_sym_hex] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(993),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [sym_yul_identifier] = STATE(322),
    [sym__yul_expression] = STATE(879),
    [sym_yul_path] = STATE(879),
    [sym__yul_literal] = STATE(879),
    [sym_yul_string_literal] = STATE(879),
    [sym_yul_boolean] = STATE(879),
    [sym_yul_function_call] = STATE(879),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_hex_string_literal] = STATE(879),
    [sym_string] = STATE(335),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [sym_identifier] = ACTIONS(1222),
    [sym_yul_decimal_number] = ACTIONS(1285),
    [sym_yul_hex_number] = ACTIONS(1287),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(977),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [sym_yul_identifier] = STATE(322),
    [sym__yul_expression] = STATE(978),
    [sym_yul_path] = STATE(978),
    [sym__yul_literal] = STATE(978),
    [sym_yul_string_literal] = STATE(978),
    [sym_yul_boolean] = STATE(978),
    [sym_yul_function_call] = STATE(978),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_hex_string_literal] = STATE(978),
    [sym_string] = STATE(335),
    [aux_sym_hex_string_literal_repeat2] = STATE(447),
    [sym_identifier] = ACTIONS(1222),
    [sym_yul_decimal_number] = ACTIONS(1226),
    [sym_yul_hex_number] = ACTIONS(1228),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(977),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [aux_sym_hex_string_literal_repeat2] = STATE(359),
    [sym_identifier] = ACTIONS(1289),
    [anon_sym_LBRACE] = ACTIONS(1291),
    [anon_sym_RBRACE] = ACTIONS(1291),
    [anon_sym_for] = ACTIONS(1289),
    [sym_yul_leave] = ACTIONS(1289),
    [anon_sym_break] = ACTIONS(1289),
    [anon_sym_continue] = ACTIONS(1289),
    [sym_yul_decimal_number] = ACTIONS(1289),
    [sym_yul_hex_number] = ACTIONS(1291),
    [anon_sym_true] = ACTIONS(1289),
    [anon_sym_false] = ACTIONS(1289),
    [anon_sym_let] = ACTIONS(1289),
    [anon_sym_if] = ACTIONS(1289),
    [anon_sym_switch] = ACTIONS(1289),
    [anon_sym_function] = ACTIONS(1289),
    [anon_sym_stop] = ACTIONS(1289),
    [anon_sym_add] = ACTIONS(1289),
    [anon_sym_sub] = ACTIONS(1289),
    [anon_sym_mul] = ACTIONS(1289),
    [anon_sym_div] = ACTIONS(1289),
    [anon_sym_sdiv] = ACTIONS(1289),
    [anon_sym_mod] = ACTIONS(1289),
    [anon_sym_smod] = ACTIONS(1289),
    [anon_sym_exp] = ACTIONS(1289),
    [anon_sym_not] = ACTIONS(1289),
    [anon_sym_lt] = ACTIONS(1289),
    [anon_sym_gt] = ACTIONS(1289),
    [anon_sym_slt] = ACTIONS(1289),
    [anon_sym_sgt] = ACTIONS(1289),
    [anon_sym_eq] = ACTIONS(1289),
    [anon_sym_iszero] = ACTIONS(1289),
    [anon_sym_and] = ACTIONS(1289),
    [anon_sym_or] = ACTIONS(1289),
    [anon_sym_xor] = ACTIONS(1289),
    [anon_sym_byte] = ACTIONS(1289),
    [anon_sym_shl] = ACTIONS(1289),
    [anon_sym_shr] = ACTIONS(1289),
    [anon_sym_sar] = ACTIONS(1289),
    [anon_sym_addmod] = ACTIONS(1289),
    [anon_sym_mulmod] = ACTIONS(1289),
    [anon_sym_signextend] = ACTIONS(1289),
    [anon_sym_keccak256] = ACTIONS(1289),
    [anon_sym_pop] = ACTIONS(1289),
    [anon_sym_mload] = ACTIONS(1289),
    [anon_sym_mcopy] = ACTIONS(1289),
    [anon_sym_tload] = ACTIONS(1289),
    [anon_sym_tstore] = ACTIONS(1289),
    [anon_sym_mstore] = ACTIONS(1289),
    [anon_sym_mstore8] = ACTIONS(1289),
    [anon_sym_sload] = ACTIONS(1289),
    [anon_sym_sstore] = ACTIONS(1289),
    [anon_sym_msize] = ACTIONS(1289),
    [anon_sym_gas] = ACTIONS(1289),
    [anon_sym_address] = ACTIONS(1289),
    [anon_sym_balance] = ACTIONS(1289),
    [anon_sym_selfbalance] = ACTIONS(1289),
    [anon_sym_caller] = ACTIONS(1289),
    [anon_sym_callvalue] = ACTIONS(1289),
    [anon_sym_calldataload] = ACTIONS(1289),
    [anon_sym_calldatasize] = ACTIONS(1289),
    [anon_sym_calldatacopy] = ACTIONS(1289),
    [anon_sym_extcodesize] = ACTIONS(1289),
    [anon_sym_extcodecopy] = ACTIONS(1289),
    [anon_sym_returndatasize] = ACTIONS(1289),
    [anon_sym_returndatacopy] = ACTIONS(1289),
    [anon_sym_extcodehash] = ACTIONS(1289),
    [anon_sym_create] = ACTIONS(1289),
    [anon_sym_create2] = ACTIONS(1289),
    [anon_sym_call] = ACTIONS(1289),
    [anon_sym_callcode] = ACTIONS(1289),
    [anon_sym_delegatecall] = ACTIONS(1289),
    [anon_sym_staticcall] = ACTIONS(1289),
    [anon_sym_return] = ACTIONS(1289),
    [anon_sym_revert] = ACTIONS(1289),
    [anon_sym_selfdestruct] = ACTIONS(1289),
    [anon_sym_invalid] = ACTIONS(1289),
    [anon_sym_log0] = ACTIONS(1289),
    [anon_sym_log1] = ACTIONS(1289),
    [anon_sym_log2] = ACTIONS(1289),
    [anon_sym_log3] = ACTIONS(1289),
    [anon_sym_log4] = ACTIONS(1289),
    [anon_sym_chainid] = ACTIONS(1289),
    [anon_sym_origin] = ACTIONS(1289),
    [anon_sym_gasprice] = ACTIONS(1289),
    [anon_sym_blockhash] = ACTIONS(1289),
    [anon_sym_blobhash] = ACTIONS(1289),
    [anon_sym_basefee] = ACTIONS(1289),
    [anon_sym_blobfee] = ACTIONS(1289),
    [anon_sym_coinbase] = ACTIONS(1289),
    [anon_sym_timestamp] = ACTIONS(1289),
    [anon_sym_number] = ACTIONS(1289),
    [anon_sym_difficulty] = ACTIONS(1289),
    [anon_sym_gaslimit] = ACTIONS(1289),
    [anon_sym_hex] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [anon_sym_SQUOTE] = ACTIONS(1291),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [sym_identifier] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_RBRACE] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1293),
    [sym_yul_leave] = ACTIONS(1293),
    [anon_sym_break] = ACTIONS(1293),
    [anon_sym_continue] = ACTIONS(1293),
    [sym_yul_decimal_number] = ACTIONS(1293),
    [sym_yul_hex_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(1293),
    [anon_sym_false] = ACTIONS(1293),
    [anon_sym_let] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_switch] = ACTIONS(1293),
    [anon_sym_function] = ACTIONS(1293),
    [anon_sym_stop] = ACTIONS(1293),
    [anon_sym_add] = ACTIONS(1293),
    [anon_sym_sub] = ACTIONS(1293),
    [anon_sym_mul] = ACTIONS(1293),
    [anon_sym_div] = ACTIONS(1293),
    [anon_sym_sdiv] = ACTIONS(1293),
    [anon_sym_mod] = ACTIONS(1293),
    [anon_sym_smod] = ACTIONS(1293),
    [anon_sym_exp] = ACTIONS(1293),
    [anon_sym_not] = ACTIONS(1293),
    [anon_sym_lt] = ACTIONS(1293),
    [anon_sym_gt] = ACTIONS(1293),
    [anon_sym_slt] = ACTIONS(1293),
    [anon_sym_sgt] = ACTIONS(1293),
    [anon_sym_eq] = ACTIONS(1293),
    [anon_sym_iszero] = ACTIONS(1293),
    [anon_sym_and] = ACTIONS(1293),
    [anon_sym_or] = ACTIONS(1293),
    [anon_sym_xor] = ACTIONS(1293),
    [anon_sym_byte] = ACTIONS(1293),
    [anon_sym_shl] = ACTIONS(1293),
    [anon_sym_shr] = ACTIONS(1293),
    [anon_sym_sar] = ACTIONS(1293),
    [anon_sym_addmod] = ACTIONS(1293),
    [anon_sym_mulmod] = ACTIONS(1293),
    [anon_sym_signextend] = ACTIONS(1293),
    [anon_sym_keccak256] = ACTIONS(1293),
    [anon_sym_pop] = ACTIONS(1293),
    [anon_sym_mload] = ACTIONS(1293),
    [anon_sym_mcopy] = ACTIONS(1293),
    [anon_sym_tload] = ACTIONS(1293),
    [anon_sym_tstore] = ACTIONS(1293),
    [anon_sym_mstore] = ACTIONS(1293),
    [anon_sym_mstore8] = ACTIONS(1293),
    [anon_sym_sload] = ACTIONS(1293),
    [anon_sym_sstore] = ACTIONS(1293),
    [anon_sym_msize] = ACTIONS(1293),
    [anon_sym_gas] = ACTIONS(1293),
    [anon_sym_address] = ACTIONS(1293),
    [anon_sym_balance] = ACTIONS(1293),
    [anon_sym_selfbalance] = ACTIONS(1293),
    [anon_sym_caller] = ACTIONS(1293),
    [anon_sym_callvalue] = ACTIONS(1293),
    [anon_sym_calldataload] = ACTIONS(1293),
    [anon_sym_calldatasize] = ACTIONS(1293),
    [anon_sym_calldatacopy] = ACTIONS(1293),
    [anon_sym_extcodesize] = ACTIONS(1293),
    [anon_sym_extcodecopy] = ACTIONS(1293),
    [anon_sym_returndatasize] = ACTIONS(1293),
    [anon_sym_returndatacopy] = ACTIONS(1293),
    [anon_sym_extcodehash] = ACTIONS(1293),
    [anon_sym_create] = ACTIONS(1293),
    [anon_sym_create2] = ACTIONS(1293),
    [anon_sym_call] = ACTIONS(1293),
    [anon_sym_callcode] = ACTIONS(1293),
    [anon_sym_delegatecall] = ACTIONS(1293),
    [anon_sym_staticcall] = ACTIONS(1293),
    [anon_sym_return] = ACTIONS(1293),
    [anon_sym_revert] = ACTIONS(1293),
    [anon_sym_selfdestruct] = ACTIONS(1293),
    [anon_sym_invalid] = ACTIONS(1293),
    [anon_sym_log0] = ACTIONS(1293),
    [anon_sym_log1] = ACTIONS(1293),
    [anon_sym_log2] = ACTIONS(1293),
    [anon_sym_log3] = ACTIONS(1293),
    [anon_sym_log4] = ACTIONS(1293),
    [anon_sym_chainid] = ACTIONS(1293),
    [anon_sym_origin] = ACTIONS(1293),
    [anon_sym_gasprice] = ACTIONS(1293),
    [anon_sym_blockhash] = ACTIONS(1293),
    [anon_sym_blobhash] = ACTIONS(1293),
    [anon_sym_basefee] = ACTIONS(1293),
    [anon_sym_blobfee] = ACTIONS(1293),
    [anon_sym_coinbase] = ACTIONS(1293),
    [anon_sym_timestamp] = ACTIONS(1293),
    [anon_sym_number] = ACTIONS(1293),
    [anon_sym_difficulty] = ACTIONS(1293),
    [anon_sym_gaslimit] = ACTIONS(1293),
    [anon_sym_hex] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(1295),
    [anon_sym_SQUOTE] = ACTIONS(1295),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [sym_identifier] = ACTIONS(1297),
    [anon_sym_LBRACE] = ACTIONS(1299),
    [anon_sym_RBRACE] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1297),
    [sym_yul_leave] = ACTIONS(1297),
    [anon_sym_break] = ACTIONS(1297),
    [anon_sym_continue] = ACTIONS(1297),
    [sym_yul_decimal_number] = ACTIONS(1297),
    [sym_yul_hex_number] = ACTIONS(1299),
    [anon_sym_true] = ACTIONS(1297),
    [anon_sym_false] = ACTIONS(1297),
    [anon_sym_let] = ACTIONS(1297),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_switch] = ACTIONS(1297),
    [anon_sym_function] = ACTIONS(1297),
    [anon_sym_stop] = ACTIONS(1297),
    [anon_sym_add] = ACTIONS(1297),
    [anon_sym_sub] = ACTIONS(1297),
    [anon_sym_mul] = ACTIONS(1297),
    [anon_sym_div] = ACTIONS(1297),
    [anon_sym_sdiv] = ACTIONS(1297),
    [anon_sym_mod] = ACTIONS(1297),
    [anon_sym_smod] = ACTIONS(1297),
    [anon_sym_exp] = ACTIONS(1297),
    [anon_sym_not] = ACTIONS(1297),
    [anon_sym_lt] = ACTIONS(1297),
    [anon_sym_gt] = ACTIONS(1297),
    [anon_sym_slt] = ACTIONS(1297),
    [anon_sym_sgt] = ACTIONS(1297),
    [anon_sym_eq] = ACTIONS(1297),
    [anon_sym_iszero] = ACTIONS(1297),
    [anon_sym_and] = ACTIONS(1297),
    [anon_sym_or] = ACTIONS(1297),
    [anon_sym_xor] = ACTIONS(1297),
    [anon_sym_byte] = ACTIONS(1297),
    [anon_sym_shl] = ACTIONS(1297),
    [anon_sym_shr] = ACTIONS(1297),
    [anon_sym_sar] = ACTIONS(1297),
    [anon_sym_addmod] = ACTIONS(1297),
    [anon_sym_mulmod] = ACTIONS(1297),
    [anon_sym_signextend] = ACTIONS(1297),
    [anon_sym_keccak256] = ACTIONS(1297),
    [anon_sym_pop] = ACTIONS(1297),
    [anon_sym_mload] = ACTIONS(1297),
    [anon_sym_mcopy] = ACTIONS(1297),
    [anon_sym_tload] = ACTIONS(1297),
    [anon_sym_tstore] = ACTIONS(1297),
    [anon_sym_mstore] = ACTIONS(1297),
    [anon_sym_mstore8] = ACTIONS(1297),
    [anon_sym_sload] = ACTIONS(1297),
    [anon_sym_sstore] = ACTIONS(1297),
    [anon_sym_msize] = ACTIONS(1297),
    [anon_sym_gas] = ACTIONS(1297),
    [anon_sym_address] = ACTIONS(1297),
    [anon_sym_balance] = ACTIONS(1297),
    [anon_sym_selfbalance] = ACTIONS(1297),
    [anon_sym_caller] = ACTIONS(1297),
    [anon_sym_callvalue] = ACTIONS(1297),
    [anon_sym_calldataload] = ACTIONS(1297),
    [anon_sym_calldatasize] = ACTIONS(1297),
    [anon_sym_calldatacopy] = ACTIONS(1297),
    [anon_sym_extcodesize] = ACTIONS(1297),
    [anon_sym_extcodecopy] = ACTIONS(1297),
    [anon_sym_returndatasize] = ACTIONS(1297),
    [anon_sym_returndatacopy] = ACTIONS(1297),
    [anon_sym_extcodehash] = ACTIONS(1297),
    [anon_sym_create] = ACTIONS(1297),
    [anon_sym_create2] = ACTIONS(1297),
    [anon_sym_call] = ACTIONS(1297),
    [anon_sym_callcode] = ACTIONS(1297),
    [anon_sym_delegatecall] = ACTIONS(1297),
    [anon_sym_staticcall] = ACTIONS(1297),
    [anon_sym_return] = ACTIONS(1297),
    [anon_sym_revert] = ACTIONS(1297),
    [anon_sym_selfdestruct] = ACTIONS(1297),
    [anon_sym_invalid] = ACTIONS(1297),
    [anon_sym_log0] = ACTIONS(1297),
    [anon_sym_log1] = ACTIONS(1297),
    [anon_sym_log2] = ACTIONS(1297),
    [anon_sym_log3] = ACTIONS(1297),
    [anon_sym_log4] = ACTIONS(1297),
    [anon_sym_chainid] = ACTIONS(1297),
    [anon_sym_origin] = ACTIONS(1297),
    [anon_sym_gasprice] = ACTIONS(1297),
    [anon_sym_blockhash] = ACTIONS(1297),
    [anon_sym_blobhash] = ACTIONS(1297),
    [anon_sym_basefee] = ACTIONS(1297),
    [anon_sym_blobfee] = ACTIONS(1297),
    [anon_sym_coinbase] = ACTIONS(1297),
    [anon_sym_timestamp] = ACTIONS(1297),
    [anon_sym_number] = ACTIONS(1297),
    [anon_sym_difficulty] = ACTIONS(1297),
    [anon_sym_gaslimit] = ACTIONS(1297),
    [anon_sym_hex] = ACTIONS(1297),
    [anon_sym_DQUOTE] = ACTIONS(1299),
    [anon_sym_SQUOTE] = ACTIONS(1299),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [sym_identifier] = ACTIONS(1301),
    [anon_sym_LBRACE] = ACTIONS(1303),
    [anon_sym_RBRACE] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1301),
    [sym_yul_leave] = ACTIONS(1301),
    [anon_sym_break] = ACTIONS(1301),
    [anon_sym_continue] = ACTIONS(1301),
    [sym_yul_decimal_number] = ACTIONS(1301),
    [sym_yul_hex_number] = ACTIONS(1303),
    [anon_sym_true] = ACTIONS(1301),
    [anon_sym_false] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_switch] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_stop] = ACTIONS(1301),
    [anon_sym_add] = ACTIONS(1301),
    [anon_sym_sub] = ACTIONS(1301),
    [anon_sym_mul] = ACTIONS(1301),
    [anon_sym_div] = ACTIONS(1301),
    [anon_sym_sdiv] = ACTIONS(1301),
    [anon_sym_mod] = ACTIONS(1301),
    [anon_sym_smod] = ACTIONS(1301),
    [anon_sym_exp] = ACTIONS(1301),
    [anon_sym_not] = ACTIONS(1301),
    [anon_sym_lt] = ACTIONS(1301),
    [anon_sym_gt] = ACTIONS(1301),
    [anon_sym_slt] = ACTIONS(1301),
    [anon_sym_sgt] = ACTIONS(1301),
    [anon_sym_eq] = ACTIONS(1301),
    [anon_sym_iszero] = ACTIONS(1301),
    [anon_sym_and] = ACTIONS(1301),
    [anon_sym_or] = ACTIONS(1301),
    [anon_sym_xor] = ACTIONS(1301),
    [anon_sym_byte] = ACTIONS(1301),
    [anon_sym_shl] = ACTIONS(1301),
    [anon_sym_shr] = ACTIONS(1301),
    [anon_sym_sar] = ACTIONS(1301),
    [anon_sym_addmod] = ACTIONS(1301),
    [anon_sym_mulmod] = ACTIONS(1301),
    [anon_sym_signextend] = ACTIONS(1301),
    [anon_sym_keccak256] = ACTIONS(1301),
    [anon_sym_pop] = ACTIONS(1301),
    [anon_sym_mload] = ACTIONS(1301),
    [anon_sym_mcopy] = ACTIONS(1301),
    [anon_sym_tload] = ACTIONS(1301),
    [anon_sym_tstore] = ACTIONS(1301),
    [anon_sym_mstore] = ACTIONS(1301),
    [anon_sym_mstore8] = ACTIONS(1301),
    [anon_sym_sload] = ACTIONS(1301),
    [anon_sym_sstore] = ACTIONS(1301),
    [anon_sym_msize] = ACTIONS(1301),
    [anon_sym_gas] = ACTIONS(1301),
    [anon_sym_address] = ACTIONS(1301),
    [anon_sym_balance] = ACTIONS(1301),
    [anon_sym_selfbalance] = ACTIONS(1301),
    [anon_sym_caller] = ACTIONS(1301),
    [anon_sym_callvalue] = ACTIONS(1301),
    [anon_sym_calldataload] = ACTIONS(1301),
    [anon_sym_calldatasize] = ACTIONS(1301),
    [anon_sym_calldatacopy] = ACTIONS(1301),
    [anon_sym_extcodesize] = ACTIONS(1301),
    [anon_sym_extcodecopy] = ACTIONS(1301),
    [anon_sym_returndatasize] = ACTIONS(1301),
    [anon_sym_returndatacopy] = ACTIONS(1301),
    [anon_sym_extcodehash] = ACTIONS(1301),
    [anon_sym_create] = ACTIONS(1301),
    [anon_sym_create2] = ACTIONS(1301),
    [anon_sym_call] = ACTIONS(1301),
    [anon_sym_callcode] = ACTIONS(1301),
    [anon_sym_delegatecall] = ACTIONS(1301),
    [anon_sym_staticcall] = ACTIONS(1301),
    [anon_sym_return] = ACTIONS(1301),
    [anon_sym_revert] = ACTIONS(1301),
    [anon_sym_selfdestruct] = ACTIONS(1301),
    [anon_sym_invalid] = ACTIONS(1301),
    [anon_sym_log0] = ACTIONS(1301),
    [anon_sym_log1] = ACTIONS(1301),
    [anon_sym_log2] = ACTIONS(1301),
    [anon_sym_log3] = ACTIONS(1301),
    [anon_sym_log4] = ACTIONS(1301),
    [anon_sym_chainid] = ACTIONS(1301),
    [anon_sym_origin] = ACTIONS(1301),
    [anon_sym_gasprice] = ACTIONS(1301),
    [anon_sym_blockhash] = ACTIONS(1301),
    [anon_sym_blobhash] = ACTIONS(1301),
    [anon_sym_basefee] = ACTIONS(1301),
    [anon_sym_blobfee] = ACTIONS(1301),
    [anon_sym_coinbase] = ACTIONS(1301),
    [anon_sym_timestamp] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_difficulty] = ACTIONS(1301),
    [anon_sym_gaslimit] = ACTIONS(1301),
    [anon_sym_hex] = ACTIONS(1301),
    [anon_sym_DQUOTE] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1303),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [sym_identifier] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1307),
    [anon_sym_RBRACE] = ACTIONS(1307),
    [anon_sym_for] = ACTIONS(1305),
    [sym_yul_leave] = ACTIONS(1305),
    [anon_sym_break] = ACTIONS(1305),
    [anon_sym_continue] = ACTIONS(1305),
    [sym_yul_decimal_number] = ACTIONS(1305),
    [sym_yul_hex_number] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1305),
    [anon_sym_false] = ACTIONS(1305),
    [anon_sym_let] = ACTIONS(1305),
    [anon_sym_if] = ACTIONS(1305),
    [anon_sym_switch] = ACTIONS(1305),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_stop] = ACTIONS(1305),
    [anon_sym_add] = ACTIONS(1305),
    [anon_sym_sub] = ACTIONS(1305),
    [anon_sym_mul] = ACTIONS(1305),
    [anon_sym_div] = ACTIONS(1305),
    [anon_sym_sdiv] = ACTIONS(1305),
    [anon_sym_mod] = ACTIONS(1305),
    [anon_sym_smod] = ACTIONS(1305),
    [anon_sym_exp] = ACTIONS(1305),
    [anon_sym_not] = ACTIONS(1305),
    [anon_sym_lt] = ACTIONS(1305),
    [anon_sym_gt] = ACTIONS(1305),
    [anon_sym_slt] = ACTIONS(1305),
    [anon_sym_sgt] = ACTIONS(1305),
    [anon_sym_eq] = ACTIONS(1305),
    [anon_sym_iszero] = ACTIONS(1305),
    [anon_sym_and] = ACTIONS(1305),
    [anon_sym_or] = ACTIONS(1305),
    [anon_sym_xor] = ACTIONS(1305),
    [anon_sym_byte] = ACTIONS(1305),
    [anon_sym_shl] = ACTIONS(1305),
    [anon_sym_shr] = ACTIONS(1305),
    [anon_sym_sar] = ACTIONS(1305),
    [anon_sym_addmod] = ACTIONS(1305),
    [anon_sym_mulmod] = ACTIONS(1305),
    [anon_sym_signextend] = ACTIONS(1305),
    [anon_sym_keccak256] = ACTIONS(1305),
    [anon_sym_pop] = ACTIONS(1305),
    [anon_sym_mload] = ACTIONS(1305),
    [anon_sym_mcopy] = ACTIONS(1305),
    [anon_sym_tload] = ACTIONS(1305),
    [anon_sym_tstore] = ACTIONS(1305),
    [anon_sym_mstore] = ACTIONS(1305),
    [anon_sym_mstore8] = ACTIONS(1305),
    [anon_sym_sload] = ACTIONS(1305),
    [anon_sym_sstore] = ACTIONS(1305),
    [anon_sym_msize] = ACTIONS(1305),
    [anon_sym_gas] = ACTIONS(1305),
    [anon_sym_address] = ACTIONS(1305),
    [anon_sym_balance] = ACTIONS(1305),
    [anon_sym_selfbalance] = ACTIONS(1305),
    [anon_sym_caller] = ACTIONS(1305),
    [anon_sym_callvalue] = ACTIONS(1305),
    [anon_sym_calldataload] = ACTIONS(1305),
    [anon_sym_calldatasize] = ACTIONS(1305),
    [anon_sym_calldatacopy] = ACTIONS(1305),
    [anon_sym_extcodesize] = ACTIONS(1305),
    [anon_sym_extcodecopy] = ACTIONS(1305),
    [anon_sym_returndatasize] = ACTIONS(1305),
    [anon_sym_returndatacopy] = ACTIONS(1305),
    [anon_sym_extcodehash] = ACTIONS(1305),
    [anon_sym_create] = ACTIONS(1305),
    [anon_sym_create2] = ACTIONS(1305),
    [anon_sym_call] = ACTIONS(1305),
    [anon_sym_callcode] = ACTIONS(1305),
    [anon_sym_delegatecall] = ACTIONS(1305),
    [anon_sym_staticcall] = ACTIONS(1305),
    [anon_sym_return] = ACTIONS(1305),
    [anon_sym_revert] = ACTIONS(1305),
    [anon_sym_selfdestruct] = ACTIONS(1305),
    [anon_sym_invalid] = ACTIONS(1305),
    [anon_sym_log0] = ACTIONS(1305),
    [anon_sym_log1] = ACTIONS(1305),
    [anon_sym_log2] = ACTIONS(1305),
    [anon_sym_log3] = ACTIONS(1305),
    [anon_sym_log4] = ACTIONS(1305),
    [anon_sym_chainid] = ACTIONS(1305),
    [anon_sym_origin] = ACTIONS(1305),
    [anon_sym_gasprice] = ACTIONS(1305),
    [anon_sym_blockhash] = ACTIONS(1305),
    [anon_sym_blobhash] = ACTIONS(1305),
    [anon_sym_basefee] = ACTIONS(1305),
    [anon_sym_blobfee] = ACTIONS(1305),
    [anon_sym_coinbase] = ACTIONS(1305),
    [anon_sym_timestamp] = ACTIONS(1305),
    [anon_sym_number] = ACTIONS(1305),
    [anon_sym_difficulty] = ACTIONS(1305),
    [anon_sym_gaslimit] = ACTIONS(1305),
    [anon_sym_hex] = ACTIONS(1305),
    [anon_sym_DQUOTE] = ACTIONS(1307),
    [anon_sym_SQUOTE] = ACTIONS(1307),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [sym_identifier] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_RBRACE] = ACTIONS(1311),
    [anon_sym_for] = ACTIONS(1309),
    [sym_yul_leave] = ACTIONS(1309),
    [anon_sym_break] = ACTIONS(1309),
    [anon_sym_continue] = ACTIONS(1309),
    [sym_yul_decimal_number] = ACTIONS(1309),
    [sym_yul_hex_number] = ACTIONS(1311),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_let] = ACTIONS(1309),
    [anon_sym_if] = ACTIONS(1309),
    [anon_sym_switch] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1309),
    [anon_sym_stop] = ACTIONS(1309),
    [anon_sym_add] = ACTIONS(1309),
    [anon_sym_sub] = ACTIONS(1309),
    [anon_sym_mul] = ACTIONS(1309),
    [anon_sym_div] = ACTIONS(1309),
    [anon_sym_sdiv] = ACTIONS(1309),
    [anon_sym_mod] = ACTIONS(1309),
    [anon_sym_smod] = ACTIONS(1309),
    [anon_sym_exp] = ACTIONS(1309),
    [anon_sym_not] = ACTIONS(1309),
    [anon_sym_lt] = ACTIONS(1309),
    [anon_sym_gt] = ACTIONS(1309),
    [anon_sym_slt] = ACTIONS(1309),
    [anon_sym_sgt] = ACTIONS(1309),
    [anon_sym_eq] = ACTIONS(1309),
    [anon_sym_iszero] = ACTIONS(1309),
    [anon_sym_and] = ACTIONS(1309),
    [anon_sym_or] = ACTIONS(1309),
    [anon_sym_xor] = ACTIONS(1309),
    [anon_sym_byte] = ACTIONS(1309),
    [anon_sym_shl] = ACTIONS(1309),
    [anon_sym_shr] = ACTIONS(1309),
    [anon_sym_sar] = ACTIONS(1309),
    [anon_sym_addmod] = ACTIONS(1309),
    [anon_sym_mulmod] = ACTIONS(1309),
    [anon_sym_signextend] = ACTIONS(1309),
    [anon_sym_keccak256] = ACTIONS(1309),
    [anon_sym_pop] = ACTIONS(1309),
    [anon_sym_mload] = ACTIONS(1309),
    [anon_sym_mcopy] = ACTIONS(1309),
    [anon_sym_tload] = ACTIONS(1309),
    [anon_sym_tstore] = ACTIONS(1309),
    [anon_sym_mstore] = ACTIONS(1309),
    [anon_sym_mstore8] = ACTIONS(1309),
    [anon_sym_sload] = ACTIONS(1309),
    [anon_sym_sstore] = ACTIONS(1309),
    [anon_sym_msize] = ACTIONS(1309),
    [anon_sym_gas] = ACTIONS(1309),
    [anon_sym_address] = ACTIONS(1309),
    [anon_sym_balance] = ACTIONS(1309),
    [anon_sym_selfbalance] = ACTIONS(1309),
    [anon_sym_caller] = ACTIONS(1309),
    [anon_sym_callvalue] = ACTIONS(1309),
    [anon_sym_calldataload] = ACTIONS(1309),
    [anon_sym_calldatasize] = ACTIONS(1309),
    [anon_sym_calldatacopy] = ACTIONS(1309),
    [anon_sym_extcodesize] = ACTIONS(1309),
    [anon_sym_extcodecopy] = ACTIONS(1309),
    [anon_sym_returndatasize] = ACTIONS(1309),
    [anon_sym_returndatacopy] = ACTIONS(1309),
    [anon_sym_extcodehash] = ACTIONS(1309),
    [anon_sym_create] = ACTIONS(1309),
    [anon_sym_create2] = ACTIONS(1309),
    [anon_sym_call] = ACTIONS(1309),
    [anon_sym_callcode] = ACTIONS(1309),
    [anon_sym_delegatecall] = ACTIONS(1309),
    [anon_sym_staticcall] = ACTIONS(1309),
    [anon_sym_return] = ACTIONS(1309),
    [anon_sym_revert] = ACTIONS(1309),
    [anon_sym_selfdestruct] = ACTIONS(1309),
    [anon_sym_invalid] = ACTIONS(1309),
    [anon_sym_log0] = ACTIONS(1309),
    [anon_sym_log1] = ACTIONS(1309),
    [anon_sym_log2] = ACTIONS(1309),
    [anon_sym_log3] = ACTIONS(1309),
    [anon_sym_log4] = ACTIONS(1309),
    [anon_sym_chainid] = ACTIONS(1309),
    [anon_sym_origin] = ACTIONS(1309),
    [anon_sym_gasprice] = ACTIONS(1309),
    [anon_sym_blockhash] = ACTIONS(1309),
    [anon_sym_blobhash] = ACTIONS(1309),
    [anon_sym_basefee] = ACTIONS(1309),
    [anon_sym_blobfee] = ACTIONS(1309),
    [anon_sym_coinbase] = ACTIONS(1309),
    [anon_sym_timestamp] = ACTIONS(1309),
    [anon_sym_number] = ACTIONS(1309),
    [anon_sym_difficulty] = ACTIONS(1309),
    [anon_sym_gaslimit] = ACTIONS(1309),
    [anon_sym_hex] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(1311),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [sym_identifier] = ACTIONS(1313),
    [anon_sym_LBRACE] = ACTIONS(1315),
    [anon_sym_RBRACE] = ACTIONS(1315),
    [anon_sym_for] = ACTIONS(1313),
    [sym_yul_leave] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1313),
    [anon_sym_continue] = ACTIONS(1313),
    [sym_yul_decimal_number] = ACTIONS(1313),
    [sym_yul_hex_number] = ACTIONS(1315),
    [anon_sym_true] = ACTIONS(1313),
    [anon_sym_false] = ACTIONS(1313),
    [anon_sym_let] = ACTIONS(1313),
    [anon_sym_if] = ACTIONS(1313),
    [anon_sym_switch] = ACTIONS(1313),
    [anon_sym_function] = ACTIONS(1313),
    [anon_sym_stop] = ACTIONS(1313),
    [anon_sym_add] = ACTIONS(1313),
    [anon_sym_sub] = ACTIONS(1313),
    [anon_sym_mul] = ACTIONS(1313),
    [anon_sym_div] = ACTIONS(1313),
    [anon_sym_sdiv] = ACTIONS(1313),
    [anon_sym_mod] = ACTIONS(1313),
    [anon_sym_smod] = ACTIONS(1313),
    [anon_sym_exp] = ACTIONS(1313),
    [anon_sym_not] = ACTIONS(1313),
    [anon_sym_lt] = ACTIONS(1313),
    [anon_sym_gt] = ACTIONS(1313),
    [anon_sym_slt] = ACTIONS(1313),
    [anon_sym_sgt] = ACTIONS(1313),
    [anon_sym_eq] = ACTIONS(1313),
    [anon_sym_iszero] = ACTIONS(1313),
    [anon_sym_and] = ACTIONS(1313),
    [anon_sym_or] = ACTIONS(1313),
    [anon_sym_xor] = ACTIONS(1313),
    [anon_sym_byte] = ACTIONS(1313),
    [anon_sym_shl] = ACTIONS(1313),
    [anon_sym_shr] = ACTIONS(1313),
    [anon_sym_sar] = ACTIONS(1313),
    [anon_sym_addmod] = ACTIONS(1313),
    [anon_sym_mulmod] = ACTIONS(1313),
    [anon_sym_signextend] = ACTIONS(1313),
    [anon_sym_keccak256] = ACTIONS(1313),
    [anon_sym_pop] = ACTIONS(1313),
    [anon_sym_mload] = ACTIONS(1313),
    [anon_sym_mcopy] = ACTIONS(1313),
    [anon_sym_tload] = ACTIONS(1313),
    [anon_sym_tstore] = ACTIONS(1313),
    [anon_sym_mstore] = ACTIONS(1313),
    [anon_sym_mstore8] = ACTIONS(1313),
    [anon_sym_sload] = ACTIONS(1313),
    [anon_sym_sstore] = ACTIONS(1313),
    [anon_sym_msize] = ACTIONS(1313),
    [anon_sym_gas] = ACTIONS(1313),
    [anon_sym_address] = ACTIONS(1313),
    [anon_sym_balance] = ACTIONS(1313),
    [anon_sym_selfbalance] = ACTIONS(1313),
    [anon_sym_caller] = ACTIONS(1313),
    [anon_sym_callvalue] = ACTIONS(1313),
    [anon_sym_calldataload] = ACTIONS(1313),
    [anon_sym_calldatasize] = ACTIONS(1313),
    [anon_sym_calldatacopy] = ACTIONS(1313),
    [anon_sym_extcodesize] = ACTIONS(1313),
    [anon_sym_extcodecopy] = ACTIONS(1313),
    [anon_sym_returndatasize] = ACTIONS(1313),
    [anon_sym_returndatacopy] = ACTIONS(1313),
    [anon_sym_extcodehash] = ACTIONS(1313),
    [anon_sym_create] = ACTIONS(1313),
    [anon_sym_create2] = ACTIONS(1313),
    [anon_sym_call] = ACTIONS(1313),
    [anon_sym_callcode] = ACTIONS(1313),
    [anon_sym_delegatecall] = ACTIONS(1313),
    [anon_sym_staticcall] = ACTIONS(1313),
    [anon_sym_return] = ACTIONS(1313),
    [anon_sym_revert] = ACTIONS(1313),
    [anon_sym_selfdestruct] = ACTIONS(1313),
    [anon_sym_invalid] = ACTIONS(1313),
    [anon_sym_log0] = ACTIONS(1313),
    [anon_sym_log1] = ACTIONS(1313),
    [anon_sym_log2] = ACTIONS(1313),
    [anon_sym_log3] = ACTIONS(1313),
    [anon_sym_log4] = ACTIONS(1313),
    [anon_sym_chainid] = ACTIONS(1313),
    [anon_sym_origin] = ACTIONS(1313),
    [anon_sym_gasprice] = ACTIONS(1313),
    [anon_sym_blockhash] = ACTIONS(1313),
    [anon_sym_blobhash] = ACTIONS(1313),
    [anon_sym_basefee] = ACTIONS(1313),
    [anon_sym_blobfee] = ACTIONS(1313),
    [anon_sym_coinbase] = ACTIONS(1313),
    [anon_sym_timestamp] = ACTIONS(1313),
    [anon_sym_number] = ACTIONS(1313),
    [anon_sym_difficulty] = ACTIONS(1313),
    [anon_sym_gaslimit] = ACTIONS(1313),
    [anon_sym_hex] = ACTIONS(1313),
    [anon_sym_DQUOTE] = ACTIONS(1315),
    [anon_sym_SQUOTE] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [sym_identifier] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1112),
    [sym_yul_leave] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [sym_yul_decimal_number] = ACTIONS(1112),
    [sym_yul_hex_number] = ACTIONS(1114),
    [anon_sym_true] = ACTIONS(1112),
    [anon_sym_false] = ACTIONS(1112),
    [anon_sym_let] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_function] = ACTIONS(1112),
    [anon_sym_stop] = ACTIONS(1112),
    [anon_sym_add] = ACTIONS(1112),
    [anon_sym_sub] = ACTIONS(1112),
    [anon_sym_mul] = ACTIONS(1112),
    [anon_sym_div] = ACTIONS(1112),
    [anon_sym_sdiv] = ACTIONS(1112),
    [anon_sym_mod] = ACTIONS(1112),
    [anon_sym_smod] = ACTIONS(1112),
    [anon_sym_exp] = ACTIONS(1112),
    [anon_sym_not] = ACTIONS(1112),
    [anon_sym_lt] = ACTIONS(1112),
    [anon_sym_gt] = ACTIONS(1112),
    [anon_sym_slt] = ACTIONS(1112),
    [anon_sym_sgt] = ACTIONS(1112),
    [anon_sym_eq] = ACTIONS(1112),
    [anon_sym_iszero] = ACTIONS(1112),
    [anon_sym_and] = ACTIONS(1112),
    [anon_sym_or] = ACTIONS(1112),
    [anon_sym_xor] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_shl] = ACTIONS(1112),
    [anon_sym_shr] = ACTIONS(1112),
    [anon_sym_sar] = ACTIONS(1112),
    [anon_sym_addmod] = ACTIONS(1112),
    [anon_sym_mulmod] = ACTIONS(1112),
    [anon_sym_signextend] = ACTIONS(1112),
    [anon_sym_keccak256] = ACTIONS(1112),
    [anon_sym_pop] = ACTIONS(1112),
    [anon_sym_mload] = ACTIONS(1112),
    [anon_sym_mcopy] = ACTIONS(1112),
    [anon_sym_tload] = ACTIONS(1112),
    [anon_sym_tstore] = ACTIONS(1112),
    [anon_sym_mstore] = ACTIONS(1112),
    [anon_sym_mstore8] = ACTIONS(1112),
    [anon_sym_sload] = ACTIONS(1112),
    [anon_sym_sstore] = ACTIONS(1112),
    [anon_sym_msize] = ACTIONS(1112),
    [anon_sym_gas] = ACTIONS(1112),
    [anon_sym_address] = ACTIONS(1112),
    [anon_sym_balance] = ACTIONS(1112),
    [anon_sym_selfbalance] = ACTIONS(1112),
    [anon_sym_caller] = ACTIONS(1112),
    [anon_sym_callvalue] = ACTIONS(1112),
    [anon_sym_calldataload] = ACTIONS(1112),
    [anon_sym_calldatasize] = ACTIONS(1112),
    [anon_sym_calldatacopy] = ACTIONS(1112),
    [anon_sym_extcodesize] = ACTIONS(1112),
    [anon_sym_extcodecopy] = ACTIONS(1112),
    [anon_sym_returndatasize] = ACTIONS(1112),
    [anon_sym_returndatacopy] = ACTIONS(1112),
    [anon_sym_extcodehash] = ACTIONS(1112),
    [anon_sym_create] = ACTIONS(1112),
    [anon_sym_create2] = ACTIONS(1112),
    [anon_sym_call] = ACTIONS(1112),
    [anon_sym_callcode] = ACTIONS(1112),
    [anon_sym_delegatecall] = ACTIONS(1112),
    [anon_sym_staticcall] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_revert] = ACTIONS(1112),
    [anon_sym_selfdestruct] = ACTIONS(1112),
    [anon_sym_invalid] = ACTIONS(1112),
    [anon_sym_log0] = ACTIONS(1112),
    [anon_sym_log1] = ACTIONS(1112),
    [anon_sym_log2] = ACTIONS(1112),
    [anon_sym_log3] = ACTIONS(1112),
    [anon_sym_log4] = ACTIONS(1112),
    [anon_sym_chainid] = ACTIONS(1112),
    [anon_sym_origin] = ACTIONS(1112),
    [anon_sym_gasprice] = ACTIONS(1112),
    [anon_sym_blockhash] = ACTIONS(1112),
    [anon_sym_blobhash] = ACTIONS(1112),
    [anon_sym_basefee] = ACTIONS(1112),
    [anon_sym_blobfee] = ACTIONS(1112),
    [anon_sym_coinbase] = ACTIONS(1112),
    [anon_sym_timestamp] = ACTIONS(1112),
    [anon_sym_number] = ACTIONS(1112),
    [anon_sym_difficulty] = ACTIONS(1112),
    [anon_sym_gaslimit] = ACTIONS(1112),
    [anon_sym_hex] = ACTIONS(1112),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [sym_identifier] = ACTIONS(1317),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1317),
    [sym_yul_leave] = ACTIONS(1317),
    [anon_sym_break] = ACTIONS(1317),
    [anon_sym_continue] = ACTIONS(1317),
    [sym_yul_decimal_number] = ACTIONS(1317),
    [sym_yul_hex_number] = ACTIONS(1320),
    [anon_sym_true] = ACTIONS(1317),
    [anon_sym_false] = ACTIONS(1317),
    [anon_sym_let] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_switch] = ACTIONS(1317),
    [anon_sym_function] = ACTIONS(1317),
    [anon_sym_stop] = ACTIONS(1317),
    [anon_sym_add] = ACTIONS(1317),
    [anon_sym_sub] = ACTIONS(1317),
    [anon_sym_mul] = ACTIONS(1317),
    [anon_sym_div] = ACTIONS(1317),
    [anon_sym_sdiv] = ACTIONS(1317),
    [anon_sym_mod] = ACTIONS(1317),
    [anon_sym_smod] = ACTIONS(1317),
    [anon_sym_exp] = ACTIONS(1317),
    [anon_sym_not] = ACTIONS(1317),
    [anon_sym_lt] = ACTIONS(1317),
    [anon_sym_gt] = ACTIONS(1317),
    [anon_sym_slt] = ACTIONS(1317),
    [anon_sym_sgt] = ACTIONS(1317),
    [anon_sym_eq] = ACTIONS(1317),
    [anon_sym_iszero] = ACTIONS(1317),
    [anon_sym_and] = ACTIONS(1317),
    [anon_sym_or] = ACTIONS(1317),
    [anon_sym_xor] = ACTIONS(1317),
    [anon_sym_byte] = ACTIONS(1317),
    [anon_sym_shl] = ACTIONS(1317),
    [anon_sym_shr] = ACTIONS(1317),
    [anon_sym_sar] = ACTIONS(1317),
    [anon_sym_addmod] = ACTIONS(1317),
    [anon_sym_mulmod] = ACTIONS(1317),
    [anon_sym_signextend] = ACTIONS(1317),
    [anon_sym_keccak256] = ACTIONS(1317),
    [anon_sym_pop] = ACTIONS(1317),
    [anon_sym_mload] = ACTIONS(1317),
    [anon_sym_mcopy] = ACTIONS(1317),
    [anon_sym_tload] = ACTIONS(1317),
    [anon_sym_tstore] = ACTIONS(1317),
    [anon_sym_mstore] = ACTIONS(1317),
    [anon_sym_mstore8] = ACTIONS(1317),
    [anon_sym_sload] = ACTIONS(1317),
    [anon_sym_sstore] = ACTIONS(1317),
    [anon_sym_msize] = ACTIONS(1317),
    [anon_sym_gas] = ACTIONS(1317),
    [anon_sym_address] = ACTIONS(1317),
    [anon_sym_balance] = ACTIONS(1317),
    [anon_sym_selfbalance] = ACTIONS(1317),
    [anon_sym_caller] = ACTIONS(1317),
    [anon_sym_callvalue] = ACTIONS(1317),
    [anon_sym_calldataload] = ACTIONS(1317),
    [anon_sym_calldatasize] = ACTIONS(1317),
    [anon_sym_calldatacopy] = ACTIONS(1317),
    [anon_sym_extcodesize] = ACTIONS(1317),
    [anon_sym_extcodecopy] = ACTIONS(1317),
    [anon_sym_returndatasize] = ACTIONS(1317),
    [anon_sym_returndatacopy] = ACTIONS(1317),
    [anon_sym_extcodehash] = ACTIONS(1317),
    [anon_sym_create] = ACTIONS(1317),
    [anon_sym_create2] = ACTIONS(1317),
    [anon_sym_call] = ACTIONS(1317),
    [anon_sym_callcode] = ACTIONS(1317),
    [anon_sym_delegatecall] = ACTIONS(1317),
    [anon_sym_staticcall] = ACTIONS(1317),
    [anon_sym_return] = ACTIONS(1317),
    [anon_sym_revert] = ACTIONS(1317),
    [anon_sym_selfdestruct] = ACTIONS(1317),
    [anon_sym_invalid] = ACTIONS(1317),
    [anon_sym_log0] = ACTIONS(1317),
    [anon_sym_log1] = ACTIONS(1317),
    [anon_sym_log2] = ACTIONS(1317),
    [anon_sym_log3] = ACTIONS(1317),
    [anon_sym_log4] = ACTIONS(1317),
    [anon_sym_chainid] = ACTIONS(1317),
    [anon_sym_origin] = ACTIONS(1317),
    [anon_sym_gasprice] = ACTIONS(1317),
    [anon_sym_blockhash] = ACTIONS(1317),
    [anon_sym_blobhash] = ACTIONS(1317),
    [anon_sym_basefee] = ACTIONS(1317),
    [anon_sym_blobfee] = ACTIONS(1317),
    [anon_sym_coinbase] = ACTIONS(1317),
    [anon_sym_timestamp] = ACTIONS(1317),
    [anon_sym_number] = ACTIONS(1317),
    [anon_sym_difficulty] = ACTIONS(1317),
    [anon_sym_gaslimit] = ACTIONS(1317),
    [anon_sym_hex] = ACTIONS(1317),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [sym_identifier] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_RBRACE] = ACTIONS(1325),
    [anon_sym_for] = ACTIONS(1323),
    [sym_yul_leave] = ACTIONS(1323),
    [anon_sym_break] = ACTIONS(1323),
    [anon_sym_continue] = ACTIONS(1323),
    [sym_yul_decimal_number] = ACTIONS(1323),
    [sym_yul_hex_number] = ACTIONS(1325),
    [anon_sym_true] = ACTIONS(1323),
    [anon_sym_false] = ACTIONS(1323),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_switch] = ACTIONS(1323),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_stop] = ACTIONS(1323),
    [anon_sym_add] = ACTIONS(1323),
    [anon_sym_sub] = ACTIONS(1323),
    [anon_sym_mul] = ACTIONS(1323),
    [anon_sym_div] = ACTIONS(1323),
    [anon_sym_sdiv] = ACTIONS(1323),
    [anon_sym_mod] = ACTIONS(1323),
    [anon_sym_smod] = ACTIONS(1323),
    [anon_sym_exp] = ACTIONS(1323),
    [anon_sym_not] = ACTIONS(1323),
    [anon_sym_lt] = ACTIONS(1323),
    [anon_sym_gt] = ACTIONS(1323),
    [anon_sym_slt] = ACTIONS(1323),
    [anon_sym_sgt] = ACTIONS(1323),
    [anon_sym_eq] = ACTIONS(1323),
    [anon_sym_iszero] = ACTIONS(1323),
    [anon_sym_and] = ACTIONS(1323),
    [anon_sym_or] = ACTIONS(1323),
    [anon_sym_xor] = ACTIONS(1323),
    [anon_sym_byte] = ACTIONS(1323),
    [anon_sym_shl] = ACTIONS(1323),
    [anon_sym_shr] = ACTIONS(1323),
    [anon_sym_sar] = ACTIONS(1323),
    [anon_sym_addmod] = ACTIONS(1323),
    [anon_sym_mulmod] = ACTIONS(1323),
    [anon_sym_signextend] = ACTIONS(1323),
    [anon_sym_keccak256] = ACTIONS(1323),
    [anon_sym_pop] = ACTIONS(1323),
    [anon_sym_mload] = ACTIONS(1323),
    [anon_sym_mcopy] = ACTIONS(1323),
    [anon_sym_tload] = ACTIONS(1323),
    [anon_sym_tstore] = ACTIONS(1323),
    [anon_sym_mstore] = ACTIONS(1323),
    [anon_sym_mstore8] = ACTIONS(1323),
    [anon_sym_sload] = ACTIONS(1323),
    [anon_sym_sstore] = ACTIONS(1323),
    [anon_sym_msize] = ACTIONS(1323),
    [anon_sym_gas] = ACTIONS(1323),
    [anon_sym_address] = ACTIONS(1323),
    [anon_sym_balance] = ACTIONS(1323),
    [anon_sym_selfbalance] = ACTIONS(1323),
    [anon_sym_caller] = ACTIONS(1323),
    [anon_sym_callvalue] = ACTIONS(1323),
    [anon_sym_calldataload] = ACTIONS(1323),
    [anon_sym_calldatasize] = ACTIONS(1323),
    [anon_sym_calldatacopy] = ACTIONS(1323),
    [anon_sym_extcodesize] = ACTIONS(1323),
    [anon_sym_extcodecopy] = ACTIONS(1323),
    [anon_sym_returndatasize] = ACTIONS(1323),
    [anon_sym_returndatacopy] = ACTIONS(1323),
    [anon_sym_extcodehash] = ACTIONS(1323),
    [anon_sym_create] = ACTIONS(1323),
    [anon_sym_create2] = ACTIONS(1323),
    [anon_sym_call] = ACTIONS(1323),
    [anon_sym_callcode] = ACTIONS(1323),
    [anon_sym_delegatecall] = ACTIONS(1323),
    [anon_sym_staticcall] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_revert] = ACTIONS(1323),
    [anon_sym_selfdestruct] = ACTIONS(1323),
    [anon_sym_invalid] = ACTIONS(1323),
    [anon_sym_log0] = ACTIONS(1323),
    [anon_sym_log1] = ACTIONS(1323),
    [anon_sym_log2] = ACTIONS(1323),
    [anon_sym_log3] = ACTIONS(1323),
    [anon_sym_log4] = ACTIONS(1323),
    [anon_sym_chainid] = ACTIONS(1323),
    [anon_sym_origin] = ACTIONS(1323),
    [anon_sym_gasprice] = ACTIONS(1323),
    [anon_sym_blockhash] = ACTIONS(1323),
    [anon_sym_blobhash] = ACTIONS(1323),
    [anon_sym_basefee] = ACTIONS(1323),
    [anon_sym_blobfee] = ACTIONS(1323),
    [anon_sym_coinbase] = ACTIONS(1323),
    [anon_sym_timestamp] = ACTIONS(1323),
    [anon_sym_number] = ACTIONS(1323),
    [anon_sym_difficulty] = ACTIONS(1323),
    [anon_sym_gaslimit] = ACTIONS(1323),
    [anon_sym_hex] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [sym_identifier] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_RBRACE] = ACTIONS(1325),
    [anon_sym_for] = ACTIONS(1323),
    [sym_yul_leave] = ACTIONS(1323),
    [anon_sym_break] = ACTIONS(1323),
    [anon_sym_continue] = ACTIONS(1323),
    [sym_yul_decimal_number] = ACTIONS(1323),
    [sym_yul_hex_number] = ACTIONS(1325),
    [anon_sym_true] = ACTIONS(1323),
    [anon_sym_false] = ACTIONS(1323),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_switch] = ACTIONS(1323),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_stop] = ACTIONS(1323),
    [anon_sym_add] = ACTIONS(1323),
    [anon_sym_sub] = ACTIONS(1323),
    [anon_sym_mul] = ACTIONS(1323),
    [anon_sym_div] = ACTIONS(1323),
    [anon_sym_sdiv] = ACTIONS(1323),
    [anon_sym_mod] = ACTIONS(1323),
    [anon_sym_smod] = ACTIONS(1323),
    [anon_sym_exp] = ACTIONS(1323),
    [anon_sym_not] = ACTIONS(1323),
    [anon_sym_lt] = ACTIONS(1323),
    [anon_sym_gt] = ACTIONS(1323),
    [anon_sym_slt] = ACTIONS(1323),
    [anon_sym_sgt] = ACTIONS(1323),
    [anon_sym_eq] = ACTIONS(1323),
    [anon_sym_iszero] = ACTIONS(1323),
    [anon_sym_and] = ACTIONS(1323),
    [anon_sym_or] = ACTIONS(1323),
    [anon_sym_xor] = ACTIONS(1323),
    [anon_sym_byte] = ACTIONS(1323),
    [anon_sym_shl] = ACTIONS(1323),
    [anon_sym_shr] = ACTIONS(1323),
    [anon_sym_sar] = ACTIONS(1323),
    [anon_sym_addmod] = ACTIONS(1323),
    [anon_sym_mulmod] = ACTIONS(1323),
    [anon_sym_signextend] = ACTIONS(1323),
    [anon_sym_keccak256] = ACTIONS(1323),
    [anon_sym_pop] = ACTIONS(1323),
    [anon_sym_mload] = ACTIONS(1323),
    [anon_sym_mcopy] = ACTIONS(1323),
    [anon_sym_tload] = ACTIONS(1323),
    [anon_sym_tstore] = ACTIONS(1323),
    [anon_sym_mstore] = ACTIONS(1323),
    [anon_sym_mstore8] = ACTIONS(1323),
    [anon_sym_sload] = ACTIONS(1323),
    [anon_sym_sstore] = ACTIONS(1323),
    [anon_sym_msize] = ACTIONS(1323),
    [anon_sym_gas] = ACTIONS(1323),
    [anon_sym_address] = ACTIONS(1323),
    [anon_sym_balance] = ACTIONS(1323),
    [anon_sym_selfbalance] = ACTIONS(1323),
    [anon_sym_caller] = ACTIONS(1323),
    [anon_sym_callvalue] = ACTIONS(1323),
    [anon_sym_calldataload] = ACTIONS(1323),
    [anon_sym_calldatasize] = ACTIONS(1323),
    [anon_sym_calldatacopy] = ACTIONS(1323),
    [anon_sym_extcodesize] = ACTIONS(1323),
    [anon_sym_extcodecopy] = ACTIONS(1323),
    [anon_sym_returndatasize] = ACTIONS(1323),
    [anon_sym_returndatacopy] = ACTIONS(1323),
    [anon_sym_extcodehash] = ACTIONS(1323),
    [anon_sym_create] = ACTIONS(1323),
    [anon_sym_create2] = ACTIONS(1323),
    [anon_sym_call] = ACTIONS(1323),
    [anon_sym_callcode] = ACTIONS(1323),
    [anon_sym_delegatecall] = ACTIONS(1323),
    [anon_sym_staticcall] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_revert] = ACTIONS(1323),
    [anon_sym_selfdestruct] = ACTIONS(1323),
    [anon_sym_invalid] = ACTIONS(1323),
    [anon_sym_log0] = ACTIONS(1323),
    [anon_sym_log1] = ACTIONS(1323),
    [anon_sym_log2] = ACTIONS(1323),
    [anon_sym_log3] = ACTIONS(1323),
    [anon_sym_log4] = ACTIONS(1323),
    [anon_sym_chainid] = ACTIONS(1323),
    [anon_sym_origin] = ACTIONS(1323),
    [anon_sym_gasprice] = ACTIONS(1323),
    [anon_sym_blockhash] = ACTIONS(1323),
    [anon_sym_blobhash] = ACTIONS(1323),
    [anon_sym_basefee] = ACTIONS(1323),
    [anon_sym_blobfee] = ACTIONS(1323),
    [anon_sym_coinbase] = ACTIONS(1323),
    [anon_sym_timestamp] = ACTIONS(1323),
    [anon_sym_number] = ACTIONS(1323),
    [anon_sym_difficulty] = ACTIONS(1323),
    [anon_sym_gaslimit] = ACTIONS(1323),
    [anon_sym_hex] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [sym_identifier] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1329),
    [anon_sym_RBRACE] = ACTIONS(1329),
    [anon_sym_for] = ACTIONS(1327),
    [sym_yul_leave] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(1327),
    [anon_sym_continue] = ACTIONS(1327),
    [sym_yul_decimal_number] = ACTIONS(1327),
    [sym_yul_hex_number] = ACTIONS(1329),
    [anon_sym_true] = ACTIONS(1327),
    [anon_sym_false] = ACTIONS(1327),
    [anon_sym_let] = ACTIONS(1327),
    [anon_sym_if] = ACTIONS(1327),
    [anon_sym_switch] = ACTIONS(1327),
    [anon_sym_function] = ACTIONS(1327),
    [anon_sym_stop] = ACTIONS(1327),
    [anon_sym_add] = ACTIONS(1327),
    [anon_sym_sub] = ACTIONS(1327),
    [anon_sym_mul] = ACTIONS(1327),
    [anon_sym_div] = ACTIONS(1327),
    [anon_sym_sdiv] = ACTIONS(1327),
    [anon_sym_mod] = ACTIONS(1327),
    [anon_sym_smod] = ACTIONS(1327),
    [anon_sym_exp] = ACTIONS(1327),
    [anon_sym_not] = ACTIONS(1327),
    [anon_sym_lt] = ACTIONS(1327),
    [anon_sym_gt] = ACTIONS(1327),
    [anon_sym_slt] = ACTIONS(1327),
    [anon_sym_sgt] = ACTIONS(1327),
    [anon_sym_eq] = ACTIONS(1327),
    [anon_sym_iszero] = ACTIONS(1327),
    [anon_sym_and] = ACTIONS(1327),
    [anon_sym_or] = ACTIONS(1327),
    [anon_sym_xor] = ACTIONS(1327),
    [anon_sym_byte] = ACTIONS(1327),
    [anon_sym_shl] = ACTIONS(1327),
    [anon_sym_shr] = ACTIONS(1327),
    [anon_sym_sar] = ACTIONS(1327),
    [anon_sym_addmod] = ACTIONS(1327),
    [anon_sym_mulmod] = ACTIONS(1327),
    [anon_sym_signextend] = ACTIONS(1327),
    [anon_sym_keccak256] = ACTIONS(1327),
    [anon_sym_pop] = ACTIONS(1327),
    [anon_sym_mload] = ACTIONS(1327),
    [anon_sym_mcopy] = ACTIONS(1327),
    [anon_sym_tload] = ACTIONS(1327),
    [anon_sym_tstore] = ACTIONS(1327),
    [anon_sym_mstore] = ACTIONS(1327),
    [anon_sym_mstore8] = ACTIONS(1327),
    [anon_sym_sload] = ACTIONS(1327),
    [anon_sym_sstore] = ACTIONS(1327),
    [anon_sym_msize] = ACTIONS(1327),
    [anon_sym_gas] = ACTIONS(1327),
    [anon_sym_address] = ACTIONS(1327),
    [anon_sym_balance] = ACTIONS(1327),
    [anon_sym_selfbalance] = ACTIONS(1327),
    [anon_sym_caller] = ACTIONS(1327),
    [anon_sym_callvalue] = ACTIONS(1327),
    [anon_sym_calldataload] = ACTIONS(1327),
    [anon_sym_calldatasize] = ACTIONS(1327),
    [anon_sym_calldatacopy] = ACTIONS(1327),
    [anon_sym_extcodesize] = ACTIONS(1327),
    [anon_sym_extcodecopy] = ACTIONS(1327),
    [anon_sym_returndatasize] = ACTIONS(1327),
    [anon_sym_returndatacopy] = ACTIONS(1327),
    [anon_sym_extcodehash] = ACTIONS(1327),
    [anon_sym_create] = ACTIONS(1327),
    [anon_sym_create2] = ACTIONS(1327),
    [anon_sym_call] = ACTIONS(1327),
    [anon_sym_callcode] = ACTIONS(1327),
    [anon_sym_delegatecall] = ACTIONS(1327),
    [anon_sym_staticcall] = ACTIONS(1327),
    [anon_sym_return] = ACTIONS(1327),
    [anon_sym_revert] = ACTIONS(1327),
    [anon_sym_selfdestruct] = ACTIONS(1327),
    [anon_sym_invalid] = ACTIONS(1327),
    [anon_sym_log0] = ACTIONS(1327),
    [anon_sym_log1] = ACTIONS(1327),
    [anon_sym_log2] = ACTIONS(1327),
    [anon_sym_log3] = ACTIONS(1327),
    [anon_sym_log4] = ACTIONS(1327),
    [anon_sym_chainid] = ACTIONS(1327),
    [anon_sym_origin] = ACTIONS(1327),
    [anon_sym_gasprice] = ACTIONS(1327),
    [anon_sym_blockhash] = ACTIONS(1327),
    [anon_sym_blobhash] = ACTIONS(1327),
    [anon_sym_basefee] = ACTIONS(1327),
    [anon_sym_blobfee] = ACTIONS(1327),
    [anon_sym_coinbase] = ACTIONS(1327),
    [anon_sym_timestamp] = ACTIONS(1327),
    [anon_sym_number] = ACTIONS(1327),
    [anon_sym_difficulty] = ACTIONS(1327),
    [anon_sym_gaslimit] = ACTIONS(1327),
    [anon_sym_hex] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [anon_sym_SQUOTE] = ACTIONS(1329),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [sym_identifier] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1333),
    [anon_sym_RBRACE] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1331),
    [sym_yul_leave] = ACTIONS(1331),
    [anon_sym_break] = ACTIONS(1331),
    [anon_sym_continue] = ACTIONS(1331),
    [sym_yul_decimal_number] = ACTIONS(1331),
    [sym_yul_hex_number] = ACTIONS(1333),
    [anon_sym_true] = ACTIONS(1331),
    [anon_sym_false] = ACTIONS(1331),
    [anon_sym_let] = ACTIONS(1331),
    [anon_sym_if] = ACTIONS(1331),
    [anon_sym_switch] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(1331),
    [anon_sym_stop] = ACTIONS(1331),
    [anon_sym_add] = ACTIONS(1331),
    [anon_sym_sub] = ACTIONS(1331),
    [anon_sym_mul] = ACTIONS(1331),
    [anon_sym_div] = ACTIONS(1331),
    [anon_sym_sdiv] = ACTIONS(1331),
    [anon_sym_mod] = ACTIONS(1331),
    [anon_sym_smod] = ACTIONS(1331),
    [anon_sym_exp] = ACTIONS(1331),
    [anon_sym_not] = ACTIONS(1331),
    [anon_sym_lt] = ACTIONS(1331),
    [anon_sym_gt] = ACTIONS(1331),
    [anon_sym_slt] = ACTIONS(1331),
    [anon_sym_sgt] = ACTIONS(1331),
    [anon_sym_eq] = ACTIONS(1331),
    [anon_sym_iszero] = ACTIONS(1331),
    [anon_sym_and] = ACTIONS(1331),
    [anon_sym_or] = ACTIONS(1331),
    [anon_sym_xor] = ACTIONS(1331),
    [anon_sym_byte] = ACTIONS(1331),
    [anon_sym_shl] = ACTIONS(1331),
    [anon_sym_shr] = ACTIONS(1331),
    [anon_sym_sar] = ACTIONS(1331),
    [anon_sym_addmod] = ACTIONS(1331),
    [anon_sym_mulmod] = ACTIONS(1331),
    [anon_sym_signextend] = ACTIONS(1331),
    [anon_sym_keccak256] = ACTIONS(1331),
    [anon_sym_pop] = ACTIONS(1331),
    [anon_sym_mload] = ACTIONS(1331),
    [anon_sym_mcopy] = ACTIONS(1331),
    [anon_sym_tload] = ACTIONS(1331),
    [anon_sym_tstore] = ACTIONS(1331),
    [anon_sym_mstore] = ACTIONS(1331),
    [anon_sym_mstore8] = ACTIONS(1331),
    [anon_sym_sload] = ACTIONS(1331),
    [anon_sym_sstore] = ACTIONS(1331),
    [anon_sym_msize] = ACTIONS(1331),
    [anon_sym_gas] = ACTIONS(1331),
    [anon_sym_address] = ACTIONS(1331),
    [anon_sym_balance] = ACTIONS(1331),
    [anon_sym_selfbalance] = ACTIONS(1331),
    [anon_sym_caller] = ACTIONS(1331),
    [anon_sym_callvalue] = ACTIONS(1331),
    [anon_sym_calldataload] = ACTIONS(1331),
    [anon_sym_calldatasize] = ACTIONS(1331),
    [anon_sym_calldatacopy] = ACTIONS(1331),
    [anon_sym_extcodesize] = ACTIONS(1331),
    [anon_sym_extcodecopy] = ACTIONS(1331),
    [anon_sym_returndatasize] = ACTIONS(1331),
    [anon_sym_returndatacopy] = ACTIONS(1331),
    [anon_sym_extcodehash] = ACTIONS(1331),
    [anon_sym_create] = ACTIONS(1331),
    [anon_sym_create2] = ACTIONS(1331),
    [anon_sym_call] = ACTIONS(1331),
    [anon_sym_callcode] = ACTIONS(1331),
    [anon_sym_delegatecall] = ACTIONS(1331),
    [anon_sym_staticcall] = ACTIONS(1331),
    [anon_sym_return] = ACTIONS(1331),
    [anon_sym_revert] = ACTIONS(1331),
    [anon_sym_selfdestruct] = ACTIONS(1331),
    [anon_sym_invalid] = ACTIONS(1331),
    [anon_sym_log0] = ACTIONS(1331),
    [anon_sym_log1] = ACTIONS(1331),
    [anon_sym_log2] = ACTIONS(1331),
    [anon_sym_log3] = ACTIONS(1331),
    [anon_sym_log4] = ACTIONS(1331),
    [anon_sym_chainid] = ACTIONS(1331),
    [anon_sym_origin] = ACTIONS(1331),
    [anon_sym_gasprice] = ACTIONS(1331),
    [anon_sym_blockhash] = ACTIONS(1331),
    [anon_sym_blobhash] = ACTIONS(1331),
    [anon_sym_basefee] = ACTIONS(1331),
    [anon_sym_blobfee] = ACTIONS(1331),
    [anon_sym_coinbase] = ACTIONS(1331),
    [anon_sym_timestamp] = ACTIONS(1331),
    [anon_sym_number] = ACTIONS(1331),
    [anon_sym_difficulty] = ACTIONS(1331),
    [anon_sym_gaslimit] = ACTIONS(1331),
    [anon_sym_hex] = ACTIONS(1331),
    [anon_sym_DQUOTE] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1333),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [sym_identifier] = ACTIONS(1335),
    [anon_sym_LBRACE] = ACTIONS(1337),
    [anon_sym_RBRACE] = ACTIONS(1337),
    [anon_sym_for] = ACTIONS(1335),
    [sym_yul_leave] = ACTIONS(1335),
    [anon_sym_break] = ACTIONS(1335),
    [anon_sym_continue] = ACTIONS(1335),
    [sym_yul_decimal_number] = ACTIONS(1335),
    [sym_yul_hex_number] = ACTIONS(1337),
    [anon_sym_true] = ACTIONS(1335),
    [anon_sym_false] = ACTIONS(1335),
    [anon_sym_let] = ACTIONS(1335),
    [anon_sym_if] = ACTIONS(1335),
    [anon_sym_switch] = ACTIONS(1335),
    [anon_sym_function] = ACTIONS(1335),
    [anon_sym_stop] = ACTIONS(1335),
    [anon_sym_add] = ACTIONS(1335),
    [anon_sym_sub] = ACTIONS(1335),
    [anon_sym_mul] = ACTIONS(1335),
    [anon_sym_div] = ACTIONS(1335),
    [anon_sym_sdiv] = ACTIONS(1335),
    [anon_sym_mod] = ACTIONS(1335),
    [anon_sym_smod] = ACTIONS(1335),
    [anon_sym_exp] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_lt] = ACTIONS(1335),
    [anon_sym_gt] = ACTIONS(1335),
    [anon_sym_slt] = ACTIONS(1335),
    [anon_sym_sgt] = ACTIONS(1335),
    [anon_sym_eq] = ACTIONS(1335),
    [anon_sym_iszero] = ACTIONS(1335),
    [anon_sym_and] = ACTIONS(1335),
    [anon_sym_or] = ACTIONS(1335),
    [anon_sym_xor] = ACTIONS(1335),
    [anon_sym_byte] = ACTIONS(1335),
    [anon_sym_shl] = ACTIONS(1335),
    [anon_sym_shr] = ACTIONS(1335),
    [anon_sym_sar] = ACTIONS(1335),
    [anon_sym_addmod] = ACTIONS(1335),
    [anon_sym_mulmod] = ACTIONS(1335),
    [anon_sym_signextend] = ACTIONS(1335),
    [anon_sym_keccak256] = ACTIONS(1335),
    [anon_sym_pop] = ACTIONS(1335),
    [anon_sym_mload] = ACTIONS(1335),
    [anon_sym_mcopy] = ACTIONS(1335),
    [anon_sym_tload] = ACTIONS(1335),
    [anon_sym_tstore] = ACTIONS(1335),
    [anon_sym_mstore] = ACTIONS(1335),
    [anon_sym_mstore8] = ACTIONS(1335),
    [anon_sym_sload] = ACTIONS(1335),
    [anon_sym_sstore] = ACTIONS(1335),
    [anon_sym_msize] = ACTIONS(1335),
    [anon_sym_gas] = ACTIONS(1335),
    [anon_sym_address] = ACTIONS(1335),
    [anon_sym_balance] = ACTIONS(1335),
    [anon_sym_selfbalance] = ACTIONS(1335),
    [anon_sym_caller] = ACTIONS(1335),
    [anon_sym_callvalue] = ACTIONS(1335),
    [anon_sym_calldataload] = ACTIONS(1335),
    [anon_sym_calldatasize] = ACTIONS(1335),
    [anon_sym_calldatacopy] = ACTIONS(1335),
    [anon_sym_extcodesize] = ACTIONS(1335),
    [anon_sym_extcodecopy] = ACTIONS(1335),
    [anon_sym_returndatasize] = ACTIONS(1335),
    [anon_sym_returndatacopy] = ACTIONS(1335),
    [anon_sym_extcodehash] = ACTIONS(1335),
    [anon_sym_create] = ACTIONS(1335),
    [anon_sym_create2] = ACTIONS(1335),
    [anon_sym_call] = ACTIONS(1335),
    [anon_sym_callcode] = ACTIONS(1335),
    [anon_sym_delegatecall] = ACTIONS(1335),
    [anon_sym_staticcall] = ACTIONS(1335),
    [anon_sym_return] = ACTIONS(1335),
    [anon_sym_revert] = ACTIONS(1335),
    [anon_sym_selfdestruct] = ACTIONS(1335),
    [anon_sym_invalid] = ACTIONS(1335),
    [anon_sym_log0] = ACTIONS(1335),
    [anon_sym_log1] = ACTIONS(1335),
    [anon_sym_log2] = ACTIONS(1335),
    [anon_sym_log3] = ACTIONS(1335),
    [anon_sym_log4] = ACTIONS(1335),
    [anon_sym_chainid] = ACTIONS(1335),
    [anon_sym_origin] = ACTIONS(1335),
    [anon_sym_gasprice] = ACTIONS(1335),
    [anon_sym_blockhash] = ACTIONS(1335),
    [anon_sym_blobhash] = ACTIONS(1335),
    [anon_sym_basefee] = ACTIONS(1335),
    [anon_sym_blobfee] = ACTIONS(1335),
    [anon_sym_coinbase] = ACTIONS(1335),
    [anon_sym_timestamp] = ACTIONS(1335),
    [anon_sym_number] = ACTIONS(1335),
    [anon_sym_difficulty] = ACTIONS(1335),
    [anon_sym_gaslimit] = ACTIONS(1335),
    [anon_sym_hex] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1337),
    [anon_sym_SQUOTE] = ACTIONS(1337),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_LBRACE] = ACTIONS(1341),
    [anon_sym_RBRACE] = ACTIONS(1341),
    [anon_sym_for] = ACTIONS(1339),
    [sym_yul_leave] = ACTIONS(1339),
    [anon_sym_break] = ACTIONS(1339),
    [anon_sym_continue] = ACTIONS(1339),
    [sym_yul_decimal_number] = ACTIONS(1339),
    [sym_yul_hex_number] = ACTIONS(1341),
    [anon_sym_true] = ACTIONS(1339),
    [anon_sym_false] = ACTIONS(1339),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_switch] = ACTIONS(1339),
    [anon_sym_function] = ACTIONS(1339),
    [anon_sym_stop] = ACTIONS(1339),
    [anon_sym_add] = ACTIONS(1339),
    [anon_sym_sub] = ACTIONS(1339),
    [anon_sym_mul] = ACTIONS(1339),
    [anon_sym_div] = ACTIONS(1339),
    [anon_sym_sdiv] = ACTIONS(1339),
    [anon_sym_mod] = ACTIONS(1339),
    [anon_sym_smod] = ACTIONS(1339),
    [anon_sym_exp] = ACTIONS(1339),
    [anon_sym_not] = ACTIONS(1339),
    [anon_sym_lt] = ACTIONS(1339),
    [anon_sym_gt] = ACTIONS(1339),
    [anon_sym_slt] = ACTIONS(1339),
    [anon_sym_sgt] = ACTIONS(1339),
    [anon_sym_eq] = ACTIONS(1339),
    [anon_sym_iszero] = ACTIONS(1339),
    [anon_sym_and] = ACTIONS(1339),
    [anon_sym_or] = ACTIONS(1339),
    [anon_sym_xor] = ACTIONS(1339),
    [anon_sym_byte] = ACTIONS(1339),
    [anon_sym_shl] = ACTIONS(1339),
    [anon_sym_shr] = ACTIONS(1339),
    [anon_sym_sar] = ACTIONS(1339),
    [anon_sym_addmod] = ACTIONS(1339),
    [anon_sym_mulmod] = ACTIONS(1339),
    [anon_sym_signextend] = ACTIONS(1339),
    [anon_sym_keccak256] = ACTIONS(1339),
    [anon_sym_pop] = ACTIONS(1339),
    [anon_sym_mload] = ACTIONS(1339),
    [anon_sym_mcopy] = ACTIONS(1339),
    [anon_sym_tload] = ACTIONS(1339),
    [anon_sym_tstore] = ACTIONS(1339),
    [anon_sym_mstore] = ACTIONS(1339),
    [anon_sym_mstore8] = ACTIONS(1339),
    [anon_sym_sload] = ACTIONS(1339),
    [anon_sym_sstore] = ACTIONS(1339),
    [anon_sym_msize] = ACTIONS(1339),
    [anon_sym_gas] = ACTIONS(1339),
    [anon_sym_address] = ACTIONS(1339),
    [anon_sym_balance] = ACTIONS(1339),
    [anon_sym_selfbalance] = ACTIONS(1339),
    [anon_sym_caller] = ACTIONS(1339),
    [anon_sym_callvalue] = ACTIONS(1339),
    [anon_sym_calldataload] = ACTIONS(1339),
    [anon_sym_calldatasize] = ACTIONS(1339),
    [anon_sym_calldatacopy] = ACTIONS(1339),
    [anon_sym_extcodesize] = ACTIONS(1339),
    [anon_sym_extcodecopy] = ACTIONS(1339),
    [anon_sym_returndatasize] = ACTIONS(1339),
    [anon_sym_returndatacopy] = ACTIONS(1339),
    [anon_sym_extcodehash] = ACTIONS(1339),
    [anon_sym_create] = ACTIONS(1339),
    [anon_sym_create2] = ACTIONS(1339),
    [anon_sym_call] = ACTIONS(1339),
    [anon_sym_callcode] = ACTIONS(1339),
    [anon_sym_delegatecall] = ACTIONS(1339),
    [anon_sym_staticcall] = ACTIONS(1339),
    [anon_sym_return] = ACTIONS(1339),
    [anon_sym_revert] = ACTIONS(1339),
    [anon_sym_selfdestruct] = ACTIONS(1339),
    [anon_sym_invalid] = ACTIONS(1339),
    [anon_sym_log0] = ACTIONS(1339),
    [anon_sym_log1] = ACTIONS(1339),
    [anon_sym_log2] = ACTIONS(1339),
    [anon_sym_log3] = ACTIONS(1339),
    [anon_sym_log4] = ACTIONS(1339),
    [anon_sym_chainid] = ACTIONS(1339),
    [anon_sym_origin] = ACTIONS(1339),
    [anon_sym_gasprice] = ACTIONS(1339),
    [anon_sym_blockhash] = ACTIONS(1339),
    [anon_sym_blobhash] = ACTIONS(1339),
    [anon_sym_basefee] = ACTIONS(1339),
    [anon_sym_blobfee] = ACTIONS(1339),
    [anon_sym_coinbase] = ACTIONS(1339),
    [anon_sym_timestamp] = ACTIONS(1339),
    [anon_sym_number] = ACTIONS(1339),
    [anon_sym_difficulty] = ACTIONS(1339),
    [anon_sym_gaslimit] = ACTIONS(1339),
    [anon_sym_hex] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym_identifier] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1345),
    [anon_sym_RBRACE] = ACTIONS(1345),
    [anon_sym_for] = ACTIONS(1343),
    [sym_yul_leave] = ACTIONS(1343),
    [anon_sym_break] = ACTIONS(1343),
    [anon_sym_continue] = ACTIONS(1343),
    [sym_yul_decimal_number] = ACTIONS(1343),
    [sym_yul_hex_number] = ACTIONS(1345),
    [anon_sym_true] = ACTIONS(1343),
    [anon_sym_false] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1343),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_function] = ACTIONS(1343),
    [anon_sym_stop] = ACTIONS(1343),
    [anon_sym_add] = ACTIONS(1343),
    [anon_sym_sub] = ACTIONS(1343),
    [anon_sym_mul] = ACTIONS(1343),
    [anon_sym_div] = ACTIONS(1343),
    [anon_sym_sdiv] = ACTIONS(1343),
    [anon_sym_mod] = ACTIONS(1343),
    [anon_sym_smod] = ACTIONS(1343),
    [anon_sym_exp] = ACTIONS(1343),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_lt] = ACTIONS(1343),
    [anon_sym_gt] = ACTIONS(1343),
    [anon_sym_slt] = ACTIONS(1343),
    [anon_sym_sgt] = ACTIONS(1343),
    [anon_sym_eq] = ACTIONS(1343),
    [anon_sym_iszero] = ACTIONS(1343),
    [anon_sym_and] = ACTIONS(1343),
    [anon_sym_or] = ACTIONS(1343),
    [anon_sym_xor] = ACTIONS(1343),
    [anon_sym_byte] = ACTIONS(1343),
    [anon_sym_shl] = ACTIONS(1343),
    [anon_sym_shr] = ACTIONS(1343),
    [anon_sym_sar] = ACTIONS(1343),
    [anon_sym_addmod] = ACTIONS(1343),
    [anon_sym_mulmod] = ACTIONS(1343),
    [anon_sym_signextend] = ACTIONS(1343),
    [anon_sym_keccak256] = ACTIONS(1343),
    [anon_sym_pop] = ACTIONS(1343),
    [anon_sym_mload] = ACTIONS(1343),
    [anon_sym_mcopy] = ACTIONS(1343),
    [anon_sym_tload] = ACTIONS(1343),
    [anon_sym_tstore] = ACTIONS(1343),
    [anon_sym_mstore] = ACTIONS(1343),
    [anon_sym_mstore8] = ACTIONS(1343),
    [anon_sym_sload] = ACTIONS(1343),
    [anon_sym_sstore] = ACTIONS(1343),
    [anon_sym_msize] = ACTIONS(1343),
    [anon_sym_gas] = ACTIONS(1343),
    [anon_sym_address] = ACTIONS(1343),
    [anon_sym_balance] = ACTIONS(1343),
    [anon_sym_selfbalance] = ACTIONS(1343),
    [anon_sym_caller] = ACTIONS(1343),
    [anon_sym_callvalue] = ACTIONS(1343),
    [anon_sym_calldataload] = ACTIONS(1343),
    [anon_sym_calldatasize] = ACTIONS(1343),
    [anon_sym_calldatacopy] = ACTIONS(1343),
    [anon_sym_extcodesize] = ACTIONS(1343),
    [anon_sym_extcodecopy] = ACTIONS(1343),
    [anon_sym_returndatasize] = ACTIONS(1343),
    [anon_sym_returndatacopy] = ACTIONS(1343),
    [anon_sym_extcodehash] = ACTIONS(1343),
    [anon_sym_create] = ACTIONS(1343),
    [anon_sym_create2] = ACTIONS(1343),
    [anon_sym_call] = ACTIONS(1343),
    [anon_sym_callcode] = ACTIONS(1343),
    [anon_sym_delegatecall] = ACTIONS(1343),
    [anon_sym_staticcall] = ACTIONS(1343),
    [anon_sym_return] = ACTIONS(1343),
    [anon_sym_revert] = ACTIONS(1343),
    [anon_sym_selfdestruct] = ACTIONS(1343),
    [anon_sym_invalid] = ACTIONS(1343),
    [anon_sym_log0] = ACTIONS(1343),
    [anon_sym_log1] = ACTIONS(1343),
    [anon_sym_log2] = ACTIONS(1343),
    [anon_sym_log3] = ACTIONS(1343),
    [anon_sym_log4] = ACTIONS(1343),
    [anon_sym_chainid] = ACTIONS(1343),
    [anon_sym_origin] = ACTIONS(1343),
    [anon_sym_gasprice] = ACTIONS(1343),
    [anon_sym_blockhash] = ACTIONS(1343),
    [anon_sym_blobhash] = ACTIONS(1343),
    [anon_sym_basefee] = ACTIONS(1343),
    [anon_sym_blobfee] = ACTIONS(1343),
    [anon_sym_coinbase] = ACTIONS(1343),
    [anon_sym_timestamp] = ACTIONS(1343),
    [anon_sym_number] = ACTIONS(1343),
    [anon_sym_difficulty] = ACTIONS(1343),
    [anon_sym_gaslimit] = ACTIONS(1343),
    [anon_sym_hex] = ACTIONS(1343),
    [anon_sym_DQUOTE] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1345),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_identifier] = ACTIONS(1347),
    [anon_sym_LBRACE] = ACTIONS(1349),
    [anon_sym_RBRACE] = ACTIONS(1349),
    [anon_sym_for] = ACTIONS(1347),
    [sym_yul_leave] = ACTIONS(1347),
    [anon_sym_break] = ACTIONS(1347),
    [anon_sym_continue] = ACTIONS(1347),
    [sym_yul_decimal_number] = ACTIONS(1347),
    [sym_yul_hex_number] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1347),
    [anon_sym_false] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1347),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_switch] = ACTIONS(1347),
    [anon_sym_function] = ACTIONS(1347),
    [anon_sym_stop] = ACTIONS(1347),
    [anon_sym_add] = ACTIONS(1347),
    [anon_sym_sub] = ACTIONS(1347),
    [anon_sym_mul] = ACTIONS(1347),
    [anon_sym_div] = ACTIONS(1347),
    [anon_sym_sdiv] = ACTIONS(1347),
    [anon_sym_mod] = ACTIONS(1347),
    [anon_sym_smod] = ACTIONS(1347),
    [anon_sym_exp] = ACTIONS(1347),
    [anon_sym_not] = ACTIONS(1347),
    [anon_sym_lt] = ACTIONS(1347),
    [anon_sym_gt] = ACTIONS(1347),
    [anon_sym_slt] = ACTIONS(1347),
    [anon_sym_sgt] = ACTIONS(1347),
    [anon_sym_eq] = ACTIONS(1347),
    [anon_sym_iszero] = ACTIONS(1347),
    [anon_sym_and] = ACTIONS(1347),
    [anon_sym_or] = ACTIONS(1347),
    [anon_sym_xor] = ACTIONS(1347),
    [anon_sym_byte] = ACTIONS(1347),
    [anon_sym_shl] = ACTIONS(1347),
    [anon_sym_shr] = ACTIONS(1347),
    [anon_sym_sar] = ACTIONS(1347),
    [anon_sym_addmod] = ACTIONS(1347),
    [anon_sym_mulmod] = ACTIONS(1347),
    [anon_sym_signextend] = ACTIONS(1347),
    [anon_sym_keccak256] = ACTIONS(1347),
    [anon_sym_pop] = ACTIONS(1347),
    [anon_sym_mload] = ACTIONS(1347),
    [anon_sym_mcopy] = ACTIONS(1347),
    [anon_sym_tload] = ACTIONS(1347),
    [anon_sym_tstore] = ACTIONS(1347),
    [anon_sym_mstore] = ACTIONS(1347),
    [anon_sym_mstore8] = ACTIONS(1347),
    [anon_sym_sload] = ACTIONS(1347),
    [anon_sym_sstore] = ACTIONS(1347),
    [anon_sym_msize] = ACTIONS(1347),
    [anon_sym_gas] = ACTIONS(1347),
    [anon_sym_address] = ACTIONS(1347),
    [anon_sym_balance] = ACTIONS(1347),
    [anon_sym_selfbalance] = ACTIONS(1347),
    [anon_sym_caller] = ACTIONS(1347),
    [anon_sym_callvalue] = ACTIONS(1347),
    [anon_sym_calldataload] = ACTIONS(1347),
    [anon_sym_calldatasize] = ACTIONS(1347),
    [anon_sym_calldatacopy] = ACTIONS(1347),
    [anon_sym_extcodesize] = ACTIONS(1347),
    [anon_sym_extcodecopy] = ACTIONS(1347),
    [anon_sym_returndatasize] = ACTIONS(1347),
    [anon_sym_returndatacopy] = ACTIONS(1347),
    [anon_sym_extcodehash] = ACTIONS(1347),
    [anon_sym_create] = ACTIONS(1347),
    [anon_sym_create2] = ACTIONS(1347),
    [anon_sym_call] = ACTIONS(1347),
    [anon_sym_callcode] = ACTIONS(1347),
    [anon_sym_delegatecall] = ACTIONS(1347),
    [anon_sym_staticcall] = ACTIONS(1347),
    [anon_sym_return] = ACTIONS(1347),
    [anon_sym_revert] = ACTIONS(1347),
    [anon_sym_selfdestruct] = ACTIONS(1347),
    [anon_sym_invalid] = ACTIONS(1347),
    [anon_sym_log0] = ACTIONS(1347),
    [anon_sym_log1] = ACTIONS(1347),
    [anon_sym_log2] = ACTIONS(1347),
    [anon_sym_log3] = ACTIONS(1347),
    [anon_sym_log4] = ACTIONS(1347),
    [anon_sym_chainid] = ACTIONS(1347),
    [anon_sym_origin] = ACTIONS(1347),
    [anon_sym_gasprice] = ACTIONS(1347),
    [anon_sym_blockhash] = ACTIONS(1347),
    [anon_sym_blobhash] = ACTIONS(1347),
    [anon_sym_basefee] = ACTIONS(1347),
    [anon_sym_blobfee] = ACTIONS(1347),
    [anon_sym_coinbase] = ACTIONS(1347),
    [anon_sym_timestamp] = ACTIONS(1347),
    [anon_sym_number] = ACTIONS(1347),
    [anon_sym_difficulty] = ACTIONS(1347),
    [anon_sym_gaslimit] = ACTIONS(1347),
    [anon_sym_hex] = ACTIONS(1347),
    [anon_sym_DQUOTE] = ACTIONS(1349),
    [anon_sym_SQUOTE] = ACTIONS(1349),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_identifier] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_RBRACE] = ACTIONS(1353),
    [anon_sym_for] = ACTIONS(1351),
    [sym_yul_leave] = ACTIONS(1351),
    [anon_sym_break] = ACTIONS(1351),
    [anon_sym_continue] = ACTIONS(1351),
    [sym_yul_decimal_number] = ACTIONS(1351),
    [sym_yul_hex_number] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_switch] = ACTIONS(1351),
    [anon_sym_function] = ACTIONS(1351),
    [anon_sym_stop] = ACTIONS(1351),
    [anon_sym_add] = ACTIONS(1351),
    [anon_sym_sub] = ACTIONS(1351),
    [anon_sym_mul] = ACTIONS(1351),
    [anon_sym_div] = ACTIONS(1351),
    [anon_sym_sdiv] = ACTIONS(1351),
    [anon_sym_mod] = ACTIONS(1351),
    [anon_sym_smod] = ACTIONS(1351),
    [anon_sym_exp] = ACTIONS(1351),
    [anon_sym_not] = ACTIONS(1351),
    [anon_sym_lt] = ACTIONS(1351),
    [anon_sym_gt] = ACTIONS(1351),
    [anon_sym_slt] = ACTIONS(1351),
    [anon_sym_sgt] = ACTIONS(1351),
    [anon_sym_eq] = ACTIONS(1351),
    [anon_sym_iszero] = ACTIONS(1351),
    [anon_sym_and] = ACTIONS(1351),
    [anon_sym_or] = ACTIONS(1351),
    [anon_sym_xor] = ACTIONS(1351),
    [anon_sym_byte] = ACTIONS(1351),
    [anon_sym_shl] = ACTIONS(1351),
    [anon_sym_shr] = ACTIONS(1351),
    [anon_sym_sar] = ACTIONS(1351),
    [anon_sym_addmod] = ACTIONS(1351),
    [anon_sym_mulmod] = ACTIONS(1351),
    [anon_sym_signextend] = ACTIONS(1351),
    [anon_sym_keccak256] = ACTIONS(1351),
    [anon_sym_pop] = ACTIONS(1351),
    [anon_sym_mload] = ACTIONS(1351),
    [anon_sym_mcopy] = ACTIONS(1351),
    [anon_sym_tload] = ACTIONS(1351),
    [anon_sym_tstore] = ACTIONS(1351),
    [anon_sym_mstore] = ACTIONS(1351),
    [anon_sym_mstore8] = ACTIONS(1351),
    [anon_sym_sload] = ACTIONS(1351),
    [anon_sym_sstore] = ACTIONS(1351),
    [anon_sym_msize] = ACTIONS(1351),
    [anon_sym_gas] = ACTIONS(1351),
    [anon_sym_address] = ACTIONS(1351),
    [anon_sym_balance] = ACTIONS(1351),
    [anon_sym_selfbalance] = ACTIONS(1351),
    [anon_sym_caller] = ACTIONS(1351),
    [anon_sym_callvalue] = ACTIONS(1351),
    [anon_sym_calldataload] = ACTIONS(1351),
    [anon_sym_calldatasize] = ACTIONS(1351),
    [anon_sym_calldatacopy] = ACTIONS(1351),
    [anon_sym_extcodesize] = ACTIONS(1351),
    [anon_sym_extcodecopy] = ACTIONS(1351),
    [anon_sym_returndatasize] = ACTIONS(1351),
    [anon_sym_returndatacopy] = ACTIONS(1351),
    [anon_sym_extcodehash] = ACTIONS(1351),
    [anon_sym_create] = ACTIONS(1351),
    [anon_sym_create2] = ACTIONS(1351),
    [anon_sym_call] = ACTIONS(1351),
    [anon_sym_callcode] = ACTIONS(1351),
    [anon_sym_delegatecall] = ACTIONS(1351),
    [anon_sym_staticcall] = ACTIONS(1351),
    [anon_sym_return] = ACTIONS(1351),
    [anon_sym_revert] = ACTIONS(1351),
    [anon_sym_selfdestruct] = ACTIONS(1351),
    [anon_sym_invalid] = ACTIONS(1351),
    [anon_sym_log0] = ACTIONS(1351),
    [anon_sym_log1] = ACTIONS(1351),
    [anon_sym_log2] = ACTIONS(1351),
    [anon_sym_log3] = ACTIONS(1351),
    [anon_sym_log4] = ACTIONS(1351),
    [anon_sym_chainid] = ACTIONS(1351),
    [anon_sym_origin] = ACTIONS(1351),
    [anon_sym_gasprice] = ACTIONS(1351),
    [anon_sym_blockhash] = ACTIONS(1351),
    [anon_sym_blobhash] = ACTIONS(1351),
    [anon_sym_basefee] = ACTIONS(1351),
    [anon_sym_blobfee] = ACTIONS(1351),
    [anon_sym_coinbase] = ACTIONS(1351),
    [anon_sym_timestamp] = ACTIONS(1351),
    [anon_sym_number] = ACTIONS(1351),
    [anon_sym_difficulty] = ACTIONS(1351),
    [anon_sym_gaslimit] = ACTIONS(1351),
    [anon_sym_hex] = ACTIONS(1351),
    [anon_sym_DQUOTE] = ACTIONS(1353),
    [anon_sym_SQUOTE] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym_identifier] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_RBRACE] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1355),
    [sym_yul_leave] = ACTIONS(1355),
    [anon_sym_break] = ACTIONS(1355),
    [anon_sym_continue] = ACTIONS(1355),
    [sym_yul_decimal_number] = ACTIONS(1355),
    [sym_yul_hex_number] = ACTIONS(1357),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_let] = ACTIONS(1355),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_switch] = ACTIONS(1355),
    [anon_sym_function] = ACTIONS(1355),
    [anon_sym_stop] = ACTIONS(1355),
    [anon_sym_add] = ACTIONS(1355),
    [anon_sym_sub] = ACTIONS(1355),
    [anon_sym_mul] = ACTIONS(1355),
    [anon_sym_div] = ACTIONS(1355),
    [anon_sym_sdiv] = ACTIONS(1355),
    [anon_sym_mod] = ACTIONS(1355),
    [anon_sym_smod] = ACTIONS(1355),
    [anon_sym_exp] = ACTIONS(1355),
    [anon_sym_not] = ACTIONS(1355),
    [anon_sym_lt] = ACTIONS(1355),
    [anon_sym_gt] = ACTIONS(1355),
    [anon_sym_slt] = ACTIONS(1355),
    [anon_sym_sgt] = ACTIONS(1355),
    [anon_sym_eq] = ACTIONS(1355),
    [anon_sym_iszero] = ACTIONS(1355),
    [anon_sym_and] = ACTIONS(1355),
    [anon_sym_or] = ACTIONS(1355),
    [anon_sym_xor] = ACTIONS(1355),
    [anon_sym_byte] = ACTIONS(1355),
    [anon_sym_shl] = ACTIONS(1355),
    [anon_sym_shr] = ACTIONS(1355),
    [anon_sym_sar] = ACTIONS(1355),
    [anon_sym_addmod] = ACTIONS(1355),
    [anon_sym_mulmod] = ACTIONS(1355),
    [anon_sym_signextend] = ACTIONS(1355),
    [anon_sym_keccak256] = ACTIONS(1355),
    [anon_sym_pop] = ACTIONS(1355),
    [anon_sym_mload] = ACTIONS(1355),
    [anon_sym_mcopy] = ACTIONS(1355),
    [anon_sym_tload] = ACTIONS(1355),
    [anon_sym_tstore] = ACTIONS(1355),
    [anon_sym_mstore] = ACTIONS(1355),
    [anon_sym_mstore8] = ACTIONS(1355),
    [anon_sym_sload] = ACTIONS(1355),
    [anon_sym_sstore] = ACTIONS(1355),
    [anon_sym_msize] = ACTIONS(1355),
    [anon_sym_gas] = ACTIONS(1355),
    [anon_sym_address] = ACTIONS(1355),
    [anon_sym_balance] = ACTIONS(1355),
    [anon_sym_selfbalance] = ACTIONS(1355),
    [anon_sym_caller] = ACTIONS(1355),
    [anon_sym_callvalue] = ACTIONS(1355),
    [anon_sym_calldataload] = ACTIONS(1355),
    [anon_sym_calldatasize] = ACTIONS(1355),
    [anon_sym_calldatacopy] = ACTIONS(1355),
    [anon_sym_extcodesize] = ACTIONS(1355),
    [anon_sym_extcodecopy] = ACTIONS(1355),
    [anon_sym_returndatasize] = ACTIONS(1355),
    [anon_sym_returndatacopy] = ACTIONS(1355),
    [anon_sym_extcodehash] = ACTIONS(1355),
    [anon_sym_create] = ACTIONS(1355),
    [anon_sym_create2] = ACTIONS(1355),
    [anon_sym_call] = ACTIONS(1355),
    [anon_sym_callcode] = ACTIONS(1355),
    [anon_sym_delegatecall] = ACTIONS(1355),
    [anon_sym_staticcall] = ACTIONS(1355),
    [anon_sym_return] = ACTIONS(1355),
    [anon_sym_revert] = ACTIONS(1355),
    [anon_sym_selfdestruct] = ACTIONS(1355),
    [anon_sym_invalid] = ACTIONS(1355),
    [anon_sym_log0] = ACTIONS(1355),
    [anon_sym_log1] = ACTIONS(1355),
    [anon_sym_log2] = ACTIONS(1355),
    [anon_sym_log3] = ACTIONS(1355),
    [anon_sym_log4] = ACTIONS(1355),
    [anon_sym_chainid] = ACTIONS(1355),
    [anon_sym_origin] = ACTIONS(1355),
    [anon_sym_gasprice] = ACTIONS(1355),
    [anon_sym_blockhash] = ACTIONS(1355),
    [anon_sym_blobhash] = ACTIONS(1355),
    [anon_sym_basefee] = ACTIONS(1355),
    [anon_sym_blobfee] = ACTIONS(1355),
    [anon_sym_coinbase] = ACTIONS(1355),
    [anon_sym_timestamp] = ACTIONS(1355),
    [anon_sym_number] = ACTIONS(1355),
    [anon_sym_difficulty] = ACTIONS(1355),
    [anon_sym_gaslimit] = ACTIONS(1355),
    [anon_sym_hex] = ACTIONS(1355),
    [anon_sym_DQUOTE] = ACTIONS(1357),
    [anon_sym_SQUOTE] = ACTIONS(1357),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym_identifier] = ACTIONS(1359),
    [anon_sym_LBRACE] = ACTIONS(1361),
    [anon_sym_RBRACE] = ACTIONS(1361),
    [anon_sym_for] = ACTIONS(1359),
    [sym_yul_leave] = ACTIONS(1359),
    [anon_sym_break] = ACTIONS(1359),
    [anon_sym_continue] = ACTIONS(1359),
    [sym_yul_decimal_number] = ACTIONS(1359),
    [sym_yul_hex_number] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(1359),
    [anon_sym_false] = ACTIONS(1359),
    [anon_sym_let] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1359),
    [anon_sym_switch] = ACTIONS(1359),
    [anon_sym_function] = ACTIONS(1359),
    [anon_sym_stop] = ACTIONS(1359),
    [anon_sym_add] = ACTIONS(1359),
    [anon_sym_sub] = ACTIONS(1359),
    [anon_sym_mul] = ACTIONS(1359),
    [anon_sym_div] = ACTIONS(1359),
    [anon_sym_sdiv] = ACTIONS(1359),
    [anon_sym_mod] = ACTIONS(1359),
    [anon_sym_smod] = ACTIONS(1359),
    [anon_sym_exp] = ACTIONS(1359),
    [anon_sym_not] = ACTIONS(1359),
    [anon_sym_lt] = ACTIONS(1359),
    [anon_sym_gt] = ACTIONS(1359),
    [anon_sym_slt] = ACTIONS(1359),
    [anon_sym_sgt] = ACTIONS(1359),
    [anon_sym_eq] = ACTIONS(1359),
    [anon_sym_iszero] = ACTIONS(1359),
    [anon_sym_and] = ACTIONS(1359),
    [anon_sym_or] = ACTIONS(1359),
    [anon_sym_xor] = ACTIONS(1359),
    [anon_sym_byte] = ACTIONS(1359),
    [anon_sym_shl] = ACTIONS(1359),
    [anon_sym_shr] = ACTIONS(1359),
    [anon_sym_sar] = ACTIONS(1359),
    [anon_sym_addmod] = ACTIONS(1359),
    [anon_sym_mulmod] = ACTIONS(1359),
    [anon_sym_signextend] = ACTIONS(1359),
    [anon_sym_keccak256] = ACTIONS(1359),
    [anon_sym_pop] = ACTIONS(1359),
    [anon_sym_mload] = ACTIONS(1359),
    [anon_sym_mcopy] = ACTIONS(1359),
    [anon_sym_tload] = ACTIONS(1359),
    [anon_sym_tstore] = ACTIONS(1359),
    [anon_sym_mstore] = ACTIONS(1359),
    [anon_sym_mstore8] = ACTIONS(1359),
    [anon_sym_sload] = ACTIONS(1359),
    [anon_sym_sstore] = ACTIONS(1359),
    [anon_sym_msize] = ACTIONS(1359),
    [anon_sym_gas] = ACTIONS(1359),
    [anon_sym_address] = ACTIONS(1359),
    [anon_sym_balance] = ACTIONS(1359),
    [anon_sym_selfbalance] = ACTIONS(1359),
    [anon_sym_caller] = ACTIONS(1359),
    [anon_sym_callvalue] = ACTIONS(1359),
    [anon_sym_calldataload] = ACTIONS(1359),
    [anon_sym_calldatasize] = ACTIONS(1359),
    [anon_sym_calldatacopy] = ACTIONS(1359),
    [anon_sym_extcodesize] = ACTIONS(1359),
    [anon_sym_extcodecopy] = ACTIONS(1359),
    [anon_sym_returndatasize] = ACTIONS(1359),
    [anon_sym_returndatacopy] = ACTIONS(1359),
    [anon_sym_extcodehash] = ACTIONS(1359),
    [anon_sym_create] = ACTIONS(1359),
    [anon_sym_create2] = ACTIONS(1359),
    [anon_sym_call] = ACTIONS(1359),
    [anon_sym_callcode] = ACTIONS(1359),
    [anon_sym_delegatecall] = ACTIONS(1359),
    [anon_sym_staticcall] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1359),
    [anon_sym_revert] = ACTIONS(1359),
    [anon_sym_selfdestruct] = ACTIONS(1359),
    [anon_sym_invalid] = ACTIONS(1359),
    [anon_sym_log0] = ACTIONS(1359),
    [anon_sym_log1] = ACTIONS(1359),
    [anon_sym_log2] = ACTIONS(1359),
    [anon_sym_log3] = ACTIONS(1359),
    [anon_sym_log4] = ACTIONS(1359),
    [anon_sym_chainid] = ACTIONS(1359),
    [anon_sym_origin] = ACTIONS(1359),
    [anon_sym_gasprice] = ACTIONS(1359),
    [anon_sym_blockhash] = ACTIONS(1359),
    [anon_sym_blobhash] = ACTIONS(1359),
    [anon_sym_basefee] = ACTIONS(1359),
    [anon_sym_blobfee] = ACTIONS(1359),
    [anon_sym_coinbase] = ACTIONS(1359),
    [anon_sym_timestamp] = ACTIONS(1359),
    [anon_sym_number] = ACTIONS(1359),
    [anon_sym_difficulty] = ACTIONS(1359),
    [anon_sym_gaslimit] = ACTIONS(1359),
    [anon_sym_hex] = ACTIONS(1359),
    [anon_sym_DQUOTE] = ACTIONS(1361),
    [anon_sym_SQUOTE] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [sym_identifier] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1365),
    [anon_sym_RBRACE] = ACTIONS(1365),
    [anon_sym_for] = ACTIONS(1363),
    [sym_yul_leave] = ACTIONS(1363),
    [anon_sym_break] = ACTIONS(1363),
    [anon_sym_continue] = ACTIONS(1363),
    [sym_yul_decimal_number] = ACTIONS(1363),
    [sym_yul_hex_number] = ACTIONS(1365),
    [anon_sym_true] = ACTIONS(1363),
    [anon_sym_false] = ACTIONS(1363),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_switch] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_stop] = ACTIONS(1363),
    [anon_sym_add] = ACTIONS(1363),
    [anon_sym_sub] = ACTIONS(1363),
    [anon_sym_mul] = ACTIONS(1363),
    [anon_sym_div] = ACTIONS(1363),
    [anon_sym_sdiv] = ACTIONS(1363),
    [anon_sym_mod] = ACTIONS(1363),
    [anon_sym_smod] = ACTIONS(1363),
    [anon_sym_exp] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1363),
    [anon_sym_lt] = ACTIONS(1363),
    [anon_sym_gt] = ACTIONS(1363),
    [anon_sym_slt] = ACTIONS(1363),
    [anon_sym_sgt] = ACTIONS(1363),
    [anon_sym_eq] = ACTIONS(1363),
    [anon_sym_iszero] = ACTIONS(1363),
    [anon_sym_and] = ACTIONS(1363),
    [anon_sym_or] = ACTIONS(1363),
    [anon_sym_xor] = ACTIONS(1363),
    [anon_sym_byte] = ACTIONS(1363),
    [anon_sym_shl] = ACTIONS(1363),
    [anon_sym_shr] = ACTIONS(1363),
    [anon_sym_sar] = ACTIONS(1363),
    [anon_sym_addmod] = ACTIONS(1363),
    [anon_sym_mulmod] = ACTIONS(1363),
    [anon_sym_signextend] = ACTIONS(1363),
    [anon_sym_keccak256] = ACTIONS(1363),
    [anon_sym_pop] = ACTIONS(1363),
    [anon_sym_mload] = ACTIONS(1363),
    [anon_sym_mcopy] = ACTIONS(1363),
    [anon_sym_tload] = ACTIONS(1363),
    [anon_sym_tstore] = ACTIONS(1363),
    [anon_sym_mstore] = ACTIONS(1363),
    [anon_sym_mstore8] = ACTIONS(1363),
    [anon_sym_sload] = ACTIONS(1363),
    [anon_sym_sstore] = ACTIONS(1363),
    [anon_sym_msize] = ACTIONS(1363),
    [anon_sym_gas] = ACTIONS(1363),
    [anon_sym_address] = ACTIONS(1363),
    [anon_sym_balance] = ACTIONS(1363),
    [anon_sym_selfbalance] = ACTIONS(1363),
    [anon_sym_caller] = ACTIONS(1363),
    [anon_sym_callvalue] = ACTIONS(1363),
    [anon_sym_calldataload] = ACTIONS(1363),
    [anon_sym_calldatasize] = ACTIONS(1363),
    [anon_sym_calldatacopy] = ACTIONS(1363),
    [anon_sym_extcodesize] = ACTIONS(1363),
    [anon_sym_extcodecopy] = ACTIONS(1363),
    [anon_sym_returndatasize] = ACTIONS(1363),
    [anon_sym_returndatacopy] = ACTIONS(1363),
    [anon_sym_extcodehash] = ACTIONS(1363),
    [anon_sym_create] = ACTIONS(1363),
    [anon_sym_create2] = ACTIONS(1363),
    [anon_sym_call] = ACTIONS(1363),
    [anon_sym_callcode] = ACTIONS(1363),
    [anon_sym_delegatecall] = ACTIONS(1363),
    [anon_sym_staticcall] = ACTIONS(1363),
    [anon_sym_return] = ACTIONS(1363),
    [anon_sym_revert] = ACTIONS(1363),
    [anon_sym_selfdestruct] = ACTIONS(1363),
    [anon_sym_invalid] = ACTIONS(1363),
    [anon_sym_log0] = ACTIONS(1363),
    [anon_sym_log1] = ACTIONS(1363),
    [anon_sym_log2] = ACTIONS(1363),
    [anon_sym_log3] = ACTIONS(1363),
    [anon_sym_log4] = ACTIONS(1363),
    [anon_sym_chainid] = ACTIONS(1363),
    [anon_sym_origin] = ACTIONS(1363),
    [anon_sym_gasprice] = ACTIONS(1363),
    [anon_sym_blockhash] = ACTIONS(1363),
    [anon_sym_blobhash] = ACTIONS(1363),
    [anon_sym_basefee] = ACTIONS(1363),
    [anon_sym_blobfee] = ACTIONS(1363),
    [anon_sym_coinbase] = ACTIONS(1363),
    [anon_sym_timestamp] = ACTIONS(1363),
    [anon_sym_number] = ACTIONS(1363),
    [anon_sym_difficulty] = ACTIONS(1363),
    [anon_sym_gaslimit] = ACTIONS(1363),
    [anon_sym_hex] = ACTIONS(1363),
    [anon_sym_DQUOTE] = ACTIONS(1365),
    [anon_sym_SQUOTE] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_identifier] = ACTIONS(1367),
    [anon_sym_LBRACE] = ACTIONS(1369),
    [anon_sym_RBRACE] = ACTIONS(1369),
    [anon_sym_for] = ACTIONS(1367),
    [sym_yul_leave] = ACTIONS(1367),
    [anon_sym_break] = ACTIONS(1367),
    [anon_sym_continue] = ACTIONS(1367),
    [sym_yul_decimal_number] = ACTIONS(1367),
    [sym_yul_hex_number] = ACTIONS(1369),
    [anon_sym_true] = ACTIONS(1367),
    [anon_sym_false] = ACTIONS(1367),
    [anon_sym_let] = ACTIONS(1367),
    [anon_sym_if] = ACTIONS(1367),
    [anon_sym_switch] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_stop] = ACTIONS(1367),
    [anon_sym_add] = ACTIONS(1367),
    [anon_sym_sub] = ACTIONS(1367),
    [anon_sym_mul] = ACTIONS(1367),
    [anon_sym_div] = ACTIONS(1367),
    [anon_sym_sdiv] = ACTIONS(1367),
    [anon_sym_mod] = ACTIONS(1367),
    [anon_sym_smod] = ACTIONS(1367),
    [anon_sym_exp] = ACTIONS(1367),
    [anon_sym_not] = ACTIONS(1367),
    [anon_sym_lt] = ACTIONS(1367),
    [anon_sym_gt] = ACTIONS(1367),
    [anon_sym_slt] = ACTIONS(1367),
    [anon_sym_sgt] = ACTIONS(1367),
    [anon_sym_eq] = ACTIONS(1367),
    [anon_sym_iszero] = ACTIONS(1367),
    [anon_sym_and] = ACTIONS(1367),
    [anon_sym_or] = ACTIONS(1367),
    [anon_sym_xor] = ACTIONS(1367),
    [anon_sym_byte] = ACTIONS(1367),
    [anon_sym_shl] = ACTIONS(1367),
    [anon_sym_shr] = ACTIONS(1367),
    [anon_sym_sar] = ACTIONS(1367),
    [anon_sym_addmod] = ACTIONS(1367),
    [anon_sym_mulmod] = ACTIONS(1367),
    [anon_sym_signextend] = ACTIONS(1367),
    [anon_sym_keccak256] = ACTIONS(1367),
    [anon_sym_pop] = ACTIONS(1367),
    [anon_sym_mload] = ACTIONS(1367),
    [anon_sym_mcopy] = ACTIONS(1367),
    [anon_sym_tload] = ACTIONS(1367),
    [anon_sym_tstore] = ACTIONS(1367),
    [anon_sym_mstore] = ACTIONS(1367),
    [anon_sym_mstore8] = ACTIONS(1367),
    [anon_sym_sload] = ACTIONS(1367),
    [anon_sym_sstore] = ACTIONS(1367),
    [anon_sym_msize] = ACTIONS(1367),
    [anon_sym_gas] = ACTIONS(1367),
    [anon_sym_address] = ACTIONS(1367),
    [anon_sym_balance] = ACTIONS(1367),
    [anon_sym_selfbalance] = ACTIONS(1367),
    [anon_sym_caller] = ACTIONS(1367),
    [anon_sym_callvalue] = ACTIONS(1367),
    [anon_sym_calldataload] = ACTIONS(1367),
    [anon_sym_calldatasize] = ACTIONS(1367),
    [anon_sym_calldatacopy] = ACTIONS(1367),
    [anon_sym_extcodesize] = ACTIONS(1367),
    [anon_sym_extcodecopy] = ACTIONS(1367),
    [anon_sym_returndatasize] = ACTIONS(1367),
    [anon_sym_returndatacopy] = ACTIONS(1367),
    [anon_sym_extcodehash] = ACTIONS(1367),
    [anon_sym_create] = ACTIONS(1367),
    [anon_sym_create2] = ACTIONS(1367),
    [anon_sym_call] = ACTIONS(1367),
    [anon_sym_callcode] = ACTIONS(1367),
    [anon_sym_delegatecall] = ACTIONS(1367),
    [anon_sym_staticcall] = ACTIONS(1367),
    [anon_sym_return] = ACTIONS(1367),
    [anon_sym_revert] = ACTIONS(1367),
    [anon_sym_selfdestruct] = ACTIONS(1367),
    [anon_sym_invalid] = ACTIONS(1367),
    [anon_sym_log0] = ACTIONS(1367),
    [anon_sym_log1] = ACTIONS(1367),
    [anon_sym_log2] = ACTIONS(1367),
    [anon_sym_log3] = ACTIONS(1367),
    [anon_sym_log4] = ACTIONS(1367),
    [anon_sym_chainid] = ACTIONS(1367),
    [anon_sym_origin] = ACTIONS(1367),
    [anon_sym_gasprice] = ACTIONS(1367),
    [anon_sym_blockhash] = ACTIONS(1367),
    [anon_sym_blobhash] = ACTIONS(1367),
    [anon_sym_basefee] = ACTIONS(1367),
    [anon_sym_blobfee] = ACTIONS(1367),
    [anon_sym_coinbase] = ACTIONS(1367),
    [anon_sym_timestamp] = ACTIONS(1367),
    [anon_sym_number] = ACTIONS(1367),
    [anon_sym_difficulty] = ACTIONS(1367),
    [anon_sym_gaslimit] = ACTIONS(1367),
    [anon_sym_hex] = ACTIONS(1367),
    [anon_sym_DQUOTE] = ACTIONS(1369),
    [anon_sym_SQUOTE] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_LBRACE] = ACTIONS(1373),
    [anon_sym_RBRACE] = ACTIONS(1373),
    [anon_sym_for] = ACTIONS(1371),
    [sym_yul_leave] = ACTIONS(1371),
    [anon_sym_break] = ACTIONS(1371),
    [anon_sym_continue] = ACTIONS(1371),
    [sym_yul_decimal_number] = ACTIONS(1371),
    [sym_yul_hex_number] = ACTIONS(1373),
    [anon_sym_true] = ACTIONS(1371),
    [anon_sym_false] = ACTIONS(1371),
    [anon_sym_let] = ACTIONS(1371),
    [anon_sym_if] = ACTIONS(1371),
    [anon_sym_switch] = ACTIONS(1371),
    [anon_sym_function] = ACTIONS(1371),
    [anon_sym_stop] = ACTIONS(1371),
    [anon_sym_add] = ACTIONS(1371),
    [anon_sym_sub] = ACTIONS(1371),
    [anon_sym_mul] = ACTIONS(1371),
    [anon_sym_div] = ACTIONS(1371),
    [anon_sym_sdiv] = ACTIONS(1371),
    [anon_sym_mod] = ACTIONS(1371),
    [anon_sym_smod] = ACTIONS(1371),
    [anon_sym_exp] = ACTIONS(1371),
    [anon_sym_not] = ACTIONS(1371),
    [anon_sym_lt] = ACTIONS(1371),
    [anon_sym_gt] = ACTIONS(1371),
    [anon_sym_slt] = ACTIONS(1371),
    [anon_sym_sgt] = ACTIONS(1371),
    [anon_sym_eq] = ACTIONS(1371),
    [anon_sym_iszero] = ACTIONS(1371),
    [anon_sym_and] = ACTIONS(1371),
    [anon_sym_or] = ACTIONS(1371),
    [anon_sym_xor] = ACTIONS(1371),
    [anon_sym_byte] = ACTIONS(1371),
    [anon_sym_shl] = ACTIONS(1371),
    [anon_sym_shr] = ACTIONS(1371),
    [anon_sym_sar] = ACTIONS(1371),
    [anon_sym_addmod] = ACTIONS(1371),
    [anon_sym_mulmod] = ACTIONS(1371),
    [anon_sym_signextend] = ACTIONS(1371),
    [anon_sym_keccak256] = ACTIONS(1371),
    [anon_sym_pop] = ACTIONS(1371),
    [anon_sym_mload] = ACTIONS(1371),
    [anon_sym_mcopy] = ACTIONS(1371),
    [anon_sym_tload] = ACTIONS(1371),
    [anon_sym_tstore] = ACTIONS(1371),
    [anon_sym_mstore] = ACTIONS(1371),
    [anon_sym_mstore8] = ACTIONS(1371),
    [anon_sym_sload] = ACTIONS(1371),
    [anon_sym_sstore] = ACTIONS(1371),
    [anon_sym_msize] = ACTIONS(1371),
    [anon_sym_gas] = ACTIONS(1371),
    [anon_sym_address] = ACTIONS(1371),
    [anon_sym_balance] = ACTIONS(1371),
    [anon_sym_selfbalance] = ACTIONS(1371),
    [anon_sym_caller] = ACTIONS(1371),
    [anon_sym_callvalue] = ACTIONS(1371),
    [anon_sym_calldataload] = ACTIONS(1371),
    [anon_sym_calldatasize] = ACTIONS(1371),
    [anon_sym_calldatacopy] = ACTIONS(1371),
    [anon_sym_extcodesize] = ACTIONS(1371),
    [anon_sym_extcodecopy] = ACTIONS(1371),
    [anon_sym_returndatasize] = ACTIONS(1371),
    [anon_sym_returndatacopy] = ACTIONS(1371),
    [anon_sym_extcodehash] = ACTIONS(1371),
    [anon_sym_create] = ACTIONS(1371),
    [anon_sym_create2] = ACTIONS(1371),
    [anon_sym_call] = ACTIONS(1371),
    [anon_sym_callcode] = ACTIONS(1371),
    [anon_sym_delegatecall] = ACTIONS(1371),
    [anon_sym_staticcall] = ACTIONS(1371),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_revert] = ACTIONS(1371),
    [anon_sym_selfdestruct] = ACTIONS(1371),
    [anon_sym_invalid] = ACTIONS(1371),
    [anon_sym_log0] = ACTIONS(1371),
    [anon_sym_log1] = ACTIONS(1371),
    [anon_sym_log2] = ACTIONS(1371),
    [anon_sym_log3] = ACTIONS(1371),
    [anon_sym_log4] = ACTIONS(1371),
    [anon_sym_chainid] = ACTIONS(1371),
    [anon_sym_origin] = ACTIONS(1371),
    [anon_sym_gasprice] = ACTIONS(1371),
    [anon_sym_blockhash] = ACTIONS(1371),
    [anon_sym_blobhash] = ACTIONS(1371),
    [anon_sym_basefee] = ACTIONS(1371),
    [anon_sym_blobfee] = ACTIONS(1371),
    [anon_sym_coinbase] = ACTIONS(1371),
    [anon_sym_timestamp] = ACTIONS(1371),
    [anon_sym_number] = ACTIONS(1371),
    [anon_sym_difficulty] = ACTIONS(1371),
    [anon_sym_gaslimit] = ACTIONS(1371),
    [anon_sym_hex] = ACTIONS(1371),
    [anon_sym_DQUOTE] = ACTIONS(1373),
    [anon_sym_SQUOTE] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_identifier] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_RBRACE] = ACTIONS(1377),
    [anon_sym_for] = ACTIONS(1375),
    [sym_yul_leave] = ACTIONS(1375),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_continue] = ACTIONS(1375),
    [sym_yul_decimal_number] = ACTIONS(1375),
    [sym_yul_hex_number] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1375),
    [anon_sym_false] = ACTIONS(1375),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_if] = ACTIONS(1375),
    [anon_sym_switch] = ACTIONS(1375),
    [anon_sym_function] = ACTIONS(1375),
    [anon_sym_stop] = ACTIONS(1375),
    [anon_sym_add] = ACTIONS(1375),
    [anon_sym_sub] = ACTIONS(1375),
    [anon_sym_mul] = ACTIONS(1375),
    [anon_sym_div] = ACTIONS(1375),
    [anon_sym_sdiv] = ACTIONS(1375),
    [anon_sym_mod] = ACTIONS(1375),
    [anon_sym_smod] = ACTIONS(1375),
    [anon_sym_exp] = ACTIONS(1375),
    [anon_sym_not] = ACTIONS(1375),
    [anon_sym_lt] = ACTIONS(1375),
    [anon_sym_gt] = ACTIONS(1375),
    [anon_sym_slt] = ACTIONS(1375),
    [anon_sym_sgt] = ACTIONS(1375),
    [anon_sym_eq] = ACTIONS(1375),
    [anon_sym_iszero] = ACTIONS(1375),
    [anon_sym_and] = ACTIONS(1375),
    [anon_sym_or] = ACTIONS(1375),
    [anon_sym_xor] = ACTIONS(1375),
    [anon_sym_byte] = ACTIONS(1375),
    [anon_sym_shl] = ACTIONS(1375),
    [anon_sym_shr] = ACTIONS(1375),
    [anon_sym_sar] = ACTIONS(1375),
    [anon_sym_addmod] = ACTIONS(1375),
    [anon_sym_mulmod] = ACTIONS(1375),
    [anon_sym_signextend] = ACTIONS(1375),
    [anon_sym_keccak256] = ACTIONS(1375),
    [anon_sym_pop] = ACTIONS(1375),
    [anon_sym_mload] = ACTIONS(1375),
    [anon_sym_mcopy] = ACTIONS(1375),
    [anon_sym_tload] = ACTIONS(1375),
    [anon_sym_tstore] = ACTIONS(1375),
    [anon_sym_mstore] = ACTIONS(1375),
    [anon_sym_mstore8] = ACTIONS(1375),
    [anon_sym_sload] = ACTIONS(1375),
    [anon_sym_sstore] = ACTIONS(1375),
    [anon_sym_msize] = ACTIONS(1375),
    [anon_sym_gas] = ACTIONS(1375),
    [anon_sym_address] = ACTIONS(1375),
    [anon_sym_balance] = ACTIONS(1375),
    [anon_sym_selfbalance] = ACTIONS(1375),
    [anon_sym_caller] = ACTIONS(1375),
    [anon_sym_callvalue] = ACTIONS(1375),
    [anon_sym_calldataload] = ACTIONS(1375),
    [anon_sym_calldatasize] = ACTIONS(1375),
    [anon_sym_calldatacopy] = ACTIONS(1375),
    [anon_sym_extcodesize] = ACTIONS(1375),
    [anon_sym_extcodecopy] = ACTIONS(1375),
    [anon_sym_returndatasize] = ACTIONS(1375),
    [anon_sym_returndatacopy] = ACTIONS(1375),
    [anon_sym_extcodehash] = ACTIONS(1375),
    [anon_sym_create] = ACTIONS(1375),
    [anon_sym_create2] = ACTIONS(1375),
    [anon_sym_call] = ACTIONS(1375),
    [anon_sym_callcode] = ACTIONS(1375),
    [anon_sym_delegatecall] = ACTIONS(1375),
    [anon_sym_staticcall] = ACTIONS(1375),
    [anon_sym_return] = ACTIONS(1375),
    [anon_sym_revert] = ACTIONS(1375),
    [anon_sym_selfdestruct] = ACTIONS(1375),
    [anon_sym_invalid] = ACTIONS(1375),
    [anon_sym_log0] = ACTIONS(1375),
    [anon_sym_log1] = ACTIONS(1375),
    [anon_sym_log2] = ACTIONS(1375),
    [anon_sym_log3] = ACTIONS(1375),
    [anon_sym_log4] = ACTIONS(1375),
    [anon_sym_chainid] = ACTIONS(1375),
    [anon_sym_origin] = ACTIONS(1375),
    [anon_sym_gasprice] = ACTIONS(1375),
    [anon_sym_blockhash] = ACTIONS(1375),
    [anon_sym_blobhash] = ACTIONS(1375),
    [anon_sym_basefee] = ACTIONS(1375),
    [anon_sym_blobfee] = ACTIONS(1375),
    [anon_sym_coinbase] = ACTIONS(1375),
    [anon_sym_timestamp] = ACTIONS(1375),
    [anon_sym_number] = ACTIONS(1375),
    [anon_sym_difficulty] = ACTIONS(1375),
    [anon_sym_gaslimit] = ACTIONS(1375),
    [anon_sym_hex] = ACTIONS(1375),
    [anon_sym_DQUOTE] = ACTIONS(1377),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym_identifier] = ACTIONS(1379),
    [anon_sym_LBRACE] = ACTIONS(1381),
    [anon_sym_RBRACE] = ACTIONS(1381),
    [anon_sym_for] = ACTIONS(1379),
    [sym_yul_leave] = ACTIONS(1379),
    [anon_sym_break] = ACTIONS(1379),
    [anon_sym_continue] = ACTIONS(1379),
    [sym_yul_decimal_number] = ACTIONS(1379),
    [sym_yul_hex_number] = ACTIONS(1381),
    [anon_sym_true] = ACTIONS(1379),
    [anon_sym_false] = ACTIONS(1379),
    [anon_sym_let] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_switch] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1379),
    [anon_sym_stop] = ACTIONS(1379),
    [anon_sym_add] = ACTIONS(1379),
    [anon_sym_sub] = ACTIONS(1379),
    [anon_sym_mul] = ACTIONS(1379),
    [anon_sym_div] = ACTIONS(1379),
    [anon_sym_sdiv] = ACTIONS(1379),
    [anon_sym_mod] = ACTIONS(1379),
    [anon_sym_smod] = ACTIONS(1379),
    [anon_sym_exp] = ACTIONS(1379),
    [anon_sym_not] = ACTIONS(1379),
    [anon_sym_lt] = ACTIONS(1379),
    [anon_sym_gt] = ACTIONS(1379),
    [anon_sym_slt] = ACTIONS(1379),
    [anon_sym_sgt] = ACTIONS(1379),
    [anon_sym_eq] = ACTIONS(1379),
    [anon_sym_iszero] = ACTIONS(1379),
    [anon_sym_and] = ACTIONS(1379),
    [anon_sym_or] = ACTIONS(1379),
    [anon_sym_xor] = ACTIONS(1379),
    [anon_sym_byte] = ACTIONS(1379),
    [anon_sym_shl] = ACTIONS(1379),
    [anon_sym_shr] = ACTIONS(1379),
    [anon_sym_sar] = ACTIONS(1379),
    [anon_sym_addmod] = ACTIONS(1379),
    [anon_sym_mulmod] = ACTIONS(1379),
    [anon_sym_signextend] = ACTIONS(1379),
    [anon_sym_keccak256] = ACTIONS(1379),
    [anon_sym_pop] = ACTIONS(1379),
    [anon_sym_mload] = ACTIONS(1379),
    [anon_sym_mcopy] = ACTIONS(1379),
    [anon_sym_tload] = ACTIONS(1379),
    [anon_sym_tstore] = ACTIONS(1379),
    [anon_sym_mstore] = ACTIONS(1379),
    [anon_sym_mstore8] = ACTIONS(1379),
    [anon_sym_sload] = ACTIONS(1379),
    [anon_sym_sstore] = ACTIONS(1379),
    [anon_sym_msize] = ACTIONS(1379),
    [anon_sym_gas] = ACTIONS(1379),
    [anon_sym_address] = ACTIONS(1379),
    [anon_sym_balance] = ACTIONS(1379),
    [anon_sym_selfbalance] = ACTIONS(1379),
    [anon_sym_caller] = ACTIONS(1379),
    [anon_sym_callvalue] = ACTIONS(1379),
    [anon_sym_calldataload] = ACTIONS(1379),
    [anon_sym_calldatasize] = ACTIONS(1379),
    [anon_sym_calldatacopy] = ACTIONS(1379),
    [anon_sym_extcodesize] = ACTIONS(1379),
    [anon_sym_extcodecopy] = ACTIONS(1379),
    [anon_sym_returndatasize] = ACTIONS(1379),
    [anon_sym_returndatacopy] = ACTIONS(1379),
    [anon_sym_extcodehash] = ACTIONS(1379),
    [anon_sym_create] = ACTIONS(1379),
    [anon_sym_create2] = ACTIONS(1379),
    [anon_sym_call] = ACTIONS(1379),
    [anon_sym_callcode] = ACTIONS(1379),
    [anon_sym_delegatecall] = ACTIONS(1379),
    [anon_sym_staticcall] = ACTIONS(1379),
    [anon_sym_return] = ACTIONS(1379),
    [anon_sym_revert] = ACTIONS(1379),
    [anon_sym_selfdestruct] = ACTIONS(1379),
    [anon_sym_invalid] = ACTIONS(1379),
    [anon_sym_log0] = ACTIONS(1379),
    [anon_sym_log1] = ACTIONS(1379),
    [anon_sym_log2] = ACTIONS(1379),
    [anon_sym_log3] = ACTIONS(1379),
    [anon_sym_log4] = ACTIONS(1379),
    [anon_sym_chainid] = ACTIONS(1379),
    [anon_sym_origin] = ACTIONS(1379),
    [anon_sym_gasprice] = ACTIONS(1379),
    [anon_sym_blockhash] = ACTIONS(1379),
    [anon_sym_blobhash] = ACTIONS(1379),
    [anon_sym_basefee] = ACTIONS(1379),
    [anon_sym_blobfee] = ACTIONS(1379),
    [anon_sym_coinbase] = ACTIONS(1379),
    [anon_sym_timestamp] = ACTIONS(1379),
    [anon_sym_number] = ACTIONS(1379),
    [anon_sym_difficulty] = ACTIONS(1379),
    [anon_sym_gaslimit] = ACTIONS(1379),
    [anon_sym_hex] = ACTIONS(1379),
    [anon_sym_DQUOTE] = ACTIONS(1381),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
  },
  [392] = {
    [sym_identifier] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(1385),
    [anon_sym_RBRACE] = ACTIONS(1385),
    [anon_sym_for] = ACTIONS(1383),
    [sym_yul_leave] = ACTIONS(1383),
    [anon_sym_break] = ACTIONS(1383),
    [anon_sym_continue] = ACTIONS(1383),
    [sym_yul_decimal_number] = ACTIONS(1383),
    [sym_yul_hex_number] = ACTIONS(1385),
    [anon_sym_true] = ACTIONS(1383),
    [anon_sym_false] = ACTIONS(1383),
    [anon_sym_let] = ACTIONS(1383),
    [anon_sym_if] = ACTIONS(1383),
    [anon_sym_switch] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_stop] = ACTIONS(1383),
    [anon_sym_add] = ACTIONS(1383),
    [anon_sym_sub] = ACTIONS(1383),
    [anon_sym_mul] = ACTIONS(1383),
    [anon_sym_div] = ACTIONS(1383),
    [anon_sym_sdiv] = ACTIONS(1383),
    [anon_sym_mod] = ACTIONS(1383),
    [anon_sym_smod] = ACTIONS(1383),
    [anon_sym_exp] = ACTIONS(1383),
    [anon_sym_not] = ACTIONS(1383),
    [anon_sym_lt] = ACTIONS(1383),
    [anon_sym_gt] = ACTIONS(1383),
    [anon_sym_slt] = ACTIONS(1383),
    [anon_sym_sgt] = ACTIONS(1383),
    [anon_sym_eq] = ACTIONS(1383),
    [anon_sym_iszero] = ACTIONS(1383),
    [anon_sym_and] = ACTIONS(1383),
    [anon_sym_or] = ACTIONS(1383),
    [anon_sym_xor] = ACTIONS(1383),
    [anon_sym_byte] = ACTIONS(1383),
    [anon_sym_shl] = ACTIONS(1383),
    [anon_sym_shr] = ACTIONS(1383),
    [anon_sym_sar] = ACTIONS(1383),
    [anon_sym_addmod] = ACTIONS(1383),
    [anon_sym_mulmod] = ACTIONS(1383),
    [anon_sym_signextend] = ACTIONS(1383),
    [anon_sym_keccak256] = ACTIONS(1383),
    [anon_sym_pop] = ACTIONS(1383),
    [anon_sym_mload] = ACTIONS(1383),
    [anon_sym_mcopy] = ACTIONS(1383),
    [anon_sym_tload] = ACTIONS(1383),
    [anon_sym_tstore] = ACTIONS(1383),
    [anon_sym_mstore] = ACTIONS(1383),
    [anon_sym_mstore8] = ACTIONS(1383),
    [anon_sym_sload] = ACTIONS(1383),
    [anon_sym_sstore] = ACTIONS(1383),
    [anon_sym_msize] = ACTIONS(1383),
    [anon_sym_gas] = ACTIONS(1383),
    [anon_sym_address] = ACTIONS(1383),
    [anon_sym_balance] = ACTIONS(1383),
    [anon_sym_selfbalance] = ACTIONS(1383),
    [anon_sym_caller] = ACTIONS(1383),
    [anon_sym_callvalue] = ACTIONS(1383),
    [anon_sym_calldataload] = ACTIONS(1383),
    [anon_sym_calldatasize] = ACTIONS(1383),
    [anon_sym_calldatacopy] = ACTIONS(1383),
    [anon_sym_extcodesize] = ACTIONS(1383),
    [anon_sym_extcodecopy] = ACTIONS(1383),
    [anon_sym_returndatasize] = ACTIONS(1383),
    [anon_sym_returndatacopy] = ACTIONS(1383),
    [anon_sym_extcodehash] = ACTIONS(1383),
    [anon_sym_create] = ACTIONS(1383),
    [anon_sym_create2] = ACTIONS(1383),
    [anon_sym_call] = ACTIONS(1383),
    [anon_sym_callcode] = ACTIONS(1383),
    [anon_sym_delegatecall] = ACTIONS(1383),
    [anon_sym_staticcall] = ACTIONS(1383),
    [anon_sym_return] = ACTIONS(1383),
    [anon_sym_revert] = ACTIONS(1383),
    [anon_sym_selfdestruct] = ACTIONS(1383),
    [anon_sym_invalid] = ACTIONS(1383),
    [anon_sym_log0] = ACTIONS(1383),
    [anon_sym_log1] = ACTIONS(1383),
    [anon_sym_log2] = ACTIONS(1383),
    [anon_sym_log3] = ACTIONS(1383),
    [anon_sym_log4] = ACTIONS(1383),
    [anon_sym_chainid] = ACTIONS(1383),
    [anon_sym_origin] = ACTIONS(1383),
    [anon_sym_gasprice] = ACTIONS(1383),
    [anon_sym_blockhash] = ACTIONS(1383),
    [anon_sym_blobhash] = ACTIONS(1383),
    [anon_sym_basefee] = ACTIONS(1383),
    [anon_sym_blobfee] = ACTIONS(1383),
    [anon_sym_coinbase] = ACTIONS(1383),
    [anon_sym_timestamp] = ACTIONS(1383),
    [anon_sym_number] = ACTIONS(1383),
    [anon_sym_difficulty] = ACTIONS(1383),
    [anon_sym_gaslimit] = ACTIONS(1383),
    [anon_sym_hex] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_identifier] = ACTIONS(1387),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_RBRACE] = ACTIONS(1389),
    [anon_sym_for] = ACTIONS(1387),
    [sym_yul_leave] = ACTIONS(1387),
    [anon_sym_break] = ACTIONS(1387),
    [anon_sym_continue] = ACTIONS(1387),
    [sym_yul_decimal_number] = ACTIONS(1387),
    [sym_yul_hex_number] = ACTIONS(1389),
    [anon_sym_true] = ACTIONS(1387),
    [anon_sym_false] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1387),
    [anon_sym_if] = ACTIONS(1387),
    [anon_sym_switch] = ACTIONS(1387),
    [anon_sym_function] = ACTIONS(1387),
    [anon_sym_stop] = ACTIONS(1387),
    [anon_sym_add] = ACTIONS(1387),
    [anon_sym_sub] = ACTIONS(1387),
    [anon_sym_mul] = ACTIONS(1387),
    [anon_sym_div] = ACTIONS(1387),
    [anon_sym_sdiv] = ACTIONS(1387),
    [anon_sym_mod] = ACTIONS(1387),
    [anon_sym_smod] = ACTIONS(1387),
    [anon_sym_exp] = ACTIONS(1387),
    [anon_sym_not] = ACTIONS(1387),
    [anon_sym_lt] = ACTIONS(1387),
    [anon_sym_gt] = ACTIONS(1387),
    [anon_sym_slt] = ACTIONS(1387),
    [anon_sym_sgt] = ACTIONS(1387),
    [anon_sym_eq] = ACTIONS(1387),
    [anon_sym_iszero] = ACTIONS(1387),
    [anon_sym_and] = ACTIONS(1387),
    [anon_sym_or] = ACTIONS(1387),
    [anon_sym_xor] = ACTIONS(1387),
    [anon_sym_byte] = ACTIONS(1387),
    [anon_sym_shl] = ACTIONS(1387),
    [anon_sym_shr] = ACTIONS(1387),
    [anon_sym_sar] = ACTIONS(1387),
    [anon_sym_addmod] = ACTIONS(1387),
    [anon_sym_mulmod] = ACTIONS(1387),
    [anon_sym_signextend] = ACTIONS(1387),
    [anon_sym_keccak256] = ACTIONS(1387),
    [anon_sym_pop] = ACTIONS(1387),
    [anon_sym_mload] = ACTIONS(1387),
    [anon_sym_mcopy] = ACTIONS(1387),
    [anon_sym_tload] = ACTIONS(1387),
    [anon_sym_tstore] = ACTIONS(1387),
    [anon_sym_mstore] = ACTIONS(1387),
    [anon_sym_mstore8] = ACTIONS(1387),
    [anon_sym_sload] = ACTIONS(1387),
    [anon_sym_sstore] = ACTIONS(1387),
    [anon_sym_msize] = ACTIONS(1387),
    [anon_sym_gas] = ACTIONS(1387),
    [anon_sym_address] = ACTIONS(1387),
    [anon_sym_balance] = ACTIONS(1387),
    [anon_sym_selfbalance] = ACTIONS(1387),
    [anon_sym_caller] = ACTIONS(1387),
    [anon_sym_callvalue] = ACTIONS(1387),
    [anon_sym_calldataload] = ACTIONS(1387),
    [anon_sym_calldatasize] = ACTIONS(1387),
    [anon_sym_calldatacopy] = ACTIONS(1387),
    [anon_sym_extcodesize] = ACTIONS(1387),
    [anon_sym_extcodecopy] = ACTIONS(1387),
    [anon_sym_returndatasize] = ACTIONS(1387),
    [anon_sym_returndatacopy] = ACTIONS(1387),
    [anon_sym_extcodehash] = ACTIONS(1387),
    [anon_sym_create] = ACTIONS(1387),
    [anon_sym_create2] = ACTIONS(1387),
    [anon_sym_call] = ACTIONS(1387),
    [anon_sym_callcode] = ACTIONS(1387),
    [anon_sym_delegatecall] = ACTIONS(1387),
    [anon_sym_staticcall] = ACTIONS(1387),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_revert] = ACTIONS(1387),
    [anon_sym_selfdestruct] = ACTIONS(1387),
    [anon_sym_invalid] = ACTIONS(1387),
    [anon_sym_log0] = ACTIONS(1387),
    [anon_sym_log1] = ACTIONS(1387),
    [anon_sym_log2] = ACTIONS(1387),
    [anon_sym_log3] = ACTIONS(1387),
    [anon_sym_log4] = ACTIONS(1387),
    [anon_sym_chainid] = ACTIONS(1387),
    [anon_sym_origin] = ACTIONS(1387),
    [anon_sym_gasprice] = ACTIONS(1387),
    [anon_sym_blockhash] = ACTIONS(1387),
    [anon_sym_blobhash] = ACTIONS(1387),
    [anon_sym_basefee] = ACTIONS(1387),
    [anon_sym_blobfee] = ACTIONS(1387),
    [anon_sym_coinbase] = ACTIONS(1387),
    [anon_sym_timestamp] = ACTIONS(1387),
    [anon_sym_number] = ACTIONS(1387),
    [anon_sym_difficulty] = ACTIONS(1387),
    [anon_sym_gaslimit] = ACTIONS(1387),
    [anon_sym_hex] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [anon_sym_SQUOTE] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym_identifier] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1393),
    [anon_sym_RBRACE] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1391),
    [sym_yul_leave] = ACTIONS(1391),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_continue] = ACTIONS(1391),
    [sym_yul_decimal_number] = ACTIONS(1391),
    [sym_yul_hex_number] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1391),
    [anon_sym_false] = ACTIONS(1391),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_if] = ACTIONS(1391),
    [anon_sym_switch] = ACTIONS(1391),
    [anon_sym_function] = ACTIONS(1391),
    [anon_sym_stop] = ACTIONS(1391),
    [anon_sym_add] = ACTIONS(1391),
    [anon_sym_sub] = ACTIONS(1391),
    [anon_sym_mul] = ACTIONS(1391),
    [anon_sym_div] = ACTIONS(1391),
    [anon_sym_sdiv] = ACTIONS(1391),
    [anon_sym_mod] = ACTIONS(1391),
    [anon_sym_smod] = ACTIONS(1391),
    [anon_sym_exp] = ACTIONS(1391),
    [anon_sym_not] = ACTIONS(1391),
    [anon_sym_lt] = ACTIONS(1391),
    [anon_sym_gt] = ACTIONS(1391),
    [anon_sym_slt] = ACTIONS(1391),
    [anon_sym_sgt] = ACTIONS(1391),
    [anon_sym_eq] = ACTIONS(1391),
    [anon_sym_iszero] = ACTIONS(1391),
    [anon_sym_and] = ACTIONS(1391),
    [anon_sym_or] = ACTIONS(1391),
    [anon_sym_xor] = ACTIONS(1391),
    [anon_sym_byte] = ACTIONS(1391),
    [anon_sym_shl] = ACTIONS(1391),
    [anon_sym_shr] = ACTIONS(1391),
    [anon_sym_sar] = ACTIONS(1391),
    [anon_sym_addmod] = ACTIONS(1391),
    [anon_sym_mulmod] = ACTIONS(1391),
    [anon_sym_signextend] = ACTIONS(1391),
    [anon_sym_keccak256] = ACTIONS(1391),
    [anon_sym_pop] = ACTIONS(1391),
    [anon_sym_mload] = ACTIONS(1391),
    [anon_sym_mcopy] = ACTIONS(1391),
    [anon_sym_tload] = ACTIONS(1391),
    [anon_sym_tstore] = ACTIONS(1391),
    [anon_sym_mstore] = ACTIONS(1391),
    [anon_sym_mstore8] = ACTIONS(1391),
    [anon_sym_sload] = ACTIONS(1391),
    [anon_sym_sstore] = ACTIONS(1391),
    [anon_sym_msize] = ACTIONS(1391),
    [anon_sym_gas] = ACTIONS(1391),
    [anon_sym_address] = ACTIONS(1391),
    [anon_sym_balance] = ACTIONS(1391),
    [anon_sym_selfbalance] = ACTIONS(1391),
    [anon_sym_caller] = ACTIONS(1391),
    [anon_sym_callvalue] = ACTIONS(1391),
    [anon_sym_calldataload] = ACTIONS(1391),
    [anon_sym_calldatasize] = ACTIONS(1391),
    [anon_sym_calldatacopy] = ACTIONS(1391),
    [anon_sym_extcodesize] = ACTIONS(1391),
    [anon_sym_extcodecopy] = ACTIONS(1391),
    [anon_sym_returndatasize] = ACTIONS(1391),
    [anon_sym_returndatacopy] = ACTIONS(1391),
    [anon_sym_extcodehash] = ACTIONS(1391),
    [anon_sym_create] = ACTIONS(1391),
    [anon_sym_create2] = ACTIONS(1391),
    [anon_sym_call] = ACTIONS(1391),
    [anon_sym_callcode] = ACTIONS(1391),
    [anon_sym_delegatecall] = ACTIONS(1391),
    [anon_sym_staticcall] = ACTIONS(1391),
    [anon_sym_return] = ACTIONS(1391),
    [anon_sym_revert] = ACTIONS(1391),
    [anon_sym_selfdestruct] = ACTIONS(1391),
    [anon_sym_invalid] = ACTIONS(1391),
    [anon_sym_log0] = ACTIONS(1391),
    [anon_sym_log1] = ACTIONS(1391),
    [anon_sym_log2] = ACTIONS(1391),
    [anon_sym_log3] = ACTIONS(1391),
    [anon_sym_log4] = ACTIONS(1391),
    [anon_sym_chainid] = ACTIONS(1391),
    [anon_sym_origin] = ACTIONS(1391),
    [anon_sym_gasprice] = ACTIONS(1391),
    [anon_sym_blockhash] = ACTIONS(1391),
    [anon_sym_blobhash] = ACTIONS(1391),
    [anon_sym_basefee] = ACTIONS(1391),
    [anon_sym_blobfee] = ACTIONS(1391),
    [anon_sym_coinbase] = ACTIONS(1391),
    [anon_sym_timestamp] = ACTIONS(1391),
    [anon_sym_number] = ACTIONS(1391),
    [anon_sym_difficulty] = ACTIONS(1391),
    [anon_sym_gaslimit] = ACTIONS(1391),
    [anon_sym_hex] = ACTIONS(1391),
    [anon_sym_DQUOTE] = ACTIONS(1393),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_identifier] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_RBRACE] = ACTIONS(1397),
    [anon_sym_for] = ACTIONS(1395),
    [sym_yul_leave] = ACTIONS(1395),
    [anon_sym_break] = ACTIONS(1395),
    [anon_sym_continue] = ACTIONS(1395),
    [sym_yul_decimal_number] = ACTIONS(1395),
    [sym_yul_hex_number] = ACTIONS(1397),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1395),
    [anon_sym_if] = ACTIONS(1395),
    [anon_sym_switch] = ACTIONS(1395),
    [anon_sym_function] = ACTIONS(1395),
    [anon_sym_stop] = ACTIONS(1395),
    [anon_sym_add] = ACTIONS(1395),
    [anon_sym_sub] = ACTIONS(1395),
    [anon_sym_mul] = ACTIONS(1395),
    [anon_sym_div] = ACTIONS(1395),
    [anon_sym_sdiv] = ACTIONS(1395),
    [anon_sym_mod] = ACTIONS(1395),
    [anon_sym_smod] = ACTIONS(1395),
    [anon_sym_exp] = ACTIONS(1395),
    [anon_sym_not] = ACTIONS(1395),
    [anon_sym_lt] = ACTIONS(1395),
    [anon_sym_gt] = ACTIONS(1395),
    [anon_sym_slt] = ACTIONS(1395),
    [anon_sym_sgt] = ACTIONS(1395),
    [anon_sym_eq] = ACTIONS(1395),
    [anon_sym_iszero] = ACTIONS(1395),
    [anon_sym_and] = ACTIONS(1395),
    [anon_sym_or] = ACTIONS(1395),
    [anon_sym_xor] = ACTIONS(1395),
    [anon_sym_byte] = ACTIONS(1395),
    [anon_sym_shl] = ACTIONS(1395),
    [anon_sym_shr] = ACTIONS(1395),
    [anon_sym_sar] = ACTIONS(1395),
    [anon_sym_addmod] = ACTIONS(1395),
    [anon_sym_mulmod] = ACTIONS(1395),
    [anon_sym_signextend] = ACTIONS(1395),
    [anon_sym_keccak256] = ACTIONS(1395),
    [anon_sym_pop] = ACTIONS(1395),
    [anon_sym_mload] = ACTIONS(1395),
    [anon_sym_mcopy] = ACTIONS(1395),
    [anon_sym_tload] = ACTIONS(1395),
    [anon_sym_tstore] = ACTIONS(1395),
    [anon_sym_mstore] = ACTIONS(1395),
    [anon_sym_mstore8] = ACTIONS(1395),
    [anon_sym_sload] = ACTIONS(1395),
    [anon_sym_sstore] = ACTIONS(1395),
    [anon_sym_msize] = ACTIONS(1395),
    [anon_sym_gas] = ACTIONS(1395),
    [anon_sym_address] = ACTIONS(1395),
    [anon_sym_balance] = ACTIONS(1395),
    [anon_sym_selfbalance] = ACTIONS(1395),
    [anon_sym_caller] = ACTIONS(1395),
    [anon_sym_callvalue] = ACTIONS(1395),
    [anon_sym_calldataload] = ACTIONS(1395),
    [anon_sym_calldatasize] = ACTIONS(1395),
    [anon_sym_calldatacopy] = ACTIONS(1395),
    [anon_sym_extcodesize] = ACTIONS(1395),
    [anon_sym_extcodecopy] = ACTIONS(1395),
    [anon_sym_returndatasize] = ACTIONS(1395),
    [anon_sym_returndatacopy] = ACTIONS(1395),
    [anon_sym_extcodehash] = ACTIONS(1395),
    [anon_sym_create] = ACTIONS(1395),
    [anon_sym_create2] = ACTIONS(1395),
    [anon_sym_call] = ACTIONS(1395),
    [anon_sym_callcode] = ACTIONS(1395),
    [anon_sym_delegatecall] = ACTIONS(1395),
    [anon_sym_staticcall] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1395),
    [anon_sym_revert] = ACTIONS(1395),
    [anon_sym_selfdestruct] = ACTIONS(1395),
    [anon_sym_invalid] = ACTIONS(1395),
    [anon_sym_log0] = ACTIONS(1395),
    [anon_sym_log1] = ACTIONS(1395),
    [anon_sym_log2] = ACTIONS(1395),
    [anon_sym_log3] = ACTIONS(1395),
    [anon_sym_log4] = ACTIONS(1395),
    [anon_sym_chainid] = ACTIONS(1395),
    [anon_sym_origin] = ACTIONS(1395),
    [anon_sym_gasprice] = ACTIONS(1395),
    [anon_sym_blockhash] = ACTIONS(1395),
    [anon_sym_blobhash] = ACTIONS(1395),
    [anon_sym_basefee] = ACTIONS(1395),
    [anon_sym_blobfee] = ACTIONS(1395),
    [anon_sym_coinbase] = ACTIONS(1395),
    [anon_sym_timestamp] = ACTIONS(1395),
    [anon_sym_number] = ACTIONS(1395),
    [anon_sym_difficulty] = ACTIONS(1395),
    [anon_sym_gaslimit] = ACTIONS(1395),
    [anon_sym_hex] = ACTIONS(1395),
    [anon_sym_DQUOTE] = ACTIONS(1397),
    [anon_sym_SQUOTE] = ACTIONS(1397),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_identifier] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1401),
    [anon_sym_RBRACE] = ACTIONS(1401),
    [anon_sym_for] = ACTIONS(1399),
    [sym_yul_leave] = ACTIONS(1399),
    [anon_sym_break] = ACTIONS(1399),
    [anon_sym_continue] = ACTIONS(1399),
    [sym_yul_decimal_number] = ACTIONS(1399),
    [sym_yul_hex_number] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1399),
    [anon_sym_false] = ACTIONS(1399),
    [anon_sym_let] = ACTIONS(1399),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_switch] = ACTIONS(1399),
    [anon_sym_function] = ACTIONS(1399),
    [anon_sym_stop] = ACTIONS(1399),
    [anon_sym_add] = ACTIONS(1399),
    [anon_sym_sub] = ACTIONS(1399),
    [anon_sym_mul] = ACTIONS(1399),
    [anon_sym_div] = ACTIONS(1399),
    [anon_sym_sdiv] = ACTIONS(1399),
    [anon_sym_mod] = ACTIONS(1399),
    [anon_sym_smod] = ACTIONS(1399),
    [anon_sym_exp] = ACTIONS(1399),
    [anon_sym_not] = ACTIONS(1399),
    [anon_sym_lt] = ACTIONS(1399),
    [anon_sym_gt] = ACTIONS(1399),
    [anon_sym_slt] = ACTIONS(1399),
    [anon_sym_sgt] = ACTIONS(1399),
    [anon_sym_eq] = ACTIONS(1399),
    [anon_sym_iszero] = ACTIONS(1399),
    [anon_sym_and] = ACTIONS(1399),
    [anon_sym_or] = ACTIONS(1399),
    [anon_sym_xor] = ACTIONS(1399),
    [anon_sym_byte] = ACTIONS(1399),
    [anon_sym_shl] = ACTIONS(1399),
    [anon_sym_shr] = ACTIONS(1399),
    [anon_sym_sar] = ACTIONS(1399),
    [anon_sym_addmod] = ACTIONS(1399),
    [anon_sym_mulmod] = ACTIONS(1399),
    [anon_sym_signextend] = ACTIONS(1399),
    [anon_sym_keccak256] = ACTIONS(1399),
    [anon_sym_pop] = ACTIONS(1399),
    [anon_sym_mload] = ACTIONS(1399),
    [anon_sym_mcopy] = ACTIONS(1399),
    [anon_sym_tload] = ACTIONS(1399),
    [anon_sym_tstore] = ACTIONS(1399),
    [anon_sym_mstore] = ACTIONS(1399),
    [anon_sym_mstore8] = ACTIONS(1399),
    [anon_sym_sload] = ACTIONS(1399),
    [anon_sym_sstore] = ACTIONS(1399),
    [anon_sym_msize] = ACTIONS(1399),
    [anon_sym_gas] = ACTIONS(1399),
    [anon_sym_address] = ACTIONS(1399),
    [anon_sym_balance] = ACTIONS(1399),
    [anon_sym_selfbalance] = ACTIONS(1399),
    [anon_sym_caller] = ACTIONS(1399),
    [anon_sym_callvalue] = ACTIONS(1399),
    [anon_sym_calldataload] = ACTIONS(1399),
    [anon_sym_calldatasize] = ACTIONS(1399),
    [anon_sym_calldatacopy] = ACTIONS(1399),
    [anon_sym_extcodesize] = ACTIONS(1399),
    [anon_sym_extcodecopy] = ACTIONS(1399),
    [anon_sym_returndatasize] = ACTIONS(1399),
    [anon_sym_returndatacopy] = ACTIONS(1399),
    [anon_sym_extcodehash] = ACTIONS(1399),
    [anon_sym_create] = ACTIONS(1399),
    [anon_sym_create2] = ACTIONS(1399),
    [anon_sym_call] = ACTIONS(1399),
    [anon_sym_callcode] = ACTIONS(1399),
    [anon_sym_delegatecall] = ACTIONS(1399),
    [anon_sym_staticcall] = ACTIONS(1399),
    [anon_sym_return] = ACTIONS(1399),
    [anon_sym_revert] = ACTIONS(1399),
    [anon_sym_selfdestruct] = ACTIONS(1399),
    [anon_sym_invalid] = ACTIONS(1399),
    [anon_sym_log0] = ACTIONS(1399),
    [anon_sym_log1] = ACTIONS(1399),
    [anon_sym_log2] = ACTIONS(1399),
    [anon_sym_log3] = ACTIONS(1399),
    [anon_sym_log4] = ACTIONS(1399),
    [anon_sym_chainid] = ACTIONS(1399),
    [anon_sym_origin] = ACTIONS(1399),
    [anon_sym_gasprice] = ACTIONS(1399),
    [anon_sym_blockhash] = ACTIONS(1399),
    [anon_sym_blobhash] = ACTIONS(1399),
    [anon_sym_basefee] = ACTIONS(1399),
    [anon_sym_blobfee] = ACTIONS(1399),
    [anon_sym_coinbase] = ACTIONS(1399),
    [anon_sym_timestamp] = ACTIONS(1399),
    [anon_sym_number] = ACTIONS(1399),
    [anon_sym_difficulty] = ACTIONS(1399),
    [anon_sym_gaslimit] = ACTIONS(1399),
    [anon_sym_hex] = ACTIONS(1399),
    [anon_sym_DQUOTE] = ACTIONS(1401),
    [anon_sym_SQUOTE] = ACTIONS(1401),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_identifier] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_RBRACE] = ACTIONS(1405),
    [anon_sym_for] = ACTIONS(1403),
    [sym_yul_leave] = ACTIONS(1403),
    [anon_sym_break] = ACTIONS(1403),
    [anon_sym_continue] = ACTIONS(1403),
    [sym_yul_decimal_number] = ACTIONS(1403),
    [sym_yul_hex_number] = ACTIONS(1405),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_let] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1403),
    [anon_sym_switch] = ACTIONS(1403),
    [anon_sym_function] = ACTIONS(1403),
    [anon_sym_stop] = ACTIONS(1403),
    [anon_sym_add] = ACTIONS(1403),
    [anon_sym_sub] = ACTIONS(1403),
    [anon_sym_mul] = ACTIONS(1403),
    [anon_sym_div] = ACTIONS(1403),
    [anon_sym_sdiv] = ACTIONS(1403),
    [anon_sym_mod] = ACTIONS(1403),
    [anon_sym_smod] = ACTIONS(1403),
    [anon_sym_exp] = ACTIONS(1403),
    [anon_sym_not] = ACTIONS(1403),
    [anon_sym_lt] = ACTIONS(1403),
    [anon_sym_gt] = ACTIONS(1403),
    [anon_sym_slt] = ACTIONS(1403),
    [anon_sym_sgt] = ACTIONS(1403),
    [anon_sym_eq] = ACTIONS(1403),
    [anon_sym_iszero] = ACTIONS(1403),
    [anon_sym_and] = ACTIONS(1403),
    [anon_sym_or] = ACTIONS(1403),
    [anon_sym_xor] = ACTIONS(1403),
    [anon_sym_byte] = ACTIONS(1403),
    [anon_sym_shl] = ACTIONS(1403),
    [anon_sym_shr] = ACTIONS(1403),
    [anon_sym_sar] = ACTIONS(1403),
    [anon_sym_addmod] = ACTIONS(1403),
    [anon_sym_mulmod] = ACTIONS(1403),
    [anon_sym_signextend] = ACTIONS(1403),
    [anon_sym_keccak256] = ACTIONS(1403),
    [anon_sym_pop] = ACTIONS(1403),
    [anon_sym_mload] = ACTIONS(1403),
    [anon_sym_mcopy] = ACTIONS(1403),
    [anon_sym_tload] = ACTIONS(1403),
    [anon_sym_tstore] = ACTIONS(1403),
    [anon_sym_mstore] = ACTIONS(1403),
    [anon_sym_mstore8] = ACTIONS(1403),
    [anon_sym_sload] = ACTIONS(1403),
    [anon_sym_sstore] = ACTIONS(1403),
    [anon_sym_msize] = ACTIONS(1403),
    [anon_sym_gas] = ACTIONS(1403),
    [anon_sym_address] = ACTIONS(1403),
    [anon_sym_balance] = ACTIONS(1403),
    [anon_sym_selfbalance] = ACTIONS(1403),
    [anon_sym_caller] = ACTIONS(1403),
    [anon_sym_callvalue] = ACTIONS(1403),
    [anon_sym_calldataload] = ACTIONS(1403),
    [anon_sym_calldatasize] = ACTIONS(1403),
    [anon_sym_calldatacopy] = ACTIONS(1403),
    [anon_sym_extcodesize] = ACTIONS(1403),
    [anon_sym_extcodecopy] = ACTIONS(1403),
    [anon_sym_returndatasize] = ACTIONS(1403),
    [anon_sym_returndatacopy] = ACTIONS(1403),
    [anon_sym_extcodehash] = ACTIONS(1403),
    [anon_sym_create] = ACTIONS(1403),
    [anon_sym_create2] = ACTIONS(1403),
    [anon_sym_call] = ACTIONS(1403),
    [anon_sym_callcode] = ACTIONS(1403),
    [anon_sym_delegatecall] = ACTIONS(1403),
    [anon_sym_staticcall] = ACTIONS(1403),
    [anon_sym_return] = ACTIONS(1403),
    [anon_sym_revert] = ACTIONS(1403),
    [anon_sym_selfdestruct] = ACTIONS(1403),
    [anon_sym_invalid] = ACTIONS(1403),
    [anon_sym_log0] = ACTIONS(1403),
    [anon_sym_log1] = ACTIONS(1403),
    [anon_sym_log2] = ACTIONS(1403),
    [anon_sym_log3] = ACTIONS(1403),
    [anon_sym_log4] = ACTIONS(1403),
    [anon_sym_chainid] = ACTIONS(1403),
    [anon_sym_origin] = ACTIONS(1403),
    [anon_sym_gasprice] = ACTIONS(1403),
    [anon_sym_blockhash] = ACTIONS(1403),
    [anon_sym_blobhash] = ACTIONS(1403),
    [anon_sym_basefee] = ACTIONS(1403),
    [anon_sym_blobfee] = ACTIONS(1403),
    [anon_sym_coinbase] = ACTIONS(1403),
    [anon_sym_timestamp] = ACTIONS(1403),
    [anon_sym_number] = ACTIONS(1403),
    [anon_sym_difficulty] = ACTIONS(1403),
    [anon_sym_gaslimit] = ACTIONS(1403),
    [anon_sym_hex] = ACTIONS(1403),
    [anon_sym_DQUOTE] = ACTIONS(1405),
    [anon_sym_SQUOTE] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_identifier] = ACTIONS(1407),
    [sym_yul_decimal_number] = ACTIONS(1407),
    [sym_yul_hex_number] = ACTIONS(1409),
    [anon_sym_true] = ACTIONS(1407),
    [anon_sym_false] = ACTIONS(1407),
    [anon_sym_stop] = ACTIONS(1407),
    [anon_sym_add] = ACTIONS(1407),
    [anon_sym_sub] = ACTIONS(1407),
    [anon_sym_mul] = ACTIONS(1407),
    [anon_sym_div] = ACTIONS(1407),
    [anon_sym_sdiv] = ACTIONS(1407),
    [anon_sym_mod] = ACTIONS(1407),
    [anon_sym_smod] = ACTIONS(1407),
    [anon_sym_exp] = ACTIONS(1407),
    [anon_sym_not] = ACTIONS(1407),
    [anon_sym_lt] = ACTIONS(1407),
    [anon_sym_gt] = ACTIONS(1407),
    [anon_sym_slt] = ACTIONS(1407),
    [anon_sym_sgt] = ACTIONS(1407),
    [anon_sym_eq] = ACTIONS(1407),
    [anon_sym_iszero] = ACTIONS(1407),
    [anon_sym_and] = ACTIONS(1407),
    [anon_sym_or] = ACTIONS(1407),
    [anon_sym_xor] = ACTIONS(1407),
    [anon_sym_byte] = ACTIONS(1407),
    [anon_sym_shl] = ACTIONS(1407),
    [anon_sym_shr] = ACTIONS(1407),
    [anon_sym_sar] = ACTIONS(1407),
    [anon_sym_addmod] = ACTIONS(1407),
    [anon_sym_mulmod] = ACTIONS(1407),
    [anon_sym_signextend] = ACTIONS(1407),
    [anon_sym_keccak256] = ACTIONS(1407),
    [anon_sym_pop] = ACTIONS(1407),
    [anon_sym_mload] = ACTIONS(1407),
    [anon_sym_mcopy] = ACTIONS(1407),
    [anon_sym_tload] = ACTIONS(1407),
    [anon_sym_tstore] = ACTIONS(1407),
    [anon_sym_mstore] = ACTIONS(1407),
    [anon_sym_mstore8] = ACTIONS(1407),
    [anon_sym_sload] = ACTIONS(1407),
    [anon_sym_sstore] = ACTIONS(1407),
    [anon_sym_msize] = ACTIONS(1407),
    [anon_sym_gas] = ACTIONS(1407),
    [anon_sym_address] = ACTIONS(1407),
    [anon_sym_balance] = ACTIONS(1407),
    [anon_sym_selfbalance] = ACTIONS(1407),
    [anon_sym_caller] = ACTIONS(1407),
    [anon_sym_callvalue] = ACTIONS(1407),
    [anon_sym_calldataload] = ACTIONS(1407),
    [anon_sym_calldatasize] = ACTIONS(1407),
    [anon_sym_calldatacopy] = ACTIONS(1407),
    [anon_sym_extcodesize] = ACTIONS(1407),
    [anon_sym_extcodecopy] = ACTIONS(1407),
    [anon_sym_returndatasize] = ACTIONS(1407),
    [anon_sym_returndatacopy] = ACTIONS(1407),
    [anon_sym_extcodehash] = ACTIONS(1407),
    [anon_sym_create] = ACTIONS(1407),
    [anon_sym_create2] = ACTIONS(1407),
    [anon_sym_call] = ACTIONS(1407),
    [anon_sym_callcode] = ACTIONS(1407),
    [anon_sym_delegatecall] = ACTIONS(1407),
    [anon_sym_staticcall] = ACTIONS(1407),
    [anon_sym_return] = ACTIONS(1407),
    [anon_sym_revert] = ACTIONS(1407),
    [anon_sym_selfdestruct] = ACTIONS(1407),
    [anon_sym_invalid] = ACTIONS(1407),
    [anon_sym_log0] = ACTIONS(1407),
    [anon_sym_log1] = ACTIONS(1407),
    [anon_sym_log2] = ACTIONS(1407),
    [anon_sym_log3] = ACTIONS(1407),
    [anon_sym_log4] = ACTIONS(1407),
    [anon_sym_chainid] = ACTIONS(1407),
    [anon_sym_origin] = ACTIONS(1407),
    [anon_sym_gasprice] = ACTIONS(1407),
    [anon_sym_blockhash] = ACTIONS(1407),
    [anon_sym_blobhash] = ACTIONS(1407),
    [anon_sym_basefee] = ACTIONS(1407),
    [anon_sym_blobfee] = ACTIONS(1407),
    [anon_sym_coinbase] = ACTIONS(1407),
    [anon_sym_timestamp] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_difficulty] = ACTIONS(1407),
    [anon_sym_gaslimit] = ACTIONS(1407),
    [anon_sym_hex] = ACTIONS(1407),
    [anon_sym_DQUOTE] = ACTIONS(1409),
    [anon_sym_SQUOTE] = ACTIONS(1409),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_yul_identifier] = STATE(1008),
    [sym_yul_function_call] = STATE(389),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_identifier] = ACTIONS(1222),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_yul_identifier] = STATE(1008),
    [sym_yul_function_call] = STATE(387),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_identifier] = ACTIONS(1222),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_yul_identifier] = STATE(1008),
    [sym_yul_function_call] = STATE(397),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_identifier] = ACTIONS(1222),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_yul_identifier] = STATE(1008),
    [sym_yul_function_call] = STATE(381),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_identifier] = ACTIONS(1222),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_yul_identifier] = STATE(1008),
    [sym_yul_function_call] = STATE(385),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_identifier] = ACTIONS(1222),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [sym_yul_identifier] = STATE(1008),
    [sym_yul_function_call] = STATE(384),
    [sym_yul_evm_builtin] = STATE(329),
    [sym_identifier] = ACTIONS(1222),
    [anon_sym_stop] = ACTIONS(987),
    [anon_sym_add] = ACTIONS(987),
    [anon_sym_sub] = ACTIONS(987),
    [anon_sym_mul] = ACTIONS(987),
    [anon_sym_div] = ACTIONS(987),
    [anon_sym_sdiv] = ACTIONS(987),
    [anon_sym_mod] = ACTIONS(987),
    [anon_sym_smod] = ACTIONS(987),
    [anon_sym_exp] = ACTIONS(987),
    [anon_sym_not] = ACTIONS(987),
    [anon_sym_lt] = ACTIONS(987),
    [anon_sym_gt] = ACTIONS(987),
    [anon_sym_slt] = ACTIONS(987),
    [anon_sym_sgt] = ACTIONS(987),
    [anon_sym_eq] = ACTIONS(987),
    [anon_sym_iszero] = ACTIONS(987),
    [anon_sym_and] = ACTIONS(987),
    [anon_sym_or] = ACTIONS(987),
    [anon_sym_xor] = ACTIONS(987),
    [anon_sym_byte] = ACTIONS(987),
    [anon_sym_shl] = ACTIONS(987),
    [anon_sym_shr] = ACTIONS(987),
    [anon_sym_sar] = ACTIONS(987),
    [anon_sym_addmod] = ACTIONS(987),
    [anon_sym_mulmod] = ACTIONS(987),
    [anon_sym_signextend] = ACTIONS(987),
    [anon_sym_keccak256] = ACTIONS(987),
    [anon_sym_pop] = ACTIONS(987),
    [anon_sym_mload] = ACTIONS(987),
    [anon_sym_mcopy] = ACTIONS(987),
    [anon_sym_tload] = ACTIONS(987),
    [anon_sym_tstore] = ACTIONS(987),
    [anon_sym_mstore] = ACTIONS(987),
    [anon_sym_mstore8] = ACTIONS(987),
    [anon_sym_sload] = ACTIONS(987),
    [anon_sym_sstore] = ACTIONS(987),
    [anon_sym_msize] = ACTIONS(987),
    [anon_sym_gas] = ACTIONS(987),
    [anon_sym_address] = ACTIONS(987),
    [anon_sym_balance] = ACTIONS(987),
    [anon_sym_selfbalance] = ACTIONS(987),
    [anon_sym_caller] = ACTIONS(987),
    [anon_sym_callvalue] = ACTIONS(987),
    [anon_sym_calldataload] = ACTIONS(987),
    [anon_sym_calldatasize] = ACTIONS(987),
    [anon_sym_calldatacopy] = ACTIONS(987),
    [anon_sym_extcodesize] = ACTIONS(987),
    [anon_sym_extcodecopy] = ACTIONS(987),
    [anon_sym_returndatasize] = ACTIONS(987),
    [anon_sym_returndatacopy] = ACTIONS(987),
    [anon_sym_extcodehash] = ACTIONS(987),
    [anon_sym_create] = ACTIONS(987),
    [anon_sym_create2] = ACTIONS(987),
    [anon_sym_call] = ACTIONS(987),
    [anon_sym_callcode] = ACTIONS(987),
    [anon_sym_delegatecall] = ACTIONS(987),
    [anon_sym_staticcall] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_revert] = ACTIONS(987),
    [anon_sym_selfdestruct] = ACTIONS(987),
    [anon_sym_invalid] = ACTIONS(987),
    [anon_sym_log0] = ACTIONS(987),
    [anon_sym_log1] = ACTIONS(987),
    [anon_sym_log2] = ACTIONS(987),
    [anon_sym_log3] = ACTIONS(987),
    [anon_sym_log4] = ACTIONS(987),
    [anon_sym_chainid] = ACTIONS(987),
    [anon_sym_origin] = ACTIONS(987),
    [anon_sym_gasprice] = ACTIONS(987),
    [anon_sym_blockhash] = ACTIONS(987),
    [anon_sym_blobhash] = ACTIONS(987),
    [anon_sym_basefee] = ACTIONS(987),
    [anon_sym_blobfee] = ACTIONS(987),
    [anon_sym_coinbase] = ACTIONS(987),
    [anon_sym_timestamp] = ACTIONS(987),
    [anon_sym_number] = ACTIONS(987),
    [anon_sym_difficulty] = ACTIONS(987),
    [anon_sym_gaslimit] = ACTIONS(987),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [aux_sym__identifier_path_repeat1] = STATE(405),
    [sym_identifier] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_CARET] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1411),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_EQ] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_COMMA] = ACTIONS(1413),
    [anon_sym_RBRACE] = ACTIONS(1413),
    [anon_sym_as] = ACTIONS(1411),
    [anon_sym_is] = ACTIONS(1411),
    [anon_sym_constant] = ACTIONS(1411),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [anon_sym_RPAREN] = ACTIONS(1413),
    [anon_sym_layout] = ACTIONS(1411),
    [anon_sym_indexed] = ACTIONS(1411),
    [anon_sym_for] = ACTIONS(1411),
    [anon_sym_global] = ACTIONS(1411),
    [anon_sym_AMP] = ACTIONS(1411),
    [anon_sym_PIPE] = ACTIONS(1411),
    [anon_sym_PLUS] = ACTIONS(1411),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_PERCENT] = ACTIONS(1411),
    [anon_sym_EQ_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1411),
    [anon_sym_COLON] = ACTIONS(1413),
    [anon_sym_DOT] = ACTIONS(1415),
    [anon_sym_unchecked] = ACTIONS(1411),
    [anon_sym_memory] = ACTIONS(1411),
    [anon_sym_storage] = ACTIONS(1411),
    [anon_sym_calldata] = ACTIONS(1411),
    [anon_sym_returns] = ACTIONS(1411),
    [anon_sym_public] = ACTIONS(1411),
    [anon_sym_internal] = ACTIONS(1411),
    [anon_sym_private] = ACTIONS(1411),
    [anon_sym_external] = ACTIONS(1411),
    [anon_sym_pure] = ACTIONS(1411),
    [anon_sym_view] = ACTIONS(1411),
    [anon_sym_payable] = ACTIONS(1411),
    [anon_sym_transient] = ACTIONS(1411),
    [sym_immutable] = ACTIONS(1411),
    [anon_sym_override] = ACTIONS(1411),
    [sym_virtual] = ACTIONS(1411),
    [anon_sym_QMARK] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [anon_sym_RBRACK] = ACTIONS(1413),
    [anon_sym_AMP_AMP] = ACTIONS(1413),
    [anon_sym_GT_GT] = ACTIONS(1411),
    [anon_sym_GT_GT_GT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1411),
    [anon_sym_STAR_STAR] = ACTIONS(1413),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1413),
    [anon_sym_DASH_DASH] = ACTIONS(1413),
    [anon_sym_PLUS_EQ] = ACTIONS(1413),
    [anon_sym_DASH_EQ] = ACTIONS(1413),
    [anon_sym_STAR_EQ] = ACTIONS(1413),
    [anon_sym_SLASH_EQ] = ACTIONS(1413),
    [anon_sym_PERCENT_EQ] = ACTIONS(1413),
    [anon_sym_CARET_EQ] = ACTIONS(1413),
    [anon_sym_AMP_EQ] = ACTIONS(1413),
    [anon_sym_PIPE_EQ] = ACTIONS(1413),
    [anon_sym_GT_GT_EQ] = ACTIONS(1413),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1413),
    [anon_sym_LT_LT_EQ] = ACTIONS(1413),
    [anon_sym_EQ_GT] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [sym_identifier] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_CARET] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1411),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_EQ] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_COMMA] = ACTIONS(1413),
    [anon_sym_RBRACE] = ACTIONS(1413),
    [anon_sym_as] = ACTIONS(1411),
    [anon_sym_is] = ACTIONS(1411),
    [anon_sym_constant] = ACTIONS(1411),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [anon_sym_RPAREN] = ACTIONS(1413),
    [anon_sym_layout] = ACTIONS(1411),
    [anon_sym_indexed] = ACTIONS(1411),
    [anon_sym_for] = ACTIONS(1411),
    [anon_sym_global] = ACTIONS(1411),
    [anon_sym_AMP] = ACTIONS(1411),
    [anon_sym_PIPE] = ACTIONS(1411),
    [anon_sym_PLUS] = ACTIONS(1411),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_PERCENT] = ACTIONS(1411),
    [anon_sym_EQ_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1411),
    [anon_sym_COLON] = ACTIONS(1413),
    [anon_sym_DOT] = ACTIONS(1413),
    [anon_sym_unchecked] = ACTIONS(1411),
    [anon_sym_memory] = ACTIONS(1411),
    [anon_sym_storage] = ACTIONS(1411),
    [anon_sym_calldata] = ACTIONS(1411),
    [anon_sym_returns] = ACTIONS(1411),
    [anon_sym_public] = ACTIONS(1411),
    [anon_sym_internal] = ACTIONS(1411),
    [anon_sym_private] = ACTIONS(1411),
    [anon_sym_external] = ACTIONS(1411),
    [anon_sym_pure] = ACTIONS(1411),
    [anon_sym_view] = ACTIONS(1411),
    [anon_sym_payable] = ACTIONS(1411),
    [anon_sym_transient] = ACTIONS(1411),
    [sym_immutable] = ACTIONS(1411),
    [anon_sym_override] = ACTIONS(1411),
    [sym_virtual] = ACTIONS(1411),
    [anon_sym_QMARK] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [anon_sym_RBRACK] = ACTIONS(1413),
    [anon_sym_AMP_AMP] = ACTIONS(1413),
    [anon_sym_GT_GT] = ACTIONS(1411),
    [anon_sym_GT_GT_GT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1411),
    [anon_sym_STAR_STAR] = ACTIONS(1413),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1413),
    [anon_sym_DASH_DASH] = ACTIONS(1413),
    [anon_sym_PLUS_EQ] = ACTIONS(1413),
    [anon_sym_DASH_EQ] = ACTIONS(1413),
    [anon_sym_STAR_EQ] = ACTIONS(1413),
    [anon_sym_SLASH_EQ] = ACTIONS(1413),
    [anon_sym_PERCENT_EQ] = ACTIONS(1413),
    [anon_sym_CARET_EQ] = ACTIONS(1413),
    [anon_sym_AMP_EQ] = ACTIONS(1413),
    [anon_sym_PIPE_EQ] = ACTIONS(1413),
    [anon_sym_GT_GT_EQ] = ACTIONS(1413),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1413),
    [anon_sym_LT_LT_EQ] = ACTIONS(1413),
    [anon_sym_EQ_GT] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [sym_visibility] = STATE(418),
    [sym_state_mutability] = STATE(417),
    [sym__return_parameters] = STATE(430),
    [aux_sym__function_type_repeat1] = STATE(409),
    [sym_identifier] = ACTIONS(1418),
    [anon_sym_PIPE_PIPE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1420),
    [anon_sym_LT] = ACTIONS(1418),
    [anon_sym_CARET] = ACTIONS(1418),
    [anon_sym_GT] = ACTIONS(1418),
    [anon_sym_GT_EQ] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_is] = ACTIONS(1418),
    [anon_sym_constant] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_RPAREN] = ACTIONS(1420),
    [anon_sym_indexed] = ACTIONS(1418),
    [anon_sym_global] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_PIPE] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(1418),
    [anon_sym_PERCENT] = ACTIONS(1418),
    [anon_sym_EQ_EQ] = ACTIONS(1420),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_COLON] = ACTIONS(1420),
    [anon_sym_DOT] = ACTIONS(1420),
    [anon_sym_unchecked] = ACTIONS(1418),
    [anon_sym_memory] = ACTIONS(1418),
    [anon_sym_storage] = ACTIONS(1418),
    [anon_sym_calldata] = ACTIONS(1418),
    [anon_sym_returns] = ACTIONS(1422),
    [anon_sym_public] = ACTIONS(1424),
    [anon_sym_internal] = ACTIONS(1424),
    [anon_sym_private] = ACTIONS(1424),
    [anon_sym_external] = ACTIONS(1424),
    [anon_sym_pure] = ACTIONS(1426),
    [anon_sym_view] = ACTIONS(1426),
    [anon_sym_payable] = ACTIONS(1426),
    [anon_sym_transient] = ACTIONS(1418),
    [sym_immutable] = ACTIONS(1418),
    [anon_sym_override] = ACTIONS(1418),
    [anon_sym_QMARK] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_RBRACK] = ACTIONS(1420),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_GT_GT] = ACTIONS(1418),
    [anon_sym_GT_GT_GT] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1418),
    [anon_sym_STAR_STAR] = ACTIONS(1420),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym_visibility] = STATE(418),
    [sym_state_mutability] = STATE(417),
    [sym__return_parameters] = STATE(424),
    [aux_sym__function_type_repeat1] = STATE(407),
    [sym_identifier] = ACTIONS(1428),
    [anon_sym_PIPE_PIPE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_LT_EQ] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1428),
    [anon_sym_CARET] = ACTIONS(1428),
    [anon_sym_GT] = ACTIONS(1428),
    [anon_sym_GT_EQ] = ACTIONS(1430),
    [anon_sym_EQ] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_COMMA] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_is] = ACTIONS(1428),
    [anon_sym_constant] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [anon_sym_RPAREN] = ACTIONS(1430),
    [anon_sym_indexed] = ACTIONS(1428),
    [anon_sym_global] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_PIPE] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1428),
    [anon_sym_EQ_EQ] = ACTIONS(1430),
    [anon_sym_BANG_EQ] = ACTIONS(1428),
    [anon_sym_COLON] = ACTIONS(1430),
    [anon_sym_DOT] = ACTIONS(1430),
    [anon_sym_unchecked] = ACTIONS(1428),
    [anon_sym_memory] = ACTIONS(1428),
    [anon_sym_storage] = ACTIONS(1428),
    [anon_sym_calldata] = ACTIONS(1428),
    [anon_sym_returns] = ACTIONS(1422),
    [anon_sym_public] = ACTIONS(1424),
    [anon_sym_internal] = ACTIONS(1424),
    [anon_sym_private] = ACTIONS(1424),
    [anon_sym_external] = ACTIONS(1424),
    [anon_sym_pure] = ACTIONS(1426),
    [anon_sym_view] = ACTIONS(1426),
    [anon_sym_payable] = ACTIONS(1426),
    [anon_sym_transient] = ACTIONS(1428),
    [sym_immutable] = ACTIONS(1428),
    [anon_sym_override] = ACTIONS(1428),
    [anon_sym_QMARK] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_RBRACK] = ACTIONS(1430),
    [anon_sym_AMP_AMP] = ACTIONS(1430),
    [anon_sym_GT_GT] = ACTIONS(1428),
    [anon_sym_GT_GT_GT] = ACTIONS(1428),
    [anon_sym_LT_LT] = ACTIONS(1428),
    [anon_sym_STAR_STAR] = ACTIONS(1430),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_EQ] = ACTIONS(1430),
    [anon_sym_DASH_EQ] = ACTIONS(1430),
    [anon_sym_STAR_EQ] = ACTIONS(1430),
    [anon_sym_SLASH_EQ] = ACTIONS(1430),
    [anon_sym_PERCENT_EQ] = ACTIONS(1430),
    [anon_sym_CARET_EQ] = ACTIONS(1430),
    [anon_sym_AMP_EQ] = ACTIONS(1430),
    [anon_sym_PIPE_EQ] = ACTIONS(1430),
    [anon_sym_GT_GT_EQ] = ACTIONS(1430),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1430),
    [anon_sym_LT_LT_EQ] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym_visibility] = STATE(418),
    [sym_state_mutability] = STATE(417),
    [aux_sym__function_type_repeat1] = STATE(409),
    [sym_identifier] = ACTIONS(1432),
    [anon_sym_PIPE_PIPE] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_LT_EQ] = ACTIONS(1434),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_CARET] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_GT_EQ] = ACTIONS(1434),
    [anon_sym_EQ] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_COMMA] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_is] = ACTIONS(1432),
    [anon_sym_constant] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [anon_sym_RPAREN] = ACTIONS(1434),
    [anon_sym_indexed] = ACTIONS(1432),
    [anon_sym_global] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_SLASH] = ACTIONS(1432),
    [anon_sym_PERCENT] = ACTIONS(1432),
    [anon_sym_EQ_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1434),
    [anon_sym_DOT] = ACTIONS(1434),
    [anon_sym_unchecked] = ACTIONS(1432),
    [anon_sym_memory] = ACTIONS(1432),
    [anon_sym_storage] = ACTIONS(1432),
    [anon_sym_calldata] = ACTIONS(1432),
    [anon_sym_returns] = ACTIONS(1432),
    [anon_sym_public] = ACTIONS(1436),
    [anon_sym_internal] = ACTIONS(1436),
    [anon_sym_private] = ACTIONS(1436),
    [anon_sym_external] = ACTIONS(1436),
    [anon_sym_pure] = ACTIONS(1439),
    [anon_sym_view] = ACTIONS(1439),
    [anon_sym_payable] = ACTIONS(1439),
    [anon_sym_transient] = ACTIONS(1432),
    [sym_immutable] = ACTIONS(1432),
    [anon_sym_override] = ACTIONS(1432),
    [anon_sym_QMARK] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_RBRACK] = ACTIONS(1434),
    [anon_sym_AMP_AMP] = ACTIONS(1434),
    [anon_sym_GT_GT] = ACTIONS(1432),
    [anon_sym_GT_GT_GT] = ACTIONS(1432),
    [anon_sym_LT_LT] = ACTIONS(1432),
    [anon_sym_STAR_STAR] = ACTIONS(1434),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_EQ] = ACTIONS(1434),
    [anon_sym_DASH_EQ] = ACTIONS(1434),
    [anon_sym_STAR_EQ] = ACTIONS(1434),
    [anon_sym_SLASH_EQ] = ACTIONS(1434),
    [anon_sym_PERCENT_EQ] = ACTIONS(1434),
    [anon_sym_CARET_EQ] = ACTIONS(1434),
    [anon_sym_AMP_EQ] = ACTIONS(1434),
    [anon_sym_PIPE_EQ] = ACTIONS(1434),
    [anon_sym_GT_GT_EQ] = ACTIONS(1434),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1434),
    [anon_sym_LT_LT_EQ] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_PIPE_PIPE] = ACTIONS(1444),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_COMMA] = ACTIONS(1444),
    [anon_sym_RBRACE] = ACTIONS(1444),
    [anon_sym_is] = ACTIONS(1442),
    [anon_sym_constant] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1444),
    [anon_sym_RPAREN] = ACTIONS(1444),
    [anon_sym_indexed] = ACTIONS(1442),
    [anon_sym_global] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1442),
    [anon_sym_PERCENT] = ACTIONS(1442),
    [anon_sym_EQ_EQ] = ACTIONS(1444),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_COLON] = ACTIONS(1444),
    [anon_sym_DOT] = ACTIONS(1444),
    [anon_sym_unchecked] = ACTIONS(1442),
    [anon_sym_memory] = ACTIONS(1442),
    [anon_sym_storage] = ACTIONS(1442),
    [anon_sym_calldata] = ACTIONS(1442),
    [anon_sym_returns] = ACTIONS(1442),
    [anon_sym_public] = ACTIONS(1442),
    [anon_sym_internal] = ACTIONS(1442),
    [anon_sym_private] = ACTIONS(1442),
    [anon_sym_external] = ACTIONS(1442),
    [anon_sym_pure] = ACTIONS(1442),
    [anon_sym_view] = ACTIONS(1442),
    [anon_sym_payable] = ACTIONS(1442),
    [anon_sym_transient] = ACTIONS(1442),
    [sym_immutable] = ACTIONS(1442),
    [anon_sym_override] = ACTIONS(1442),
    [sym_virtual] = ACTIONS(1442),
    [anon_sym_QMARK] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_RBRACK] = ACTIONS(1444),
    [anon_sym_AMP_AMP] = ACTIONS(1444),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_GT_GT_GT] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_STAR_STAR] = ACTIONS(1444),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1444),
    [anon_sym_PLUS_PLUS] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1444),
    [anon_sym_PLUS_EQ] = ACTIONS(1444),
    [anon_sym_DASH_EQ] = ACTIONS(1444),
    [anon_sym_STAR_EQ] = ACTIONS(1444),
    [anon_sym_SLASH_EQ] = ACTIONS(1444),
    [anon_sym_PERCENT_EQ] = ACTIONS(1444),
    [anon_sym_CARET_EQ] = ACTIONS(1444),
    [anon_sym_AMP_EQ] = ACTIONS(1444),
    [anon_sym_PIPE_EQ] = ACTIONS(1444),
    [anon_sym_GT_GT_EQ] = ACTIONS(1444),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1444),
    [anon_sym_LT_LT_EQ] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_PIPE_PIPE] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_LT_EQ] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1446),
    [anon_sym_CARET] = ACTIONS(1446),
    [anon_sym_GT] = ACTIONS(1446),
    [anon_sym_GT_EQ] = ACTIONS(1448),
    [anon_sym_EQ] = ACTIONS(1446),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_COMMA] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [anon_sym_is] = ACTIONS(1446),
    [anon_sym_constant] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [anon_sym_RPAREN] = ACTIONS(1448),
    [anon_sym_indexed] = ACTIONS(1446),
    [anon_sym_global] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_PIPE] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_SLASH] = ACTIONS(1446),
    [anon_sym_PERCENT] = ACTIONS(1446),
    [anon_sym_EQ_EQ] = ACTIONS(1448),
    [anon_sym_BANG_EQ] = ACTIONS(1446),
    [anon_sym_COLON] = ACTIONS(1448),
    [anon_sym_DOT] = ACTIONS(1448),
    [anon_sym_unchecked] = ACTIONS(1446),
    [anon_sym_memory] = ACTIONS(1446),
    [anon_sym_storage] = ACTIONS(1446),
    [anon_sym_calldata] = ACTIONS(1446),
    [anon_sym_returns] = ACTIONS(1446),
    [anon_sym_public] = ACTIONS(1446),
    [anon_sym_internal] = ACTIONS(1446),
    [anon_sym_private] = ACTIONS(1446),
    [anon_sym_external] = ACTIONS(1446),
    [anon_sym_pure] = ACTIONS(1446),
    [anon_sym_view] = ACTIONS(1446),
    [anon_sym_payable] = ACTIONS(1446),
    [anon_sym_transient] = ACTIONS(1446),
    [sym_immutable] = ACTIONS(1446),
    [anon_sym_override] = ACTIONS(1446),
    [sym_virtual] = ACTIONS(1446),
    [anon_sym_QMARK] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_RBRACK] = ACTIONS(1448),
    [anon_sym_AMP_AMP] = ACTIONS(1448),
    [anon_sym_GT_GT] = ACTIONS(1446),
    [anon_sym_GT_GT_GT] = ACTIONS(1446),
    [anon_sym_LT_LT] = ACTIONS(1446),
    [anon_sym_STAR_STAR] = ACTIONS(1448),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1448),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [anon_sym_PLUS_EQ] = ACTIONS(1448),
    [anon_sym_DASH_EQ] = ACTIONS(1448),
    [anon_sym_STAR_EQ] = ACTIONS(1448),
    [anon_sym_SLASH_EQ] = ACTIONS(1448),
    [anon_sym_PERCENT_EQ] = ACTIONS(1448),
    [anon_sym_CARET_EQ] = ACTIONS(1448),
    [anon_sym_AMP_EQ] = ACTIONS(1448),
    [anon_sym_PIPE_EQ] = ACTIONS(1448),
    [anon_sym_GT_GT_EQ] = ACTIONS(1448),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1448),
    [anon_sym_LT_LT_EQ] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym_identifier] = ACTIONS(1450),
    [anon_sym_PIPE_PIPE] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1450),
    [anon_sym_CARET] = ACTIONS(1450),
    [anon_sym_GT] = ACTIONS(1450),
    [anon_sym_GT_EQ] = ACTIONS(1452),
    [anon_sym_EQ] = ACTIONS(1450),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_COMMA] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [anon_sym_is] = ACTIONS(1450),
    [anon_sym_constant] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [anon_sym_RPAREN] = ACTIONS(1452),
    [anon_sym_indexed] = ACTIONS(1450),
    [anon_sym_global] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_PIPE] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_SLASH] = ACTIONS(1450),
    [anon_sym_PERCENT] = ACTIONS(1450),
    [anon_sym_EQ_EQ] = ACTIONS(1452),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_COLON] = ACTIONS(1452),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_unchecked] = ACTIONS(1450),
    [anon_sym_memory] = ACTIONS(1450),
    [anon_sym_storage] = ACTIONS(1450),
    [anon_sym_calldata] = ACTIONS(1450),
    [anon_sym_returns] = ACTIONS(1450),
    [anon_sym_public] = ACTIONS(1450),
    [anon_sym_internal] = ACTIONS(1450),
    [anon_sym_private] = ACTIONS(1450),
    [anon_sym_external] = ACTIONS(1450),
    [anon_sym_pure] = ACTIONS(1450),
    [anon_sym_view] = ACTIONS(1450),
    [anon_sym_payable] = ACTIONS(1450),
    [anon_sym_transient] = ACTIONS(1450),
    [sym_immutable] = ACTIONS(1450),
    [anon_sym_override] = ACTIONS(1450),
    [sym_virtual] = ACTIONS(1450),
    [anon_sym_QMARK] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_RBRACK] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1452),
    [anon_sym_GT_GT] = ACTIONS(1450),
    [anon_sym_GT_GT_GT] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1450),
    [anon_sym_STAR_STAR] = ACTIONS(1452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [anon_sym_PLUS_EQ] = ACTIONS(1452),
    [anon_sym_DASH_EQ] = ACTIONS(1452),
    [anon_sym_STAR_EQ] = ACTIONS(1452),
    [anon_sym_SLASH_EQ] = ACTIONS(1452),
    [anon_sym_PERCENT_EQ] = ACTIONS(1452),
    [anon_sym_CARET_EQ] = ACTIONS(1452),
    [anon_sym_AMP_EQ] = ACTIONS(1452),
    [anon_sym_PIPE_EQ] = ACTIONS(1452),
    [anon_sym_GT_GT_EQ] = ACTIONS(1452),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1452),
    [anon_sym_LT_LT_EQ] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_PIPE_PIPE] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_LT_EQ] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1454),
    [anon_sym_CARET] = ACTIONS(1454),
    [anon_sym_GT] = ACTIONS(1454),
    [anon_sym_GT_EQ] = ACTIONS(1456),
    [anon_sym_EQ] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_COMMA] = ACTIONS(1456),
    [anon_sym_RBRACE] = ACTIONS(1456),
    [anon_sym_is] = ACTIONS(1454),
    [anon_sym_constant] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_RPAREN] = ACTIONS(1456),
    [anon_sym_indexed] = ACTIONS(1454),
    [anon_sym_global] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_PIPE] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_SLASH] = ACTIONS(1454),
    [anon_sym_PERCENT] = ACTIONS(1454),
    [anon_sym_EQ_EQ] = ACTIONS(1456),
    [anon_sym_BANG_EQ] = ACTIONS(1454),
    [anon_sym_COLON] = ACTIONS(1456),
    [anon_sym_DOT] = ACTIONS(1456),
    [anon_sym_unchecked] = ACTIONS(1454),
    [anon_sym_memory] = ACTIONS(1454),
    [anon_sym_storage] = ACTIONS(1454),
    [anon_sym_calldata] = ACTIONS(1454),
    [anon_sym_returns] = ACTIONS(1454),
    [anon_sym_public] = ACTIONS(1454),
    [anon_sym_internal] = ACTIONS(1454),
    [anon_sym_private] = ACTIONS(1454),
    [anon_sym_external] = ACTIONS(1454),
    [anon_sym_pure] = ACTIONS(1454),
    [anon_sym_view] = ACTIONS(1454),
    [anon_sym_payable] = ACTIONS(1454),
    [anon_sym_transient] = ACTIONS(1454),
    [sym_immutable] = ACTIONS(1454),
    [anon_sym_override] = ACTIONS(1454),
    [sym_virtual] = ACTIONS(1454),
    [anon_sym_QMARK] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_RBRACK] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1456),
    [anon_sym_GT_GT] = ACTIONS(1454),
    [anon_sym_GT_GT_GT] = ACTIONS(1454),
    [anon_sym_LT_LT] = ACTIONS(1454),
    [anon_sym_STAR_STAR] = ACTIONS(1456),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1456),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [anon_sym_PLUS_EQ] = ACTIONS(1456),
    [anon_sym_DASH_EQ] = ACTIONS(1456),
    [anon_sym_STAR_EQ] = ACTIONS(1456),
    [anon_sym_SLASH_EQ] = ACTIONS(1456),
    [anon_sym_PERCENT_EQ] = ACTIONS(1456),
    [anon_sym_CARET_EQ] = ACTIONS(1456),
    [anon_sym_AMP_EQ] = ACTIONS(1456),
    [anon_sym_PIPE_EQ] = ACTIONS(1456),
    [anon_sym_GT_GT_EQ] = ACTIONS(1456),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1456),
    [anon_sym_LT_LT_EQ] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_PIPE_PIPE] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_LT_EQ] = ACTIONS(1460),
    [anon_sym_LT] = ACTIONS(1458),
    [anon_sym_CARET] = ACTIONS(1458),
    [anon_sym_GT] = ACTIONS(1458),
    [anon_sym_GT_EQ] = ACTIONS(1460),
    [anon_sym_EQ] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_COMMA] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1460),
    [anon_sym_is] = ACTIONS(1458),
    [anon_sym_constant] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_RPAREN] = ACTIONS(1460),
    [anon_sym_indexed] = ACTIONS(1458),
    [anon_sym_global] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_SLASH] = ACTIONS(1458),
    [anon_sym_PERCENT] = ACTIONS(1458),
    [anon_sym_EQ_EQ] = ACTIONS(1460),
    [anon_sym_BANG_EQ] = ACTIONS(1458),
    [anon_sym_COLON] = ACTIONS(1460),
    [anon_sym_DOT] = ACTIONS(1460),
    [anon_sym_unchecked] = ACTIONS(1458),
    [anon_sym_memory] = ACTIONS(1458),
    [anon_sym_storage] = ACTIONS(1458),
    [anon_sym_calldata] = ACTIONS(1458),
    [anon_sym_returns] = ACTIONS(1458),
    [anon_sym_public] = ACTIONS(1458),
    [anon_sym_internal] = ACTIONS(1458),
    [anon_sym_private] = ACTIONS(1458),
    [anon_sym_external] = ACTIONS(1458),
    [anon_sym_pure] = ACTIONS(1458),
    [anon_sym_view] = ACTIONS(1458),
    [anon_sym_payable] = ACTIONS(1458),
    [anon_sym_transient] = ACTIONS(1458),
    [sym_immutable] = ACTIONS(1458),
    [anon_sym_override] = ACTIONS(1458),
    [sym_virtual] = ACTIONS(1458),
    [anon_sym_QMARK] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_RBRACK] = ACTIONS(1460),
    [anon_sym_AMP_AMP] = ACTIONS(1460),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_GT_GT_GT] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1458),
    [anon_sym_STAR_STAR] = ACTIONS(1460),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_PLUS_EQ] = ACTIONS(1460),
    [anon_sym_DASH_EQ] = ACTIONS(1460),
    [anon_sym_STAR_EQ] = ACTIONS(1460),
    [anon_sym_SLASH_EQ] = ACTIONS(1460),
    [anon_sym_PERCENT_EQ] = ACTIONS(1460),
    [anon_sym_CARET_EQ] = ACTIONS(1460),
    [anon_sym_AMP_EQ] = ACTIONS(1460),
    [anon_sym_PIPE_EQ] = ACTIONS(1460),
    [anon_sym_GT_GT_EQ] = ACTIONS(1460),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1460),
    [anon_sym_LT_LT_EQ] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_PIPE_PIPE] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_LT_EQ] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1462),
    [anon_sym_CARET] = ACTIONS(1462),
    [anon_sym_GT] = ACTIONS(1462),
    [anon_sym_GT_EQ] = ACTIONS(1464),
    [anon_sym_EQ] = ACTIONS(1462),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_COMMA] = ACTIONS(1464),
    [anon_sym_RBRACE] = ACTIONS(1464),
    [anon_sym_as] = ACTIONS(1462),
    [anon_sym_is] = ACTIONS(1462),
    [anon_sym_constant] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1464),
    [anon_sym_RPAREN] = ACTIONS(1464),
    [anon_sym_layout] = ACTIONS(1462),
    [anon_sym_indexed] = ACTIONS(1462),
    [anon_sym_for] = ACTIONS(1462),
    [anon_sym_global] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_PIPE] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_PERCENT] = ACTIONS(1462),
    [anon_sym_EQ_EQ] = ACTIONS(1464),
    [anon_sym_BANG_EQ] = ACTIONS(1462),
    [anon_sym_COLON] = ACTIONS(1464),
    [anon_sym_DOT] = ACTIONS(1464),
    [anon_sym_unchecked] = ACTIONS(1462),
    [anon_sym_memory] = ACTIONS(1462),
    [anon_sym_storage] = ACTIONS(1462),
    [anon_sym_calldata] = ACTIONS(1462),
    [anon_sym_returns] = ACTIONS(1462),
    [anon_sym_public] = ACTIONS(1462),
    [anon_sym_internal] = ACTIONS(1462),
    [anon_sym_private] = ACTIONS(1462),
    [anon_sym_external] = ACTIONS(1462),
    [anon_sym_transient] = ACTIONS(1462),
    [sym_immutable] = ACTIONS(1462),
    [anon_sym_override] = ACTIONS(1462),
    [anon_sym_QMARK] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [anon_sym_RBRACK] = ACTIONS(1464),
    [anon_sym_AMP_AMP] = ACTIONS(1464),
    [anon_sym_GT_GT] = ACTIONS(1462),
    [anon_sym_GT_GT_GT] = ACTIONS(1462),
    [anon_sym_LT_LT] = ACTIONS(1462),
    [anon_sym_STAR_STAR] = ACTIONS(1464),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_PLUS_EQ] = ACTIONS(1464),
    [anon_sym_DASH_EQ] = ACTIONS(1464),
    [anon_sym_STAR_EQ] = ACTIONS(1464),
    [anon_sym_SLASH_EQ] = ACTIONS(1464),
    [anon_sym_PERCENT_EQ] = ACTIONS(1464),
    [anon_sym_CARET_EQ] = ACTIONS(1464),
    [anon_sym_AMP_EQ] = ACTIONS(1464),
    [anon_sym_PIPE_EQ] = ACTIONS(1464),
    [anon_sym_GT_GT_EQ] = ACTIONS(1464),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1464),
    [anon_sym_LT_LT_EQ] = ACTIONS(1464),
    [anon_sym_EQ_GT] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_PIPE_PIPE] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_LT_EQ] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1466),
    [anon_sym_CARET] = ACTIONS(1466),
    [anon_sym_GT] = ACTIONS(1466),
    [anon_sym_GT_EQ] = ACTIONS(1468),
    [anon_sym_EQ] = ACTIONS(1466),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_COMMA] = ACTIONS(1468),
    [anon_sym_RBRACE] = ACTIONS(1468),
    [anon_sym_is] = ACTIONS(1466),
    [anon_sym_constant] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1468),
    [anon_sym_RPAREN] = ACTIONS(1468),
    [anon_sym_indexed] = ACTIONS(1466),
    [anon_sym_global] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_PIPE] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_PERCENT] = ACTIONS(1466),
    [anon_sym_EQ_EQ] = ACTIONS(1468),
    [anon_sym_BANG_EQ] = ACTIONS(1466),
    [anon_sym_COLON] = ACTIONS(1468),
    [anon_sym_DOT] = ACTIONS(1468),
    [anon_sym_unchecked] = ACTIONS(1466),
    [anon_sym_memory] = ACTIONS(1466),
    [anon_sym_storage] = ACTIONS(1466),
    [anon_sym_calldata] = ACTIONS(1466),
    [anon_sym_returns] = ACTIONS(1466),
    [anon_sym_public] = ACTIONS(1466),
    [anon_sym_internal] = ACTIONS(1466),
    [anon_sym_private] = ACTIONS(1466),
    [anon_sym_external] = ACTIONS(1466),
    [anon_sym_pure] = ACTIONS(1466),
    [anon_sym_view] = ACTIONS(1466),
    [anon_sym_payable] = ACTIONS(1466),
    [anon_sym_transient] = ACTIONS(1466),
    [sym_immutable] = ACTIONS(1466),
    [anon_sym_override] = ACTIONS(1466),
    [sym_virtual] = ACTIONS(1466),
    [anon_sym_QMARK] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_RBRACK] = ACTIONS(1468),
    [anon_sym_AMP_AMP] = ACTIONS(1468),
    [anon_sym_GT_GT] = ACTIONS(1466),
    [anon_sym_GT_GT_GT] = ACTIONS(1466),
    [anon_sym_LT_LT] = ACTIONS(1466),
    [anon_sym_STAR_STAR] = ACTIONS(1468),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1468),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [anon_sym_PLUS_EQ] = ACTIONS(1468),
    [anon_sym_DASH_EQ] = ACTIONS(1468),
    [anon_sym_STAR_EQ] = ACTIONS(1468),
    [anon_sym_SLASH_EQ] = ACTIONS(1468),
    [anon_sym_PERCENT_EQ] = ACTIONS(1468),
    [anon_sym_CARET_EQ] = ACTIONS(1468),
    [anon_sym_AMP_EQ] = ACTIONS(1468),
    [anon_sym_PIPE_EQ] = ACTIONS(1468),
    [anon_sym_GT_GT_EQ] = ACTIONS(1468),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1468),
    [anon_sym_LT_LT_EQ] = ACTIONS(1468),
    [anon_sym_SEMI] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_PIPE_PIPE] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_LT_EQ] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1470),
    [anon_sym_CARET] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1470),
    [anon_sym_GT_EQ] = ACTIONS(1472),
    [anon_sym_EQ] = ACTIONS(1470),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_COMMA] = ACTIONS(1472),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [anon_sym_is] = ACTIONS(1470),
    [anon_sym_constant] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1472),
    [anon_sym_RPAREN] = ACTIONS(1472),
    [anon_sym_indexed] = ACTIONS(1470),
    [anon_sym_global] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_PIPE] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_SLASH] = ACTIONS(1470),
    [anon_sym_PERCENT] = ACTIONS(1470),
    [anon_sym_EQ_EQ] = ACTIONS(1472),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_COLON] = ACTIONS(1472),
    [anon_sym_DOT] = ACTIONS(1472),
    [anon_sym_unchecked] = ACTIONS(1470),
    [anon_sym_memory] = ACTIONS(1470),
    [anon_sym_storage] = ACTIONS(1470),
    [anon_sym_calldata] = ACTIONS(1470),
    [anon_sym_returns] = ACTIONS(1470),
    [anon_sym_public] = ACTIONS(1470),
    [anon_sym_internal] = ACTIONS(1470),
    [anon_sym_private] = ACTIONS(1470),
    [anon_sym_external] = ACTIONS(1470),
    [anon_sym_pure] = ACTIONS(1470),
    [anon_sym_view] = ACTIONS(1470),
    [anon_sym_payable] = ACTIONS(1470),
    [anon_sym_transient] = ACTIONS(1470),
    [sym_immutable] = ACTIONS(1470),
    [anon_sym_override] = ACTIONS(1470),
    [anon_sym_QMARK] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1472),
    [anon_sym_RBRACK] = ACTIONS(1472),
    [anon_sym_AMP_AMP] = ACTIONS(1472),
    [anon_sym_GT_GT] = ACTIONS(1470),
    [anon_sym_GT_GT_GT] = ACTIONS(1470),
    [anon_sym_LT_LT] = ACTIONS(1470),
    [anon_sym_STAR_STAR] = ACTIONS(1472),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [anon_sym_PLUS_EQ] = ACTIONS(1472),
    [anon_sym_DASH_EQ] = ACTIONS(1472),
    [anon_sym_STAR_EQ] = ACTIONS(1472),
    [anon_sym_SLASH_EQ] = ACTIONS(1472),
    [anon_sym_PERCENT_EQ] = ACTIONS(1472),
    [anon_sym_CARET_EQ] = ACTIONS(1472),
    [anon_sym_AMP_EQ] = ACTIONS(1472),
    [anon_sym_PIPE_EQ] = ACTIONS(1472),
    [anon_sym_GT_GT_EQ] = ACTIONS(1472),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1472),
    [anon_sym_LT_LT_EQ] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [sym_identifier] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_LT_EQ] = ACTIONS(1476),
    [anon_sym_LT] = ACTIONS(1474),
    [anon_sym_CARET] = ACTIONS(1474),
    [anon_sym_GT] = ACTIONS(1474),
    [anon_sym_GT_EQ] = ACTIONS(1476),
    [anon_sym_EQ] = ACTIONS(1474),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [anon_sym_is] = ACTIONS(1474),
    [anon_sym_constant] = ACTIONS(1474),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_RPAREN] = ACTIONS(1476),
    [anon_sym_indexed] = ACTIONS(1474),
    [anon_sym_global] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_PIPE] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_SLASH] = ACTIONS(1474),
    [anon_sym_PERCENT] = ACTIONS(1474),
    [anon_sym_EQ_EQ] = ACTIONS(1476),
    [anon_sym_BANG_EQ] = ACTIONS(1474),
    [anon_sym_COLON] = ACTIONS(1476),
    [anon_sym_DOT] = ACTIONS(1476),
    [anon_sym_unchecked] = ACTIONS(1474),
    [anon_sym_memory] = ACTIONS(1474),
    [anon_sym_storage] = ACTIONS(1474),
    [anon_sym_calldata] = ACTIONS(1474),
    [anon_sym_returns] = ACTIONS(1474),
    [anon_sym_public] = ACTIONS(1474),
    [anon_sym_internal] = ACTIONS(1474),
    [anon_sym_private] = ACTIONS(1474),
    [anon_sym_external] = ACTIONS(1474),
    [anon_sym_pure] = ACTIONS(1474),
    [anon_sym_view] = ACTIONS(1474),
    [anon_sym_payable] = ACTIONS(1474),
    [anon_sym_transient] = ACTIONS(1474),
    [sym_immutable] = ACTIONS(1474),
    [anon_sym_override] = ACTIONS(1474),
    [anon_sym_QMARK] = ACTIONS(1476),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_RBRACK] = ACTIONS(1476),
    [anon_sym_AMP_AMP] = ACTIONS(1476),
    [anon_sym_GT_GT] = ACTIONS(1474),
    [anon_sym_GT_GT_GT] = ACTIONS(1474),
    [anon_sym_LT_LT] = ACTIONS(1474),
    [anon_sym_STAR_STAR] = ACTIONS(1476),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [anon_sym_PLUS_EQ] = ACTIONS(1476),
    [anon_sym_DASH_EQ] = ACTIONS(1476),
    [anon_sym_STAR_EQ] = ACTIONS(1476),
    [anon_sym_SLASH_EQ] = ACTIONS(1476),
    [anon_sym_PERCENT_EQ] = ACTIONS(1476),
    [anon_sym_CARET_EQ] = ACTIONS(1476),
    [anon_sym_AMP_EQ] = ACTIONS(1476),
    [anon_sym_PIPE_EQ] = ACTIONS(1476),
    [anon_sym_GT_GT_EQ] = ACTIONS(1476),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1476),
    [anon_sym_LT_LT_EQ] = ACTIONS(1476),
    [anon_sym_SEMI] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1478),
    [anon_sym_CARET] = ACTIONS(1478),
    [anon_sym_GT] = ACTIONS(1478),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_is] = ACTIONS(1478),
    [anon_sym_constant] = ACTIONS(1478),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [anon_sym_RPAREN] = ACTIONS(1480),
    [anon_sym_indexed] = ACTIONS(1478),
    [anon_sym_global] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_PIPE] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_SLASH] = ACTIONS(1478),
    [anon_sym_PERCENT] = ACTIONS(1478),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1478),
    [anon_sym_COLON] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(1480),
    [anon_sym_unchecked] = ACTIONS(1478),
    [anon_sym_memory] = ACTIONS(1478),
    [anon_sym_storage] = ACTIONS(1478),
    [anon_sym_calldata] = ACTIONS(1478),
    [anon_sym_returns] = ACTIONS(1478),
    [anon_sym_public] = ACTIONS(1478),
    [anon_sym_internal] = ACTIONS(1478),
    [anon_sym_private] = ACTIONS(1478),
    [anon_sym_external] = ACTIONS(1478),
    [anon_sym_payable] = ACTIONS(1482),
    [anon_sym_transient] = ACTIONS(1478),
    [sym_immutable] = ACTIONS(1478),
    [anon_sym_override] = ACTIONS(1478),
    [anon_sym_QMARK] = ACTIONS(1480),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_RBRACK] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_GT_GT] = ACTIONS(1478),
    [anon_sym_GT_GT_GT] = ACTIONS(1478),
    [anon_sym_LT_LT] = ACTIONS(1478),
    [anon_sym_STAR_STAR] = ACTIONS(1480),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_PLUS_EQ] = ACTIONS(1480),
    [anon_sym_DASH_EQ] = ACTIONS(1480),
    [anon_sym_STAR_EQ] = ACTIONS(1480),
    [anon_sym_SLASH_EQ] = ACTIONS(1480),
    [anon_sym_PERCENT_EQ] = ACTIONS(1480),
    [anon_sym_CARET_EQ] = ACTIONS(1480),
    [anon_sym_AMP_EQ] = ACTIONS(1480),
    [anon_sym_PIPE_EQ] = ACTIONS(1480),
    [anon_sym_GT_GT_EQ] = ACTIONS(1480),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1480),
    [anon_sym_LT_LT_EQ] = ACTIONS(1480),
    [anon_sym_EQ_GT] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_PIPE_PIPE] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_LT_EQ] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1478),
    [anon_sym_CARET] = ACTIONS(1478),
    [anon_sym_GT] = ACTIONS(1478),
    [anon_sym_GT_EQ] = ACTIONS(1480),
    [anon_sym_EQ] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_COMMA] = ACTIONS(1480),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_is] = ACTIONS(1478),
    [anon_sym_constant] = ACTIONS(1478),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [anon_sym_RPAREN] = ACTIONS(1480),
    [anon_sym_indexed] = ACTIONS(1478),
    [anon_sym_global] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_PIPE] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_SLASH] = ACTIONS(1478),
    [anon_sym_PERCENT] = ACTIONS(1478),
    [anon_sym_EQ_EQ] = ACTIONS(1480),
    [anon_sym_BANG_EQ] = ACTIONS(1478),
    [anon_sym_COLON] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(1480),
    [anon_sym_unchecked] = ACTIONS(1478),
    [anon_sym_memory] = ACTIONS(1478),
    [anon_sym_storage] = ACTIONS(1478),
    [anon_sym_calldata] = ACTIONS(1478),
    [anon_sym_returns] = ACTIONS(1478),
    [anon_sym_public] = ACTIONS(1478),
    [anon_sym_internal] = ACTIONS(1478),
    [anon_sym_private] = ACTIONS(1478),
    [anon_sym_external] = ACTIONS(1478),
    [anon_sym_transient] = ACTIONS(1478),
    [sym_immutable] = ACTIONS(1478),
    [anon_sym_override] = ACTIONS(1478),
    [anon_sym_QMARK] = ACTIONS(1480),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_RBRACK] = ACTIONS(1480),
    [anon_sym_AMP_AMP] = ACTIONS(1480),
    [anon_sym_GT_GT] = ACTIONS(1478),
    [anon_sym_GT_GT_GT] = ACTIONS(1478),
    [anon_sym_LT_LT] = ACTIONS(1478),
    [anon_sym_STAR_STAR] = ACTIONS(1480),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_PLUS_EQ] = ACTIONS(1480),
    [anon_sym_DASH_EQ] = ACTIONS(1480),
    [anon_sym_STAR_EQ] = ACTIONS(1480),
    [anon_sym_SLASH_EQ] = ACTIONS(1480),
    [anon_sym_PERCENT_EQ] = ACTIONS(1480),
    [anon_sym_CARET_EQ] = ACTIONS(1480),
    [anon_sym_AMP_EQ] = ACTIONS(1480),
    [anon_sym_PIPE_EQ] = ACTIONS(1480),
    [anon_sym_GT_GT_EQ] = ACTIONS(1480),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1480),
    [anon_sym_LT_LT_EQ] = ACTIONS(1480),
    [anon_sym_EQ_GT] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [sym_identifier] = ACTIONS(1484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_LT_EQ] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1484),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_GT_EQ] = ACTIONS(1486),
    [anon_sym_EQ] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_COMMA] = ACTIONS(1486),
    [anon_sym_RBRACE] = ACTIONS(1486),
    [anon_sym_is] = ACTIONS(1484),
    [anon_sym_constant] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1486),
    [anon_sym_RPAREN] = ACTIONS(1486),
    [anon_sym_indexed] = ACTIONS(1484),
    [anon_sym_global] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1484),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_EQ_EQ] = ACTIONS(1486),
    [anon_sym_BANG_EQ] = ACTIONS(1484),
    [anon_sym_COLON] = ACTIONS(1486),
    [anon_sym_DOT] = ACTIONS(1486),
    [anon_sym_unchecked] = ACTIONS(1484),
    [anon_sym_memory] = ACTIONS(1484),
    [anon_sym_storage] = ACTIONS(1484),
    [anon_sym_calldata] = ACTIONS(1484),
    [anon_sym_returns] = ACTIONS(1484),
    [anon_sym_public] = ACTIONS(1484),
    [anon_sym_internal] = ACTIONS(1484),
    [anon_sym_private] = ACTIONS(1484),
    [anon_sym_external] = ACTIONS(1484),
    [anon_sym_transient] = ACTIONS(1484),
    [sym_immutable] = ACTIONS(1484),
    [anon_sym_override] = ACTIONS(1484),
    [anon_sym_QMARK] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1486),
    [anon_sym_RBRACK] = ACTIONS(1486),
    [anon_sym_AMP_AMP] = ACTIONS(1486),
    [anon_sym_GT_GT] = ACTIONS(1484),
    [anon_sym_GT_GT_GT] = ACTIONS(1484),
    [anon_sym_LT_LT] = ACTIONS(1484),
    [anon_sym_STAR_STAR] = ACTIONS(1486),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_EQ] = ACTIONS(1486),
    [anon_sym_DASH_EQ] = ACTIONS(1486),
    [anon_sym_STAR_EQ] = ACTIONS(1486),
    [anon_sym_SLASH_EQ] = ACTIONS(1486),
    [anon_sym_PERCENT_EQ] = ACTIONS(1486),
    [anon_sym_CARET_EQ] = ACTIONS(1486),
    [anon_sym_AMP_EQ] = ACTIONS(1486),
    [anon_sym_PIPE_EQ] = ACTIONS(1486),
    [anon_sym_GT_GT_EQ] = ACTIONS(1486),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1486),
    [anon_sym_LT_LT_EQ] = ACTIONS(1486),
    [anon_sym_EQ_GT] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1486),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1490), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
    ACTIONS(1488), 32,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_is,
      anon_sym_constant,
      anon_sym_indexed,
      anon_sym_global,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_unchecked,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      sym_identifier,
  [71] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
    ACTIONS(1492), 32,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_is,
      anon_sym_constant,
      anon_sym_indexed,
      anon_sym_global,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_unchecked,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      sym_identifier,
  [142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
    ACTIONS(1496), 32,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_is,
      anon_sym_constant,
      anon_sym_indexed,
      anon_sym_global,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_unchecked,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      sym_identifier,
  [213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1502), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
    ACTIONS(1500), 32,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_is,
      anon_sym_constant,
      anon_sym_indexed,
      anon_sym_global,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_unchecked,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      sym_identifier,
  [284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1502), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
    ACTIONS(1500), 32,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_is,
      anon_sym_constant,
      anon_sym_indexed,
      anon_sym_global,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_unchecked,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      sym_identifier,
  [355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1506), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
    ACTIONS(1504), 32,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_is,
      anon_sym_constant,
      anon_sym_indexed,
      anon_sym_global,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_unchecked,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      sym_identifier,
  [426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
    ACTIONS(1508), 32,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_is,
      anon_sym_constant,
      anon_sym_indexed,
      anon_sym_global,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_unchecked,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      sym_identifier,
  [497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
    ACTIONS(1512), 32,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_is,
      anon_sym_constant,
      anon_sym_indexed,
      anon_sym_global,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_unchecked,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      sym_identifier,
  [568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
    ACTIONS(1516), 32,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_is,
      anon_sym_constant,
      anon_sym_indexed,
      anon_sym_global,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_unchecked,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      sym_identifier,
  [639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1522), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
    ACTIONS(1520), 32,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_is,
      anon_sym_constant,
      anon_sym_indexed,
      anon_sym_global,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_unchecked,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      sym_identifier,
  [710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1526), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
    ACTIONS(1524), 32,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_is,
      anon_sym_constant,
      anon_sym_indexed,
      anon_sym_global,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_unchecked,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      sym_identifier,
  [781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1530), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
    ACTIONS(1528), 32,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_is,
      anon_sym_constant,
      anon_sym_indexed,
      anon_sym_global,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_unchecked,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      sym_identifier,
  [852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1534), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
    ACTIONS(1532), 32,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_is,
      anon_sym_constant,
      anon_sym_indexed,
      anon_sym_global,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_unchecked,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      sym_identifier,
  [923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1538), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
    ACTIONS(1536), 32,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_is,
      anon_sym_constant,
      anon_sym_indexed,
      anon_sym_global,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_unchecked,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      sym_identifier,
  [994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
    ACTIONS(1540), 32,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_is,
      anon_sym_constant,
      anon_sym_indexed,
      anon_sym_global,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_unchecked,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      sym_identifier,
  [1065] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(485), 1,
      sym_number_unit,
    ACTIONS(1548), 11,
      anon_sym_wei,
      anon_sym_szabo,
      anon_sym_finney,
      anon_sym_gwei,
      anon_sym_ether,
      anon_sym_seconds,
      anon_sym_minutes,
      anon_sym_hours,
      anon_sym_days,
      anon_sym_weeks,
      anon_sym_years,
    ACTIONS(1546), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1544), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [1138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 29,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_is,
      anon_sym_layout,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      sym_identifier,
    ACTIONS(1552), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [1206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1554), 29,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_is,
      anon_sym_layout,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      sym_identifier,
    ACTIONS(1556), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [1274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 29,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_is,
      anon_sym_layout,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      sym_identifier,
    ACTIONS(1560), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [1342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 29,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_is,
      anon_sym_layout,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
      anon_sym_override,
      sym_virtual,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      sym_identifier,
    ACTIONS(1564), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [1410] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 1,
      anon_sym_DOT,
    STATE(444), 1,
      aux_sym__identifier_path_repeat1,
    ACTIONS(1566), 4,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      sym_identifier,
    ACTIONS(1571), 18,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_is,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1568), 30,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [1478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1397), 39,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_default,
      anon_sym_case,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [1540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(405), 1,
      aux_sym__identifier_path_repeat1,
    ACTIONS(1578), 22,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_is,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_unchecked,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      anon_sym_returns,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      sym_identifier,
    ACTIONS(1580), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [1604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1401), 39,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_default,
      anon_sym_case,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [1666] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_SQUOTE,
    STATE(450), 2,
      sym_string,
      aux_sym_string_literal_repeat1,
    ACTIONS(1584), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1582), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [1733] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 1,
      anon_sym_hex,
    STATE(448), 1,
      aux_sym_hex_string_literal_repeat2,
    ACTIONS(1289), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1291), 36,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_default,
      anon_sym_case,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [1798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1588), 1,
      anon_sym_hex,
    STATE(448), 1,
      aux_sym_hex_string_literal_repeat2,
    ACTIONS(1260), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1262), 36,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_default,
      anon_sym_case,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [1863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 4,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      sym_identifier,
    ACTIONS(1594), 18,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_is,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1591), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [1926] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1601), 1,
      anon_sym_DQUOTE,
    ACTIONS(1604), 1,
      anon_sym_SQUOTE,
    STATE(450), 2,
      sym_string,
      aux_sym_string_literal_repeat1,
    ACTIONS(1599), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1597), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [1993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1295), 37,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_default,
      anon_sym_case,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
      anon_sym_hex,
  [2053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1331), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1333), 37,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_default,
      anon_sym_case,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
      anon_sym_hex,
  [2113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1299), 37,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_default,
      anon_sym_case,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
      anon_sym_hex,
  [2173] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1611), 1,
      anon_sym_unicode,
    STATE(455), 1,
      aux_sym_unicode_string_literal_repeat3,
    ACTIONS(1609), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1607), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [2236] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_unicode,
    STATE(455), 1,
      aux_sym_unicode_string_literal_repeat3,
    ACTIONS(1615), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1613), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [2299] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1622), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1620), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [2363] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1630), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1628), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [2427] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1642), 1,
      anon_sym_EQ,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1646), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [2509] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1622), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1620), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [2573] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1622), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1620), 31,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [2637] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    STATE(490), 1,
      sym__call_arguments,
    ACTIONS(1656), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1654), 33,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [2699] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1664), 9,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_RBRACK,
      anon_sym_SEMI,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [2791] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1676), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1674), 33,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [2853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1680), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1678), 35,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
      anon_sym_unicode,
  [2911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1684), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1682), 35,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
      anon_sym_unicode,
  [2969] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1630), 3,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1628), 25,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [3047] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1630), 9,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
    ACTIONS(1628), 30,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [3115] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1630), 7,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BANG_EQ,
    ACTIONS(1628), 30,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [3185] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1686), 9,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_RBRACK,
      anon_sym_SEMI,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [3277] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1630), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1628), 30,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [3343] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1630), 4,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1628), 26,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [3417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1688), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [3474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1692), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [3531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1698), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1696), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [3588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1702), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1700), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [3645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1708), 1,
      anon_sym_LPAREN,
    ACTIONS(1706), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1704), 33,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [3704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1713), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1711), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [3761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1715), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [3818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1721), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1719), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [3875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1725), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1723), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [3932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1729), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1727), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [3989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1731), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [4046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1737), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1735), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [4103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1741), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1739), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [4160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1743), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [4217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1747), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [4274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1751), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [4331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1755), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [4388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1759), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [4445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1765), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1763), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [4502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1769), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1767), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [4559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1771), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [4616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1775), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [4673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1781), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1779), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [4730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1785), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1783), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [4787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1789), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1787), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [4844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1793), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1791), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [4901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1797), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1795), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [4958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1801), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1799), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [5015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1803), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [5072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1809), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1807), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [5129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1813), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1811), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [5186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1817), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1815), 34,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [5243] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1708), 1,
      anon_sym_LPAREN,
    ACTIONS(1819), 1,
      anon_sym_LBRACK,
    ACTIONS(1512), 4,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      sym_identifier,
    ACTIONS(1706), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1704), 26,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [5304] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 1,
      anon_sym_DOT,
    ACTIONS(1822), 1,
      anon_sym_COLON,
    STATE(444), 1,
      aux_sym__identifier_path_repeat1,
    ACTIONS(1566), 4,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      sym_identifier,
    ACTIONS(1571), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1568), 25,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [5367] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_LBRACK,
    ACTIONS(1512), 4,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      sym_identifier,
    ACTIONS(1706), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1704), 27,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [5426] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_LBRACE,
    ACTIONS(1826), 1,
      anon_sym_unchecked,
    ACTIONS(1828), 1,
      anon_sym_returns,
    STATE(482), 1,
      sym__call_arguments,
    STATE(722), 1,
      sym_block_statement,
    STATE(1028), 1,
      sym__unchecked,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [5519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1830), 1,
      anon_sym_LPAREN,
    ACTIONS(1478), 19,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      sym_identifier,
    ACTIONS(1480), 25,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_EQ_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [5574] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1832), 1,
      anon_sym_COMMA,
    ACTIONS(1834), 1,
      anon_sym_RPAREN,
    STATE(482), 1,
      sym__call_arguments,
    STATE(783), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [5664] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1832), 1,
      anon_sym_COMMA,
    ACTIONS(1834), 1,
      anon_sym_RPAREN,
    STATE(482), 1,
      sym__call_arguments,
    STATE(783), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [5754] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1836), 1,
      anon_sym_COMMA,
    ACTIONS(1838), 1,
      anon_sym_RBRACK,
    STATE(482), 1,
      sym__call_arguments,
    STATE(791), 1,
      aux_sym_inline_array_expression_repeat1,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [5844] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1840), 1,
      anon_sym_COLON,
    ACTIONS(1842), 1,
      anon_sym_RBRACK,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [5931] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1844), 1,
      anon_sym_SEMI,
    STATE(98), 1,
      sym__semicolon,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [6018] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1846), 1,
      anon_sym_SEMI,
    STATE(124), 1,
      sym__semicolon,
    STATE(541), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [6105] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1848), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [6190] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1850), 1,
      anon_sym_SEMI,
    STATE(299), 1,
      sym__semicolon,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [6277] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 1,
      anon_sym_catch,
    ACTIONS(1801), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1799), 27,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_DOT,
      anon_sym_unchecked,
      anon_sym_returns,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [6330] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1852), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [6415] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1854), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [6500] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1856), 1,
      anon_sym_SEMI,
    STATE(245), 1,
      sym__semicolon,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [6587] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1858), 1,
      anon_sym_SEMI,
    STATE(91), 1,
      sym__semicolon,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [6674] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1860), 1,
      anon_sym_SEMI,
    STATE(112), 1,
      sym__semicolon,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [6761] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1846), 1,
      anon_sym_SEMI,
    STATE(124), 1,
      sym__semicolon,
    STATE(538), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [6848] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1858), 1,
      anon_sym_SEMI,
    STATE(91), 1,
      sym__semicolon,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [6935] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1844), 1,
      anon_sym_SEMI,
    STATE(98), 1,
      sym__semicolon,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [7022] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1862), 1,
      anon_sym_SEMI,
    STATE(197), 1,
      sym__semicolon,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [7109] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1864), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [7194] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1866), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [7279] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1860), 1,
      anon_sym_SEMI,
    STATE(112), 1,
      sym__semicolon,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [7366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1868), 1,
      anon_sym_SEMI,
    STATE(111), 1,
      sym__semicolon,
    ACTIONS(1733), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1731), 25,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [7420] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1870), 1,
      anon_sym_RPAREN,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [7504] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1872), 1,
      anon_sym_RBRACK,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [7588] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1874), 1,
      anon_sym_RPAREN,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [7672] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1876), 1,
      anon_sym_RBRACK,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [7756] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1878), 1,
      anon_sym_RPAREN,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [7840] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1880), 2,
      anon_sym_LBRACE,
      anon_sym_is,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [7922] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1882), 1,
      anon_sym_RBRACK,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [8006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_SEMI,
    STATE(104), 1,
      sym__semicolon,
    ACTIONS(1733), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1731), 25,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [8060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1868), 1,
      anon_sym_SEMI,
    STATE(111), 1,
      sym__semicolon,
    ACTIONS(1733), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1731), 25,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [8114] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1886), 1,
      anon_sym_RPAREN,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [8198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym_SEMI,
    STATE(104), 1,
      sym__semicolon,
    ACTIONS(1733), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1731), 25,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [8252] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1888), 1,
      anon_sym_RPAREN,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [8336] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1890), 1,
      anon_sym_RPAREN,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [8420] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1892), 1,
      anon_sym_COLON,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [8504] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1894), 1,
      anon_sym_RPAREN,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [8588] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1896), 1,
      anon_sym_RPAREN,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [8672] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    ACTIONS(1898), 1,
      anon_sym_RPAREN,
    STATE(482), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [8756] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    STATE(530), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [8837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_EQ,
    ACTIONS(1789), 14,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1787), 26,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [8888] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 1,
      anon_sym_EQ,
    ACTIONS(1753), 14,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1751), 26,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_SEMI,
  [8939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1564), 1,
      anon_sym_SEMI,
    ACTIONS(1789), 15,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_CARET,
      anon_sym_GT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1787), 25,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_AMP_AMP,
      anon_sym_STAR_STAR,
      anon_sym_BANG_EQ_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [8990] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    ACTIONS(1632), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1648), 1,
      anon_sym_AMP,
    ACTIONS(1650), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1652), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(1662), 1,
      anon_sym_LBRACE,
    ACTIONS(1666), 1,
      anon_sym_DOT,
    ACTIONS(1668), 1,
      anon_sym_QMARK,
    ACTIONS(1670), 1,
      anon_sym_LBRACK,
    STATE(539), 1,
      sym__call_arguments,
    ACTIONS(1626), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1634), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1640), 2,
      anon_sym_CARET,
      anon_sym_PIPE,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
    ACTIONS(1636), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 6,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1672), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
  [9071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    STATE(405), 1,
      aux_sym__identifier_path_repeat1,
    ACTIONS(1580), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_SEMI,
    ACTIONS(1578), 22,
      anon_sym_as,
      anon_sym_constant,
      anon_sym_layout,
      anon_sym_indexed,
      anon_sym_for,
      anon_sym_global,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      sym_virtual,
      sym_identifier,
  [9115] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1904), 1,
      anon_sym_DOT,
    STATE(553), 1,
      aux_sym__identifier_path_repeat1,
    ACTIONS(1906), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_SEMI,
    ACTIONS(1566), 22,
      anon_sym_as,
      anon_sym_constant,
      anon_sym_layout,
      anon_sym_indexed,
      anon_sym_for,
      anon_sym_global,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      sym_virtual,
      sym_identifier,
  [9159] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(1908), 1,
      anon_sym_LBRACE,
    ACTIONS(1910), 1,
      anon_sym_returns,
    ACTIONS(1912), 1,
      anon_sym_override,
    ACTIONS(1914), 1,
      sym_virtual,
    ACTIONS(1916), 1,
      anon_sym_SEMI,
    STATE(206), 1,
      sym__semicolon,
    STATE(233), 1,
      sym_function_body,
    STATE(570), 1,
      sym__identifier_path,
    STATE(577), 1,
      sym_visibility,
    STATE(578), 1,
      sym_state_mutability,
    STATE(659), 1,
      sym_return_type_definition,
    ACTIONS(1426), 3,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
    STATE(559), 3,
      sym_override_specifier,
      sym_modifier_invocation,
      aux_sym_function_definition_repeat1,
    ACTIONS(1424), 4,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
  [9215] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(1908), 1,
      anon_sym_LBRACE,
    ACTIONS(1910), 1,
      anon_sym_returns,
    ACTIONS(1912), 1,
      anon_sym_override,
    ACTIONS(1918), 1,
      sym_virtual,
    ACTIONS(1920), 1,
      anon_sym_SEMI,
    STATE(204), 1,
      sym_function_body,
    STATE(234), 1,
      sym__semicolon,
    STATE(570), 1,
      sym__identifier_path,
    STATE(577), 1,
      sym_visibility,
    STATE(578), 1,
      sym_state_mutability,
    STATE(667), 1,
      sym_return_type_definition,
    ACTIONS(1426), 3,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
    STATE(555), 3,
      sym_override_specifier,
      sym_modifier_invocation,
      aux_sym_function_definition_repeat1,
    ACTIONS(1424), 4,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
  [9271] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(1910), 1,
      anon_sym_returns,
    ACTIONS(1912), 1,
      anon_sym_override,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    ACTIONS(1924), 1,
      sym_virtual,
    ACTIONS(1926), 1,
      anon_sym_SEMI,
    STATE(254), 1,
      sym_function_body,
    STATE(255), 1,
      sym__semicolon,
    STATE(570), 1,
      sym__identifier_path,
    STATE(577), 1,
      sym_visibility,
    STATE(578), 1,
      sym_state_mutability,
    STATE(636), 1,
      sym_return_type_definition,
    ACTIONS(1426), 3,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
    STATE(558), 3,
      sym_override_specifier,
      sym_modifier_invocation,
      aux_sym_function_definition_repeat1,
    ACTIONS(1424), 4,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
  [9327] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(1910), 1,
      anon_sym_returns,
    ACTIONS(1912), 1,
      anon_sym_override,
    ACTIONS(1914), 1,
      sym_virtual,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    ACTIONS(1928), 1,
      anon_sym_SEMI,
    STATE(264), 1,
      sym_function_body,
    STATE(265), 1,
      sym__semicolon,
    STATE(570), 1,
      sym__identifier_path,
    STATE(577), 1,
      sym_visibility,
    STATE(578), 1,
      sym_state_mutability,
    STATE(643), 1,
      sym_return_type_definition,
    ACTIONS(1426), 3,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
    STATE(559), 3,
      sym_override_specifier,
      sym_modifier_invocation,
      aux_sym_function_definition_repeat1,
    ACTIONS(1424), 4,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
  [9383] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1930), 1,
      sym_identifier,
    ACTIONS(1935), 1,
      anon_sym_returns,
    ACTIONS(1943), 1,
      anon_sym_override,
    ACTIONS(1946), 1,
      sym_virtual,
    STATE(570), 1,
      sym__identifier_path,
    STATE(577), 1,
      sym_visibility,
    STATE(578), 1,
      sym_state_mutability,
    ACTIONS(1933), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(1940), 3,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
    STATE(559), 3,
      sym_override_specifier,
      sym_modifier_invocation,
      aux_sym_function_definition_repeat1,
    ACTIONS(1937), 4,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
  [9428] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(1910), 1,
      anon_sym_returns,
    ACTIONS(1912), 1,
      anon_sym_override,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    ACTIONS(1949), 1,
      anon_sym_external,
    ACTIONS(1951), 1,
      sym_virtual,
    ACTIONS(1953), 1,
      anon_sym_SEMI,
    STATE(236), 1,
      sym__semicolon,
    STATE(305), 1,
      sym_function_body,
    STATE(570), 1,
      sym__identifier_path,
    STATE(589), 1,
      sym_state_mutability,
    STATE(701), 1,
      sym_return_type_definition,
    ACTIONS(1426), 3,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
    STATE(569), 3,
      sym_override_specifier,
      sym_modifier_invocation,
      aux_sym_fallback_definition_repeat1,
  [9478] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(1910), 1,
      anon_sym_returns,
    ACTIONS(1912), 1,
      anon_sym_override,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    ACTIONS(1949), 1,
      anon_sym_external,
    ACTIONS(1955), 1,
      sym_virtual,
    ACTIONS(1957), 1,
      anon_sym_SEMI,
    STATE(251), 1,
      sym_function_body,
    STATE(252), 1,
      sym__semicolon,
    STATE(570), 1,
      sym__identifier_path,
    STATE(589), 1,
      sym_state_mutability,
    STATE(702), 1,
      sym_return_type_definition,
    ACTIONS(1426), 3,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
    STATE(560), 3,
      sym_override_specifier,
      sym_modifier_invocation,
      aux_sym_fallback_definition_repeat1,
  [9528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1963), 1,
      anon_sym_LPAREN,
    ACTIONS(1961), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(1959), 14,
      anon_sym_constant,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      sym_virtual,
      sym_identifier,
  [9555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(838), 1,
      sym_user_definable_operator,
    ACTIONS(1967), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
    ACTIONS(1965), 12,
      anon_sym_DASH,
      anon_sym_LT_EQ,
      anon_sym_CARET,
      anon_sym_GT_EQ,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1971), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(1969), 14,
      anon_sym_constant,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      sym_virtual,
      sym_identifier,
  [9605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1975), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(1973), 14,
      anon_sym_constant,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      sym_virtual,
      sym_identifier,
  [9629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(814), 1,
      sym_user_definable_operator,
    ACTIONS(1967), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
    ACTIONS(1965), 12,
      anon_sym_DASH,
      anon_sym_LT_EQ,
      anon_sym_CARET,
      anon_sym_GT_EQ,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(1977), 14,
      anon_sym_constant,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      sym_virtual,
      sym_identifier,
  [9679] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(940), 1,
      sym_user_definable_operator,
    ACTIONS(1967), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
    ACTIONS(1965), 12,
      anon_sym_DASH,
      anon_sym_LT_EQ,
      anon_sym_CARET,
      anon_sym_GT_EQ,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9705] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1981), 1,
      sym_identifier,
    ACTIONS(1986), 1,
      anon_sym_returns,
    ACTIONS(1988), 1,
      anon_sym_external,
    ACTIONS(1994), 1,
      anon_sym_override,
    ACTIONS(1997), 1,
      sym_virtual,
    STATE(570), 1,
      sym__identifier_path,
    STATE(589), 1,
      sym_state_mutability,
    ACTIONS(1984), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(1991), 3,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
    STATE(569), 3,
      sym_override_specifier,
      sym_modifier_invocation,
      aux_sym_fallback_definition_repeat1,
  [9744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym__call_arguments,
    ACTIONS(2002), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(2000), 11,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
      anon_sym_override,
      sym_virtual,
      sym_identifier,
  [9771] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(1912), 1,
      anon_sym_override,
    ACTIONS(2004), 1,
      sym_identifier,
    ACTIONS(2008), 1,
      anon_sym_transient,
    STATE(591), 1,
      sym_state_location,
    STATE(595), 1,
      sym_visibility,
    ACTIONS(2006), 2,
      anon_sym_constant,
      sym_immutable,
    STATE(573), 2,
      sym_override_specifier,
      aux_sym_state_variable_declaration_repeat1,
    ACTIONS(1424), 4,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
  [9807] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2010), 1,
      sym_identifier,
    ACTIONS(2018), 1,
      anon_sym_transient,
    ACTIONS(2021), 1,
      anon_sym_override,
    STATE(591), 1,
      sym_state_location,
    STATE(595), 1,
      sym_visibility,
    ACTIONS(2012), 2,
      anon_sym_constant,
      sym_immutable,
    STATE(572), 2,
      sym_override_specifier,
      aux_sym_state_variable_declaration_repeat1,
    ACTIONS(2015), 4,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
  [9840] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_override,
    ACTIONS(2008), 1,
      anon_sym_transient,
    ACTIONS(2024), 1,
      sym_identifier,
    STATE(591), 1,
      sym_state_location,
    STATE(595), 1,
      sym_visibility,
    ACTIONS(2026), 2,
      anon_sym_constant,
      sym_immutable,
    STATE(572), 2,
      sym_override_specifier,
      aux_sym_state_variable_declaration_repeat1,
    ACTIONS(1424), 4,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
  [9873] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(1912), 1,
      anon_sym_override,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    ACTIONS(2028), 1,
      anon_sym_external,
    ACTIONS(2032), 1,
      anon_sym_SEMI,
    STATE(237), 1,
      sym_function_body,
    STATE(238), 1,
      sym__semicolon,
    STATE(570), 1,
      sym__identifier_path,
    ACTIONS(2030), 2,
      anon_sym_payable,
      sym_virtual,
    STATE(575), 3,
      sym_override_specifier,
      sym_modifier_invocation,
      aux_sym_receive_definition_repeat1,
  [9910] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(1912), 1,
      anon_sym_override,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    ACTIONS(2028), 1,
      anon_sym_external,
    ACTIONS(2036), 1,
      anon_sym_SEMI,
    STATE(243), 1,
      sym_function_body,
    STATE(244), 1,
      sym__semicolon,
    STATE(570), 1,
      sym__identifier_path,
    ACTIONS(2034), 2,
      anon_sym_payable,
      sym_virtual,
    STATE(585), 3,
      sym_override_specifier,
      sym_modifier_invocation,
      aux_sym_receive_definition_repeat1,
  [9947] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_SQUOTE,
    ACTIONS(1586), 1,
      anon_sym_hex,
    ACTIONS(2038), 1,
      sym_yul_decimal_number,
    ACTIONS(2040), 1,
      sym_yul_hex_number,
    STATE(335), 1,
      sym_string,
    STATE(447), 1,
      aux_sym_hex_string_literal_repeat2,
    ACTIONS(2042), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(943), 4,
      sym__yul_literal,
      sym_yul_string_literal,
      sym_yul_boolean,
      sym_hex_string_literal,
  [9982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2046), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(2044), 11,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
      anon_sym_override,
      sym_virtual,
      sym_identifier,
  [10003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2050), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(2048), 11,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
      anon_sym_override,
      sym_virtual,
      sym_identifier,
  [10024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(2052), 11,
      anon_sym_returns,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
      anon_sym_override,
      sym_virtual,
      sym_identifier,
  [10045] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2056), 1,
      sym_solidity_version,
    ACTIONS(2062), 1,
      anon_sym_SEMI,
    STATE(581), 1,
      aux_sym_solidity_pragma_token_repeat1,
    STATE(584), 1,
      sym__pragma_version_constraint,
    STATE(1031), 1,
      sym_solidity_version_comparison_operator,
    ACTIONS(2060), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2058), 5,
      anon_sym_LT_EQ,
      anon_sym_CARET,
      anon_sym_GT_EQ,
      anon_sym_TILDE,
      anon_sym_EQ,
  [10075] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2064), 1,
      sym_solidity_version,
    ACTIONS(2073), 1,
      anon_sym_SEMI,
    STATE(581), 1,
      aux_sym_solidity_pragma_token_repeat1,
    STATE(584), 1,
      sym__pragma_version_constraint,
    STATE(1031), 1,
      sym_solidity_version_comparison_operator,
    ACTIONS(2070), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2067), 5,
      anon_sym_LT_EQ,
      anon_sym_CARET,
      anon_sym_GT_EQ,
      anon_sym_TILDE,
      anon_sym_EQ,
  [10105] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2056), 1,
      sym_solidity_version,
    ACTIONS(2075), 1,
      anon_sym_SEMI,
    STATE(580), 1,
      aux_sym_solidity_pragma_token_repeat1,
    STATE(584), 1,
      sym__pragma_version_constraint,
    STATE(1031), 1,
      sym_solidity_version_comparison_operator,
    ACTIONS(2060), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2058), 5,
      anon_sym_LT_EQ,
      anon_sym_CARET,
      anon_sym_GT_EQ,
      anon_sym_TILDE,
      anon_sym_EQ,
  [10135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2077), 9,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH,
      sym_solidity_version,
      anon_sym_LT_EQ,
      anon_sym_CARET,
      anon_sym_GT_EQ,
      anon_sym_TILDE,
      anon_sym_EQ,
      anon_sym_SEMI,
  [10154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2081), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH,
    ACTIONS(2085), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2083), 7,
      sym_solidity_version,
      anon_sym_LT_EQ,
      anon_sym_CARET,
      anon_sym_GT_EQ,
      anon_sym_TILDE,
      anon_sym_EQ,
      anon_sym_SEMI,
  [10175] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      sym_identifier,
    ACTIONS(2092), 1,
      anon_sym_external,
    ACTIONS(2098), 1,
      anon_sym_override,
    STATE(570), 1,
      sym__identifier_path,
    ACTIONS(2090), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(2095), 2,
      anon_sym_payable,
      sym_virtual,
    STATE(585), 3,
      sym_override_specifier,
      sym_modifier_invocation,
      aux_sym_receive_definition_repeat1,
  [10204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(2101), 8,
      anon_sym_returns,
      anon_sym_external,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
      anon_sym_override,
      sym_virtual,
      sym_identifier,
  [10222] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    ACTIONS(2105), 1,
      anon_sym_LPAREN,
    ACTIONS(2107), 1,
      anon_sym_override,
    ACTIONS(2109), 1,
      sym_virtual,
    ACTIONS(2111), 1,
      anon_sym_SEMI,
    STATE(248), 1,
      sym_function_body,
    STATE(249), 1,
      sym__semicolon,
    STATE(598), 1,
      sym__parameter_list,
    STATE(599), 2,
      sym_override_specifier,
      aux_sym_modifier_definition_repeat1,
  [10254] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_SQUOTE,
    ACTIONS(2113), 1,
      sym_identifier,
    ACTIONS(2115), 1,
      anon_sym_STAR,
    ACTIONS(2117), 1,
      anon_sym_LBRACE,
    STATE(817), 1,
      sym_string,
    STATE(880), 1,
      sym__source_import,
    STATE(890), 1,
      sym__import_clause,
    STATE(986), 1,
      sym__single_import,
    STATE(1010), 1,
      sym__multiple_import,
  [10288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2121), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(2119), 8,
      anon_sym_returns,
      anon_sym_external,
      anon_sym_pure,
      anon_sym_view,
      anon_sym_payable,
      anon_sym_override,
      sym_virtual,
      sym_identifier,
  [10306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2123), 9,
      anon_sym_constant,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      sym_identifier,
  [10321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2125), 9,
      anon_sym_constant,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      sym_identifier,
  [10336] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    STATE(302), 1,
      sym_function_body,
    STATE(570), 1,
      sym__identifier_path,
    STATE(596), 2,
      sym_modifier_invocation,
      aux_sym_constructor_definition_repeat1,
    ACTIONS(2127), 3,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_payable,
  [10361] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    STATE(250), 1,
      sym_function_body,
    STATE(570), 1,
      sym__identifier_path,
    STATE(592), 2,
      sym_modifier_invocation,
      aux_sym_constructor_definition_repeat1,
    ACTIONS(2129), 3,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_payable,
  [10386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2133), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2131), 7,
      sym_solidity_version,
      anon_sym_LT_EQ,
      anon_sym_CARET,
      anon_sym_GT_EQ,
      anon_sym_TILDE,
      anon_sym_EQ,
      anon_sym_SEMI,
  [10403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 9,
      anon_sym_constant,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_private,
      anon_sym_external,
      anon_sym_transient,
      sym_immutable,
      anon_sym_override,
      sym_identifier,
  [10418] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2137), 1,
      sym_identifier,
    ACTIONS(2140), 1,
      anon_sym_LBRACE,
    STATE(570), 1,
      sym__identifier_path,
    STATE(596), 2,
      sym_modifier_invocation,
      aux_sym_constructor_definition_repeat1,
    ACTIONS(2142), 3,
      anon_sym_public,
      anon_sym_internal,
      anon_sym_payable,
  [10440] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2145), 1,
      sym_identifier,
    STATE(725), 1,
      sym__storage_location,
    ACTIONS(2147), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2149), 3,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
  [10462] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_override,
    ACTIONS(2151), 1,
      sym_virtual,
    ACTIONS(2153), 1,
      anon_sym_SEMI,
    STATE(300), 1,
      sym_function_body,
    STATE(301), 1,
      sym__semicolon,
    STATE(600), 2,
      sym_override_specifier,
      aux_sym_modifier_definition_repeat1,
  [10488] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_override,
    ACTIONS(2153), 1,
      anon_sym_SEMI,
    ACTIONS(2155), 1,
      sym_virtual,
    STATE(300), 1,
      sym_function_body,
    STATE(301), 1,
      sym__semicolon,
    STATE(605), 2,
      sym_override_specifier,
      aux_sym_modifier_definition_repeat1,
  [10514] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    ACTIONS(2107), 1,
      anon_sym_override,
    ACTIONS(2155), 1,
      sym_virtual,
    ACTIONS(2157), 1,
      anon_sym_SEMI,
    STATE(239), 1,
      sym_function_body,
    STATE(240), 1,
      sym__semicolon,
    STATE(605), 2,
      sym_override_specifier,
      aux_sym_modifier_definition_repeat1,
  [10540] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    STATE(901), 1,
      sym__storage_location,
    ACTIONS(2159), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2161), 3,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
  [10559] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_unchecked,
    ACTIONS(2105), 1,
      anon_sym_LPAREN,
    ACTIONS(2163), 1,
      sym_identifier,
    STATE(95), 1,
      sym_block_statement,
    STATE(653), 1,
      sym__parameter_list,
    STATE(1028), 1,
      sym__unchecked,
  [10584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2167), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(2165), 5,
      anon_sym_external,
      anon_sym_payable,
      anon_sym_override,
      sym_virtual,
      sym_identifier,
  [10599] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(2169), 1,
      anon_sym_LBRACE,
    ACTIONS(2171), 1,
      anon_sym_layout,
    STATE(415), 1,
      sym__identifier_path,
    STATE(619), 1,
      sym_user_defined_type,
    STATE(761), 1,
      sym_inheritance_specifier,
  [10621] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2175), 1,
      anon_sym_override,
    ACTIONS(2178), 1,
      sym_virtual,
    ACTIONS(2173), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    STATE(605), 2,
      sym_override_specifier,
      aux_sym_modifier_definition_repeat1,
  [10639] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(2181), 1,
      anon_sym_LBRACE,
    ACTIONS(2183), 1,
      anon_sym_layout,
    STATE(415), 1,
      sym__identifier_path,
    STATE(619), 1,
      sym_user_defined_type,
    STATE(761), 1,
      sym_inheritance_specifier,
  [10661] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 1,
      anon_sym_LBRACE,
    ACTIONS(2187), 1,
      anon_sym_is,
    ACTIONS(2189), 1,
      anon_sym_layout,
    STATE(227), 1,
      sym_contract_body,
    STATE(697), 1,
      sym_layout_specifier,
    STATE(708), 1,
      sym__class_heritage,
  [10683] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 1,
      anon_sym_LBRACE,
    ACTIONS(2187), 1,
      anon_sym_is,
    ACTIONS(2189), 1,
      anon_sym_layout,
    STATE(176), 1,
      sym_contract_body,
    STATE(629), 1,
      sym_layout_specifier,
    STATE(632), 1,
      sym__class_heritage,
  [10705] = 5,
    ACTIONS(2191), 1,
      anon_sym_SQUOTE,
    ACTIONS(2193), 1,
      sym__escape_sequence,
    ACTIONS(2195), 1,
      aux_sym__single_quoted_unicode_char_token1,
    ACTIONS(2197), 1,
      sym_comment,
    STATE(616), 2,
      sym__string_immediate_elt_inside_quote,
      aux_sym_string_repeat2,
  [10722] = 5,
    ACTIONS(2191), 1,
      anon_sym_DQUOTE,
    ACTIONS(2197), 1,
      sym_comment,
    ACTIONS(2199), 1,
      sym__escape_sequence,
    ACTIONS(2201), 1,
      aux_sym__double_quoted_unicode_char_token1,
    STATE(615), 2,
      sym__string_immediate_elt_inside_double_quote,
      aux_sym_string_repeat1,
  [10739] = 5,
    ACTIONS(2197), 1,
      sym_comment,
    ACTIONS(2203), 1,
      anon_sym_DQUOTE,
    ACTIONS(2205), 1,
      sym__escape_sequence,
    ACTIONS(2208), 1,
      aux_sym__double_quoted_unicode_char_token1,
    STATE(611), 2,
      sym__string_immediate_elt_inside_double_quote,
      aux_sym_string_repeat1,
  [10756] = 5,
    ACTIONS(2197), 1,
      sym_comment,
    ACTIONS(2211), 1,
      anon_sym_SQUOTE,
    ACTIONS(2213), 1,
      sym__escape_sequence,
    ACTIONS(2216), 1,
      aux_sym__single_quoted_unicode_char_token1,
    STATE(612), 2,
      sym__string_immediate_elt_inside_quote,
      aux_sym_string_repeat2,
  [10773] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      sym_identifier,
    ACTIONS(2221), 1,
      anon_sym_solidity,
    STATE(582), 1,
      sym__solidity,
    STATE(967), 2,
      sym_solidity_pragma_token,
      sym_any_pragma_token,
  [10790] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2223), 1,
      sym_identifier,
    ACTIONS(2227), 1,
      anon_sym_indexed,
    ACTIONS(2225), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [10807] = 5,
    ACTIONS(2197), 1,
      sym_comment,
    ACTIONS(2229), 1,
      anon_sym_DQUOTE,
    ACTIONS(2231), 1,
      sym__escape_sequence,
    ACTIONS(2233), 1,
      aux_sym__double_quoted_unicode_char_token1,
    STATE(611), 2,
      sym__string_immediate_elt_inside_double_quote,
      aux_sym_string_repeat1,
  [10824] = 5,
    ACTIONS(2197), 1,
      sym_comment,
    ACTIONS(2229), 1,
      anon_sym_SQUOTE,
    ACTIONS(2235), 1,
      sym__escape_sequence,
    ACTIONS(2237), 1,
      aux_sym__single_quoted_unicode_char_token1,
    STATE(612), 2,
      sym__string_immediate_elt_inside_quote,
      aux_sym_string_repeat2,
  [10841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      sym__hex_digit,
    ACTIONS(2244), 1,
      anon_sym__,
    STATE(617), 1,
      aux_sym_hex_string_literal_repeat1,
    ACTIONS(2242), 2,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [10858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2247), 1,
      sym_identifier,
    ACTIONS(2249), 3,
      anon_sym_memory,
      anon_sym_storage,
      anon_sym_calldata,
  [10873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    STATE(769), 1,
      sym__call_arguments,
    ACTIONS(2251), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_layout,
  [10888] = 5,
    ACTIONS(2197), 1,
      sym_comment,
    ACTIONS(2253), 1,
      anon_sym_DQUOTE,
    ACTIONS(2255), 1,
      sym__escape_sequence,
    ACTIONS(2257), 1,
      aux_sym__double_quoted_unicode_char_token1,
    STATE(622), 2,
      sym__string_immediate_elt_inside_double_quote,
      aux_sym_string_repeat1,
  [10905] = 5,
    ACTIONS(2197), 1,
      sym_comment,
    ACTIONS(2253), 1,
      anon_sym_SQUOTE,
    ACTIONS(2259), 1,
      sym__escape_sequence,
    ACTIONS(2261), 1,
      aux_sym__single_quoted_unicode_char_token1,
    STATE(623), 2,
      sym__string_immediate_elt_inside_quote,
      aux_sym_string_repeat2,
  [10922] = 5,
    ACTIONS(2197), 1,
      sym_comment,
    ACTIONS(2231), 1,
      sym__escape_sequence,
    ACTIONS(2233), 1,
      aux_sym__double_quoted_unicode_char_token1,
    ACTIONS(2263), 1,
      anon_sym_DQUOTE,
    STATE(611), 2,
      sym__string_immediate_elt_inside_double_quote,
      aux_sym_string_repeat1,
  [10939] = 5,
    ACTIONS(2197), 1,
      sym_comment,
    ACTIONS(2235), 1,
      sym__escape_sequence,
    ACTIONS(2237), 1,
      aux_sym__single_quoted_unicode_char_token1,
    ACTIONS(2263), 1,
      anon_sym_SQUOTE,
    STATE(612), 2,
      sym__string_immediate_elt_inside_quote,
      aux_sym_string_repeat2,
  [10956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2265), 1,
      anon_sym_global,
    ACTIONS(2267), 1,
      anon_sym_SEMI,
    STATE(191), 1,
      sym__semicolon,
  [10972] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    ACTIONS(2269), 1,
      anon_sym_COMMA,
    STATE(392), 1,
      sym_yul_block,
    STATE(628), 1,
      aux_sym_yul_variable_declaration_repeat1,
  [10988] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2271), 1,
      anon_sym_global,
    ACTIONS(2273), 1,
      anon_sym_SEMI,
    STATE(201), 1,
      sym__semicolon,
  [11004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    ACTIONS(2275), 1,
      sym_identifier,
    STATE(344), 1,
      sym_yul_identifier,
    STATE(393), 1,
      sym_yul_block,
  [11020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    ACTIONS(2277), 1,
      anon_sym_COMMA,
    STATE(340), 1,
      aux_sym_yul_variable_declaration_repeat1,
    STATE(393), 1,
      sym_yul_block,
  [11036] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 1,
      anon_sym_LBRACE,
    ACTIONS(2187), 1,
      anon_sym_is,
    STATE(173), 1,
      sym_contract_body,
    STATE(908), 1,
      sym__class_heritage,
  [11052] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    ACTIONS(2275), 1,
      sym_identifier,
    STATE(344), 1,
      sym_yul_identifier,
    STATE(394), 1,
      sym_yul_block,
  [11068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      sym_identifier,
    ACTIONS(2281), 1,
      anon_sym_RBRACE,
    STATE(415), 1,
      sym__identifier_path,
    STATE(797), 1,
      sym_user_defined_type,
  [11084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 1,
      anon_sym_LBRACE,
    ACTIONS(2189), 1,
      anon_sym_layout,
    STATE(173), 1,
      sym_contract_body,
    STATE(908), 1,
      sym_layout_specifier,
  [11100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 1,
      anon_sym_LBRACE,
    ACTIONS(2187), 1,
      anon_sym_is,
    STATE(209), 1,
      sym_contract_body,
    STATE(894), 1,
      sym__class_heritage,
  [11116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2283), 1,
      anon_sym_global,
    ACTIONS(2285), 1,
      anon_sym_SEMI,
    STATE(214), 1,
      sym__semicolon,
  [11132] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2287), 1,
      anon_sym_global,
    ACTIONS(2289), 1,
      anon_sym_SEMI,
    STATE(260), 1,
      sym__semicolon,
  [11148] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    ACTIONS(2291), 1,
      anon_sym_SEMI,
    STATE(262), 1,
      sym_function_body,
    STATE(263), 1,
      sym__semicolon,
  [11164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2295), 1,
      anon_sym_as,
    STATE(882), 1,
      sym__import_alias,
    ACTIONS(2293), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [11178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      anon_sym_RBRACE,
    STATE(415), 1,
      sym__identifier_path,
    STATE(797), 1,
      sym_user_defined_type,
  [11194] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2299), 1,
      anon_sym_LBRACE,
    ACTIONS(2301), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_DQUOTEevmasm_DQUOTE,
    STATE(1004), 1,
      sym__assembly_flags,
  [11210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    ACTIONS(2275), 1,
      sym_identifier,
    STATE(344), 1,
      sym_yul_identifier,
    STATE(390), 1,
      sym_yul_block,
  [11226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_SQUOTE,
    ACTIONS(2305), 1,
      anon_sym_RPAREN,
    STATE(902), 1,
      sym_string,
  [11242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      sym_identifier,
    STATE(415), 1,
      sym__identifier_path,
    STATE(619), 1,
      sym_user_defined_type,
    STATE(761), 1,
      sym_inheritance_specifier,
  [11258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    ACTIONS(2307), 1,
      anon_sym_SEMI,
    STATE(270), 1,
      sym_function_body,
    STATE(271), 1,
      sym__semicolon,
  [11274] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    ACTIONS(2309), 1,
      anon_sym_COMMA,
    STATE(340), 1,
      aux_sym_yul_variable_declaration_repeat1,
    STATE(390), 1,
      sym_yul_block,
  [11290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2311), 1,
      anon_sym_global,
    ACTIONS(2313), 1,
      anon_sym_SEMI,
    STATE(274), 1,
      sym__semicolon,
  [11306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2242), 4,
      sym__hex_digit,
      anon_sym_DQUOTE,
      anon_sym__,
      anon_sym_SQUOTE,
  [11316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2315), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [11326] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    ACTIONS(2309), 1,
      anon_sym_COMMA,
    STATE(390), 1,
      sym_yul_block,
    STATE(677), 1,
      aux_sym_yul_variable_declaration_repeat1,
  [11342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_SQUOTE,
    ACTIONS(2317), 1,
      anon_sym_RPAREN,
    STATE(902), 1,
      sym_string,
  [11358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2319), 1,
      anon_sym_COMMA,
    ACTIONS(2321), 1,
      anon_sym_RBRACE,
    ACTIONS(2323), 1,
      anon_sym_as,
    STATE(734), 1,
      aux_sym_using_directive_repeat1,
  [11374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2325), 1,
      anon_sym_global,
    ACTIONS(2327), 1,
      anon_sym_SEMI,
    STATE(276), 1,
      sym__semicolon,
  [11390] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2329), 1,
      anon_sym_global,
    ACTIONS(2331), 1,
      anon_sym_SEMI,
    STATE(279), 1,
      sym__semicolon,
  [11406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    ACTIONS(1826), 1,
      anon_sym_unchecked,
    STATE(100), 1,
      sym_block_statement,
    STATE(1028), 1,
      sym__unchecked,
  [11422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      sym_identifier,
    ACTIONS(2333), 1,
      anon_sym_RPAREN,
    STATE(415), 1,
      sym__identifier_path,
    STATE(976), 1,
      sym_user_defined_type,
  [11438] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    ACTIONS(1826), 1,
      anon_sym_unchecked,
    STATE(737), 1,
      sym_block_statement,
    STATE(1028), 1,
      sym__unchecked,
  [11454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2337), 1,
      anon_sym_COMMA,
    STATE(656), 1,
      aux_sym__class_heritage_repeat1,
    ACTIONS(2335), 2,
      anon_sym_LBRACE,
      anon_sym_layout,
  [11468] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2340), 1,
      anon_sym_global,
    ACTIONS(2342), 1,
      anon_sym_SEMI,
    STATE(282), 1,
      sym__semicolon,
  [11484] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2344), 1,
      anon_sym_global,
    ACTIONS(2346), 1,
      anon_sym_SEMI,
    STATE(283), 1,
      sym__semicolon,
  [11500] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_LBRACE,
    ACTIONS(2348), 1,
      anon_sym_SEMI,
    STATE(194), 1,
      sym_function_body,
    STATE(195), 1,
      sym__semicolon,
  [11516] = 4,
    ACTIONS(2197), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_DQUOTE,
    ACTIONS(2352), 1,
      aux_sym__double_quoted_unicode_char_token1,
    STATE(680), 2,
      sym__double_quoted_unicode_char,
      aux_sym_unicode_string_literal_repeat1,
  [11530] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      sym_identifier,
    ACTIONS(2356), 1,
      anon_sym_COMMA,
    ACTIONS(2358), 1,
      anon_sym_RPAREN,
    STATE(831), 1,
      aux_sym_variable_declaration_tuple_repeat2,
  [11546] = 4,
    ACTIONS(2197), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_SQUOTE,
    ACTIONS(2360), 1,
      aux_sym__single_quoted_unicode_char_token1,
    STATE(681), 2,
      sym__single_quoted_unicode_char,
      aux_sym_unicode_string_literal_repeat2,
  [11560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2362), 1,
      anon_sym_global,
    ACTIONS(2364), 1,
      anon_sym_SEMI,
    STATE(286), 1,
      sym__semicolon,
  [11576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2366), 1,
      anon_sym_global,
    ACTIONS(2368), 1,
      anon_sym_SEMI,
    STATE(289), 1,
      sym__semicolon,
  [11592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2370), 1,
      anon_sym_global,
    ACTIONS(2372), 1,
      anon_sym_SEMI,
    STATE(218), 1,
      sym__semicolon,
  [11608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      sym_identifier,
    ACTIONS(2374), 1,
      anon_sym_RPAREN,
    STATE(415), 1,
      sym__identifier_path,
    STATE(976), 1,
      sym_user_defined_type,
  [11624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_LBRACE,
    ACTIONS(2376), 1,
      anon_sym_SEMI,
    STATE(231), 1,
      sym_function_body,
    STATE(232), 1,
      sym__semicolon,
  [11640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    ACTIONS(2378), 1,
      anon_sym_COMMA,
    STATE(388), 1,
      sym_yul_block,
    STATE(644), 1,
      aux_sym_yul_variable_declaration_repeat1,
  [11656] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2380), 1,
      anon_sym_global,
    ACTIONS(2382), 1,
      anon_sym_SEMI,
    STATE(294), 1,
      sym__semicolon,
  [11672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2384), 1,
      anon_sym_global,
    ACTIONS(2386), 1,
      anon_sym_SEMI,
    STATE(221), 1,
      sym__semicolon,
  [11688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_COMMA,
    STATE(672), 1,
      aux_sym__class_heritage_repeat1,
    ACTIONS(2388), 2,
      anon_sym_LBRACE,
      anon_sym_layout,
  [11702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2392), 1,
      anon_sym_COMMA,
    STATE(656), 1,
      aux_sym__class_heritage_repeat1,
    ACTIONS(2181), 2,
      anon_sym_LBRACE,
      anon_sym_layout,
  [11716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2394), 1,
      anon_sym_global,
    ACTIONS(2396), 1,
      anon_sym_SEMI,
    STATE(215), 1,
      sym__semicolon,
  [11732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2398), 1,
      sym__hex_digit,
    ACTIONS(2400), 1,
      anon_sym_DQUOTE,
    ACTIONS(2402), 1,
      anon_sym__,
    STATE(683), 1,
      aux_sym_hex_string_literal_repeat1,
  [11748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    ACTIONS(2275), 1,
      sym_identifier,
    STATE(344), 1,
      sym_yul_identifier,
    STATE(391), 1,
      sym_yul_block,
  [11764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    ACTIONS(2404), 1,
      anon_sym_COMMA,
    STATE(391), 1,
      sym_yul_block,
    STATE(693), 1,
      aux_sym_yul_variable_declaration_repeat1,
  [11780] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    ACTIONS(2404), 1,
      anon_sym_COMMA,
    STATE(340), 1,
      aux_sym_yul_variable_declaration_repeat1,
    STATE(391), 1,
      sym_yul_block,
  [11796] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    ACTIONS(2275), 1,
      sym_identifier,
    STATE(344), 1,
      sym_yul_identifier,
    STATE(392), 1,
      sym_yul_block,
  [11812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2400), 1,
      anon_sym_SQUOTE,
    ACTIONS(2402), 1,
      anon_sym__,
    ACTIONS(2406), 1,
      sym__hex_digit,
    STATE(686), 1,
      aux_sym_hex_string_literal_repeat1,
  [11828] = 4,
    ACTIONS(2197), 1,
      sym_comment,
    ACTIONS(2408), 1,
      anon_sym_DQUOTE,
    ACTIONS(2410), 1,
      aux_sym__double_quoted_unicode_char_token1,
    STATE(695), 2,
      sym__double_quoted_unicode_char,
      aux_sym_unicode_string_literal_repeat1,
  [11842] = 4,
    ACTIONS(2197), 1,
      sym_comment,
    ACTIONS(2408), 1,
      anon_sym_SQUOTE,
    ACTIONS(2412), 1,
      aux_sym__single_quoted_unicode_char_token1,
    STATE(696), 2,
      sym__single_quoted_unicode_char,
      aux_sym_unicode_string_literal_repeat2,
  [11856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2414), 1,
      sym_identifier,
    ACTIONS(2416), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [11870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 1,
      anon_sym__,
    ACTIONS(2418), 1,
      sym__hex_digit,
    ACTIONS(2420), 1,
      anon_sym_DQUOTE,
    STATE(617), 1,
      aux_sym_hex_string_literal_repeat1,
  [11886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 1,
      anon_sym__,
    ACTIONS(2422), 1,
      sym__hex_digit,
    ACTIONS(2424), 1,
      anon_sym_DQUOTE,
    STATE(690), 1,
      aux_sym_hex_string_literal_repeat1,
  [11902] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 1,
      anon_sym__,
    ACTIONS(2424), 1,
      anon_sym_SQUOTE,
    ACTIONS(2426), 1,
      sym__hex_digit,
    STATE(691), 1,
      aux_sym_hex_string_literal_repeat1,
  [11918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 1,
      anon_sym__,
    ACTIONS(2418), 1,
      sym__hex_digit,
    ACTIONS(2420), 1,
      anon_sym_SQUOTE,
    STATE(617), 1,
      aux_sym_hex_string_literal_repeat1,
  [11934] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2428), 1,
      anon_sym_global,
    ACTIONS(2430), 1,
      anon_sym_SEMI,
    STATE(177), 1,
      sym__semicolon,
  [11950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      sym_identifier,
    ACTIONS(2432), 1,
      anon_sym_RBRACE,
    STATE(415), 1,
      sym__identifier_path,
    STATE(797), 1,
      sym_user_defined_type,
  [11966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2434), 1,
      anon_sym_global,
    ACTIONS(2436), 1,
      anon_sym_SEMI,
    STATE(180), 1,
      sym__semicolon,
  [11982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 1,
      anon_sym__,
    ACTIONS(2418), 1,
      sym__hex_digit,
    ACTIONS(2438), 1,
      anon_sym_DQUOTE,
    STATE(617), 1,
      aux_sym_hex_string_literal_repeat1,
  [11998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 1,
      anon_sym__,
    ACTIONS(2418), 1,
      sym__hex_digit,
    ACTIONS(2438), 1,
      anon_sym_SQUOTE,
    STATE(617), 1,
      aux_sym_hex_string_literal_repeat1,
  [12014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    ACTIONS(1826), 1,
      anon_sym_unchecked,
    STATE(101), 1,
      sym_block_statement,
    STATE(1028), 1,
      sym__unchecked,
  [12030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    ACTIONS(2269), 1,
      anon_sym_COMMA,
    STATE(340), 1,
      aux_sym_yul_variable_declaration_repeat1,
    STATE(392), 1,
      sym_yul_block,
  [12046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [12056] = 4,
    ACTIONS(2197), 1,
      sym_comment,
    ACTIONS(2442), 1,
      anon_sym_DQUOTE,
    ACTIONS(2444), 1,
      aux_sym__double_quoted_unicode_char_token1,
    STATE(695), 2,
      sym__double_quoted_unicode_char,
      aux_sym_unicode_string_literal_repeat1,
  [12070] = 4,
    ACTIONS(2197), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_SQUOTE,
    ACTIONS(2449), 1,
      aux_sym__single_quoted_unicode_char_token1,
    STATE(696), 2,
      sym__single_quoted_unicode_char,
      aux_sym_unicode_string_literal_repeat2,
  [12084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 1,
      anon_sym_LBRACE,
    ACTIONS(2187), 1,
      anon_sym_is,
    STATE(225), 1,
      sym_contract_body,
    STATE(875), 1,
      sym__class_heritage,
  [12100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2452), 4,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [12110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2454), 1,
      anon_sym_global,
    ACTIONS(2456), 1,
      anon_sym_SEMI,
    STATE(202), 1,
      sym__semicolon,
  [12126] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      sym_identifier,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    STATE(415), 1,
      sym__identifier_path,
    STATE(994), 1,
      sym_user_defined_type,
  [12142] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    ACTIONS(2460), 1,
      anon_sym_SEMI,
    STATE(241), 1,
      sym_function_body,
    STATE(242), 1,
      sym__semicolon,
  [12158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    ACTIONS(2462), 1,
      anon_sym_SEMI,
    STATE(303), 1,
      sym_function_body,
    STATE(304), 1,
      sym__semicolon,
  [12174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      sym_identifier,
    ACTIONS(2464), 1,
      anon_sym_LBRACE,
    STATE(415), 1,
      sym__identifier_path,
    STATE(1042), 1,
      sym_user_defined_type,
  [12190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2466), 1,
      anon_sym_COMMA,
    ACTIONS(2468), 1,
      anon_sym_RBRACE,
    ACTIONS(2470), 1,
      anon_sym_as,
    STATE(837), 1,
      aux_sym_using_directive_repeat1,
  [12206] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      sym_identifier,
    ACTIONS(2472), 1,
      anon_sym_RBRACE,
    STATE(415), 1,
      sym__identifier_path,
    STATE(797), 1,
      sym_user_defined_type,
  [12222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      sym_identifier,
    ACTIONS(2474), 1,
      anon_sym_RBRACE,
    STATE(415), 1,
      sym__identifier_path,
    STATE(797), 1,
      sym_user_defined_type,
  [12238] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      sym_identifier,
    ACTIONS(2476), 1,
      anon_sym_RBRACE,
    STATE(415), 1,
      sym__identifier_path,
    STATE(797), 1,
      sym_user_defined_type,
  [12254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 1,
      anon_sym_LBRACE,
    ACTIONS(2189), 1,
      anon_sym_layout,
    STATE(225), 1,
      sym_contract_body,
    STATE(875), 1,
      sym_layout_specifier,
  [12270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      sym_identifier,
    ACTIONS(2478), 1,
      anon_sym_RBRACE,
    STATE(415), 1,
      sym__identifier_path,
    STATE(797), 1,
      sym_user_defined_type,
  [12286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      sym_identifier,
    ACTIONS(2480), 1,
      anon_sym_RBRACE,
    STATE(415), 1,
      sym__identifier_path,
    STATE(797), 1,
      sym_user_defined_type,
  [12302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      sym_identifier,
    STATE(415), 1,
      sym__identifier_path,
    STATE(619), 1,
      sym_user_defined_type,
    STATE(671), 1,
      sym_inheritance_specifier,
  [12318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2482), 1,
      anon_sym_COMMA,
    ACTIONS(2484), 1,
      anon_sym_RBRACE,
    STATE(845), 1,
      aux_sym_struct_expression_repeat1,
  [12331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2275), 1,
      sym_identifier,
    ACTIONS(2486), 1,
      anon_sym_RPAREN,
    STATE(777), 1,
      sym_yul_identifier,
  [12344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2105), 1,
      anon_sym_LPAREN,
    ACTIONS(2488), 1,
      sym_identifier,
    STATE(408), 1,
      sym__parameter_list,
  [12357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2490), 1,
      anon_sym_COMMA,
    ACTIONS(2492), 1,
      anon_sym_RPAREN,
    STATE(778), 1,
      aux_sym_yul_function_call_repeat1,
  [12370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(294), 1,
      anon_sym_RPAREN,
    ACTIONS(1832), 1,
      anon_sym_COMMA,
    STATE(846), 1,
      aux_sym_tuple_expression_repeat1,
  [12383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 1,
      anon_sym_global,
    ACTIONS(2456), 1,
      anon_sym_SEMI,
    STATE(202), 1,
      sym__semicolon,
  [12396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2358), 1,
      anon_sym_RPAREN,
    ACTIONS(2494), 1,
      anon_sym_COMMA,
    STATE(735), 1,
      aux_sym_variable_declaration_tuple_repeat1,
  [12409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2358), 1,
      anon_sym_RPAREN,
    ACTIONS(2494), 1,
      anon_sym_COMMA,
    STATE(741), 1,
      aux_sym_variable_declaration_tuple_repeat1,
  [12422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2317), 1,
      anon_sym_RPAREN,
    ACTIONS(2496), 1,
      anon_sym_COMMA,
    STATE(728), 1,
      aux_sym__assembly_flags_repeat1,
  [12435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2498), 1,
      anon_sym_COMMA,
    ACTIONS(2500), 1,
      anon_sym_RPAREN,
    STATE(835), 1,
      aux_sym__event_parameter_list_repeat1,
  [12448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2502), 1,
      anon_sym_catch,
    STATE(89), 2,
      sym_catch_clause,
      aux_sym_try_statement_repeat1,
  [12459] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2504), 1,
      anon_sym_global,
    ACTIONS(2506), 1,
      anon_sym_SEMI,
    STATE(213), 1,
      sym__semicolon,
  [12472] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2508), 1,
      sym_identifier,
    ACTIONS(2510), 1,
      anon_sym_RBRACE,
    STATE(900), 1,
      sym__import_declaration,
  [12485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2512), 1,
      sym_identifier,
    ACTIONS(2514), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [12496] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2516), 1,
      anon_sym_COMMA,
    ACTIONS(2519), 1,
      anon_sym_RPAREN,
    STATE(726), 1,
      aux_sym__parameter_list_repeat1,
  [12509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2287), 1,
      anon_sym_global,
    ACTIONS(2289), 1,
      anon_sym_SEMI,
    STATE(260), 1,
      sym__semicolon,
  [12522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_COMMA,
    ACTIONS(2524), 1,
      anon_sym_RPAREN,
    STATE(728), 1,
      aux_sym__assembly_flags_repeat1,
  [12535] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_COMMA,
    ACTIONS(2529), 1,
      anon_sym_RBRACE,
    STATE(729), 1,
      aux_sym__multiple_import_repeat1,
  [12548] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 1,
      anon_sym_COMMA,
    ACTIONS(2533), 1,
      anon_sym_RBRACE,
    STATE(758), 1,
      aux_sym_call_argument_repeat1,
  [12561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2535), 1,
      sym_identifier,
    ACTIONS(2537), 1,
      anon_sym_COMMA,
    ACTIONS(2539), 1,
      anon_sym_RPAREN,
  [12574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_COMMA,
    ACTIONS(2543), 1,
      anon_sym_RBRACE,
    STATE(820), 1,
      aux_sym__multiple_import_repeat1,
  [12587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2535), 1,
      sym_identifier,
    ACTIONS(2537), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [12598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      anon_sym_COMMA,
    ACTIONS(2547), 1,
      anon_sym_RBRACE,
    STATE(818), 1,
      aux_sym_using_directive_repeat1,
  [12611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_RPAREN,
    ACTIONS(2549), 1,
      anon_sym_COMMA,
    STATE(741), 1,
      aux_sym_variable_declaration_tuple_repeat1,
  [12624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2551), 1,
      anon_sym_EQ,
    ACTIONS(2553), 1,
      anon_sym_SEMI,
    STATE(94), 1,
      sym__semicolon,
  [12637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2502), 1,
      anon_sym_catch,
    STATE(90), 2,
      sym_catch_clause,
      aux_sym_try_statement_repeat1,
  [12648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2555), 1,
      anon_sym_COMMA,
    ACTIONS(2557), 1,
      anon_sym_RBRACE,
    STATE(818), 1,
      aux_sym_using_directive_repeat1,
  [12661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(280), 1,
      anon_sym_RPAREN,
    ACTIONS(2559), 1,
      anon_sym_COMMA,
    STATE(833), 1,
      aux_sym__call_arguments_repeat1,
  [12674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      anon_sym_RPAREN,
    ACTIONS(2535), 1,
      sym_identifier,
    ACTIONS(2537), 1,
      anon_sym_COMMA,
  [12687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2561), 1,
      anon_sym_COMMA,
    ACTIONS(2564), 1,
      anon_sym_RPAREN,
    STATE(741), 1,
      aux_sym_variable_declaration_tuple_repeat1,
  [12700] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2553), 1,
      anon_sym_SEMI,
    ACTIONS(2566), 1,
      anon_sym_EQ,
    STATE(94), 1,
      sym__semicolon,
  [12713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2311), 1,
      anon_sym_global,
    ACTIONS(2313), 1,
      anon_sym_SEMI,
    STATE(274), 1,
      sym__semicolon,
  [12726] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      anon_sym_RPAREN,
    ACTIONS(2568), 1,
      anon_sym_COMMA,
    STATE(746), 1,
      aux_sym_variable_declaration_tuple_repeat2,
  [12739] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      sym_identifier,
    STATE(415), 1,
      sym__identifier_path,
    STATE(976), 1,
      sym_user_defined_type,
  [12752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      anon_sym_COMMA,
    ACTIONS(2573), 1,
      anon_sym_RPAREN,
    STATE(746), 1,
      aux_sym_variable_declaration_tuple_repeat2,
  [12765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 1,
      anon_sym_RPAREN,
    ACTIONS(2575), 1,
      anon_sym_COMMA,
    STATE(726), 1,
      aux_sym__parameter_list_repeat1,
  [12778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2577), 1,
      anon_sym_global,
    ACTIONS(2579), 1,
      anon_sym_SEMI,
    STATE(190), 1,
      sym__semicolon,
  [12791] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 1,
      anon_sym_COMMA,
    ACTIONS(2583), 1,
      anon_sym_RBRACE,
    STATE(794), 1,
      aux_sym_enum_declaration_repeat1,
  [12804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2585), 1,
      anon_sym_EQ,
    ACTIONS(2587), 1,
      anon_sym_SEMI,
    STATE(246), 1,
      sym__semicolon,
  [12817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2275), 1,
      sym_identifier,
    ACTIONS(2589), 1,
      anon_sym_LPAREN,
    STATE(348), 1,
      sym_yul_identifier,
  [12830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_SQUOTE,
    STATE(1058), 1,
      sym_string,
  [12843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2325), 1,
      anon_sym_global,
    ACTIONS(2327), 1,
      anon_sym_SEMI,
    STATE(276), 1,
      sym__semicolon,
  [12856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      anon_sym_EQ,
    ACTIONS(2593), 1,
      anon_sym_SEMI,
    STATE(247), 1,
      sym__semicolon,
  [12869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2595), 1,
      anon_sym_global,
    ACTIONS(2597), 1,
      anon_sym_SEMI,
    STATE(278), 1,
      sym__semicolon,
  [12882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_RPAREN,
    ACTIONS(2599), 1,
      anon_sym_COMMA,
    STATE(771), 1,
      aux_sym_override_specifier_repeat1,
  [12895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2601), 1,
      sym_identifier,
    ACTIONS(2603), 1,
      anon_sym_RBRACE,
    STATE(852), 1,
      sym_call_struct_argument,
  [12908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2603), 1,
      anon_sym_RBRACE,
    ACTIONS(2605), 1,
      anon_sym_COMMA,
    STATE(793), 1,
      aux_sym_call_argument_repeat1,
  [12921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2275), 1,
      sym_identifier,
    ACTIONS(2607), 1,
      anon_sym_RPAREN,
    STATE(344), 1,
      sym_yul_identifier,
  [12934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      sym_identifier,
    STATE(415), 1,
      sym__identifier_path,
    STATE(798), 1,
      sym_user_defined_type,
  [12947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2335), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_layout,
  [12956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_global,
    ACTIONS(2342), 1,
      anon_sym_SEMI,
    STATE(282), 1,
      sym__semicolon,
  [12969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_RPAREN,
    ACTIONS(2609), 1,
      anon_sym_COMMA,
    STATE(340), 1,
      aux_sym_yul_variable_declaration_repeat1,
  [12982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2611), 1,
      anon_sym_global,
    ACTIONS(2613), 1,
      anon_sym_SEMI,
    STATE(235), 1,
      sym__semicolon,
  [12995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_global,
    ACTIONS(2372), 1,
      anon_sym_SEMI,
    STATE(218), 1,
      sym__semicolon,
  [13008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2615), 1,
      sym_identifier,
    ACTIONS(2617), 1,
      anon_sym_RBRACE,
    STATE(855), 1,
      sym_struct_field_assignment,
  [13021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_SQUOTE,
    STATE(799), 1,
      sym_string,
  [13034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_COMMA,
    ACTIONS(2622), 1,
      anon_sym_RBRACE,
    STATE(768), 1,
      aux_sym_struct_expression_repeat1,
  [13047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_layout,
  [13056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_global,
    ACTIONS(2364), 1,
      anon_sym_SEMI,
    STATE(286), 1,
      sym__semicolon,
  [13069] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2626), 1,
      anon_sym_COMMA,
    ACTIONS(2629), 1,
      anon_sym_RPAREN,
    STATE(771), 1,
      aux_sym_override_specifier_repeat1,
  [13082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2631), 1,
      anon_sym_COMMA,
    ACTIONS(2633), 1,
      anon_sym_RPAREN,
    STATE(832), 1,
      aux_sym__return_parameters_repeat1,
  [13095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2635), 1,
      anon_sym_global,
    ACTIONS(2637), 1,
      anon_sym_SEMI,
    STATE(288), 1,
      sym__semicolon,
  [13108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      sym_identifier,
    STATE(415), 1,
      sym__identifier_path,
    STATE(797), 1,
      sym_user_defined_type,
  [13121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2639), 1,
      sym_identifier,
    ACTIONS(2641), 1,
      anon_sym_RPAREN,
  [13134] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    ACTIONS(2643), 1,
      anon_sym_DASH_GT,
    STATE(383), 1,
      sym_yul_block,
  [13147] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2645), 1,
      anon_sym_COMMA,
    ACTIONS(2647), 1,
      anon_sym_RPAREN,
    STATE(813), 1,
      aux_sym_yul_variable_declaration_repeat1,
  [13160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      anon_sym_RPAREN,
    ACTIONS(2649), 1,
      anon_sym_COMMA,
    STATE(815), 1,
      aux_sym_yul_function_call_repeat1,
  [13173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1852), 1,
      anon_sym_RBRACK,
    ACTIONS(2651), 1,
      anon_sym_COMMA,
    STATE(779), 1,
      aux_sym_inline_array_expression_repeat1,
  [13186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2654), 1,
      anon_sym_global,
    ACTIONS(2656), 1,
      anon_sym_SEMI,
    STATE(293), 1,
      sym__semicolon,
  [13199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2658), 1,
      anon_sym_global,
    ACTIONS(2660), 1,
      anon_sym_SEMI,
    STATE(220), 1,
      sym__semicolon,
  [13212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2275), 1,
      sym_identifier,
    STATE(330), 1,
      sym_yul_identifier,
    STATE(343), 1,
      sym_yul_path,
  [13225] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(292), 1,
      anon_sym_RPAREN,
    ACTIONS(2662), 1,
      anon_sym_COMMA,
    STATE(846), 1,
      aux_sym_tuple_expression_repeat1,
  [13238] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_global,
    ACTIONS(2273), 1,
      anon_sym_SEMI,
    STATE(201), 1,
      sym__semicolon,
  [13251] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2601), 1,
      sym_identifier,
    ACTIONS(2664), 1,
      anon_sym_RBRACE,
    STATE(730), 1,
      sym_call_struct_argument,
  [13264] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(101), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_SQUOTE,
    STATE(902), 1,
      sym_string,
  [13277] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2666), 1,
      anon_sym_COMMA,
    ACTIONS(2668), 1,
      anon_sym_RPAREN,
    STATE(739), 1,
      aux_sym__call_arguments_repeat1,
  [13290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 1,
      anon_sym_RPAREN,
    ACTIONS(2670), 1,
      anon_sym_COMMA,
    STATE(803), 1,
      aux_sym_error_declaration_repeat1,
  [13303] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2601), 1,
      sym_identifier,
    ACTIONS(2672), 1,
      anon_sym_RBRACE,
    STATE(852), 1,
      sym_call_struct_argument,
  [13316] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2295), 1,
      anon_sym_as,
    ACTIONS(2674), 1,
      anon_sym_from,
    STATE(1033), 1,
      sym__import_alias,
  [13329] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(310), 1,
      anon_sym_RBRACK,
    ACTIONS(2676), 1,
      anon_sym_COMMA,
    STATE(779), 1,
      aux_sym_inline_array_expression_repeat1,
  [13342] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2508), 1,
      sym_identifier,
    ACTIONS(2678), 1,
      anon_sym_RBRACE,
    STATE(732), 1,
      sym__import_declaration,
  [13355] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2680), 1,
      anon_sym_COMMA,
    ACTIONS(2683), 1,
      anon_sym_RBRACE,
    STATE(793), 1,
      aux_sym_call_argument_repeat1,
  [13368] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2685), 1,
      anon_sym_COMMA,
    ACTIONS(2687), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      aux_sym_enum_declaration_repeat1,
  [13381] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 1,
      anon_sym_COMMA,
    ACTIONS(2692), 1,
      anon_sym_RPAREN,
    STATE(795), 1,
      aux_sym__return_parameters_repeat1,
  [13394] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2694), 1,
      anon_sym_anonymous,
    ACTIONS(2696), 1,
      anon_sym_SEMI,
    STATE(280), 1,
      sym__semicolon,
  [13407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2700), 1,
      anon_sym_as,
    ACTIONS(2698), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [13418] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2702), 1,
      anon_sym_COMMA,
    ACTIONS(2704), 1,
      anon_sym_RPAREN,
    STATE(756), 1,
      aux_sym_override_specifier_repeat1,
  [13431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2706), 1,
      anon_sym_COMMA,
    ACTIONS(2708), 1,
      anon_sym_RPAREN,
    STATE(720), 1,
      aux_sym__assembly_flags_repeat1,
  [13444] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2275), 1,
      sym_identifier,
    ACTIONS(2710), 1,
      anon_sym_RPAREN,
    STATE(344), 1,
      sym_yul_identifier,
  [13457] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2712), 1,
      anon_sym_COMMA,
    ACTIONS(2714), 1,
      anon_sym_RPAREN,
    STATE(788), 1,
      aux_sym_error_declaration_repeat1,
  [13470] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2716), 1,
      anon_sym_COMMA,
    ACTIONS(2718), 1,
      anon_sym_RPAREN,
    STATE(807), 1,
      aux_sym_error_declaration_repeat1,
  [13483] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2720), 1,
      anon_sym_COMMA,
    ACTIONS(2723), 1,
      anon_sym_RPAREN,
    STATE(803), 1,
      aux_sym_error_declaration_repeat1,
  [13496] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2725), 1,
      anon_sym_COMMA,
    ACTIONS(2727), 1,
      anon_sym_RBRACE,
    STATE(808), 1,
      aux_sym_enum_declaration_repeat1,
  [13509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2729), 1,
      anon_sym_COMMA,
    ACTIONS(2732), 1,
      anon_sym_RPAREN,
    STATE(805), 1,
      aux_sym__event_parameter_list_repeat1,
  [13522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      sym_identifier,
    STATE(415), 1,
      sym__identifier_path,
    STATE(650), 1,
      sym_user_defined_type,
  [13535] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_RPAREN,
    ACTIONS(2734), 1,
      anon_sym_COMMA,
    STATE(803), 1,
      aux_sym_error_declaration_repeat1,
  [13548] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_COMMA,
    ACTIONS(2738), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      aux_sym_enum_declaration_repeat1,
  [13561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2508), 1,
      sym_identifier,
    ACTIONS(2740), 1,
      anon_sym_RBRACE,
    STATE(900), 1,
      sym__import_declaration,
  [13574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2295), 1,
      anon_sym_as,
    ACTIONS(2742), 1,
      anon_sym_from,
    STATE(990), 1,
      sym__import_alias,
  [13587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2275), 1,
      sym_identifier,
    ACTIONS(2744), 1,
      anon_sym_RPAREN,
    STATE(344), 1,
      sym_yul_identifier,
  [13600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    ACTIONS(2746), 1,
      anon_sym_DASH_GT,
    STATE(386), 1,
      sym_yul_block,
  [13613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      anon_sym_RPAREN,
    ACTIONS(2748), 1,
      anon_sym_COMMA,
    STATE(340), 1,
      aux_sym_yul_variable_declaration_repeat1,
  [13626] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2750), 1,
      anon_sym_COMMA,
    ACTIONS(2752), 1,
      anon_sym_RBRACE,
    STATE(738), 1,
      aux_sym_using_directive_repeat1,
  [13639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_COMMA,
    ACTIONS(2757), 1,
      anon_sym_RPAREN,
    STATE(815), 1,
      aux_sym_yul_function_call_repeat1,
  [13652] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_global,
    ACTIONS(2430), 1,
      anon_sym_SEMI,
    STATE(177), 1,
      sym__semicolon,
  [13665] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2295), 1,
      anon_sym_as,
    ACTIONS(2759), 1,
      anon_sym_SEMI,
    STATE(1009), 1,
      sym__import_alias,
  [13678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2761), 1,
      anon_sym_COMMA,
    ACTIONS(2764), 1,
      anon_sym_RBRACE,
    STATE(818), 1,
      aux_sym_using_directive_repeat1,
  [13691] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2615), 1,
      sym_identifier,
    ACTIONS(2766), 1,
      anon_sym_RBRACE,
    STATE(712), 1,
      sym_struct_field_assignment,
  [13704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2768), 1,
      anon_sym_COMMA,
    ACTIONS(2770), 1,
      anon_sym_RBRACE,
    STATE(729), 1,
      aux_sym__multiple_import_repeat1,
  [13717] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2772), 1,
      anon_sym_COMMA,
    ACTIONS(2775), 1,
      anon_sym_RBRACE,
    STATE(821), 1,
      aux_sym_enum_declaration_repeat1,
  [13730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    ACTIONS(2777), 1,
      anon_sym_DASH_GT,
    STATE(388), 1,
      sym_yul_block,
  [13743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_RPAREN,
    ACTIONS(2535), 1,
      sym_identifier,
    ACTIONS(2537), 1,
      anon_sym_COMMA,
  [13756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2779), 1,
      anon_sym_global,
    ACTIONS(2781), 1,
      anon_sym_SEMI,
    STATE(179), 1,
      sym__semicolon,
  [13769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2275), 1,
      sym_identifier,
    ACTIONS(2783), 1,
      anon_sym_RPAREN,
    STATE(344), 1,
      sym_yul_identifier,
  [13782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_RPAREN,
    ACTIONS(2785), 1,
      anon_sym_COMMA,
    STATE(744), 1,
      aux_sym_variable_declaration_tuple_repeat2,
  [13795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2787), 1,
      anon_sym_COMMA,
    ACTIONS(2789), 1,
      anon_sym_RPAREN,
    STATE(747), 1,
      aux_sym__parameter_list_repeat1,
  [13808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2301), 1,
      anon_sym_LPAREN,
    ACTIONS(2791), 1,
      anon_sym_LBRACE,
    STATE(1003), 1,
      sym__assembly_flags,
  [13821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2105), 1,
      anon_sym_LPAREN,
    ACTIONS(2793), 1,
      sym_identifier,
    STATE(408), 1,
      sym__parameter_list,
  [13834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_default,
    ACTIONS(2797), 1,
      anon_sym_case,
    STATE(346), 1,
      aux_sym_yul_switch_statement_repeat1,
  [13847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_RPAREN,
    ACTIONS(2785), 1,
      anon_sym_COMMA,
    STATE(746), 1,
      aux_sym_variable_declaration_tuple_repeat2,
  [13860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2799), 1,
      anon_sym_COMMA,
    ACTIONS(2801), 1,
      anon_sym_RPAREN,
    STATE(795), 1,
      aux_sym__return_parameters_repeat1,
  [13873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2803), 1,
      anon_sym_COMMA,
    ACTIONS(2806), 1,
      anon_sym_RPAREN,
    STATE(833), 1,
      aux_sym__call_arguments_repeat1,
  [13886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2808), 1,
      sym_identifier,
    ACTIONS(2810), 1,
      anon_sym_RPAREN,
  [13899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_RPAREN,
    ACTIONS(2812), 1,
      anon_sym_COMMA,
    STATE(805), 1,
      aux_sym__event_parameter_list_repeat1,
  [13912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    ACTIONS(2814), 1,
      anon_sym_DASH_GT,
    STATE(390), 1,
      sym_yul_block,
  [13925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      anon_sym_COMMA,
    ACTIONS(2818), 1,
      anon_sym_RBRACE,
    STATE(818), 1,
      aux_sym_using_directive_repeat1,
  [13938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2820), 1,
      anon_sym_COMMA,
    ACTIONS(2822), 1,
      anon_sym_RBRACE,
    STATE(841), 1,
      aux_sym_using_directive_repeat1,
  [13951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2824), 1,
      anon_sym_COMMA,
    ACTIONS(2826), 1,
      anon_sym_RPAREN,
    STATE(763), 1,
      aux_sym_yul_variable_declaration_repeat1,
  [13964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2615), 1,
      sym_identifier,
    ACTIONS(2828), 1,
      anon_sym_RBRACE,
    STATE(855), 1,
      sym_struct_field_assignment,
  [13977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2830), 1,
      anon_sym_COMMA,
    ACTIONS(2832), 1,
      anon_sym_RBRACE,
    STATE(818), 1,
      aux_sym_using_directive_repeat1,
  [13990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_global,
    ACTIONS(2396), 1,
      anon_sym_SEMI,
    STATE(215), 1,
      sym__semicolon,
  [14003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2834), 1,
      sym_identifier,
    ACTIONS(2836), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [14014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      sym_identifier,
    STATE(415), 1,
      sym__identifier_path,
    STATE(704), 1,
      sym_user_defined_type,
  [14027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2828), 1,
      anon_sym_RBRACE,
    ACTIONS(2838), 1,
      anon_sym_COMMA,
    STATE(768), 1,
      aux_sym_struct_expression_repeat1,
  [14040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1864), 1,
      anon_sym_RPAREN,
    ACTIONS(2840), 1,
      anon_sym_COMMA,
    STATE(846), 1,
      aux_sym_tuple_expression_repeat1,
  [14053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2105), 1,
      anon_sym_LPAREN,
    STATE(557), 1,
      sym__parameter_list,
  [14063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2843), 1,
      anon_sym_SEMI,
    STATE(207), 1,
      sym__semicolon,
  [14073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    STATE(365), 1,
      sym_yul_block,
  [14083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2845), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [14091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2847), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [14099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2683), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [14107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2275), 1,
      sym_identifier,
    STATE(648), 1,
      sym_yul_identifier,
  [14117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2849), 1,
      sym_identifier,
    ACTIONS(2851), 1,
      anon_sym_RBRACE,
  [14127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2622), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [14135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2105), 1,
      anon_sym_LPAREN,
    STATE(593), 1,
      sym__parameter_list,
  [14145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2105), 1,
      anon_sym_LPAREN,
    STATE(561), 1,
      sym__parameter_list,
  [14155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2615), 1,
      sym_identifier,
    STATE(855), 1,
      sym_struct_field_assignment,
  [14165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2853), 1,
      anon_sym_constant,
  [14175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2855), 2,
      anon_sym_anonymous,
      anon_sym_SEMI,
  [14183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2732), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [14191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2275), 1,
      sym_identifier,
    STATE(676), 1,
      sym_yul_identifier,
  [14201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2857), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [14209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2723), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [14217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2275), 1,
      sym_identifier,
    STATE(1066), 1,
      sym_yul_identifier,
  [14227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2275), 1,
      sym_identifier,
    STATE(625), 1,
      sym_yul_identifier,
  [14237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      anon_sym_SEMI,
    STATE(178), 1,
      sym__semicolon,
  [14247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2861), 2,
      anon_sym_global,
      anon_sym_SEMI,
  [14255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 2,
      anon_sym_anonymous,
      anon_sym_SEMI,
  [14263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    STATE(497), 1,
      sym__call_arguments,
  [14273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2865), 1,
      anon_sym_SEMI,
    STATE(181), 1,
      sym__semicolon,
  [14283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2867), 1,
      anon_sym_SEMI,
    STATE(182), 1,
      sym__semicolon,
  [14293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2105), 1,
      anon_sym_LPAREN,
    STATE(556), 1,
      sym__parameter_list,
  [14303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2869), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [14311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 1,
      anon_sym_LBRACE,
    STATE(170), 1,
      sym_contract_body,
  [14321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2871), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [14329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2873), 1,
      anon_sym_SEMI,
    STATE(256), 1,
      sym__semicolon,
  [14339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2875), 1,
      anon_sym_SEMI,
    STATE(257), 1,
      sym__semicolon,
  [14349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    STATE(935), 1,
      sym_yul_block,
  [14359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2877), 1,
      anon_sym_SEMI,
    STATE(230), 1,
      sym__semicolon,
  [14369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2879), 1,
      anon_sym_SEMI,
    STATE(184), 1,
      sym__semicolon,
  [14379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2881), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [14387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    STATE(378), 1,
      sym_yul_block,
  [14397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 1,
      anon_sym_SEMI,
    STATE(266), 1,
      sym__semicolon,
  [14407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2885), 1,
      anon_sym_SEMI,
    STATE(110), 1,
      sym__semicolon,
  [14417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_SEMI,
    STATE(113), 1,
      sym__semicolon,
  [14427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2889), 1,
      anon_sym_SEMI,
    STATE(268), 1,
      sym__semicolon,
  [14437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2885), 1,
      anon_sym_SEMI,
    STATE(110), 1,
      sym__semicolon,
  [14447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_SEMI,
    STATE(113), 1,
      sym__semicolon,
  [14457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 1,
      anon_sym_from,
    STATE(911), 1,
      sym__from_clause,
  [14467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2105), 1,
      anon_sym_LPAREN,
    STATE(906), 1,
      sym__parameter_list,
  [14477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2893), 1,
      anon_sym_SEMI,
    STATE(217), 1,
      sym__semicolon,
  [14487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2895), 1,
      sym_identifier,
    ACTIONS(2897), 1,
      anon_sym_EQ_GT,
  [14497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 1,
      anon_sym_LBRACE,
    STATE(226), 1,
      sym_contract_body,
  [14507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2899), 1,
      anon_sym_SEMI,
    STATE(272), 1,
      sym__semicolon,
  [14517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2901), 1,
      sym_identifier,
    ACTIONS(2903), 1,
      anon_sym_RBRACE,
  [14527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2105), 1,
      anon_sym_LPAREN,
    STATE(408), 1,
      sym__parameter_list,
  [14537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2905), 1,
      anon_sym_SEMI,
    STATE(109), 1,
      sym__semicolon,
  [14547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2907), 1,
      sym_identifier,
  [14557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2909), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [14565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2911), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [14573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [14581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2913), 1,
      anon_sym_SEMI,
    STATE(275), 1,
      sym__semicolon,
  [14591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2915), 1,
      anon_sym_SEMI,
    STATE(222), 1,
      sym__semicolon,
  [14601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2917), 1,
      anon_sym_SEMI,
    STATE(277), 1,
      sym__semicolon,
  [14611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2919), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [14619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2921), 1,
      anon_sym_SEMI,
    STATE(223), 1,
      sym__semicolon,
  [14629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 1,
      anon_sym_LBRACE,
    STATE(219), 1,
      sym_contract_body,
  [14639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2923), 1,
      anon_sym_SEMI,
    STATE(208), 1,
      sym__semicolon,
  [14649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2925), 1,
      anon_sym_LPAREN,
    STATE(796), 1,
      sym__event_parameter_list,
  [14659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2927), 1,
      anon_sym_SEMI,
    STATE(216), 1,
      sym__semicolon,
  [14669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2929), 1,
      anon_sym_SEMI,
    STATE(281), 1,
      sym__semicolon,
  [14679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2905), 1,
      anon_sym_SEMI,
    STATE(109), 1,
      sym__semicolon,
  [14689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2105), 1,
      anon_sym_LPAREN,
    STATE(692), 1,
      sym__parameter_list,
  [14699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2931), 1,
      anon_sym_SEMI,
    STATE(185), 1,
      sym__semicolon,
  [14709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2933), 1,
      anon_sym_SEMI,
    STATE(284), 1,
      sym__semicolon,
  [14719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2935), 1,
      anon_sym_SEMI,
    STATE(285), 1,
      sym__semicolon,
  [14729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2275), 1,
      sym_identifier,
    STATE(839), 1,
      sym_yul_identifier,
  [14739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2937), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [14747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2601), 1,
      sym_identifier,
    STATE(852), 1,
      sym_call_struct_argument,
  [14757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2939), 2,
      anon_sym_anonymous,
      anon_sym_SEMI,
  [14765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2941), 1,
      anon_sym_SEMI,
    STATE(287), 1,
      sym__semicolon,
  [14775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2943), 1,
      anon_sym_SEMI,
    STATE(189), 1,
      sym__semicolon,
  [14785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2945), 1,
      anon_sym_SEMI,
    STATE(290), 1,
      sym__semicolon,
  [14795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2947), 1,
      anon_sym_SEMI,
    STATE(291), 1,
      sym__semicolon,
  [14805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    STATE(373), 1,
      sym_yul_block,
  [14815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LBRACK,
    ACTIONS(2949), 1,
      anon_sym_RPAREN,
  [14825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2951), 1,
      anon_sym_SEMI,
    STATE(292), 1,
      sym__semicolon,
  [14835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2953), 1,
      anon_sym_SEMI,
    STATE(192), 1,
      sym__semicolon,
  [14845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2955), 1,
      anon_sym_SEMI,
    STATE(193), 1,
      sym__semicolon,
  [14855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2105), 1,
      anon_sym_LPAREN,
    STATE(655), 1,
      sym__parameter_list,
  [14865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2957), 1,
      anon_sym_SEMI,
    STATE(295), 1,
      sym__semicolon,
  [14875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2959), 1,
      anon_sym_SEMI,
    STATE(296), 1,
      sym__semicolon,
  [14885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2275), 1,
      sym_identifier,
    STATE(326), 1,
      sym_yul_identifier,
  [14895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    STATE(380), 1,
      sym_yul_block,
  [14905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2961), 1,
      anon_sym_SEMI,
    STATE(108), 1,
      sym__semicolon,
  [14915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2963), 1,
      anon_sym_SEMI,
    STATE(297), 1,
      sym__semicolon,
  [14925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2965), 1,
      anon_sym_SEMI,
    STATE(298), 1,
      sym__semicolon,
  [14935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2967), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [14943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2969), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [14951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2971), 1,
      anon_sym_SEMI,
    STATE(203), 1,
      sym__semicolon,
  [14961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2973), 1,
      anon_sym_SEMI,
    STATE(172), 1,
      sym__semicolon,
  [14971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    STATE(354), 1,
      sym_yul_block,
  [14981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    STATE(382), 1,
      sym_yul_block,
  [14991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2975), 1,
      sym_identifier,
    ACTIONS(2977), 1,
      anon_sym_RBRACE,
  [15001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2979), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [15009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2981), 1,
      sym__hex_digit,
    ACTIONS(2983), 1,
      anon_sym_DQUOTE,
  [15019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2983), 1,
      anon_sym_SQUOTE,
    ACTIONS(2985), 1,
      sym__hex_digit,
  [15029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2987), 1,
      anon_sym_DQUOTE,
    ACTIONS(2989), 1,
      anon_sym_SQUOTE,
  [15039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_RBRACE,
    ACTIONS(2849), 1,
      sym_identifier,
  [15049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2991), 2,
      anon_sym_anonymous,
      anon_sym_SEMI,
  [15057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [15065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2993), 1,
      anon_sym_SEMI,
    STATE(183), 1,
      sym__semicolon,
  [15075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2995), 1,
      anon_sym_DQUOTE,
    ACTIONS(2997), 1,
      anon_sym_SQUOTE,
  [15085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2849), 1,
      sym_identifier,
    ACTIONS(2999), 1,
      anon_sym_RBRACE,
  [15095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2961), 1,
      anon_sym_SEMI,
    STATE(108), 1,
      sym__semicolon,
  [15105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3001), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [15113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3003), 1,
      anon_sym_SEMI,
    STATE(321), 1,
      sym__semicolon,
  [15123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3005), 1,
      anon_sym_SEMI,
    STATE(198), 1,
      sym__semicolon,
  [15133] = 3,
    ACTIONS(2197), 1,
      sym_comment,
    ACTIONS(3007), 1,
      aux_sym_pragma_value_token1,
    STATE(1005), 1,
      sym_pragma_value,
  [15143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3009), 1,
      anon_sym_SEMI,
    STATE(199), 1,
      sym__semicolon,
  [15153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2687), 1,
      anon_sym_RBRACE,
    ACTIONS(2849), 1,
      sym_identifier,
  [15163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3011), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [15171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(562), 1,
      anon_sym_while,
    ACTIONS(3013), 1,
      anon_sym_else,
  [15181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3015), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [15189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2564), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [15197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3017), 1,
      anon_sym_SEMI,
    STATE(188), 1,
      sym__semicolon,
  [15207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3019), 1,
      anon_sym_DQUOTE,
    ACTIONS(3021), 1,
      anon_sym_SQUOTE,
  [15217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2275), 1,
      sym_identifier,
    STATE(344), 1,
      sym_yul_identifier,
  [15227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3023), 1,
      sym__hex_digit,
    ACTIONS(3025), 1,
      anon_sym_DQUOTE,
  [15237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3025), 1,
      anon_sym_SQUOTE,
    ACTIONS(3027), 1,
      sym__hex_digit,
  [15247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2508), 1,
      sym_identifier,
    STATE(900), 1,
      sym__import_declaration,
  [15257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2275), 1,
      sym_identifier,
    STATE(668), 1,
      sym_yul_identifier,
  [15267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2806), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [15275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3029), 1,
      anon_sym_SEMI,
    STATE(306), 1,
      sym__semicolon,
  [15285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2629), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [15293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3031), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [15301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2757), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [15309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 1,
      anon_sym_LBRACE,
    STATE(211), 1,
      sym_contract_body,
  [15319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2519), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [15327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3033), 1,
      anon_sym_for,
  [15334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3035), 1,
      anon_sym_contract,
  [15341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3037), 1,
      sym_identifier,
  [15348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3039), 1,
      anon_sym_from,
  [15355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2849), 1,
      sym_identifier,
  [15362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3041), 1,
      anon_sym_from,
  [15369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3043), 1,
      ts_builtin_sym_end,
  [15376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
  [15383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 1,
      anon_sym_EQ,
  [15390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3049), 1,
      anon_sym_from,
  [15397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3051), 1,
      anon_sym_at,
  [15404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3053), 1,
      anon_sym_LPAREN,
  [15411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3055), 1,
      anon_sym_LBRACE,
  [15418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3057), 1,
      anon_sym_for,
  [15425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3059), 1,
      sym_identifier,
  [15432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3061), 1,
      sym__hex_digit,
  [15439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3063), 1,
      anon_sym_LBRACE,
  [15446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3065), 1,
      anon_sym_for,
  [15453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_EQ,
  [15460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3069), 1,
      sym_identifier,
  [15467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3071), 1,
      anon_sym_SEMI,
  [15474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3073), 1,
      anon_sym_LPAREN,
  [15481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3075), 1,
      anon_sym_LBRACE,
  [15488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3077), 1,
      anon_sym_LBRACE,
  [15495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3079), 1,
      anon_sym_SEMI,
  [15502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      sym_identifier,
  [15509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_while,
  [15516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 1,
      anon_sym_LPAREN,
  [15523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3085), 1,
      anon_sym_SEMI,
  [15530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3041), 1,
      anon_sym_from,
  [15537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3087), 1,
      anon_sym_for,
  [15544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3089), 1,
      anon_sym_LPAREN,
  [15551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3091), 1,
      anon_sym_for,
  [15558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3093), 1,
      anon_sym_for,
  [15565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3095), 1,
      anon_sym_LBRACE,
  [15572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3097), 1,
      sym_identifier,
  [15579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3099), 1,
      sym_identifier,
  [15586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3101), 1,
      anon_sym_LPAREN,
  [15593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3103), 1,
      anon_sym_EQ,
  [15600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3105), 1,
      sym_identifier,
  [15607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3107), 1,
      sym_identifier,
  [15614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3109), 1,
      anon_sym_is,
  [15621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3111), 1,
      anon_sym_RPAREN,
  [15628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1822), 1,
      anon_sym_COLON,
  [15635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3113), 1,
      anon_sym_from,
  [15642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3115), 1,
      sym_solidity_version,
  [15649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3117), 1,
      anon_sym_from,
  [15656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3119), 1,
      anon_sym_LBRACE,
  [15663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3121), 1,
      anon_sym_from,
  [15670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3123), 1,
      anon_sym_LPAREN,
  [15677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3125), 1,
      sym_solidity_version,
  [15684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3127), 1,
      sym_identifier,
  [15691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3129), 1,
      anon_sym_from,
  [15698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3131), 1,
      sym_identifier,
  [15705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3133), 1,
      anon_sym_EQ_GT,
  [15712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3135), 1,
      sym_identifier,
  [15719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3137), 1,
      anon_sym_RPAREN,
  [15726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_EQ,
  [15733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym_is,
  [15740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3141), 1,
      anon_sym_LPAREN,
  [15747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_LBRACE,
  [15754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3145), 1,
      anon_sym_for,
  [15761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 1,
      sym_identifier,
  [15768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3149), 1,
      anon_sym_for,
  [15775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3151), 1,
      anon_sym_for,
  [15782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3153), 1,
      anon_sym_for,
  [15789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3155), 1,
      anon_sym_for,
  [15796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3157), 1,
      sym_identifier,
  [15803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2551), 1,
      anon_sym_EQ,
  [15810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3159), 1,
      anon_sym_for,
  [15817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3161), 1,
      anon_sym_for,
  [15824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      anon_sym_LBRACE,
  [15831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3165), 1,
      anon_sym_LPAREN,
  [15838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3167), 1,
      anon_sym_for,
  [15845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3169), 1,
      anon_sym_for,
  [15852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3171), 1,
      anon_sym_from,
  [15859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3173), 1,
      anon_sym_for,
  [15866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_SEMI,
  [15873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      sym_identifier,
  [15880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3179), 1,
      sym_identifier,
  [15887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3181), 1,
      sym_identifier,
  [15894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3183), 1,
      anon_sym_LPAREN,
  [15901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3185), 1,
      anon_sym_LBRACE,
  [15908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_LPAREN,
  [15915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3189), 1,
      anon_sym_EQ,
  [15922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3191), 1,
      anon_sym_LPAREN,
  [15929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
  [15936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3195), 1,
      anon_sym_EQ,
  [15943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
  [15950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_LPAREN,
  [15957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_EQ,
  [15964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3203), 1,
      anon_sym_COLON,
  [15971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3205), 1,
      sym_identifier,
  [15978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3207), 1,
      sym_identifier,
  [15985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_LPAREN,
  [15992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3211), 1,
      sym_identifier,
  [15999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3213), 1,
      anon_sym_RPAREN,
  [16006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3215), 1,
      anon_sym_for,
  [16013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3217), 1,
      anon_sym_LPAREN,
  [16020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3219), 1,
      anon_sym_while,
  [16027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3221), 1,
      sym_identifier,
  [16034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3223), 1,
      anon_sym_for,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(422)] = 0,
  [SMALL_STATE(423)] = 71,
  [SMALL_STATE(424)] = 142,
  [SMALL_STATE(425)] = 213,
  [SMALL_STATE(426)] = 284,
  [SMALL_STATE(427)] = 355,
  [SMALL_STATE(428)] = 426,
  [SMALL_STATE(429)] = 497,
  [SMALL_STATE(430)] = 568,
  [SMALL_STATE(431)] = 639,
  [SMALL_STATE(432)] = 710,
  [SMALL_STATE(433)] = 781,
  [SMALL_STATE(434)] = 852,
  [SMALL_STATE(435)] = 923,
  [SMALL_STATE(436)] = 994,
  [SMALL_STATE(437)] = 1065,
  [SMALL_STATE(438)] = 1138,
  [SMALL_STATE(439)] = 1206,
  [SMALL_STATE(440)] = 1274,
  [SMALL_STATE(441)] = 1342,
  [SMALL_STATE(442)] = 1410,
  [SMALL_STATE(443)] = 1478,
  [SMALL_STATE(444)] = 1540,
  [SMALL_STATE(445)] = 1604,
  [SMALL_STATE(446)] = 1666,
  [SMALL_STATE(447)] = 1733,
  [SMALL_STATE(448)] = 1798,
  [SMALL_STATE(449)] = 1863,
  [SMALL_STATE(450)] = 1926,
  [SMALL_STATE(451)] = 1993,
  [SMALL_STATE(452)] = 2053,
  [SMALL_STATE(453)] = 2113,
  [SMALL_STATE(454)] = 2173,
  [SMALL_STATE(455)] = 2236,
  [SMALL_STATE(456)] = 2299,
  [SMALL_STATE(457)] = 2363,
  [SMALL_STATE(458)] = 2427,
  [SMALL_STATE(459)] = 2509,
  [SMALL_STATE(460)] = 2573,
  [SMALL_STATE(461)] = 2637,
  [SMALL_STATE(462)] = 2699,
  [SMALL_STATE(463)] = 2791,
  [SMALL_STATE(464)] = 2853,
  [SMALL_STATE(465)] = 2911,
  [SMALL_STATE(466)] = 2969,
  [SMALL_STATE(467)] = 3047,
  [SMALL_STATE(468)] = 3115,
  [SMALL_STATE(469)] = 3185,
  [SMALL_STATE(470)] = 3277,
  [SMALL_STATE(471)] = 3343,
  [SMALL_STATE(472)] = 3417,
  [SMALL_STATE(473)] = 3474,
  [SMALL_STATE(474)] = 3531,
  [SMALL_STATE(475)] = 3588,
  [SMALL_STATE(476)] = 3645,
  [SMALL_STATE(477)] = 3704,
  [SMALL_STATE(478)] = 3761,
  [SMALL_STATE(479)] = 3818,
  [SMALL_STATE(480)] = 3875,
  [SMALL_STATE(481)] = 3932,
  [SMALL_STATE(482)] = 3989,
  [SMALL_STATE(483)] = 4046,
  [SMALL_STATE(484)] = 4103,
  [SMALL_STATE(485)] = 4160,
  [SMALL_STATE(486)] = 4217,
  [SMALL_STATE(487)] = 4274,
  [SMALL_STATE(488)] = 4331,
  [SMALL_STATE(489)] = 4388,
  [SMALL_STATE(490)] = 4445,
  [SMALL_STATE(491)] = 4502,
  [SMALL_STATE(492)] = 4559,
  [SMALL_STATE(493)] = 4616,
  [SMALL_STATE(494)] = 4673,
  [SMALL_STATE(495)] = 4730,
  [SMALL_STATE(496)] = 4787,
  [SMALL_STATE(497)] = 4844,
  [SMALL_STATE(498)] = 4901,
  [SMALL_STATE(499)] = 4958,
  [SMALL_STATE(500)] = 5015,
  [SMALL_STATE(501)] = 5072,
  [SMALL_STATE(502)] = 5129,
  [SMALL_STATE(503)] = 5186,
  [SMALL_STATE(504)] = 5243,
  [SMALL_STATE(505)] = 5304,
  [SMALL_STATE(506)] = 5367,
  [SMALL_STATE(507)] = 5426,
  [SMALL_STATE(508)] = 5519,
  [SMALL_STATE(509)] = 5574,
  [SMALL_STATE(510)] = 5664,
  [SMALL_STATE(511)] = 5754,
  [SMALL_STATE(512)] = 5844,
  [SMALL_STATE(513)] = 5931,
  [SMALL_STATE(514)] = 6018,
  [SMALL_STATE(515)] = 6105,
  [SMALL_STATE(516)] = 6190,
  [SMALL_STATE(517)] = 6277,
  [SMALL_STATE(518)] = 6330,
  [SMALL_STATE(519)] = 6415,
  [SMALL_STATE(520)] = 6500,
  [SMALL_STATE(521)] = 6587,
  [SMALL_STATE(522)] = 6674,
  [SMALL_STATE(523)] = 6761,
  [SMALL_STATE(524)] = 6848,
  [SMALL_STATE(525)] = 6935,
  [SMALL_STATE(526)] = 7022,
  [SMALL_STATE(527)] = 7109,
  [SMALL_STATE(528)] = 7194,
  [SMALL_STATE(529)] = 7279,
  [SMALL_STATE(530)] = 7366,
  [SMALL_STATE(531)] = 7420,
  [SMALL_STATE(532)] = 7504,
  [SMALL_STATE(533)] = 7588,
  [SMALL_STATE(534)] = 7672,
  [SMALL_STATE(535)] = 7756,
  [SMALL_STATE(536)] = 7840,
  [SMALL_STATE(537)] = 7922,
  [SMALL_STATE(538)] = 8006,
  [SMALL_STATE(539)] = 8060,
  [SMALL_STATE(540)] = 8114,
  [SMALL_STATE(541)] = 8198,
  [SMALL_STATE(542)] = 8252,
  [SMALL_STATE(543)] = 8336,
  [SMALL_STATE(544)] = 8420,
  [SMALL_STATE(545)] = 8504,
  [SMALL_STATE(546)] = 8588,
  [SMALL_STATE(547)] = 8672,
  [SMALL_STATE(548)] = 8756,
  [SMALL_STATE(549)] = 8837,
  [SMALL_STATE(550)] = 8888,
  [SMALL_STATE(551)] = 8939,
  [SMALL_STATE(552)] = 8990,
  [SMALL_STATE(553)] = 9071,
  [SMALL_STATE(554)] = 9115,
  [SMALL_STATE(555)] = 9159,
  [SMALL_STATE(556)] = 9215,
  [SMALL_STATE(557)] = 9271,
  [SMALL_STATE(558)] = 9327,
  [SMALL_STATE(559)] = 9383,
  [SMALL_STATE(560)] = 9428,
  [SMALL_STATE(561)] = 9478,
  [SMALL_STATE(562)] = 9528,
  [SMALL_STATE(563)] = 9555,
  [SMALL_STATE(564)] = 9581,
  [SMALL_STATE(565)] = 9605,
  [SMALL_STATE(566)] = 9629,
  [SMALL_STATE(567)] = 9655,
  [SMALL_STATE(568)] = 9679,
  [SMALL_STATE(569)] = 9705,
  [SMALL_STATE(570)] = 9744,
  [SMALL_STATE(571)] = 9771,
  [SMALL_STATE(572)] = 9807,
  [SMALL_STATE(573)] = 9840,
  [SMALL_STATE(574)] = 9873,
  [SMALL_STATE(575)] = 9910,
  [SMALL_STATE(576)] = 9947,
  [SMALL_STATE(577)] = 9982,
  [SMALL_STATE(578)] = 10003,
  [SMALL_STATE(579)] = 10024,
  [SMALL_STATE(580)] = 10045,
  [SMALL_STATE(581)] = 10075,
  [SMALL_STATE(582)] = 10105,
  [SMALL_STATE(583)] = 10135,
  [SMALL_STATE(584)] = 10154,
  [SMALL_STATE(585)] = 10175,
  [SMALL_STATE(586)] = 10204,
  [SMALL_STATE(587)] = 10222,
  [SMALL_STATE(588)] = 10254,
  [SMALL_STATE(589)] = 10288,
  [SMALL_STATE(590)] = 10306,
  [SMALL_STATE(591)] = 10321,
  [SMALL_STATE(592)] = 10336,
  [SMALL_STATE(593)] = 10361,
  [SMALL_STATE(594)] = 10386,
  [SMALL_STATE(595)] = 10403,
  [SMALL_STATE(596)] = 10418,
  [SMALL_STATE(597)] = 10440,
  [SMALL_STATE(598)] = 10462,
  [SMALL_STATE(599)] = 10488,
  [SMALL_STATE(600)] = 10514,
  [SMALL_STATE(601)] = 10540,
  [SMALL_STATE(602)] = 10559,
  [SMALL_STATE(603)] = 10584,
  [SMALL_STATE(604)] = 10599,
  [SMALL_STATE(605)] = 10621,
  [SMALL_STATE(606)] = 10639,
  [SMALL_STATE(607)] = 10661,
  [SMALL_STATE(608)] = 10683,
  [SMALL_STATE(609)] = 10705,
  [SMALL_STATE(610)] = 10722,
  [SMALL_STATE(611)] = 10739,
  [SMALL_STATE(612)] = 10756,
  [SMALL_STATE(613)] = 10773,
  [SMALL_STATE(614)] = 10790,
  [SMALL_STATE(615)] = 10807,
  [SMALL_STATE(616)] = 10824,
  [SMALL_STATE(617)] = 10841,
  [SMALL_STATE(618)] = 10858,
  [SMALL_STATE(619)] = 10873,
  [SMALL_STATE(620)] = 10888,
  [SMALL_STATE(621)] = 10905,
  [SMALL_STATE(622)] = 10922,
  [SMALL_STATE(623)] = 10939,
  [SMALL_STATE(624)] = 10956,
  [SMALL_STATE(625)] = 10972,
  [SMALL_STATE(626)] = 10988,
  [SMALL_STATE(627)] = 11004,
  [SMALL_STATE(628)] = 11020,
  [SMALL_STATE(629)] = 11036,
  [SMALL_STATE(630)] = 11052,
  [SMALL_STATE(631)] = 11068,
  [SMALL_STATE(632)] = 11084,
  [SMALL_STATE(633)] = 11100,
  [SMALL_STATE(634)] = 11116,
  [SMALL_STATE(635)] = 11132,
  [SMALL_STATE(636)] = 11148,
  [SMALL_STATE(637)] = 11164,
  [SMALL_STATE(638)] = 11178,
  [SMALL_STATE(639)] = 11194,
  [SMALL_STATE(640)] = 11210,
  [SMALL_STATE(641)] = 11226,
  [SMALL_STATE(642)] = 11242,
  [SMALL_STATE(643)] = 11258,
  [SMALL_STATE(644)] = 11274,
  [SMALL_STATE(645)] = 11290,
  [SMALL_STATE(646)] = 11306,
  [SMALL_STATE(647)] = 11316,
  [SMALL_STATE(648)] = 11326,
  [SMALL_STATE(649)] = 11342,
  [SMALL_STATE(650)] = 11358,
  [SMALL_STATE(651)] = 11374,
  [SMALL_STATE(652)] = 11390,
  [SMALL_STATE(653)] = 11406,
  [SMALL_STATE(654)] = 11422,
  [SMALL_STATE(655)] = 11438,
  [SMALL_STATE(656)] = 11454,
  [SMALL_STATE(657)] = 11468,
  [SMALL_STATE(658)] = 11484,
  [SMALL_STATE(659)] = 11500,
  [SMALL_STATE(660)] = 11516,
  [SMALL_STATE(661)] = 11530,
  [SMALL_STATE(662)] = 11546,
  [SMALL_STATE(663)] = 11560,
  [SMALL_STATE(664)] = 11576,
  [SMALL_STATE(665)] = 11592,
  [SMALL_STATE(666)] = 11608,
  [SMALL_STATE(667)] = 11624,
  [SMALL_STATE(668)] = 11640,
  [SMALL_STATE(669)] = 11656,
  [SMALL_STATE(670)] = 11672,
  [SMALL_STATE(671)] = 11688,
  [SMALL_STATE(672)] = 11702,
  [SMALL_STATE(673)] = 11716,
  [SMALL_STATE(674)] = 11732,
  [SMALL_STATE(675)] = 11748,
  [SMALL_STATE(676)] = 11764,
  [SMALL_STATE(677)] = 11780,
  [SMALL_STATE(678)] = 11796,
  [SMALL_STATE(679)] = 11812,
  [SMALL_STATE(680)] = 11828,
  [SMALL_STATE(681)] = 11842,
  [SMALL_STATE(682)] = 11856,
  [SMALL_STATE(683)] = 11870,
  [SMALL_STATE(684)] = 11886,
  [SMALL_STATE(685)] = 11902,
  [SMALL_STATE(686)] = 11918,
  [SMALL_STATE(687)] = 11934,
  [SMALL_STATE(688)] = 11950,
  [SMALL_STATE(689)] = 11966,
  [SMALL_STATE(690)] = 11982,
  [SMALL_STATE(691)] = 11998,
  [SMALL_STATE(692)] = 12014,
  [SMALL_STATE(693)] = 12030,
  [SMALL_STATE(694)] = 12046,
  [SMALL_STATE(695)] = 12056,
  [SMALL_STATE(696)] = 12070,
  [SMALL_STATE(697)] = 12084,
  [SMALL_STATE(698)] = 12100,
  [SMALL_STATE(699)] = 12110,
  [SMALL_STATE(700)] = 12126,
  [SMALL_STATE(701)] = 12142,
  [SMALL_STATE(702)] = 12158,
  [SMALL_STATE(703)] = 12174,
  [SMALL_STATE(704)] = 12190,
  [SMALL_STATE(705)] = 12206,
  [SMALL_STATE(706)] = 12222,
  [SMALL_STATE(707)] = 12238,
  [SMALL_STATE(708)] = 12254,
  [SMALL_STATE(709)] = 12270,
  [SMALL_STATE(710)] = 12286,
  [SMALL_STATE(711)] = 12302,
  [SMALL_STATE(712)] = 12318,
  [SMALL_STATE(713)] = 12331,
  [SMALL_STATE(714)] = 12344,
  [SMALL_STATE(715)] = 12357,
  [SMALL_STATE(716)] = 12370,
  [SMALL_STATE(717)] = 12383,
  [SMALL_STATE(718)] = 12396,
  [SMALL_STATE(719)] = 12409,
  [SMALL_STATE(720)] = 12422,
  [SMALL_STATE(721)] = 12435,
  [SMALL_STATE(722)] = 12448,
  [SMALL_STATE(723)] = 12459,
  [SMALL_STATE(724)] = 12472,
  [SMALL_STATE(725)] = 12485,
  [SMALL_STATE(726)] = 12496,
  [SMALL_STATE(727)] = 12509,
  [SMALL_STATE(728)] = 12522,
  [SMALL_STATE(729)] = 12535,
  [SMALL_STATE(730)] = 12548,
  [SMALL_STATE(731)] = 12561,
  [SMALL_STATE(732)] = 12574,
  [SMALL_STATE(733)] = 12587,
  [SMALL_STATE(734)] = 12598,
  [SMALL_STATE(735)] = 12611,
  [SMALL_STATE(736)] = 12624,
  [SMALL_STATE(737)] = 12637,
  [SMALL_STATE(738)] = 12648,
  [SMALL_STATE(739)] = 12661,
  [SMALL_STATE(740)] = 12674,
  [SMALL_STATE(741)] = 12687,
  [SMALL_STATE(742)] = 12700,
  [SMALL_STATE(743)] = 12713,
  [SMALL_STATE(744)] = 12726,
  [SMALL_STATE(745)] = 12739,
  [SMALL_STATE(746)] = 12752,
  [SMALL_STATE(747)] = 12765,
  [SMALL_STATE(748)] = 12778,
  [SMALL_STATE(749)] = 12791,
  [SMALL_STATE(750)] = 12804,
  [SMALL_STATE(751)] = 12817,
  [SMALL_STATE(752)] = 12830,
  [SMALL_STATE(753)] = 12843,
  [SMALL_STATE(754)] = 12856,
  [SMALL_STATE(755)] = 12869,
  [SMALL_STATE(756)] = 12882,
  [SMALL_STATE(757)] = 12895,
  [SMALL_STATE(758)] = 12908,
  [SMALL_STATE(759)] = 12921,
  [SMALL_STATE(760)] = 12934,
  [SMALL_STATE(761)] = 12947,
  [SMALL_STATE(762)] = 12956,
  [SMALL_STATE(763)] = 12969,
  [SMALL_STATE(764)] = 12982,
  [SMALL_STATE(765)] = 12995,
  [SMALL_STATE(766)] = 13008,
  [SMALL_STATE(767)] = 13021,
  [SMALL_STATE(768)] = 13034,
  [SMALL_STATE(769)] = 13047,
  [SMALL_STATE(770)] = 13056,
  [SMALL_STATE(771)] = 13069,
  [SMALL_STATE(772)] = 13082,
  [SMALL_STATE(773)] = 13095,
  [SMALL_STATE(774)] = 13108,
  [SMALL_STATE(775)] = 13121,
  [SMALL_STATE(776)] = 13134,
  [SMALL_STATE(777)] = 13147,
  [SMALL_STATE(778)] = 13160,
  [SMALL_STATE(779)] = 13173,
  [SMALL_STATE(780)] = 13186,
  [SMALL_STATE(781)] = 13199,
  [SMALL_STATE(782)] = 13212,
  [SMALL_STATE(783)] = 13225,
  [SMALL_STATE(784)] = 13238,
  [SMALL_STATE(785)] = 13251,
  [SMALL_STATE(786)] = 13264,
  [SMALL_STATE(787)] = 13277,
  [SMALL_STATE(788)] = 13290,
  [SMALL_STATE(789)] = 13303,
  [SMALL_STATE(790)] = 13316,
  [SMALL_STATE(791)] = 13329,
  [SMALL_STATE(792)] = 13342,
  [SMALL_STATE(793)] = 13355,
  [SMALL_STATE(794)] = 13368,
  [SMALL_STATE(795)] = 13381,
  [SMALL_STATE(796)] = 13394,
  [SMALL_STATE(797)] = 13407,
  [SMALL_STATE(798)] = 13418,
  [SMALL_STATE(799)] = 13431,
  [SMALL_STATE(800)] = 13444,
  [SMALL_STATE(801)] = 13457,
  [SMALL_STATE(802)] = 13470,
  [SMALL_STATE(803)] = 13483,
  [SMALL_STATE(804)] = 13496,
  [SMALL_STATE(805)] = 13509,
  [SMALL_STATE(806)] = 13522,
  [SMALL_STATE(807)] = 13535,
  [SMALL_STATE(808)] = 13548,
  [SMALL_STATE(809)] = 13561,
  [SMALL_STATE(810)] = 13574,
  [SMALL_STATE(811)] = 13587,
  [SMALL_STATE(812)] = 13600,
  [SMALL_STATE(813)] = 13613,
  [SMALL_STATE(814)] = 13626,
  [SMALL_STATE(815)] = 13639,
  [SMALL_STATE(816)] = 13652,
  [SMALL_STATE(817)] = 13665,
  [SMALL_STATE(818)] = 13678,
  [SMALL_STATE(819)] = 13691,
  [SMALL_STATE(820)] = 13704,
  [SMALL_STATE(821)] = 13717,
  [SMALL_STATE(822)] = 13730,
  [SMALL_STATE(823)] = 13743,
  [SMALL_STATE(824)] = 13756,
  [SMALL_STATE(825)] = 13769,
  [SMALL_STATE(826)] = 13782,
  [SMALL_STATE(827)] = 13795,
  [SMALL_STATE(828)] = 13808,
  [SMALL_STATE(829)] = 13821,
  [SMALL_STATE(830)] = 13834,
  [SMALL_STATE(831)] = 13847,
  [SMALL_STATE(832)] = 13860,
  [SMALL_STATE(833)] = 13873,
  [SMALL_STATE(834)] = 13886,
  [SMALL_STATE(835)] = 13899,
  [SMALL_STATE(836)] = 13912,
  [SMALL_STATE(837)] = 13925,
  [SMALL_STATE(838)] = 13938,
  [SMALL_STATE(839)] = 13951,
  [SMALL_STATE(840)] = 13964,
  [SMALL_STATE(841)] = 13977,
  [SMALL_STATE(842)] = 13990,
  [SMALL_STATE(843)] = 14003,
  [SMALL_STATE(844)] = 14014,
  [SMALL_STATE(845)] = 14027,
  [SMALL_STATE(846)] = 14040,
  [SMALL_STATE(847)] = 14053,
  [SMALL_STATE(848)] = 14063,
  [SMALL_STATE(849)] = 14073,
  [SMALL_STATE(850)] = 14083,
  [SMALL_STATE(851)] = 14091,
  [SMALL_STATE(852)] = 14099,
  [SMALL_STATE(853)] = 14107,
  [SMALL_STATE(854)] = 14117,
  [SMALL_STATE(855)] = 14127,
  [SMALL_STATE(856)] = 14135,
  [SMALL_STATE(857)] = 14145,
  [SMALL_STATE(858)] = 14155,
  [SMALL_STATE(859)] = 14165,
  [SMALL_STATE(860)] = 14175,
  [SMALL_STATE(861)] = 14183,
  [SMALL_STATE(862)] = 14191,
  [SMALL_STATE(863)] = 14201,
  [SMALL_STATE(864)] = 14209,
  [SMALL_STATE(865)] = 14217,
  [SMALL_STATE(866)] = 14227,
  [SMALL_STATE(867)] = 14237,
  [SMALL_STATE(868)] = 14247,
  [SMALL_STATE(869)] = 14255,
  [SMALL_STATE(870)] = 14263,
  [SMALL_STATE(871)] = 14273,
  [SMALL_STATE(872)] = 14283,
  [SMALL_STATE(873)] = 14293,
  [SMALL_STATE(874)] = 14303,
  [SMALL_STATE(875)] = 14311,
  [SMALL_STATE(876)] = 14321,
  [SMALL_STATE(877)] = 14329,
  [SMALL_STATE(878)] = 14339,
  [SMALL_STATE(879)] = 14349,
  [SMALL_STATE(880)] = 14359,
  [SMALL_STATE(881)] = 14369,
  [SMALL_STATE(882)] = 14379,
  [SMALL_STATE(883)] = 14387,
  [SMALL_STATE(884)] = 14397,
  [SMALL_STATE(885)] = 14407,
  [SMALL_STATE(886)] = 14417,
  [SMALL_STATE(887)] = 14427,
  [SMALL_STATE(888)] = 14437,
  [SMALL_STATE(889)] = 14447,
  [SMALL_STATE(890)] = 14457,
  [SMALL_STATE(891)] = 14467,
  [SMALL_STATE(892)] = 14477,
  [SMALL_STATE(893)] = 14487,
  [SMALL_STATE(894)] = 14497,
  [SMALL_STATE(895)] = 14507,
  [SMALL_STATE(896)] = 14517,
  [SMALL_STATE(897)] = 14527,
  [SMALL_STATE(898)] = 14537,
  [SMALL_STATE(899)] = 14547,
  [SMALL_STATE(900)] = 14557,
  [SMALL_STATE(901)] = 14565,
  [SMALL_STATE(902)] = 14573,
  [SMALL_STATE(903)] = 14581,
  [SMALL_STATE(904)] = 14591,
  [SMALL_STATE(905)] = 14601,
  [SMALL_STATE(906)] = 14611,
  [SMALL_STATE(907)] = 14619,
  [SMALL_STATE(908)] = 14629,
  [SMALL_STATE(909)] = 14639,
  [SMALL_STATE(910)] = 14649,
  [SMALL_STATE(911)] = 14659,
  [SMALL_STATE(912)] = 14669,
  [SMALL_STATE(913)] = 14679,
  [SMALL_STATE(914)] = 14689,
  [SMALL_STATE(915)] = 14699,
  [SMALL_STATE(916)] = 14709,
  [SMALL_STATE(917)] = 14719,
  [SMALL_STATE(918)] = 14729,
  [SMALL_STATE(919)] = 14739,
  [SMALL_STATE(920)] = 14747,
  [SMALL_STATE(921)] = 14757,
  [SMALL_STATE(922)] = 14765,
  [SMALL_STATE(923)] = 14775,
  [SMALL_STATE(924)] = 14785,
  [SMALL_STATE(925)] = 14795,
  [SMALL_STATE(926)] = 14805,
  [SMALL_STATE(927)] = 14815,
  [SMALL_STATE(928)] = 14825,
  [SMALL_STATE(929)] = 14835,
  [SMALL_STATE(930)] = 14845,
  [SMALL_STATE(931)] = 14855,
  [SMALL_STATE(932)] = 14865,
  [SMALL_STATE(933)] = 14875,
  [SMALL_STATE(934)] = 14885,
  [SMALL_STATE(935)] = 14895,
  [SMALL_STATE(936)] = 14905,
  [SMALL_STATE(937)] = 14915,
  [SMALL_STATE(938)] = 14925,
  [SMALL_STATE(939)] = 14935,
  [SMALL_STATE(940)] = 14943,
  [SMALL_STATE(941)] = 14951,
  [SMALL_STATE(942)] = 14961,
  [SMALL_STATE(943)] = 14971,
  [SMALL_STATE(944)] = 14981,
  [SMALL_STATE(945)] = 14991,
  [SMALL_STATE(946)] = 15001,
  [SMALL_STATE(947)] = 15009,
  [SMALL_STATE(948)] = 15019,
  [SMALL_STATE(949)] = 15029,
  [SMALL_STATE(950)] = 15039,
  [SMALL_STATE(951)] = 15049,
  [SMALL_STATE(952)] = 15057,
  [SMALL_STATE(953)] = 15065,
  [SMALL_STATE(954)] = 15075,
  [SMALL_STATE(955)] = 15085,
  [SMALL_STATE(956)] = 15095,
  [SMALL_STATE(957)] = 15105,
  [SMALL_STATE(958)] = 15113,
  [SMALL_STATE(959)] = 15123,
  [SMALL_STATE(960)] = 15133,
  [SMALL_STATE(961)] = 15143,
  [SMALL_STATE(962)] = 15153,
  [SMALL_STATE(963)] = 15163,
  [SMALL_STATE(964)] = 15171,
  [SMALL_STATE(965)] = 15181,
  [SMALL_STATE(966)] = 15189,
  [SMALL_STATE(967)] = 15197,
  [SMALL_STATE(968)] = 15207,
  [SMALL_STATE(969)] = 15217,
  [SMALL_STATE(970)] = 15227,
  [SMALL_STATE(971)] = 15237,
  [SMALL_STATE(972)] = 15247,
  [SMALL_STATE(973)] = 15257,
  [SMALL_STATE(974)] = 15267,
  [SMALL_STATE(975)] = 15275,
  [SMALL_STATE(976)] = 15285,
  [SMALL_STATE(977)] = 15293,
  [SMALL_STATE(978)] = 15301,
  [SMALL_STATE(979)] = 15309,
  [SMALL_STATE(980)] = 15319,
  [SMALL_STATE(981)] = 15327,
  [SMALL_STATE(982)] = 15334,
  [SMALL_STATE(983)] = 15341,
  [SMALL_STATE(984)] = 15348,
  [SMALL_STATE(985)] = 15355,
  [SMALL_STATE(986)] = 15362,
  [SMALL_STATE(987)] = 15369,
  [SMALL_STATE(988)] = 15376,
  [SMALL_STATE(989)] = 15383,
  [SMALL_STATE(990)] = 15390,
  [SMALL_STATE(991)] = 15397,
  [SMALL_STATE(992)] = 15404,
  [SMALL_STATE(993)] = 15411,
  [SMALL_STATE(994)] = 15418,
  [SMALL_STATE(995)] = 15425,
  [SMALL_STATE(996)] = 15432,
  [SMALL_STATE(997)] = 15439,
  [SMALL_STATE(998)] = 15446,
  [SMALL_STATE(999)] = 15453,
  [SMALL_STATE(1000)] = 15460,
  [SMALL_STATE(1001)] = 15467,
  [SMALL_STATE(1002)] = 15474,
  [SMALL_STATE(1003)] = 15481,
  [SMALL_STATE(1004)] = 15488,
  [SMALL_STATE(1005)] = 15495,
  [SMALL_STATE(1006)] = 15502,
  [SMALL_STATE(1007)] = 15509,
  [SMALL_STATE(1008)] = 15516,
  [SMALL_STATE(1009)] = 15523,
  [SMALL_STATE(1010)] = 15530,
  [SMALL_STATE(1011)] = 15537,
  [SMALL_STATE(1012)] = 15544,
  [SMALL_STATE(1013)] = 15551,
  [SMALL_STATE(1014)] = 15558,
  [SMALL_STATE(1015)] = 15565,
  [SMALL_STATE(1016)] = 15572,
  [SMALL_STATE(1017)] = 15579,
  [SMALL_STATE(1018)] = 15586,
  [SMALL_STATE(1019)] = 15593,
  [SMALL_STATE(1020)] = 15600,
  [SMALL_STATE(1021)] = 15607,
  [SMALL_STATE(1022)] = 15614,
  [SMALL_STATE(1023)] = 15621,
  [SMALL_STATE(1024)] = 15628,
  [SMALL_STATE(1025)] = 15635,
  [SMALL_STATE(1026)] = 15642,
  [SMALL_STATE(1027)] = 15649,
  [SMALL_STATE(1028)] = 15656,
  [SMALL_STATE(1029)] = 15663,
  [SMALL_STATE(1030)] = 15670,
  [SMALL_STATE(1031)] = 15677,
  [SMALL_STATE(1032)] = 15684,
  [SMALL_STATE(1033)] = 15691,
  [SMALL_STATE(1034)] = 15698,
  [SMALL_STATE(1035)] = 15705,
  [SMALL_STATE(1036)] = 15712,
  [SMALL_STATE(1037)] = 15719,
  [SMALL_STATE(1038)] = 15726,
  [SMALL_STATE(1039)] = 15733,
  [SMALL_STATE(1040)] = 15740,
  [SMALL_STATE(1041)] = 15747,
  [SMALL_STATE(1042)] = 15754,
  [SMALL_STATE(1043)] = 15761,
  [SMALL_STATE(1044)] = 15768,
  [SMALL_STATE(1045)] = 15775,
  [SMALL_STATE(1046)] = 15782,
  [SMALL_STATE(1047)] = 15789,
  [SMALL_STATE(1048)] = 15796,
  [SMALL_STATE(1049)] = 15803,
  [SMALL_STATE(1050)] = 15810,
  [SMALL_STATE(1051)] = 15817,
  [SMALL_STATE(1052)] = 15824,
  [SMALL_STATE(1053)] = 15831,
  [SMALL_STATE(1054)] = 15838,
  [SMALL_STATE(1055)] = 15845,
  [SMALL_STATE(1056)] = 15852,
  [SMALL_STATE(1057)] = 15859,
  [SMALL_STATE(1058)] = 15866,
  [SMALL_STATE(1059)] = 15873,
  [SMALL_STATE(1060)] = 15880,
  [SMALL_STATE(1061)] = 15887,
  [SMALL_STATE(1062)] = 15894,
  [SMALL_STATE(1063)] = 15901,
  [SMALL_STATE(1064)] = 15908,
  [SMALL_STATE(1065)] = 15915,
  [SMALL_STATE(1066)] = 15922,
  [SMALL_STATE(1067)] = 15929,
  [SMALL_STATE(1068)] = 15936,
  [SMALL_STATE(1069)] = 15943,
  [SMALL_STATE(1070)] = 15950,
  [SMALL_STATE(1071)] = 15957,
  [SMALL_STATE(1072)] = 15964,
  [SMALL_STATE(1073)] = 15971,
  [SMALL_STATE(1074)] = 15978,
  [SMALL_STATE(1075)] = 15985,
  [SMALL_STATE(1076)] = 15992,
  [SMALL_STATE(1077)] = 15999,
  [SMALL_STATE(1078)] = 16006,
  [SMALL_STATE(1079)] = 16013,
  [SMALL_STATE(1080)] = 16020,
  [SMALL_STATE(1081)] = 16027,
  [SMALL_STATE(1082)] = 16034,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(67),
  [119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(85),
  [122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4),
  [125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0),
  [127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1002),
  [130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(26),
  [133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1053),
  [136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(639),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(885),
  [142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(886),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(480),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(479),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(988),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(897),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(420),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(419),
  [163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(38),
  [166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(36),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1028),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(508),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1012),
  [178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(12),
  [181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(68),
  [184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(70),
  [187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(870),
  [190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(229),
  [193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(47),
  [196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(56),
  [199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(63),
  [202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1064),
  [205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(437),
  [208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(437),
  [211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(949),
  [214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(610),
  [217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(609),
  [220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(954),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_tuple_repeat1, 1, 0, 0), REDUCE(aux_sym_tuple_expression_repeat1, 1, 0, 0),
  [264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 1, 0, 0),
  [290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(554),
  [323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(613),
  [326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(588),
  [329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1017),
  [332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(982),
  [335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(983),
  [338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1006),
  [341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1020),
  [344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1021),
  [347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1048),
  [350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1081),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(700),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(714),
  [359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(420),
  [362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(419),
  [365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1064),
  [368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(602),
  [377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 90),
  [379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 90),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, 0, 107),
  [385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, 0, 107),
  [387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_statement, 4, 0, 0),
  [393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_statement, 4, 0, 0),
  [395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_statement, 3, 0, 0),
  [397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_statement, 3, 0, 0),
  [399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration_statement, 2, 0, 0),
  [401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration_statement, 2, 0, 0),
  [403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, 0, 101),
  [405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 101),
  [407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_statement, 2, 0, 0),
  [409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_statement, 2, 0, 0),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration_statement, 4, 0, 91),
  [437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration_statement, 4, 0, 91),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 3, 0, 54),
  [443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 3, 0, 54),
  [445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 4, 0, 63),
  [447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 4, 0, 63),
  [449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_contract_body_repeat1, 2, 0, 0), SHIFT_REPEAT(554),
  [452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_contract_body_repeat1, 2, 0, 0),
  [454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_contract_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1059),
  [457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_contract_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1060),
  [460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_contract_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1076),
  [463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_contract_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1061),
  [466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_contract_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1073),
  [469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_contract_body_repeat1, 2, 0, 0), SHIFT_REPEAT(703),
  [472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_contract_body_repeat1, 2, 0, 0), SHIFT_REPEAT(829),
  [475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_contract_body_repeat1, 2, 0, 0), SHIFT_REPEAT(420),
  [478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_contract_body_repeat1, 2, 0, 0), SHIFT_REPEAT(419),
  [481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_contract_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1074),
  [484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_contract_body_repeat1, 2, 0, 0), SHIFT_REPEAT(856),
  [487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_contract_body_repeat1, 2, 0, 0), SHIFT_REPEAT(857),
  [490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_contract_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1062),
  [493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_contract_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1064),
  [496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revert_statement, 2, 0, 0),
  [498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revert_statement, 2, 0, 0),
  [500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revert_statement, 4, 0, 89),
  [502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revert_statement, 4, 0, 89),
  [504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assembly_statement, 3, 0, 0),
  [506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assembly_statement, 3, 0, 0),
  [508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 109),
  [510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 109),
  [512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 112),
  [514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 112),
  [516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_while_statement, 7, 0, 113),
  [518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_while_statement, 7, 0, 113),
  [520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revert_statement, 3, 0, 71),
  [522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revert_statement, 3, 0, 71),
  [524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_emit_statement, 4, 0, 26),
  [530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_emit_statement, 4, 0, 26),
  [532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assembly_statement, 5, 0, 0),
  [542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assembly_statement, 5, 0, 0),
  [544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assembly_statement, 4, 0, 0),
  [546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assembly_statement, 4, 0, 0),
  [548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assembly_statement, 5, 0, 99),
  [554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assembly_statement, 5, 0, 99),
  [556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assembly_statement, 5, 0, 88),
  [558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assembly_statement, 5, 0, 88),
  [560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 100),
  [562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 100),
  [564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 100),
  [568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 100),
  [570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 104),
  [572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 104),
  [574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assembly_statement, 6, 0, 99),
  [576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assembly_statement, 6, 0, 99),
  [578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assembly_statement, 4, 0, 88),
  [580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assembly_statement, 4, 0, 88),
  [582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_revert_statement, 3, 0, 72),
  [584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_revert_statement, 3, 0, 72),
  [586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(554),
  [589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_declaration_repeat1, 2, 0, 0),
  [591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(897),
  [594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(420),
  [597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(419),
  [600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1064),
  [603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_tuple_repeat1, 1, 0, 0),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contract_declaration, 5, 0, 39),
  [645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_contract_declaration, 5, 0, 39),
  [647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 26),
  [649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 26),
  [651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_defined_type_definition, 5, 0, 26),
  [653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_defined_type_definition, 5, 0, 26),
  [655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contract_declaration, 5, 0, 35),
  [657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_contract_declaration, 5, 0, 35),
  [659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contract_body, 3, 0, 0),
  [661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_contract_body, 3, 0, 0),
  [663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contract_declaration, 4, 0, 23),
  [665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_contract_declaration, 4, 0, 23),
  [667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 10, 0, 102),
  [669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 10, 0, 102),
  [671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 10, 0, 96),
  [673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 10, 0, 96),
  [675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 10, 0, 103),
  [677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 10, 0, 103),
  [679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 10, 0, 97),
  [681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 10, 0, 97),
  [683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_declaration, 6, 0, 26),
  [685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_declaration, 6, 0, 26),
  [687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_declaration, 5, 0, 26),
  [689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_declaration, 5, 0, 26),
  [691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_declaration, 8, 0, 26),
  [693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_declaration, 8, 0, 26),
  [695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 5, 0, 26),
  [697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 5, 0, 26),
  [699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 3, 0, 0),
  [701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_body, 3, 0, 0),
  [703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pragma_directive, 3, 0, 0),
  [705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pragma_directive, 3, 0, 0),
  [707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 11, 0, 102),
  [709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 11, 0, 102),
  [711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 11, 0, 108),
  [713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 11, 0, 108),
  [715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 11, 0, 103),
  [717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 11, 0, 103),
  [719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 57),
  [721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 57),
  [723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 58),
  [725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 58),
  [727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 40),
  [729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 40),
  [731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_variable_declaration, 6, 0, 61),
  [733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_variable_declaration, 6, 0, 61),
  [735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 12, 0, 108),
  [737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 12, 0, 108),
  [739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 40),
  [741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 40),
  [743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 8, 0, 85),
  [745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 8, 0, 85),
  [747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 5, 0, 43),
  [749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 5, 0, 43),
  [751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 8, 0, 70),
  [753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 8, 0, 70),
  [755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 25),
  [757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 25),
  [759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 2, 0, 0),
  [761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_body, 2, 0, 0),
  [763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 48),
  [765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 48),
  [767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 6, 0, 43),
  [769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 6, 0, 43),
  [771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_declaration, 7, 0, 26),
  [773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_declaration, 7, 0, 26),
  [775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 13),
  [777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 13),
  [779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contract_body, 2, 0, 0),
  [781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_contract_body, 2, 0, 0),
  [783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_library_declaration, 3, 0, 13),
  [785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_library_declaration, 3, 0, 13),
  [787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 40),
  [789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, 0, 40),
  [791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 8, 0, 86),
  [793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 8, 0, 86),
  [795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 7, 0, 70),
  [797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 7, 0, 70),
  [799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_directive, 4, 0, 22),
  [801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_directive, 4, 0, 22),
  [803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 9, 0, 85),
  [805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 9, 0, 85),
  [807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 9, 0, 96),
  [809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 9, 0, 96),
  [811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contract_declaration, 6, 0, 53),
  [813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_contract_declaration, 6, 0, 53),
  [815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 9, 0, 97),
  [817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 9, 0, 97),
  [819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 9, 0, 86),
  [821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 9, 0, 86),
  [823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contract_declaration, 4, 0, 25),
  [825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_contract_declaration, 4, 0, 25),
  [827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 25),
  [829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 25),
  [831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contract_declaration, 3, 0, 13),
  [833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_contract_declaration, 3, 0, 13),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_directive, 3, 0, 11),
  [839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_directive, 3, 0, 11),
  [841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 45),
  [843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 45),
  [845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 46),
  [847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 46),
  [849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 47),
  [851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 47),
  [853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 26),
  [855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 26),
  [857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fallback_definition, 4, 0, 67),
  [859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fallback_definition, 4, 0, 67),
  [861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_receive_definition, 4, 0, 63),
  [863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receive_definition, 4, 0, 63),
  [865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_receive_definition, 4, 0, 0),
  [867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receive_definition, 4, 0, 0),
  [869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_modifier_definition, 5, 0, 39),
  [871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modifier_definition, 5, 0, 39),
  [873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_modifier_definition, 5, 0, 26),
  [875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modifier_definition, 5, 0, 26),
  [877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fallback_definition, 5, 0, 79),
  [879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fallback_definition, 5, 0, 79),
  [881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fallback_definition, 5, 0, 80),
  [883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fallback_definition, 5, 0, 80),
  [885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_receive_definition, 5, 0, 81),
  [887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receive_definition, 5, 0, 81),
  [889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_receive_definition, 5, 0, 82),
  [891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receive_definition, 5, 0, 82),
  [893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_state_variable_declaration, 5, 0, 84),
  [895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_state_variable_declaration, 5, 0, 84),
  [897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_state_variable_declaration, 4, 0, 68),
  [899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_state_variable_declaration, 4, 0, 68),
  [901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_state_variable_declaration, 3, 0, 27),
  [903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_state_variable_declaration, 3, 0, 27),
  [905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_modifier_definition, 3, 0, 13),
  [907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modifier_definition, 3, 0, 13),
  [909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_modifier_definition, 3, 0, 26),
  [911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modifier_definition, 3, 0, 26),
  [913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_definition, 3, 0, 54),
  [915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_definition, 3, 0, 54),
  [917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fallback_definition, 3, 0, 54),
  [919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fallback_definition, 3, 0, 54),
  [921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fallback_definition, 3, 0, 0),
  [923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fallback_definition, 3, 0, 0),
  [925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_definition, 4, 0, 26),
  [927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_definition, 4, 0, 26),
  [929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_state_variable_declaration, 6, 0, 95),
  [931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_state_variable_declaration, 6, 0, 95),
  [933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_modifier_definition, 4, 0, 25),
  [935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modifier_definition, 4, 0, 25),
  [937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_modifier_definition, 4, 0, 26),
  [939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modifier_definition, 4, 0, 26),
  [941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_definition, 4, 0, 63),
  [943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_definition, 4, 0, 63),
  [945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fallback_definition, 4, 0, 64),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fallback_definition, 4, 0, 64),
  [949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fallback_definition, 4, 0, 65),
  [951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fallback_definition, 4, 0, 65),
  [953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fallback_definition, 4, 0, 66),
  [955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fallback_definition, 4, 0, 66),
  [957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_definition, 5, 0, 26),
  [959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_definition, 5, 0, 26),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_assembly_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(334),
  [998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assembly_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(311),
  [1001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_assembly_statement_repeat1, 2, 0, 0),
  [1003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_assembly_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(849),
  [1006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_assembly_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(308),
  [1009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_assembly_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(370),
  [1012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_assembly_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(371),
  [1015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assembly_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(308),
  [1018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_assembly_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(339),
  [1021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_assembly_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(751),
  [1024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_assembly_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(360),
  [1027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_assembly_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(361),
  [1030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_assembly_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(865),
  [1033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_assembly_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(333),
  [1036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_assembly_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(968),
  [1039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assembly_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(620),
  [1042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assembly_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(621),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_member, 3, 0, 27),
  [1087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_member, 3, 0, 27),
  [1089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_path, 1, 0, 0),
  [1091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_path, 1, 0, 0),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [1097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_path, 2, 0, 0),
  [1099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_path, 2, 0, 0),
  [1101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_identifier, 1, 0, 0),
  [1103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_identifier, 1, 0, 0),
  [1105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_yul_path_repeat1, 2, 0, 0),
  [1107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_yul_path_repeat1, 2, 0, 0),
  [1109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_yul_path_repeat1, 2, 0, 0), SHIFT_REPEAT(934),
  [1112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_assignment, 3, 0, 0),
  [1114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_assignment, 3, 0, 0),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [1118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_assignment, 1, 0, 0),
  [1122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_assignment, 1, 0, 0),
  [1124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [1126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [1128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_function_call, 1, 0, 32),
  [1130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_function_call, 1, 0, 32),
  [1132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_assignment, 2, 0, 0),
  [1134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_assignment, 2, 0, 0),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_evm_builtin, 1, 0, 0),
  [1142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_evm_builtin, 1, 0, 0),
  [1144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_yul_identifier, 1, 0, 0), SHIFT(372),
  [1147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_string_literal, 1, 0, 0),
  [1149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_string_literal, 1, 0, 0),
  [1151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_function_call, 6, 0, 32),
  [1153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_function_call, 6, 0, 32),
  [1155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_yul_assignment_repeat1, 2, 0, 0),
  [1157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_yul_assignment_repeat1, 2, 0, 0),
  [1159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_yul_assignment_repeat1, 2, 0, 0), SHIFT_REPEAT(782),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_function_call, 4, 0, 32),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_function_call, 4, 0, 32),
  [1166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_boolean, 1, 0, 0),
  [1168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_boolean, 1, 0, 0),
  [1170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_yul_variable_declaration_repeat1, 2, 0, 0),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_yul_variable_declaration_repeat1, 2, 0, 0),
  [1174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_yul_variable_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(969),
  [1177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_function_call, 3, 0, 32),
  [1179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_function_call, 3, 0, 32),
  [1181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_function_call, 5, 0, 32),
  [1183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_function_call, 5, 0, 32),
  [1185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_yul_switch_statement_repeat1, 2, 0, 0),
  [1187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_yul_switch_statement_repeat1, 2, 0, 0),
  [1189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_yul_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(576),
  [1192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_switch_statement, 3, 0, 0),
  [1194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_switch_statement, 3, 0, 0),
  [1196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [1198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [1200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_variable_declaration, 3, 0, 98),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_variable_declaration, 3, 0, 98),
  [1204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_variable_declaration, 2, 0, 87),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_variable_declaration, 2, 0, 87),
  [1212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [1216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_variable_declaration, 4, 0, 105),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_variable_declaration, 4, 0, 105),
  [1220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [1222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [1224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [1228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [1230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [1232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [1234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [1236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_block, 3, 0, 0),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_block, 3, 0, 0),
  [1242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_yul_switch_statement_repeat1, 3, 0, 0),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_yul_switch_statement_repeat1, 3, 0, 0),
  [1246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_block, 2, 0, 0),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_block, 2, 0, 0),
  [1250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_variable_declaration, 5, 0, 110),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_variable_declaration, 5, 0, 110),
  [1254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [1258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_hex_string_literal_repeat2, 2, 0, 0),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_hex_string_literal_repeat2, 2, 0, 0),
  [1264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_hex_string_literal_repeat2, 2, 0, 0), SHIFT_REPEAT(968),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [1275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_variable_declaration, 6, 0, 115),
  [1277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_variable_declaration, 6, 0, 115),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [1289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hex_string_literal, 1, 0, 0),
  [1291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hex_string_literal, 1, 0, 0),
  [1293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_hex_string_literal_repeat2, 5, 0, 0),
  [1295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_hex_string_literal_repeat2, 5, 0, 0),
  [1297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_hex_string_literal_repeat2, 3, 0, 0),
  [1299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_hex_string_literal_repeat2, 3, 0, 0),
  [1301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_break, 1, 0, 0),
  [1303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_break, 1, 0, 0),
  [1305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_continue, 1, 0, 0),
  [1307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_continue, 1, 0, 0),
  [1309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_label, 2, 0, 0),
  [1311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_label, 2, 0, 0),
  [1313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_if_statement, 3, 0, 0),
  [1315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_if_statement, 3, 0, 0),
  [1317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__yul_expression, 1, 0, 0), REDUCE(sym_yul_assignment, 3, 0, 0),
  [1320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__yul_expression, 1, 0, 0), REDUCE(sym_yul_assignment, 3, 0, 0),
  [1323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_variable_declaration, 4, 0, 106),
  [1325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_variable_declaration, 4, 0, 106),
  [1327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_switch_statement, 4, 0, 0),
  [1329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_switch_statement, 4, 0, 0),
  [1331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_hex_string_literal_repeat2, 4, 0, 0),
  [1333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_hex_string_literal_repeat2, 4, 0, 0),
  [1335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_for_statement, 5, 0, 0),
  [1337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_for_statement, 5, 0, 0),
  [1339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_variable_declaration, 5, 0, 111),
  [1341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_variable_declaration, 5, 0, 111),
  [1343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_switch_statement, 5, 0, 0),
  [1345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_switch_statement, 5, 0, 0),
  [1347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_function_definition, 5, 0, 0),
  [1349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_function_definition, 5, 0, 0),
  [1351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_assignment, 5, 0, 0),
  [1353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_assignment, 5, 0, 0),
  [1355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_variable_declaration, 6, 0, 114),
  [1357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_variable_declaration, 6, 0, 114),
  [1359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_function_definition, 6, 0, 0),
  [1361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_function_definition, 6, 0, 0),
  [1363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_variable_declaration, 7, 0, 116),
  [1365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_variable_declaration, 7, 0, 116),
  [1367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_function_definition, 7, 0, 0),
  [1369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_function_definition, 7, 0, 0),
  [1371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_variable_declaration, 8, 0, 117),
  [1373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_variable_declaration, 8, 0, 117),
  [1375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_function_definition, 8, 0, 0),
  [1377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_function_definition, 8, 0, 0),
  [1379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_function_definition, 9, 0, 0),
  [1381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_function_definition, 9, 0, 0),
  [1383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_function_definition, 10, 0, 0),
  [1385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_function_definition, 10, 0, 0),
  [1387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_function_definition, 11, 0, 0),
  [1389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_function_definition, 11, 0, 0),
  [1391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_function_definition, 12, 0, 0),
  [1393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_function_definition, 12, 0, 0),
  [1395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yul_assignment, 4, 0, 0),
  [1405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yul_assignment, 4, 0, 0),
  [1407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__yul_assignment_operator, 2, 0, 0),
  [1409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__yul_assignment_operator, 2, 0, 0),
  [1411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__identifier_path_repeat1, 2, 0, 0),
  [1413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__identifier_path_repeat1, 2, 0, 0),
  [1415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__identifier_path_repeat1, 2, 0, 0), SHIFT_REPEAT(1036),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_type, 3, 0, 17),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_type, 3, 0, 17),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [1428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_type, 2, 0, 6),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_type, 2, 0, 6),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_type_repeat1, 2, 0, 29),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_type_repeat1, 2, 0, 29),
  [1436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__function_type_repeat1, 2, 0, 29), SHIFT_REPEAT(412),
  [1439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__function_type_repeat1, 2, 0, 29), SHIFT_REPEAT(416),
  [1442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_list, 4, 0, 0),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_list, 4, 0, 0),
  [1446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_list, 2, 0, 0),
  [1448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_list, 2, 0, 0),
  [1450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility, 1, 0, 0),
  [1452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility, 1, 0, 0),
  [1454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_list, 3, 0, 0),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_list, 3, 0, 0),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_list, 5, 0, 0),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_list, 5, 0, 0),
  [1462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_defined_type, 1, 0, 0),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_defined_type, 1, 0, 0),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_state_mutability, 1, 0, 0),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_state_mutability, 1, 0, 0),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_type_repeat1, 1, 0, 16),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_type_repeat1, 1, 0, 16),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_type_repeat1, 1, 0, 15),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_type_repeat1, 1, 0, 15),
  [1478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [1482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [1484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 2, 0, 0),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 2, 0, 0),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_name, 1, 0, 2),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_name, 1, 0, 2),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__return_parameters, 4, 0, 59),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_parameters, 4, 0, 59),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_type, 3, 0, 6),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_type, 3, 0, 6),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__return_parameters, 5, 0, 59),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_parameters, 5, 0, 59),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__mapping, 7, 0, 74),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mapping, 7, 0, 74),
  [1508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__mapping, 7, 0, 75),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mapping, 7, 0, 75),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_name, 1, 0, 0),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_name, 1, 0, 0),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_type, 4, 0, 17),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_type, 4, 0, 17),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_name, 1, 0, 1),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_name, 1, 0, 1),
  [1524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_type, 3, 0, 0),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_type, 3, 0, 0),
  [1528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__return_parameters, 6, 0, 59),
  [1530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_parameters, 6, 0, 59),
  [1532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__mapping, 8, 0, 92),
  [1534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mapping, 8, 0, 92),
  [1536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_type, 4, 0, 0),
  [1538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_type, 4, 0, 0),
  [1540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__mapping, 6, 0, 60),
  [1542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mapping, 6, 0, 60),
  [1544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_literal, 1, 0, 0),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_literal, 1, 0, 0),
  [1548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__call_arguments, 4, 0, 0),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_arguments, 4, 0, 0),
  [1554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__call_arguments, 3, 0, 0),
  [1556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_arguments, 3, 0, 0),
  [1558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__call_arguments, 5, 0, 0),
  [1560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_arguments, 5, 0, 0),
  [1562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__call_arguments, 2, 0, 0),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_arguments, 2, 0, 0),
  [1566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__identifier_path, 1, 0, 0),
  [1568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), REDUCE(sym__identifier_path, 1, 0, 0),
  [1571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), REDUCE(sym__identifier_path, 1, 0, 0),
  [1574] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), REDUCE(sym__identifier_path, 1, 0, 0), SHIFT(1034),
  [1578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__identifier_path, 2, 0, 0),
  [1580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier_path, 2, 0, 0),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 1, 0, 0),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 1, 0, 0),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [1588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hex_string_literal_repeat2, 2, 0, 0), SHIFT_REPEAT(949),
  [1591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__identifier_path_repeat1, 2, 0, 0), REDUCE(sym_member_expression, 3, 1, 49),
  [1594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__identifier_path_repeat1, 2, 0, 0), REDUCE(sym_member_expression, 3, 1, 49),
  [1597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [1599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [1601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(610),
  [1604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(609),
  [1607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unicode_string_literal, 1, 0, 0),
  [1609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unicode_string_literal, 1, 0, 0),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [1613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unicode_string_literal_repeat3, 2, 0, 0),
  [1615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unicode_string_literal_repeat3, 2, 0, 0),
  [1617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unicode_string_literal_repeat3, 2, 0, 0), SHIFT_REPEAT(954),
  [1620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 30),
  [1622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 30),
  [1624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [1628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 50),
  [1630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 50),
  [1632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [1642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, 0, 0),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [1646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 0),
  [1648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [1650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [1654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 26),
  [1656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 26),
  [1658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [1662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 51),
  [1666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [1668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [1670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [1672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [1674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 30),
  [1676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 30),
  [1678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unicode_string_literal_repeat3, 4, 0, 0),
  [1680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unicode_string_literal_repeat3, 4, 0, 0),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unicode_string_literal_repeat3, 3, 0, 0),
  [1684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unicode_string_literal_repeat3, 3, 0, 0),
  [1686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 51),
  [1688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_access, 6, 0, 93),
  [1690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_access, 6, 0, 93),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_cast_expression, 4, 0, 0),
  [1694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_cast_expression, 4, 0, 0),
  [1696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 4, 0, 0),
  [1698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 4, 0, 0),
  [1700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_array_expression, 4, 0, 0),
  [1702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_array_expression, 4, 0, 0),
  [1704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0),
  [1706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0),
  [1708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(59),
  [1711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_expression, 6, 0, 14),
  [1713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_expression, 6, 0, 14),
  [1715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_type_expression, 4, 0, 0),
  [1717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_type_expression, 4, 0, 0),
  [1719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_false, 1, 0, 0),
  [1721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_false, 1, 0, 0),
  [1723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_true, 1, 0, 0),
  [1725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_true, 1, 0, 0),
  [1727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 31),
  [1729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 31),
  [1731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 32),
  [1733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 32),
  [1735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_expression, 4, 0, 14),
  [1737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_expression, 4, 0, 14),
  [1739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_unit, 1, 0, 0),
  [1741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_unit, 1, 0, 0),
  [1743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number_literal, 2, 0, 0),
  [1745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number_literal, 2, 0, 0),
  [1747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [1749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [1751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 3, 0, 0),
  [1753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 3, 0, 0),
  [1755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 5, 0, 0),
  [1761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 5, 0, 0),
  [1763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 26),
  [1765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 26),
  [1767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_array_expression, 3, 0, 0),
  [1769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_array_expression, 3, 0, 0),
  [1771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_access, 4, 0, 52),
  [1773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_access, 4, 0, 52),
  [1775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_array_expression, 5, 0, 0),
  [1777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_array_expression, 5, 0, 0),
  [1779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_access, 5, 0, 77),
  [1781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_access, 5, 0, 77),
  [1783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_access, 5, 0, 78),
  [1785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_access, 5, 0, 78),
  [1787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 2, 0, 0),
  [1789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 2, 0, 0),
  [1791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_payable_conversion_expression, 2, 0, 0),
  [1793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_payable_conversion_expression, 2, 0, 0),
  [1795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_access, 4, 0, 62),
  [1797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_access, 4, 0, 62),
  [1799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_expression, 3, 0, 14),
  [1801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_expression, 3, 0, 14),
  [1803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_array_expression, 2, 0, 0),
  [1805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_array_expression, 2, 0, 0),
  [1807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 1, 49),
  [1809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 1, 49),
  [1811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_access, 3, 0, 52),
  [1813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_access, 3, 0, 52),
  [1815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_expression, 5, 0, 14),
  [1817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_expression, 5, 0, 14),
  [1819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), REDUCE(sym_type_name, 1, 0, 0),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [1828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [1830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [1832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [1834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [1838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [1840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [1844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_field_assignment, 3, 0, 76),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [1852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_inline_array_expression_repeat1, 2, 0, 0),
  [1854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_struct_argument, 3, 0, 76),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [1860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [1864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0),
  [1866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_argument, 1, 0, 0),
  [1868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [1870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [1874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [1876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [1878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [1880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_layout_specifier, 3, 0, 38),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [1884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [1900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration_tuple, 2, 0, 0),
  [1902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration_tuple, 3, 0, 0),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [1906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier_path, 1, 0, 0),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [1910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [1916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [1920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [1926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 29), SHIFT_REPEAT(554),
  [1933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 29),
  [1935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 29),
  [1937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 29), SHIFT_REPEAT(412),
  [1940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 29), SHIFT_REPEAT(416),
  [1943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 29), SHIFT_REPEAT(562),
  [1946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 29), SHIFT_REPEAT(559),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override_specifier, 1, 0, 0),
  [1961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_override_specifier, 1, 0, 0),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [1969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override_specifier, 5, 0, 0),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_override_specifier, 5, 0, 0),
  [1973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override_specifier, 4, 0, 0),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_override_specifier, 4, 0, 0),
  [1977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override_specifier, 6, 0, 0),
  [1979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_override_specifier, 6, 0, 0),
  [1981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_fallback_definition_repeat1, 2, 0, 29), SHIFT_REPEAT(554),
  [1984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_fallback_definition_repeat1, 2, 0, 29),
  [1986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_fallback_definition_repeat1, 2, 0, 29),
  [1988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_fallback_definition_repeat1, 2, 0, 29), SHIFT_REPEAT(586),
  [1991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_fallback_definition_repeat1, 2, 0, 29), SHIFT_REPEAT(416),
  [1994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_fallback_definition_repeat1, 2, 0, 29), SHIFT_REPEAT(562),
  [1997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_fallback_definition_repeat1, 2, 0, 29), SHIFT_REPEAT(569),
  [2000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_modifier_invocation, 1, 0, 0),
  [2002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modifier_invocation, 1, 0, 0),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [2006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [2008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [2010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_state_variable_declaration_repeat1, 2, 0, 55),
  [2012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_state_variable_declaration_repeat1, 2, 0, 55), SHIFT_REPEAT(572),
  [2015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_state_variable_declaration_repeat1, 2, 0, 55), SHIFT_REPEAT(412),
  [2018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_state_variable_declaration_repeat1, 2, 0, 55), SHIFT_REPEAT(590),
  [2021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_state_variable_declaration_repeat1, 2, 0, 55), SHIFT_REPEAT(562),
  [2024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [2026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [2030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [2034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [2040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [2042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [2044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_definition_repeat1, 1, 0, 15),
  [2046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 1, 0, 15),
  [2048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_definition_repeat1, 1, 0, 16),
  [2050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 1, 0, 16),
  [2052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_modifier_invocation, 2, 0, 0),
  [2054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modifier_invocation, 2, 0, 0),
  [2056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [2060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [2062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_solidity_pragma_token, 2, 0, 8),
  [2064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_solidity_pragma_token_repeat1, 2, 0, 18), SHIFT_REPEAT(584),
  [2067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_solidity_pragma_token_repeat1, 2, 0, 18), SHIFT_REPEAT(1026),
  [2070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_solidity_pragma_token_repeat1, 2, 0, 18), SHIFT_REPEAT(1026),
  [2073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_solidity_pragma_token_repeat1, 2, 0, 18),
  [2075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_solidity_pragma_token, 1, 0, 0),
  [2077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pragma_version_constraint, 2, 0, 0),
  [2079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pragma_version_constraint, 2, 0, 0),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [2083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_solidity_pragma_token_repeat1, 1, 0, 7),
  [2085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_solidity_pragma_token_repeat1, 1, 0, 7),
  [2087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_receive_definition_repeat1, 2, 0, 83), SHIFT_REPEAT(554),
  [2090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_receive_definition_repeat1, 2, 0, 83),
  [2092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_receive_definition_repeat1, 2, 0, 83), SHIFT_REPEAT(603),
  [2095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_receive_definition_repeat1, 2, 0, 83), SHIFT_REPEAT(585),
  [2098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_receive_definition_repeat1, 2, 0, 83), SHIFT_REPEAT(562),
  [2101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_fallback_definition_repeat1, 1, 0, 15),
  [2103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_fallback_definition_repeat1, 1, 0, 15),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [2119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_fallback_definition_repeat1, 1, 0, 16),
  [2121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_fallback_definition_repeat1, 1, 0, 16),
  [2123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_state_location, 1, 0, 0),
  [2125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_state_variable_declaration_repeat1, 1, 0, 36),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [2131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_solidity_pragma_token_repeat1, 2, 0, 7),
  [2133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_solidity_pragma_token_repeat1, 2, 0, 7),
  [2135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_state_variable_declaration_repeat1, 1, 0, 15),
  [2137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(554),
  [2140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_definition_repeat1, 2, 0, 0),
  [2142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(596),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [2147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 14),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__nameless_parameter, 1, 0, 14),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [2165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_receive_definition_repeat1, 1, 0, 15),
  [2167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_receive_definition_repeat1, 1, 0, 15),
  [2169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_heritage, 4, 0, 0),
  [2171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_heritage, 4, 0, 0),
  [2173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifier_definition_repeat1, 2, 0, 0),
  [2175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifier_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(562),
  [2178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifier_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(605),
  [2181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_heritage, 3, 0, 0),
  [2183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_heritage, 3, 0, 0),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [2203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [2205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(611),
  [2208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(611),
  [2211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [2213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(612),
  [2216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(612),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [2223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [2225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_paramater, 1, 0, 14),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [2231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [2239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hex_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(617),
  [2242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_hex_string_literal_repeat1, 2, 0, 0),
  [2244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hex_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(996),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [2251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_specifier, 1, 0, 24),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_declaration, 1, 0, 3),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 2, 0, 27),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [2335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_heritage_repeat1, 2, 0, 0),
  [2337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__class_heritage_repeat1, 2, 0, 0), SHIFT_REPEAT(642),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [2350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_heritage, 2, 0, 0),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [2408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [2416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_parameter, 1, 0, 14),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 44),
  [2442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unicode_string_literal_repeat1, 2, 0, 0),
  [2444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unicode_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(695),
  [2447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unicode_string_literal_repeat2, 2, 0, 0),
  [2449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unicode_string_literal_repeat2, 2, 0, 0), SHIFT_REPEAT(696),
  [2452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_alias, 2, 0, 19),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 28),
  [2516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(166),
  [2519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__parameter_list_repeat1, 2, 0, 0),
  [2521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assembly_flags_repeat1, 2, 0, 0), SHIFT_REPEAT(786),
  [2524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__assembly_flags_repeat1, 2, 0, 0),
  [2526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__multiple_import_repeat1, 2, 0, 34), SHIFT_REPEAT(972),
  [2529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__multiple_import_repeat1, 2, 0, 34),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [2537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_tuple_repeat2, 1, 0, 0),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [2561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(128),
  [2564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_tuple_repeat1, 2, 0, 0),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_tuple_repeat2, 2, 0, 0), SHIFT_REPEAT(733),
  [2573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_tuple_repeat2, 2, 0, 0),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [2619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(858),
  [2622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_expression_repeat1, 2, 0, 0),
  [2624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_specifier, 2, 0, 37),
  [2626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_override_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(745),
  [2629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_override_specifier_repeat1, 2, 0, 0),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_array_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(66),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [2674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_import, 1, 0, 0),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [2680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(920),
  [2683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_argument_repeat1, 2, 0, 0),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [2689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__return_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(168),
  [2692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__return_parameters_repeat1, 2, 0, 0),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [2698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_using_directive_repeat1, 2, 0, 41),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [2720] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_error_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(167),
  [2723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_error_declaration_repeat1, 2, 0, 0),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__event_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(165),
  [2732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__event_parameter_list_repeat1, 2, 0, 0),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [2742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_import, 1, 0, 3),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [2754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_yul_function_call_repeat1, 2, 0, 0), SHIFT_REPEAT(366),
  [2757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_yul_function_call_repeat1, 2, 0, 0),
  [2759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__source_import, 1, 0, 5),
  [2761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_using_directive_repeat1, 2, 0, 42), SHIFT_REPEAT(774),
  [2764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_using_directive_repeat1, 2, 0, 42),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [2772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(985),
  [2775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_repeat1, 2, 0, 0),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [2803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__call_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(43),
  [2806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__call_arguments_repeat1, 2, 0, 0),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [2824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [2836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_paramater, 2, 0, 14),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [2840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(37),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [2845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_argument, 4, 0, 0),
  [2847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 44),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [2855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__event_parameter_list, 4, 0, 0),
  [2857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_paramater, 3, 0, 94),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [2861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_any_source_type, 1, 0, 0),
  [2863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__event_parameter_list, 3, 0, 0),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_paramater, 2, 0, 27),
  [2871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 27),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [2881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_declaration, 2, 0, 10),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [2909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__multiple_import_repeat1, 2, 0, 20),
  [2911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__nameless_parameter, 2, 0, 28),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_type_definition, 2, 0, 0),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_argument, 5, 0, 0),
  [2939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__event_parameter_list, 5, 0, 0),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [2967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_repeat1, 2, 0, 56),
  [2969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_using_directive_repeat1, 4, 0, 69),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [2979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__return_parameters_repeat1, 2, 0, 73),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [2991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__event_parameter_list, 2, 0, 0),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [3001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_parameter, 2, 0, 27),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [3011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_argument, 2, 0, 0),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [3015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_argument, 3, 0, 0),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [3031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_definable_operator, 1, 0, 0),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [3039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__multiple_import, 4, 0, 33),
  [3041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_clause, 1, 0, 4),
  [3043] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [3049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_import, 2, 0, 10),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [3063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assembly_flags, 3, 0, 0),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [3067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration_tuple, 4, 0, 0),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [3071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pragma_value, 1, 0, 0),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [3079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_any_pragma_token, 2, 0, 0),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [3085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__source_import, 2, 0, 12),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [3095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assembly_flags, 5, 0, 0),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [3103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration_tuple, 6, 0, 0),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [3113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__multiple_import, 3, 0, 20),
  [3115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_solidity_version_comparison_operator, 1, 0, 0),
  [3117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__multiple_import, 2, 0, 0),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [3121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__multiple_import, 4, 0, 20),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [3129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_import, 2, 0, 9),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [3171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__multiple_import, 5, 0, 33),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [3175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, 0, 21),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [3189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration_tuple, 3, 0, 0),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [3193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assembly_flags, 4, 0, 0),
  [3195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration_tuple, 5, 0, 0),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_solidity(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
